#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 152
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 57
#define ALIAS_COUNT 2
#define TOKEN_COUNT 28
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 5
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 9

enum ts_symbol_identifiers {
  anon_sym_PERCENT_LBRACK = 1,
  aux_sym_intent_def_token1 = 2,
  anon_sym_RBRACK = 3,
  anon_sym_AT_LBRACK = 4,
  aux_sym_slot_def_token1 = 5,
  anon_sym_TILDE_LBRACK = 6,
  anon_sym_import = 7,
  aux_sym_import_token1 = 8,
  aux_sym_comment_token1 = 9,
  anon_sym_QMARK = 10,
  aux_sym_word_token1 = 11,
  anon_sym_POUND = 12,
  anon_sym_STAR_LBRACK = 13,
  anon_sym_PERCENT = 14,
  sym_number = 15,
  anon_sym_LPAREN = 16,
  anon_sym_COMMA = 17,
  anon_sym_RPAREN = 18,
  sym_eq = 19,
  anon_sym_DQUOTE = 20,
  aux_sym_string_token1 = 21,
  anon_sym_SQUOTE = 22,
  aux_sym_string_token2 = 23,
  sym_escape = 24,
  sym__eol = 25,
  anon_sym_ = 26,
  sym__space = 27,
  sym_source = 28,
  sym_definition = 29,
  sym_intent_def = 30,
  sym_slot_def = 31,
  sym_alias_def = 32,
  sym_import = 33,
  sym_comment = 34,
  sym_intent_body = 35,
  sym_slot_body = 36,
  sym_alias_body = 37,
  sym_slot_ref = 38,
  sym_alias_ref = 39,
  sym_word = 40,
  sym_variation = 41,
  sym_probability = 42,
  sym_arguments = 43,
  sym_argument = 44,
  sym_string = 45,
  sym__indent = 46,
  aux_sym_source_repeat1 = 47,
  aux_sym_intent_body_repeat1 = 48,
  aux_sym_intent_body_repeat2 = 49,
  aux_sym_slot_body_repeat1 = 50,
  aux_sym_slot_body_repeat2 = 51,
  aux_sym_alias_body_repeat1 = 52,
  aux_sym_word_repeat1 = 53,
  aux_sym_arguments_repeat1 = 54,
  aux_sym_string_repeat1 = 55,
  aux_sym_string_repeat2 = 56,
  alias_sym_intent = 57,
  alias_sym_slot = 58,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_PERCENT_LBRACK] = "%[",
  [aux_sym_intent_def_token1] = "alias",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT_LBRACK] = "@[",
  [aux_sym_slot_def_token1] = "slot_def_token1",
  [anon_sym_TILDE_LBRACK] = "~[",
  [anon_sym_import] = "import",
  [aux_sym_import_token1] = "file",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_QMARK] = "\?",
  [aux_sym_word_token1] = "word_token1",
  [anon_sym_POUND] = "#",
  [anon_sym_STAR_LBRACK] = "*[",
  [anon_sym_PERCENT] = "%",
  [sym_number] = "number",
  [anon_sym_LPAREN] = "(",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [sym_eq] = "eq",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape] = "escape",
  [sym__eol] = "_eol",
  [anon_sym_] = "    ",
  [sym__space] = "_space",
  [sym_source] = "source",
  [sym_definition] = "definition",
  [sym_intent_def] = "intent_def",
  [sym_slot_def] = "slot_def",
  [sym_alias_def] = "alias_def",
  [sym_import] = "import",
  [sym_comment] = "comment",
  [sym_intent_body] = "intent_body",
  [sym_slot_body] = "slot_body",
  [sym_alias_body] = "alias_body",
  [sym_slot_ref] = "slot_ref",
  [sym_alias_ref] = "alias_ref",
  [sym_word] = "word",
  [sym_variation] = "variation",
  [sym_probability] = "probability",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym_string] = "string",
  [sym__indent] = "_indent",
  [aux_sym_source_repeat1] = "source_repeat1",
  [aux_sym_intent_body_repeat1] = "intent_body_repeat1",
  [aux_sym_intent_body_repeat2] = "intent_body_repeat2",
  [aux_sym_slot_body_repeat1] = "slot_body_repeat1",
  [aux_sym_slot_body_repeat2] = "slot_body_repeat2",
  [aux_sym_alias_body_repeat1] = "alias_body_repeat1",
  [aux_sym_word_repeat1] = "word_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [alias_sym_intent] = "intent",
  [alias_sym_slot] = "slot",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_PERCENT_LBRACK] = anon_sym_PERCENT_LBRACK,
  [aux_sym_intent_def_token1] = aux_sym_intent_def_token1,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT_LBRACK] = anon_sym_AT_LBRACK,
  [aux_sym_slot_def_token1] = aux_sym_slot_def_token1,
  [anon_sym_TILDE_LBRACK] = anon_sym_TILDE_LBRACK,
  [anon_sym_import] = anon_sym_import,
  [aux_sym_import_token1] = aux_sym_import_token1,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [aux_sym_word_token1] = aux_sym_word_token1,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_STAR_LBRACK] = anon_sym_STAR_LBRACK,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [sym_number] = sym_number,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym_eq] = sym_eq,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_escape] = sym_escape,
  [sym__eol] = sym__eol,
  [anon_sym_] = anon_sym_,
  [sym__space] = sym__space,
  [sym_source] = sym_source,
  [sym_definition] = sym_definition,
  [sym_intent_def] = sym_intent_def,
  [sym_slot_def] = sym_slot_def,
  [sym_alias_def] = sym_alias_def,
  [sym_import] = sym_import,
  [sym_comment] = sym_comment,
  [sym_intent_body] = sym_intent_body,
  [sym_slot_body] = sym_slot_body,
  [sym_alias_body] = sym_alias_body,
  [sym_slot_ref] = sym_slot_ref,
  [sym_alias_ref] = sym_alias_ref,
  [sym_word] = sym_word,
  [sym_variation] = sym_variation,
  [sym_probability] = sym_probability,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym_string] = sym_string,
  [sym__indent] = sym__indent,
  [aux_sym_source_repeat1] = aux_sym_source_repeat1,
  [aux_sym_intent_body_repeat1] = aux_sym_intent_body_repeat1,
  [aux_sym_intent_body_repeat2] = aux_sym_intent_body_repeat2,
  [aux_sym_slot_body_repeat1] = aux_sym_slot_body_repeat1,
  [aux_sym_slot_body_repeat2] = aux_sym_slot_body_repeat2,
  [aux_sym_alias_body_repeat1] = aux_sym_alias_body_repeat1,
  [aux_sym_word_repeat1] = aux_sym_word_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [alias_sym_intent] = alias_sym_intent,
  [alias_sym_slot] = alias_sym_slot,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_PERCENT_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_intent_def_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_slot_def_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_TILDE_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_import_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_word_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_eq] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape] = {
    .visible = true,
    .named = true,
  },
  [sym__eol] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = false,
  },
  [sym__space] = {
    .visible = false,
    .named = true,
  },
  [sym_source] = {
    .visible = true,
    .named = true,
  },
  [sym_definition] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_intent_def] = {
    .visible = true,
    .named = true,
  },
  [sym_slot_def] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_def] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_intent_body] = {
    .visible = true,
    .named = true,
  },
  [sym_slot_body] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_body] = {
    .visible = true,
    .named = true,
  },
  [sym_slot_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [sym_variation] = {
    .visible = true,
    .named = true,
  },
  [sym_probability] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intent_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intent_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slot_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slot_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alias_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_word_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_intent] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_slot] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_content = 1,
  field_id = 2,
  field_key = 3,
  field_quote = 4,
  field_value = 5,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_content] = "content",
  [field_id] = "id",
  [field_key] = "key",
  [field_quote] = "quote",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 2},
  [5] = {.index = 3, .length = 3},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 2},
  [8] = {.index = 10, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_id, 1},
  [1] =
    {field_quote, 0},
    {field_quote, 1},
  [3] =
    {field_content, 1},
    {field_quote, 0},
    {field_quote, 2},
  [6] =
    {field_key, 0},
    {field_value, 2},
  [8] =
    {field_key, 0},
    {field_value, 3},
  [10] =
    {field_key, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [1] = alias_sym_intent,
  },
  [3] = {
    [1] = alias_sym_slot,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 49,
  [58] = 58,
  [59] = 59,
  [60] = 45,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 61,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 53,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 81,
  [97] = 97,
  [98] = 98,
  [99] = 75,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 109,
  [113] = 113,
  [114] = 108,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 126,
  [149] = 128,
  [150] = 134,
  [151] = 139,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '\n', 62,
        '\r', 1,
        ' ', 56,
        '"', 55,
        '#', 45,
        '%', 47,
        '\'', 58,
        '(', 51,
        ')', 53,
        ',', 52,
        ':', 54,
        '?', 40,
        ']', 33,
        '\t', 56,
        0x0b, 56,
        '\f', 56,
      );
      if (lookahead != 0) ADVANCE(41);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(62);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 62,
        '\r', 1,
        ' ', 64,
        '"', 55,
        '#', 45,
        '%', 47,
        '\'', 58,
        '(', 51,
        ')', 53,
        ',', 52,
        ':', 54,
        '?', 40,
        ']', 33,
      );
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == ' ') ADVANCE(64);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '@') ADVANCE(42);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == ' ') ADVANCE(64);
      if (lookahead == '@') ADVANCE(42);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == ' ') ADVANCE(64);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(63);
      END_STATE();
    case 7:
      if (lookahead == ' ') ADVANCE(64);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 8:
      if (lookahead == ' ') ADVANCE(6);
      END_STATE();
    case 9:
      if (lookahead == ' ') ADVANCE(8);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(56);
      END_STATE();
    case 11:
      if (lookahead == '\'') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(59);
      END_STATE();
    case 12:
      if (lookahead == '/') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == '[') ADVANCE(31);
      END_STATE();
    case 14:
      if (lookahead == '[') ADVANCE(34);
      END_STATE();
    case 15:
      if (lookahead == '[') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'm') ADVANCE(18);
      END_STATE();
    case 17:
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 18:
      if (lookahead == 'p') ADVANCE(17);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == 't') ADVANCE(37);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(50);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(22);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(23);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 26:
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(35);
      END_STATE();
    case 27:
      if (lookahead != 0 &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(32);
      END_STATE();
    case 28:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(38);
      END_STATE();
    case 29:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '\n', 62,
        '\r', 1,
        ' ', 9,
        '"', 55,
        '#', 39,
        '%', 13,
        '\'', 58,
        '(', 51,
        ')', 53,
        ',', 52,
        '/', 12,
        '0', 48,
        ':', 54,
        '?', 40,
        '@', 14,
        ']', 33,
        'i', 16,
        '~', 15,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_PERCENT_LBRACK);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(aux_sym_intent_def_token1);
      if (lookahead != 0 &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(32);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_AT_LBRACK);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(aux_sym_slot_def_token1);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(35);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_TILDE_LBRACK);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(aux_sym_import_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(38);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(39);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(aux_sym_word_token1);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(aux_sym_word_token1);
      if (lookahead == '[') ADVANCE(34);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(aux_sym_word_token1);
      if (lookahead == '[') ADVANCE(36);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(aux_sym_word_token1);
      if (lookahead == '[') ADVANCE(46);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_STAR_LBRACK);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(21);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(49);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(50);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_eq);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(aux_sym_string_token1);
      ADVANCE_MAP(
        'u', 25,
        '"', 61,
        '\'', 61,
        '\\', 61,
        'b', 61,
        'f', 61,
        'n', 61,
        'r', 61,
        't', 61,
        'v', 61,
      );
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(aux_sym_string_token2);
      ADVANCE_MAP(
        'u', 25,
        '"', 61,
        '\'', 61,
        '\\', 61,
        'b', 61,
        'f', 61,
        'n', 61,
        'r', 61,
        't', 61,
        'v', 61,
      );
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_escape);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym__eol);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym__space);
      if (lookahead == ' ') ADVANCE(64);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 29},
  [2] = {.lex_state = 29},
  [3] = {.lex_state = 29},
  [4] = {.lex_state = 29},
  [5] = {.lex_state = 29},
  [6] = {.lex_state = 3},
  [7] = {.lex_state = 29},
  [8] = {.lex_state = 29},
  [9] = {.lex_state = 29},
  [10] = {.lex_state = 29},
  [11] = {.lex_state = 4},
  [12] = {.lex_state = 4},
  [13] = {.lex_state = 4},
  [14] = {.lex_state = 4},
  [15] = {.lex_state = 4},
  [16] = {.lex_state = 7},
  [17] = {.lex_state = 4},
  [18] = {.lex_state = 5},
  [19] = {.lex_state = 29},
  [20] = {.lex_state = 5},
  [21] = {.lex_state = 29},
  [22] = {.lex_state = 29},
  [23] = {.lex_state = 5},
  [24] = {.lex_state = 29},
  [25] = {.lex_state = 29},
  [26] = {.lex_state = 29},
  [27] = {.lex_state = 29},
  [28] = {.lex_state = 5},
  [29] = {.lex_state = 29},
  [30] = {.lex_state = 29},
  [31] = {.lex_state = 29},
  [32] = {.lex_state = 29},
  [33] = {.lex_state = 29},
  [34] = {.lex_state = 29},
  [35] = {.lex_state = 29},
  [36] = {.lex_state = 29},
  [37] = {.lex_state = 29},
  [38] = {.lex_state = 29},
  [39] = {.lex_state = 29},
  [40] = {.lex_state = 29},
  [41] = {.lex_state = 29},
  [42] = {.lex_state = 29},
  [43] = {.lex_state = 29},
  [44] = {.lex_state = 29},
  [45] = {.lex_state = 4},
  [46] = {.lex_state = 29},
  [47] = {.lex_state = 29},
  [48] = {.lex_state = 29},
  [49] = {.lex_state = 4},
  [50] = {.lex_state = 29},
  [51] = {.lex_state = 29},
  [52] = {.lex_state = 29},
  [53] = {.lex_state = 4},
  [54] = {.lex_state = 4},
  [55] = {.lex_state = 4},
  [56] = {.lex_state = 2},
  [57] = {.lex_state = 5},
  [58] = {.lex_state = 2},
  [59] = {.lex_state = 4},
  [60] = {.lex_state = 5},
  [61] = {.lex_state = 4},
  [62] = {.lex_state = 2},
  [63] = {.lex_state = 2},
  [64] = {.lex_state = 10},
  [65] = {.lex_state = 2},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 11},
  [68] = {.lex_state = 2},
  [69] = {.lex_state = 2},
  [70] = {.lex_state = 29},
  [71] = {.lex_state = 2},
  [72] = {.lex_state = 2},
  [73] = {.lex_state = 5},
  [74] = {.lex_state = 2},
  [75] = {.lex_state = 4},
  [76] = {.lex_state = 2},
  [77] = {.lex_state = 29},
  [78] = {.lex_state = 2},
  [79] = {.lex_state = 11},
  [80] = {.lex_state = 10},
  [81] = {.lex_state = 4},
  [82] = {.lex_state = 29},
  [83] = {.lex_state = 2},
  [84] = {.lex_state = 2},
  [85] = {.lex_state = 2},
  [86] = {.lex_state = 5},
  [87] = {.lex_state = 2},
  [88] = {.lex_state = 10},
  [89] = {.lex_state = 11},
  [90] = {.lex_state = 2},
  [91] = {.lex_state = 29},
  [92] = {.lex_state = 2},
  [93] = {.lex_state = 29},
  [94] = {.lex_state = 2},
  [95] = {.lex_state = 29},
  [96] = {.lex_state = 5},
  [97] = {.lex_state = 29},
  [98] = {.lex_state = 2},
  [99] = {.lex_state = 5},
  [100] = {.lex_state = 29},
  [101] = {.lex_state = 2},
  [102] = {.lex_state = 2},
  [103] = {.lex_state = 29},
  [104] = {.lex_state = 2},
  [105] = {.lex_state = 29},
  [106] = {.lex_state = 29},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 2},
  [109] = {.lex_state = 29},
  [110] = {.lex_state = 3},
  [111] = {.lex_state = 29},
  [112] = {.lex_state = 29},
  [113] = {.lex_state = 29},
  [114] = {.lex_state = 2},
  [115] = {.lex_state = 29},
  [116] = {.lex_state = 0},
  [117] = {.lex_state = 0},
  [118] = {.lex_state = 0},
  [119] = {.lex_state = 29},
  [120] = {.lex_state = 0},
  [121] = {.lex_state = 0},
  [122] = {.lex_state = 0},
  [123] = {.lex_state = 29},
  [124] = {.lex_state = 29},
  [125] = {.lex_state = 26},
  [126] = {.lex_state = 29},
  [127] = {.lex_state = 0},
  [128] = {.lex_state = 29},
  [129] = {.lex_state = 27},
  [130] = {.lex_state = 26},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 0},
  [133] = {.lex_state = 3},
  [134] = {.lex_state = 27},
  [135] = {.lex_state = 29},
  [136] = {.lex_state = 29},
  [137] = {.lex_state = 0},
  [138] = {.lex_state = 0},
  [139] = {.lex_state = 29},
  [140] = {.lex_state = 27},
  [141] = {.lex_state = 0},
  [142] = {.lex_state = 29},
  [143] = {.lex_state = 28},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 29},
  [146] = {.lex_state = 26},
  [147] = {.lex_state = 0},
  [148] = {.lex_state = 29},
  [149] = {.lex_state = 29},
  [150] = {.lex_state = 27},
  [151] = {.lex_state = 29},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [aux_sym_word_token1] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym_eq] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [sym__eol] = ACTIONS(1),
    [sym__space] = ACTIONS(1),
  },
  [1] = {
    [sym_source] = STATE(117),
    [sym_definition] = STATE(2),
    [sym_intent_def] = STATE(30),
    [sym_slot_def] = STATE(30),
    [sym_alias_def] = STATE(30),
    [sym_import] = STATE(2),
    [sym_comment] = STATE(2),
    [aux_sym_source_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(3),
    [anon_sym_PERCENT_LBRACK] = ACTIONS(5),
    [anon_sym_AT_LBRACK] = ACTIONS(7),
    [anon_sym_TILDE_LBRACK] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [aux_sym_comment_token1] = ACTIONS(13),
    [sym__eol] = ACTIONS(15),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 9,
    ACTIONS(5), 1,
      anon_sym_PERCENT_LBRACK,
    ACTIONS(7), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(9), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(11), 1,
      anon_sym_import,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(17), 1,
      ts_builtin_sym_end,
    ACTIONS(19), 1,
      sym__eol,
    STATE(30), 3,
      sym_intent_def,
      sym_slot_def,
      sym_alias_def,
    STATE(3), 4,
      sym_definition,
      sym_import,
      sym_comment,
      aux_sym_source_repeat1,
  [33] = 9,
    ACTIONS(21), 1,
      ts_builtin_sym_end,
    ACTIONS(23), 1,
      anon_sym_PERCENT_LBRACK,
    ACTIONS(26), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(29), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(32), 1,
      anon_sym_import,
    ACTIONS(35), 1,
      aux_sym_comment_token1,
    ACTIONS(38), 1,
      sym__eol,
    STATE(30), 3,
      sym_intent_def,
      sym_slot_def,
      sym_alias_def,
    STATE(3), 4,
      sym_definition,
      sym_import,
      sym_comment,
      aux_sym_source_repeat1,
  [66] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(43), 1,
      anon_sym_,
    STATE(16), 1,
      sym__indent,
    STATE(9), 2,
      sym_comment,
      aux_sym_slot_body_repeat2,
    ACTIONS(41), 6,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      sym__eol,
  [88] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(47), 1,
      anon_sym_,
    STATE(6), 1,
      sym__indent,
    STATE(10), 2,
      sym_comment,
      aux_sym_intent_body_repeat2,
    ACTIONS(45), 6,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      sym__eol,
  [110] = 8,
    ACTIONS(49), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(51), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(53), 1,
      aux_sym_word_token1,
    ACTIONS(55), 1,
      anon_sym_STAR_LBRACK,
    ACTIONS(57), 1,
      sym__space,
    STATE(17), 1,
      sym_probability,
    STATE(49), 1,
      aux_sym_word_repeat1,
    STATE(11), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [138] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(61), 1,
      anon_sym_,
    STATE(15), 1,
      sym__indent,
    STATE(8), 2,
      sym_comment,
      aux_sym_alias_body_repeat1,
    ACTIONS(59), 6,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      sym__eol,
  [160] = 5,
    ACTIONS(65), 1,
      aux_sym_comment_token1,
    ACTIONS(68), 1,
      anon_sym_,
    STATE(15), 1,
      sym__indent,
    STATE(8), 2,
      sym_comment,
      aux_sym_alias_body_repeat1,
    ACTIONS(63), 6,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      sym__eol,
  [182] = 5,
    ACTIONS(73), 1,
      aux_sym_comment_token1,
    ACTIONS(76), 1,
      anon_sym_,
    STATE(16), 1,
      sym__indent,
    STATE(9), 2,
      sym_comment,
      aux_sym_slot_body_repeat2,
    ACTIONS(71), 6,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      sym__eol,
  [204] = 5,
    ACTIONS(81), 1,
      aux_sym_comment_token1,
    ACTIONS(84), 1,
      anon_sym_,
    STATE(6), 1,
      sym__indent,
    STATE(10), 2,
      sym_comment,
      aux_sym_intent_body_repeat2,
    ACTIONS(79), 6,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      sym__eol,
  [226] = 7,
    ACTIONS(49), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(51), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(53), 1,
      aux_sym_word_token1,
    ACTIONS(87), 1,
      sym__eol,
    ACTIONS(89), 1,
      sym__space,
    STATE(49), 1,
      aux_sym_word_repeat1,
    STATE(12), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [251] = 7,
    ACTIONS(91), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(94), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(97), 1,
      aux_sym_word_token1,
    ACTIONS(100), 1,
      sym__eol,
    ACTIONS(102), 1,
      sym__space,
    STATE(49), 1,
      aux_sym_word_repeat1,
    STATE(12), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [276] = 7,
    ACTIONS(49), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(51), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(53), 1,
      aux_sym_word_token1,
    ACTIONS(89), 1,
      sym__space,
    ACTIONS(105), 1,
      sym__eol,
    STATE(49), 1,
      aux_sym_word_repeat1,
    STATE(12), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [301] = 7,
    ACTIONS(49), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(51), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(53), 1,
      aux_sym_word_token1,
    ACTIONS(89), 1,
      sym__space,
    ACTIONS(107), 1,
      sym__eol,
    STATE(49), 1,
      aux_sym_word_repeat1,
    STATE(12), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [326] = 6,
    ACTIONS(49), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(51), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(53), 1,
      aux_sym_word_token1,
    ACTIONS(109), 1,
      sym__space,
    STATE(49), 1,
      aux_sym_word_repeat1,
    STATE(14), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [348] = 7,
    ACTIONS(111), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(113), 1,
      aux_sym_word_token1,
    ACTIONS(115), 1,
      anon_sym_STAR_LBRACK,
    ACTIONS(117), 1,
      sym__space,
    STATE(28), 1,
      sym_probability,
    STATE(57), 1,
      aux_sym_word_repeat1,
    STATE(20), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [372] = 6,
    ACTIONS(49), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(51), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(53), 1,
      aux_sym_word_token1,
    ACTIONS(119), 1,
      sym__space,
    STATE(49), 1,
      aux_sym_word_repeat1,
    STATE(13), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [394] = 6,
    ACTIONS(121), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(124), 1,
      aux_sym_word_token1,
    ACTIONS(127), 1,
      sym__eol,
    ACTIONS(129), 1,
      sym__space,
    STATE(57), 1,
      aux_sym_word_repeat1,
    STATE(18), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [415] = 1,
    ACTIONS(132), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [426] = 6,
    ACTIONS(111), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(113), 1,
      aux_sym_word_token1,
    ACTIONS(134), 1,
      sym__eol,
    ACTIONS(136), 1,
      sym__space,
    STATE(57), 1,
      aux_sym_word_repeat1,
    STATE(18), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [447] = 1,
    ACTIONS(138), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [458] = 1,
    ACTIONS(140), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [469] = 6,
    ACTIONS(111), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(113), 1,
      aux_sym_word_token1,
    ACTIONS(136), 1,
      sym__space,
    ACTIONS(142), 1,
      sym__eol,
    STATE(57), 1,
      aux_sym_word_repeat1,
    STATE(18), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [490] = 1,
    ACTIONS(144), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [501] = 1,
    ACTIONS(146), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [512] = 1,
    ACTIONS(148), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [523] = 1,
    ACTIONS(150), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [533] = 5,
    ACTIONS(111), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(113), 1,
      aux_sym_word_token1,
    ACTIONS(152), 1,
      sym__space,
    STATE(57), 1,
      aux_sym_word_repeat1,
    STATE(23), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [551] = 1,
    ACTIONS(154), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [561] = 1,
    ACTIONS(156), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [571] = 1,
    ACTIONS(158), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [581] = 1,
    ACTIONS(160), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [591] = 1,
    ACTIONS(162), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [601] = 1,
    ACTIONS(164), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [611] = 1,
    ACTIONS(166), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [621] = 1,
    ACTIONS(168), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [631] = 1,
    ACTIONS(170), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [641] = 1,
    ACTIONS(172), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [651] = 1,
    ACTIONS(174), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [661] = 1,
    ACTIONS(176), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [671] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(47), 1,
      anon_sym_,
    STATE(6), 1,
      sym__indent,
    STATE(29), 1,
      sym_intent_body,
    STATE(5), 2,
      sym_comment,
      aux_sym_intent_body_repeat2,
  [688] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(61), 1,
      anon_sym_,
    STATE(15), 1,
      sym__indent,
    STATE(31), 1,
      sym_alias_body,
    STATE(7), 2,
      sym_comment,
      aux_sym_alias_body_repeat1,
  [705] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(61), 1,
      anon_sym_,
    STATE(15), 1,
      sym__indent,
    STATE(27), 1,
      sym_alias_body,
    STATE(7), 2,
      sym_comment,
      aux_sym_alias_body_repeat1,
  [722] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(43), 1,
      anon_sym_,
    STATE(16), 1,
      sym__indent,
    STATE(35), 1,
      sym_slot_body,
    STATE(4), 2,
      sym_comment,
      aux_sym_slot_body_repeat2,
  [739] = 3,
    ACTIONS(180), 1,
      aux_sym_word_token1,
    STATE(45), 1,
      aux_sym_word_repeat1,
    ACTIONS(178), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [752] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(47), 1,
      anon_sym_,
    STATE(6), 1,
      sym__indent,
    STATE(36), 1,
      sym_intent_body,
    STATE(5), 2,
      sym_comment,
      aux_sym_intent_body_repeat2,
  [769] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(61), 1,
      anon_sym_,
    STATE(15), 1,
      sym__indent,
    STATE(34), 1,
      sym_alias_body,
    STATE(7), 2,
      sym_comment,
      aux_sym_alias_body_repeat1,
  [786] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(47), 1,
      anon_sym_,
    STATE(6), 1,
      sym__indent,
    STATE(39), 1,
      sym_intent_body,
    STATE(5), 2,
      sym_comment,
      aux_sym_intent_body_repeat2,
  [803] = 3,
    ACTIONS(185), 1,
      aux_sym_word_token1,
    STATE(45), 1,
      aux_sym_word_repeat1,
    ACTIONS(183), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [816] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(43), 1,
      anon_sym_,
    STATE(16), 1,
      sym__indent,
    STATE(32), 1,
      sym_slot_body,
    STATE(4), 2,
      sym_comment,
      aux_sym_slot_body_repeat2,
  [833] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(43), 1,
      anon_sym_,
    STATE(16), 1,
      sym__indent,
    STATE(38), 1,
      sym_slot_body,
    STATE(4), 2,
      sym_comment,
      aux_sym_slot_body_repeat2,
  [850] = 5,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(43), 1,
      anon_sym_,
    STATE(16), 1,
      sym__indent,
    STATE(37), 1,
      sym_slot_body,
    STATE(4), 2,
      sym_comment,
      aux_sym_slot_body_repeat2,
  [867] = 2,
    ACTIONS(189), 1,
      aux_sym_word_token1,
    ACTIONS(187), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [877] = 2,
    ACTIONS(193), 1,
      aux_sym_word_token1,
    ACTIONS(191), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [887] = 2,
    ACTIONS(197), 1,
      aux_sym_word_token1,
    ACTIONS(195), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [897] = 5,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    ACTIONS(203), 1,
      sym__space,
    STATE(76), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [913] = 3,
    ACTIONS(205), 1,
      aux_sym_word_token1,
    STATE(60), 1,
      aux_sym_word_repeat1,
    ACTIONS(183), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [925] = 5,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    ACTIONS(207), 1,
      sym__space,
    STATE(94), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [941] = 2,
    ACTIONS(211), 1,
      aux_sym_word_token1,
    ACTIONS(209), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [951] = 3,
    ACTIONS(213), 1,
      aux_sym_word_token1,
    STATE(60), 1,
      aux_sym_word_repeat1,
    ACTIONS(178), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [963] = 2,
    ACTIONS(218), 1,
      aux_sym_word_token1,
    ACTIONS(216), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [973] = 5,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    ACTIONS(220), 1,
      sym__space,
    STATE(92), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [989] = 1,
    ACTIONS(222), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_eq,
      sym__space,
  [996] = 4,
    ACTIONS(224), 1,
      anon_sym_DQUOTE,
    ACTIONS(226), 1,
      aux_sym_string_token1,
    ACTIONS(228), 1,
      sym_escape,
    STATE(88), 1,
      aux_sym_string_repeat1,
  [1009] = 4,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(232), 1,
      anon_sym_RPAREN,
    ACTIONS(234), 1,
      sym__space,
    STATE(78), 1,
      aux_sym_arguments_repeat1,
  [1022] = 4,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    ACTIONS(236), 1,
      sym__space,
    STATE(98), 1,
      sym_string,
  [1035] = 4,
    ACTIONS(224), 1,
      anon_sym_SQUOTE,
    ACTIONS(238), 1,
      aux_sym_string_token2,
    ACTIONS(240), 1,
      sym_escape,
    STATE(89), 1,
      aux_sym_string_repeat2,
  [1048] = 4,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(232), 1,
      anon_sym_RPAREN,
    ACTIONS(234), 1,
      sym__space,
    STATE(69), 1,
      aux_sym_arguments_repeat1,
  [1061] = 4,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(242), 1,
      anon_sym_RPAREN,
    ACTIONS(244), 1,
      sym__space,
    STATE(78), 1,
      aux_sym_arguments_repeat1,
  [1074] = 4,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    STATE(101), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [1087] = 4,
    ACTIONS(246), 1,
      anon_sym_RBRACK,
    ACTIONS(248), 1,
      anon_sym_QMARK,
    ACTIONS(250), 1,
      anon_sym_POUND,
    STATE(111), 1,
      sym_variation,
  [1100] = 4,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    ACTIONS(252), 1,
      sym__space,
    STATE(90), 1,
      sym_string,
  [1113] = 2,
    ACTIONS(218), 1,
      aux_sym_word_token1,
    ACTIONS(216), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [1122] = 4,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(256), 1,
      sym__eol,
    ACTIONS(258), 1,
      sym__space,
    STATE(138), 1,
      sym_arguments,
  [1135] = 2,
    ACTIONS(262), 1,
      aux_sym_word_token1,
    ACTIONS(260), 3,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1144] = 4,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(264), 1,
      anon_sym_RPAREN,
    ACTIONS(266), 1,
      sym__space,
    STATE(65), 1,
      aux_sym_arguments_repeat1,
  [1157] = 4,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    STATE(68), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [1170] = 4,
    ACTIONS(268), 1,
      anon_sym_COMMA,
    ACTIONS(271), 1,
      anon_sym_RPAREN,
    ACTIONS(273), 1,
      sym__space,
    STATE(78), 1,
      aux_sym_arguments_repeat1,
  [1183] = 4,
    ACTIONS(276), 1,
      anon_sym_SQUOTE,
    ACTIONS(278), 1,
      aux_sym_string_token2,
    ACTIONS(280), 1,
      sym_escape,
    STATE(67), 1,
      aux_sym_string_repeat2,
  [1196] = 4,
    ACTIONS(276), 1,
      anon_sym_DQUOTE,
    ACTIONS(282), 1,
      aux_sym_string_token1,
    ACTIONS(284), 1,
      sym_escape,
    STATE(64), 1,
      aux_sym_string_repeat1,
  [1209] = 2,
    ACTIONS(288), 1,
      aux_sym_word_token1,
    ACTIONS(286), 3,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1218] = 4,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    STATE(92), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [1231] = 4,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(290), 1,
      sym__eol,
    ACTIONS(292), 1,
      sym__space,
    STATE(141), 1,
      sym_arguments,
  [1244] = 4,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(294), 1,
      sym__eol,
    ACTIONS(296), 1,
      sym__space,
    STATE(144), 1,
      sym_arguments,
  [1257] = 4,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(298), 1,
      sym__eol,
    ACTIONS(300), 1,
      sym__space,
    STATE(127), 1,
      sym_arguments,
  [1270] = 2,
    ACTIONS(189), 1,
      aux_sym_word_token1,
    ACTIONS(187), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [1279] = 1,
    ACTIONS(302), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_eq,
      sym__space,
  [1286] = 4,
    ACTIONS(304), 1,
      anon_sym_DQUOTE,
    ACTIONS(306), 1,
      aux_sym_string_token1,
    ACTIONS(309), 1,
      sym_escape,
    STATE(88), 1,
      aux_sym_string_repeat1,
  [1299] = 4,
    ACTIONS(312), 1,
      anon_sym_SQUOTE,
    ACTIONS(314), 1,
      aux_sym_string_token2,
    ACTIONS(317), 1,
      sym_escape,
    STATE(89), 1,
      aux_sym_string_repeat2,
  [1312] = 1,
    ACTIONS(320), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1318] = 3,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(298), 1,
      sym__eol,
    STATE(127), 1,
      sym_arguments,
  [1328] = 1,
    ACTIONS(322), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1334] = 3,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(324), 1,
      sym__eol,
    STATE(131), 1,
      sym_arguments,
  [1344] = 1,
    ACTIONS(271), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1350] = 3,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    STATE(102), 1,
      sym_string,
  [1360] = 2,
    ACTIONS(288), 1,
      aux_sym_word_token1,
    ACTIONS(286), 2,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1368] = 3,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    STATE(90), 1,
      sym_string,
  [1378] = 1,
    ACTIONS(326), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1384] = 2,
    ACTIONS(262), 1,
      aux_sym_word_token1,
    ACTIONS(260), 2,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1392] = 3,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(328), 1,
      sym__eol,
    STATE(147), 1,
      sym_arguments,
  [1402] = 1,
    ACTIONS(330), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1408] = 1,
    ACTIONS(332), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1414] = 3,
    ACTIONS(254), 1,
      anon_sym_LPAREN,
    ACTIONS(334), 1,
      sym__eol,
    STATE(122), 1,
      sym_arguments,
  [1424] = 3,
    ACTIONS(250), 1,
      anon_sym_POUND,
    ACTIONS(336), 1,
      anon_sym_RBRACK,
    STATE(145), 1,
      sym_variation,
  [1434] = 1,
    ACTIONS(338), 2,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [1439] = 2,
    ACTIONS(340), 1,
      anon_sym_COMMA,
    ACTIONS(342), 1,
      anon_sym_RPAREN,
  [1446] = 2,
    ACTIONS(344), 1,
      sym_eq,
    ACTIONS(346), 1,
      sym__space,
  [1453] = 2,
    ACTIONS(348), 1,
      anon_sym_RBRACK,
    ACTIONS(350), 1,
      anon_sym_PERCENT,
  [1460] = 2,
    ACTIONS(352), 1,
      anon_sym_RBRACK,
    ACTIONS(354), 1,
      anon_sym_QMARK,
  [1467] = 2,
    ACTIONS(356), 1,
      sym__eol,
    ACTIONS(358), 1,
      sym__space,
  [1474] = 2,
    ACTIONS(360), 1,
      anon_sym_RBRACK,
    ACTIONS(362), 1,
      anon_sym_QMARK,
  [1481] = 2,
    ACTIONS(364), 1,
      anon_sym_RBRACK,
    ACTIONS(366), 1,
      anon_sym_QMARK,
  [1488] = 2,
    ACTIONS(242), 1,
      anon_sym_RPAREN,
    ACTIONS(340), 1,
      anon_sym_COMMA,
  [1495] = 2,
    ACTIONS(368), 1,
      anon_sym_RBRACK,
    ACTIONS(370), 1,
      anon_sym_PERCENT,
  [1502] = 2,
    ACTIONS(232), 1,
      anon_sym_RPAREN,
    ACTIONS(340), 1,
      anon_sym_COMMA,
  [1509] = 1,
    ACTIONS(372), 1,
      sym__eol,
  [1513] = 1,
    ACTIONS(374), 1,
      ts_builtin_sym_end,
  [1517] = 1,
    ACTIONS(376), 1,
      sym__eol,
  [1521] = 1,
    ACTIONS(340), 1,
      anon_sym_COMMA,
  [1525] = 1,
    ACTIONS(378), 1,
      sym__eol,
  [1529] = 1,
    ACTIONS(380), 1,
      sym__eol,
  [1533] = 1,
    ACTIONS(382), 1,
      sym__eol,
  [1537] = 1,
    ACTIONS(360), 1,
      anon_sym_RBRACK,
  [1541] = 1,
    ACTIONS(384), 1,
      sym_eq,
  [1545] = 1,
    ACTIONS(386), 1,
      aux_sym_slot_def_token1,
  [1549] = 1,
    ACTIONS(388), 1,
      anon_sym_RBRACK,
  [1553] = 1,
    ACTIONS(328), 1,
      sym__eol,
  [1557] = 1,
    ACTIONS(390), 1,
      anon_sym_RBRACK,
  [1561] = 1,
    ACTIONS(392), 1,
      aux_sym_intent_def_token1,
  [1565] = 1,
    ACTIONS(394), 1,
      aux_sym_slot_def_token1,
  [1569] = 1,
    ACTIONS(396), 1,
      sym__eol,
  [1573] = 1,
    ACTIONS(398), 1,
      sym__eol,
  [1577] = 1,
    ACTIONS(400), 1,
      sym__space,
  [1581] = 1,
    ACTIONS(402), 1,
      aux_sym_intent_def_token1,
  [1585] = 1,
    ACTIONS(404), 1,
      anon_sym_RBRACK,
  [1589] = 1,
    ACTIONS(406), 1,
      anon_sym_RBRACK,
  [1593] = 1,
    ACTIONS(408), 1,
      sym__eol,
  [1597] = 1,
    ACTIONS(334), 1,
      sym__eol,
  [1601] = 1,
    ACTIONS(410), 1,
      sym_number,
  [1605] = 1,
    ACTIONS(412), 1,
      aux_sym_intent_def_token1,
  [1609] = 1,
    ACTIONS(298), 1,
      sym__eol,
  [1613] = 1,
    ACTIONS(414), 1,
      anon_sym_RBRACK,
  [1617] = 1,
    ACTIONS(416), 1,
      aux_sym_import_token1,
  [1621] = 1,
    ACTIONS(324), 1,
      sym__eol,
  [1625] = 1,
    ACTIONS(418), 1,
      anon_sym_RBRACK,
  [1629] = 1,
    ACTIONS(420), 1,
      aux_sym_slot_def_token1,
  [1633] = 1,
    ACTIONS(422), 1,
      sym__eol,
  [1637] = 1,
    ACTIONS(424), 1,
      anon_sym_RBRACK,
  [1641] = 1,
    ACTIONS(426), 1,
      anon_sym_RBRACK,
  [1645] = 1,
    ACTIONS(428), 1,
      aux_sym_intent_def_token1,
  [1649] = 1,
    ACTIONS(430), 1,
      sym_number,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 33,
  [SMALL_STATE(4)] = 66,
  [SMALL_STATE(5)] = 88,
  [SMALL_STATE(6)] = 110,
  [SMALL_STATE(7)] = 138,
  [SMALL_STATE(8)] = 160,
  [SMALL_STATE(9)] = 182,
  [SMALL_STATE(10)] = 204,
  [SMALL_STATE(11)] = 226,
  [SMALL_STATE(12)] = 251,
  [SMALL_STATE(13)] = 276,
  [SMALL_STATE(14)] = 301,
  [SMALL_STATE(15)] = 326,
  [SMALL_STATE(16)] = 348,
  [SMALL_STATE(17)] = 372,
  [SMALL_STATE(18)] = 394,
  [SMALL_STATE(19)] = 415,
  [SMALL_STATE(20)] = 426,
  [SMALL_STATE(21)] = 447,
  [SMALL_STATE(22)] = 458,
  [SMALL_STATE(23)] = 469,
  [SMALL_STATE(24)] = 490,
  [SMALL_STATE(25)] = 501,
  [SMALL_STATE(26)] = 512,
  [SMALL_STATE(27)] = 523,
  [SMALL_STATE(28)] = 533,
  [SMALL_STATE(29)] = 551,
  [SMALL_STATE(30)] = 561,
  [SMALL_STATE(31)] = 571,
  [SMALL_STATE(32)] = 581,
  [SMALL_STATE(33)] = 591,
  [SMALL_STATE(34)] = 601,
  [SMALL_STATE(35)] = 611,
  [SMALL_STATE(36)] = 621,
  [SMALL_STATE(37)] = 631,
  [SMALL_STATE(38)] = 641,
  [SMALL_STATE(39)] = 651,
  [SMALL_STATE(40)] = 661,
  [SMALL_STATE(41)] = 671,
  [SMALL_STATE(42)] = 688,
  [SMALL_STATE(43)] = 705,
  [SMALL_STATE(44)] = 722,
  [SMALL_STATE(45)] = 739,
  [SMALL_STATE(46)] = 752,
  [SMALL_STATE(47)] = 769,
  [SMALL_STATE(48)] = 786,
  [SMALL_STATE(49)] = 803,
  [SMALL_STATE(50)] = 816,
  [SMALL_STATE(51)] = 833,
  [SMALL_STATE(52)] = 850,
  [SMALL_STATE(53)] = 867,
  [SMALL_STATE(54)] = 877,
  [SMALL_STATE(55)] = 887,
  [SMALL_STATE(56)] = 897,
  [SMALL_STATE(57)] = 913,
  [SMALL_STATE(58)] = 925,
  [SMALL_STATE(59)] = 941,
  [SMALL_STATE(60)] = 951,
  [SMALL_STATE(61)] = 963,
  [SMALL_STATE(62)] = 973,
  [SMALL_STATE(63)] = 989,
  [SMALL_STATE(64)] = 996,
  [SMALL_STATE(65)] = 1009,
  [SMALL_STATE(66)] = 1022,
  [SMALL_STATE(67)] = 1035,
  [SMALL_STATE(68)] = 1048,
  [SMALL_STATE(69)] = 1061,
  [SMALL_STATE(70)] = 1074,
  [SMALL_STATE(71)] = 1087,
  [SMALL_STATE(72)] = 1100,
  [SMALL_STATE(73)] = 1113,
  [SMALL_STATE(74)] = 1122,
  [SMALL_STATE(75)] = 1135,
  [SMALL_STATE(76)] = 1144,
  [SMALL_STATE(77)] = 1157,
  [SMALL_STATE(78)] = 1170,
  [SMALL_STATE(79)] = 1183,
  [SMALL_STATE(80)] = 1196,
  [SMALL_STATE(81)] = 1209,
  [SMALL_STATE(82)] = 1218,
  [SMALL_STATE(83)] = 1231,
  [SMALL_STATE(84)] = 1244,
  [SMALL_STATE(85)] = 1257,
  [SMALL_STATE(86)] = 1270,
  [SMALL_STATE(87)] = 1279,
  [SMALL_STATE(88)] = 1286,
  [SMALL_STATE(89)] = 1299,
  [SMALL_STATE(90)] = 1312,
  [SMALL_STATE(91)] = 1318,
  [SMALL_STATE(92)] = 1328,
  [SMALL_STATE(93)] = 1334,
  [SMALL_STATE(94)] = 1344,
  [SMALL_STATE(95)] = 1350,
  [SMALL_STATE(96)] = 1360,
  [SMALL_STATE(97)] = 1368,
  [SMALL_STATE(98)] = 1378,
  [SMALL_STATE(99)] = 1384,
  [SMALL_STATE(100)] = 1392,
  [SMALL_STATE(101)] = 1402,
  [SMALL_STATE(102)] = 1408,
  [SMALL_STATE(103)] = 1414,
  [SMALL_STATE(104)] = 1424,
  [SMALL_STATE(105)] = 1434,
  [SMALL_STATE(106)] = 1439,
  [SMALL_STATE(107)] = 1446,
  [SMALL_STATE(108)] = 1453,
  [SMALL_STATE(109)] = 1460,
  [SMALL_STATE(110)] = 1467,
  [SMALL_STATE(111)] = 1474,
  [SMALL_STATE(112)] = 1481,
  [SMALL_STATE(113)] = 1488,
  [SMALL_STATE(114)] = 1495,
  [SMALL_STATE(115)] = 1502,
  [SMALL_STATE(116)] = 1509,
  [SMALL_STATE(117)] = 1513,
  [SMALL_STATE(118)] = 1517,
  [SMALL_STATE(119)] = 1521,
  [SMALL_STATE(120)] = 1525,
  [SMALL_STATE(121)] = 1529,
  [SMALL_STATE(122)] = 1533,
  [SMALL_STATE(123)] = 1537,
  [SMALL_STATE(124)] = 1541,
  [SMALL_STATE(125)] = 1545,
  [SMALL_STATE(126)] = 1549,
  [SMALL_STATE(127)] = 1553,
  [SMALL_STATE(128)] = 1557,
  [SMALL_STATE(129)] = 1561,
  [SMALL_STATE(130)] = 1565,
  [SMALL_STATE(131)] = 1569,
  [SMALL_STATE(132)] = 1573,
  [SMALL_STATE(133)] = 1577,
  [SMALL_STATE(134)] = 1581,
  [SMALL_STATE(135)] = 1585,
  [SMALL_STATE(136)] = 1589,
  [SMALL_STATE(137)] = 1593,
  [SMALL_STATE(138)] = 1597,
  [SMALL_STATE(139)] = 1601,
  [SMALL_STATE(140)] = 1605,
  [SMALL_STATE(141)] = 1609,
  [SMALL_STATE(142)] = 1613,
  [SMALL_STATE(143)] = 1617,
  [SMALL_STATE(144)] = 1621,
  [SMALL_STATE(145)] = 1625,
  [SMALL_STATE(146)] = 1629,
  [SMALL_STATE(147)] = 1633,
  [SMALL_STATE(148)] = 1637,
  [SMALL_STATE(149)] = 1641,
  [SMALL_STATE(150)] = 1645,
  [SMALL_STATE(151)] = 1649,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 0, 0, 0),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 1, 0, 0),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0),
  [23] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [26] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(130),
  [29] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [32] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(133),
  [35] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [38] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_body, 1, 0, 0),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [45] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_body, 1, 0, 0),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [59] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_body, 1, 0, 0),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [63] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alias_body_repeat1, 2, 0, 0),
  [65] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alias_body_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [68] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alias_body_repeat1, 2, 0, 0), SHIFT_REPEAT(15),
  [71] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 2, 0, 0),
  [73] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 2, 0, 0), SHIFT_REPEAT(121),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 2, 0, 0), SHIFT_REPEAT(16),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 2, 0, 0),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 2, 0, 0), SHIFT_REPEAT(121),
  [84] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 2, 0, 0), SHIFT_REPEAT(6),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(125),
  [94] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(12),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 4, 0, 0),
  [140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 3, 0, 0),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 3, 0, 0),
  [146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alias_body_repeat1, 3, 0, 0),
  [148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 4, 0, 0),
  [150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_def, 7, 0, 0),
  [152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_def, 7, 0, 2),
  [156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_definition, 1, 0, 0),
  [158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_def, 6, 0, 0),
  [160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 7, 0, 3),
  [162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 5, 0, 0),
  [164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_def, 5, 0, 0),
  [166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 5, 0, 3),
  [168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_def, 5, 0, 2),
  [170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 8, 0, 3),
  [172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 6, 0, 3),
  [174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_def, 6, 0, 2),
  [176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, 0, 0),
  [178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_word_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_word_repeat1, 2, 0, 0), SHIFT_REPEAT(45),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_word, 1, 0, 0),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_ref, 3, 0, 0),
  [189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_ref, 3, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_ref, 5, 0, 3),
  [193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot_ref, 5, 0, 3),
  [195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_ref, 3, 0, 3),
  [197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot_ref, 3, 0, 3),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_ref, 4, 0, 3),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot_ref, 4, 0, 3),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_word_repeat1, 2, 0, 0), SHIFT_REPEAT(60),
  [216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_ref, 4, 0, 0),
  [218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_ref, 4, 0, 0),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 4),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_probability, 3, 0, 0),
  [262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_probability, 3, 0, 0),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_probability, 4, 0, 0),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_probability, 4, 0, 0),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 5),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(89),
  [317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(89),
  [320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 4, 0, 7),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 3, 0, 0),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 6),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 4, 0, 0),
  [332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 5, 0, 8),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variation, 2, 0, 1),
  [340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 6, 0, 0),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_chatito(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
