#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1434
#define LARGE_STATE_COUNT 29
#define SYMBOL_COUNT 214
#define ALIAS_COUNT 5
#define TOKEN_COUNT 95
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 110

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_source_file_token1 = 2,
  anon_sym_SEMI = 3,
  anon_sym_NULL = 4,
  anon_sym_package = 5,
  anon_sym_import = 6,
  anon_sym_DOT = 7,
  sym_blank_identifier = 8,
  anon_sym_LPAREN = 9,
  anon_sym_RPAREN = 10,
  anon_sym_const = 11,
  anon_sym_COMMA = 12,
  anon_sym_EQ = 13,
  anon_sym_var = 14,
  anon_sym_func = 15,
  anon_sym_LBRACK = 16,
  anon_sym_RBRACK = 17,
  anon_sym_DOT_DOT_DOT = 18,
  anon_sym_type = 19,
  anon_sym_STAR = 20,
  anon_sym_struct = 21,
  anon_sym_TILDE = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_interface = 25,
  anon_sym_PIPE = 26,
  anon_sym_map = 27,
  anon_sym_chan = 28,
  anon_sym_LT_DASH = 29,
  anon_sym_COLON_EQ = 30,
  anon_sym_PLUS_PLUS = 31,
  anon_sym_DASH_DASH = 32,
  anon_sym_STAR_EQ = 33,
  anon_sym_SLASH_EQ = 34,
  anon_sym_PERCENT_EQ = 35,
  anon_sym_LT_LT_EQ = 36,
  anon_sym_GT_GT_EQ = 37,
  anon_sym_AMP_EQ = 38,
  anon_sym_AMP_CARET_EQ = 39,
  anon_sym_PLUS_EQ = 40,
  anon_sym_DASH_EQ = 41,
  anon_sym_PIPE_EQ = 42,
  anon_sym_CARET_EQ = 43,
  anon_sym_COLON = 44,
  anon_sym_fallthrough = 45,
  anon_sym_break = 46,
  anon_sym_continue = 47,
  anon_sym_goto = 48,
  anon_sym_return = 49,
  anon_sym_go = 50,
  anon_sym_defer = 51,
  anon_sym_if = 52,
  anon_sym_else = 53,
  anon_sym_for = 54,
  anon_sym_range = 55,
  anon_sym_switch = 56,
  anon_sym_case = 57,
  anon_sym_default = 58,
  anon_sym_select = 59,
  anon_sym_new = 60,
  anon_sym_make = 61,
  anon_sym_PLUS = 62,
  anon_sym_DASH = 63,
  anon_sym_BANG = 64,
  anon_sym_CARET = 65,
  anon_sym_AMP = 66,
  anon_sym_SLASH = 67,
  anon_sym_PERCENT = 68,
  anon_sym_LT_LT = 69,
  anon_sym_GT_GT = 70,
  anon_sym_AMP_CARET = 71,
  anon_sym_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_LT = 74,
  anon_sym_LT_EQ = 75,
  anon_sym_GT = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_AMP_AMP = 78,
  anon_sym_PIPE_PIPE = 79,
  anon_sym_BQUOTE = 80,
  aux_sym_raw_string_literal_token1 = 81,
  anon_sym_DQUOTE = 82,
  aux_sym_interpreted_string_literal_token1 = 83,
  anon_sym_DQUOTE2 = 84,
  sym_escape_sequence = 85,
  sym_int_literal = 86,
  sym_float_literal = 87,
  sym_imaginary_literal = 88,
  sym_rune_literal = 89,
  sym_nil = 90,
  sym_true = 91,
  sym_false = 92,
  sym_iota = 93,
  sym_comment = 94,
  sym_source_file = 95,
  sym_package_clause = 96,
  sym_import_declaration = 97,
  sym_import_spec = 98,
  sym_dot = 99,
  sym_import_spec_list = 100,
  sym__declaration = 101,
  sym_const_declaration = 102,
  sym_const_spec = 103,
  sym_var_declaration = 104,
  sym_var_spec = 105,
  sym_var_spec_list = 106,
  sym_function_declaration = 107,
  sym_method_declaration = 108,
  sym_type_parameter_list = 109,
  sym_type_parameter_declaration = 110,
  sym_parameter_list = 111,
  sym_parameter_declaration = 112,
  sym_variadic_parameter_declaration = 113,
  sym_type_alias = 114,
  sym_type_declaration = 115,
  sym_type_spec = 116,
  sym_expression_list = 117,
  sym_parenthesized_type = 118,
  sym__simple_type = 119,
  sym_generic_type = 120,
  sym_type_arguments = 121,
  sym_pointer_type = 122,
  sym_array_type = 123,
  sym_implicit_length_array_type = 124,
  sym_slice_type = 125,
  sym_struct_type = 126,
  sym_negated_type = 127,
  sym_field_declaration_list = 128,
  sym_field_declaration = 129,
  sym_interface_type = 130,
  sym_method_elem = 131,
  sym_type_elem = 132,
  sym_map_type = 133,
  sym_channel_type = 134,
  sym_function_type = 135,
  sym_block = 136,
  sym__statement_list = 137,
  sym__statement = 138,
  sym_empty_statement = 139,
  sym__simple_statement = 140,
  sym_expression_statement = 141,
  sym_send_statement = 142,
  sym_receive_statement = 143,
  sym_inc_statement = 144,
  sym_dec_statement = 145,
  sym_assignment_statement = 146,
  sym_short_var_declaration = 147,
  sym_labeled_statement = 148,
  sym_empty_labeled_statement = 149,
  sym_fallthrough_statement = 150,
  sym_break_statement = 151,
  sym_continue_statement = 152,
  sym_goto_statement = 153,
  sym_return_statement = 154,
  sym_go_statement = 155,
  sym_defer_statement = 156,
  sym_if_statement = 157,
  sym_for_statement = 158,
  sym_for_clause = 159,
  sym_range_clause = 160,
  sym_expression_switch_statement = 161,
  sym_expression_case = 162,
  sym_default_case = 163,
  sym_type_switch_statement = 164,
  sym__type_switch_header = 165,
  sym_type_case = 166,
  sym_select_statement = 167,
  sym_communication_case = 168,
  sym__expression = 169,
  sym_parenthesized_expression = 170,
  sym_call_expression = 171,
  sym_variadic_argument = 172,
  sym_special_argument_list = 173,
  sym_argument_list = 174,
  sym_selector_expression = 175,
  sym_index_expression = 176,
  sym_slice_expression = 177,
  sym_type_assertion_expression = 178,
  sym_type_conversion_expression = 179,
  sym_type_instantiation_expression = 180,
  sym_composite_literal = 181,
  sym_literal_value = 182,
  sym_literal_element = 183,
  sym_keyed_element = 184,
  sym_func_literal = 185,
  sym_unary_expression = 186,
  sym_binary_expression = 187,
  sym_qualified_type = 188,
  sym_raw_string_literal = 189,
  sym_interpreted_string_literal = 190,
  aux_sym_source_file_repeat1 = 191,
  aux_sym_import_spec_list_repeat1 = 192,
  aux_sym_const_declaration_repeat1 = 193,
  aux_sym_const_spec_repeat1 = 194,
  aux_sym_var_spec_repeat1 = 195,
  aux_sym_var_spec_list_repeat1 = 196,
  aux_sym_type_parameter_list_repeat1 = 197,
  aux_sym_parameter_list_repeat1 = 198,
  aux_sym_type_declaration_repeat1 = 199,
  aux_sym_expression_list_repeat1 = 200,
  aux_sym_type_arguments_repeat1 = 201,
  aux_sym_field_declaration_list_repeat1 = 202,
  aux_sym_field_declaration_repeat1 = 203,
  aux_sym_interface_type_repeat1 = 204,
  aux_sym_type_elem_repeat1 = 205,
  aux_sym__statement_list_repeat1 = 206,
  aux_sym_expression_switch_statement_repeat1 = 207,
  aux_sym_type_switch_statement_repeat1 = 208,
  aux_sym_type_case_repeat1 = 209,
  aux_sym_select_statement_repeat1 = 210,
  aux_sym_argument_list_repeat1 = 211,
  aux_sym_literal_value_repeat1 = 212,
  aux_sym_interpreted_string_literal_repeat1 = 213,
  alias_sym_field_identifier = 214,
  alias_sym_label_name = 215,
  alias_sym_package_identifier = 216,
  alias_sym_type_constraint = 217,
  alias_sym_type_identifier = 218,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_source_file_token1] = "source_file_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_NULL] = "\0",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_struct] = "struct",
  [anon_sym_TILDE] = "~",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_PIPE] = "|",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BQUOTE] = "`",
  [aux_sym_raw_string_literal_token1] = "raw_string_literal_content",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_interpreted_string_literal_token1] = "interpreted_string_literal_content",
  [anon_sym_DQUOTE2] = "\"",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_iota] = "iota",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_var_spec_list] = "var_spec_list",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_negated_type] = "negated_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_elem] = "method_elem",
  [sym_type_elem] = "type_elem",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_type_instantiation_expression] = "type_instantiation_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_literal_element] = "literal_element",
  [sym_keyed_element] = "keyed_element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_spec_repeat1] = "var_spec_repeat1",
  [aux_sym_var_spec_list_repeat1] = "var_spec_list_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_interface_type_repeat1] = "interface_type_repeat1",
  [aux_sym_type_elem_repeat1] = "type_elem_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_constraint] = "type_constraint",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_source_file_token1] = aux_sym_source_file_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [aux_sym_raw_string_literal_token1] = aux_sym_raw_string_literal_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_interpreted_string_literal_token1] = aux_sym_interpreted_string_literal_token1,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_iota] = sym_iota,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_var_spec_list] = sym_var_spec_list,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_negated_type] = sym_negated_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym_method_elem] = sym_method_elem,
  [sym_type_elem] = sym_type_elem,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_type_instantiation_expression] = sym_type_instantiation_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_literal_element] = sym_literal_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_spec_repeat1] = aux_sym_var_spec_repeat1,
  [aux_sym_var_spec_list_repeat1] = aux_sym_var_spec_list_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_interface_type_repeat1] = aux_sym_interface_type_repeat1,
  [aux_sym_type_elem_repeat1] = aux_sym_type_elem_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_type_case_repeat1] = aux_sym_type_case_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_constraint] = alias_sym_type_constraint,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_raw_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_iota] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_type_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_elem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_type_parameters = 33,
  field_update = 34,
  field_value = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 13, .length = 2},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 2},
  [23] = {.index = 26, .length = 1},
  [24] = {.index = 17, .length = 2},
  [25] = {.index = 19, .length = 1},
  [26] = {.index = 27, .length = 1},
  [27] = {.index = 28, .length = 1},
  [28] = {.index = 29, .length = 2},
  [29] = {.index = 31, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [32] = {.index = 35, .length = 3},
  [33] = {.index = 38, .length = 2},
  [34] = {.index = 40, .length = 2},
  [35] = {.index = 42, .length = 2},
  [36] = {.index = 44, .length = 3},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 3},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 55, .length = 1},
  [42] = {.index = 56, .length = 3},
  [43] = {.index = 59, .length = 3},
  [44] = {.index = 62, .length = 3},
  [45] = {.index = 65, .length = 3},
  [46] = {.index = 68, .length = 3},
  [47] = {.index = 71, .length = 1},
  [48] = {.index = 72, .length = 2},
  [49] = {.index = 74, .length = 2},
  [50] = {.index = 76, .length = 3},
  [51] = {.index = 55, .length = 1},
  [52] = {.index = 17, .length = 2},
  [53] = {.index = 79, .length = 2},
  [54] = {.index = 79, .length = 2},
  [55] = {.index = 81, .length = 2},
  [56] = {.index = 83, .length = 1},
  [57] = {.index = 84, .length = 1},
  [58] = {.index = 85, .length = 1},
  [59] = {.index = 86, .length = 3},
  [60] = {.index = 89, .length = 1},
  [61] = {.index = 90, .length = 2},
  [62] = {.index = 92, .length = 1},
  [63] = {.index = 93, .length = 2},
  [64] = {.index = 95, .length = 3},
  [65] = {.index = 98, .length = 3},
  [66] = {.index = 101, .length = 3},
  [67] = {.index = 74, .length = 2},
  [68] = {.index = 17, .length = 2},
  [69] = {.index = 104, .length = 4},
  [70] = {.index = 108, .length = 4},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 116, .length = 4},
  [73] = {.index = 120, .length = 4},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 124, .length = 2},
  [76] = {.index = 49, .length = 1},
  [77] = {.index = 126, .length = 3},
  [78] = {.index = 50, .length = 3},
  [79] = {.index = 129, .length = 3},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 3},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 2},
  [85] = {.index = 144, .length = 2},
  [86] = {.index = 146, .length = 2},
  [87] = {.index = 148, .length = 1},
  [88] = {.index = 149, .length = 1},
  [89] = {.index = 150, .length = 2},
  [90] = {.index = 152, .length = 2},
  [91] = {.index = 154, .length = 2},
  [92] = {.index = 156, .length = 2},
  [93] = {.index = 158, .length = 4},
  [94] = {.index = 162, .length = 4},
  [95] = {.index = 50, .length = 3},
  [96] = {.index = 166, .length = 5},
  [97] = {.index = 171, .length = 5},
  [98] = {.index = 176, .length = 4},
  [99] = {.index = 180, .length = 3},
  [100] = {.index = 183, .length = 2},
  [101] = {.index = 185, .length = 1},
  [102] = {.index = 186, .length = 3},
  [103] = {.index = 189, .length = 4},
  [104] = {.index = 193, .length = 2},
  [105] = {.index = 195, .length = 3},
  [106] = {.index = 198, .length = 2},
  [107] = {.index = 200, .length = 2},
  [108] = {.index = 202, .length = 4},
  [109] = {.index = 206, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_value, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_type, 0},
    {field_type_arguments, 1},
  [11] =
    {field_body, 1},
    {field_type, 0},
  [13] =
    {field_name, 0},
    {field_path, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
  [17] =
    {field_name, 0},
    {field_type, 1},
  [19] =
    {field_type, 0},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_parameters, 1},
    {field_result, 2},
  [24] =
    {field_body, 2},
    {field_parameters, 1},
  [26] =
    {field_element, 2},
  [27] =
    {field_label, 0},
  [28] =
    {field_value, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_right, 1},
  [32] =
    {field_body, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_right, 2},
  [40] =
    {field_field, 2},
    {field_operand, 0},
  [42] =
    {field_channel, 0},
    {field_value, 2},
  [44] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 1},
  [50] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
  [53] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [55] =
    {field_type, 1},
  [56] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [59] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [62] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [65] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [68] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [71] =
    {field_element, 3},
  [72] =
    {field_element, 3},
    {field_length, 1},
  [74] =
    {field_name, 0},
    {field_type, 2},
  [76] =
    {field_name, 0},
    {field_type, 2},
    {field_type_parameters, 1},
  [79] =
    {field_tag, 1},
    {field_type, 0},
  [81] =
    {field_name, 0},
    {field_parameters, 1},
  [83] =
    {field_update, 2},
  [84] =
    {field_condition, 1},
  [85] =
    {field_initializer, 0},
  [86] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [89] =
    {field_right, 0},
  [90] =
    {field_operand, 2},
    {field_type, 0},
  [92] =
    {field_operand, 0},
  [93] =
    {field_index, 2},
    {field_operand, 0},
  [95] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [98] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [101] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_value, 3},
  [104] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [112] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [116] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [120] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [124] =
    {field_tag, 2},
    {field_type, 1},
  [126] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [129] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [132] =
    {field_key, 2},
    {field_value, 4},
  [134] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [137] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [140] =
    {field_condition, 1},
    {field_update, 3},
  [142] =
    {field_left, 0},
    {field_right, 3},
  [144] =
    {field_initializer, 0},
    {field_update, 3},
  [146] =
    {field_condition, 2},
    {field_initializer, 0},
  [148] =
    {field_initializer, 1},
  [149] =
    {field_communication, 1},
  [150] =
    {field_key, 0},
    {field_value, 2},
  [152] =
    {field_operand, 0},
    {field_type, 3},
  [154] =
    {field_end, 3},
    {field_operand, 0},
  [156] =
    {field_operand, 0},
    {field_start, 2},
  [158] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [162] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
    {field_value, 4},
  [166] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [171] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [176] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 3},
    {field_type, 2},
  [180] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [183] =
    {field_initializer, 1},
    {field_value, 3},
  [185] =
    {field_value, 0},
  [186] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [189] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [193] =
    {field_type, 1},
    {field_type, 2},
  [195] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [198] =
    {field_alias, 0},
    {field_value, 2},
  [200] =
    {field_initializer, 0},
    {field_value, 2},
  [202] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [206] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [1] = alias_sym_label_name,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_package_identifier,
  },
  [24] = {
    [0] = alias_sym_type_identifier,
  },
  [25] = {
    [0] = alias_sym_type_identifier,
  },
  [26] = {
    [0] = alias_sym_label_name,
  },
  [31] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [34] = {
    [2] = alias_sym_field_identifier,
  },
  [45] = {
    [2] = alias_sym_field_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_type_identifier,
  },
  [51] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [0] = alias_sym_field_identifier,
  },
  [53] = {
    [0] = alias_sym_type_identifier,
  },
  [55] = {
    [0] = alias_sym_field_identifier,
  },
  [68] = {
    [1] = alias_sym_type_constraint,
  },
  [72] = {
    [2] = alias_sym_field_identifier,
  },
  [73] = {
    [2] = alias_sym_field_identifier,
  },
  [74] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_field_identifier,
  },
  [77] = {
    [0] = alias_sym_field_identifier,
  },
  [78] = {
    [0] = alias_sym_field_identifier,
  },
  [79] = {
    [0] = alias_sym_field_identifier,
  },
  [95] = {
    [2] = alias_sym_type_constraint,
  },
  [97] = {
    [2] = alias_sym_field_identifier,
  },
  [98] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_type_elem, 2,
    sym_type_elem,
    alias_sym_type_constraint,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 11,
  [14] = 11,
  [15] = 11,
  [16] = 11,
  [17] = 11,
  [18] = 11,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 29,
  [31] = 29,
  [32] = 29,
  [33] = 29,
  [34] = 29,
  [35] = 35,
  [36] = 36,
  [37] = 35,
  [38] = 36,
  [39] = 35,
  [40] = 36,
  [41] = 35,
  [42] = 36,
  [43] = 36,
  [44] = 36,
  [45] = 35,
  [46] = 35,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 51,
  [55] = 55,
  [56] = 53,
  [57] = 57,
  [58] = 52,
  [59] = 59,
  [60] = 55,
  [61] = 53,
  [62] = 52,
  [63] = 55,
  [64] = 64,
  [65] = 65,
  [66] = 53,
  [67] = 52,
  [68] = 55,
  [69] = 69,
  [70] = 53,
  [71] = 52,
  [72] = 55,
  [73] = 53,
  [74] = 52,
  [75] = 57,
  [76] = 55,
  [77] = 51,
  [78] = 51,
  [79] = 51,
  [80] = 51,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 85,
  [87] = 82,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 90,
  [93] = 83,
  [94] = 84,
  [95] = 95,
  [96] = 96,
  [97] = 85,
  [98] = 82,
  [99] = 99,
  [100] = 89,
  [101] = 101,
  [102] = 90,
  [103] = 91,
  [104] = 89,
  [105] = 90,
  [106] = 84,
  [107] = 107,
  [108] = 83,
  [109] = 85,
  [110] = 82,
  [111] = 83,
  [112] = 112,
  [113] = 113,
  [114] = 90,
  [115] = 115,
  [116] = 84,
  [117] = 83,
  [118] = 84,
  [119] = 119,
  [120] = 120,
  [121] = 85,
  [122] = 82,
  [123] = 123,
  [124] = 124,
  [125] = 85,
  [126] = 82,
  [127] = 91,
  [128] = 84,
  [129] = 90,
  [130] = 83,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 137,
  [140] = 140,
  [141] = 141,
  [142] = 133,
  [143] = 136,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 148,
  [149] = 138,
  [150] = 140,
  [151] = 138,
  [152] = 141,
  [153] = 132,
  [154] = 154,
  [155] = 133,
  [156] = 136,
  [157] = 144,
  [158] = 158,
  [159] = 137,
  [160] = 145,
  [161] = 140,
  [162] = 146,
  [163] = 141,
  [164] = 133,
  [165] = 136,
  [166] = 138,
  [167] = 144,
  [168] = 137,
  [169] = 140,
  [170] = 141,
  [171] = 133,
  [172] = 136,
  [173] = 144,
  [174] = 137,
  [175] = 145,
  [176] = 140,
  [177] = 146,
  [178] = 141,
  [179] = 133,
  [180] = 136,
  [181] = 144,
  [182] = 144,
  [183] = 137,
  [184] = 140,
  [185] = 141,
  [186] = 133,
  [187] = 187,
  [188] = 144,
  [189] = 145,
  [190] = 137,
  [191] = 146,
  [192] = 140,
  [193] = 141,
  [194] = 133,
  [195] = 136,
  [196] = 144,
  [197] = 145,
  [198] = 137,
  [199] = 146,
  [200] = 200,
  [201] = 201,
  [202] = 140,
  [203] = 203,
  [204] = 145,
  [205] = 146,
  [206] = 145,
  [207] = 146,
  [208] = 145,
  [209] = 145,
  [210] = 158,
  [211] = 203,
  [212] = 141,
  [213] = 131,
  [214] = 135,
  [215] = 158,
  [216] = 203,
  [217] = 138,
  [218] = 145,
  [219] = 135,
  [220] = 158,
  [221] = 203,
  [222] = 132,
  [223] = 131,
  [224] = 135,
  [225] = 158,
  [226] = 203,
  [227] = 227,
  [228] = 131,
  [229] = 135,
  [230] = 158,
  [231] = 203,
  [232] = 131,
  [233] = 131,
  [234] = 135,
  [235] = 136,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 242,
  [292] = 240,
  [293] = 239,
  [294] = 243,
  [295] = 241,
  [296] = 246,
  [297] = 245,
  [298] = 247,
  [299] = 252,
  [300] = 274,
  [301] = 285,
  [302] = 287,
  [303] = 288,
  [304] = 262,
  [305] = 263,
  [306] = 267,
  [307] = 275,
  [308] = 249,
  [309] = 256,
  [310] = 268,
  [311] = 271,
  [312] = 270,
  [313] = 250,
  [314] = 251,
  [315] = 248,
  [316] = 264,
  [317] = 265,
  [318] = 269,
  [319] = 289,
  [320] = 266,
  [321] = 283,
  [322] = 260,
  [323] = 280,
  [324] = 286,
  [325] = 257,
  [326] = 258,
  [327] = 259,
  [328] = 261,
  [329] = 254,
  [330] = 273,
  [331] = 253,
  [332] = 276,
  [333] = 277,
  [334] = 278,
  [335] = 279,
  [336] = 281,
  [337] = 282,
  [338] = 284,
  [339] = 239,
  [340] = 340,
  [341] = 245,
  [342] = 246,
  [343] = 241,
  [344] = 247,
  [345] = 242,
  [346] = 243,
  [347] = 252,
  [348] = 279,
  [349] = 266,
  [350] = 253,
  [351] = 275,
  [352] = 256,
  [353] = 268,
  [354] = 271,
  [355] = 270,
  [356] = 248,
  [357] = 264,
  [358] = 265,
  [359] = 269,
  [360] = 289,
  [361] = 283,
  [362] = 260,
  [363] = 280,
  [364] = 286,
  [365] = 257,
  [366] = 258,
  [367] = 261,
  [368] = 254,
  [369] = 273,
  [370] = 274,
  [371] = 276,
  [372] = 277,
  [373] = 278,
  [374] = 281,
  [375] = 282,
  [376] = 284,
  [377] = 285,
  [378] = 287,
  [379] = 288,
  [380] = 262,
  [381] = 263,
  [382] = 267,
  [383] = 249,
  [384] = 250,
  [385] = 251,
  [386] = 386,
  [387] = 259,
  [388] = 388,
  [389] = 388,
  [390] = 242,
  [391] = 243,
  [392] = 239,
  [393] = 393,
  [394] = 394,
  [395] = 252,
  [396] = 271,
  [397] = 270,
  [398] = 260,
  [399] = 280,
  [400] = 286,
  [401] = 257,
  [402] = 283,
  [403] = 248,
  [404] = 258,
  [405] = 259,
  [406] = 261,
  [407] = 254,
  [408] = 273,
  [409] = 274,
  [410] = 276,
  [411] = 277,
  [412] = 278,
  [413] = 279,
  [414] = 281,
  [415] = 282,
  [416] = 284,
  [417] = 285,
  [418] = 287,
  [419] = 288,
  [420] = 268,
  [421] = 263,
  [422] = 267,
  [423] = 239,
  [424] = 249,
  [425] = 264,
  [426] = 250,
  [427] = 251,
  [428] = 265,
  [429] = 269,
  [430] = 289,
  [431] = 266,
  [432] = 432,
  [433] = 253,
  [434] = 275,
  [435] = 256,
  [436] = 262,
  [437] = 243,
  [438] = 242,
  [439] = 241,
  [440] = 241,
  [441] = 245,
  [442] = 246,
  [443] = 247,
  [444] = 388,
  [445] = 245,
  [446] = 246,
  [447] = 247,
  [448] = 340,
  [449] = 388,
  [450] = 450,
  [451] = 451,
  [452] = 239,
  [453] = 453,
  [454] = 454,
  [455] = 252,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 262,
  [462] = 462,
  [463] = 460,
  [464] = 242,
  [465] = 283,
  [466] = 260,
  [467] = 280,
  [468] = 286,
  [469] = 257,
  [470] = 258,
  [471] = 259,
  [472] = 261,
  [473] = 254,
  [474] = 273,
  [475] = 274,
  [476] = 276,
  [477] = 277,
  [478] = 278,
  [479] = 279,
  [480] = 281,
  [481] = 282,
  [482] = 284,
  [483] = 285,
  [484] = 287,
  [485] = 271,
  [486] = 264,
  [487] = 263,
  [488] = 267,
  [489] = 243,
  [490] = 248,
  [491] = 249,
  [492] = 265,
  [493] = 241,
  [494] = 462,
  [495] = 250,
  [496] = 251,
  [497] = 270,
  [498] = 340,
  [499] = 253,
  [500] = 266,
  [501] = 245,
  [502] = 459,
  [503] = 462,
  [504] = 246,
  [505] = 275,
  [506] = 256,
  [507] = 388,
  [508] = 247,
  [509] = 268,
  [510] = 269,
  [511] = 289,
  [512] = 388,
  [513] = 456,
  [514] = 288,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 239,
  [519] = 517,
  [520] = 239,
  [521] = 252,
  [522] = 522,
  [523] = 522,
  [524] = 432,
  [525] = 517,
  [526] = 517,
  [527] = 517,
  [528] = 528,
  [529] = 517,
  [530] = 516,
  [531] = 522,
  [532] = 516,
  [533] = 533,
  [534] = 534,
  [535] = 264,
  [536] = 248,
  [537] = 250,
  [538] = 251,
  [539] = 253,
  [540] = 540,
  [541] = 275,
  [542] = 269,
  [543] = 289,
  [544] = 256,
  [545] = 245,
  [546] = 268,
  [547] = 246,
  [548] = 247,
  [549] = 283,
  [550] = 260,
  [551] = 551,
  [552] = 280,
  [553] = 286,
  [554] = 257,
  [555] = 258,
  [556] = 259,
  [557] = 261,
  [558] = 254,
  [559] = 273,
  [560] = 274,
  [561] = 276,
  [562] = 534,
  [563] = 277,
  [564] = 432,
  [565] = 278,
  [566] = 534,
  [567] = 567,
  [568] = 279,
  [569] = 281,
  [570] = 570,
  [571] = 540,
  [572] = 282,
  [573] = 573,
  [574] = 284,
  [575] = 285,
  [576] = 576,
  [577] = 287,
  [578] = 578,
  [579] = 288,
  [580] = 262,
  [581] = 241,
  [582] = 245,
  [583] = 246,
  [584] = 247,
  [585] = 551,
  [586] = 263,
  [587] = 267,
  [588] = 241,
  [589] = 589,
  [590] = 266,
  [591] = 239,
  [592] = 551,
  [593] = 249,
  [594] = 271,
  [595] = 270,
  [596] = 596,
  [597] = 540,
  [598] = 265,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 450,
  [605] = 450,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 608,
  [610] = 610,
  [611] = 603,
  [612] = 606,
  [613] = 613,
  [614] = 601,
  [615] = 607,
  [616] = 610,
  [617] = 608,
  [618] = 603,
  [619] = 607,
  [620] = 603,
  [621] = 621,
  [622] = 610,
  [623] = 340,
  [624] = 603,
  [625] = 603,
  [626] = 610,
  [627] = 608,
  [628] = 599,
  [629] = 608,
  [630] = 601,
  [631] = 607,
  [632] = 607,
  [633] = 608,
  [634] = 450,
  [635] = 450,
  [636] = 610,
  [637] = 457,
  [638] = 340,
  [639] = 610,
  [640] = 640,
  [641] = 606,
  [642] = 607,
  [643] = 450,
  [644] = 644,
  [645] = 645,
  [646] = 457,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 644,
  [654] = 654,
  [655] = 655,
  [656] = 647,
  [657] = 651,
  [658] = 644,
  [659] = 659,
  [660] = 660,
  [661] = 654,
  [662] = 662,
  [663] = 663,
  [664] = 654,
  [665] = 655,
  [666] = 666,
  [667] = 647,
  [668] = 668,
  [669] = 659,
  [670] = 651,
  [671] = 644,
  [672] = 660,
  [673] = 659,
  [674] = 660,
  [675] = 675,
  [676] = 654,
  [677] = 655,
  [678] = 647,
  [679] = 651,
  [680] = 644,
  [681] = 659,
  [682] = 660,
  [683] = 654,
  [684] = 655,
  [685] = 647,
  [686] = 651,
  [687] = 644,
  [688] = 659,
  [689] = 660,
  [690] = 654,
  [691] = 655,
  [692] = 647,
  [693] = 651,
  [694] = 659,
  [695] = 660,
  [696] = 649,
  [697] = 649,
  [698] = 655,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 700,
  [705] = 705,
  [706] = 701,
  [707] = 707,
  [708] = 708,
  [709] = 702,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 703,
  [715] = 715,
  [716] = 700,
  [717] = 717,
  [718] = 701,
  [719] = 702,
  [720] = 720,
  [721] = 705,
  [722] = 707,
  [723] = 723,
  [724] = 708,
  [725] = 710,
  [726] = 712,
  [727] = 713,
  [728] = 707,
  [729] = 729,
  [730] = 730,
  [731] = 708,
  [732] = 701,
  [733] = 710,
  [734] = 702,
  [735] = 713,
  [736] = 703,
  [737] = 705,
  [738] = 708,
  [739] = 715,
  [740] = 710,
  [741] = 705,
  [742] = 701,
  [743] = 713,
  [744] = 702,
  [745] = 745,
  [746] = 703,
  [747] = 712,
  [748] = 748,
  [749] = 749,
  [750] = 701,
  [751] = 702,
  [752] = 708,
  [753] = 753,
  [754] = 710,
  [755] = 713,
  [756] = 713,
  [757] = 703,
  [758] = 703,
  [759] = 700,
  [760] = 700,
  [761] = 717,
  [762] = 705,
  [763] = 763,
  [764] = 711,
  [765] = 705,
  [766] = 710,
  [767] = 717,
  [768] = 763,
  [769] = 763,
  [770] = 711,
  [771] = 717,
  [772] = 763,
  [773] = 711,
  [774] = 717,
  [775] = 763,
  [776] = 711,
  [777] = 708,
  [778] = 717,
  [779] = 763,
  [780] = 711,
  [781] = 700,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 782,
  [789] = 785,
  [790] = 784,
  [791] = 783,
  [792] = 783,
  [793] = 782,
  [794] = 784,
  [795] = 785,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 799,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 803,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 805,
  [809] = 803,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 799,
  [844] = 844,
  [845] = 840,
  [846] = 805,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 849,
  [851] = 799,
  [852] = 852,
  [853] = 853,
  [854] = 852,
  [855] = 855,
  [856] = 847,
  [857] = 824,
  [858] = 813,
  [859] = 832,
  [860] = 822,
  [861] = 805,
  [862] = 862,
  [863] = 835,
  [864] = 826,
  [865] = 838,
  [866] = 825,
  [867] = 836,
  [868] = 837,
  [869] = 811,
  [870] = 827,
  [871] = 810,
  [872] = 833,
  [873] = 814,
  [874] = 815,
  [875] = 834,
  [876] = 828,
  [877] = 819,
  [878] = 820,
  [879] = 829,
  [880] = 818,
  [881] = 830,
  [882] = 821,
  [883] = 831,
  [884] = 816,
  [885] = 817,
  [886] = 823,
  [887] = 887,
  [888] = 799,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 799,
  [896] = 896,
  [897] = 897,
  [898] = 796,
  [899] = 797,
  [900] = 889,
  [901] = 894,
  [902] = 902,
  [903] = 894,
  [904] = 904,
  [905] = 892,
  [906] = 906,
  [907] = 892,
  [908] = 889,
  [909] = 909,
  [910] = 805,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 805,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 813,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 814,
  [935] = 935,
  [936] = 815,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 816,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 818,
  [950] = 950,
  [951] = 951,
  [952] = 838,
  [953] = 827,
  [954] = 829,
  [955] = 955,
  [956] = 820,
  [957] = 830,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 821,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 831,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 797,
  [976] = 817,
  [977] = 977,
  [978] = 822,
  [979] = 828,
  [980] = 980,
  [981] = 981,
  [982] = 832,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 823,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 955,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 824,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 833,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 836,
  [1008] = 834,
  [1009] = 1009,
  [1010] = 837,
  [1011] = 1011,
  [1012] = 796,
  [1013] = 1013,
  [1014] = 825,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 811,
  [1019] = 1019,
  [1020] = 810,
  [1021] = 1021,
  [1022] = 826,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 819,
  [1027] = 835,
  [1028] = 968,
  [1029] = 969,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1030,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 862,
  [1038] = 1038,
  [1039] = 1038,
  [1040] = 1038,
  [1041] = 1041,
  [1042] = 1036,
  [1043] = 1041,
  [1044] = 1044,
  [1045] = 1030,
  [1046] = 1036,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 958,
  [1050] = 862,
  [1051] = 1051,
  [1052] = 1035,
  [1053] = 1041,
  [1054] = 862,
  [1055] = 1055,
  [1056] = 862,
  [1057] = 862,
  [1058] = 1034,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1019,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 906,
  [1077] = 896,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 891,
  [1082] = 1082,
  [1083] = 1061,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1075,
  [1098] = 906,
  [1099] = 896,
  [1100] = 1100,
  [1101] = 1079,
  [1102] = 891,
  [1103] = 1061,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 891,
  [1107] = 1107,
  [1108] = 896,
  [1109] = 906,
  [1110] = 896,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1079,
  [1114] = 1105,
  [1115] = 891,
  [1116] = 1061,
  [1117] = 1117,
  [1118] = 249,
  [1119] = 1119,
  [1120] = 1075,
  [1121] = 1121,
  [1122] = 253,
  [1123] = 1075,
  [1124] = 1075,
  [1125] = 906,
  [1126] = 896,
  [1127] = 1127,
  [1128] = 1092,
  [1129] = 1129,
  [1130] = 1079,
  [1131] = 1117,
  [1132] = 891,
  [1133] = 1061,
  [1134] = 1121,
  [1135] = 1107,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 248,
  [1139] = 906,
  [1140] = 1011,
  [1141] = 1075,
  [1142] = 1079,
  [1143] = 1137,
  [1144] = 250,
  [1145] = 1079,
  [1146] = 251,
  [1147] = 990,
  [1148] = 1148,
  [1149] = 1079,
  [1150] = 1061,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1075,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1080,
  [1157] = 1154,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1151,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1161,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1064,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1078,
  [1176] = 1176,
  [1177] = 1174,
  [1178] = 1170,
  [1179] = 1155,
  [1180] = 1158,
  [1181] = 1160,
  [1182] = 1066,
  [1183] = 1161,
  [1184] = 1074,
  [1185] = 1185,
  [1186] = 1111,
  [1187] = 1187,
  [1188] = 1082,
  [1189] = 1062,
  [1190] = 1190,
  [1191] = 1185,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1176,
  [1196] = 1174,
  [1197] = 1197,
  [1198] = 1170,
  [1199] = 1199,
  [1200] = 1155,
  [1201] = 1201,
  [1202] = 1158,
  [1203] = 1203,
  [1204] = 1160,
  [1205] = 1161,
  [1206] = 1185,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1119,
  [1216] = 1185,
  [1217] = 1176,
  [1218] = 1174,
  [1219] = 1219,
  [1220] = 1170,
  [1221] = 1155,
  [1222] = 1173,
  [1223] = 1158,
  [1224] = 1160,
  [1225] = 1161,
  [1226] = 1185,
  [1227] = 1158,
  [1228] = 1158,
  [1229] = 1176,
  [1230] = 1159,
  [1231] = 1176,
  [1232] = 1154,
  [1233] = 1169,
  [1234] = 1174,
  [1235] = 1159,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1170,
  [1239] = 797,
  [1240] = 796,
  [1241] = 1155,
  [1242] = 1173,
  [1243] = 1160,
  [1244] = 1176,
  [1245] = 1129,
  [1246] = 1208,
  [1247] = 1174,
  [1248] = 1248,
  [1249] = 1170,
  [1250] = 1127,
  [1251] = 1155,
  [1252] = 1160,
  [1253] = 1055,
  [1254] = 797,
  [1255] = 1161,
  [1256] = 1208,
  [1257] = 1257,
  [1258] = 1185,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1260,
  [1271] = 1266,
  [1272] = 1262,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1023,
  [1276] = 927,
  [1277] = 1266,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1278,
  [1281] = 1266,
  [1282] = 1282,
  [1283] = 1260,
  [1284] = 1260,
  [1285] = 1274,
  [1286] = 1262,
  [1287] = 1287,
  [1288] = 1262,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 964,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1266,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1294,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1005,
  [1302] = 1260,
  [1303] = 1006,
  [1304] = 1304,
  [1305] = 1296,
  [1306] = 1262,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1289,
  [1310] = 1278,
  [1311] = 1296,
  [1312] = 1278,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1296,
  [1318] = 1260,
  [1319] = 1278,
  [1320] = 1278,
  [1321] = 1274,
  [1322] = 1322,
  [1323] = 1296,
  [1324] = 1324,
  [1325] = 1266,
  [1326] = 1262,
  [1327] = 1327,
  [1328] = 1294,
  [1329] = 1294,
  [1330] = 1294,
  [1331] = 1294,
  [1332] = 1296,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1335,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1335,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1341,
  [1350] = 1346,
  [1351] = 1348,
  [1352] = 1334,
  [1353] = 1353,
  [1354] = 1353,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1334,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1344,
  [1362] = 1358,
  [1363] = 1358,
  [1364] = 1348,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1333,
  [1368] = 1368,
  [1369] = 1334,
  [1370] = 1341,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1366,
  [1374] = 1344,
  [1375] = 1360,
  [1376] = 1376,
  [1377] = 1358,
  [1378] = 1360,
  [1379] = 1341,
  [1380] = 1380,
  [1381] = 1366,
  [1382] = 1333,
  [1383] = 1383,
  [1384] = 1334,
  [1385] = 1333,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1359,
  [1390] = 1335,
  [1391] = 1391,
  [1392] = 1344,
  [1393] = 1333,
  [1394] = 1348,
  [1395] = 1334,
  [1396] = 1335,
  [1397] = 1358,
  [1398] = 1353,
  [1399] = 1353,
  [1400] = 1358,
  [1401] = 1358,
  [1402] = 1353,
  [1403] = 1333,
  [1404] = 1341,
  [1405] = 1344,
  [1406] = 1335,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1346,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1353,
  [1414] = 1414,
  [1415] = 1344,
  [1416] = 1416,
  [1417] = 1387,
  [1418] = 1418,
  [1419] = 1341,
  [1420] = 1348,
  [1421] = 1334,
  [1422] = 1333,
  [1423] = 1342,
  [1424] = 1424,
  [1425] = 1342,
  [1426] = 1359,
  [1427] = 1342,
  [1428] = 1428,
  [1429] = 1342,
  [1430] = 1430,
  [1431] = 1342,
  [1432] = 1348,
  [1433] = 1433,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static TSCharacterRange sym_rune_literal_character_set_1[] = {
  {'"', '"'}, {'\'', '\''}, {'0', '7'}, {'U', 'U'}, {'\\', '\\'}, {'a', 'b'}, {'f', 'f'}, {'n', 'n'},
  {'r', 'r'}, {'t', 'v'}, {'x', 'x'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(59);
      ADVANCE_MAP(
        0, 62,
        '!', 106,
        '"', 148,
        '%', 115,
        '&', 110,
        '\'', 22,
        '(', 66,
        ')', 67,
        '*', 75,
        '+', 100,
        ',', 68,
        '-', 103,
        '.', 65,
        '/', 113,
        '0', 152,
        ':', 98,
        ';', 61,
        '<', 124,
        '=', 70,
        '>', 129,
        '[', 71,
        '\\', 20,
        ']', 72,
        '^', 108,
        '`', 135,
        '{', 77,
        '|', 80,
        '}', 78,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(134);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0, 62,
        '\n', 60,
        '!', 17,
        '%', 114,
        '&', 111,
        '(', 66,
        '*', 74,
        '+', 99,
        ',', 68,
        '-', 102,
        '.', 63,
        '/', 112,
        ';', 61,
        '<', 127,
        '=', 19,
        '>', 130,
        '[', 71,
        '^', 107,
        '{', 77,
        '|', 81,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(134);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(16);
      if (lookahead == '"') ADVANCE(148);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead == '\\') ADVANCE(20);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(146);
      if (lookahead != 0) ADVANCE(147);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 17,
        '"', 142,
        '%', 114,
        '&', 111,
        '(', 66,
        ')', 67,
        '*', 74,
        '+', 99,
        ',', 68,
        '-', 102,
        '.', 64,
        '/', 112,
        ':', 98,
        '<', 125,
        '=', 70,
        '>', 130,
        '[', 71,
        ']', 72,
        '^', 107,
        '`', 135,
        '{', 77,
        '|', 81,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(134);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 17,
        '%', 115,
        '&', 110,
        '(', 66,
        '*', 75,
        '+', 100,
        ',', 68,
        '-', 103,
        '.', 63,
        '/', 113,
        ':', 18,
        ';', 61,
        '<', 124,
        '=', 70,
        '>', 129,
        '[', 71,
        '^', 108,
        '{', 77,
        '|', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 17,
        '%', 115,
        '&', 110,
        '(', 66,
        '*', 75,
        '+', 101,
        ',', 68,
        '-', 104,
        '.', 63,
        '/', 113,
        ':', 18,
        '<', 126,
        '=', 70,
        '>', 129,
        '[', 71,
        '^', 108,
        '{', 77,
        '|', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 17,
        '%', 114,
        '&', 111,
        '(', 66,
        ')', 67,
        '*', 74,
        '+', 99,
        ',', 68,
        '-', 102,
        '.', 64,
        '/', 112,
        ':', 98,
        ';', 61,
        '<', 127,
        '=', 70,
        '>', 130,
        '[', 71,
        ']', 72,
        '^', 107,
        '{', 77,
        '|', 81,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      END_STATE();
    case 7:
      if (lookahead == '\'') ADVANCE(162);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(164);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(82);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(160);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(73);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '_') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(155);
      END_STATE();
    case 16:
      if (lookahead == '/') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 20:
      if (lookahead == 'U') ADVANCE(53);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'x') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(151);
      if (lookahead != 0) ADVANCE(149);
      END_STATE();
    case 21:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(32);
      if (set_contains(sym_rune_literal_character_set_1, 11, lookahead)) ADVANCE(7);
      END_STATE();
    case 22:
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(7);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(156);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      END_STATE();
    case 26:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      END_STATE();
    case 27:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 28:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(156);
      END_STATE();
    case 29:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(7);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(30);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(7);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(155);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (eof) ADVANCE(59);
      ADVANCE_MAP(
        0, 62,
        '\n', 60,
        '!', 105,
        '"', 142,
        '&', 109,
        '\'', 22,
        '(', 66,
        ')', 67,
        '*', 74,
        '+', 99,
        ',', 68,
        '-', 102,
        '.', 34,
        '/', 8,
        '0', 152,
        ';', 61,
        '<', 11,
        '=', 69,
        '[', 71,
        '^', 107,
        '`', 135,
        '{', 77,
        '|', 79,
        '}', 78,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(134);
      END_STATE();
    case 56:
      if (eof) ADVANCE(59);
      ADVANCE_MAP(
        0, 62,
        '\n', 60,
        '!', 17,
        '"', 142,
        '%', 115,
        '&', 110,
        '(', 66,
        ')', 67,
        '*', 75,
        '+', 100,
        ',', 68,
        '-', 103,
        '.', 63,
        '/', 113,
        ':', 98,
        ';', 61,
        '<', 124,
        '=', 70,
        '>', 129,
        '[', 71,
        '^', 108,
        '`', 135,
        '{', 77,
        '|', 80,
        '}', 78,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(134);
      END_STATE();
    case 57:
      if (eof) ADVANCE(59);
      ADVANCE_MAP(
        0, 62,
        '!', 106,
        '"', 142,
        '%', 115,
        '&', 110,
        '\'', 22,
        '(', 66,
        ')', 67,
        '*', 75,
        '+', 100,
        ',', 68,
        '-', 103,
        '.', 65,
        '/', 113,
        '0', 152,
        ':', 98,
        ';', 61,
        '<', 124,
        '=', 70,
        '>', 129,
        '[', 71,
        ']', 72,
        '^', 108,
        '`', 135,
        '{', 77,
        '|', 80,
        '}', 78,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(134);
      END_STATE();
    case 58:
      if (eof) ADVANCE(59);
      ADVANCE_MAP(
        '!', 105,
        '"', 142,
        '&', 109,
        '\'', 22,
        '(', 66,
        ')', 67,
        '*', 74,
        '+', 99,
        ',', 68,
        '-', 102,
        '.', 12,
        '/', 8,
        '0', 152,
        ':', 97,
        ';', 61,
        '<', 11,
        '[', 71,
        ']', 72,
        '^', 107,
        '`', 135,
        '{', 77,
        '}', 78,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(134);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(aux_sym_source_file_token1);
      if (lookahead == '\n') ADVANCE(60);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(95);
      if (lookahead == '|') ADVANCE(133);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(133);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(84);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(132);
      if (lookahead == '=') ADVANCE(91);
      if (lookahead == '^') ADVANCE(121);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(132);
      if (lookahead == '^') ADVANCE(120);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(164);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_raw_string_literal_token1);
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_raw_string_literal_token1);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(141);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_raw_string_literal_token1);
      if (lookahead == '*') ADVANCE(138);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_raw_string_literal_token1);
      if (lookahead == '*') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_raw_string_literal_token1);
      if (lookahead == '/') ADVANCE(137);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_raw_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '*') ADVANCE(145);
      if (lookahead == '/') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(147);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '*') ADVANCE(144);
      if (lookahead == '/') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(145);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '*') ADVANCE(144);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(146);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(147);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_int_literal);
      ADVANCE_MAP(
        '.', 160,
        '_', 29,
        'i', 161,
        'B', 23,
        'b', 23,
        'E', 26,
        'e', 26,
        'O', 25,
        'o', 25,
        'X', 15,
        'x', 15,
        '8', 13,
        '9', 13,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(160);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(160);
      if (lookahead == '_') ADVANCE(33);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(156);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(164);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'm', 9,
        'n', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'w') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'k') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_iota);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 97:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 101:
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 58},
  [2] = {.lex_state = 58},
  [3] = {.lex_state = 58},
  [4] = {.lex_state = 58},
  [5] = {.lex_state = 58},
  [6] = {.lex_state = 58},
  [7] = {.lex_state = 58},
  [8] = {.lex_state = 58},
  [9] = {.lex_state = 58},
  [10] = {.lex_state = 58},
  [11] = {.lex_state = 58},
  [12] = {.lex_state = 58},
  [13] = {.lex_state = 58},
  [14] = {.lex_state = 58},
  [15] = {.lex_state = 58},
  [16] = {.lex_state = 58},
  [17] = {.lex_state = 58},
  [18] = {.lex_state = 58},
  [19] = {.lex_state = 58},
  [20] = {.lex_state = 58},
  [21] = {.lex_state = 58},
  [22] = {.lex_state = 58},
  [23] = {.lex_state = 58},
  [24] = {.lex_state = 58},
  [25] = {.lex_state = 58},
  [26] = {.lex_state = 58},
  [27] = {.lex_state = 58},
  [28] = {.lex_state = 55},
  [29] = {.lex_state = 58},
  [30] = {.lex_state = 58},
  [31] = {.lex_state = 58},
  [32] = {.lex_state = 58},
  [33] = {.lex_state = 58},
  [34] = {.lex_state = 58},
  [35] = {.lex_state = 58},
  [36] = {.lex_state = 58},
  [37] = {.lex_state = 58},
  [38] = {.lex_state = 58},
  [39] = {.lex_state = 58},
  [40] = {.lex_state = 58},
  [41] = {.lex_state = 58},
  [42] = {.lex_state = 58},
  [43] = {.lex_state = 58},
  [44] = {.lex_state = 58},
  [45] = {.lex_state = 58},
  [46] = {.lex_state = 58},
  [47] = {.lex_state = 58},
  [48] = {.lex_state = 58},
  [49] = {.lex_state = 58},
  [50] = {.lex_state = 58},
  [51] = {.lex_state = 58},
  [52] = {.lex_state = 58},
  [53] = {.lex_state = 58},
  [54] = {.lex_state = 58},
  [55] = {.lex_state = 58},
  [56] = {.lex_state = 58},
  [57] = {.lex_state = 58},
  [58] = {.lex_state = 58},
  [59] = {.lex_state = 58},
  [60] = {.lex_state = 58},
  [61] = {.lex_state = 58},
  [62] = {.lex_state = 58},
  [63] = {.lex_state = 58},
  [64] = {.lex_state = 58},
  [65] = {.lex_state = 58},
  [66] = {.lex_state = 58},
  [67] = {.lex_state = 58},
  [68] = {.lex_state = 58},
  [69] = {.lex_state = 58},
  [70] = {.lex_state = 58},
  [71] = {.lex_state = 58},
  [72] = {.lex_state = 58},
  [73] = {.lex_state = 58},
  [74] = {.lex_state = 58},
  [75] = {.lex_state = 58},
  [76] = {.lex_state = 58},
  [77] = {.lex_state = 58},
  [78] = {.lex_state = 58},
  [79] = {.lex_state = 58},
  [80] = {.lex_state = 58},
  [81] = {.lex_state = 58},
  [82] = {.lex_state = 58},
  [83] = {.lex_state = 58},
  [84] = {.lex_state = 58},
  [85] = {.lex_state = 58},
  [86] = {.lex_state = 58},
  [87] = {.lex_state = 58},
  [88] = {.lex_state = 58},
  [89] = {.lex_state = 58},
  [90] = {.lex_state = 58},
  [91] = {.lex_state = 58},
  [92] = {.lex_state = 58},
  [93] = {.lex_state = 58},
  [94] = {.lex_state = 58},
  [95] = {.lex_state = 58},
  [96] = {.lex_state = 58},
  [97] = {.lex_state = 58},
  [98] = {.lex_state = 58},
  [99] = {.lex_state = 58},
  [100] = {.lex_state = 58},
  [101] = {.lex_state = 58},
  [102] = {.lex_state = 58},
  [103] = {.lex_state = 58},
  [104] = {.lex_state = 58},
  [105] = {.lex_state = 58},
  [106] = {.lex_state = 58},
  [107] = {.lex_state = 58},
  [108] = {.lex_state = 58},
  [109] = {.lex_state = 58},
  [110] = {.lex_state = 58},
  [111] = {.lex_state = 58},
  [112] = {.lex_state = 58},
  [113] = {.lex_state = 58},
  [114] = {.lex_state = 58},
  [115] = {.lex_state = 58},
  [116] = {.lex_state = 58},
  [117] = {.lex_state = 58},
  [118] = {.lex_state = 58},
  [119] = {.lex_state = 58},
  [120] = {.lex_state = 58},
  [121] = {.lex_state = 58},
  [122] = {.lex_state = 58},
  [123] = {.lex_state = 58},
  [124] = {.lex_state = 58},
  [125] = {.lex_state = 58},
  [126] = {.lex_state = 58},
  [127] = {.lex_state = 58},
  [128] = {.lex_state = 58},
  [129] = {.lex_state = 58},
  [130] = {.lex_state = 58},
  [131] = {.lex_state = 58},
  [132] = {.lex_state = 58},
  [133] = {.lex_state = 58},
  [134] = {.lex_state = 58},
  [135] = {.lex_state = 58},
  [136] = {.lex_state = 58},
  [137] = {.lex_state = 58},
  [138] = {.lex_state = 58},
  [139] = {.lex_state = 58},
  [140] = {.lex_state = 58},
  [141] = {.lex_state = 58},
  [142] = {.lex_state = 58},
  [143] = {.lex_state = 58},
  [144] = {.lex_state = 58},
  [145] = {.lex_state = 58},
  [146] = {.lex_state = 58},
  [147] = {.lex_state = 58},
  [148] = {.lex_state = 58},
  [149] = {.lex_state = 58},
  [150] = {.lex_state = 58},
  [151] = {.lex_state = 58},
  [152] = {.lex_state = 58},
  [153] = {.lex_state = 58},
  [154] = {.lex_state = 58},
  [155] = {.lex_state = 58},
  [156] = {.lex_state = 58},
  [157] = {.lex_state = 58},
  [158] = {.lex_state = 58},
  [159] = {.lex_state = 58},
  [160] = {.lex_state = 58},
  [161] = {.lex_state = 58},
  [162] = {.lex_state = 58},
  [163] = {.lex_state = 58},
  [164] = {.lex_state = 58},
  [165] = {.lex_state = 58},
  [166] = {.lex_state = 58},
  [167] = {.lex_state = 58},
  [168] = {.lex_state = 58},
  [169] = {.lex_state = 58},
  [170] = {.lex_state = 58},
  [171] = {.lex_state = 58},
  [172] = {.lex_state = 58},
  [173] = {.lex_state = 58},
  [174] = {.lex_state = 58},
  [175] = {.lex_state = 58},
  [176] = {.lex_state = 58},
  [177] = {.lex_state = 58},
  [178] = {.lex_state = 58},
  [179] = {.lex_state = 58},
  [180] = {.lex_state = 58},
  [181] = {.lex_state = 58},
  [182] = {.lex_state = 58},
  [183] = {.lex_state = 58},
  [184] = {.lex_state = 58},
  [185] = {.lex_state = 58},
  [186] = {.lex_state = 58},
  [187] = {.lex_state = 58},
  [188] = {.lex_state = 58},
  [189] = {.lex_state = 58},
  [190] = {.lex_state = 58},
  [191] = {.lex_state = 58},
  [192] = {.lex_state = 58},
  [193] = {.lex_state = 58},
  [194] = {.lex_state = 58},
  [195] = {.lex_state = 58},
  [196] = {.lex_state = 58},
  [197] = {.lex_state = 58},
  [198] = {.lex_state = 58},
  [199] = {.lex_state = 58},
  [200] = {.lex_state = 58},
  [201] = {.lex_state = 58},
  [202] = {.lex_state = 58},
  [203] = {.lex_state = 58},
  [204] = {.lex_state = 58},
  [205] = {.lex_state = 58},
  [206] = {.lex_state = 58},
  [207] = {.lex_state = 58},
  [208] = {.lex_state = 58},
  [209] = {.lex_state = 58},
  [210] = {.lex_state = 58},
  [211] = {.lex_state = 58},
  [212] = {.lex_state = 58},
  [213] = {.lex_state = 58},
  [214] = {.lex_state = 58},
  [215] = {.lex_state = 58},
  [216] = {.lex_state = 58},
  [217] = {.lex_state = 58},
  [218] = {.lex_state = 58},
  [219] = {.lex_state = 58},
  [220] = {.lex_state = 58},
  [221] = {.lex_state = 58},
  [222] = {.lex_state = 58},
  [223] = {.lex_state = 58},
  [224] = {.lex_state = 58},
  [225] = {.lex_state = 58},
  [226] = {.lex_state = 58},
  [227] = {.lex_state = 58},
  [228] = {.lex_state = 58},
  [229] = {.lex_state = 58},
  [230] = {.lex_state = 58},
  [231] = {.lex_state = 58},
  [232] = {.lex_state = 58},
  [233] = {.lex_state = 58},
  [234] = {.lex_state = 58},
  [235] = {.lex_state = 58},
  [236] = {.lex_state = 3},
  [237] = {.lex_state = 56},
  [238] = {.lex_state = 56},
  [239] = {.lex_state = 56},
  [240] = {.lex_state = 56},
  [241] = {.lex_state = 56},
  [242] = {.lex_state = 56},
  [243] = {.lex_state = 56},
  [244] = {.lex_state = 58},
  [245] = {.lex_state = 56},
  [246] = {.lex_state = 56},
  [247] = {.lex_state = 56},
  [248] = {.lex_state = 56},
  [249] = {.lex_state = 56},
  [250] = {.lex_state = 56},
  [251] = {.lex_state = 56},
  [252] = {.lex_state = 56},
  [253] = {.lex_state = 56},
  [254] = {.lex_state = 56},
  [255] = {.lex_state = 4},
  [256] = {.lex_state = 56},
  [257] = {.lex_state = 56},
  [258] = {.lex_state = 56},
  [259] = {.lex_state = 56},
  [260] = {.lex_state = 56},
  [261] = {.lex_state = 56},
  [262] = {.lex_state = 56},
  [263] = {.lex_state = 56},
  [264] = {.lex_state = 56},
  [265] = {.lex_state = 56},
  [266] = {.lex_state = 56},
  [267] = {.lex_state = 56},
  [268] = {.lex_state = 56},
  [269] = {.lex_state = 56},
  [270] = {.lex_state = 56},
  [271] = {.lex_state = 56},
  [272] = {.lex_state = 4},
  [273] = {.lex_state = 56},
  [274] = {.lex_state = 56},
  [275] = {.lex_state = 56},
  [276] = {.lex_state = 56},
  [277] = {.lex_state = 56},
  [278] = {.lex_state = 56},
  [279] = {.lex_state = 56},
  [280] = {.lex_state = 56},
  [281] = {.lex_state = 56},
  [282] = {.lex_state = 56},
  [283] = {.lex_state = 56},
  [284] = {.lex_state = 56},
  [285] = {.lex_state = 56},
  [286] = {.lex_state = 56},
  [287] = {.lex_state = 56},
  [288] = {.lex_state = 56},
  [289] = {.lex_state = 56},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 4},
  [303] = {.lex_state = 4},
  [304] = {.lex_state = 4},
  [305] = {.lex_state = 4},
  [306] = {.lex_state = 4},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4},
  [315] = {.lex_state = 4},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 4},
  [320] = {.lex_state = 4},
  [321] = {.lex_state = 4},
  [322] = {.lex_state = 4},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 4},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 4},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 4},
  [335] = {.lex_state = 4},
  [336] = {.lex_state = 4},
  [337] = {.lex_state = 4},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 5},
  [340] = {.lex_state = 5},
  [341] = {.lex_state = 5},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 5},
  [344] = {.lex_state = 5},
  [345] = {.lex_state = 5},
  [346] = {.lex_state = 5},
  [347] = {.lex_state = 5},
  [348] = {.lex_state = 5},
  [349] = {.lex_state = 5},
  [350] = {.lex_state = 5},
  [351] = {.lex_state = 5},
  [352] = {.lex_state = 5},
  [353] = {.lex_state = 5},
  [354] = {.lex_state = 5},
  [355] = {.lex_state = 5},
  [356] = {.lex_state = 5},
  [357] = {.lex_state = 5},
  [358] = {.lex_state = 5},
  [359] = {.lex_state = 5},
  [360] = {.lex_state = 5},
  [361] = {.lex_state = 5},
  [362] = {.lex_state = 5},
  [363] = {.lex_state = 5},
  [364] = {.lex_state = 5},
  [365] = {.lex_state = 5},
  [366] = {.lex_state = 5},
  [367] = {.lex_state = 5},
  [368] = {.lex_state = 5},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 5},
  [371] = {.lex_state = 5},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 5},
  [375] = {.lex_state = 5},
  [376] = {.lex_state = 5},
  [377] = {.lex_state = 5},
  [378] = {.lex_state = 5},
  [379] = {.lex_state = 5},
  [380] = {.lex_state = 5},
  [381] = {.lex_state = 5},
  [382] = {.lex_state = 5},
  [383] = {.lex_state = 5},
  [384] = {.lex_state = 5},
  [385] = {.lex_state = 5},
  [386] = {.lex_state = 56},
  [387] = {.lex_state = 5},
  [388] = {.lex_state = 55},
  [389] = {.lex_state = 55},
  [390] = {.lex_state = 6},
  [391] = {.lex_state = 6},
  [392] = {.lex_state = 6},
  [393] = {.lex_state = 55},
  [394] = {.lex_state = 55},
  [395] = {.lex_state = 6},
  [396] = {.lex_state = 6},
  [397] = {.lex_state = 6},
  [398] = {.lex_state = 6},
  [399] = {.lex_state = 6},
  [400] = {.lex_state = 6},
  [401] = {.lex_state = 6},
  [402] = {.lex_state = 6},
  [403] = {.lex_state = 6},
  [404] = {.lex_state = 6},
  [405] = {.lex_state = 6},
  [406] = {.lex_state = 6},
  [407] = {.lex_state = 6},
  [408] = {.lex_state = 6},
  [409] = {.lex_state = 6},
  [410] = {.lex_state = 6},
  [411] = {.lex_state = 6},
  [412] = {.lex_state = 6},
  [413] = {.lex_state = 6},
  [414] = {.lex_state = 6},
  [415] = {.lex_state = 6},
  [416] = {.lex_state = 6},
  [417] = {.lex_state = 6},
  [418] = {.lex_state = 6},
  [419] = {.lex_state = 6},
  [420] = {.lex_state = 6},
  [421] = {.lex_state = 6},
  [422] = {.lex_state = 6},
  [423] = {.lex_state = 1},
  [424] = {.lex_state = 6},
  [425] = {.lex_state = 6},
  [426] = {.lex_state = 6},
  [427] = {.lex_state = 6},
  [428] = {.lex_state = 6},
  [429] = {.lex_state = 6},
  [430] = {.lex_state = 6},
  [431] = {.lex_state = 6},
  [432] = {.lex_state = 1},
  [433] = {.lex_state = 6},
  [434] = {.lex_state = 6},
  [435] = {.lex_state = 6},
  [436] = {.lex_state = 6},
  [437] = {.lex_state = 1},
  [438] = {.lex_state = 1},
  [439] = {.lex_state = 6},
  [440] = {.lex_state = 1},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 1},
  [443] = {.lex_state = 1},
  [444] = {.lex_state = 0},
  [445] = {.lex_state = 6},
  [446] = {.lex_state = 6},
  [447] = {.lex_state = 6},
  [448] = {.lex_state = 1},
  [449] = {.lex_state = 0},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 1},
  [452] = {.lex_state = 3},
  [453] = {.lex_state = 1},
  [454] = {.lex_state = 3},
  [455] = {.lex_state = 1},
  [456] = {.lex_state = 55},
  [457] = {.lex_state = 1},
  [458] = {.lex_state = 3},
  [459] = {.lex_state = 55},
  [460] = {.lex_state = 55},
  [461] = {.lex_state = 1},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 55},
  [464] = {.lex_state = 3},
  [465] = {.lex_state = 1},
  [466] = {.lex_state = 1},
  [467] = {.lex_state = 1},
  [468] = {.lex_state = 1},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 1},
  [471] = {.lex_state = 1},
  [472] = {.lex_state = 1},
  [473] = {.lex_state = 1},
  [474] = {.lex_state = 1},
  [475] = {.lex_state = 1},
  [476] = {.lex_state = 1},
  [477] = {.lex_state = 1},
  [478] = {.lex_state = 1},
  [479] = {.lex_state = 1},
  [480] = {.lex_state = 1},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 1},
  [484] = {.lex_state = 1},
  [485] = {.lex_state = 1},
  [486] = {.lex_state = 1},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 3},
  [490] = {.lex_state = 1},
  [491] = {.lex_state = 1},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 3},
  [494] = {.lex_state = 0},
  [495] = {.lex_state = 1},
  [496] = {.lex_state = 1},
  [497] = {.lex_state = 1},
  [498] = {.lex_state = 6},
  [499] = {.lex_state = 1},
  [500] = {.lex_state = 1},
  [501] = {.lex_state = 3},
  [502] = {.lex_state = 55},
  [503] = {.lex_state = 0},
  [504] = {.lex_state = 3},
  [505] = {.lex_state = 1},
  [506] = {.lex_state = 1},
  [507] = {.lex_state = 55},
  [508] = {.lex_state = 3},
  [509] = {.lex_state = 1},
  [510] = {.lex_state = 1},
  [511] = {.lex_state = 1},
  [512] = {.lex_state = 55},
  [513] = {.lex_state = 55},
  [514] = {.lex_state = 1},
  [515] = {.lex_state = 55},
  [516] = {.lex_state = 0},
  [517] = {.lex_state = 6},
  [518] = {.lex_state = 6},
  [519] = {.lex_state = 6},
  [520] = {.lex_state = 6},
  [521] = {.lex_state = 3},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 6},
  [525] = {.lex_state = 6},
  [526] = {.lex_state = 6},
  [527] = {.lex_state = 6},
  [528] = {.lex_state = 6},
  [529] = {.lex_state = 6},
  [530] = {.lex_state = 0},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 0},
  [533] = {.lex_state = 0},
  [534] = {.lex_state = 0},
  [535] = {.lex_state = 3},
  [536] = {.lex_state = 3},
  [537] = {.lex_state = 3},
  [538] = {.lex_state = 3},
  [539] = {.lex_state = 3},
  [540] = {.lex_state = 0},
  [541] = {.lex_state = 3},
  [542] = {.lex_state = 3},
  [543] = {.lex_state = 3},
  [544] = {.lex_state = 3},
  [545] = {.lex_state = 6},
  [546] = {.lex_state = 3},
  [547] = {.lex_state = 6},
  [548] = {.lex_state = 6},
  [549] = {.lex_state = 3},
  [550] = {.lex_state = 3},
  [551] = {.lex_state = 0},
  [552] = {.lex_state = 3},
  [553] = {.lex_state = 3},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 3},
  [556] = {.lex_state = 3},
  [557] = {.lex_state = 3},
  [558] = {.lex_state = 3},
  [559] = {.lex_state = 3},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 3},
  [562] = {.lex_state = 0},
  [563] = {.lex_state = 3},
  [564] = {.lex_state = 6},
  [565] = {.lex_state = 3},
  [566] = {.lex_state = 0},
  [567] = {.lex_state = 6},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 6},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 3},
  [576] = {.lex_state = 6},
  [577] = {.lex_state = 3},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 3},
  [580] = {.lex_state = 3},
  [581] = {.lex_state = 6},
  [582] = {.lex_state = 6},
  [583] = {.lex_state = 6},
  [584] = {.lex_state = 6},
  [585] = {.lex_state = 0},
  [586] = {.lex_state = 3},
  [587] = {.lex_state = 3},
  [588] = {.lex_state = 6},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 3},
  [591] = {.lex_state = 6},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 3},
  [594] = {.lex_state = 3},
  [595] = {.lex_state = 3},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 3},
  [599] = {.lex_state = 0},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 6},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 0},
  [606] = {.lex_state = 0},
  [607] = {.lex_state = 6},
  [608] = {.lex_state = 6},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 6},
  [611] = {.lex_state = 6},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 6},
  [617] = {.lex_state = 6},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 6},
  [620] = {.lex_state = 6},
  [621] = {.lex_state = 6},
  [622] = {.lex_state = 6},
  [623] = {.lex_state = 6},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 6},
  [627] = {.lex_state = 6},
  [628] = {.lex_state = 0},
  [629] = {.lex_state = 6},
  [630] = {.lex_state = 0},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 6},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 6},
  [637] = {.lex_state = 6},
  [638] = {.lex_state = 6},
  [639] = {.lex_state = 6},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 6},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 6},
  [646] = {.lex_state = 6},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 6},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 6},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 6},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 6},
  [660] = {.lex_state = 6},
  [661] = {.lex_state = 6},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 6},
  [665] = {.lex_state = 6},
  [666] = {.lex_state = 6},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 6},
  [669] = {.lex_state = 6},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 6},
  [673] = {.lex_state = 6},
  [674] = {.lex_state = 6},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 6},
  [677] = {.lex_state = 6},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 6},
  [682] = {.lex_state = 6},
  [683] = {.lex_state = 6},
  [684] = {.lex_state = 6},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 6},
  [689] = {.lex_state = 6},
  [690] = {.lex_state = 6},
  [691] = {.lex_state = 6},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 6},
  [695] = {.lex_state = 6},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 6},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 6},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 55},
  [783] = {.lex_state = 55},
  [784] = {.lex_state = 55},
  [785] = {.lex_state = 55},
  [786] = {.lex_state = 55},
  [787] = {.lex_state = 55},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 55},
  [793] = {.lex_state = 55},
  [794] = {.lex_state = 55},
  [795] = {.lex_state = 55},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 56},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 55},
  [806] = {.lex_state = 0},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 55},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 55},
  [811] = {.lex_state = 55},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 55},
  [814] = {.lex_state = 55},
  [815] = {.lex_state = 55},
  [816] = {.lex_state = 55},
  [817] = {.lex_state = 55},
  [818] = {.lex_state = 55},
  [819] = {.lex_state = 55},
  [820] = {.lex_state = 55},
  [821] = {.lex_state = 55},
  [822] = {.lex_state = 55},
  [823] = {.lex_state = 55},
  [824] = {.lex_state = 55},
  [825] = {.lex_state = 55},
  [826] = {.lex_state = 55},
  [827] = {.lex_state = 55},
  [828] = {.lex_state = 55},
  [829] = {.lex_state = 55},
  [830] = {.lex_state = 55},
  [831] = {.lex_state = 55},
  [832] = {.lex_state = 55},
  [833] = {.lex_state = 55},
  [834] = {.lex_state = 55},
  [835] = {.lex_state = 55},
  [836] = {.lex_state = 55},
  [837] = {.lex_state = 55},
  [838] = {.lex_state = 55},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 3},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 3},
  [844] = {.lex_state = 56},
  [845] = {.lex_state = 3},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 3},
  [848] = {.lex_state = 55},
  [849] = {.lex_state = 3},
  [850] = {.lex_state = 3},
  [851] = {.lex_state = 3},
  [852] = {.lex_state = 3},
  [853] = {.lex_state = 56},
  [854] = {.lex_state = 3},
  [855] = {.lex_state = 55},
  [856] = {.lex_state = 3},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 3},
  [888] = {.lex_state = 56},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 55},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 55},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 55},
  [898] = {.lex_state = 55},
  [899] = {.lex_state = 55},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 55},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 55},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 55},
  [910] = {.lex_state = 55},
  [911] = {.lex_state = 55},
  [912] = {.lex_state = 55},
  [913] = {.lex_state = 55},
  [914] = {.lex_state = 55},
  [915] = {.lex_state = 55},
  [916] = {.lex_state = 55},
  [917] = {.lex_state = 55},
  [918] = {.lex_state = 55},
  [919] = {.lex_state = 55},
  [920] = {.lex_state = 55},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 55},
  [923] = {.lex_state = 55},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 55},
  [926] = {.lex_state = 55},
  [927] = {.lex_state = 55},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 55},
  [930] = {.lex_state = 55},
  [931] = {.lex_state = 55},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 55},
  [934] = {.lex_state = 55},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 55},
  [937] = {.lex_state = 55},
  [938] = {.lex_state = 55},
  [939] = {.lex_state = 55},
  [940] = {.lex_state = 55},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 55},
  [943] = {.lex_state = 55},
  [944] = {.lex_state = 55},
  [945] = {.lex_state = 55},
  [946] = {.lex_state = 55},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 55},
  [949] = {.lex_state = 55},
  [950] = {.lex_state = 55},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 55},
  [953] = {.lex_state = 55},
  [954] = {.lex_state = 55},
  [955] = {.lex_state = 3},
  [956] = {.lex_state = 55},
  [957] = {.lex_state = 55},
  [958] = {.lex_state = 55},
  [959] = {.lex_state = 55},
  [960] = {.lex_state = 55},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 55},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 55},
  [965] = {.lex_state = 55},
  [966] = {.lex_state = 55},
  [967] = {.lex_state = 55},
  [968] = {.lex_state = 55},
  [969] = {.lex_state = 55},
  [970] = {.lex_state = 55},
  [971] = {.lex_state = 55},
  [972] = {.lex_state = 55},
  [973] = {.lex_state = 55},
  [974] = {.lex_state = 55},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 55},
  [977] = {.lex_state = 55},
  [978] = {.lex_state = 55},
  [979] = {.lex_state = 55},
  [980] = {.lex_state = 55},
  [981] = {.lex_state = 55},
  [982] = {.lex_state = 55},
  [983] = {.lex_state = 55},
  [984] = {.lex_state = 55},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 55},
  [987] = {.lex_state = 55},
  [988] = {.lex_state = 55},
  [989] = {.lex_state = 55},
  [990] = {.lex_state = 55},
  [991] = {.lex_state = 3},
  [992] = {.lex_state = 55},
  [993] = {.lex_state = 55},
  [994] = {.lex_state = 55},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 55},
  [997] = {.lex_state = 55},
  [998] = {.lex_state = 55},
  [999] = {.lex_state = 55},
  [1000] = {.lex_state = 55},
  [1001] = {.lex_state = 55},
  [1002] = {.lex_state = 55},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 55},
  [1006] = {.lex_state = 55},
  [1007] = {.lex_state = 55},
  [1008] = {.lex_state = 55},
  [1009] = {.lex_state = 55},
  [1010] = {.lex_state = 55},
  [1011] = {.lex_state = 55},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 55},
  [1015] = {.lex_state = 55},
  [1016] = {.lex_state = 55},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 55},
  [1019] = {.lex_state = 55},
  [1020] = {.lex_state = 55},
  [1021] = {.lex_state = 55},
  [1022] = {.lex_state = 55},
  [1023] = {.lex_state = 55},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 55},
  [1027] = {.lex_state = 55},
  [1028] = {.lex_state = 55},
  [1029] = {.lex_state = 55},
  [1030] = {.lex_state = 55},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 55},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 55},
  [1035] = {.lex_state = 55},
  [1036] = {.lex_state = 55},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 55},
  [1039] = {.lex_state = 55},
  [1040] = {.lex_state = 55},
  [1041] = {.lex_state = 55},
  [1042] = {.lex_state = 55},
  [1043] = {.lex_state = 55},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 55},
  [1046] = {.lex_state = 55},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 55},
  [1049] = {.lex_state = 55},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 55},
  [1052] = {.lex_state = 55},
  [1053] = {.lex_state = 55},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 55},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 55},
  [1059] = {.lex_state = 55},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 55},
  [1063] = {.lex_state = 55},
  [1064] = {.lex_state = 55},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 55},
  [1067] = {.lex_state = 55},
  [1068] = {.lex_state = 55},
  [1069] = {.lex_state = 55},
  [1070] = {.lex_state = 55},
  [1071] = {.lex_state = 55},
  [1072] = {.lex_state = 55},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 55},
  [1075] = {.lex_state = 2},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 55},
  [1079] = {.lex_state = 2},
  [1080] = {.lex_state = 55},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 55},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 55},
  [1087] = {.lex_state = 2},
  [1088] = {.lex_state = 55},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 55},
  [1091] = {.lex_state = 55},
  [1092] = {.lex_state = 58},
  [1093] = {.lex_state = 55},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 55},
  [1096] = {.lex_state = 55},
  [1097] = {.lex_state = 2},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 2},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 55},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 58},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 55},
  [1112] = {.lex_state = 55},
  [1113] = {.lex_state = 2},
  [1114] = {.lex_state = 55},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 55},
  [1118] = {.lex_state = 55},
  [1119] = {.lex_state = 55},
  [1120] = {.lex_state = 2},
  [1121] = {.lex_state = 55},
  [1122] = {.lex_state = 55},
  [1123] = {.lex_state = 2},
  [1124] = {.lex_state = 2},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 55},
  [1128] = {.lex_state = 58},
  [1129] = {.lex_state = 55},
  [1130] = {.lex_state = 2},
  [1131] = {.lex_state = 55},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 55},
  [1135] = {.lex_state = 58},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 55},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 2},
  [1142] = {.lex_state = 2},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 55},
  [1145] = {.lex_state = 2},
  [1146] = {.lex_state = 55},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 2},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 55},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 2},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 55},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 55},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 55},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 55},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 55},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 55},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 55},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 55},
  [1189] = {.lex_state = 55},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 55},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 55},
  [1215] = {.lex_state = 55},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 55},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 55},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 55},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 55},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 58},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 140},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 140},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 0},
  [1382] = {.lex_state = 140},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 140},
  [1386] = {.lex_state = 0},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 0},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 140},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 0},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 0},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 0},
  [1401] = {.lex_state = 0},
  [1402] = {.lex_state = 0},
  [1403] = {.lex_state = 140},
  [1404] = {.lex_state = 0},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 0},
  [1408] = {.lex_state = 0},
  [1409] = {.lex_state = 0},
  [1410] = {.lex_state = 0},
  [1411] = {.lex_state = 0},
  [1412] = {.lex_state = 0},
  [1413] = {.lex_state = 0},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 0},
  [1416] = {.lex_state = 0},
  [1417] = {.lex_state = 0},
  [1418] = {.lex_state = 0},
  [1419] = {.lex_state = 0},
  [1420] = {.lex_state = 0},
  [1421] = {.lex_state = 0},
  [1422] = {.lex_state = 140},
  [1423] = {.lex_state = 0},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 0},
  [1426] = {.lex_state = 0},
  [1427] = {.lex_state = 0},
  [1428] = {.lex_state = 0},
  [1429] = {.lex_state = 0},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 0},
  [1433] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_iota] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1418),
    [sym_package_clause] = STATE(1095),
    [sym_import_declaration] = STATE(1095),
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_function_declaration] = STATE(1095),
    [sym_method_declaration] = STATE(1095),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(1257),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_package_clause] = STATE(1112),
    [sym_import_declaration] = STATE(1112),
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_function_declaration] = STATE(1112),
    [sym_method_declaration] = STATE(1112),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(1257),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(77),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_package_clause] = STATE(1257),
    [sym_import_declaration] = STATE(1257),
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_function_declaration] = STATE(1257),
    [sym_method_declaration] = STATE(1257),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(1257),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(84),
    [anon_sym_package] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(90),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_const] = ACTIONS(96),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_func] = ACTIONS(102),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_type] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_struct] = ACTIONS(114),
    [anon_sym_TILDE] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(120),
    [anon_sym_interface] = ACTIONS(123),
    [anon_sym_map] = ACTIONS(126),
    [anon_sym_chan] = ACTIONS(129),
    [anon_sym_LT_DASH] = ACTIONS(132),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(138),
    [anon_sym_continue] = ACTIONS(141),
    [anon_sym_goto] = ACTIONS(144),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_go] = ACTIONS(150),
    [anon_sym_defer] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(156),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_switch] = ACTIONS(162),
    [anon_sym_select] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(168),
    [anon_sym_make] = ACTIONS(168),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [sym_int_literal] = ACTIONS(180),
    [sym_float_literal] = ACTIONS(180),
    [sym_imaginary_literal] = ACTIONS(183),
    [sym_rune_literal] = ACTIONS(183),
    [sym_nil] = ACTIONS(180),
    [sym_true] = ACTIONS(180),
    [sym_false] = ACTIONS(180),
    [sym_iota] = ACTIONS(180),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1187),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1187),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(190),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(192),
    [anon_sym_default] = ACTIONS(192),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1171),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1171),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(194),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(196),
    [anon_sym_default] = ACTIONS(196),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1213),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1213),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(198),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(200),
    [anon_sym_default] = ACTIONS(200),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1163),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1163),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(202),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(204),
    [anon_sym_default] = ACTIONS(204),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1167),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1167),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(206),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(208),
    [anon_sym_default] = ACTIONS(208),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(984),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1164),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(212),
    [anon_sym_default] = ACTIONS(212),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(984),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1219),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(216),
    [anon_sym_default] = ACTIONS(216),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1384),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1384),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(218),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(994),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(220),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(222),
    [anon_sym_default] = ACTIONS(222),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1369),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1369),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1334),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1334),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1352),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1352),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(228),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1357),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1357),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(230),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1421),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1421),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(232),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement_list] = STATE(1395),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_empty_labeled_statement] = STATE(1395),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(234),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(994),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__declaration] = STATE(1000),
    [sym_const_declaration] = STATE(1000),
    [sym_var_declaration] = STATE(1000),
    [sym_type_declaration] = STATE(1000),
    [sym_expression_list] = STATE(809),
    [sym_parenthesized_type] = STATE(1294),
    [sym__simple_type] = STATE(1294),
    [sym_generic_type] = STATE(1139),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1139),
    [sym_implicit_length_array_type] = STATE(1312),
    [sym_slice_type] = STATE(1139),
    [sym_struct_type] = STATE(1139),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1108),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(1000),
    [sym__statement] = STATE(984),
    [sym_empty_statement] = STATE(1000),
    [sym__simple_statement] = STATE(1000),
    [sym_expression_statement] = STATE(964),
    [sym_send_statement] = STATE(964),
    [sym_inc_statement] = STATE(964),
    [sym_dec_statement] = STATE(964),
    [sym_assignment_statement] = STATE(964),
    [sym_short_var_declaration] = STATE(964),
    [sym_labeled_statement] = STATE(1000),
    [sym_fallthrough_statement] = STATE(1000),
    [sym_break_statement] = STATE(1000),
    [sym_continue_statement] = STATE(1000),
    [sym_goto_statement] = STATE(1000),
    [sym_return_statement] = STATE(1000),
    [sym_go_statement] = STATE(1000),
    [sym_defer_statement] = STATE(1000),
    [sym_if_statement] = STATE(1000),
    [sym_for_statement] = STATE(1000),
    [sym_expression_switch_statement] = STATE(1000),
    [sym_type_switch_statement] = STATE(1000),
    [sym_select_statement] = STATE(1000),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_type_instantiation_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1050),
    [sym_raw_string_literal] = STATE(266),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(806),
    [sym_parenthesized_type] = STATE(1330),
    [sym__simple_type] = STATE(1330),
    [sym_generic_type] = STATE(1098),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1098),
    [sym_implicit_length_array_type] = STATE(1310),
    [sym_slice_type] = STATE(1098),
    [sym_struct_type] = STATE(1098),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_block] = STATE(959),
    [sym__simple_statement] = STATE(1430),
    [sym_expression_statement] = STATE(1291),
    [sym_send_statement] = STATE(1291),
    [sym_inc_statement] = STATE(1291),
    [sym_dec_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1291),
    [sym_short_var_declaration] = STATE(1291),
    [sym_for_clause] = STATE(1282),
    [sym_range_clause] = STATE(1282),
    [sym__expression] = STATE(272),
    [sym_parenthesized_expression] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_selector_expression] = STATE(320),
    [sym_index_expression] = STATE(320),
    [sym_slice_expression] = STATE(320),
    [sym_type_assertion_expression] = STATE(320),
    [sym_type_conversion_expression] = STATE(320),
    [sym_type_instantiation_expression] = STATE(320),
    [sym_composite_literal] = STATE(320),
    [sym_func_literal] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_qualified_type] = STATE(1037),
    [sym_raw_string_literal] = STATE(320),
    [sym_interpreted_string_literal] = STATE(320),
    [sym_identifier] = ACTIONS(236),
    [anon_sym_SEMI] = ACTIONS(238),
    [anon_sym_LPAREN] = ACTIONS(240),
    [anon_sym_func] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(246),
    [anon_sym_range] = ACTIONS(248),
    [anon_sym_new] = ACTIONS(250),
    [anon_sym_make] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(256),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_nil] = ACTIONS(258),
    [sym_true] = ACTIONS(258),
    [sym_false] = ACTIONS(258),
    [sym_iota] = ACTIONS(258),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(801),
    [sym_parenthesized_type] = STATE(1330),
    [sym__simple_type] = STATE(1330),
    [sym_generic_type] = STATE(1098),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1098),
    [sym_implicit_length_array_type] = STATE(1310),
    [sym_slice_type] = STATE(1098),
    [sym_struct_type] = STATE(1098),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym__simple_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1291),
    [sym_send_statement] = STATE(1291),
    [sym_inc_statement] = STATE(1291),
    [sym_dec_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1291),
    [sym_short_var_declaration] = STATE(1291),
    [sym__type_switch_header] = STATE(1340),
    [sym__expression] = STATE(290),
    [sym_parenthesized_expression] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_selector_expression] = STATE(320),
    [sym_index_expression] = STATE(320),
    [sym_slice_expression] = STATE(320),
    [sym_type_assertion_expression] = STATE(320),
    [sym_type_conversion_expression] = STATE(320),
    [sym_type_instantiation_expression] = STATE(320),
    [sym_composite_literal] = STATE(320),
    [sym_func_literal] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_qualified_type] = STATE(1037),
    [sym_raw_string_literal] = STATE(320),
    [sym_interpreted_string_literal] = STATE(320),
    [sym_identifier] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(240),
    [anon_sym_func] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(262),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(250),
    [anon_sym_make] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(256),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_nil] = ACTIONS(258),
    [sym_true] = ACTIONS(258),
    [sym_false] = ACTIONS(258),
    [sym_iota] = ACTIONS(258),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression_list] = STATE(804),
    [sym_parenthesized_type] = STATE(1330),
    [sym__simple_type] = STATE(1330),
    [sym_generic_type] = STATE(1098),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1098),
    [sym_implicit_length_array_type] = STATE(1310),
    [sym_slice_type] = STATE(1098),
    [sym_struct_type] = STATE(1098),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym__simple_statement] = STATE(1337),
    [sym_expression_statement] = STATE(1291),
    [sym_send_statement] = STATE(1291),
    [sym_inc_statement] = STATE(1291),
    [sym_dec_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1291),
    [sym_short_var_declaration] = STATE(1291),
    [sym__expression] = STATE(292),
    [sym_parenthesized_expression] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_selector_expression] = STATE(320),
    [sym_index_expression] = STATE(320),
    [sym_slice_expression] = STATE(320),
    [sym_type_assertion_expression] = STATE(320),
    [sym_type_conversion_expression] = STATE(320),
    [sym_type_instantiation_expression] = STATE(320),
    [sym_composite_literal] = STATE(320),
    [sym_func_literal] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_qualified_type] = STATE(1037),
    [sym_raw_string_literal] = STATE(320),
    [sym_interpreted_string_literal] = STATE(320),
    [sym_identifier] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(240),
    [anon_sym_func] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(264),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(250),
    [anon_sym_make] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(256),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_nil] = ACTIONS(258),
    [sym_true] = ACTIONS(258),
    [sym_false] = ACTIONS(258),
    [sym_iota] = ACTIONS(258),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression_list] = STATE(804),
    [sym_parenthesized_type] = STATE(1330),
    [sym__simple_type] = STATE(1330),
    [sym_generic_type] = STATE(1098),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1098),
    [sym_implicit_length_array_type] = STATE(1310),
    [sym_slice_type] = STATE(1098),
    [sym_struct_type] = STATE(1098),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym__simple_statement] = STATE(1345),
    [sym_expression_statement] = STATE(1291),
    [sym_send_statement] = STATE(1291),
    [sym_inc_statement] = STATE(1291),
    [sym_dec_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1291),
    [sym_short_var_declaration] = STATE(1291),
    [sym__expression] = STATE(292),
    [sym_parenthesized_expression] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_selector_expression] = STATE(320),
    [sym_index_expression] = STATE(320),
    [sym_slice_expression] = STATE(320),
    [sym_type_assertion_expression] = STATE(320),
    [sym_type_conversion_expression] = STATE(320),
    [sym_type_instantiation_expression] = STATE(320),
    [sym_composite_literal] = STATE(320),
    [sym_func_literal] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_qualified_type] = STATE(1037),
    [sym_raw_string_literal] = STATE(320),
    [sym_interpreted_string_literal] = STATE(320),
    [sym_identifier] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(240),
    [anon_sym_func] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(250),
    [anon_sym_make] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(256),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_nil] = ACTIONS(258),
    [sym_true] = ACTIONS(258),
    [sym_false] = ACTIONS(258),
    [sym_iota] = ACTIONS(258),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression_list] = STATE(804),
    [sym_parenthesized_type] = STATE(1330),
    [sym__simple_type] = STATE(1330),
    [sym_generic_type] = STATE(1098),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1098),
    [sym_implicit_length_array_type] = STATE(1310),
    [sym_slice_type] = STATE(1098),
    [sym_struct_type] = STATE(1098),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym__simple_statement] = STATE(1428),
    [sym_expression_statement] = STATE(1291),
    [sym_send_statement] = STATE(1291),
    [sym_inc_statement] = STATE(1291),
    [sym_dec_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1291),
    [sym_short_var_declaration] = STATE(1291),
    [sym__expression] = STATE(292),
    [sym_parenthesized_expression] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_selector_expression] = STATE(320),
    [sym_index_expression] = STATE(320),
    [sym_slice_expression] = STATE(320),
    [sym_type_assertion_expression] = STATE(320),
    [sym_type_conversion_expression] = STATE(320),
    [sym_type_instantiation_expression] = STATE(320),
    [sym_composite_literal] = STATE(320),
    [sym_func_literal] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_qualified_type] = STATE(1037),
    [sym_raw_string_literal] = STATE(320),
    [sym_interpreted_string_literal] = STATE(320),
    [sym_identifier] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(240),
    [anon_sym_func] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(268),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(250),
    [anon_sym_make] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(256),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_nil] = ACTIONS(258),
    [sym_true] = ACTIONS(258),
    [sym_false] = ACTIONS(258),
    [sym_iota] = ACTIONS(258),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression_list] = STATE(804),
    [sym_parenthesized_type] = STATE(1330),
    [sym__simple_type] = STATE(1330),
    [sym_generic_type] = STATE(1098),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1098),
    [sym_implicit_length_array_type] = STATE(1310),
    [sym_slice_type] = STATE(1098),
    [sym_struct_type] = STATE(1098),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym__simple_statement] = STATE(1356),
    [sym_expression_statement] = STATE(1291),
    [sym_send_statement] = STATE(1291),
    [sym_inc_statement] = STATE(1291),
    [sym_dec_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1291),
    [sym_short_var_declaration] = STATE(1291),
    [sym__expression] = STATE(292),
    [sym_parenthesized_expression] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_selector_expression] = STATE(320),
    [sym_index_expression] = STATE(320),
    [sym_slice_expression] = STATE(320),
    [sym_type_assertion_expression] = STATE(320),
    [sym_type_conversion_expression] = STATE(320),
    [sym_type_instantiation_expression] = STATE(320),
    [sym_composite_literal] = STATE(320),
    [sym_func_literal] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_qualified_type] = STATE(1037),
    [sym_raw_string_literal] = STATE(320),
    [sym_interpreted_string_literal] = STATE(320),
    [sym_identifier] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(240),
    [anon_sym_func] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(250),
    [anon_sym_make] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(256),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_nil] = ACTIONS(258),
    [sym_true] = ACTIONS(258),
    [sym_false] = ACTIONS(258),
    [sym_iota] = ACTIONS(258),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression_list] = STATE(803),
    [sym_parenthesized_type] = STATE(1330),
    [sym__simple_type] = STATE(1330),
    [sym_generic_type] = STATE(1098),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1098),
    [sym_implicit_length_array_type] = STATE(1310),
    [sym_slice_type] = STATE(1098),
    [sym_struct_type] = STATE(1098),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym__simple_statement] = STATE(1368),
    [sym_expression_statement] = STATE(1291),
    [sym_send_statement] = STATE(1291),
    [sym_inc_statement] = STATE(1291),
    [sym_dec_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1291),
    [sym_short_var_declaration] = STATE(1291),
    [sym__expression] = STATE(255),
    [sym_parenthesized_expression] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_selector_expression] = STATE(320),
    [sym_index_expression] = STATE(320),
    [sym_slice_expression] = STATE(320),
    [sym_type_assertion_expression] = STATE(320),
    [sym_type_conversion_expression] = STATE(320),
    [sym_type_instantiation_expression] = STATE(320),
    [sym_composite_literal] = STATE(320),
    [sym_func_literal] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_qualified_type] = STATE(1037),
    [sym_raw_string_literal] = STATE(320),
    [sym_interpreted_string_literal] = STATE(320),
    [sym_identifier] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(240),
    [anon_sym_func] = ACTIONS(242),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(244),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(246),
    [anon_sym_new] = ACTIONS(250),
    [anon_sym_make] = ACTIONS(250),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(256),
    [sym_int_literal] = ACTIONS(258),
    [sym_float_literal] = ACTIONS(258),
    [sym_imaginary_literal] = ACTIONS(260),
    [sym_rune_literal] = ACTIONS(260),
    [sym_nil] = ACTIONS(258),
    [sym_true] = ACTIONS(258),
    [sym_false] = ACTIONS(258),
    [sym_iota] = ACTIONS(258),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_expression_list] = STATE(926),
    [sym_parenthesized_type] = STATE(1329),
    [sym__simple_type] = STATE(1329),
    [sym_generic_type] = STATE(1076),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(1076),
    [sym_implicit_length_array_type] = STATE(1320),
    [sym_slice_type] = STATE(1076),
    [sym_struct_type] = STATE(1076),
    [sym_negated_type] = STATE(846),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(1077),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym__expression] = STATE(432),
    [sym_parenthesized_expression] = STATE(500),
    [sym_call_expression] = STATE(500),
    [sym_selector_expression] = STATE(500),
    [sym_index_expression] = STATE(500),
    [sym_slice_expression] = STATE(500),
    [sym_type_assertion_expression] = STATE(500),
    [sym_type_conversion_expression] = STATE(500),
    [sym_type_instantiation_expression] = STATE(500),
    [sym_composite_literal] = STATE(500),
    [sym_func_literal] = STATE(500),
    [sym_unary_expression] = STATE(500),
    [sym_binary_expression] = STATE(500),
    [sym_qualified_type] = STATE(1057),
    [sym_raw_string_literal] = STATE(500),
    [sym_interpreted_string_literal] = STATE(500),
    [sym_identifier] = ACTIONS(272),
    [aux_sym_source_file_token1] = ACTIONS(274),
    [anon_sym_SEMI] = ACTIONS(276),
    [anon_sym_NULL] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(278),
    [anon_sym_func] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(282),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_RBRACE] = ACTIONS(276),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(276),
    [anon_sym_default] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(290),
    [anon_sym_make] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(292),
    [anon_sym_DASH] = ACTIONS(292),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_CARET] = ACTIONS(292),
    [anon_sym_AMP] = ACTIONS(292),
    [anon_sym_BQUOTE] = ACTIONS(294),
    [anon_sym_DQUOTE] = ACTIONS(296),
    [sym_int_literal] = ACTIONS(298),
    [sym_float_literal] = ACTIONS(298),
    [sym_imaginary_literal] = ACTIONS(298),
    [sym_rune_literal] = ACTIONS(298),
    [sym_nil] = ACTIONS(298),
    [sym_true] = ACTIONS(298),
    [sym_false] = ACTIONS(298),
    [sym_iota] = ACTIONS(298),
    [sym_comment] = ACTIONS(300),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_COMMA,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_RBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1116), 1,
      sym_literal_element,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1196), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [131] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(330), 1,
      anon_sym_COMMA,
    ACTIONS(332), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1150), 1,
      sym_literal_element,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1247), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [262] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(334), 1,
      anon_sym_COMMA,
    ACTIONS(336), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1061), 1,
      sym_literal_element,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1174), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [393] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(338), 1,
      anon_sym_COMMA,
    ACTIONS(340), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1083), 1,
      sym_literal_element,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1234), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [524] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(342), 1,
      anon_sym_COMMA,
    ACTIONS(344), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1103), 1,
      sym_literal_element,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1177), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [655] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(346), 1,
      anon_sym_COMMA,
    ACTIONS(348), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1133), 1,
      sym_literal_element,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1218), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [786] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(350), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [914] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(352), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1042] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(354), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1170] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1298] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(358), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1426] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(360), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1554] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(362), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1682] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(364), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1810] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(366), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [1938] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(368), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2066] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(370), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2194] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(372), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2322] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1201), 1,
      sym_literal_element,
    STATE(1267), 1,
      sym_keyed_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2447] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(454), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    STATE(1279), 1,
      sym_expression_list,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1383), 2,
      sym_send_statement,
      sym_receive_statement,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2567] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(576), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1165), 1,
      sym_literal_value,
    STATE(1269), 1,
      sym_literal_element,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2689] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(396), 1,
      anon_sym_RBRACK,
    ACTIONS(398), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(698), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2808] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(404), 1,
      anon_sym_COLON,
    STATE(615), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [2927] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_RPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3046] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(416), 1,
      anon_sym_RPAREN,
    STATE(526), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1155), 1,
      sym_variadic_argument,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3165] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(418), 1,
      anon_sym_COLON,
    STATE(607), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3284] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(420), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3403] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(422), 1,
      anon_sym_RPAREN,
    STATE(527), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1251), 1,
      sym_variadic_argument,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3522] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(424), 1,
      anon_sym_RBRACK,
    STATE(665), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1154), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3641] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(426), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3760] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(424), 1,
      anon_sym_RBRACK,
    ACTIONS(428), 1,
      sym_identifier,
    STATE(665), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1211), 1,
      sym_type_parameter_declaration,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3879] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(430), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [3998] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(432), 1,
      anon_sym_RPAREN,
    STATE(525), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1241), 1,
      sym_variadic_argument,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4117] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(434), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4236] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(436), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4355] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_range,
    STATE(524), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4474] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_range,
    STATE(524), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1303), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4593] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(440), 1,
      anon_sym_RPAREN,
    STATE(519), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1179), 1,
      sym_variadic_argument,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4712] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(442), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4831] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(444), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [4950] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(450), 1,
      anon_sym_LBRACE,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(528), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1412), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5069] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(456), 1,
      anon_sym_RPAREN,
    STATE(517), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1200), 1,
      sym_variadic_argument,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5188] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(458), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5307] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(460), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5426] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(462), 1,
      anon_sym_RPAREN,
    STATE(529), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1221), 1,
      sym_variadic_argument,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5545] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(464), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5664] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(466), 1,
      anon_sym_RBRACK,
    STATE(655), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5783] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(468), 1,
      anon_sym_RPAREN,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [5902] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(470), 1,
      anon_sym_COLON,
    STATE(632), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6021] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(472), 1,
      anon_sym_COLON,
    STATE(642), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6140] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(474), 1,
      anon_sym_COLON,
    STATE(631), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6259] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    ACTIONS(476), 1,
      anon_sym_COLON,
    STATE(619), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6378] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(997), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6494] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(492), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6610] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_RBRACK,
    STATE(618), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6726] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(496), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6842] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(498), 1,
      anon_sym_RBRACK,
    STATE(633), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [6958] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_RBRACK,
    STATE(617), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7074] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(502), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7190] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(567), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1300), 1,
      sym_variadic_argument,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7306] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(524), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7422] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(504), 1,
      anon_sym_RBRACK,
    STATE(677), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7538] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(524), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1303), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7654] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(466), 1,
      anon_sym_RBRACK,
    STATE(655), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7770] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(506), 1,
      anon_sym_RBRACK,
    STATE(611), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [7886] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(508), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8002] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_SEMI,
    STATE(648), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8118] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(925), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8234] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(512), 1,
      anon_sym_RBRACK,
    STATE(629), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8350] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8466] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(524), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1371), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8582] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(564), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1301), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8698] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(570), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1303), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8814] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(516), 1,
      anon_sym_RBRACK,
    STATE(684), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [8930] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(564), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    STATE(1303), 1,
      sym_expression_list,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9046] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1005), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9162] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(396), 1,
      anon_sym_RBRACK,
    STATE(698), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9278] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(518), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9394] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(520), 1,
      anon_sym_SEMI,
    STATE(668), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9510] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(522), 1,
      anon_sym_RBRACK,
    STATE(624), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9626] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(524), 1,
      anon_sym_RBRACK,
    STATE(627), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9742] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(526), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9858] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(528), 1,
      anon_sym_RBRACK,
    STATE(625), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [9974] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(998), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10090] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(971), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10206] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(530), 1,
      anon_sym_RBRACK,
    STATE(691), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10322] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(922), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10438] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(532), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10554] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(534), 1,
      anon_sym_RBRACK,
    STATE(603), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10670] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(536), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10786] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(992), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [10902] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(943), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11018] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(538), 1,
      anon_sym_RBRACK,
    STATE(609), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11134] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(540), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11250] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(993), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11366] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(999), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11482] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(542), 1,
      anon_sym_RBRACK,
    STATE(608), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11598] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(544), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11714] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1006), 1,
      sym_expression_list,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11830] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(546), 1,
      anon_sym_RPAREN,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [11946] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(424), 1,
      anon_sym_RBRACK,
    STATE(665), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12062] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(548), 1,
      anon_sym_RBRACK,
    STATE(620), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12178] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(673), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12291] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(457), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12404] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    STATE(245), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12517] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(652), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12630] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(672), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12743] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12856] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [12969] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(340), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13082] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13195] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(390), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13308] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(581), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13421] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(582), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13534] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(583), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13647] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(584), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13760] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13873] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(243), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [13986] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14099] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(453), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14212] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(498), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14325] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(390), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14438] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(638), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14551] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(588), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14664] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(637), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14777] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(621), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [14890] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(545), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15003] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(547), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15116] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(548), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15229] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(576), 1,
      anon_sym_STAR,
    STATE(661), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1248), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15342] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15455] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(437), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15568] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(390), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15681] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(437), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15794] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(439), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [15907] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(445), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16020] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(446), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16133] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(623), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16246] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(447), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16359] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(437), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16472] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(438), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16585] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(440), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16698] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(441), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16811] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(442), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [16924] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(443), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17037] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(294), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17150] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(294), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17263] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(291), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17376] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(294), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17489] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(295), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17602] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(297), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17715] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(296), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17828] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LPAREN,
    ACTIONS(242), 1,
      anon_sym_func,
    ACTIONS(244), 1,
      anon_sym_STAR,
    ACTIONS(246), 1,
      anon_sym_LT_DASH,
    ACTIONS(254), 1,
      anon_sym_BQUOTE,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(298), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1037), 1,
      sym_qualified_type,
    STATE(1099), 1,
      sym_map_type,
    STATE(1310), 1,
      sym_implicit_length_array_type,
    ACTIONS(250), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(260), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1098), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(252), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(258), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(320), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [17941] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    STATE(247), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18054] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(346), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18167] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(345), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18280] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(343), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18393] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(341), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18506] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(645), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18619] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(344), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18732] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18845] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(489), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [18958] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19071] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(464), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19184] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(493), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19297] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(501), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19410] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(504), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19523] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(508), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19636] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(576), 1,
      anon_sym_STAR,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19749] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    STATE(243), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19862] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [19975] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(720), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20088] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(666), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20201] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    STATE(242), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20314] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(622), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20427] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20540] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(346), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20653] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(346), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20766] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(574), 1,
      anon_sym_chan,
    STATE(489), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20879] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      anon_sym_STAR,
    STATE(391), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [20992] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(374), 1,
      sym_identifier,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(378), 1,
      anon_sym_func,
    ACTIONS(380), 1,
      anon_sym_STAR,
    ACTIONS(382), 1,
      anon_sym_LT_DASH,
    ACTIONS(388), 1,
      anon_sym_BQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    STATE(489), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1054), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_map_type,
    STATE(1278), 1,
      sym_implicit_length_array_type,
    ACTIONS(384), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(394), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1125), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(386), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(392), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(590), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21105] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(576), 1,
      anon_sym_STAR,
    STATE(654), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1248), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21218] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(626), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21331] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    STATE(241), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1294), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21444] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(659), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21557] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(660), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21670] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(576), 1,
      anon_sym_STAR,
    STATE(664), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1248), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21783] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(636), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [21896] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(448), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22009] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(188), 1,
      anon_sym_func,
    ACTIONS(550), 1,
      sym_identifier,
    STATE(243), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1050), 1,
      sym_qualified_type,
    STATE(1108), 1,
      sym_map_type,
    STATE(1312), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(75), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(951), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1139), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(266), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22122] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(674), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22235] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(576), 1,
      anon_sym_STAR,
    STATE(676), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1248), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22348] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(616), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22461] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_STAR,
    ACTIONS(452), 1,
      anon_sym_LT_DASH,
    STATE(646), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(454), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22574] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(681), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22687] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(682), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22800] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(576), 1,
      anon_sym_STAR,
    STATE(683), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1248), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [22913] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(610), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23026] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(272), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_func,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(480), 1,
      anon_sym_STAR,
    ACTIONS(482), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_BQUOTE,
    ACTIONS(488), 1,
      anon_sym_DQUOTE,
    STATE(451), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1057), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym_map_type,
    STATE(1320), 1,
      sym_implicit_length_array_type,
    ACTIONS(290), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(490), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1076), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(484), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(298), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(500), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23139] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(688), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23252] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(689), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23365] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    ACTIONS(576), 1,
      anon_sym_STAR,
    STATE(690), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1248), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23478] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LT_DASH,
    STATE(639), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(414), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23591] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(669), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23704] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(694), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(302), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(316), 1,
      anon_sym_LT_DASH,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DQUOTE,
    STATE(695), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(862), 1,
      sym_qualified_type,
    STATE(896), 1,
      sym_map_type,
    STATE(1280), 1,
      sym_implicit_length_array_type,
    ACTIONS(318), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(328), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1328), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(906), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(320), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(326), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(431), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [23930] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(552), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_LPAREN,
    ACTIONS(556), 1,
      anon_sym_func,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_BQUOTE,
    ACTIONS(568), 1,
      anon_sym_DQUOTE,
    STATE(342), 1,
      sym__expression,
    STATE(846), 1,
      sym_negated_type,
    STATE(1056), 1,
      sym_qualified_type,
    STATE(1110), 1,
      sym_map_type,
    STATE(1319), 1,
      sym_implicit_length_array_type,
    ACTIONS(562), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(572), 2,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(1331), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(1109), 4,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
    ACTIONS(564), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(570), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 14,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [24043] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(580), 1,
      anon_sym_DOT,
    ACTIONS(583), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_COMMA,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_STAR,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    STATE(435), 1,
      sym_literal_value,
    STATE(596), 1,
      aux_sym_var_spec_repeat1,
    STATE(882), 1,
      sym_map_type,
    STATE(886), 1,
      sym_type_arguments,
    STATE(1264), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(600), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(595), 14,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24145] = 10,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(608), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_LBRACK,
    ACTIONS(618), 1,
      anon_sym_LBRACE,
    ACTIONS(620), 1,
      anon_sym_COLON,
    STATE(256), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24216] = 10,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(608), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_LBRACK,
    ACTIONS(618), 1,
      anon_sym_LBRACE,
    ACTIONS(622), 1,
      anon_sym_COLON,
    STATE(256), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24287] = 9,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(608), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_LBRACK,
    ACTIONS(618), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24355] = 19,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(624), 1,
      aux_sym_source_file_token1,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LPAREN,
    ACTIONS(632), 1,
      anon_sym_COMMA,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(642), 1,
      anon_sym_LT_DASH,
    ACTIONS(644), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(646), 1,
      anon_sym_DASH_DASH,
    ACTIONS(650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(652), 1,
      anon_sym_PIPE_PIPE,
    STATE(275), 1,
      sym_argument_list,
    STATE(796), 1,
      aux_sym_expression_list_repeat1,
    STATE(1326), 1,
      sym_type_arguments,
    ACTIONS(640), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(626), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(648), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(638), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(634), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24443] = 9,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LPAREN,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    STATE(275), 1,
      sym_argument_list,
    STATE(1326), 1,
      sym_type_arguments,
    ACTIONS(638), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(656), 34,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24510] = 8,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LPAREN,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    STATE(275), 1,
      sym_argument_list,
    STATE(1326), 1,
      sym_type_arguments,
    ACTIONS(656), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24575] = 8,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LPAREN,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      aux_sym_source_file_token1,
    STATE(275), 1,
      sym_argument_list,
    STATE(1326), 1,
      sym_type_arguments,
    ACTIONS(660), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(662), 30,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24695] = 10,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LPAREN,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    STATE(275), 1,
      sym_argument_list,
    STATE(1326), 1,
      sym_type_arguments,
    ACTIONS(640), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(638), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(656), 30,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24764] = 11,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LPAREN,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    STATE(275), 1,
      sym_argument_list,
    STATE(1326), 1,
      sym_type_arguments,
    ACTIONS(640), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(648), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(638), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(656), 24,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24835] = 12,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LPAREN,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    STATE(275), 1,
      sym_argument_list,
    STATE(1326), 1,
      sym_type_arguments,
    ACTIONS(640), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(648), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(638), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(656), 23,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [24908] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(664), 1,
      aux_sym_source_file_token1,
    ACTIONS(666), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24962] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(668), 1,
      aux_sym_source_file_token1,
    ACTIONS(670), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25016] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(672), 1,
      aux_sym_source_file_token1,
    ACTIONS(674), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25070] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(676), 1,
      aux_sym_source_file_token1,
    ACTIONS(678), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25124] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    STATE(275), 1,
      sym_special_argument_list,
    ACTIONS(600), 43,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25182] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(682), 1,
      aux_sym_source_file_token1,
    ACTIONS(684), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25236] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(686), 1,
      aux_sym_source_file_token1,
    ACTIONS(688), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25289] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(624), 1,
      anon_sym_SEMI,
    ACTIONS(634), 1,
      anon_sym_EQ,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_COMMA,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LT_DASH,
    ACTIONS(706), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(708), 1,
      anon_sym_DASH_DASH,
    ACTIONS(714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(716), 1,
      anon_sym_PIPE_PIPE,
    STATE(307), 1,
      sym_argument_list,
    STATE(796), 1,
      aux_sym_expression_list_repeat1,
    STATE(920), 1,
      sym_block,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(700), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(710), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(704), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25380] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(718), 1,
      aux_sym_source_file_token1,
    ACTIONS(720), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25433] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(722), 1,
      aux_sym_source_file_token1,
    ACTIONS(724), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25486] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(726), 1,
      aux_sym_source_file_token1,
    ACTIONS(728), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25539] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(730), 1,
      aux_sym_source_file_token1,
    ACTIONS(732), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25592] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(734), 1,
      aux_sym_source_file_token1,
    ACTIONS(736), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25645] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(738), 1,
      aux_sym_source_file_token1,
    ACTIONS(740), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25698] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(742), 1,
      aux_sym_source_file_token1,
    ACTIONS(744), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25751] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(746), 1,
      aux_sym_source_file_token1,
    ACTIONS(748), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25804] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(750), 1,
      aux_sym_source_file_token1,
    ACTIONS(752), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25857] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(754), 1,
      aux_sym_source_file_token1,
    ACTIONS(756), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25910] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(600), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25963] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(758), 1,
      aux_sym_source_file_token1,
    ACTIONS(760), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26016] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(762), 1,
      aux_sym_source_file_token1,
    ACTIONS(764), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26069] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(766), 1,
      aux_sym_source_file_token1,
    ACTIONS(768), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26122] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(770), 1,
      aux_sym_source_file_token1,
    ACTIONS(772), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26175] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(774), 1,
      aux_sym_source_file_token1,
    ACTIONS(776), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26228] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(624), 1,
      anon_sym_SEMI,
    ACTIONS(634), 1,
      anon_sym_EQ,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_COMMA,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LT_DASH,
    ACTIONS(706), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(708), 1,
      anon_sym_DASH_DASH,
    ACTIONS(714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(716), 1,
      anon_sym_PIPE_PIPE,
    STATE(307), 1,
      sym_argument_list,
    STATE(796), 1,
      aux_sym_expression_list_repeat1,
    STATE(929), 1,
      sym_block,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(700), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(710), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(704), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26319] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(778), 1,
      aux_sym_source_file_token1,
    ACTIONS(780), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26372] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(782), 1,
      aux_sym_source_file_token1,
    ACTIONS(784), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26425] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(786), 1,
      aux_sym_source_file_token1,
    ACTIONS(788), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26478] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(790), 1,
      aux_sym_source_file_token1,
    ACTIONS(792), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26531] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(794), 1,
      aux_sym_source_file_token1,
    ACTIONS(796), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26584] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(798), 1,
      aux_sym_source_file_token1,
    ACTIONS(800), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26637] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(802), 1,
      aux_sym_source_file_token1,
    ACTIONS(804), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26690] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(806), 1,
      aux_sym_source_file_token1,
    ACTIONS(808), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26743] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(810), 1,
      aux_sym_source_file_token1,
    ACTIONS(812), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26796] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(814), 1,
      aux_sym_source_file_token1,
    ACTIONS(816), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26849] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(818), 1,
      aux_sym_source_file_token1,
    ACTIONS(820), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26902] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(822), 1,
      aux_sym_source_file_token1,
    ACTIONS(824), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26955] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(826), 1,
      aux_sym_source_file_token1,
    ACTIONS(828), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27008] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(830), 1,
      aux_sym_source_file_token1,
    ACTIONS(832), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27061] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(834), 1,
      aux_sym_source_file_token1,
    ACTIONS(836), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27114] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(838), 1,
      aux_sym_source_file_token1,
    ACTIONS(840), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27167] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(842), 1,
      aux_sym_source_file_token1,
    ACTIONS(844), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27220] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_SEMI,
    ACTIONS(634), 1,
      anon_sym_EQ,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_COMMA,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LT_DASH,
    ACTIONS(706), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(708), 1,
      anon_sym_DASH_DASH,
    ACTIONS(714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(846), 1,
      anon_sym_DOT,
    ACTIONS(848), 1,
      anon_sym_LBRACE,
    STATE(307), 1,
      sym_argument_list,
    STATE(796), 1,
      aux_sym_expression_list_repeat1,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(700), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(710), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(704), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [27308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    STATE(307), 1,
      sym_argument_list,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(656), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(654), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27369] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_EQ,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_COMMA,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    ACTIONS(706), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(708), 1,
      anon_sym_DASH_DASH,
    ACTIONS(714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(850), 1,
      anon_sym_LT_DASH,
    STATE(307), 1,
      sym_argument_list,
    STATE(796), 1,
      aux_sym_expression_list_repeat1,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(700), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(710), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(704), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [27454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_DOT,
    ACTIONS(852), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    STATE(309), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27515] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    STATE(307), 1,
      sym_argument_list,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(660), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(658), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27576] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    STATE(307), 1,
      sym_argument_list,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(656), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27639] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_EQ,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    STATE(307), 1,
      sym_argument_list,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(700), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(710), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27708] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    STATE(307), 1,
      sym_argument_list,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(656), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(700), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27773] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_EQ,
    ACTIONS(690), 1,
      anon_sym_DOT,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACK,
    ACTIONS(714), 1,
      anon_sym_AMP_AMP,
    STATE(307), 1,
      sym_argument_list,
    STATE(1272), 1,
      sym_type_arguments,
    ACTIONS(712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(700), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(710), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(698), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [27844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(859), 1,
      anon_sym_LPAREN,
    STATE(307), 1,
      sym_special_argument_list,
    ACTIONS(600), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(782), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(834), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(838), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(746), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(758), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(788), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(786), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(668), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(718), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(762), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(774), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(770), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(672), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(676), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(664), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(750), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(754), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(766), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(842), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(818), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(734), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(806), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(830), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(722), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(726), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(730), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(738), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(778), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(682), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(792), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(790), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(794), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(798), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(802), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(814), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(822), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_DOT,
    ACTIONS(852), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_LBRACE,
    STATE(352), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29868] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(863), 1,
      anon_sym_DOT,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_EQ,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    ACTIONS(881), 1,
      anon_sym_AMP_AMP,
    ACTIONS(883), 1,
      anon_sym_PIPE_PIPE,
    STATE(351), 1,
      sym_argument_list,
    STATE(1262), 1,
      sym_type_arguments,
    ACTIONS(879), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(875), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(877), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(873), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(867), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [29936] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(863), 1,
      anon_sym_DOT,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(351), 1,
      sym_argument_list,
    STATE(1262), 1,
      sym_type_arguments,
    ACTIONS(656), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(875), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(873), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_EQ,
    ACTIONS(863), 1,
      anon_sym_DOT,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(351), 1,
      sym_argument_list,
    STATE(1262), 1,
      sym_type_arguments,
    ACTIONS(879), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(875), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(877), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(873), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30060] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(863), 1,
      anon_sym_DOT,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(351), 1,
      sym_argument_list,
    STATE(1262), 1,
      sym_type_arguments,
    ACTIONS(656), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(873), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30118] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_EQ,
    ACTIONS(863), 1,
      anon_sym_DOT,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    ACTIONS(881), 1,
      anon_sym_AMP_AMP,
    STATE(351), 1,
      sym_argument_list,
    STATE(1262), 1,
      sym_type_arguments,
    ACTIONS(879), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(875), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(877), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(873), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [30184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(863), 1,
      anon_sym_DOT,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(351), 1,
      sym_argument_list,
    STATE(1262), 1,
      sym_type_arguments,
    ACTIONS(656), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(654), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30240] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(863), 1,
      anon_sym_DOT,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(351), 1,
      sym_argument_list,
    STATE(1262), 1,
      sym_type_arguments,
    ACTIONS(660), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(658), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    STATE(351), 1,
      sym_special_argument_list,
    ACTIONS(600), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(802), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(682), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(788), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(786), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(718), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(762), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(774), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(770), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(664), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(750), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(754), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(766), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(842), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(818), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(734), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(806), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(830), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(722), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(726), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(738), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(778), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(782), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(792), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(790), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(794), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(798), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(814), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(822), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(834), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(838), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(746), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(758), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(668), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(672), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(676), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32017] = 25,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(889), 1,
      aux_sym_source_file_token1,
    ACTIONS(893), 1,
      anon_sym_DOT,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_COMMA,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(901), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(907), 1,
      anon_sym_TILDE,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(915), 1,
      anon_sym_LT_DASH,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    STATE(613), 1,
      aux_sym_field_declaration_repeat1,
    STATE(821), 1,
      sym_map_type,
    STATE(823), 1,
      sym_type_arguments,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(890), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1071), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    ACTIONS(891), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [32105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(730), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32149] = 18,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(903), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(907), 1,
      anon_sym_TILDE,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(915), 1,
      anon_sym_LT_DASH,
    ACTIONS(921), 1,
      aux_sym_source_file_token1,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(837), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(923), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [32222] = 18,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(907), 1,
      anon_sym_TILDE,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(921), 1,
      aux_sym_source_file_token1,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(933), 1,
      anon_sym_LBRACK,
    ACTIONS(935), 1,
      anon_sym_STAR,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(941), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(837), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(923), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [32295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(656), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(654), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32347] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(660), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(658), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32399] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(580), 1,
      anon_sym_DOT,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    STATE(435), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(852), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(600), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32452] = 21,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(286), 1,
      anon_sym_TILDE,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(949), 1,
      aux_sym_source_file_token1,
    ACTIONS(953), 1,
      anon_sym_LPAREN,
    ACTIONS(955), 1,
      anon_sym_COMMA,
    ACTIONS(957), 1,
      anon_sym_EQ,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(961), 1,
      anon_sym_STAR,
    ACTIONS(963), 1,
      anon_sym_LT_DASH,
    STATE(394), 1,
      aux_sym_const_spec_repeat1,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1336), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(951), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [32529] = 21,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(286), 1,
      anon_sym_TILDE,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(953), 1,
      anon_sym_LPAREN,
    ACTIONS(955), 1,
      anon_sym_COMMA,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(961), 1,
      anon_sym_STAR,
    ACTIONS(963), 1,
      anon_sym_LT_DASH,
    ACTIONS(965), 1,
      aux_sym_source_file_token1,
    ACTIONS(969), 1,
      anon_sym_EQ,
    STATE(786), 1,
      aux_sym_const_spec_repeat1,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1365), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(967), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [32606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LPAREN,
    STATE(434), 1,
      sym_special_argument_list,
    ACTIONS(600), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(774), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(770), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(734), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(806), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(830), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(722), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(818), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(664), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(726), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(730), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(738), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(778), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(782), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(792), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(790), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(794), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(798), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(802), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(814), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(822), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(834), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(838), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(762), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(746), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(758), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33731] = 9,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(608), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_LBRACK,
    ACTIONS(973), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(668), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(750), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(672), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(676), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(754), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(766), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(842), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34103] = 15,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(704), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_COMMA,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(991), 1,
      anon_sym_PIPE_PIPE,
    STATE(505), 1,
      sym_argument_list,
    STATE(898), 1,
      aux_sym_expression_list_repeat1,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(634), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(987), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(682), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(788), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(786), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(718), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34327] = 8,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(658), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(660), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34376] = 8,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(656), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34425] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(656), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34478] = 9,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(656), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34529] = 10,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(656), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34582] = 11,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(987), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(656), 8,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34637] = 12,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(654), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_AMP_AMP,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(987), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(656), 7,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34694] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(868), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(921), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [34761] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(656), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34818] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [34942] = 13,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(867), 1,
      aux_sym_source_file_token1,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(991), 1,
      anon_sym_PIPE_PIPE,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(869), 6,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(987), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35001] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(868), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(921), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35068] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1025), 1,
      anon_sym_LBRACE,
    STATE(397), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(891), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(921), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35138] = 13,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1027), 1,
      aux_sym_source_file_token1,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1029), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(987), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_DOT,
    ACTIONS(852), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35246] = 13,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1033), 1,
      aux_sym_source_file_token1,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1035), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(987), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35304] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_EQ,
    ACTIONS(702), 1,
      anon_sym_LT_DASH,
    ACTIONS(704), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    ACTIONS(1041), 1,
      anon_sym_COMMA,
    ACTIONS(1043), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_PIPE,
    ACTIONS(1049), 1,
      anon_sym_COLON,
    ACTIONS(1059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1061), 1,
      anon_sym_PIPE_PIPE,
    STATE(541), 1,
      sym_argument_list,
    STATE(1012), 1,
      aux_sym_expression_list_repeat1,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(1053), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1057), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1055), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1045), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35376] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(1063), 1,
      anon_sym_LPAREN,
    STATE(505), 1,
      sym_special_argument_list,
    ACTIONS(600), 27,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35418] = 20,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_STAR,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1081), 1,
      anon_sym_TILDE,
    ACTIONS(1083), 1,
      anon_sym_LBRACE,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1091), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(1078), 1,
      sym_block,
    ACTIONS(1065), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1069), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(968), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35490] = 13,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(975), 1,
      anon_sym_DOT,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1093), 1,
      aux_sym_source_file_token1,
    STATE(505), 1,
      sym_argument_list,
    STATE(1288), 1,
      sym_type_arguments,
    ACTIONS(985), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(987), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(983), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35548] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1097), 1,
      anon_sym_DOT,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1101), 1,
      anon_sym_RPAREN,
    ACTIONS(1103), 1,
      anon_sym_COMMA,
    ACTIONS(1106), 1,
      anon_sym_LBRACK,
    ACTIONS(1108), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(640), 1,
      aux_sym_var_spec_repeat1,
    STATE(882), 1,
      sym_map_type,
    STATE(886), 1,
      sym_type_arguments,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1314), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35624] = 20,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_STAR,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1081), 1,
      anon_sym_TILDE,
    ACTIONS(1083), 1,
      anon_sym_LBRACE,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1091), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(1127), 1,
      sym_block,
    ACTIONS(1110), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1112), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(958), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35696] = 20,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_STAR,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1081), 1,
      anon_sym_TILDE,
    ACTIONS(1083), 1,
      anon_sym_LBRACE,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1091), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(1082), 1,
      sym_block,
    ACTIONS(1114), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1116), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(969), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35768] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(742), 1,
      aux_sym_source_file_token1,
    ACTIONS(744), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35805] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1120), 1,
      anon_sym_RPAREN,
    ACTIONS(1122), 1,
      anon_sym_COMMA,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1242), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35876] = 20,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(903), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(907), 1,
      anon_sym_TILDE,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(915), 1,
      anon_sym_LT_DASH,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(1114), 1,
      aux_sym_source_file_token1,
    ACTIONS(1126), 1,
      anon_sym_LBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(1188), 1,
      sym_block,
    ACTIONS(1116), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1029), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [35947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_LBRACK,
    STATE(541), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(656), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(654), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35994] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(818), 1,
      aux_sym_source_file_token1,
    ACTIONS(820), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36031] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(734), 1,
      aux_sym_source_file_token1,
    ACTIONS(736), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36068] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(806), 1,
      aux_sym_source_file_token1,
    ACTIONS(808), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36105] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(830), 1,
      aux_sym_source_file_token1,
    ACTIONS(832), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36142] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(722), 1,
      aux_sym_source_file_token1,
    ACTIONS(724), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36179] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(726), 1,
      aux_sym_source_file_token1,
    ACTIONS(728), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36216] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(730), 1,
      aux_sym_source_file_token1,
    ACTIONS(732), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36253] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(738), 1,
      aux_sym_source_file_token1,
    ACTIONS(740), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36290] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(686), 1,
      aux_sym_source_file_token1,
    ACTIONS(688), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36327] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(778), 1,
      aux_sym_source_file_token1,
    ACTIONS(780), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36364] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(782), 1,
      aux_sym_source_file_token1,
    ACTIONS(784), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36401] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(790), 1,
      aux_sym_source_file_token1,
    ACTIONS(792), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36438] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(794), 1,
      aux_sym_source_file_token1,
    ACTIONS(796), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36475] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(798), 1,
      aux_sym_source_file_token1,
    ACTIONS(800), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36512] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(802), 1,
      aux_sym_source_file_token1,
    ACTIONS(804), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36549] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(810), 1,
      aux_sym_source_file_token1,
    ACTIONS(812), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36586] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(814), 1,
      aux_sym_source_file_token1,
    ACTIONS(816), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36623] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(822), 1,
      aux_sym_source_file_token1,
    ACTIONS(824), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36660] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(826), 1,
      aux_sym_source_file_token1,
    ACTIONS(828), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36697] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(834), 1,
      aux_sym_source_file_token1,
    ACTIONS(836), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36734] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(774), 1,
      aux_sym_source_file_token1,
    ACTIONS(776), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36771] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(750), 1,
      aux_sym_source_file_token1,
    ACTIONS(752), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36808] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(746), 1,
      aux_sym_source_file_token1,
    ACTIONS(748), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36845] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(758), 1,
      aux_sym_source_file_token1,
    ACTIONS(760), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36882] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_LBRACK,
    STATE(541), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(660), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(658), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36929] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(664), 1,
      aux_sym_source_file_token1,
    ACTIONS(666), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36966] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(668), 1,
      aux_sym_source_file_token1,
    ACTIONS(670), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37003] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(754), 1,
      aux_sym_source_file_token1,
    ACTIONS(756), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37040] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_LBRACK,
    STATE(541), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(1053), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(656), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1045), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37091] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1128), 1,
      anon_sym_RPAREN,
    ACTIONS(1130), 1,
      anon_sym_COMMA,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1222), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [37162] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(672), 1,
      aux_sym_source_file_token1,
    ACTIONS(674), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37199] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(676), 1,
      aux_sym_source_file_token1,
    ACTIONS(678), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37236] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(770), 1,
      aux_sym_source_file_token1,
    ACTIONS(772), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(869), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(867), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37336] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(682), 1,
      aux_sym_source_file_token1,
    ACTIONS(684), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37373] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(595), 1,
      aux_sym_source_file_token1,
    ACTIONS(600), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37410] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_PIPE,
    STATE(541), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(1053), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(656), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1045), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37465] = 20,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(903), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(907), 1,
      anon_sym_TILDE,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(915), 1,
      anon_sym_LT_DASH,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(1110), 1,
      aux_sym_source_file_token1,
    ACTIONS(1126), 1,
      anon_sym_LBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(1250), 1,
      sym_block,
    ACTIONS(1112), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1049), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [37536] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1134), 1,
      anon_sym_RPAREN,
    ACTIONS(1136), 1,
      anon_sym_COMMA,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1173), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [37607] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_PIPE,
    STATE(541), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1053), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1057), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1055), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(654), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1045), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37666] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(786), 1,
      aux_sym_source_file_token1,
    ACTIONS(788), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37703] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(718), 1,
      aux_sym_source_file_token1,
    ACTIONS(720), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37740] = 18,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_STAR,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1081), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1091), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    ACTIONS(921), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1010), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(923), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [37807] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_PIPE,
    ACTIONS(1059), 1,
      anon_sym_AMP_AMP,
    STATE(541), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1053), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1057), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(654), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1055), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1045), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37868] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(762), 1,
      aux_sym_source_file_token1,
    ACTIONS(764), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37905] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(766), 1,
      aux_sym_source_file_token1,
    ACTIONS(768), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37942] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(842), 1,
      aux_sym_source_file_token1,
    ACTIONS(844), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37979] = 18,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1081), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1142), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_STAR,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1150), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    ACTIONS(921), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1010), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(923), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [38046] = 20,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(903), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(907), 1,
      anon_sym_TILDE,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(915), 1,
      anon_sym_LT_DASH,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      aux_sym_source_file_token1,
    ACTIONS(1126), 1,
      anon_sym_LBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(1175), 1,
      sym_block,
    ACTIONS(1069), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1028), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [38117] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(838), 1,
      aux_sym_source_file_token1,
    ACTIONS(840), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38154] = 18,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(903), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(907), 1,
      anon_sym_TILDE,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(915), 1,
      anon_sym_LT_DASH,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(1152), 1,
      aux_sym_source_file_token1,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1093), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(1154), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [38220] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1156), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1293), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [38288] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    ACTIONS(1160), 1,
      anon_sym_COMMA,
    ACTIONS(1162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1206), 1,
      aux_sym_argument_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(608), 1,
      anon_sym_DOT,
    ACTIONS(852), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    STATE(435), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38402] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1180), 1,
      anon_sym_RPAREN,
    ACTIONS(1182), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1185), 1,
      aux_sym_argument_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(580), 1,
      anon_sym_DOT,
    ACTIONS(611), 1,
      anon_sym_PIPE,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_COMMA,
    STATE(435), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(852), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    ACTIONS(600), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 15,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 1,
      anon_sym_LPAREN,
    STATE(541), 1,
      sym_special_argument_list,
    ACTIONS(600), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38560] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1186), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1293), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [38628] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1188), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1293), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [38696] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1041), 1,
      anon_sym_COMMA,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1012), 1,
      aux_sym_expression_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(704), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38760] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1190), 1,
      anon_sym_RPAREN,
    ACTIONS(1192), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1258), 1,
      aux_sym_argument_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38826] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1194), 1,
      anon_sym_RPAREN,
    ACTIONS(1196), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1216), 1,
      aux_sym_argument_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38892] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1198), 1,
      anon_sym_RPAREN,
    ACTIONS(1200), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1191), 1,
      aux_sym_argument_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38958] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(704), 1,
      anon_sym_COLON_EQ,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      anon_sym_COMMA,
    ACTIONS(1202), 1,
      anon_sym_DOT,
    ACTIONS(1206), 1,
      anon_sym_LBRACE,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1220), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1012), 1,
      aux_sym_expression_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39024] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1222), 1,
      anon_sym_RPAREN,
    ACTIONS(1224), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1226), 1,
      aux_sym_argument_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39090] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1226), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1293), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [39158] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1228), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1293), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [39226] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1230), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1293), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [39294] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_COMMA,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1234), 1,
      anon_sym_EQ,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(798), 1,
      aux_sym_var_spec_repeat1,
    STATE(821), 1,
      sym_map_type,
    STATE(913), 1,
      sym_parenthesized_type,
    STATE(914), 1,
      sym__simple_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [39363] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1246), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1096), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [39428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(750), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(664), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(672), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(676), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(682), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39603] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1248), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1096), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [39668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(788), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(786), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(766), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(842), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(718), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39808] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(762), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39896] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(654), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39951] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(654), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(818), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(734), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40078] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1250), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1043), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [40143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(806), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(830), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(722), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(726), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(730), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(738), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(686), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(778), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(782), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(792), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(790), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40493] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1252), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1096), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [40558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(794), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40593] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(704), 1,
      anon_sym_LBRACE,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1254), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1240), 1,
      aux_sym_expression_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(798), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40691] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1096), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [40756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1258), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(802), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40887] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(704), 1,
      anon_sym_SEMI,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1041), 1,
      anon_sym_COMMA,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1260), 1,
      anon_sym_DOT,
    STATE(434), 1,
      sym_argument_list,
    STATE(1012), 1,
      aux_sym_expression_list_repeat1,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40950] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1096), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [41015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(814), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1118), 1,
      sym_identifier,
    ACTIONS(1124), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1273), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1293), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [41115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(822), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1264), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(834), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41279] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_COMMA,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    STATE(533), 1,
      aux_sym_var_spec_repeat1,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(912), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [41346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(838), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41416] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(656), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41465] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41518] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(654), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41573] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(654), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41630] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1268), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1041), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [41695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(746), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(758), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41765] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_DOT,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(656), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(654), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41814] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(587), 1,
      anon_sym_COMMA,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(596), 1,
      aux_sym_var_spec_repeat1,
    STATE(882), 1,
      sym_map_type,
    STATE(1264), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [41881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41916] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_DOT,
    ACTIONS(852), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    STATE(435), 1,
      sym_literal_value,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(600), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(595), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41961] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1270), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1053), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(668), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [42061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(774), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [42096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(770), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [42131] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(587), 1,
      anon_sym_COMMA,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(798), 1,
      aux_sym_var_spec_repeat1,
    STATE(882), 1,
      sym_map_type,
    STATE(1259), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42198] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1096), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(754), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [42298] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1274), 1,
      sym_identifier,
    STATE(270), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1106), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42362] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1244), 1,
      sym_identifier,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1096), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42424] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1276), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(1261), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42488] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1278), 1,
      anon_sym_EQ,
    ACTIONS(1280), 1,
      anon_sym_LBRACK,
    STATE(749), 1,
      sym_type_parameter_list,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(980), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42552] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1282), 1,
      anon_sym_RBRACK,
    ACTIONS(1284), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42612] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1286), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1102), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42676] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1288), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1115), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42740] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1290), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(1261), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [42804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1292), 1,
      anon_sym_RBRACK,
    ACTIONS(1294), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42864] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1296), 1,
      anon_sym_RBRACK,
    ACTIONS(1298), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42924] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1300), 1,
      anon_sym_RBRACK,
    ACTIONS(1302), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42984] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1304), 1,
      anon_sym_RPAREN,
    ACTIONS(1306), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43044] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1308), 1,
      anon_sym_RBRACK,
    ACTIONS(1310), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43104] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(1261), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [43168] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1314), 1,
      anon_sym_COMMA,
    STATE(807), 1,
      aux_sym_field_declaration_repeat1,
    STATE(821), 1,
      sym_map_type,
    STATE(893), 1,
      sym_parenthesized_type,
    STATE(904), 1,
      sym__simple_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [43234] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(1261), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [43298] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1318), 1,
      anon_sym_RBRACK,
    ACTIONS(1320), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43358] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1322), 1,
      anon_sym_RPAREN,
    ACTIONS(1324), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43418] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1326), 1,
      anon_sym_RBRACK,
    ACTIONS(1328), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43478] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1330), 1,
      anon_sym_RBRACK,
    ACTIONS(1332), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43538] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1334), 1,
      anon_sym_RBRACK,
    ACTIONS(1336), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43598] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1338), 1,
      anon_sym_RBRACK,
    ACTIONS(1340), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43658] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1220), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(911), 1,
      sym_block,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1342), 1,
      anon_sym_RPAREN,
    ACTIONS(1344), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43778] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1220), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(867), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43836] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1346), 1,
      anon_sym_RBRACK,
    ACTIONS(1348), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43896] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1350), 1,
      anon_sym_RBRACK,
    ACTIONS(1352), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43956] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1354), 1,
      anon_sym_RPAREN,
    ACTIONS(1356), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44016] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1358), 1,
      anon_sym_RBRACK,
    ACTIONS(1360), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44076] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1362), 1,
      sym_identifier,
    STATE(270), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1106), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [44140] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1364), 1,
      anon_sym_RBRACK,
    ACTIONS(1366), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44200] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(1261), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [44264] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1370), 1,
      anon_sym_RBRACK,
    ACTIONS(1372), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44324] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1374), 1,
      anon_sym_RBRACK,
    ACTIONS(1376), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44384] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1378), 1,
      anon_sym_RBRACK,
    ACTIONS(1380), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44444] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1382), 1,
      anon_sym_LBRACE,
    STATE(595), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1132), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [44508] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1081), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [44572] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 1,
      anon_sym_RPAREN,
    ACTIONS(1388), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44632] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1093), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44690] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(867), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44748] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1390), 1,
      anon_sym_RPAREN,
    ACTIONS(1392), 1,
      anon_sym_COMMA,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44808] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(587), 1,
      anon_sym_COMMA,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(798), 1,
      aux_sym_var_spec_repeat1,
    STATE(882), 1,
      sym_map_type,
    STATE(1263), 1,
      sym__simple_type,
    STATE(1316), 1,
      sym_parenthesized_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [44874] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1394), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(1261), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [44938] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1396), 1,
      anon_sym_RBRACK,
    ACTIONS(1398), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44998] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    STATE(270), 1,
      sym_block,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1106), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45062] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1400), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45123] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1402), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45180] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1093), 1,
      anon_sym_LBRACE,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1220), 1,
      anon_sym_PIPE_PIPE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45237] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1404), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45298] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1406), 1,
      anon_sym_SEMI,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45355] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(1157), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45416] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_type,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1349), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45477] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45538] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1412), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1212), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1216), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1210), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1214), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1204), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45595] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45656] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1416), 1,
      anon_sym_RPAREN,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45713] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1418), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45770] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1420), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1422), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45892] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1424), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [45953] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1426), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46010] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46067] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1430), 1,
      anon_sym_RPAREN,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1432), 1,
      anon_sym_type,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1370), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [46185] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_type,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1370), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [46246] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1436), 1,
      anon_sym_RPAREN,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46303] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46360] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1440), 1,
      anon_sym_COLON,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46417] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1442), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1231), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [46478] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1444), 1,
      anon_sym_SEMI,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46535] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1446), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46592] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1448), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [46653] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1450), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [46714] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1452), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46771] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1454), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46828] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1456), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46885] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1458), 1,
      anon_sym_type,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1370), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [46946] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1460), 1,
      anon_sym_RPAREN,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47003] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1462), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47060] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1176), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [47121] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1466), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [47182] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1468), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [47243] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1470), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47300] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1472), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47357] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47414] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1476), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1478), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1195), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [47532] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1480), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [47593] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1482), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [47654] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1484), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47711] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1486), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47768] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1166), 1,
      anon_sym_PIPE,
    ACTIONS(1176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1488), 1,
      anon_sym_RPAREN,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(1170), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1174), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1168), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1172), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1164), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47825] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1490), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47882] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [47943] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1494), 1,
      anon_sym_RBRACK,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48004] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1496), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48061] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1498), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48118] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(1154), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(1232), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48240] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1500), 1,
      anon_sym_RBRACK,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48297] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(1261), 1,
      sym_type_elem,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1140), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48358] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(869), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48416] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1510), 1,
      anon_sym_chan,
    ACTIONS(1512), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(957), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48474] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1514), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48532] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1512), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1027), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48590] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1512), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1018), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48648] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1512), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1026), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48706] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    ACTIONS(1516), 1,
      anon_sym_chan,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48764] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(820), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48822] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    STATE(882), 1,
      sym_map_type,
    STATE(860), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48880] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1526), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(831), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48938] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(864), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [48996] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1419), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1346), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49112] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(876), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49170] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(835), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49228] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49286] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(811), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49344] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1398), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49402] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(574), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(881), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49460] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1528), 1,
      anon_sym_LT_DASH,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(883), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49518] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    ACTIONS(947), 1,
      anon_sym_LBRACK,
    ACTIONS(1005), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1132), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1530), 1,
      anon_sym_DOT,
    STATE(434), 1,
      sym_argument_list,
    STATE(1306), 1,
      sym_type_arguments,
    ACTIONS(997), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1007), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1009), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(995), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49572] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1512), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(956), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49688] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49746] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1526), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(826), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49862] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1409), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49920] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(828), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [49978] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(878), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50036] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1290), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50094] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1308), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50152] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1532), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50210] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LT_DASH,
    ACTIONS(1534), 1,
      anon_sym_chan,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50268] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(826), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50326] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1532), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(831), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50384] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(828), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50442] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(835), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50500] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50558] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1540), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50616] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1055), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50674] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1022), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50732] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(877), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1544), 1,
      anon_sym_chan,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(881), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50848] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(979), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50906] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(883), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [50964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1339), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51022] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(863), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51080] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1350), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51138] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(966), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51196] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      sym_identifier,
    ACTIONS(899), 1,
      anon_sym_func,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(911), 1,
      anon_sym_map,
    ACTIONS(913), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1236), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_STAR,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1242), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(805), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51254] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LT_DASH,
    ACTIONS(1546), 1,
      anon_sym_chan,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(957), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51312] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1540), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51370] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1514), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51428] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1190), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51486] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1512), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1022), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51544] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(876), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51602] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(1140), 1,
      anon_sym_func,
    ACTIONS(1146), 1,
      anon_sym_map,
    ACTIONS(1148), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1512), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(910), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(979), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51660] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1027), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(863), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51776] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(869), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51834] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1018), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51892] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1399), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [51950] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_func,
    ACTIONS(1079), 1,
      anon_sym_struct,
    ACTIONS(1085), 1,
      anon_sym_interface,
    ACTIONS(1087), 1,
      anon_sym_map,
    ACTIONS(1089), 1,
      anon_sym_chan,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1508), 1,
      anon_sym_TILDE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LT_DASH,
    STATE(962), 1,
      sym_map_type,
    STATE(917), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1026), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(949), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52008] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52066] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1370), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52124] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(877), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52182] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LT_DASH,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(864), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52240] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1354), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52298] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1170), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52356] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52414] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1379), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52472] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1353), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52530] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1178), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52588] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1349), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52646] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1402), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52704] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1198), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52762] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1404), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52820] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_func,
    ACTIONS(1019), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    ACTIONS(1528), 1,
      anon_sym_LT_DASH,
    STATE(882), 1,
      sym_map_type,
    STATE(846), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(860), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52878] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1413), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52936] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1220), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [52994] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(589), 1,
      anon_sym_func,
    ACTIONS(602), 1,
      anon_sym_map,
    ACTIONS(604), 1,
      anon_sym_chan,
    ACTIONS(606), 1,
      anon_sym_LT_DASH,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1099), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_map_type,
    STATE(861), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1341), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(880), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [53052] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_struct,
    ACTIONS(909), 1,
      anon_sym_interface,
    ACTIONS(929), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_func,
    ACTIONS(937), 1,
      anon_sym_map,
    ACTIONS(939), 1,
      anon_sym_chan,
    ACTIONS(1232), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LT_DASH,
    STATE(821), 1,
      sym_map_type,
    STATE(808), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(811), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(818), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
  [53110] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1550), 1,
      aux_sym_source_file_token1,
    ACTIONS(1548), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53140] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1554), 1,
      aux_sym_source_file_token1,
    ACTIONS(1552), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53170] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1558), 1,
      aux_sym_source_file_token1,
    ACTIONS(1556), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53200] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1562), 1,
      aux_sym_source_file_token1,
    ACTIONS(1560), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53230] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1566), 1,
      aux_sym_source_file_token1,
    ACTIONS(1568), 1,
      anon_sym_COMMA,
    STATE(786), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1564), 17,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [53262] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1566), 1,
      aux_sym_source_file_token1,
    ACTIONS(1564), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [53289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1550), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [53315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1562), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [53341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1558), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [53367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1554), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [53393] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1554), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1552), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [53417] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1550), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1548), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [53441] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1558), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1556), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [53465] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1562), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1560), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [53489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1571), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [53514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(867), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [53539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_COMMA,
    STATE(798), 1,
      aux_sym_var_spec_repeat1,
    ACTIONS(1576), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1578), 6,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [53565] = 6,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_DOT,
    ACTIONS(1101), 1,
      aux_sym_source_file_token1,
    ACTIONS(1585), 1,
      anon_sym_LBRACK,
    STATE(823), 1,
      sym_type_arguments,
    ACTIONS(1583), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53593] = 6,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_DOT,
    ACTIONS(1101), 1,
      aux_sym_source_file_token1,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    STATE(823), 1,
      sym_type_arguments,
    ACTIONS(1583), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1590), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [53642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1596), 7,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [53663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1590), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [53684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1600), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [53705] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1585), 1,
      anon_sym_LBRACK,
    ACTIONS(1604), 1,
      aux_sym_source_file_token1,
    STATE(824), 1,
      sym_type_arguments,
    ACTIONS(1606), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_EQ,
    ACTIONS(1610), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1590), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [53753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    STATE(807), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(1614), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1612), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [53778] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1604), 1,
      aux_sym_source_file_token1,
    ACTIONS(1619), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_type_arguments,
    ACTIONS(1606), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1622), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [53824] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1626), 1,
      aux_sym_source_file_token1,
    ACTIONS(1628), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53844] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1630), 1,
      aux_sym_source_file_token1,
    ACTIONS(1632), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1636), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [53884] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1638), 1,
      aux_sym_source_file_token1,
    ACTIONS(1640), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53904] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1642), 1,
      aux_sym_source_file_token1,
    ACTIONS(1644), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53924] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1646), 1,
      aux_sym_source_file_token1,
    ACTIONS(1648), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53944] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1650), 1,
      aux_sym_source_file_token1,
    ACTIONS(1652), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53964] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1654), 1,
      aux_sym_source_file_token1,
    ACTIONS(1656), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [53984] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1604), 1,
      aux_sym_source_file_token1,
    ACTIONS(1606), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54004] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1658), 1,
      aux_sym_source_file_token1,
    ACTIONS(1660), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54024] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1662), 1,
      aux_sym_source_file_token1,
    ACTIONS(1664), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54044] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1666), 1,
      aux_sym_source_file_token1,
    ACTIONS(1668), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54064] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1670), 1,
      aux_sym_source_file_token1,
    ACTIONS(1672), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54084] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1674), 1,
      aux_sym_source_file_token1,
    ACTIONS(1676), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54104] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1678), 1,
      aux_sym_source_file_token1,
    ACTIONS(1680), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54124] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1682), 1,
      aux_sym_source_file_token1,
    ACTIONS(1684), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54144] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1686), 1,
      aux_sym_source_file_token1,
    ACTIONS(1688), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54164] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1690), 1,
      aux_sym_source_file_token1,
    ACTIONS(1692), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54184] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1694), 1,
      aux_sym_source_file_token1,
    ACTIONS(1696), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54204] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1698), 1,
      aux_sym_source_file_token1,
    ACTIONS(1700), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54224] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1630), 1,
      aux_sym_source_file_token1,
    ACTIONS(1632), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54244] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1630), 1,
      aux_sym_source_file_token1,
    ACTIONS(1632), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54264] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1702), 1,
      aux_sym_source_file_token1,
    ACTIONS(1704), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54284] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1706), 1,
      aux_sym_source_file_token1,
    ACTIONS(1708), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54304] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1710), 1,
      aux_sym_source_file_token1,
    ACTIONS(1712), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54324] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1714), 1,
      aux_sym_source_file_token1,
    ACTIONS(1716), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54344] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym_source_file_token1,
    ACTIONS(1720), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54364] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1722), 1,
      aux_sym_source_file_token1,
    ACTIONS(1724), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54384] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1726), 1,
      aux_sym_source_file_token1,
    ACTIONS(1728), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [54404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1730), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [54423] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    ACTIONS(1740), 1,
      anon_sym_LPAREN,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    STATE(1186), 2,
      sym_import_spec,
      sym_import_spec_list,
  [54456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1742), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [54475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1746), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [54494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_DOT,
    ACTIONS(1752), 1,
      anon_sym_LBRACK,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(1101), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54517] = 9,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_DOT,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1585), 1,
      anon_sym_LBRACK,
    ACTIONS(1755), 1,
      aux_sym_source_file_token1,
    STATE(823), 1,
      sym_type_arguments,
    STATE(1086), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    ACTIONS(1757), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54548] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1759), 1,
      sym_identifier,
    ACTIONS(1761), 1,
      sym_blank_identifier,
    ACTIONS(1763), 1,
      anon_sym_LPAREN,
    ACTIONS(1765), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    STATE(1092), 1,
      sym_dot,
    STATE(1111), 2,
      sym_import_spec,
      sym_import_spec_list,
    STATE(1114), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [54581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_LBRACK,
    STATE(857), 1,
      sym_type_arguments,
    ACTIONS(1604), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54601] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    ACTIONS(1772), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_import_spec,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [54633] = 8,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1585), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      aux_sym_source_file_token1,
    STATE(824), 1,
      sym_type_arguments,
    STATE(1072), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    ACTIONS(1776), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54661] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    ACTIONS(1778), 1,
      anon_sym_RPAREN,
    STATE(1058), 1,
      sym_import_spec,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [54693] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    ACTIONS(1780), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      sym_import_spec,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [54725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_DOT,
    ACTIONS(1782), 1,
      anon_sym_LBRACK,
    STATE(886), 1,
      sym_type_arguments,
    ACTIONS(1101), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54747] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_import_spec,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [54779] = 8,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_DOT,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(1101), 1,
      aux_sym_source_file_token1,
    ACTIONS(1585), 1,
      anon_sym_LBRACK,
    STATE(515), 1,
      sym_parameter_list,
    STATE(823), 1,
      sym_type_arguments,
    ACTIONS(1583), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [54807] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    ACTIONS(1786), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_import_spec,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [54839] = 8,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1585), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      aux_sym_source_file_token1,
    STATE(824), 1,
      sym_type_arguments,
    STATE(1088), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    ACTIONS(1790), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54867] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    ACTIONS(1792), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_import_spec,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [54899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_LBRACK,
    STATE(857), 1,
      sym_type_arguments,
    ACTIONS(1604), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [54978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    ACTIONS(1769), 1,
      anon_sym_LBRACK,
    STATE(420), 1,
      sym_literal_value,
    STATE(857), 1,
      sym_type_arguments,
    ACTIONS(1604), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [55001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [55361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1734), 1,
      sym_identifier,
    ACTIONS(1736), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_blank_identifier,
    STATE(1063), 1,
      sym_import_spec,
    STATE(1128), 1,
      sym_dot,
    STATE(1105), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [55390] = 6,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_DOT,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    STATE(987), 1,
      sym_type_arguments,
    ACTIONS(1101), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1583), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [55412] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1803), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1091), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55440] = 6,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1805), 1,
      aux_sym_source_file_token1,
    STATE(1090), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    ACTIONS(1807), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_LBRACE,
    STATE(398), 1,
      sym_block,
    ACTIONS(1722), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [55480] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1091), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55508] = 7,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1811), 1,
      aux_sym_source_file_token1,
    STATE(1067), 1,
      sym_raw_string_literal,
    STATE(1068), 1,
      sym_interpreted_string_literal,
    ACTIONS(1813), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1042), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55560] = 6,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_DOT,
    ACTIONS(1817), 1,
      anon_sym_LBRACK,
    STATE(987), 1,
      sym_type_arguments,
    ACTIONS(1101), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1583), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [55582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    STATE(420), 1,
      sym_literal_value,
    ACTIONS(1666), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [55600] = 6,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1788), 1,
      aux_sym_source_file_token1,
    STATE(1088), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    ACTIONS(1790), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55622] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_COMMA,
    ACTIONS(1571), 1,
      aux_sym_source_file_token1,
    STATE(899), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1819), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55642] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(867), 1,
      aux_sym_source_file_token1,
    ACTIONS(1821), 1,
      anon_sym_COMMA,
    STATE(899), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(869), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55662] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1824), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1091), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55690] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1826), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1046), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55718] = 6,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1774), 1,
      aux_sym_source_file_token1,
    STATE(1072), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
    ACTIONS(1776), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55740] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1036), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55768] = 7,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      anon_sym_DQUOTE,
    ACTIONS(1811), 1,
      aux_sym_source_file_token1,
    STATE(1069), 1,
      sym_raw_string_literal,
    STATE(1070), 1,
      sym_interpreted_string_literal,
    ACTIONS(1813), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1830), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1091), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    STATE(420), 1,
      sym_literal_value,
    ACTIONS(1604), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [55838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1832), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1091), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55866] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1091), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [55894] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_identifier,
    ACTIONS(1838), 1,
      aux_sym_source_file_token1,
    ACTIONS(1840), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55911] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_LBRACK,
    STATE(996), 1,
      sym_type_arguments,
    ACTIONS(1604), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1606), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [55930] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1845), 1,
      aux_sym_source_file_token1,
    ACTIONS(1849), 1,
      anon_sym_else,
    ACTIONS(1847), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55947] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1851), 1,
      aux_sym_source_file_token1,
    ACTIONS(1855), 1,
      anon_sym_EQ,
    ACTIONS(1853), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55964] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1857), 1,
      aux_sym_source_file_token1,
    ACTIONS(1861), 1,
      anon_sym_EQ,
    ACTIONS(1859), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55981] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1857), 1,
      aux_sym_source_file_token1,
    ACTIONS(1863), 1,
      anon_sym_EQ,
    ACTIONS(1859), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55998] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1865), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      aux_sym_source_file_token1,
    ACTIONS(1869), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56015] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1871), 1,
      aux_sym_source_file_token1,
    STATE(916), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1874), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1877), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56034] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_LBRACK,
    STATE(996), 1,
      sym_type_arguments,
    ACTIONS(1604), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1606), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [56053] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1879), 1,
      aux_sym_source_file_token1,
    STATE(916), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1881), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(216), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56072] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1883), 1,
      aux_sym_source_file_token1,
    STATE(918), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1885), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1887), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56091] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1889), 1,
      aux_sym_source_file_token1,
    ACTIONS(1893), 1,
      anon_sym_else,
    ACTIONS(1891), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1799), 1,
      sym_identifier,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    STATE(848), 1,
      sym_qualified_type,
    STATE(902), 1,
      sym_generic_type,
    STATE(1091), 1,
      sym_field_declaration,
    STATE(1292), 1,
      sym_negated_type,
  [56133] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1895), 1,
      aux_sym_source_file_token1,
    ACTIONS(1897), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56147] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1638), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1640), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1903), 1,
      anon_sym_LBRACK,
    ACTIONS(1905), 1,
      anon_sym_PIPE,
    STATE(1147), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1901), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56181] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1907), 1,
      aux_sym_source_file_token1,
    ACTIONS(1909), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56195] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1911), 1,
      aux_sym_source_file_token1,
    ACTIONS(1913), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56209] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1915), 1,
      aux_sym_source_file_token1,
    ACTIONS(1917), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_RBRACE,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    STATE(1017), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [56241] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1925), 1,
      aux_sym_source_file_token1,
    ACTIONS(1927), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56255] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1929), 1,
      aux_sym_source_file_token1,
    ACTIONS(1931), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56269] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1933), 1,
      aux_sym_source_file_token1,
    ACTIONS(1935), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(1937), 1,
      anon_sym_RBRACE,
    STATE(1003), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [56301] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1939), 1,
      aux_sym_source_file_token1,
    ACTIONS(1941), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56315] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1642), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1644), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(1943), 1,
      anon_sym_RBRACE,
    STATE(963), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [56347] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1646), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1648), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56361] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1945), 1,
      aux_sym_source_file_token1,
    ACTIONS(1947), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56375] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1949), 1,
      aux_sym_source_file_token1,
    ACTIONS(1951), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56389] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1953), 1,
      aux_sym_source_file_token1,
    ACTIONS(1955), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56403] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1650), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1652), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1959), 1,
      anon_sym_case,
    ACTIONS(1962), 1,
      anon_sym_default,
    STATE(941), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [56435] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1965), 1,
      aux_sym_source_file_token1,
    ACTIONS(1967), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56449] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1969), 1,
      aux_sym_source_file_token1,
    ACTIONS(1971), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56463] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1973), 1,
      aux_sym_source_file_token1,
    ACTIONS(1975), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56477] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1977), 1,
      aux_sym_source_file_token1,
    ACTIONS(1979), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56491] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1981), 1,
      aux_sym_source_file_token1,
    ACTIONS(1983), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(1985), 1,
      anon_sym_RBRACE,
    ACTIONS(1987), 1,
      anon_sym_case,
    STATE(1024), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [56523] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1989), 1,
      aux_sym_source_file_token1,
    ACTIONS(1991), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56537] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1604), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1606), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56551] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1993), 1,
      aux_sym_source_file_token1,
    ACTIONS(1995), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [56577] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1726), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1728), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56591] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1690), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1692), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56605] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1698), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1700), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1750), 1,
      anon_sym_DOT,
    ACTIONS(1752), 1,
      anon_sym_LBRACK,
    ACTIONS(1997), 1,
      anon_sym_LPAREN,
    STATE(460), 1,
      sym_parameter_list,
    STATE(886), 1,
      sym_type_arguments,
  [56641] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1662), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1664), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56655] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1630), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1632), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56669] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym_block,
    ACTIONS(1999), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2001), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56687] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2003), 1,
      aux_sym_source_file_token1,
    ACTIONS(2005), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56701] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2007), 1,
      aux_sym_source_file_token1,
    ACTIONS(2009), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    STATE(1003), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [56733] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1666), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1668), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(2013), 1,
      anon_sym_RBRACE,
    STATE(1003), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [56765] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2015), 1,
      aux_sym_source_file_token1,
    ACTIONS(2017), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56779] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2019), 1,
      aux_sym_source_file_token1,
    ACTIONS(2021), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56793] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2023), 1,
      aux_sym_source_file_token1,
    ACTIONS(2025), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56807] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2027), 1,
      aux_sym_source_file_token1,
    ACTIONS(2029), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56821] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_LBRACE,
    STATE(1064), 1,
      sym_block,
    ACTIONS(2031), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2033), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56839] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_LBRACE,
    STATE(1066), 1,
      sym_block,
    ACTIONS(2035), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2037), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56857] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1630), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1632), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56871] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2039), 1,
      aux_sym_source_file_token1,
    ACTIONS(2041), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56885] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2043), 1,
      aux_sym_source_file_token1,
    ACTIONS(2045), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56899] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2047), 1,
      aux_sym_source_file_token1,
    ACTIONS(2049), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56913] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2051), 1,
      aux_sym_source_file_token1,
    ACTIONS(2053), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(2055), 1,
      anon_sym_COMMA,
    STATE(975), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(867), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [56945] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1654), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1656), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56959] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2058), 1,
      aux_sym_source_file_token1,
    ACTIONS(2060), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56973] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1670), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1672), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [56987] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1694), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1696), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57001] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2062), 1,
      aux_sym_source_file_token1,
    ACTIONS(2064), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57015] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2066), 1,
      aux_sym_source_file_token1,
    ACTIONS(2068), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57029] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1702), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1704), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57043] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2070), 1,
      aux_sym_source_file_token1,
    ACTIONS(2072), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57057] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2074), 1,
      aux_sym_source_file_token1,
    ACTIONS(1877), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(2076), 1,
      anon_sym_RBRACE,
    STATE(961), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [57089] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2078), 1,
      aux_sym_source_file_token1,
    ACTIONS(2080), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57103] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1674), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1676), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57117] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2082), 1,
      aux_sym_source_file_token1,
    ACTIONS(2084), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57131] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2086), 1,
      aux_sym_source_file_token1,
    ACTIONS(2088), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57145] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2090), 1,
      aux_sym_source_file_token1,
    ACTIONS(2094), 1,
      anon_sym_PIPE,
    STATE(1019), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2092), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    ACTIONS(1750), 1,
      anon_sym_DOT,
    ACTIONS(1752), 1,
      anon_sym_LBRACK,
    ACTIONS(2096), 1,
      anon_sym_LPAREN,
    STATE(463), 1,
      sym_parameter_list,
    STATE(886), 1,
      sym_type_arguments,
  [57185] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2098), 1,
      aux_sym_source_file_token1,
    ACTIONS(2100), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57199] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2102), 1,
      aux_sym_source_file_token1,
    ACTIONS(2104), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57213] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2106), 1,
      aux_sym_source_file_token1,
    ACTIONS(2108), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(1987), 1,
      anon_sym_case,
    ACTIONS(2110), 1,
      anon_sym_RBRACE,
    STATE(947), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [57245] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1678), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1680), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57259] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2112), 1,
      aux_sym_source_file_token1,
    ACTIONS(2114), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57273] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2116), 1,
      aux_sym_source_file_token1,
    ACTIONS(2118), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57287] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2116), 1,
      aux_sym_source_file_token1,
    ACTIONS(2118), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57301] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2120), 1,
      aux_sym_source_file_token1,
    ACTIONS(2122), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57315] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2124), 1,
      aux_sym_source_file_token1,
    ACTIONS(2126), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57329] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1706), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1708), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    ACTIONS(2130), 1,
      anon_sym_case,
    ACTIONS(2133), 1,
      anon_sym_default,
    STATE(1003), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [57361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(2136), 1,
      anon_sym_RBRACE,
    STATE(932), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [57379] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2138), 1,
      aux_sym_source_file_token1,
    ACTIONS(2140), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57393] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2142), 1,
      aux_sym_source_file_token1,
    ACTIONS(2144), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57407] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1718), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1720), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57421] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1710), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1712), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57435] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2146), 1,
      aux_sym_source_file_token1,
    ACTIONS(2148), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57449] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1722), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1724), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57463] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1901), 1,
      aux_sym_source_file_token1,
    ACTIONS(2094), 1,
      anon_sym_PIPE,
    STATE(990), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2150), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_COMMA,
    ACTIONS(1819), 1,
      anon_sym_COLON,
    STATE(975), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1571), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [57499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(2152), 1,
      anon_sym_RBRACE,
    ACTIONS(2154), 1,
      anon_sym_case,
    STATE(941), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [57517] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1682), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1684), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57531] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2156), 1,
      aux_sym_source_file_token1,
    ACTIONS(2158), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57545] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2160), 1,
      aux_sym_source_file_token1,
    ACTIONS(2162), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_case,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(2164), 1,
      anon_sym_RBRACE,
    STATE(1003), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [57577] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1630), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1632), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57591] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2166), 1,
      aux_sym_source_file_token1,
    ACTIONS(2170), 1,
      anon_sym_PIPE,
    STATE(1019), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2168), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57609] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1626), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1628), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57623] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2173), 1,
      aux_sym_source_file_token1,
    ACTIONS(2175), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57637] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1686), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1688), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57651] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2177), 1,
      aux_sym_source_file_token1,
    ACTIONS(2179), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_case,
    ACTIONS(2186), 1,
      anon_sym_default,
    STATE(1024), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [57683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_default,
    ACTIONS(2154), 1,
      anon_sym_case,
    ACTIONS(2189), 1,
      anon_sym_RBRACE,
    STATE(1013), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [57701] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1658), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1660), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57715] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1714), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1716), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [57729] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_LBRACE,
    ACTIONS(2031), 1,
      aux_sym_source_file_token1,
    STATE(1172), 1,
      sym_block,
    ACTIONS(2033), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57746] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_LBRACE,
    ACTIONS(2035), 1,
      aux_sym_source_file_token1,
    STATE(1182), 1,
      sym_block,
    ACTIONS(2037), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57763] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2191), 1,
      aux_sym_source_file_token1,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    STATE(1051), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2193), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      sym_identifier,
    ACTIONS(2199), 1,
      anon_sym_RPAREN,
    STATE(1033), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1203), 2,
      sym_type_alias,
      sym_type_spec,
  [57797] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2201), 1,
      aux_sym_source_file_token1,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    STATE(1051), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2203), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_RPAREN,
    STATE(1033), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1203), 2,
      sym_type_alias,
      sym_type_spec,
  [57831] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2212), 1,
      aux_sym_source_file_token1,
    ACTIONS(2216), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2214), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57848] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2218), 1,
      aux_sym_source_file_token1,
    ACTIONS(2222), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2220), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57865] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2224), 1,
      aux_sym_source_file_token1,
    ACTIONS(2228), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2226), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_literal_value,
    STATE(857), 1,
      sym_type_arguments,
  [57901] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2232), 1,
      aux_sym_source_file_token1,
    ACTIONS(2236), 1,
      anon_sym_RBRACE,
    STATE(1059), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2234), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57918] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2238), 1,
      aux_sym_source_file_token1,
    ACTIONS(2242), 1,
      anon_sym_RBRACE,
    STATE(1059), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2240), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57935] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2244), 1,
      aux_sym_source_file_token1,
    ACTIONS(2248), 1,
      anon_sym_RBRACE,
    STATE(1059), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2246), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57952] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2250), 1,
      aux_sym_source_file_token1,
    ACTIONS(2254), 1,
      anon_sym_RBRACE,
    STATE(1040), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2252), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57969] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2256), 1,
      aux_sym_source_file_token1,
    ACTIONS(2260), 1,
      anon_sym_RBRACE,
    STATE(1030), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2258), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57986] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2262), 1,
      aux_sym_source_file_token1,
    ACTIONS(2266), 1,
      anon_sym_RBRACE,
    STATE(1038), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2264), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      sym_identifier,
    ACTIONS(2268), 1,
      anon_sym_RPAREN,
    STATE(1031), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1203), 2,
      sym_type_alias,
      sym_type_spec,
  [58020] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2270), 1,
      aux_sym_source_file_token1,
    ACTIONS(2274), 1,
      anon_sym_RBRACE,
    STATE(1051), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2272), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58037] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2276), 1,
      aux_sym_source_file_token1,
    ACTIONS(2280), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2278), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(2282), 1,
      sym_identifier,
    STATE(855), 1,
      sym_qualified_type,
    STATE(897), 1,
      sym_generic_type,
    STATE(1292), 1,
      sym_negated_type,
  [58073] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2284), 1,
      aux_sym_source_file_token1,
    ACTIONS(2290), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2287), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58090] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_LBRACE,
    ACTIONS(1999), 1,
      aux_sym_source_file_token1,
    STATE(1156), 1,
      sym_block,
    ACTIONS(2001), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_LBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_literal_value,
    STATE(857), 1,
      sym_type_arguments,
  [58126] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2294), 1,
      aux_sym_source_file_token1,
    ACTIONS(2300), 1,
      anon_sym_RBRACE,
    STATE(1051), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2297), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58143] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2302), 1,
      aux_sym_source_file_token1,
    ACTIONS(2306), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2304), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58160] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2308), 1,
      aux_sym_source_file_token1,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    STATE(1039), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2310), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_LBRACE,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_LBRACK,
    STATE(546), 1,
      sym_literal_value,
    STATE(857), 1,
      sym_type_arguments,
  [58196] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2166), 1,
      aux_sym_source_file_token1,
    ACTIONS(2168), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [58209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(861), 1,
      anon_sym_LBRACE,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_LBRACK,
    STATE(353), 1,
      sym_literal_value,
    STATE(857), 1,
      sym_type_arguments,
  [58228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_LBRACK,
    ACTIONS(2314), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_literal_value,
    STATE(857), 1,
      sym_type_arguments,
  [58247] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2316), 1,
      aux_sym_source_file_token1,
    ACTIONS(2320), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2318), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58264] = 5,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2322), 1,
      aux_sym_source_file_token1,
    ACTIONS(2328), 1,
      anon_sym_RBRACE,
    STATE(1059), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2325), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      sym_identifier,
    ACTIONS(2332), 1,
      anon_sym_LPAREN,
    STATE(977), 2,
      sym_var_spec,
      sym_var_spec_list,
  [58295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_COMMA,
    ACTIONS(2336), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    STATE(1243), 1,
      aux_sym_literal_value_repeat1,
  [58311] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2340), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2342), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58323] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2344), 1,
      aux_sym_source_file_token1,
    ACTIONS(2290), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [58335] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2346), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2348), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_PIPE,
    STATE(1065), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2166), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58361] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2353), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2355), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58373] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2357), 1,
      aux_sym_source_file_token1,
    ACTIONS(2359), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58385] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2357), 1,
      aux_sym_source_file_token1,
    ACTIONS(2359), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58397] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2357), 1,
      aux_sym_source_file_token1,
    ACTIONS(2359), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58409] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2357), 1,
      aux_sym_source_file_token1,
    ACTIONS(2359), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58421] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2361), 1,
      aux_sym_source_file_token1,
    ACTIONS(2363), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58433] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2365), 1,
      aux_sym_source_file_token1,
    ACTIONS(2367), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2369), 1,
      anon_sym_if,
    STATE(937), 2,
      sym_block,
      sym_if_statement,
  [58459] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2371), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2373), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58471] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_DQUOTE2,
    STATE(1079), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2375), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [58485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_literal_value,
    ACTIONS(1604), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_literal_value,
    ACTIONS(1666), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58513] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2379), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2381), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58525] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2383), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [58539] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2387), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2389), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    STATE(466), 1,
      sym_block,
    ACTIONS(1722), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58565] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2391), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2393), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2395), 1,
      anon_sym_COMMA,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    STATE(1160), 1,
      aux_sym_literal_value_repeat1,
  [58593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      sym_identifier,
    ACTIONS(2399), 1,
      anon_sym_RPAREN,
    STATE(1089), 1,
      aux_sym_var_spec_list_repeat1,
    STATE(1214), 1,
      sym_var_spec,
  [58609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 1,
      sym_identifier,
    ACTIONS(2403), 1,
      anon_sym_RPAREN,
    STATE(1148), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1237), 1,
      sym_const_spec,
  [58625] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2405), 1,
      aux_sym_source_file_token1,
    ACTIONS(2407), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58637] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2409), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [58651] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2414), 1,
      aux_sym_source_file_token1,
    ACTIONS(2416), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2421), 1,
      anon_sym_RPAREN,
    STATE(1089), 1,
      aux_sym_var_spec_list_repeat1,
    STATE(1214), 1,
      sym_var_spec,
  [58679] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2423), 1,
      aux_sym_source_file_token1,
    ACTIONS(2425), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58691] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2427), 1,
      aux_sym_source_file_token1,
    ACTIONS(2300), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    STATE(1117), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [58717] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2429), 1,
      aux_sym_source_file_token1,
    ACTIONS(2431), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2369), 1,
      anon_sym_if,
    STATE(983), 2,
      sym_block,
      sym_if_statement,
  [58743] = 4,
    ACTIONS(77), 1,
      ts_builtin_sym_end,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2433), 1,
      aux_sym_source_file_token1,
    ACTIONS(2435), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58757] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2437), 1,
      aux_sym_source_file_token1,
    ACTIONS(2328), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [58769] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE2,
    STATE(1101), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2439), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [58783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_literal_value,
    ACTIONS(1604), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_literal_value,
    ACTIONS(1666), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      sym_identifier,
    ACTIONS(2443), 1,
      anon_sym_LPAREN,
    STATE(950), 2,
      sym_type_alias,
      sym_type_spec,
  [58825] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2445), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2383), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [58839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_block,
    ACTIONS(1722), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2447), 1,
      anon_sym_COMMA,
    ACTIONS(2449), 1,
      anon_sym_RBRACE,
    STATE(1181), 1,
      aux_sym_literal_value_repeat1,
  [58869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      sym_identifier,
    ACTIONS(2451), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_var_spec_list_repeat1,
    STATE(1214), 1,
      sym_var_spec,
  [58885] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2453), 1,
      aux_sym_source_file_token1,
    ACTIONS(2455), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [58897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_block,
    ACTIONS(1722), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      anon_sym_DQUOTE,
    STATE(1121), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [58925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_literal_value,
    ACTIONS(1666), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(861), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_literal_value,
    ACTIONS(1604), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(861), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_literal_value,
    ACTIONS(1666), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [58967] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2457), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2459), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58979] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2433), 1,
      aux_sym_source_file_token1,
    ACTIONS(2461), 1,
      ts_builtin_sym_end,
    ACTIONS(2435), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58993] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2383), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59007] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2453), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2455), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym_block,
    ACTIONS(1722), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [59033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2465), 1,
      anon_sym_COMMA,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    STATE(1204), 1,
      aux_sym_literal_value_repeat1,
  [59049] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2469), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2471), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59061] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(668), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(670), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59073] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2473), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2475), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59085] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2479), 1,
      anon_sym_DQUOTE2,
    STATE(1149), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2477), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59099] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2481), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2483), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59111] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(682), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(684), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59123] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_DQUOTE2,
    STATE(1145), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2485), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59137] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2491), 1,
      anon_sym_DQUOTE2,
    STATE(1130), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2489), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_literal_value,
    ACTIONS(1604), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [59165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_literal_value,
    ACTIONS(1666), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [59179] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2493), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2495), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    STATE(1131), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [59205] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2497), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2499), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59217] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2383), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59231] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2469), 1,
      aux_sym_source_file_token1,
    ACTIONS(2471), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [59243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_LBRACE,
    STATE(550), 1,
      sym_block,
    ACTIONS(1722), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [59257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2503), 1,
      anon_sym_COMMA,
    ACTIONS(2505), 1,
      anon_sym_RBRACE,
    STATE(1224), 1,
      aux_sym_literal_value_repeat1,
  [59273] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2481), 1,
      aux_sym_source_file_token1,
    ACTIONS(2483), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [59285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    STATE(1134), 2,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [59299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2507), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
    ACTIONS(2510), 2,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [59313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN,
    ACTIONS(2512), 1,
      anon_sym_LBRACK,
    STATE(502), 1,
      sym_parameter_list,
    STATE(1309), 1,
      sym_type_parameter_list,
  [59329] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(664), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(666), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_literal_value,
    ACTIONS(1604), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [59355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_PIPE,
    STATE(1147), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1901), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59369] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_DQUOTE2,
    STATE(1142), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2514), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59383] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2383), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LPAREN,
    ACTIONS(2512), 1,
      anon_sym_LBRACK,
    STATE(459), 1,
      sym_parameter_list,
    STATE(1289), 1,
      sym_type_parameter_list,
  [59413] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(672), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(674), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59425] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2383), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59439] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(676), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(678), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_PIPE,
    STATE(1065), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2090), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 1,
      sym_identifier,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    STATE(1152), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1237), 1,
      sym_const_spec,
  [59481] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE2,
    STATE(1087), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2383), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    ACTIONS(2528), 1,
      anon_sym_RBRACE,
    STATE(1252), 1,
      aux_sym_literal_value_repeat1,
  [59511] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2530), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2532), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      sym_identifier,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    STATE(1152), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1237), 1,
      sym_const_spec,
  [59539] = 4,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_DQUOTE2,
    STATE(1113), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2539), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [59553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2543), 1,
      anon_sym_COMMA,
    ACTIONS(2545), 1,
      anon_sym_RBRACK,
    STATE(1235), 1,
      aux_sym_type_arguments_repeat1,
  [59566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_RPAREN,
    ACTIONS(1196), 1,
      anon_sym_COMMA,
    STATE(1216), 1,
      aux_sym_argument_list_repeat1,
  [59579] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2387), 1,
      aux_sym_source_file_token1,
    ACTIONS(2389), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2547), 1,
      anon_sym_COMMA,
    ACTIONS(2549), 1,
      anon_sym_RBRACK,
    STATE(1230), 1,
      aux_sym_type_arguments_repeat1,
  [59603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_RPAREN,
    ACTIONS(2551), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      aux_sym_expression_list_repeat1,
  [59616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 1,
      anon_sym_RBRACK,
    ACTIONS(2553), 1,
      anon_sym_COMMA,
    STATE(1197), 1,
      aux_sym_type_arguments_repeat1,
  [59629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(352), 1,
      anon_sym_RBRACE,
    ACTIONS(2555), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [59642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      anon_sym_RBRACK,
    ACTIONS(2557), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
  [59655] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2530), 1,
      aux_sym_source_file_token1,
    ACTIONS(2532), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [59675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [59684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [59693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_RBRACK,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
  [59706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2565), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [59715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 1,
      sym_identifier,
    ACTIONS(2567), 1,
      anon_sym_LPAREN,
    STATE(942), 1,
      sym_const_spec,
  [59728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(2569), 1,
      sym_identifier,
    STATE(628), 1,
      sym_parameter_list,
  [59741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_COMMA,
    ACTIONS(2573), 1,
      anon_sym_RBRACK,
    STATE(1255), 1,
      aux_sym_type_case_repeat1,
  [59754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [59763] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2346), 1,
      aux_sym_source_file_token1,
    ACTIONS(2348), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RPAREN,
    ACTIONS(2579), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_parameter_list_repeat1,
  [59787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_COMMA,
    ACTIONS(2336), 1,
      anon_sym_RBRACE,
    STATE(1243), 1,
      aux_sym_literal_value_repeat1,
  [59800] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2379), 1,
      aux_sym_source_file_token1,
    ACTIONS(2381), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_RPAREN,
    ACTIONS(2583), 1,
      anon_sym_COMMA,
    STATE(1180), 1,
      aux_sym_expression_list_repeat1,
  [59824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_COMMA,
    ACTIONS(2449), 1,
      anon_sym_RBRACE,
    STATE(1181), 1,
      aux_sym_literal_value_repeat1,
  [59837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_COMMA,
    ACTIONS(2587), 1,
      anon_sym_RBRACK,
    STATE(1183), 1,
      aux_sym_type_case_repeat1,
  [59850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 1,
      anon_sym_RPAREN,
    ACTIONS(1182), 1,
      anon_sym_COMMA,
    STATE(1185), 1,
      aux_sym_argument_list_repeat1,
  [59863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_RPAREN,
    ACTIONS(2589), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      aux_sym_expression_list_repeat1,
  [59876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(360), 1,
      anon_sym_RBRACE,
    ACTIONS(2591), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [59889] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2353), 1,
      aux_sym_source_file_token1,
    ACTIONS(2355), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      anon_sym_RBRACK,
    ACTIONS(2593), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
  [59913] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2371), 1,
      aux_sym_source_file_token1,
    ACTIONS(2373), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(442), 1,
      anon_sym_RPAREN,
    ACTIONS(2595), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_argument_list_repeat1,
  [59937] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2457), 1,
      aux_sym_source_file_token1,
    ACTIONS(2459), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [59957] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2391), 1,
      aux_sym_source_file_token1,
    ACTIONS(2393), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59968] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2340), 1,
      aux_sym_source_file_token1,
    ACTIONS(2342), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    ACTIONS(2601), 1,
      anon_sym_COLON,
    STATE(1194), 1,
      aux_sym_type_case_repeat1,
  [59992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 1,
      anon_sym_RPAREN,
    ACTIONS(2603), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_argument_list_repeat1,
  [60005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      sym_identifier,
    ACTIONS(2607), 1,
      anon_sym_RBRACK,
    STATE(1315), 1,
      sym_type_parameter_declaration,
  [60018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_RPAREN,
    ACTIONS(2611), 1,
      anon_sym_COMMA,
    STATE(1193), 1,
      aux_sym_parameter_list_repeat1,
  [60031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    ACTIONS(2614), 1,
      anon_sym_COLON,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
  [60044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_RPAREN,
    ACTIONS(2618), 1,
      anon_sym_COMMA,
    STATE(1202), 1,
      aux_sym_expression_list_repeat1,
  [60057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 1,
      anon_sym_COMMA,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    STATE(1204), 1,
      aux_sym_literal_value_repeat1,
  [60070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_COMMA,
    ACTIONS(2623), 1,
      anon_sym_RBRACK,
    STATE(1197), 1,
      aux_sym_type_arguments_repeat1,
  [60083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    ACTIONS(2627), 1,
      anon_sym_RBRACK,
    STATE(1205), 1,
      aux_sym_type_case_repeat1,
  [60096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      sym_identifier,
    ACTIONS(2629), 1,
      anon_sym_RBRACK,
    STATE(1315), 1,
      sym_type_parameter_declaration,
  [60109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    ACTIONS(1160), 1,
      anon_sym_COMMA,
    STATE(1206), 1,
      aux_sym_argument_list_repeat1,
  [60122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2631), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [60133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_RPAREN,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      aux_sym_expression_list_repeat1,
  [60146] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2635), 1,
      aux_sym_source_file_token1,
    ACTIONS(2637), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(366), 1,
      anon_sym_RBRACE,
    ACTIONS(2639), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [60170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 1,
      anon_sym_RBRACK,
    ACTIONS(2641), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
  [60183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_RPAREN,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_argument_list_repeat1,
  [60196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_RBRACE,
    ACTIONS(2645), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [60209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_RPAREN,
    ACTIONS(2648), 1,
      anon_sym_COMMA,
    STATE(1193), 1,
      aux_sym_parameter_list_repeat1,
  [60222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 1,
      anon_sym_RBRACK,
    ACTIONS(2650), 1,
      anon_sym_COMMA,
    STATE(1212), 1,
      aux_sym_type_parameter_list_repeat1,
  [60235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2510), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [60244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      anon_sym_COMMA,
    ACTIONS(2654), 1,
      anon_sym_RBRACK,
    STATE(1209), 1,
      aux_sym_type_parameter_list_repeat1,
  [60257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_COMMA,
    ACTIONS(2659), 1,
      anon_sym_RBRACK,
    STATE(1212), 1,
      aux_sym_type_parameter_list_repeat1,
  [60270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2661), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [60279] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2663), 1,
      aux_sym_source_file_token1,
    ACTIONS(2665), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60290] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2473), 1,
      aux_sym_source_file_token1,
    ACTIONS(2475), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(408), 1,
      anon_sym_RPAREN,
    ACTIONS(2667), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_argument_list_repeat1,
  [60314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
    ACTIONS(2671), 1,
      anon_sym_COMMA,
    STATE(1223), 1,
      aux_sym_expression_list_repeat1,
  [60327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 1,
      anon_sym_COMMA,
    ACTIONS(2505), 1,
      anon_sym_RBRACE,
    STATE(1224), 1,
      aux_sym_literal_value_repeat1,
  [60340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(210), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [60349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_COMMA,
    ACTIONS(2675), 1,
      anon_sym_RBRACK,
    STATE(1225), 1,
      aux_sym_type_case_repeat1,
  [60362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      anon_sym_RPAREN,
    ACTIONS(1224), 1,
      anon_sym_COMMA,
    STATE(1226), 1,
      aux_sym_argument_list_repeat1,
  [60375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    STATE(1256), 1,
      aux_sym_parameter_list_repeat1,
  [60388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_RPAREN,
    ACTIONS(2681), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      aux_sym_expression_list_repeat1,
  [60401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(368), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [60414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_RBRACK,
    ACTIONS(2685), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
  [60427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_RPAREN,
    ACTIONS(2687), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_argument_list_repeat1,
  [60440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 1,
      anon_sym_RPAREN,
    ACTIONS(2689), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      aux_sym_expression_list_repeat1,
  [60453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 1,
      anon_sym_RPAREN,
    ACTIONS(2691), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      aux_sym_expression_list_repeat1,
  [60466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    ACTIONS(2695), 1,
      anon_sym_COMMA,
    STATE(1228), 1,
      aux_sym_expression_list_repeat1,
  [60479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      anon_sym_RBRACK,
    ACTIONS(2697), 1,
      anon_sym_COMMA,
    STATE(1197), 1,
      aux_sym_type_arguments_repeat1,
  [60492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_RPAREN,
    ACTIONS(2701), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_expression_list_repeat1,
  [60505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_COMMA,
    ACTIONS(2705), 1,
      anon_sym_RBRACK,
    STATE(1159), 1,
      aux_sym_type_arguments_repeat1,
  [60518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(2707), 1,
      sym_identifier,
    STATE(599), 1,
      sym_parameter_list,
  [60531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_COMMA,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    STATE(1160), 1,
      aux_sym_literal_value_repeat1,
  [60544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      anon_sym_RBRACK,
    ACTIONS(2709), 1,
      anon_sym_COMMA,
    STATE(1197), 1,
      aux_sym_type_arguments_repeat1,
  [60557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_RPAREN,
    ACTIONS(2711), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_argument_list_repeat1,
  [60570] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2714), 1,
      aux_sym_source_file_token1,
    ACTIONS(2716), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 1,
      anon_sym_COMMA,
    ACTIONS(2720), 1,
      anon_sym_RBRACK,
    STATE(1161), 1,
      aux_sym_type_case_repeat1,
  [60594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LBRACE,
    ACTIONS(2722), 1,
      anon_sym_COMMA,
    STATE(1239), 1,
      aux_sym_expression_list_repeat1,
  [60607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_COMMA,
    ACTIONS(1571), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      aux_sym_expression_list_repeat1,
  [60620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1190), 1,
      anon_sym_RPAREN,
    ACTIONS(1192), 1,
      anon_sym_COMMA,
    STATE(1258), 1,
      aux_sym_argument_list_repeat1,
  [60633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2725), 1,
      anon_sym_RPAREN,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    STATE(1246), 1,
      aux_sym_parameter_list_repeat1,
  [60646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 1,
      anon_sym_RBRACE,
    ACTIONS(2729), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [60659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_RPAREN,
    ACTIONS(2733), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      aux_sym_expression_list_repeat1,
  [60672] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2497), 1,
      aux_sym_source_file_token1,
    ACTIONS(2499), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_RPAREN,
    ACTIONS(2735), 1,
      anon_sym_COMMA,
    STATE(1193), 1,
      aux_sym_parameter_list_repeat1,
  [60696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    ACTIONS(2528), 1,
      anon_sym_RBRACE,
    STATE(1252), 1,
      aux_sym_literal_value_repeat1,
  [60709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1903), 1,
      anon_sym_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_RPAREN,
  [60722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_COMMA,
    ACTIONS(2741), 1,
      anon_sym_RBRACK,
    STATE(1166), 1,
      aux_sym_type_case_repeat1,
  [60735] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2493), 1,
      aux_sym_source_file_token1,
    ACTIONS(2495), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_RPAREN,
    ACTIONS(1200), 1,
      anon_sym_COMMA,
    STATE(1191), 1,
      aux_sym_argument_list_repeat1,
  [60759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(356), 1,
      anon_sym_RBRACE,
    ACTIONS(2743), 1,
      anon_sym_COMMA,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [60772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [60781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_RPAREN,
    ACTIONS(2745), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      aux_sym_expression_list_repeat1,
  [60794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_RBRACK,
    ACTIONS(2748), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_type_case_repeat1,
  [60807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 1,
      anon_sym_RPAREN,
    ACTIONS(2750), 1,
      anon_sym_COMMA,
    STATE(1193), 1,
      aux_sym_parameter_list_repeat1,
  [60820] = 3,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2433), 1,
      aux_sym_source_file_token1,
    ACTIONS(2435), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(434), 1,
      anon_sym_RPAREN,
    ACTIONS(2752), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_argument_list_repeat1,
  [60844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      sym_identifier,
    ACTIONS(2758), 1,
      anon_sym_LPAREN,
  [60862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_LPAREN,
    STATE(361), 1,
      sym_argument_list,
  [60880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 2,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
  [60904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN,
    STATE(389), 1,
      sym_parameter_list,
  [60914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [60922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2768), 1,
      anon_sym_LPAREN,
  [60932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [60940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_identifier,
    ACTIONS(2774), 1,
      anon_sym_LPAREN,
  [60950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN,
    STATE(388), 1,
      sym_parameter_list,
  [60960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_LPAREN,
    STATE(321), 1,
      sym_argument_list,
  [60970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_LBRACE,
    STATE(838), 1,
      sym_field_declaration_list,
  [60988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_parameter_list,
  [61014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_literal_value,
  [61024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [61032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_LBRACE,
    STATE(420), 1,
      sym_literal_value,
  [61042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LPAREN,
    STATE(512), 1,
      sym_parameter_list,
  [61052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_block,
  [61062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym_identifier,
    ACTIONS(2784), 1,
      anon_sym_LPAREN,
  [61072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 1,
      sym_identifier,
    ACTIONS(2788), 1,
      anon_sym_LPAREN,
  [61082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_field_declaration_list,
  [61092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LPAREN,
    STATE(549), 1,
      sym_argument_list,
  [61102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      sym_identifier,
    STATE(1211), 1,
      sym_type_parameter_declaration,
  [61112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    STATE(465), 1,
      sym_argument_list,
  [61122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LPAREN,
    STATE(456), 1,
      sym_parameter_list,
  [61132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2794), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_type_arguments,
  [61158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 1,
      anon_sym_LPAREN,
    ACTIONS(2800), 1,
      anon_sym_LBRACK,
  [61176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(444), 1,
      sym_parameter_list,
  [61186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(450), 1,
      sym_parameter_list,
  [61196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2537), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [61204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    ACTIONS(2804), 1,
      anon_sym_LBRACK,
  [61214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2808), 1,
      anon_sym_LPAREN,
  [61248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2142), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2810), 1,
      anon_sym_LPAREN,
  [61266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(635), 1,
      sym_parameter_list,
  [61276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LPAREN,
    STATE(402), 1,
      sym_argument_list,
  [61286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2812), 1,
      anon_sym_LPAREN,
  [61296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN,
    STATE(513), 1,
      sym_parameter_list,
  [61314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_literal_value,
  [61324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(604), 1,
      sym_parameter_list,
  [61334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_literal_value,
  [61344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [61352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(605), 1,
      sym_parameter_list,
  [61386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_LPAREN,
  [61396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(861), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_literal_value,
  [61406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_literal_value,
  [61416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2822), 1,
      anon_sym_LBRACE,
    STATE(865), 1,
      sym_field_declaration_list,
  [61426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [61434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(634), 1,
      sym_parameter_list,
  [61444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      sym_identifier,
    STATE(1315), 1,
      sym_type_parameter_declaration,
  [61454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LPAREN,
    STATE(507), 1,
      sym_parameter_list,
  [61464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_LPAREN,
    STATE(283), 1,
      sym_argument_list,
  [61474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_identifier,
    ACTIONS(2826), 1,
      anon_sym_LPAREN,
  [61484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1903), 1,
      anon_sym_LBRACK,
  [61494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_LBRACK,
  [61504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LPAREN,
    ACTIONS(2834), 1,
      anon_sym_LBRACK,
  [61514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
  [61524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym_parameter_list,
  [61534] = 2,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2840), 1,
      aux_sym_raw_string_literal_token1,
  [61541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_RBRACE,
  [61548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_RPAREN,
  [61555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_EQ,
  [61562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_LBRACE,
  [61569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_RPAREN,
  [61576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_LBRACE,
  [61583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_LBRACE,
  [61590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_RPAREN,
  [61597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_LBRACK,
  [61604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_RPAREN,
  [61611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_RBRACE,
  [61618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_LBRACE,
  [61625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_RPAREN,
  [61632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_RPAREN,
  [61639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_chan,
  [61646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_RPAREN,
  [61653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_RPAREN,
  [61660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_chan,
  [61667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_RBRACE,
  [61674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 1,
      anon_sym_RBRACK,
  [61681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_RBRACK,
  [61688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 1,
      anon_sym_LBRACE,
  [61695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      anon_sym_LBRACE,
  [61702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_RBRACE,
  [61709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_BQUOTE,
  [61716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RPAREN,
  [61723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      sym_identifier,
  [61730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
  [61737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_BQUOTE,
  [61744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_BQUOTE,
  [61751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_chan,
  [61758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_EQ,
  [61765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
  [61772] = 2,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2900), 1,
      aux_sym_raw_string_literal_token1,
  [61779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_SEMI,
  [61786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      anon_sym_RBRACE,
  [61793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_RPAREN,
  [61800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_COLON,
  [61807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_COLON,
  [61814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_LBRACE,
  [61821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
  [61828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      sym_identifier,
  [61835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_LBRACE,
  [61842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_BQUOTE,
  [61849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      sym_identifier,
  [61856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_RPAREN,
  [61863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      sym_identifier,
  [61870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_LBRACE,
  [61877] = 2,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2928), 1,
      aux_sym_raw_string_literal_token1,
  [61884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_COLON,
  [61891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_RBRACE,
  [61898] = 2,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2934), 1,
      aux_sym_raw_string_literal_token1,
  [61905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_RBRACK,
  [61912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      sym_identifier,
  [61919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      sym_identifier,
  [61926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2725), 1,
      anon_sym_RPAREN,
  [61933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_RPAREN,
  [61940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      sym_identifier,
  [61947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2449), 1,
      anon_sym_RBRACE,
  [61954] = 2,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2946), 1,
      aux_sym_raw_string_literal_token1,
  [61961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_chan,
  [61968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_RBRACE,
  [61975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_RPAREN,
  [61982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_BQUOTE,
  [61989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_RBRACK,
  [61996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_RBRACK,
  [62003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_BQUOTE,
  [62010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_BQUOTE,
  [62017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_RBRACK,
  [62024] = 2,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(2966), 1,
      aux_sym_raw_string_literal_token1,
  [62031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_RPAREN,
  [62038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_RBRACE,
  [62045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_RPAREN,
  [62052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 1,
      anon_sym_RPAREN,
  [62059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_SEMI,
  [62066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_RPAREN,
  [62073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_RPAREN,
  [62080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
  [62087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2982), 1,
      anon_sym_COLON_EQ,
  [62094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_RBRACK,
  [62101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2986), 1,
      sym_identifier,
  [62108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 1,
      anon_sym_RBRACE,
  [62115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
  [62122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2990), 1,
      sym_identifier,
  [62129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2992), 1,
      ts_builtin_sym_end,
  [62136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_RPAREN,
  [62143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_chan,
  [62150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_RBRACE,
  [62157] = 2,
    ACTIONS(300), 1,
      sym_comment,
    ACTIONS(3000), 1,
      aux_sym_raw_string_literal_token1,
  [62164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_LBRACK,
  [62171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3004), 1,
      anon_sym_RPAREN,
  [62178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3006), 1,
      anon_sym_LBRACK,
  [62185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
  [62192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 1,
      anon_sym_LBRACK,
  [62199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3010), 1,
      anon_sym_LBRACE,
  [62206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3012), 1,
      anon_sym_LBRACK,
  [62213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_SEMI,
  [62220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LBRACK,
  [62227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3018), 1,
      anon_sym_chan,
  [62234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(29)] = 0,
  [SMALL_STATE(30)] = 131,
  [SMALL_STATE(31)] = 262,
  [SMALL_STATE(32)] = 393,
  [SMALL_STATE(33)] = 524,
  [SMALL_STATE(34)] = 655,
  [SMALL_STATE(35)] = 786,
  [SMALL_STATE(36)] = 914,
  [SMALL_STATE(37)] = 1042,
  [SMALL_STATE(38)] = 1170,
  [SMALL_STATE(39)] = 1298,
  [SMALL_STATE(40)] = 1426,
  [SMALL_STATE(41)] = 1554,
  [SMALL_STATE(42)] = 1682,
  [SMALL_STATE(43)] = 1810,
  [SMALL_STATE(44)] = 1938,
  [SMALL_STATE(45)] = 2066,
  [SMALL_STATE(46)] = 2194,
  [SMALL_STATE(47)] = 2322,
  [SMALL_STATE(48)] = 2447,
  [SMALL_STATE(49)] = 2567,
  [SMALL_STATE(50)] = 2689,
  [SMALL_STATE(51)] = 2808,
  [SMALL_STATE(52)] = 2927,
  [SMALL_STATE(53)] = 3046,
  [SMALL_STATE(54)] = 3165,
  [SMALL_STATE(55)] = 3284,
  [SMALL_STATE(56)] = 3403,
  [SMALL_STATE(57)] = 3522,
  [SMALL_STATE(58)] = 3641,
  [SMALL_STATE(59)] = 3760,
  [SMALL_STATE(60)] = 3879,
  [SMALL_STATE(61)] = 3998,
  [SMALL_STATE(62)] = 4117,
  [SMALL_STATE(63)] = 4236,
  [SMALL_STATE(64)] = 4355,
  [SMALL_STATE(65)] = 4474,
  [SMALL_STATE(66)] = 4593,
  [SMALL_STATE(67)] = 4712,
  [SMALL_STATE(68)] = 4831,
  [SMALL_STATE(69)] = 4950,
  [SMALL_STATE(70)] = 5069,
  [SMALL_STATE(71)] = 5188,
  [SMALL_STATE(72)] = 5307,
  [SMALL_STATE(73)] = 5426,
  [SMALL_STATE(74)] = 5545,
  [SMALL_STATE(75)] = 5664,
  [SMALL_STATE(76)] = 5783,
  [SMALL_STATE(77)] = 5902,
  [SMALL_STATE(78)] = 6021,
  [SMALL_STATE(79)] = 6140,
  [SMALL_STATE(80)] = 6259,
  [SMALL_STATE(81)] = 6378,
  [SMALL_STATE(82)] = 6494,
  [SMALL_STATE(83)] = 6610,
  [SMALL_STATE(84)] = 6726,
  [SMALL_STATE(85)] = 6842,
  [SMALL_STATE(86)] = 6958,
  [SMALL_STATE(87)] = 7074,
  [SMALL_STATE(88)] = 7190,
  [SMALL_STATE(89)] = 7306,
  [SMALL_STATE(90)] = 7422,
  [SMALL_STATE(91)] = 7538,
  [SMALL_STATE(92)] = 7654,
  [SMALL_STATE(93)] = 7770,
  [SMALL_STATE(94)] = 7886,
  [SMALL_STATE(95)] = 8002,
  [SMALL_STATE(96)] = 8118,
  [SMALL_STATE(97)] = 8234,
  [SMALL_STATE(98)] = 8350,
  [SMALL_STATE(99)] = 8466,
  [SMALL_STATE(100)] = 8582,
  [SMALL_STATE(101)] = 8698,
  [SMALL_STATE(102)] = 8814,
  [SMALL_STATE(103)] = 8930,
  [SMALL_STATE(104)] = 9046,
  [SMALL_STATE(105)] = 9162,
  [SMALL_STATE(106)] = 9278,
  [SMALL_STATE(107)] = 9394,
  [SMALL_STATE(108)] = 9510,
  [SMALL_STATE(109)] = 9626,
  [SMALL_STATE(110)] = 9742,
  [SMALL_STATE(111)] = 9858,
  [SMALL_STATE(112)] = 9974,
  [SMALL_STATE(113)] = 10090,
  [SMALL_STATE(114)] = 10206,
  [SMALL_STATE(115)] = 10322,
  [SMALL_STATE(116)] = 10438,
  [SMALL_STATE(117)] = 10554,
  [SMALL_STATE(118)] = 10670,
  [SMALL_STATE(119)] = 10786,
  [SMALL_STATE(120)] = 10902,
  [SMALL_STATE(121)] = 11018,
  [SMALL_STATE(122)] = 11134,
  [SMALL_STATE(123)] = 11250,
  [SMALL_STATE(124)] = 11366,
  [SMALL_STATE(125)] = 11482,
  [SMALL_STATE(126)] = 11598,
  [SMALL_STATE(127)] = 11714,
  [SMALL_STATE(128)] = 11830,
  [SMALL_STATE(129)] = 11946,
  [SMALL_STATE(130)] = 12062,
  [SMALL_STATE(131)] = 12178,
  [SMALL_STATE(132)] = 12291,
  [SMALL_STATE(133)] = 12404,
  [SMALL_STATE(134)] = 12517,
  [SMALL_STATE(135)] = 12630,
  [SMALL_STATE(136)] = 12743,
  [SMALL_STATE(137)] = 12856,
  [SMALL_STATE(138)] = 12969,
  [SMALL_STATE(139)] = 13082,
  [SMALL_STATE(140)] = 13195,
  [SMALL_STATE(141)] = 13308,
  [SMALL_STATE(142)] = 13421,
  [SMALL_STATE(143)] = 13534,
  [SMALL_STATE(144)] = 13647,
  [SMALL_STATE(145)] = 13760,
  [SMALL_STATE(146)] = 13873,
  [SMALL_STATE(147)] = 13986,
  [SMALL_STATE(148)] = 14099,
  [SMALL_STATE(149)] = 14212,
  [SMALL_STATE(150)] = 14325,
  [SMALL_STATE(151)] = 14438,
  [SMALL_STATE(152)] = 14551,
  [SMALL_STATE(153)] = 14664,
  [SMALL_STATE(154)] = 14777,
  [SMALL_STATE(155)] = 14890,
  [SMALL_STATE(156)] = 15003,
  [SMALL_STATE(157)] = 15116,
  [SMALL_STATE(158)] = 15229,
  [SMALL_STATE(159)] = 15342,
  [SMALL_STATE(160)] = 15455,
  [SMALL_STATE(161)] = 15568,
  [SMALL_STATE(162)] = 15681,
  [SMALL_STATE(163)] = 15794,
  [SMALL_STATE(164)] = 15907,
  [SMALL_STATE(165)] = 16020,
  [SMALL_STATE(166)] = 16133,
  [SMALL_STATE(167)] = 16246,
  [SMALL_STATE(168)] = 16359,
  [SMALL_STATE(169)] = 16472,
  [SMALL_STATE(170)] = 16585,
  [SMALL_STATE(171)] = 16698,
  [SMALL_STATE(172)] = 16811,
  [SMALL_STATE(173)] = 16924,
  [SMALL_STATE(174)] = 17037,
  [SMALL_STATE(175)] = 17150,
  [SMALL_STATE(176)] = 17263,
  [SMALL_STATE(177)] = 17376,
  [SMALL_STATE(178)] = 17489,
  [SMALL_STATE(179)] = 17602,
  [SMALL_STATE(180)] = 17715,
  [SMALL_STATE(181)] = 17828,
  [SMALL_STATE(182)] = 17941,
  [SMALL_STATE(183)] = 18054,
  [SMALL_STATE(184)] = 18167,
  [SMALL_STATE(185)] = 18280,
  [SMALL_STATE(186)] = 18393,
  [SMALL_STATE(187)] = 18506,
  [SMALL_STATE(188)] = 18619,
  [SMALL_STATE(189)] = 18732,
  [SMALL_STATE(190)] = 18845,
  [SMALL_STATE(191)] = 18958,
  [SMALL_STATE(192)] = 19071,
  [SMALL_STATE(193)] = 19184,
  [SMALL_STATE(194)] = 19297,
  [SMALL_STATE(195)] = 19410,
  [SMALL_STATE(196)] = 19523,
  [SMALL_STATE(197)] = 19636,
  [SMALL_STATE(198)] = 19749,
  [SMALL_STATE(199)] = 19862,
  [SMALL_STATE(200)] = 19975,
  [SMALL_STATE(201)] = 20088,
  [SMALL_STATE(202)] = 20201,
  [SMALL_STATE(203)] = 20314,
  [SMALL_STATE(204)] = 20427,
  [SMALL_STATE(205)] = 20540,
  [SMALL_STATE(206)] = 20653,
  [SMALL_STATE(207)] = 20766,
  [SMALL_STATE(208)] = 20879,
  [SMALL_STATE(209)] = 20992,
  [SMALL_STATE(210)] = 21105,
  [SMALL_STATE(211)] = 21218,
  [SMALL_STATE(212)] = 21331,
  [SMALL_STATE(213)] = 21444,
  [SMALL_STATE(214)] = 21557,
  [SMALL_STATE(215)] = 21670,
  [SMALL_STATE(216)] = 21783,
  [SMALL_STATE(217)] = 21896,
  [SMALL_STATE(218)] = 22009,
  [SMALL_STATE(219)] = 22122,
  [SMALL_STATE(220)] = 22235,
  [SMALL_STATE(221)] = 22348,
  [SMALL_STATE(222)] = 22461,
  [SMALL_STATE(223)] = 22574,
  [SMALL_STATE(224)] = 22687,
  [SMALL_STATE(225)] = 22800,
  [SMALL_STATE(226)] = 22913,
  [SMALL_STATE(227)] = 23026,
  [SMALL_STATE(228)] = 23139,
  [SMALL_STATE(229)] = 23252,
  [SMALL_STATE(230)] = 23365,
  [SMALL_STATE(231)] = 23478,
  [SMALL_STATE(232)] = 23591,
  [SMALL_STATE(233)] = 23704,
  [SMALL_STATE(234)] = 23817,
  [SMALL_STATE(235)] = 23930,
  [SMALL_STATE(236)] = 24043,
  [SMALL_STATE(237)] = 24145,
  [SMALL_STATE(238)] = 24216,
  [SMALL_STATE(239)] = 24287,
  [SMALL_STATE(240)] = 24355,
  [SMALL_STATE(241)] = 24443,
  [SMALL_STATE(242)] = 24510,
  [SMALL_STATE(243)] = 24575,
  [SMALL_STATE(244)] = 24640,
  [SMALL_STATE(245)] = 24695,
  [SMALL_STATE(246)] = 24764,
  [SMALL_STATE(247)] = 24835,
  [SMALL_STATE(248)] = 24908,
  [SMALL_STATE(249)] = 24962,
  [SMALL_STATE(250)] = 25016,
  [SMALL_STATE(251)] = 25070,
  [SMALL_STATE(252)] = 25124,
  [SMALL_STATE(253)] = 25182,
  [SMALL_STATE(254)] = 25236,
  [SMALL_STATE(255)] = 25289,
  [SMALL_STATE(256)] = 25380,
  [SMALL_STATE(257)] = 25433,
  [SMALL_STATE(258)] = 25486,
  [SMALL_STATE(259)] = 25539,
  [SMALL_STATE(260)] = 25592,
  [SMALL_STATE(261)] = 25645,
  [SMALL_STATE(262)] = 25698,
  [SMALL_STATE(263)] = 25751,
  [SMALL_STATE(264)] = 25804,
  [SMALL_STATE(265)] = 25857,
  [SMALL_STATE(266)] = 25910,
  [SMALL_STATE(267)] = 25963,
  [SMALL_STATE(268)] = 26016,
  [SMALL_STATE(269)] = 26069,
  [SMALL_STATE(270)] = 26122,
  [SMALL_STATE(271)] = 26175,
  [SMALL_STATE(272)] = 26228,
  [SMALL_STATE(273)] = 26319,
  [SMALL_STATE(274)] = 26372,
  [SMALL_STATE(275)] = 26425,
  [SMALL_STATE(276)] = 26478,
  [SMALL_STATE(277)] = 26531,
  [SMALL_STATE(278)] = 26584,
  [SMALL_STATE(279)] = 26637,
  [SMALL_STATE(280)] = 26690,
  [SMALL_STATE(281)] = 26743,
  [SMALL_STATE(282)] = 26796,
  [SMALL_STATE(283)] = 26849,
  [SMALL_STATE(284)] = 26902,
  [SMALL_STATE(285)] = 26955,
  [SMALL_STATE(286)] = 27008,
  [SMALL_STATE(287)] = 27061,
  [SMALL_STATE(288)] = 27114,
  [SMALL_STATE(289)] = 27167,
  [SMALL_STATE(290)] = 27220,
  [SMALL_STATE(291)] = 27308,
  [SMALL_STATE(292)] = 27369,
  [SMALL_STATE(293)] = 27454,
  [SMALL_STATE(294)] = 27515,
  [SMALL_STATE(295)] = 27576,
  [SMALL_STATE(296)] = 27639,
  [SMALL_STATE(297)] = 27708,
  [SMALL_STATE(298)] = 27773,
  [SMALL_STATE(299)] = 27844,
  [SMALL_STATE(300)] = 27898,
  [SMALL_STATE(301)] = 27947,
  [SMALL_STATE(302)] = 27996,
  [SMALL_STATE(303)] = 28045,
  [SMALL_STATE(304)] = 28094,
  [SMALL_STATE(305)] = 28143,
  [SMALL_STATE(306)] = 28192,
  [SMALL_STATE(307)] = 28241,
  [SMALL_STATE(308)] = 28290,
  [SMALL_STATE(309)] = 28339,
  [SMALL_STATE(310)] = 28388,
  [SMALL_STATE(311)] = 28437,
  [SMALL_STATE(312)] = 28486,
  [SMALL_STATE(313)] = 28535,
  [SMALL_STATE(314)] = 28584,
  [SMALL_STATE(315)] = 28633,
  [SMALL_STATE(316)] = 28682,
  [SMALL_STATE(317)] = 28731,
  [SMALL_STATE(318)] = 28780,
  [SMALL_STATE(319)] = 28829,
  [SMALL_STATE(320)] = 28878,
  [SMALL_STATE(321)] = 28927,
  [SMALL_STATE(322)] = 28976,
  [SMALL_STATE(323)] = 29025,
  [SMALL_STATE(324)] = 29074,
  [SMALL_STATE(325)] = 29123,
  [SMALL_STATE(326)] = 29172,
  [SMALL_STATE(327)] = 29221,
  [SMALL_STATE(328)] = 29270,
  [SMALL_STATE(329)] = 29319,
  [SMALL_STATE(330)] = 29368,
  [SMALL_STATE(331)] = 29417,
  [SMALL_STATE(332)] = 29466,
  [SMALL_STATE(333)] = 29515,
  [SMALL_STATE(334)] = 29564,
  [SMALL_STATE(335)] = 29613,
  [SMALL_STATE(336)] = 29662,
  [SMALL_STATE(337)] = 29711,
  [SMALL_STATE(338)] = 29760,
  [SMALL_STATE(339)] = 29809,
  [SMALL_STATE(340)] = 29868,
  [SMALL_STATE(341)] = 29936,
  [SMALL_STATE(342)] = 29996,
  [SMALL_STATE(343)] = 30060,
  [SMALL_STATE(344)] = 30118,
  [SMALL_STATE(345)] = 30184,
  [SMALL_STATE(346)] = 30240,
  [SMALL_STATE(347)] = 30296,
  [SMALL_STATE(348)] = 30345,
  [SMALL_STATE(349)] = 30389,
  [SMALL_STATE(350)] = 30433,
  [SMALL_STATE(351)] = 30477,
  [SMALL_STATE(352)] = 30521,
  [SMALL_STATE(353)] = 30565,
  [SMALL_STATE(354)] = 30609,
  [SMALL_STATE(355)] = 30653,
  [SMALL_STATE(356)] = 30697,
  [SMALL_STATE(357)] = 30741,
  [SMALL_STATE(358)] = 30785,
  [SMALL_STATE(359)] = 30829,
  [SMALL_STATE(360)] = 30873,
  [SMALL_STATE(361)] = 30917,
  [SMALL_STATE(362)] = 30961,
  [SMALL_STATE(363)] = 31005,
  [SMALL_STATE(364)] = 31049,
  [SMALL_STATE(365)] = 31093,
  [SMALL_STATE(366)] = 31137,
  [SMALL_STATE(367)] = 31181,
  [SMALL_STATE(368)] = 31225,
  [SMALL_STATE(369)] = 31269,
  [SMALL_STATE(370)] = 31313,
  [SMALL_STATE(371)] = 31357,
  [SMALL_STATE(372)] = 31401,
  [SMALL_STATE(373)] = 31445,
  [SMALL_STATE(374)] = 31489,
  [SMALL_STATE(375)] = 31533,
  [SMALL_STATE(376)] = 31577,
  [SMALL_STATE(377)] = 31621,
  [SMALL_STATE(378)] = 31665,
  [SMALL_STATE(379)] = 31709,
  [SMALL_STATE(380)] = 31753,
  [SMALL_STATE(381)] = 31797,
  [SMALL_STATE(382)] = 31841,
  [SMALL_STATE(383)] = 31885,
  [SMALL_STATE(384)] = 31929,
  [SMALL_STATE(385)] = 31973,
  [SMALL_STATE(386)] = 32017,
  [SMALL_STATE(387)] = 32105,
  [SMALL_STATE(388)] = 32149,
  [SMALL_STATE(389)] = 32222,
  [SMALL_STATE(390)] = 32295,
  [SMALL_STATE(391)] = 32347,
  [SMALL_STATE(392)] = 32399,
  [SMALL_STATE(393)] = 32452,
  [SMALL_STATE(394)] = 32529,
  [SMALL_STATE(395)] = 32606,
  [SMALL_STATE(396)] = 32651,
  [SMALL_STATE(397)] = 32691,
  [SMALL_STATE(398)] = 32731,
  [SMALL_STATE(399)] = 32771,
  [SMALL_STATE(400)] = 32811,
  [SMALL_STATE(401)] = 32851,
  [SMALL_STATE(402)] = 32891,
  [SMALL_STATE(403)] = 32931,
  [SMALL_STATE(404)] = 32971,
  [SMALL_STATE(405)] = 33011,
  [SMALL_STATE(406)] = 33051,
  [SMALL_STATE(407)] = 33091,
  [SMALL_STATE(408)] = 33131,
  [SMALL_STATE(409)] = 33171,
  [SMALL_STATE(410)] = 33211,
  [SMALL_STATE(411)] = 33251,
  [SMALL_STATE(412)] = 33291,
  [SMALL_STATE(413)] = 33331,
  [SMALL_STATE(414)] = 33371,
  [SMALL_STATE(415)] = 33411,
  [SMALL_STATE(416)] = 33451,
  [SMALL_STATE(417)] = 33491,
  [SMALL_STATE(418)] = 33531,
  [SMALL_STATE(419)] = 33571,
  [SMALL_STATE(420)] = 33611,
  [SMALL_STATE(421)] = 33651,
  [SMALL_STATE(422)] = 33691,
  [SMALL_STATE(423)] = 33731,
  [SMALL_STATE(424)] = 33783,
  [SMALL_STATE(425)] = 33823,
  [SMALL_STATE(426)] = 33863,
  [SMALL_STATE(427)] = 33903,
  [SMALL_STATE(428)] = 33943,
  [SMALL_STATE(429)] = 33983,
  [SMALL_STATE(430)] = 34023,
  [SMALL_STATE(431)] = 34063,
  [SMALL_STATE(432)] = 34103,
  [SMALL_STATE(433)] = 34167,
  [SMALL_STATE(434)] = 34207,
  [SMALL_STATE(435)] = 34247,
  [SMALL_STATE(436)] = 34287,
  [SMALL_STATE(437)] = 34327,
  [SMALL_STATE(438)] = 34376,
  [SMALL_STATE(439)] = 34425,
  [SMALL_STATE(440)] = 34478,
  [SMALL_STATE(441)] = 34529,
  [SMALL_STATE(442)] = 34582,
  [SMALL_STATE(443)] = 34637,
  [SMALL_STATE(444)] = 34694,
  [SMALL_STATE(445)] = 34761,
  [SMALL_STATE(446)] = 34818,
  [SMALL_STATE(447)] = 34879,
  [SMALL_STATE(448)] = 34942,
  [SMALL_STATE(449)] = 35001,
  [SMALL_STATE(450)] = 35068,
  [SMALL_STATE(451)] = 35138,
  [SMALL_STATE(452)] = 35196,
  [SMALL_STATE(453)] = 35246,
  [SMALL_STATE(454)] = 35304,
  [SMALL_STATE(455)] = 35376,
  [SMALL_STATE(456)] = 35418,
  [SMALL_STATE(457)] = 35490,
  [SMALL_STATE(458)] = 35548,
  [SMALL_STATE(459)] = 35624,
  [SMALL_STATE(460)] = 35696,
  [SMALL_STATE(461)] = 35768,
  [SMALL_STATE(462)] = 35805,
  [SMALL_STATE(463)] = 35876,
  [SMALL_STATE(464)] = 35947,
  [SMALL_STATE(465)] = 35994,
  [SMALL_STATE(466)] = 36031,
  [SMALL_STATE(467)] = 36068,
  [SMALL_STATE(468)] = 36105,
  [SMALL_STATE(469)] = 36142,
  [SMALL_STATE(470)] = 36179,
  [SMALL_STATE(471)] = 36216,
  [SMALL_STATE(472)] = 36253,
  [SMALL_STATE(473)] = 36290,
  [SMALL_STATE(474)] = 36327,
  [SMALL_STATE(475)] = 36364,
  [SMALL_STATE(476)] = 36401,
  [SMALL_STATE(477)] = 36438,
  [SMALL_STATE(478)] = 36475,
  [SMALL_STATE(479)] = 36512,
  [SMALL_STATE(480)] = 36549,
  [SMALL_STATE(481)] = 36586,
  [SMALL_STATE(482)] = 36623,
  [SMALL_STATE(483)] = 36660,
  [SMALL_STATE(484)] = 36697,
  [SMALL_STATE(485)] = 36734,
  [SMALL_STATE(486)] = 36771,
  [SMALL_STATE(487)] = 36808,
  [SMALL_STATE(488)] = 36845,
  [SMALL_STATE(489)] = 36882,
  [SMALL_STATE(490)] = 36929,
  [SMALL_STATE(491)] = 36966,
  [SMALL_STATE(492)] = 37003,
  [SMALL_STATE(493)] = 37040,
  [SMALL_STATE(494)] = 37091,
  [SMALL_STATE(495)] = 37162,
  [SMALL_STATE(496)] = 37199,
  [SMALL_STATE(497)] = 37236,
  [SMALL_STATE(498)] = 37273,
  [SMALL_STATE(499)] = 37336,
  [SMALL_STATE(500)] = 37373,
  [SMALL_STATE(501)] = 37410,
  [SMALL_STATE(502)] = 37465,
  [SMALL_STATE(503)] = 37536,
  [SMALL_STATE(504)] = 37607,
  [SMALL_STATE(505)] = 37666,
  [SMALL_STATE(506)] = 37703,
  [SMALL_STATE(507)] = 37740,
  [SMALL_STATE(508)] = 37807,
  [SMALL_STATE(509)] = 37868,
  [SMALL_STATE(510)] = 37905,
  [SMALL_STATE(511)] = 37942,
  [SMALL_STATE(512)] = 37979,
  [SMALL_STATE(513)] = 38046,
  [SMALL_STATE(514)] = 38117,
  [SMALL_STATE(515)] = 38154,
  [SMALL_STATE(516)] = 38220,
  [SMALL_STATE(517)] = 38288,
  [SMALL_STATE(518)] = 38354,
  [SMALL_STATE(519)] = 38402,
  [SMALL_STATE(520)] = 38468,
  [SMALL_STATE(521)] = 38520,
  [SMALL_STATE(522)] = 38560,
  [SMALL_STATE(523)] = 38628,
  [SMALL_STATE(524)] = 38696,
  [SMALL_STATE(525)] = 38760,
  [SMALL_STATE(526)] = 38826,
  [SMALL_STATE(527)] = 38892,
  [SMALL_STATE(528)] = 38958,
  [SMALL_STATE(529)] = 39024,
  [SMALL_STATE(530)] = 39090,
  [SMALL_STATE(531)] = 39158,
  [SMALL_STATE(532)] = 39226,
  [SMALL_STATE(533)] = 39294,
  [SMALL_STATE(534)] = 39363,
  [SMALL_STATE(535)] = 39428,
  [SMALL_STATE(536)] = 39463,
  [SMALL_STATE(537)] = 39498,
  [SMALL_STATE(538)] = 39533,
  [SMALL_STATE(539)] = 39568,
  [SMALL_STATE(540)] = 39603,
  [SMALL_STATE(541)] = 39668,
  [SMALL_STATE(542)] = 39703,
  [SMALL_STATE(543)] = 39738,
  [SMALL_STATE(544)] = 39773,
  [SMALL_STATE(545)] = 39808,
  [SMALL_STATE(546)] = 39861,
  [SMALL_STATE(547)] = 39896,
  [SMALL_STATE(548)] = 39951,
  [SMALL_STATE(549)] = 40008,
  [SMALL_STATE(550)] = 40043,
  [SMALL_STATE(551)] = 40078,
  [SMALL_STATE(552)] = 40143,
  [SMALL_STATE(553)] = 40178,
  [SMALL_STATE(554)] = 40213,
  [SMALL_STATE(555)] = 40248,
  [SMALL_STATE(556)] = 40283,
  [SMALL_STATE(557)] = 40318,
  [SMALL_STATE(558)] = 40353,
  [SMALL_STATE(559)] = 40388,
  [SMALL_STATE(560)] = 40423,
  [SMALL_STATE(561)] = 40458,
  [SMALL_STATE(562)] = 40493,
  [SMALL_STATE(563)] = 40558,
  [SMALL_STATE(564)] = 40593,
  [SMALL_STATE(565)] = 40656,
  [SMALL_STATE(566)] = 40691,
  [SMALL_STATE(567)] = 40756,
  [SMALL_STATE(568)] = 40817,
  [SMALL_STATE(569)] = 40852,
  [SMALL_STATE(570)] = 40887,
  [SMALL_STATE(571)] = 40950,
  [SMALL_STATE(572)] = 41015,
  [SMALL_STATE(573)] = 41050,
  [SMALL_STATE(574)] = 41115,
  [SMALL_STATE(575)] = 41150,
  [SMALL_STATE(576)] = 41185,
  [SMALL_STATE(577)] = 41244,
  [SMALL_STATE(578)] = 41279,
  [SMALL_STATE(579)] = 41346,
  [SMALL_STATE(580)] = 41381,
  [SMALL_STATE(581)] = 41416,
  [SMALL_STATE(582)] = 41465,
  [SMALL_STATE(583)] = 41518,
  [SMALL_STATE(584)] = 41573,
  [SMALL_STATE(585)] = 41630,
  [SMALL_STATE(586)] = 41695,
  [SMALL_STATE(587)] = 41730,
  [SMALL_STATE(588)] = 41765,
  [SMALL_STATE(589)] = 41814,
  [SMALL_STATE(590)] = 41881,
  [SMALL_STATE(591)] = 41916,
  [SMALL_STATE(592)] = 41961,
  [SMALL_STATE(593)] = 42026,
  [SMALL_STATE(594)] = 42061,
  [SMALL_STATE(595)] = 42096,
  [SMALL_STATE(596)] = 42131,
  [SMALL_STATE(597)] = 42198,
  [SMALL_STATE(598)] = 42263,
  [SMALL_STATE(599)] = 42298,
  [SMALL_STATE(600)] = 42362,
  [SMALL_STATE(601)] = 42424,
  [SMALL_STATE(602)] = 42488,
  [SMALL_STATE(603)] = 42552,
  [SMALL_STATE(604)] = 42612,
  [SMALL_STATE(605)] = 42676,
  [SMALL_STATE(606)] = 42740,
  [SMALL_STATE(607)] = 42804,
  [SMALL_STATE(608)] = 42864,
  [SMALL_STATE(609)] = 42924,
  [SMALL_STATE(610)] = 42984,
  [SMALL_STATE(611)] = 43044,
  [SMALL_STATE(612)] = 43104,
  [SMALL_STATE(613)] = 43168,
  [SMALL_STATE(614)] = 43234,
  [SMALL_STATE(615)] = 43298,
  [SMALL_STATE(616)] = 43358,
  [SMALL_STATE(617)] = 43418,
  [SMALL_STATE(618)] = 43478,
  [SMALL_STATE(619)] = 43538,
  [SMALL_STATE(620)] = 43598,
  [SMALL_STATE(621)] = 43658,
  [SMALL_STATE(622)] = 43718,
  [SMALL_STATE(623)] = 43778,
  [SMALL_STATE(624)] = 43836,
  [SMALL_STATE(625)] = 43896,
  [SMALL_STATE(626)] = 43956,
  [SMALL_STATE(627)] = 44016,
  [SMALL_STATE(628)] = 44076,
  [SMALL_STATE(629)] = 44140,
  [SMALL_STATE(630)] = 44200,
  [SMALL_STATE(631)] = 44264,
  [SMALL_STATE(632)] = 44324,
  [SMALL_STATE(633)] = 44384,
  [SMALL_STATE(634)] = 44444,
  [SMALL_STATE(635)] = 44508,
  [SMALL_STATE(636)] = 44572,
  [SMALL_STATE(637)] = 44632,
  [SMALL_STATE(638)] = 44690,
  [SMALL_STATE(639)] = 44748,
  [SMALL_STATE(640)] = 44808,
  [SMALL_STATE(641)] = 44874,
  [SMALL_STATE(642)] = 44938,
  [SMALL_STATE(643)] = 44998,
  [SMALL_STATE(644)] = 45062,
  [SMALL_STATE(645)] = 45123,
  [SMALL_STATE(646)] = 45180,
  [SMALL_STATE(647)] = 45237,
  [SMALL_STATE(648)] = 45298,
  [SMALL_STATE(649)] = 45355,
  [SMALL_STATE(650)] = 45416,
  [SMALL_STATE(651)] = 45477,
  [SMALL_STATE(652)] = 45538,
  [SMALL_STATE(653)] = 45595,
  [SMALL_STATE(654)] = 45656,
  [SMALL_STATE(655)] = 45713,
  [SMALL_STATE(656)] = 45770,
  [SMALL_STATE(657)] = 45831,
  [SMALL_STATE(658)] = 45892,
  [SMALL_STATE(659)] = 45953,
  [SMALL_STATE(660)] = 46010,
  [SMALL_STATE(661)] = 46067,
  [SMALL_STATE(662)] = 46124,
  [SMALL_STATE(663)] = 46185,
  [SMALL_STATE(664)] = 46246,
  [SMALL_STATE(665)] = 46303,
  [SMALL_STATE(666)] = 46360,
  [SMALL_STATE(667)] = 46417,
  [SMALL_STATE(668)] = 46478,
  [SMALL_STATE(669)] = 46535,
  [SMALL_STATE(670)] = 46592,
  [SMALL_STATE(671)] = 46653,
  [SMALL_STATE(672)] = 46714,
  [SMALL_STATE(673)] = 46771,
  [SMALL_STATE(674)] = 46828,
  [SMALL_STATE(675)] = 46885,
  [SMALL_STATE(676)] = 46946,
  [SMALL_STATE(677)] = 47003,
  [SMALL_STATE(678)] = 47060,
  [SMALL_STATE(679)] = 47121,
  [SMALL_STATE(680)] = 47182,
  [SMALL_STATE(681)] = 47243,
  [SMALL_STATE(682)] = 47300,
  [SMALL_STATE(683)] = 47357,
  [SMALL_STATE(684)] = 47414,
  [SMALL_STATE(685)] = 47471,
  [SMALL_STATE(686)] = 47532,
  [SMALL_STATE(687)] = 47593,
  [SMALL_STATE(688)] = 47654,
  [SMALL_STATE(689)] = 47711,
  [SMALL_STATE(690)] = 47768,
  [SMALL_STATE(691)] = 47825,
  [SMALL_STATE(692)] = 47882,
  [SMALL_STATE(693)] = 47943,
  [SMALL_STATE(694)] = 48004,
  [SMALL_STATE(695)] = 48061,
  [SMALL_STATE(696)] = 48118,
  [SMALL_STATE(697)] = 48179,
  [SMALL_STATE(698)] = 48240,
  [SMALL_STATE(699)] = 48297,
  [SMALL_STATE(700)] = 48358,
  [SMALL_STATE(701)] = 48416,
  [SMALL_STATE(702)] = 48474,
  [SMALL_STATE(703)] = 48532,
  [SMALL_STATE(704)] = 48590,
  [SMALL_STATE(705)] = 48648,
  [SMALL_STATE(706)] = 48706,
  [SMALL_STATE(707)] = 48764,
  [SMALL_STATE(708)] = 48822,
  [SMALL_STATE(709)] = 48880,
  [SMALL_STATE(710)] = 48938,
  [SMALL_STATE(711)] = 48996,
  [SMALL_STATE(712)] = 49054,
  [SMALL_STATE(713)] = 49112,
  [SMALL_STATE(714)] = 49170,
  [SMALL_STATE(715)] = 49228,
  [SMALL_STATE(716)] = 49286,
  [SMALL_STATE(717)] = 49344,
  [SMALL_STATE(718)] = 49402,
  [SMALL_STATE(719)] = 49460,
  [SMALL_STATE(720)] = 49518,
  [SMALL_STATE(721)] = 49572,
  [SMALL_STATE(722)] = 49630,
  [SMALL_STATE(723)] = 49688,
  [SMALL_STATE(724)] = 49746,
  [SMALL_STATE(725)] = 49804,
  [SMALL_STATE(726)] = 49862,
  [SMALL_STATE(727)] = 49920,
  [SMALL_STATE(728)] = 49978,
  [SMALL_STATE(729)] = 50036,
  [SMALL_STATE(730)] = 50094,
  [SMALL_STATE(731)] = 50152,
  [SMALL_STATE(732)] = 50210,
  [SMALL_STATE(733)] = 50268,
  [SMALL_STATE(734)] = 50326,
  [SMALL_STATE(735)] = 50384,
  [SMALL_STATE(736)] = 50442,
  [SMALL_STATE(737)] = 50500,
  [SMALL_STATE(738)] = 50558,
  [SMALL_STATE(739)] = 50616,
  [SMALL_STATE(740)] = 50674,
  [SMALL_STATE(741)] = 50732,
  [SMALL_STATE(742)] = 50790,
  [SMALL_STATE(743)] = 50848,
  [SMALL_STATE(744)] = 50906,
  [SMALL_STATE(745)] = 50964,
  [SMALL_STATE(746)] = 51022,
  [SMALL_STATE(747)] = 51080,
  [SMALL_STATE(748)] = 51138,
  [SMALL_STATE(749)] = 51196,
  [SMALL_STATE(750)] = 51254,
  [SMALL_STATE(751)] = 51312,
  [SMALL_STATE(752)] = 51370,
  [SMALL_STATE(753)] = 51428,
  [SMALL_STATE(754)] = 51486,
  [SMALL_STATE(755)] = 51544,
  [SMALL_STATE(756)] = 51602,
  [SMALL_STATE(757)] = 51660,
  [SMALL_STATE(758)] = 51718,
  [SMALL_STATE(759)] = 51776,
  [SMALL_STATE(760)] = 51834,
  [SMALL_STATE(761)] = 51892,
  [SMALL_STATE(762)] = 51950,
  [SMALL_STATE(763)] = 52008,
  [SMALL_STATE(764)] = 52066,
  [SMALL_STATE(765)] = 52124,
  [SMALL_STATE(766)] = 52182,
  [SMALL_STATE(767)] = 52240,
  [SMALL_STATE(768)] = 52298,
  [SMALL_STATE(769)] = 52356,
  [SMALL_STATE(770)] = 52414,
  [SMALL_STATE(771)] = 52472,
  [SMALL_STATE(772)] = 52530,
  [SMALL_STATE(773)] = 52588,
  [SMALL_STATE(774)] = 52646,
  [SMALL_STATE(775)] = 52704,
  [SMALL_STATE(776)] = 52762,
  [SMALL_STATE(777)] = 52820,
  [SMALL_STATE(778)] = 52878,
  [SMALL_STATE(779)] = 52936,
  [SMALL_STATE(780)] = 52994,
  [SMALL_STATE(781)] = 53052,
  [SMALL_STATE(782)] = 53110,
  [SMALL_STATE(783)] = 53140,
  [SMALL_STATE(784)] = 53170,
  [SMALL_STATE(785)] = 53200,
  [SMALL_STATE(786)] = 53230,
  [SMALL_STATE(787)] = 53262,
  [SMALL_STATE(788)] = 53289,
  [SMALL_STATE(789)] = 53315,
  [SMALL_STATE(790)] = 53341,
  [SMALL_STATE(791)] = 53367,
  [SMALL_STATE(792)] = 53393,
  [SMALL_STATE(793)] = 53417,
  [SMALL_STATE(794)] = 53441,
  [SMALL_STATE(795)] = 53465,
  [SMALL_STATE(796)] = 53489,
  [SMALL_STATE(797)] = 53514,
  [SMALL_STATE(798)] = 53539,
  [SMALL_STATE(799)] = 53565,
  [SMALL_STATE(800)] = 53593,
  [SMALL_STATE(801)] = 53621,
  [SMALL_STATE(802)] = 53642,
  [SMALL_STATE(803)] = 53663,
  [SMALL_STATE(804)] = 53684,
  [SMALL_STATE(805)] = 53705,
  [SMALL_STATE(806)] = 53730,
  [SMALL_STATE(807)] = 53753,
  [SMALL_STATE(808)] = 53778,
  [SMALL_STATE(809)] = 53803,
  [SMALL_STATE(810)] = 53824,
  [SMALL_STATE(811)] = 53844,
  [SMALL_STATE(812)] = 53864,
  [SMALL_STATE(813)] = 53884,
  [SMALL_STATE(814)] = 53904,
  [SMALL_STATE(815)] = 53924,
  [SMALL_STATE(816)] = 53944,
  [SMALL_STATE(817)] = 53964,
  [SMALL_STATE(818)] = 53984,
  [SMALL_STATE(819)] = 54004,
  [SMALL_STATE(820)] = 54024,
  [SMALL_STATE(821)] = 54044,
  [SMALL_STATE(822)] = 54064,
  [SMALL_STATE(823)] = 54084,
  [SMALL_STATE(824)] = 54104,
  [SMALL_STATE(825)] = 54124,
  [SMALL_STATE(826)] = 54144,
  [SMALL_STATE(827)] = 54164,
  [SMALL_STATE(828)] = 54184,
  [SMALL_STATE(829)] = 54204,
  [SMALL_STATE(830)] = 54224,
  [SMALL_STATE(831)] = 54244,
  [SMALL_STATE(832)] = 54264,
  [SMALL_STATE(833)] = 54284,
  [SMALL_STATE(834)] = 54304,
  [SMALL_STATE(835)] = 54324,
  [SMALL_STATE(836)] = 54344,
  [SMALL_STATE(837)] = 54364,
  [SMALL_STATE(838)] = 54384,
  [SMALL_STATE(839)] = 54404,
  [SMALL_STATE(840)] = 54423,
  [SMALL_STATE(841)] = 54456,
  [SMALL_STATE(842)] = 54475,
  [SMALL_STATE(843)] = 54494,
  [SMALL_STATE(844)] = 54517,
  [SMALL_STATE(845)] = 54548,
  [SMALL_STATE(846)] = 54581,
  [SMALL_STATE(847)] = 54601,
  [SMALL_STATE(848)] = 54633,
  [SMALL_STATE(849)] = 54661,
  [SMALL_STATE(850)] = 54693,
  [SMALL_STATE(851)] = 54725,
  [SMALL_STATE(852)] = 54747,
  [SMALL_STATE(853)] = 54779,
  [SMALL_STATE(854)] = 54807,
  [SMALL_STATE(855)] = 54839,
  [SMALL_STATE(856)] = 54867,
  [SMALL_STATE(857)] = 54899,
  [SMALL_STATE(858)] = 54914,
  [SMALL_STATE(859)] = 54929,
  [SMALL_STATE(860)] = 54944,
  [SMALL_STATE(861)] = 54959,
  [SMALL_STATE(862)] = 54978,
  [SMALL_STATE(863)] = 55001,
  [SMALL_STATE(864)] = 55016,
  [SMALL_STATE(865)] = 55031,
  [SMALL_STATE(866)] = 55046,
  [SMALL_STATE(867)] = 55061,
  [SMALL_STATE(868)] = 55076,
  [SMALL_STATE(869)] = 55091,
  [SMALL_STATE(870)] = 55106,
  [SMALL_STATE(871)] = 55121,
  [SMALL_STATE(872)] = 55136,
  [SMALL_STATE(873)] = 55151,
  [SMALL_STATE(874)] = 55166,
  [SMALL_STATE(875)] = 55181,
  [SMALL_STATE(876)] = 55196,
  [SMALL_STATE(877)] = 55211,
  [SMALL_STATE(878)] = 55226,
  [SMALL_STATE(879)] = 55241,
  [SMALL_STATE(880)] = 55256,
  [SMALL_STATE(881)] = 55271,
  [SMALL_STATE(882)] = 55286,
  [SMALL_STATE(883)] = 55301,
  [SMALL_STATE(884)] = 55316,
  [SMALL_STATE(885)] = 55331,
  [SMALL_STATE(886)] = 55346,
  [SMALL_STATE(887)] = 55361,
  [SMALL_STATE(888)] = 55390,
  [SMALL_STATE(889)] = 55412,
  [SMALL_STATE(890)] = 55440,
  [SMALL_STATE(891)] = 55462,
  [SMALL_STATE(892)] = 55480,
  [SMALL_STATE(893)] = 55508,
  [SMALL_STATE(894)] = 55532,
  [SMALL_STATE(895)] = 55560,
  [SMALL_STATE(896)] = 55582,
  [SMALL_STATE(897)] = 55600,
  [SMALL_STATE(898)] = 55622,
  [SMALL_STATE(899)] = 55642,
  [SMALL_STATE(900)] = 55662,
  [SMALL_STATE(901)] = 55690,
  [SMALL_STATE(902)] = 55718,
  [SMALL_STATE(903)] = 55740,
  [SMALL_STATE(904)] = 55768,
  [SMALL_STATE(905)] = 55792,
  [SMALL_STATE(906)] = 55820,
  [SMALL_STATE(907)] = 55838,
  [SMALL_STATE(908)] = 55866,
  [SMALL_STATE(909)] = 55894,
  [SMALL_STATE(910)] = 55911,
  [SMALL_STATE(911)] = 55930,
  [SMALL_STATE(912)] = 55947,
  [SMALL_STATE(913)] = 55964,
  [SMALL_STATE(914)] = 55981,
  [SMALL_STATE(915)] = 55998,
  [SMALL_STATE(916)] = 56015,
  [SMALL_STATE(917)] = 56034,
  [SMALL_STATE(918)] = 56053,
  [SMALL_STATE(919)] = 56072,
  [SMALL_STATE(920)] = 56091,
  [SMALL_STATE(921)] = 56108,
  [SMALL_STATE(922)] = 56133,
  [SMALL_STATE(923)] = 56147,
  [SMALL_STATE(924)] = 56161,
  [SMALL_STATE(925)] = 56181,
  [SMALL_STATE(926)] = 56195,
  [SMALL_STATE(927)] = 56209,
  [SMALL_STATE(928)] = 56223,
  [SMALL_STATE(929)] = 56241,
  [SMALL_STATE(930)] = 56255,
  [SMALL_STATE(931)] = 56269,
  [SMALL_STATE(932)] = 56283,
  [SMALL_STATE(933)] = 56301,
  [SMALL_STATE(934)] = 56315,
  [SMALL_STATE(935)] = 56329,
  [SMALL_STATE(936)] = 56347,
  [SMALL_STATE(937)] = 56361,
  [SMALL_STATE(938)] = 56375,
  [SMALL_STATE(939)] = 56389,
  [SMALL_STATE(940)] = 56403,
  [SMALL_STATE(941)] = 56417,
  [SMALL_STATE(942)] = 56435,
  [SMALL_STATE(943)] = 56449,
  [SMALL_STATE(944)] = 56463,
  [SMALL_STATE(945)] = 56477,
  [SMALL_STATE(946)] = 56491,
  [SMALL_STATE(947)] = 56505,
  [SMALL_STATE(948)] = 56523,
  [SMALL_STATE(949)] = 56537,
  [SMALL_STATE(950)] = 56551,
  [SMALL_STATE(951)] = 56565,
  [SMALL_STATE(952)] = 56577,
  [SMALL_STATE(953)] = 56591,
  [SMALL_STATE(954)] = 56605,
  [SMALL_STATE(955)] = 56619,
  [SMALL_STATE(956)] = 56641,
  [SMALL_STATE(957)] = 56655,
  [SMALL_STATE(958)] = 56669,
  [SMALL_STATE(959)] = 56687,
  [SMALL_STATE(960)] = 56701,
  [SMALL_STATE(961)] = 56715,
  [SMALL_STATE(962)] = 56733,
  [SMALL_STATE(963)] = 56747,
  [SMALL_STATE(964)] = 56765,
  [SMALL_STATE(965)] = 56779,
  [SMALL_STATE(966)] = 56793,
  [SMALL_STATE(967)] = 56807,
  [SMALL_STATE(968)] = 56821,
  [SMALL_STATE(969)] = 56839,
  [SMALL_STATE(970)] = 56857,
  [SMALL_STATE(971)] = 56871,
  [SMALL_STATE(972)] = 56885,
  [SMALL_STATE(973)] = 56899,
  [SMALL_STATE(974)] = 56913,
  [SMALL_STATE(975)] = 56927,
  [SMALL_STATE(976)] = 56945,
  [SMALL_STATE(977)] = 56959,
  [SMALL_STATE(978)] = 56973,
  [SMALL_STATE(979)] = 56987,
  [SMALL_STATE(980)] = 57001,
  [SMALL_STATE(981)] = 57015,
  [SMALL_STATE(982)] = 57029,
  [SMALL_STATE(983)] = 57043,
  [SMALL_STATE(984)] = 57057,
  [SMALL_STATE(985)] = 57071,
  [SMALL_STATE(986)] = 57089,
  [SMALL_STATE(987)] = 57103,
  [SMALL_STATE(988)] = 57117,
  [SMALL_STATE(989)] = 57131,
  [SMALL_STATE(990)] = 57145,
  [SMALL_STATE(991)] = 57163,
  [SMALL_STATE(992)] = 57185,
  [SMALL_STATE(993)] = 57199,
  [SMALL_STATE(994)] = 57213,
  [SMALL_STATE(995)] = 57227,
  [SMALL_STATE(996)] = 57245,
  [SMALL_STATE(997)] = 57259,
  [SMALL_STATE(998)] = 57273,
  [SMALL_STATE(999)] = 57287,
  [SMALL_STATE(1000)] = 57301,
  [SMALL_STATE(1001)] = 57315,
  [SMALL_STATE(1002)] = 57329,
  [SMALL_STATE(1003)] = 57343,
  [SMALL_STATE(1004)] = 57361,
  [SMALL_STATE(1005)] = 57379,
  [SMALL_STATE(1006)] = 57393,
  [SMALL_STATE(1007)] = 57407,
  [SMALL_STATE(1008)] = 57421,
  [SMALL_STATE(1009)] = 57435,
  [SMALL_STATE(1010)] = 57449,
  [SMALL_STATE(1011)] = 57463,
  [SMALL_STATE(1012)] = 57481,
  [SMALL_STATE(1013)] = 57499,
  [SMALL_STATE(1014)] = 57517,
  [SMALL_STATE(1015)] = 57531,
  [SMALL_STATE(1016)] = 57545,
  [SMALL_STATE(1017)] = 57559,
  [SMALL_STATE(1018)] = 57577,
  [SMALL_STATE(1019)] = 57591,
  [SMALL_STATE(1020)] = 57609,
  [SMALL_STATE(1021)] = 57623,
  [SMALL_STATE(1022)] = 57637,
  [SMALL_STATE(1023)] = 57651,
  [SMALL_STATE(1024)] = 57665,
  [SMALL_STATE(1025)] = 57683,
  [SMALL_STATE(1026)] = 57701,
  [SMALL_STATE(1027)] = 57715,
  [SMALL_STATE(1028)] = 57729,
  [SMALL_STATE(1029)] = 57746,
  [SMALL_STATE(1030)] = 57763,
  [SMALL_STATE(1031)] = 57780,
  [SMALL_STATE(1032)] = 57797,
  [SMALL_STATE(1033)] = 57814,
  [SMALL_STATE(1034)] = 57831,
  [SMALL_STATE(1035)] = 57848,
  [SMALL_STATE(1036)] = 57865,
  [SMALL_STATE(1037)] = 57882,
  [SMALL_STATE(1038)] = 57901,
  [SMALL_STATE(1039)] = 57918,
  [SMALL_STATE(1040)] = 57935,
  [SMALL_STATE(1041)] = 57952,
  [SMALL_STATE(1042)] = 57969,
  [SMALL_STATE(1043)] = 57986,
  [SMALL_STATE(1044)] = 58003,
  [SMALL_STATE(1045)] = 58020,
  [SMALL_STATE(1046)] = 58037,
  [SMALL_STATE(1047)] = 58054,
  [SMALL_STATE(1048)] = 58073,
  [SMALL_STATE(1049)] = 58090,
  [SMALL_STATE(1050)] = 58107,
  [SMALL_STATE(1051)] = 58126,
  [SMALL_STATE(1052)] = 58143,
  [SMALL_STATE(1053)] = 58160,
  [SMALL_STATE(1054)] = 58177,
  [SMALL_STATE(1055)] = 58196,
  [SMALL_STATE(1056)] = 58209,
  [SMALL_STATE(1057)] = 58228,
  [SMALL_STATE(1058)] = 58247,
  [SMALL_STATE(1059)] = 58264,
  [SMALL_STATE(1060)] = 58281,
  [SMALL_STATE(1061)] = 58295,
  [SMALL_STATE(1062)] = 58311,
  [SMALL_STATE(1063)] = 58323,
  [SMALL_STATE(1064)] = 58335,
  [SMALL_STATE(1065)] = 58347,
  [SMALL_STATE(1066)] = 58361,
  [SMALL_STATE(1067)] = 58373,
  [SMALL_STATE(1068)] = 58385,
  [SMALL_STATE(1069)] = 58397,
  [SMALL_STATE(1070)] = 58409,
  [SMALL_STATE(1071)] = 58421,
  [SMALL_STATE(1072)] = 58433,
  [SMALL_STATE(1073)] = 58445,
  [SMALL_STATE(1074)] = 58459,
  [SMALL_STATE(1075)] = 58471,
  [SMALL_STATE(1076)] = 58485,
  [SMALL_STATE(1077)] = 58499,
  [SMALL_STATE(1078)] = 58513,
  [SMALL_STATE(1079)] = 58525,
  [SMALL_STATE(1080)] = 58539,
  [SMALL_STATE(1081)] = 58551,
  [SMALL_STATE(1082)] = 58565,
  [SMALL_STATE(1083)] = 58577,
  [SMALL_STATE(1084)] = 58593,
  [SMALL_STATE(1085)] = 58609,
  [SMALL_STATE(1086)] = 58625,
  [SMALL_STATE(1087)] = 58637,
  [SMALL_STATE(1088)] = 58651,
  [SMALL_STATE(1089)] = 58663,
  [SMALL_STATE(1090)] = 58679,
  [SMALL_STATE(1091)] = 58691,
  [SMALL_STATE(1092)] = 58703,
  [SMALL_STATE(1093)] = 58717,
  [SMALL_STATE(1094)] = 58729,
  [SMALL_STATE(1095)] = 58743,
  [SMALL_STATE(1096)] = 58757,
  [SMALL_STATE(1097)] = 58769,
  [SMALL_STATE(1098)] = 58783,
  [SMALL_STATE(1099)] = 58797,
  [SMALL_STATE(1100)] = 58811,
  [SMALL_STATE(1101)] = 58825,
  [SMALL_STATE(1102)] = 58839,
  [SMALL_STATE(1103)] = 58853,
  [SMALL_STATE(1104)] = 58869,
  [SMALL_STATE(1105)] = 58885,
  [SMALL_STATE(1106)] = 58897,
  [SMALL_STATE(1107)] = 58911,
  [SMALL_STATE(1108)] = 58925,
  [SMALL_STATE(1109)] = 58939,
  [SMALL_STATE(1110)] = 58953,
  [SMALL_STATE(1111)] = 58967,
  [SMALL_STATE(1112)] = 58979,
  [SMALL_STATE(1113)] = 58993,
  [SMALL_STATE(1114)] = 59007,
  [SMALL_STATE(1115)] = 59019,
  [SMALL_STATE(1116)] = 59033,
  [SMALL_STATE(1117)] = 59049,
  [SMALL_STATE(1118)] = 59061,
  [SMALL_STATE(1119)] = 59073,
  [SMALL_STATE(1120)] = 59085,
  [SMALL_STATE(1121)] = 59099,
  [SMALL_STATE(1122)] = 59111,
  [SMALL_STATE(1123)] = 59123,
  [SMALL_STATE(1124)] = 59137,
  [SMALL_STATE(1125)] = 59151,
  [SMALL_STATE(1126)] = 59165,
  [SMALL_STATE(1127)] = 59179,
  [SMALL_STATE(1128)] = 59191,
  [SMALL_STATE(1129)] = 59205,
  [SMALL_STATE(1130)] = 59217,
  [SMALL_STATE(1131)] = 59231,
  [SMALL_STATE(1132)] = 59243,
  [SMALL_STATE(1133)] = 59257,
  [SMALL_STATE(1134)] = 59273,
  [SMALL_STATE(1135)] = 59285,
  [SMALL_STATE(1136)] = 59299,
  [SMALL_STATE(1137)] = 59313,
  [SMALL_STATE(1138)] = 59329,
  [SMALL_STATE(1139)] = 59341,
  [SMALL_STATE(1140)] = 59355,
  [SMALL_STATE(1141)] = 59369,
  [SMALL_STATE(1142)] = 59383,
  [SMALL_STATE(1143)] = 59397,
  [SMALL_STATE(1144)] = 59413,
  [SMALL_STATE(1145)] = 59425,
  [SMALL_STATE(1146)] = 59439,
  [SMALL_STATE(1147)] = 59451,
  [SMALL_STATE(1148)] = 59465,
  [SMALL_STATE(1149)] = 59481,
  [SMALL_STATE(1150)] = 59495,
  [SMALL_STATE(1151)] = 59511,
  [SMALL_STATE(1152)] = 59523,
  [SMALL_STATE(1153)] = 59539,
  [SMALL_STATE(1154)] = 59553,
  [SMALL_STATE(1155)] = 59566,
  [SMALL_STATE(1156)] = 59579,
  [SMALL_STATE(1157)] = 59590,
  [SMALL_STATE(1158)] = 59603,
  [SMALL_STATE(1159)] = 59616,
  [SMALL_STATE(1160)] = 59629,
  [SMALL_STATE(1161)] = 59642,
  [SMALL_STATE(1162)] = 59655,
  [SMALL_STATE(1163)] = 59666,
  [SMALL_STATE(1164)] = 59675,
  [SMALL_STATE(1165)] = 59684,
  [SMALL_STATE(1166)] = 59693,
  [SMALL_STATE(1167)] = 59706,
  [SMALL_STATE(1168)] = 59715,
  [SMALL_STATE(1169)] = 59728,
  [SMALL_STATE(1170)] = 59741,
  [SMALL_STATE(1171)] = 59754,
  [SMALL_STATE(1172)] = 59763,
  [SMALL_STATE(1173)] = 59774,
  [SMALL_STATE(1174)] = 59787,
  [SMALL_STATE(1175)] = 59800,
  [SMALL_STATE(1176)] = 59811,
  [SMALL_STATE(1177)] = 59824,
  [SMALL_STATE(1178)] = 59837,
  [SMALL_STATE(1179)] = 59850,
  [SMALL_STATE(1180)] = 59863,
  [SMALL_STATE(1181)] = 59876,
  [SMALL_STATE(1182)] = 59889,
  [SMALL_STATE(1183)] = 59900,
  [SMALL_STATE(1184)] = 59913,
  [SMALL_STATE(1185)] = 59924,
  [SMALL_STATE(1186)] = 59937,
  [SMALL_STATE(1187)] = 59948,
  [SMALL_STATE(1188)] = 59957,
  [SMALL_STATE(1189)] = 59968,
  [SMALL_STATE(1190)] = 59979,
  [SMALL_STATE(1191)] = 59992,
  [SMALL_STATE(1192)] = 60005,
  [SMALL_STATE(1193)] = 60018,
  [SMALL_STATE(1194)] = 60031,
  [SMALL_STATE(1195)] = 60044,
  [SMALL_STATE(1196)] = 60057,
  [SMALL_STATE(1197)] = 60070,
  [SMALL_STATE(1198)] = 60083,
  [SMALL_STATE(1199)] = 60096,
  [SMALL_STATE(1200)] = 60109,
  [SMALL_STATE(1201)] = 60122,
  [SMALL_STATE(1202)] = 60133,
  [SMALL_STATE(1203)] = 60146,
  [SMALL_STATE(1204)] = 60157,
  [SMALL_STATE(1205)] = 60170,
  [SMALL_STATE(1206)] = 60183,
  [SMALL_STATE(1207)] = 60196,
  [SMALL_STATE(1208)] = 60209,
  [SMALL_STATE(1209)] = 60222,
  [SMALL_STATE(1210)] = 60235,
  [SMALL_STATE(1211)] = 60244,
  [SMALL_STATE(1212)] = 60257,
  [SMALL_STATE(1213)] = 60270,
  [SMALL_STATE(1214)] = 60279,
  [SMALL_STATE(1215)] = 60290,
  [SMALL_STATE(1216)] = 60301,
  [SMALL_STATE(1217)] = 60314,
  [SMALL_STATE(1218)] = 60327,
  [SMALL_STATE(1219)] = 60340,
  [SMALL_STATE(1220)] = 60349,
  [SMALL_STATE(1221)] = 60362,
  [SMALL_STATE(1222)] = 60375,
  [SMALL_STATE(1223)] = 60388,
  [SMALL_STATE(1224)] = 60401,
  [SMALL_STATE(1225)] = 60414,
  [SMALL_STATE(1226)] = 60427,
  [SMALL_STATE(1227)] = 60440,
  [SMALL_STATE(1228)] = 60453,
  [SMALL_STATE(1229)] = 60466,
  [SMALL_STATE(1230)] = 60479,
  [SMALL_STATE(1231)] = 60492,
  [SMALL_STATE(1232)] = 60505,
  [SMALL_STATE(1233)] = 60518,
  [SMALL_STATE(1234)] = 60531,
  [SMALL_STATE(1235)] = 60544,
  [SMALL_STATE(1236)] = 60557,
  [SMALL_STATE(1237)] = 60570,
  [SMALL_STATE(1238)] = 60581,
  [SMALL_STATE(1239)] = 60594,
  [SMALL_STATE(1240)] = 60607,
  [SMALL_STATE(1241)] = 60620,
  [SMALL_STATE(1242)] = 60633,
  [SMALL_STATE(1243)] = 60646,
  [SMALL_STATE(1244)] = 60659,
  [SMALL_STATE(1245)] = 60672,
  [SMALL_STATE(1246)] = 60683,
  [SMALL_STATE(1247)] = 60696,
  [SMALL_STATE(1248)] = 60709,
  [SMALL_STATE(1249)] = 60722,
  [SMALL_STATE(1250)] = 60735,
  [SMALL_STATE(1251)] = 60746,
  [SMALL_STATE(1252)] = 60759,
  [SMALL_STATE(1253)] = 60772,
  [SMALL_STATE(1254)] = 60781,
  [SMALL_STATE(1255)] = 60794,
  [SMALL_STATE(1256)] = 60807,
  [SMALL_STATE(1257)] = 60820,
  [SMALL_STATE(1258)] = 60831,
  [SMALL_STATE(1259)] = 60844,
  [SMALL_STATE(1260)] = 60852,
  [SMALL_STATE(1261)] = 60862,
  [SMALL_STATE(1262)] = 60870,
  [SMALL_STATE(1263)] = 60880,
  [SMALL_STATE(1264)] = 60888,
  [SMALL_STATE(1265)] = 60896,
  [SMALL_STATE(1266)] = 60904,
  [SMALL_STATE(1267)] = 60914,
  [SMALL_STATE(1268)] = 60922,
  [SMALL_STATE(1269)] = 60932,
  [SMALL_STATE(1270)] = 60940,
  [SMALL_STATE(1271)] = 60950,
  [SMALL_STATE(1272)] = 60960,
  [SMALL_STATE(1273)] = 60970,
  [SMALL_STATE(1274)] = 60978,
  [SMALL_STATE(1275)] = 60988,
  [SMALL_STATE(1276)] = 60996,
  [SMALL_STATE(1277)] = 61004,
  [SMALL_STATE(1278)] = 61014,
  [SMALL_STATE(1279)] = 61024,
  [SMALL_STATE(1280)] = 61032,
  [SMALL_STATE(1281)] = 61042,
  [SMALL_STATE(1282)] = 61052,
  [SMALL_STATE(1283)] = 61062,
  [SMALL_STATE(1284)] = 61072,
  [SMALL_STATE(1285)] = 61082,
  [SMALL_STATE(1286)] = 61092,
  [SMALL_STATE(1287)] = 61102,
  [SMALL_STATE(1288)] = 61112,
  [SMALL_STATE(1289)] = 61122,
  [SMALL_STATE(1290)] = 61132,
  [SMALL_STATE(1291)] = 61140,
  [SMALL_STATE(1292)] = 61148,
  [SMALL_STATE(1293)] = 61158,
  [SMALL_STATE(1294)] = 61166,
  [SMALL_STATE(1295)] = 61176,
  [SMALL_STATE(1296)] = 61186,
  [SMALL_STATE(1297)] = 61196,
  [SMALL_STATE(1298)] = 61204,
  [SMALL_STATE(1299)] = 61214,
  [SMALL_STATE(1300)] = 61222,
  [SMALL_STATE(1301)] = 61230,
  [SMALL_STATE(1302)] = 61238,
  [SMALL_STATE(1303)] = 61248,
  [SMALL_STATE(1304)] = 61256,
  [SMALL_STATE(1305)] = 61266,
  [SMALL_STATE(1306)] = 61276,
  [SMALL_STATE(1307)] = 61286,
  [SMALL_STATE(1308)] = 61296,
  [SMALL_STATE(1309)] = 61304,
  [SMALL_STATE(1310)] = 61314,
  [SMALL_STATE(1311)] = 61324,
  [SMALL_STATE(1312)] = 61334,
  [SMALL_STATE(1313)] = 61344,
  [SMALL_STATE(1314)] = 61352,
  [SMALL_STATE(1315)] = 61360,
  [SMALL_STATE(1316)] = 61368,
  [SMALL_STATE(1317)] = 61376,
  [SMALL_STATE(1318)] = 61386,
  [SMALL_STATE(1319)] = 61396,
  [SMALL_STATE(1320)] = 61406,
  [SMALL_STATE(1321)] = 61416,
  [SMALL_STATE(1322)] = 61426,
  [SMALL_STATE(1323)] = 61434,
  [SMALL_STATE(1324)] = 61444,
  [SMALL_STATE(1325)] = 61454,
  [SMALL_STATE(1326)] = 61464,
  [SMALL_STATE(1327)] = 61474,
  [SMALL_STATE(1328)] = 61484,
  [SMALL_STATE(1329)] = 61494,
  [SMALL_STATE(1330)] = 61504,
  [SMALL_STATE(1331)] = 61514,
  [SMALL_STATE(1332)] = 61524,
  [SMALL_STATE(1333)] = 61534,
  [SMALL_STATE(1334)] = 61541,
  [SMALL_STATE(1335)] = 61548,
  [SMALL_STATE(1336)] = 61555,
  [SMALL_STATE(1337)] = 61562,
  [SMALL_STATE(1338)] = 61569,
  [SMALL_STATE(1339)] = 61576,
  [SMALL_STATE(1340)] = 61583,
  [SMALL_STATE(1341)] = 61590,
  [SMALL_STATE(1342)] = 61597,
  [SMALL_STATE(1343)] = 61604,
  [SMALL_STATE(1344)] = 61611,
  [SMALL_STATE(1345)] = 61618,
  [SMALL_STATE(1346)] = 61625,
  [SMALL_STATE(1347)] = 61632,
  [SMALL_STATE(1348)] = 61639,
  [SMALL_STATE(1349)] = 61646,
  [SMALL_STATE(1350)] = 61653,
  [SMALL_STATE(1351)] = 61660,
  [SMALL_STATE(1352)] = 61667,
  [SMALL_STATE(1353)] = 61674,
  [SMALL_STATE(1354)] = 61681,
  [SMALL_STATE(1355)] = 61688,
  [SMALL_STATE(1356)] = 61695,
  [SMALL_STATE(1357)] = 61702,
  [SMALL_STATE(1358)] = 61709,
  [SMALL_STATE(1359)] = 61716,
  [SMALL_STATE(1360)] = 61723,
  [SMALL_STATE(1361)] = 61730,
  [SMALL_STATE(1362)] = 61737,
  [SMALL_STATE(1363)] = 61744,
  [SMALL_STATE(1364)] = 61751,
  [SMALL_STATE(1365)] = 61758,
  [SMALL_STATE(1366)] = 61765,
  [SMALL_STATE(1367)] = 61772,
  [SMALL_STATE(1368)] = 61779,
  [SMALL_STATE(1369)] = 61786,
  [SMALL_STATE(1370)] = 61793,
  [SMALL_STATE(1371)] = 61800,
  [SMALL_STATE(1372)] = 61807,
  [SMALL_STATE(1373)] = 61814,
  [SMALL_STATE(1374)] = 61821,
  [SMALL_STATE(1375)] = 61828,
  [SMALL_STATE(1376)] = 61835,
  [SMALL_STATE(1377)] = 61842,
  [SMALL_STATE(1378)] = 61849,
  [SMALL_STATE(1379)] = 61856,
  [SMALL_STATE(1380)] = 61863,
  [SMALL_STATE(1381)] = 61870,
  [SMALL_STATE(1382)] = 61877,
  [SMALL_STATE(1383)] = 61884,
  [SMALL_STATE(1384)] = 61891,
  [SMALL_STATE(1385)] = 61898,
  [SMALL_STATE(1386)] = 61905,
  [SMALL_STATE(1387)] = 61912,
  [SMALL_STATE(1388)] = 61919,
  [SMALL_STATE(1389)] = 61926,
  [SMALL_STATE(1390)] = 61933,
  [SMALL_STATE(1391)] = 61940,
  [SMALL_STATE(1392)] = 61947,
  [SMALL_STATE(1393)] = 61954,
  [SMALL_STATE(1394)] = 61961,
  [SMALL_STATE(1395)] = 61968,
  [SMALL_STATE(1396)] = 61975,
  [SMALL_STATE(1397)] = 61982,
  [SMALL_STATE(1398)] = 61989,
  [SMALL_STATE(1399)] = 61996,
  [SMALL_STATE(1400)] = 62003,
  [SMALL_STATE(1401)] = 62010,
  [SMALL_STATE(1402)] = 62017,
  [SMALL_STATE(1403)] = 62024,
  [SMALL_STATE(1404)] = 62031,
  [SMALL_STATE(1405)] = 62038,
  [SMALL_STATE(1406)] = 62045,
  [SMALL_STATE(1407)] = 62052,
  [SMALL_STATE(1408)] = 62059,
  [SMALL_STATE(1409)] = 62066,
  [SMALL_STATE(1410)] = 62073,
  [SMALL_STATE(1411)] = 62080,
  [SMALL_STATE(1412)] = 62087,
  [SMALL_STATE(1413)] = 62094,
  [SMALL_STATE(1414)] = 62101,
  [SMALL_STATE(1415)] = 62108,
  [SMALL_STATE(1416)] = 62115,
  [SMALL_STATE(1417)] = 62122,
  [SMALL_STATE(1418)] = 62129,
  [SMALL_STATE(1419)] = 62136,
  [SMALL_STATE(1420)] = 62143,
  [SMALL_STATE(1421)] = 62150,
  [SMALL_STATE(1422)] = 62157,
  [SMALL_STATE(1423)] = 62164,
  [SMALL_STATE(1424)] = 62171,
  [SMALL_STATE(1425)] = 62178,
  [SMALL_STATE(1426)] = 62185,
  [SMALL_STATE(1427)] = 62192,
  [SMALL_STATE(1428)] = 62199,
  [SMALL_STATE(1429)] = 62206,
  [SMALL_STATE(1430)] = 62213,
  [SMALL_STATE(1431)] = 62220,
  [SMALL_STATE(1432)] = 62227,
  [SMALL_STATE(1433)] = 62234,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [84] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(944),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1417),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1168),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1060),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1100),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(218),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1373),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(777),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(146),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(988),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(148),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(21),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1433),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1385),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2, 0, 0),
  [192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2, 0, 0),
  [194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, 0, 104),
  [196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 4, 0, 104),
  [198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 3, 0, 88),
  [200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_communication_case, 3, 0, 88),
  [202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 3, 0, 41),
  [204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 3, 0, 41),
  [206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, 0, 7),
  [208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, 0, 7),
  [210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3, 0, 0),
  [212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3, 0, 0),
  [214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2, 0, 0),
  [216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2, 0, 0),
  [218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, 0, 26),
  [222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, 0, 26),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 57),
  [266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2, 0, 0),
  [268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 58),
  [270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 86),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1378),
  [583] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(747),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [591] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(75),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(713),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1378),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0),
  [614] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(649),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 3, 0, 0),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 3, 0, 0),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 63),
  [688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 63),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1, 0, 0),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, 0, 12),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, 0, 12),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, -1, 61),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, -1, 61),
  [726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 4, -1, 19),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 4, -1, 19),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 4, 0, 46),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 4, 0, 46),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 62),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 62),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 102),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 102),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, 0, 105),
  [748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, 0, 105),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 2, 0, 0),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 2, 0, 0),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, 0, 108),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, 0, 108),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, 0, 13),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, 0, 13),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, 0, 34),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, 0, 34),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 3, 0, 22),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 3, 0, 22),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4, 0, 0),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4, 0, 0),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4, 0, 0),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 10),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 10),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, -1, 61),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, -1, 61),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 5, -1, 19),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 5, -1, 19),
  [798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, 0, 90),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, 0, 90),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3, 0, 0),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 91),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 91),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 92),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 92),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 36),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 36),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5, 0, 0),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3, 0, 0),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 6, -1, 19),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 6, -1, 19),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0),
  [855] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(649),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, 0, 25),
  [891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, 0, 25),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 5),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 5),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 1, 0, 4),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 1, 0, 4),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 2, 0, 17),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 2, 0, 17),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_statement, 1, 0, 60),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 42),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 42),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, 0, 35),
  [1095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, 0, 35),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1),
  [1103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(1380),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 20),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 20),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 45),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, 0, 45),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 2, 0, 55),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 2, 0, 55),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_element, 1, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 2, 0, 29),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 4, 0, 84),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_statement, 3, 0, 33),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(138),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 40),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 40),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 40), SHIFT_REPEAT(1380),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(696),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 38),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 38),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 40),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 40),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 40), SHIFT_REPEAT(1414),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(696),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 4, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 4, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 3, 0, 27),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 3, 0, 27),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 2, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 2, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 6, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 6, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 2, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 2, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 2, 0),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 2, 0),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, 0, 80),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, 0, 80),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_type, 2, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_type, 2, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 3, 0),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 3, 0),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, 0, 7),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, 0, 7),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 1, 11),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 1, 11),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 1, 14),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 1, 14),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, 0, 23),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, 0, 23),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 3, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 3, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, 0, 31),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, 0, 31),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 5, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 5, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 48),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 48),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 21),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 21),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 5, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 5, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 3, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 4, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(649),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 51),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 51),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [1769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(649),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, 0, 19),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, 0, 19),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 41),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 41),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(697),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 52),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 52),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 78),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 78),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1, 0, 0),
  [1842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(697),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 81),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 81),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 2, 0, 18),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 2, 0, 18),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, 0, 39),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, 0, 39),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [1871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(20),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(20),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 28),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 28),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, 0, 65),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, 0, 65),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 1, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, 0, 37),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, 0, 37),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 30),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 30),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec_list, 3, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec_list, 3, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, 0, 87),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, 0, 87),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 3, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 3, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 103),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 103),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, 0, 59),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, 0, 59),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 7, 0, 100),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 7, 0, 100),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0),
  [1959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2, 0, 0),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, 0, 37),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, 0, 37),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4, 0, 0),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, 0, 100),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, 0, 100),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, 0, 7),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, 0, 7),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2, 0, 0),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 2, 0, 0),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 43),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 43),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, 0, 9),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, 0, 9),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 3, 0, 0),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 3, 0, 0),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1, 0, 0),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, 0, 49),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, 0, 49),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, 0, 50),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 3, 0, 50),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 69),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 69),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 72),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 72),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, 0, 64),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, 0, 64),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 8),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 8),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3, 0, 0),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 3, 0, 0),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 8),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 8),
  [2055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 2, 0, 0),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 2, 0, 0),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, 0, 24),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 2, 0, 24),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, 0, 8),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, 0, 8),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 82),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 82),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, 0, 87),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, 0, 87),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1, 0, 0),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1, 0, 0),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3, 0, 0),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3, 0, 0),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 2, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 2, 0, 0),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, 0, 64),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, 0, 64),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, 0, 66),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, 0, 66),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 26),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 26),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 5, 0, 93),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 5, 0, 93),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 5, 0, 94),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 5, 0, 94),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, 0, 0),
  [2126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, 0, 0),
  [2128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0),
  [2130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [2133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 32),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, 0, 32),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, 0, 33),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, 0, 33),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 4, 0, 59),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 4, 0, 59),
  [2150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 1, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec_list, 2, 0, 0),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec_list, 2, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, 0, 7),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, 0, 7),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0), SHIFT_REPEAT(739),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 4, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 4, 0, 0),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2, 0, 0),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0),
  [2183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [2186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [2287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 4, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 4, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 96),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 96),
  [2350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0), SHIFT_REPEAT(715),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 97),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 97),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 98),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 98),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 53),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 53),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 54),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 54),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, 0, 2),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, 0, 2),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 70),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 70),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 71),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 71),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 73),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 73),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 74),
  [2407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 74),
  [2409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1087),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 75),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 75),
  [2418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(578),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_spec_list_repeat1, 2, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 77),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 77),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 3, 0, 79),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 3, 0, 79),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, 0, 3),
  [2455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, 0, 3),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, 0, 15),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, 0, 15),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 2, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 2, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, 0, 16),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, 0, 16),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 44),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 44),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 3, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 3, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2, 0, 0), SHIFT_REPEAT(723),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 5, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 5, 0, 0),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, 0, 41),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4, 0, 0),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, 0, 7),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 5, 0, 104),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3, 0, 0),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [2611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(573),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(699),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2, 0, 0),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 4, 0, 88),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 3, 0, 95),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 39),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 68),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 1, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3, 0, 89),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 19),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 41),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3, 0, 67),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 18),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 83),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, 0, 47),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 56),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, 0, 106),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, 0, 99),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, 0, 107),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 9, 0, 109),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 5, 0, 101),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2992] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 85),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_go(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
