#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2715
#define LARGE_STATE_COUNT 560
#define SYMBOL_COUNT 374
#define ALIAS_COUNT 0
#define TOKEN_COUNT 183
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 240

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_COLON = 3,
  anon_sym_COMMA = 4,
  aux_sym_asmBody_token1 = 5,
  aux_sym_asmBody_token2 = 6,
  aux_sym_asmBody_token3 = 7,
  anon_sym_LBRACK = 8,
  anon_sym_RBRACK = 9,
  anon_sym_LPAREN = 10,
  anon_sym_RPAREN = 11,
  aux_sym_type_token1 = 12,
  aux_sym_type_token2 = 13,
  aux_sym_type_token3 = 14,
  aux_sym__literalString_token1 = 15,
  anon_sym_POUND = 16,
  aux_sym__literalInt_token1 = 17,
  aux_sym__literalInt_token2 = 18,
  aux_sym__literalFloat_token1 = 19,
  anon_sym_DOT_DOT = 20,
  sym_kProgram = 21,
  sym_kLibrary = 22,
  sym_kUnit = 23,
  sym_kUses = 24,
  sym_kInterface = 25,
  sym_kDispInterface = 26,
  sym_kImplementation = 27,
  sym_kInitialization = 28,
  sym_kFinalization = 29,
  anon_sym_DOT = 30,
  sym_kBegin = 31,
  sym_kEnd = 32,
  sym_kAsm = 33,
  sym_kVar = 34,
  sym_kThreadvar = 35,
  sym_kConst = 36,
  sym_kConstref = 37,
  sym_kResourcestring = 38,
  sym_kOut = 39,
  sym_kType = 40,
  sym_kLabel = 41,
  sym_kExports = 42,
  sym_kAbsolute = 43,
  sym_kProperty = 44,
  sym_kRead = 45,
  sym_kWrite = 46,
  sym_kImplements = 47,
  sym_kDefault = 48,
  sym_kNodefault = 49,
  sym_kStored = 50,
  sym_kIndex = 51,
  sym_kDispId = 52,
  sym_kClass = 53,
  sym_kObject = 54,
  sym_kRecord = 55,
  sym_kObjcclass = 56,
  sym_kObjccategory = 57,
  sym_kObjcprotocol = 58,
  sym_kArray = 59,
  sym_kFile = 60,
  sym_kString = 61,
  sym_kSet = 62,
  sym_kOf = 63,
  sym_kHelper = 64,
  sym_kPacked = 65,
  sym_kGeneric = 66,
  sym_kSpecialize = 67,
  sym_kLt = 68,
  sym_kEq = 69,
  sym_kNeq = 70,
  sym_kGt = 71,
  sym_kLte = 72,
  sym_kGte = 73,
  sym_kAdd = 74,
  sym_kSub = 75,
  sym_kMul = 76,
  sym_kFdiv = 77,
  sym_kAt = 78,
  sym_kHat = 79,
  sym_kAssign = 80,
  sym_kAssignAdd = 81,
  sym_kAssignSub = 82,
  sym_kAssignMul = 83,
  sym_kAssignDiv = 84,
  sym_kOr = 85,
  sym_kXor = 86,
  sym_kDiv = 87,
  sym_kMod = 88,
  sym_kAnd = 89,
  sym_kShl = 90,
  sym_kShr = 91,
  sym_kNot = 92,
  sym_kIs = 93,
  sym_kAs = 94,
  sym_kIn = 95,
  sym_kFor = 96,
  sym_kTo = 97,
  sym_kDownto = 98,
  sym_kIf = 99,
  sym_kThen = 100,
  sym_kElse = 101,
  sym_kDo = 102,
  sym_kWhile = 103,
  sym_kRepeat = 104,
  sym_kUntil = 105,
  sym_kTry = 106,
  sym_kExcept = 107,
  sym_kFinally = 108,
  sym_kRaise = 109,
  sym_kOn = 110,
  sym_kCase = 111,
  sym_kWith = 112,
  sym_kGoto = 113,
  sym_kFunction = 114,
  sym_kProcedure = 115,
  sym_kConstructor = 116,
  sym_kDestructor = 117,
  sym_kOperator = 118,
  sym_kReference = 119,
  sym_kPublished = 120,
  sym_kPublic = 121,
  sym_kProtected = 122,
  sym_kPrivate = 123,
  sym_kStrict = 124,
  sym_kRequired = 125,
  sym_kOptional = 126,
  sym_kForward = 127,
  sym_kStatic = 128,
  sym_kVirtual = 129,
  sym_kAbstract = 130,
  sym_kSealed = 131,
  sym_kDynamic = 132,
  sym_kOverride = 133,
  sym_kOverload = 134,
  sym_kReintroduce = 135,
  sym_kInherited = 136,
  sym_kInline = 137,
  sym_kStdcall = 138,
  sym_kCdecl = 139,
  sym_kCppdecl = 140,
  sym_kPascal = 141,
  sym_kRegister = 142,
  sym_kMwpascal = 143,
  sym_kExternal = 144,
  sym_kName = 145,
  sym_kMessage = 146,
  sym_kDeprecated = 147,
  sym_kExperimental = 148,
  sym_kPlatform = 149,
  sym_kUnimplemented = 150,
  sym_kCvar = 151,
  sym_kExport = 152,
  sym_kFar = 153,
  sym_kNear = 154,
  sym_kSafecall = 155,
  sym_kAssembler = 156,
  sym_kNostackframe = 157,
  sym_kInterrupt = 158,
  sym_kNoreturn = 159,
  sym_kIocheck = 160,
  sym_kLocal = 161,
  sym_kHardfloat = 162,
  sym_kSoftfloat = 163,
  sym_kMs_abi_default = 164,
  sym_kMs_abi_cdecl = 165,
  sym_kSaveregisters = 166,
  sym_kSysv_abi_default = 167,
  sym_kSysv_abi_cdecl = 168,
  sym_kVectorcall = 169,
  sym_kVarargs = 170,
  sym_kWinapi = 171,
  sym_kAlias = 172,
  sym_kDelayed = 173,
  sym_kNil = 174,
  sym_kTrue = 175,
  sym_kFalse = 176,
  sym_kIfdef = 177,
  sym_kIfndef = 178,
  sym_kEndif = 179,
  sym__space = 180,
  sym_pp = 181,
  sym_comment = 182,
  sym_root = 183,
  sym_program = 184,
  sym_library = 185,
  sym_unit = 186,
  sym_interface = 187,
  sym_implementation = 188,
  sym_initialization = 189,
  sym_finalization = 190,
  sym_moduleName = 191,
  sym_if = 192,
  sym_ifElse = 193,
  sym_while = 194,
  sym_repeat = 195,
  sym_for = 196,
  sym_foreach = 197,
  sym_exceptionHandler = 198,
  sym_exceptionElse = 199,
  sym_try = 200,
  sym_caseCase = 201,
  sym_case = 202,
  sym_block = 203,
  sym_asm = 204,
  sym_with = 205,
  sym_raise = 206,
  sym_statement = 207,
  sym_goto = 208,
  sym__statement = 209,
  sym_ifTr = 210,
  sym_ifElseTr = 211,
  sym_whileTr = 212,
  sym_repeatTr = 213,
  sym_forTr = 214,
  sym_foreachTr = 215,
  sym_exceptionHandlerTr = 216,
  sym__exceptionHandlersTr = 217,
  sym_tryTr = 218,
  sym_caseCaseTr = 219,
  sym_caseTr = 220,
  sym_blockTr = 221,
  sym_asmTr = 222,
  sym_withTr = 223,
  sym_raiseTr = 224,
  sym_statementTr = 225,
  sym_gotoTr = 226,
  sym__statementTr = 227,
  sym_assignment = 228,
  sym_varAssignDef = 229,
  sym_varDef = 230,
  sym_label = 231,
  sym_caseLabel = 232,
  sym__statementsTr = 233,
  sym_statementsTr = 234,
  sym_asmBody = 235,
  sym__expr = 236,
  sym__ref = 237,
  sym_lambda = 238,
  sym_inherited = 239,
  sym_exprDot = 240,
  sym_exprDeref = 241,
  sym_exprAs = 242,
  sym_exprTpl = 243,
  sym_exprSubscript = 244,
  sym_exprCall = 245,
  sym_legacyFormat = 246,
  sym_exprArgs = 247,
  sym_exprBinary = 248,
  sym_exprUnary = 249,
  sym_exprParens = 250,
  sym_exprBrackets = 251,
  sym_type = 252,
  sym_typeref = 253,
  sym__typeref = 254,
  sym_typerefDot = 255,
  sym_typerefTpl = 256,
  sym_typerefPtr = 257,
  sym_typerefArgs = 258,
  sym_genericDot = 259,
  sym_genericTpl = 260,
  sym__genericName = 261,
  sym_genericArgs = 262,
  sym_genericArg = 263,
  sym__literal = 264,
  sym_literalString = 265,
  sym__literalString = 266,
  sym_literalChar = 267,
  sym_literalNumber = 268,
  sym__literalInt = 269,
  sym__literalFloat = 270,
  sym_range = 271,
  aux_sym__definitions = 272,
  sym__definition = 273,
  sym_defProc = 274,
  sym_declProcFwd = 275,
  sym__visibility = 276,
  aux_sym__declarations = 277,
  aux_sym__classDeclarations = 278,
  sym_defaultValue = 279,
  sym_declUses = 280,
  sym_declExports = 281,
  sym_declTypes = 282,
  sym_declVars = 283,
  sym_declConsts = 284,
  sym_declType = 285,
  sym_declProc = 286,
  sym_declVar = 287,
  sym_declConst = 288,
  sym_declLabels = 289,
  sym_declLabel = 290,
  sym_declExport = 291,
  sym_declEnum = 292,
  sym_declEnumValue = 293,
  sym_declSet = 294,
  sym_declArray = 295,
  sym_declFile = 296,
  sym_declString = 297,
  sym_declProcRef = 298,
  sym_declMetaClass = 299,
  sym_declClass = 300,
  sym_declIntf = 301,
  sym_declHelper = 302,
  sym_guid = 303,
  sym__declClass = 304,
  sym_declSection = 305,
  aux_sym__declFields = 306,
  sym_declField = 307,
  sym_declProp = 308,
  sym_declPropArgs = 309,
  sym_declVariant = 310,
  sym_declVariantClause = 311,
  sym_declVariantField = 312,
  sym__declProc = 313,
  sym__declOperator = 314,
  sym_operatorDot = 315,
  sym__operatorName = 316,
  sym_operatorName = 317,
  sym_declArgs = 318,
  sym_declArg = 319,
  sym__procAttribute = 320,
  sym__procAttributeNoExt = 321,
  sym_procAttribute = 322,
  sym_rttiAttributes = 323,
  sym_procExternal = 324,
  sym__initializer = 325,
  sym_recInitializer = 326,
  sym_recInitializerField = 327,
  sym_arrInitializer = 328,
  sym_kEndDot = 329,
  sym_kDot = 330,
  aux_sym_unit_repeat1 = 331,
  aux_sym_moduleName_repeat1 = 332,
  aux_sym_exceptionElse_repeat1 = 333,
  aux_sym__exceptionHandlers_repeat1 = 334,
  aux_sym_case_repeat1 = 335,
  aux_sym_with_repeat1 = 336,
  aux_sym_caseLabel_repeat1 = 337,
  aux_sym__statementsTr_repeat1 = 338,
  aux_sym_asmBody_repeat1 = 339,
  aux_sym_exprTpl_repeat1 = 340,
  aux_sym_legacyFormat_repeat1 = 341,
  aux_sym_exprArgs_repeat1 = 342,
  aux_sym_type_repeat1 = 343,
  aux_sym_typerefArgs_repeat1 = 344,
  aux_sym_genericArgs_repeat1 = 345,
  aux_sym_genericArg_repeat1 = 346,
  aux_sym_literalString_repeat1 = 347,
  aux_sym_defProc_repeat1 = 348,
  aux_sym_declProcFwd_repeat1 = 349,
  aux_sym_declUses_repeat1 = 350,
  aux_sym_declExports_repeat1 = 351,
  aux_sym_declTypes_repeat1 = 352,
  aux_sym_declVars_repeat1 = 353,
  aux_sym_declConsts_repeat1 = 354,
  aux_sym_declVar_repeat1 = 355,
  aux_sym_declLabels_repeat1 = 356,
  aux_sym_declExport_repeat1 = 357,
  aux_sym_declEnum_repeat1 = 358,
  aux_sym_declArray_repeat1 = 359,
  aux_sym_declClass_repeat1 = 360,
  aux_sym__declClass_repeat1 = 361,
  aux_sym_declProp_repeat1 = 362,
  aux_sym_declProp_repeat2 = 363,
  aux_sym_declPropArgs_repeat1 = 364,
  aux_sym_declVariant_repeat1 = 365,
  aux_sym_declVariantClause_repeat1 = 366,
  aux_sym__declProc_repeat1 = 367,
  aux_sym__procAttribute_repeat1 = 368,
  aux_sym__procAttributeNoExt_repeat1 = 369,
  aux_sym_rttiAttributes_repeat1 = 370,
  aux_sym_rttiAttributes_repeat2 = 371,
  aux_sym_recInitializer_repeat1 = 372,
  aux_sym_arrInitializer_repeat1 = 373,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_COMMA] = ",",
  [aux_sym_asmBody_token1] = "asmBody_token1",
  [aux_sym_asmBody_token2] = "asmBody_token2",
  [aux_sym_asmBody_token3] = "asmBody_token3",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym_type_token1] = "pp",
  [aux_sym_type_token2] = "pp",
  [aux_sym_type_token3] = "pp",
  [aux_sym__literalString_token1] = "_literalString_token1",
  [anon_sym_POUND] = "#",
  [aux_sym__literalInt_token1] = "_literalInt_token1",
  [aux_sym__literalInt_token2] = "_literalInt_token2",
  [aux_sym__literalFloat_token1] = "_literalFloat_token1",
  [anon_sym_DOT_DOT] = "..",
  [sym_kProgram] = "kProgram",
  [sym_kLibrary] = "kLibrary",
  [sym_kUnit] = "kUnit",
  [sym_kUses] = "kUses",
  [sym_kInterface] = "kInterface",
  [sym_kDispInterface] = "kDispInterface",
  [sym_kImplementation] = "kImplementation",
  [sym_kInitialization] = "kInitialization",
  [sym_kFinalization] = "kFinalization",
  [anon_sym_DOT] = ".",
  [sym_kBegin] = "kBegin",
  [sym_kEnd] = "kEnd",
  [sym_kAsm] = "kAsm",
  [sym_kVar] = "kVar",
  [sym_kThreadvar] = "kThreadvar",
  [sym_kConst] = "kConst",
  [sym_kConstref] = "kConstref",
  [sym_kResourcestring] = "kResourcestring",
  [sym_kOut] = "kOut",
  [sym_kType] = "kType",
  [sym_kLabel] = "kLabel",
  [sym_kExports] = "kExports",
  [sym_kAbsolute] = "kAbsolute",
  [sym_kProperty] = "kProperty",
  [sym_kRead] = "kRead",
  [sym_kWrite] = "kWrite",
  [sym_kImplements] = "kImplements",
  [sym_kDefault] = "kDefault",
  [sym_kNodefault] = "kNodefault",
  [sym_kStored] = "kStored",
  [sym_kIndex] = "kIndex",
  [sym_kDispId] = "kDispId",
  [sym_kClass] = "kClass",
  [sym_kObject] = "kObject",
  [sym_kRecord] = "kRecord",
  [sym_kObjcclass] = "kObjcclass",
  [sym_kObjccategory] = "kObjccategory",
  [sym_kObjcprotocol] = "kObjcprotocol",
  [sym_kArray] = "kArray",
  [sym_kFile] = "kFile",
  [sym_kString] = "kString",
  [sym_kSet] = "kSet",
  [sym_kOf] = "kOf",
  [sym_kHelper] = "kHelper",
  [sym_kPacked] = "kPacked",
  [sym_kGeneric] = "kGeneric",
  [sym_kSpecialize] = "kSpecialize",
  [sym_kLt] = "kLt",
  [sym_kEq] = "kEq",
  [sym_kNeq] = "kNeq",
  [sym_kGt] = "kGt",
  [sym_kLte] = "kLte",
  [sym_kGte] = "kGte",
  [sym_kAdd] = "kAdd",
  [sym_kSub] = "kSub",
  [sym_kMul] = "kMul",
  [sym_kFdiv] = "kFdiv",
  [sym_kAt] = "kAt",
  [sym_kHat] = "kHat",
  [sym_kAssign] = "kAssign",
  [sym_kAssignAdd] = "kAssignAdd",
  [sym_kAssignSub] = "kAssignSub",
  [sym_kAssignMul] = "kAssignMul",
  [sym_kAssignDiv] = "kAssignDiv",
  [sym_kOr] = "kOr",
  [sym_kXor] = "kXor",
  [sym_kDiv] = "kDiv",
  [sym_kMod] = "kMod",
  [sym_kAnd] = "kAnd",
  [sym_kShl] = "kShl",
  [sym_kShr] = "kShr",
  [sym_kNot] = "kNot",
  [sym_kIs] = "kIs",
  [sym_kAs] = "kAs",
  [sym_kIn] = "kIn",
  [sym_kFor] = "kFor",
  [sym_kTo] = "kTo",
  [sym_kDownto] = "kDownto",
  [sym_kIf] = "kIf",
  [sym_kThen] = "kThen",
  [sym_kElse] = "kElse",
  [sym_kDo] = "kDo",
  [sym_kWhile] = "kWhile",
  [sym_kRepeat] = "kRepeat",
  [sym_kUntil] = "kUntil",
  [sym_kTry] = "kTry",
  [sym_kExcept] = "kExcept",
  [sym_kFinally] = "kFinally",
  [sym_kRaise] = "kRaise",
  [sym_kOn] = "kOn",
  [sym_kCase] = "kCase",
  [sym_kWith] = "kWith",
  [sym_kGoto] = "kGoto",
  [sym_kFunction] = "kFunction",
  [sym_kProcedure] = "kProcedure",
  [sym_kConstructor] = "kConstructor",
  [sym_kDestructor] = "kDestructor",
  [sym_kOperator] = "kOperator",
  [sym_kReference] = "kReference",
  [sym_kPublished] = "kPublished",
  [sym_kPublic] = "kPublic",
  [sym_kProtected] = "kProtected",
  [sym_kPrivate] = "kPrivate",
  [sym_kStrict] = "kStrict",
  [sym_kRequired] = "kRequired",
  [sym_kOptional] = "kOptional",
  [sym_kForward] = "kForward",
  [sym_kStatic] = "kStatic",
  [sym_kVirtual] = "kVirtual",
  [sym_kAbstract] = "kAbstract",
  [sym_kSealed] = "kSealed",
  [sym_kDynamic] = "kDynamic",
  [sym_kOverride] = "kOverride",
  [sym_kOverload] = "kOverload",
  [sym_kReintroduce] = "kReintroduce",
  [sym_kInherited] = "kInherited",
  [sym_kInline] = "kInline",
  [sym_kStdcall] = "kStdcall",
  [sym_kCdecl] = "kCdecl",
  [sym_kCppdecl] = "kCppdecl",
  [sym_kPascal] = "kPascal",
  [sym_kRegister] = "kRegister",
  [sym_kMwpascal] = "kMwpascal",
  [sym_kExternal] = "kExternal",
  [sym_kName] = "kName",
  [sym_kMessage] = "kMessage",
  [sym_kDeprecated] = "kDeprecated",
  [sym_kExperimental] = "kExperimental",
  [sym_kPlatform] = "kPlatform",
  [sym_kUnimplemented] = "kUnimplemented",
  [sym_kCvar] = "kCvar",
  [sym_kExport] = "kExport",
  [sym_kFar] = "kFar",
  [sym_kNear] = "kNear",
  [sym_kSafecall] = "kSafecall",
  [sym_kAssembler] = "kAssembler",
  [sym_kNostackframe] = "kNostackframe",
  [sym_kInterrupt] = "kInterrupt",
  [sym_kNoreturn] = "kNoreturn",
  [sym_kIocheck] = "kIocheck",
  [sym_kLocal] = "kLocal",
  [sym_kHardfloat] = "kHardfloat",
  [sym_kSoftfloat] = "kSoftfloat",
  [sym_kMs_abi_default] = "kMs_abi_default",
  [sym_kMs_abi_cdecl] = "kMs_abi_cdecl",
  [sym_kSaveregisters] = "kSaveregisters",
  [sym_kSysv_abi_default] = "kSysv_abi_default",
  [sym_kSysv_abi_cdecl] = "kSysv_abi_cdecl",
  [sym_kVectorcall] = "kVectorcall",
  [sym_kVarargs] = "kVarargs",
  [sym_kWinapi] = "kWinapi",
  [sym_kAlias] = "kAlias",
  [sym_kDelayed] = "kDelayed",
  [sym_kNil] = "kNil",
  [sym_kTrue] = "kTrue",
  [sym_kFalse] = "kFalse",
  [sym_kIfdef] = "kIfdef",
  [sym_kIfndef] = "kIfndef",
  [sym_kEndif] = "kEndif",
  [sym__space] = "_space",
  [sym_pp] = "pp",
  [sym_comment] = "comment",
  [sym_root] = "root",
  [sym_program] = "program",
  [sym_library] = "library",
  [sym_unit] = "unit",
  [sym_interface] = "interface",
  [sym_implementation] = "implementation",
  [sym_initialization] = "initialization",
  [sym_finalization] = "finalization",
  [sym_moduleName] = "moduleName",
  [sym_if] = "if",
  [sym_ifElse] = "ifElse",
  [sym_while] = "while",
  [sym_repeat] = "repeat",
  [sym_for] = "for",
  [sym_foreach] = "foreach",
  [sym_exceptionHandler] = "exceptionHandler",
  [sym_exceptionElse] = "exceptionElse",
  [sym_try] = "try",
  [sym_caseCase] = "caseCase",
  [sym_case] = "case",
  [sym_block] = "block",
  [sym_asm] = "asm",
  [sym_with] = "with",
  [sym_raise] = "raise",
  [sym_statement] = "statement",
  [sym_goto] = "goto",
  [sym__statement] = "_statement",
  [sym_ifTr] = "if",
  [sym_ifElseTr] = "ifElse",
  [sym_whileTr] = "while",
  [sym_repeatTr] = "repeat",
  [sym_forTr] = "for",
  [sym_foreachTr] = "foreach",
  [sym_exceptionHandlerTr] = "exceptionHandler",
  [sym__exceptionHandlersTr] = "_exceptionHandlersTr",
  [sym_tryTr] = "try",
  [sym_caseCaseTr] = "caseCase",
  [sym_caseTr] = "case",
  [sym_blockTr] = "blockTr",
  [sym_asmTr] = "asm",
  [sym_withTr] = "with",
  [sym_raiseTr] = "raise",
  [sym_statementTr] = "statement",
  [sym_gotoTr] = "goto",
  [sym__statementTr] = "_statementTr",
  [sym_assignment] = "assignment",
  [sym_varAssignDef] = "varAssignDef",
  [sym_varDef] = "varDef",
  [sym_label] = "label",
  [sym_caseLabel] = "caseLabel",
  [sym__statementsTr] = "_statementsTr",
  [sym_statementsTr] = "statements",
  [sym_asmBody] = "asmBody",
  [sym__expr] = "_expr",
  [sym__ref] = "_ref",
  [sym_lambda] = "lambda",
  [sym_inherited] = "inherited",
  [sym_exprDot] = "exprDot",
  [sym_exprDeref] = "exprUnary",
  [sym_exprAs] = "exprBinary",
  [sym_exprTpl] = "exprTpl",
  [sym_exprSubscript] = "exprSubscript",
  [sym_exprCall] = "exprCall",
  [sym_legacyFormat] = "legacyFormat",
  [sym_exprArgs] = "exprArgs",
  [sym_exprBinary] = "exprBinary",
  [sym_exprUnary] = "exprUnary",
  [sym_exprParens] = "exprParens",
  [sym_exprBrackets] = "exprBrackets",
  [sym_type] = "type",
  [sym_typeref] = "typeref",
  [sym__typeref] = "_typeref",
  [sym_typerefDot] = "typerefDot",
  [sym_typerefTpl] = "typerefTpl",
  [sym_typerefPtr] = "typerefPtr",
  [sym_typerefArgs] = "typerefArgs",
  [sym_genericDot] = "genericDot",
  [sym_genericTpl] = "genericTpl",
  [sym__genericName] = "_genericName",
  [sym_genericArgs] = "genericArgs",
  [sym_genericArg] = "genericArg",
  [sym__literal] = "_literal",
  [sym_literalString] = "literalString",
  [sym__literalString] = "_literalString",
  [sym_literalChar] = "literalChar",
  [sym_literalNumber] = "literalNumber",
  [sym__literalInt] = "_literalInt",
  [sym__literalFloat] = "_literalFloat",
  [sym_range] = "range",
  [aux_sym__definitions] = "_definitions",
  [sym__definition] = "_definition",
  [sym_defProc] = "defProc",
  [sym_declProcFwd] = "declProc",
  [sym__visibility] = "_visibility",
  [aux_sym__declarations] = "_declarations",
  [aux_sym__classDeclarations] = "_classDeclarations",
  [sym_defaultValue] = "defaultValue",
  [sym_declUses] = "declUses",
  [sym_declExports] = "declExports",
  [sym_declTypes] = "declTypes",
  [sym_declVars] = "declVars",
  [sym_declConsts] = "declConsts",
  [sym_declType] = "declType",
  [sym_declProc] = "declProc",
  [sym_declVar] = "declVar",
  [sym_declConst] = "declConst",
  [sym_declLabels] = "declLabels",
  [sym_declLabel] = "declLabel",
  [sym_declExport] = "declExport",
  [sym_declEnum] = "declEnum",
  [sym_declEnumValue] = "declEnumValue",
  [sym_declSet] = "declSet",
  [sym_declArray] = "declArray",
  [sym_declFile] = "declFile",
  [sym_declString] = "declString",
  [sym_declProcRef] = "declProcRef",
  [sym_declMetaClass] = "declMetaClass",
  [sym_declClass] = "declClass",
  [sym_declIntf] = "declIntf",
  [sym_declHelper] = "declHelper",
  [sym_guid] = "guid",
  [sym__declClass] = "_declClass",
  [sym_declSection] = "declSection",
  [aux_sym__declFields] = "_declFields",
  [sym_declField] = "declField",
  [sym_declProp] = "declProp",
  [sym_declPropArgs] = "declPropArgs",
  [sym_declVariant] = "declVariant",
  [sym_declVariantClause] = "declVariantClause",
  [sym_declVariantField] = "declField",
  [sym__declProc] = "_declProc",
  [sym__declOperator] = "_declOperator",
  [sym_operatorDot] = "genericDot",
  [sym__operatorName] = "_operatorName",
  [sym_operatorName] = "operatorName",
  [sym_declArgs] = "declArgs",
  [sym_declArg] = "declArg",
  [sym__procAttribute] = "_procAttribute",
  [sym__procAttributeNoExt] = "_procAttributeNoExt",
  [sym_procAttribute] = "procAttribute",
  [sym_rttiAttributes] = "rttiAttributes",
  [sym_procExternal] = "procExternal",
  [sym__initializer] = "_initializer",
  [sym_recInitializer] = "recInitializer",
  [sym_recInitializerField] = "recInitializerField",
  [sym_arrInitializer] = "arrInitializer",
  [sym_kEndDot] = "kEndDot",
  [sym_kDot] = "kDot",
  [aux_sym_unit_repeat1] = "unit_repeat1",
  [aux_sym_moduleName_repeat1] = "moduleName_repeat1",
  [aux_sym_exceptionElse_repeat1] = "exceptionElse_repeat1",
  [aux_sym__exceptionHandlers_repeat1] = "_exceptionHandlers_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_with_repeat1] = "with_repeat1",
  [aux_sym_caseLabel_repeat1] = "caseLabel_repeat1",
  [aux_sym__statementsTr_repeat1] = "_statementsTr_repeat1",
  [aux_sym_asmBody_repeat1] = "asmBody_repeat1",
  [aux_sym_exprTpl_repeat1] = "exprTpl_repeat1",
  [aux_sym_legacyFormat_repeat1] = "legacyFormat_repeat1",
  [aux_sym_exprArgs_repeat1] = "exprArgs_repeat1",
  [aux_sym_type_repeat1] = "type_repeat1",
  [aux_sym_typerefArgs_repeat1] = "typerefArgs_repeat1",
  [aux_sym_genericArgs_repeat1] = "genericArgs_repeat1",
  [aux_sym_genericArg_repeat1] = "genericArg_repeat1",
  [aux_sym_literalString_repeat1] = "literalString_repeat1",
  [aux_sym_defProc_repeat1] = "defProc_repeat1",
  [aux_sym_declProcFwd_repeat1] = "declProcFwd_repeat1",
  [aux_sym_declUses_repeat1] = "declUses_repeat1",
  [aux_sym_declExports_repeat1] = "declExports_repeat1",
  [aux_sym_declTypes_repeat1] = "declTypes_repeat1",
  [aux_sym_declVars_repeat1] = "declVars_repeat1",
  [aux_sym_declConsts_repeat1] = "declConsts_repeat1",
  [aux_sym_declVar_repeat1] = "declVar_repeat1",
  [aux_sym_declLabels_repeat1] = "declLabels_repeat1",
  [aux_sym_declExport_repeat1] = "declExport_repeat1",
  [aux_sym_declEnum_repeat1] = "declEnum_repeat1",
  [aux_sym_declArray_repeat1] = "declArray_repeat1",
  [aux_sym_declClass_repeat1] = "declClass_repeat1",
  [aux_sym__declClass_repeat1] = "_declClass_repeat1",
  [aux_sym_declProp_repeat1] = "declProp_repeat1",
  [aux_sym_declProp_repeat2] = "declProp_repeat2",
  [aux_sym_declPropArgs_repeat1] = "declPropArgs_repeat1",
  [aux_sym_declVariant_repeat1] = "declVariant_repeat1",
  [aux_sym_declVariantClause_repeat1] = "declVariantClause_repeat1",
  [aux_sym__declProc_repeat1] = "_declProc_repeat1",
  [aux_sym__procAttribute_repeat1] = "_procAttribute_repeat1",
  [aux_sym__procAttributeNoExt_repeat1] = "_procAttributeNoExt_repeat1",
  [aux_sym_rttiAttributes_repeat1] = "rttiAttributes_repeat1",
  [aux_sym_rttiAttributes_repeat2] = "rttiAttributes_repeat2",
  [aux_sym_recInitializer_repeat1] = "recInitializer_repeat1",
  [aux_sym_arrInitializer_repeat1] = "arrInitializer_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_asmBody_token1] = aux_sym_asmBody_token1,
  [aux_sym_asmBody_token2] = aux_sym_asmBody_token2,
  [aux_sym_asmBody_token3] = aux_sym_asmBody_token3,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_type_token1] = sym_pp,
  [aux_sym_type_token2] = sym_pp,
  [aux_sym_type_token3] = sym_pp,
  [aux_sym__literalString_token1] = aux_sym__literalString_token1,
  [anon_sym_POUND] = anon_sym_POUND,
  [aux_sym__literalInt_token1] = aux_sym__literalInt_token1,
  [aux_sym__literalInt_token2] = aux_sym__literalInt_token2,
  [aux_sym__literalFloat_token1] = aux_sym__literalFloat_token1,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [sym_kProgram] = sym_kProgram,
  [sym_kLibrary] = sym_kLibrary,
  [sym_kUnit] = sym_kUnit,
  [sym_kUses] = sym_kUses,
  [sym_kInterface] = sym_kInterface,
  [sym_kDispInterface] = sym_kDispInterface,
  [sym_kImplementation] = sym_kImplementation,
  [sym_kInitialization] = sym_kInitialization,
  [sym_kFinalization] = sym_kFinalization,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_kBegin] = sym_kBegin,
  [sym_kEnd] = sym_kEnd,
  [sym_kAsm] = sym_kAsm,
  [sym_kVar] = sym_kVar,
  [sym_kThreadvar] = sym_kThreadvar,
  [sym_kConst] = sym_kConst,
  [sym_kConstref] = sym_kConstref,
  [sym_kResourcestring] = sym_kResourcestring,
  [sym_kOut] = sym_kOut,
  [sym_kType] = sym_kType,
  [sym_kLabel] = sym_kLabel,
  [sym_kExports] = sym_kExports,
  [sym_kAbsolute] = sym_kAbsolute,
  [sym_kProperty] = sym_kProperty,
  [sym_kRead] = sym_kRead,
  [sym_kWrite] = sym_kWrite,
  [sym_kImplements] = sym_kImplements,
  [sym_kDefault] = sym_kDefault,
  [sym_kNodefault] = sym_kNodefault,
  [sym_kStored] = sym_kStored,
  [sym_kIndex] = sym_kIndex,
  [sym_kDispId] = sym_kDispId,
  [sym_kClass] = sym_kClass,
  [sym_kObject] = sym_kObject,
  [sym_kRecord] = sym_kRecord,
  [sym_kObjcclass] = sym_kObjcclass,
  [sym_kObjccategory] = sym_kObjccategory,
  [sym_kObjcprotocol] = sym_kObjcprotocol,
  [sym_kArray] = sym_kArray,
  [sym_kFile] = sym_kFile,
  [sym_kString] = sym_kString,
  [sym_kSet] = sym_kSet,
  [sym_kOf] = sym_kOf,
  [sym_kHelper] = sym_kHelper,
  [sym_kPacked] = sym_kPacked,
  [sym_kGeneric] = sym_kGeneric,
  [sym_kSpecialize] = sym_kSpecialize,
  [sym_kLt] = sym_kLt,
  [sym_kEq] = sym_kEq,
  [sym_kNeq] = sym_kNeq,
  [sym_kGt] = sym_kGt,
  [sym_kLte] = sym_kLte,
  [sym_kGte] = sym_kGte,
  [sym_kAdd] = sym_kAdd,
  [sym_kSub] = sym_kSub,
  [sym_kMul] = sym_kMul,
  [sym_kFdiv] = sym_kFdiv,
  [sym_kAt] = sym_kAt,
  [sym_kHat] = sym_kHat,
  [sym_kAssign] = sym_kAssign,
  [sym_kAssignAdd] = sym_kAssignAdd,
  [sym_kAssignSub] = sym_kAssignSub,
  [sym_kAssignMul] = sym_kAssignMul,
  [sym_kAssignDiv] = sym_kAssignDiv,
  [sym_kOr] = sym_kOr,
  [sym_kXor] = sym_kXor,
  [sym_kDiv] = sym_kDiv,
  [sym_kMod] = sym_kMod,
  [sym_kAnd] = sym_kAnd,
  [sym_kShl] = sym_kShl,
  [sym_kShr] = sym_kShr,
  [sym_kNot] = sym_kNot,
  [sym_kIs] = sym_kIs,
  [sym_kAs] = sym_kAs,
  [sym_kIn] = sym_kIn,
  [sym_kFor] = sym_kFor,
  [sym_kTo] = sym_kTo,
  [sym_kDownto] = sym_kDownto,
  [sym_kIf] = sym_kIf,
  [sym_kThen] = sym_kThen,
  [sym_kElse] = sym_kElse,
  [sym_kDo] = sym_kDo,
  [sym_kWhile] = sym_kWhile,
  [sym_kRepeat] = sym_kRepeat,
  [sym_kUntil] = sym_kUntil,
  [sym_kTry] = sym_kTry,
  [sym_kExcept] = sym_kExcept,
  [sym_kFinally] = sym_kFinally,
  [sym_kRaise] = sym_kRaise,
  [sym_kOn] = sym_kOn,
  [sym_kCase] = sym_kCase,
  [sym_kWith] = sym_kWith,
  [sym_kGoto] = sym_kGoto,
  [sym_kFunction] = sym_kFunction,
  [sym_kProcedure] = sym_kProcedure,
  [sym_kConstructor] = sym_kConstructor,
  [sym_kDestructor] = sym_kDestructor,
  [sym_kOperator] = sym_kOperator,
  [sym_kReference] = sym_kReference,
  [sym_kPublished] = sym_kPublished,
  [sym_kPublic] = sym_kPublic,
  [sym_kProtected] = sym_kProtected,
  [sym_kPrivate] = sym_kPrivate,
  [sym_kStrict] = sym_kStrict,
  [sym_kRequired] = sym_kRequired,
  [sym_kOptional] = sym_kOptional,
  [sym_kForward] = sym_kForward,
  [sym_kStatic] = sym_kStatic,
  [sym_kVirtual] = sym_kVirtual,
  [sym_kAbstract] = sym_kAbstract,
  [sym_kSealed] = sym_kSealed,
  [sym_kDynamic] = sym_kDynamic,
  [sym_kOverride] = sym_kOverride,
  [sym_kOverload] = sym_kOverload,
  [sym_kReintroduce] = sym_kReintroduce,
  [sym_kInherited] = sym_kInherited,
  [sym_kInline] = sym_kInline,
  [sym_kStdcall] = sym_kStdcall,
  [sym_kCdecl] = sym_kCdecl,
  [sym_kCppdecl] = sym_kCppdecl,
  [sym_kPascal] = sym_kPascal,
  [sym_kRegister] = sym_kRegister,
  [sym_kMwpascal] = sym_kMwpascal,
  [sym_kExternal] = sym_kExternal,
  [sym_kName] = sym_kName,
  [sym_kMessage] = sym_kMessage,
  [sym_kDeprecated] = sym_kDeprecated,
  [sym_kExperimental] = sym_kExperimental,
  [sym_kPlatform] = sym_kPlatform,
  [sym_kUnimplemented] = sym_kUnimplemented,
  [sym_kCvar] = sym_kCvar,
  [sym_kExport] = sym_kExport,
  [sym_kFar] = sym_kFar,
  [sym_kNear] = sym_kNear,
  [sym_kSafecall] = sym_kSafecall,
  [sym_kAssembler] = sym_kAssembler,
  [sym_kNostackframe] = sym_kNostackframe,
  [sym_kInterrupt] = sym_kInterrupt,
  [sym_kNoreturn] = sym_kNoreturn,
  [sym_kIocheck] = sym_kIocheck,
  [sym_kLocal] = sym_kLocal,
  [sym_kHardfloat] = sym_kHardfloat,
  [sym_kSoftfloat] = sym_kSoftfloat,
  [sym_kMs_abi_default] = sym_kMs_abi_default,
  [sym_kMs_abi_cdecl] = sym_kMs_abi_cdecl,
  [sym_kSaveregisters] = sym_kSaveregisters,
  [sym_kSysv_abi_default] = sym_kSysv_abi_default,
  [sym_kSysv_abi_cdecl] = sym_kSysv_abi_cdecl,
  [sym_kVectorcall] = sym_kVectorcall,
  [sym_kVarargs] = sym_kVarargs,
  [sym_kWinapi] = sym_kWinapi,
  [sym_kAlias] = sym_kAlias,
  [sym_kDelayed] = sym_kDelayed,
  [sym_kNil] = sym_kNil,
  [sym_kTrue] = sym_kTrue,
  [sym_kFalse] = sym_kFalse,
  [sym_kIfdef] = sym_kIfdef,
  [sym_kIfndef] = sym_kIfndef,
  [sym_kEndif] = sym_kEndif,
  [sym__space] = sym__space,
  [sym_pp] = sym_pp,
  [sym_comment] = sym_comment,
  [sym_root] = sym_root,
  [sym_program] = sym_program,
  [sym_library] = sym_library,
  [sym_unit] = sym_unit,
  [sym_interface] = sym_interface,
  [sym_implementation] = sym_implementation,
  [sym_initialization] = sym_initialization,
  [sym_finalization] = sym_finalization,
  [sym_moduleName] = sym_moduleName,
  [sym_if] = sym_if,
  [sym_ifElse] = sym_ifElse,
  [sym_while] = sym_while,
  [sym_repeat] = sym_repeat,
  [sym_for] = sym_for,
  [sym_foreach] = sym_foreach,
  [sym_exceptionHandler] = sym_exceptionHandler,
  [sym_exceptionElse] = sym_exceptionElse,
  [sym_try] = sym_try,
  [sym_caseCase] = sym_caseCase,
  [sym_case] = sym_case,
  [sym_block] = sym_block,
  [sym_asm] = sym_asm,
  [sym_with] = sym_with,
  [sym_raise] = sym_raise,
  [sym_statement] = sym_statement,
  [sym_goto] = sym_goto,
  [sym__statement] = sym__statement,
  [sym_ifTr] = sym_if,
  [sym_ifElseTr] = sym_ifElse,
  [sym_whileTr] = sym_while,
  [sym_repeatTr] = sym_repeat,
  [sym_forTr] = sym_for,
  [sym_foreachTr] = sym_foreach,
  [sym_exceptionHandlerTr] = sym_exceptionHandler,
  [sym__exceptionHandlersTr] = sym__exceptionHandlersTr,
  [sym_tryTr] = sym_try,
  [sym_caseCaseTr] = sym_caseCase,
  [sym_caseTr] = sym_case,
  [sym_blockTr] = sym_blockTr,
  [sym_asmTr] = sym_asm,
  [sym_withTr] = sym_with,
  [sym_raiseTr] = sym_raise,
  [sym_statementTr] = sym_statement,
  [sym_gotoTr] = sym_goto,
  [sym__statementTr] = sym__statementTr,
  [sym_assignment] = sym_assignment,
  [sym_varAssignDef] = sym_varAssignDef,
  [sym_varDef] = sym_varDef,
  [sym_label] = sym_label,
  [sym_caseLabel] = sym_caseLabel,
  [sym__statementsTr] = sym__statementsTr,
  [sym_statementsTr] = sym_statementsTr,
  [sym_asmBody] = sym_asmBody,
  [sym__expr] = sym__expr,
  [sym__ref] = sym__ref,
  [sym_lambda] = sym_lambda,
  [sym_inherited] = sym_inherited,
  [sym_exprDot] = sym_exprDot,
  [sym_exprDeref] = sym_exprUnary,
  [sym_exprAs] = sym_exprBinary,
  [sym_exprTpl] = sym_exprTpl,
  [sym_exprSubscript] = sym_exprSubscript,
  [sym_exprCall] = sym_exprCall,
  [sym_legacyFormat] = sym_legacyFormat,
  [sym_exprArgs] = sym_exprArgs,
  [sym_exprBinary] = sym_exprBinary,
  [sym_exprUnary] = sym_exprUnary,
  [sym_exprParens] = sym_exprParens,
  [sym_exprBrackets] = sym_exprBrackets,
  [sym_type] = sym_type,
  [sym_typeref] = sym_typeref,
  [sym__typeref] = sym__typeref,
  [sym_typerefDot] = sym_typerefDot,
  [sym_typerefTpl] = sym_typerefTpl,
  [sym_typerefPtr] = sym_typerefPtr,
  [sym_typerefArgs] = sym_typerefArgs,
  [sym_genericDot] = sym_genericDot,
  [sym_genericTpl] = sym_genericTpl,
  [sym__genericName] = sym__genericName,
  [sym_genericArgs] = sym_genericArgs,
  [sym_genericArg] = sym_genericArg,
  [sym__literal] = sym__literal,
  [sym_literalString] = sym_literalString,
  [sym__literalString] = sym__literalString,
  [sym_literalChar] = sym_literalChar,
  [sym_literalNumber] = sym_literalNumber,
  [sym__literalInt] = sym__literalInt,
  [sym__literalFloat] = sym__literalFloat,
  [sym_range] = sym_range,
  [aux_sym__definitions] = aux_sym__definitions,
  [sym__definition] = sym__definition,
  [sym_defProc] = sym_defProc,
  [sym_declProcFwd] = sym_declProc,
  [sym__visibility] = sym__visibility,
  [aux_sym__declarations] = aux_sym__declarations,
  [aux_sym__classDeclarations] = aux_sym__classDeclarations,
  [sym_defaultValue] = sym_defaultValue,
  [sym_declUses] = sym_declUses,
  [sym_declExports] = sym_declExports,
  [sym_declTypes] = sym_declTypes,
  [sym_declVars] = sym_declVars,
  [sym_declConsts] = sym_declConsts,
  [sym_declType] = sym_declType,
  [sym_declProc] = sym_declProc,
  [sym_declVar] = sym_declVar,
  [sym_declConst] = sym_declConst,
  [sym_declLabels] = sym_declLabels,
  [sym_declLabel] = sym_declLabel,
  [sym_declExport] = sym_declExport,
  [sym_declEnum] = sym_declEnum,
  [sym_declEnumValue] = sym_declEnumValue,
  [sym_declSet] = sym_declSet,
  [sym_declArray] = sym_declArray,
  [sym_declFile] = sym_declFile,
  [sym_declString] = sym_declString,
  [sym_declProcRef] = sym_declProcRef,
  [sym_declMetaClass] = sym_declMetaClass,
  [sym_declClass] = sym_declClass,
  [sym_declIntf] = sym_declIntf,
  [sym_declHelper] = sym_declHelper,
  [sym_guid] = sym_guid,
  [sym__declClass] = sym__declClass,
  [sym_declSection] = sym_declSection,
  [aux_sym__declFields] = aux_sym__declFields,
  [sym_declField] = sym_declField,
  [sym_declProp] = sym_declProp,
  [sym_declPropArgs] = sym_declPropArgs,
  [sym_declVariant] = sym_declVariant,
  [sym_declVariantClause] = sym_declVariantClause,
  [sym_declVariantField] = sym_declField,
  [sym__declProc] = sym__declProc,
  [sym__declOperator] = sym__declOperator,
  [sym_operatorDot] = sym_genericDot,
  [sym__operatorName] = sym__operatorName,
  [sym_operatorName] = sym_operatorName,
  [sym_declArgs] = sym_declArgs,
  [sym_declArg] = sym_declArg,
  [sym__procAttribute] = sym__procAttribute,
  [sym__procAttributeNoExt] = sym__procAttributeNoExt,
  [sym_procAttribute] = sym_procAttribute,
  [sym_rttiAttributes] = sym_rttiAttributes,
  [sym_procExternal] = sym_procExternal,
  [sym__initializer] = sym__initializer,
  [sym_recInitializer] = sym_recInitializer,
  [sym_recInitializerField] = sym_recInitializerField,
  [sym_arrInitializer] = sym_arrInitializer,
  [sym_kEndDot] = sym_kEndDot,
  [sym_kDot] = sym_kDot,
  [aux_sym_unit_repeat1] = aux_sym_unit_repeat1,
  [aux_sym_moduleName_repeat1] = aux_sym_moduleName_repeat1,
  [aux_sym_exceptionElse_repeat1] = aux_sym_exceptionElse_repeat1,
  [aux_sym__exceptionHandlers_repeat1] = aux_sym__exceptionHandlers_repeat1,
  [aux_sym_case_repeat1] = aux_sym_case_repeat1,
  [aux_sym_with_repeat1] = aux_sym_with_repeat1,
  [aux_sym_caseLabel_repeat1] = aux_sym_caseLabel_repeat1,
  [aux_sym__statementsTr_repeat1] = aux_sym__statementsTr_repeat1,
  [aux_sym_asmBody_repeat1] = aux_sym_asmBody_repeat1,
  [aux_sym_exprTpl_repeat1] = aux_sym_exprTpl_repeat1,
  [aux_sym_legacyFormat_repeat1] = aux_sym_legacyFormat_repeat1,
  [aux_sym_exprArgs_repeat1] = aux_sym_exprArgs_repeat1,
  [aux_sym_type_repeat1] = aux_sym_type_repeat1,
  [aux_sym_typerefArgs_repeat1] = aux_sym_typerefArgs_repeat1,
  [aux_sym_genericArgs_repeat1] = aux_sym_genericArgs_repeat1,
  [aux_sym_genericArg_repeat1] = aux_sym_genericArg_repeat1,
  [aux_sym_literalString_repeat1] = aux_sym_literalString_repeat1,
  [aux_sym_defProc_repeat1] = aux_sym_defProc_repeat1,
  [aux_sym_declProcFwd_repeat1] = aux_sym_declProcFwd_repeat1,
  [aux_sym_declUses_repeat1] = aux_sym_declUses_repeat1,
  [aux_sym_declExports_repeat1] = aux_sym_declExports_repeat1,
  [aux_sym_declTypes_repeat1] = aux_sym_declTypes_repeat1,
  [aux_sym_declVars_repeat1] = aux_sym_declVars_repeat1,
  [aux_sym_declConsts_repeat1] = aux_sym_declConsts_repeat1,
  [aux_sym_declVar_repeat1] = aux_sym_declVar_repeat1,
  [aux_sym_declLabels_repeat1] = aux_sym_declLabels_repeat1,
  [aux_sym_declExport_repeat1] = aux_sym_declExport_repeat1,
  [aux_sym_declEnum_repeat1] = aux_sym_declEnum_repeat1,
  [aux_sym_declArray_repeat1] = aux_sym_declArray_repeat1,
  [aux_sym_declClass_repeat1] = aux_sym_declClass_repeat1,
  [aux_sym__declClass_repeat1] = aux_sym__declClass_repeat1,
  [aux_sym_declProp_repeat1] = aux_sym_declProp_repeat1,
  [aux_sym_declProp_repeat2] = aux_sym_declProp_repeat2,
  [aux_sym_declPropArgs_repeat1] = aux_sym_declPropArgs_repeat1,
  [aux_sym_declVariant_repeat1] = aux_sym_declVariant_repeat1,
  [aux_sym_declVariantClause_repeat1] = aux_sym_declVariantClause_repeat1,
  [aux_sym__declProc_repeat1] = aux_sym__declProc_repeat1,
  [aux_sym__procAttribute_repeat1] = aux_sym__procAttribute_repeat1,
  [aux_sym__procAttributeNoExt_repeat1] = aux_sym__procAttributeNoExt_repeat1,
  [aux_sym_rttiAttributes_repeat1] = aux_sym_rttiAttributes_repeat1,
  [aux_sym_rttiAttributes_repeat2] = aux_sym_rttiAttributes_repeat2,
  [aux_sym_recInitializer_repeat1] = aux_sym_recInitializer_repeat1,
  [aux_sym_arrInitializer_repeat1] = aux_sym_arrInitializer_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_asmBody_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asmBody_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asmBody_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_type_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_type_token3] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__literalString_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__literalInt_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literalInt_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literalFloat_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_kProgram] = {
    .visible = true,
    .named = true,
  },
  [sym_kLibrary] = {
    .visible = true,
    .named = true,
  },
  [sym_kUnit] = {
    .visible = true,
    .named = true,
  },
  [sym_kUses] = {
    .visible = true,
    .named = true,
  },
  [sym_kInterface] = {
    .visible = true,
    .named = true,
  },
  [sym_kDispInterface] = {
    .visible = true,
    .named = true,
  },
  [sym_kImplementation] = {
    .visible = true,
    .named = true,
  },
  [sym_kInitialization] = {
    .visible = true,
    .named = true,
  },
  [sym_kFinalization] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_kBegin] = {
    .visible = true,
    .named = true,
  },
  [sym_kEnd] = {
    .visible = true,
    .named = true,
  },
  [sym_kAsm] = {
    .visible = true,
    .named = true,
  },
  [sym_kVar] = {
    .visible = true,
    .named = true,
  },
  [sym_kThreadvar] = {
    .visible = true,
    .named = true,
  },
  [sym_kConst] = {
    .visible = true,
    .named = true,
  },
  [sym_kConstref] = {
    .visible = true,
    .named = true,
  },
  [sym_kResourcestring] = {
    .visible = true,
    .named = true,
  },
  [sym_kOut] = {
    .visible = true,
    .named = true,
  },
  [sym_kType] = {
    .visible = true,
    .named = true,
  },
  [sym_kLabel] = {
    .visible = true,
    .named = true,
  },
  [sym_kExports] = {
    .visible = true,
    .named = true,
  },
  [sym_kAbsolute] = {
    .visible = true,
    .named = true,
  },
  [sym_kProperty] = {
    .visible = true,
    .named = true,
  },
  [sym_kRead] = {
    .visible = true,
    .named = true,
  },
  [sym_kWrite] = {
    .visible = true,
    .named = true,
  },
  [sym_kImplements] = {
    .visible = true,
    .named = true,
  },
  [sym_kDefault] = {
    .visible = true,
    .named = true,
  },
  [sym_kNodefault] = {
    .visible = true,
    .named = true,
  },
  [sym_kStored] = {
    .visible = true,
    .named = true,
  },
  [sym_kIndex] = {
    .visible = true,
    .named = true,
  },
  [sym_kDispId] = {
    .visible = true,
    .named = true,
  },
  [sym_kClass] = {
    .visible = true,
    .named = true,
  },
  [sym_kObject] = {
    .visible = true,
    .named = true,
  },
  [sym_kRecord] = {
    .visible = true,
    .named = true,
  },
  [sym_kObjcclass] = {
    .visible = true,
    .named = true,
  },
  [sym_kObjccategory] = {
    .visible = true,
    .named = true,
  },
  [sym_kObjcprotocol] = {
    .visible = true,
    .named = true,
  },
  [sym_kArray] = {
    .visible = true,
    .named = true,
  },
  [sym_kFile] = {
    .visible = true,
    .named = true,
  },
  [sym_kString] = {
    .visible = true,
    .named = true,
  },
  [sym_kSet] = {
    .visible = true,
    .named = true,
  },
  [sym_kOf] = {
    .visible = true,
    .named = true,
  },
  [sym_kHelper] = {
    .visible = true,
    .named = true,
  },
  [sym_kPacked] = {
    .visible = true,
    .named = true,
  },
  [sym_kGeneric] = {
    .visible = true,
    .named = true,
  },
  [sym_kSpecialize] = {
    .visible = true,
    .named = true,
  },
  [sym_kLt] = {
    .visible = true,
    .named = true,
  },
  [sym_kEq] = {
    .visible = true,
    .named = true,
  },
  [sym_kNeq] = {
    .visible = true,
    .named = true,
  },
  [sym_kGt] = {
    .visible = true,
    .named = true,
  },
  [sym_kLte] = {
    .visible = true,
    .named = true,
  },
  [sym_kGte] = {
    .visible = true,
    .named = true,
  },
  [sym_kAdd] = {
    .visible = true,
    .named = true,
  },
  [sym_kSub] = {
    .visible = true,
    .named = true,
  },
  [sym_kMul] = {
    .visible = true,
    .named = true,
  },
  [sym_kFdiv] = {
    .visible = true,
    .named = true,
  },
  [sym_kAt] = {
    .visible = true,
    .named = true,
  },
  [sym_kHat] = {
    .visible = true,
    .named = true,
  },
  [sym_kAssign] = {
    .visible = true,
    .named = true,
  },
  [sym_kAssignAdd] = {
    .visible = true,
    .named = true,
  },
  [sym_kAssignSub] = {
    .visible = true,
    .named = true,
  },
  [sym_kAssignMul] = {
    .visible = true,
    .named = true,
  },
  [sym_kAssignDiv] = {
    .visible = true,
    .named = true,
  },
  [sym_kOr] = {
    .visible = true,
    .named = true,
  },
  [sym_kXor] = {
    .visible = true,
    .named = true,
  },
  [sym_kDiv] = {
    .visible = true,
    .named = true,
  },
  [sym_kMod] = {
    .visible = true,
    .named = true,
  },
  [sym_kAnd] = {
    .visible = true,
    .named = true,
  },
  [sym_kShl] = {
    .visible = true,
    .named = true,
  },
  [sym_kShr] = {
    .visible = true,
    .named = true,
  },
  [sym_kNot] = {
    .visible = true,
    .named = true,
  },
  [sym_kIs] = {
    .visible = true,
    .named = true,
  },
  [sym_kAs] = {
    .visible = true,
    .named = true,
  },
  [sym_kIn] = {
    .visible = true,
    .named = true,
  },
  [sym_kFor] = {
    .visible = true,
    .named = true,
  },
  [sym_kTo] = {
    .visible = true,
    .named = true,
  },
  [sym_kDownto] = {
    .visible = true,
    .named = true,
  },
  [sym_kIf] = {
    .visible = true,
    .named = true,
  },
  [sym_kThen] = {
    .visible = true,
    .named = true,
  },
  [sym_kElse] = {
    .visible = true,
    .named = true,
  },
  [sym_kDo] = {
    .visible = true,
    .named = true,
  },
  [sym_kWhile] = {
    .visible = true,
    .named = true,
  },
  [sym_kRepeat] = {
    .visible = true,
    .named = true,
  },
  [sym_kUntil] = {
    .visible = true,
    .named = true,
  },
  [sym_kTry] = {
    .visible = true,
    .named = true,
  },
  [sym_kExcept] = {
    .visible = true,
    .named = true,
  },
  [sym_kFinally] = {
    .visible = true,
    .named = true,
  },
  [sym_kRaise] = {
    .visible = true,
    .named = true,
  },
  [sym_kOn] = {
    .visible = true,
    .named = true,
  },
  [sym_kCase] = {
    .visible = true,
    .named = true,
  },
  [sym_kWith] = {
    .visible = true,
    .named = true,
  },
  [sym_kGoto] = {
    .visible = true,
    .named = true,
  },
  [sym_kFunction] = {
    .visible = true,
    .named = true,
  },
  [sym_kProcedure] = {
    .visible = true,
    .named = true,
  },
  [sym_kConstructor] = {
    .visible = true,
    .named = true,
  },
  [sym_kDestructor] = {
    .visible = true,
    .named = true,
  },
  [sym_kOperator] = {
    .visible = true,
    .named = true,
  },
  [sym_kReference] = {
    .visible = true,
    .named = true,
  },
  [sym_kPublished] = {
    .visible = true,
    .named = true,
  },
  [sym_kPublic] = {
    .visible = true,
    .named = true,
  },
  [sym_kProtected] = {
    .visible = true,
    .named = true,
  },
  [sym_kPrivate] = {
    .visible = true,
    .named = true,
  },
  [sym_kStrict] = {
    .visible = true,
    .named = true,
  },
  [sym_kRequired] = {
    .visible = true,
    .named = true,
  },
  [sym_kOptional] = {
    .visible = true,
    .named = true,
  },
  [sym_kForward] = {
    .visible = true,
    .named = true,
  },
  [sym_kStatic] = {
    .visible = true,
    .named = true,
  },
  [sym_kVirtual] = {
    .visible = true,
    .named = true,
  },
  [sym_kAbstract] = {
    .visible = true,
    .named = true,
  },
  [sym_kSealed] = {
    .visible = true,
    .named = true,
  },
  [sym_kDynamic] = {
    .visible = true,
    .named = true,
  },
  [sym_kOverride] = {
    .visible = true,
    .named = true,
  },
  [sym_kOverload] = {
    .visible = true,
    .named = true,
  },
  [sym_kReintroduce] = {
    .visible = true,
    .named = true,
  },
  [sym_kInherited] = {
    .visible = true,
    .named = true,
  },
  [sym_kInline] = {
    .visible = true,
    .named = true,
  },
  [sym_kStdcall] = {
    .visible = true,
    .named = true,
  },
  [sym_kCdecl] = {
    .visible = true,
    .named = true,
  },
  [sym_kCppdecl] = {
    .visible = true,
    .named = true,
  },
  [sym_kPascal] = {
    .visible = true,
    .named = true,
  },
  [sym_kRegister] = {
    .visible = true,
    .named = true,
  },
  [sym_kMwpascal] = {
    .visible = true,
    .named = true,
  },
  [sym_kExternal] = {
    .visible = true,
    .named = true,
  },
  [sym_kName] = {
    .visible = true,
    .named = true,
  },
  [sym_kMessage] = {
    .visible = true,
    .named = true,
  },
  [sym_kDeprecated] = {
    .visible = true,
    .named = true,
  },
  [sym_kExperimental] = {
    .visible = true,
    .named = true,
  },
  [sym_kPlatform] = {
    .visible = true,
    .named = true,
  },
  [sym_kUnimplemented] = {
    .visible = true,
    .named = true,
  },
  [sym_kCvar] = {
    .visible = true,
    .named = true,
  },
  [sym_kExport] = {
    .visible = true,
    .named = true,
  },
  [sym_kFar] = {
    .visible = true,
    .named = true,
  },
  [sym_kNear] = {
    .visible = true,
    .named = true,
  },
  [sym_kSafecall] = {
    .visible = true,
    .named = true,
  },
  [sym_kAssembler] = {
    .visible = true,
    .named = true,
  },
  [sym_kNostackframe] = {
    .visible = true,
    .named = true,
  },
  [sym_kInterrupt] = {
    .visible = true,
    .named = true,
  },
  [sym_kNoreturn] = {
    .visible = true,
    .named = true,
  },
  [sym_kIocheck] = {
    .visible = true,
    .named = true,
  },
  [sym_kLocal] = {
    .visible = true,
    .named = true,
  },
  [sym_kHardfloat] = {
    .visible = true,
    .named = true,
  },
  [sym_kSoftfloat] = {
    .visible = true,
    .named = true,
  },
  [sym_kMs_abi_default] = {
    .visible = true,
    .named = true,
  },
  [sym_kMs_abi_cdecl] = {
    .visible = true,
    .named = true,
  },
  [sym_kSaveregisters] = {
    .visible = true,
    .named = true,
  },
  [sym_kSysv_abi_default] = {
    .visible = true,
    .named = true,
  },
  [sym_kSysv_abi_cdecl] = {
    .visible = true,
    .named = true,
  },
  [sym_kVectorcall] = {
    .visible = true,
    .named = true,
  },
  [sym_kVarargs] = {
    .visible = true,
    .named = true,
  },
  [sym_kWinapi] = {
    .visible = true,
    .named = true,
  },
  [sym_kAlias] = {
    .visible = true,
    .named = true,
  },
  [sym_kDelayed] = {
    .visible = true,
    .named = true,
  },
  [sym_kNil] = {
    .visible = true,
    .named = true,
  },
  [sym_kTrue] = {
    .visible = true,
    .named = true,
  },
  [sym_kFalse] = {
    .visible = true,
    .named = true,
  },
  [sym_kIfdef] = {
    .visible = true,
    .named = true,
  },
  [sym_kIfndef] = {
    .visible = true,
    .named = true,
  },
  [sym_kEndif] = {
    .visible = true,
    .named = true,
  },
  [sym__space] = {
    .visible = false,
    .named = true,
  },
  [sym_pp] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_root] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_library] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_implementation] = {
    .visible = true,
    .named = true,
  },
  [sym_initialization] = {
    .visible = true,
    .named = true,
  },
  [sym_finalization] = {
    .visible = true,
    .named = true,
  },
  [sym_moduleName] = {
    .visible = true,
    .named = true,
  },
  [sym_if] = {
    .visible = true,
    .named = true,
  },
  [sym_ifElse] = {
    .visible = true,
    .named = true,
  },
  [sym_while] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat] = {
    .visible = true,
    .named = true,
  },
  [sym_for] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach] = {
    .visible = true,
    .named = true,
  },
  [sym_exceptionHandler] = {
    .visible = true,
    .named = true,
  },
  [sym_exceptionElse] = {
    .visible = true,
    .named = true,
  },
  [sym_try] = {
    .visible = true,
    .named = true,
  },
  [sym_caseCase] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_asm] = {
    .visible = true,
    .named = true,
  },
  [sym_with] = {
    .visible = true,
    .named = true,
  },
  [sym_raise] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_ifTr] = {
    .visible = true,
    .named = true,
  },
  [sym_ifElseTr] = {
    .visible = true,
    .named = true,
  },
  [sym_whileTr] = {
    .visible = true,
    .named = true,
  },
  [sym_repeatTr] = {
    .visible = true,
    .named = true,
  },
  [sym_forTr] = {
    .visible = true,
    .named = true,
  },
  [sym_foreachTr] = {
    .visible = true,
    .named = true,
  },
  [sym_exceptionHandlerTr] = {
    .visible = true,
    .named = true,
  },
  [sym__exceptionHandlersTr] = {
    .visible = false,
    .named = true,
  },
  [sym_tryTr] = {
    .visible = true,
    .named = true,
  },
  [sym_caseCaseTr] = {
    .visible = true,
    .named = true,
  },
  [sym_caseTr] = {
    .visible = true,
    .named = true,
  },
  [sym_blockTr] = {
    .visible = true,
    .named = true,
  },
  [sym_asmTr] = {
    .visible = true,
    .named = true,
  },
  [sym_withTr] = {
    .visible = true,
    .named = true,
  },
  [sym_raiseTr] = {
    .visible = true,
    .named = true,
  },
  [sym_statementTr] = {
    .visible = true,
    .named = true,
  },
  [sym_gotoTr] = {
    .visible = true,
    .named = true,
  },
  [sym__statementTr] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_varAssignDef] = {
    .visible = true,
    .named = true,
  },
  [sym_varDef] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_caseLabel] = {
    .visible = true,
    .named = true,
  },
  [sym__statementsTr] = {
    .visible = false,
    .named = true,
  },
  [sym_statementsTr] = {
    .visible = true,
    .named = true,
  },
  [sym_asmBody] = {
    .visible = true,
    .named = true,
  },
  [sym__expr] = {
    .visible = false,
    .named = true,
  },
  [sym__ref] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_inherited] = {
    .visible = true,
    .named = true,
  },
  [sym_exprDot] = {
    .visible = true,
    .named = true,
  },
  [sym_exprDeref] = {
    .visible = true,
    .named = true,
  },
  [sym_exprAs] = {
    .visible = true,
    .named = true,
  },
  [sym_exprTpl] = {
    .visible = true,
    .named = true,
  },
  [sym_exprSubscript] = {
    .visible = true,
    .named = true,
  },
  [sym_exprCall] = {
    .visible = true,
    .named = true,
  },
  [sym_legacyFormat] = {
    .visible = true,
    .named = true,
  },
  [sym_exprArgs] = {
    .visible = true,
    .named = true,
  },
  [sym_exprBinary] = {
    .visible = true,
    .named = true,
  },
  [sym_exprUnary] = {
    .visible = true,
    .named = true,
  },
  [sym_exprParens] = {
    .visible = true,
    .named = true,
  },
  [sym_exprBrackets] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typeref] = {
    .visible = true,
    .named = true,
  },
  [sym__typeref] = {
    .visible = false,
    .named = true,
  },
  [sym_typerefDot] = {
    .visible = true,
    .named = true,
  },
  [sym_typerefTpl] = {
    .visible = true,
    .named = true,
  },
  [sym_typerefPtr] = {
    .visible = true,
    .named = true,
  },
  [sym_typerefArgs] = {
    .visible = true,
    .named = true,
  },
  [sym_genericDot] = {
    .visible = true,
    .named = true,
  },
  [sym_genericTpl] = {
    .visible = true,
    .named = true,
  },
  [sym__genericName] = {
    .visible = false,
    .named = true,
  },
  [sym_genericArgs] = {
    .visible = true,
    .named = true,
  },
  [sym_genericArg] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_literalString] = {
    .visible = true,
    .named = true,
  },
  [sym__literalString] = {
    .visible = false,
    .named = true,
  },
  [sym_literalChar] = {
    .visible = true,
    .named = true,
  },
  [sym_literalNumber] = {
    .visible = true,
    .named = true,
  },
  [sym__literalInt] = {
    .visible = false,
    .named = true,
  },
  [sym__literalFloat] = {
    .visible = false,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__definitions] = {
    .visible = false,
    .named = false,
  },
  [sym__definition] = {
    .visible = false,
    .named = true,
  },
  [sym_defProc] = {
    .visible = true,
    .named = true,
  },
  [sym_declProcFwd] = {
    .visible = true,
    .named = true,
  },
  [sym__visibility] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__declarations] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__classDeclarations] = {
    .visible = false,
    .named = false,
  },
  [sym_defaultValue] = {
    .visible = true,
    .named = true,
  },
  [sym_declUses] = {
    .visible = true,
    .named = true,
  },
  [sym_declExports] = {
    .visible = true,
    .named = true,
  },
  [sym_declTypes] = {
    .visible = true,
    .named = true,
  },
  [sym_declVars] = {
    .visible = true,
    .named = true,
  },
  [sym_declConsts] = {
    .visible = true,
    .named = true,
  },
  [sym_declType] = {
    .visible = true,
    .named = true,
  },
  [sym_declProc] = {
    .visible = true,
    .named = true,
  },
  [sym_declVar] = {
    .visible = true,
    .named = true,
  },
  [sym_declConst] = {
    .visible = true,
    .named = true,
  },
  [sym_declLabels] = {
    .visible = true,
    .named = true,
  },
  [sym_declLabel] = {
    .visible = true,
    .named = true,
  },
  [sym_declExport] = {
    .visible = true,
    .named = true,
  },
  [sym_declEnum] = {
    .visible = true,
    .named = true,
  },
  [sym_declEnumValue] = {
    .visible = true,
    .named = true,
  },
  [sym_declSet] = {
    .visible = true,
    .named = true,
  },
  [sym_declArray] = {
    .visible = true,
    .named = true,
  },
  [sym_declFile] = {
    .visible = true,
    .named = true,
  },
  [sym_declString] = {
    .visible = true,
    .named = true,
  },
  [sym_declProcRef] = {
    .visible = true,
    .named = true,
  },
  [sym_declMetaClass] = {
    .visible = true,
    .named = true,
  },
  [sym_declClass] = {
    .visible = true,
    .named = true,
  },
  [sym_declIntf] = {
    .visible = true,
    .named = true,
  },
  [sym_declHelper] = {
    .visible = true,
    .named = true,
  },
  [sym_guid] = {
    .visible = true,
    .named = true,
  },
  [sym__declClass] = {
    .visible = false,
    .named = true,
  },
  [sym_declSection] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__declFields] = {
    .visible = false,
    .named = false,
  },
  [sym_declField] = {
    .visible = true,
    .named = true,
  },
  [sym_declProp] = {
    .visible = true,
    .named = true,
  },
  [sym_declPropArgs] = {
    .visible = true,
    .named = true,
  },
  [sym_declVariant] = {
    .visible = true,
    .named = true,
  },
  [sym_declVariantClause] = {
    .visible = true,
    .named = true,
  },
  [sym_declVariantField] = {
    .visible = true,
    .named = true,
  },
  [sym__declProc] = {
    .visible = false,
    .named = true,
  },
  [sym__declOperator] = {
    .visible = false,
    .named = true,
  },
  [sym_operatorDot] = {
    .visible = true,
    .named = true,
  },
  [sym__operatorName] = {
    .visible = false,
    .named = true,
  },
  [sym_operatorName] = {
    .visible = true,
    .named = true,
  },
  [sym_declArgs] = {
    .visible = true,
    .named = true,
  },
  [sym_declArg] = {
    .visible = true,
    .named = true,
  },
  [sym__procAttribute] = {
    .visible = false,
    .named = true,
  },
  [sym__procAttributeNoExt] = {
    .visible = false,
    .named = true,
  },
  [sym_procAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_rttiAttributes] = {
    .visible = true,
    .named = true,
  },
  [sym_procExternal] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_recInitializer] = {
    .visible = true,
    .named = true,
  },
  [sym_recInitializerField] = {
    .visible = true,
    .named = true,
  },
  [sym_arrInitializer] = {
    .visible = true,
    .named = true,
  },
  [sym_kEndDot] = {
    .visible = true,
    .named = true,
  },
  [sym_kDot] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_moduleName_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exceptionElse_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__exceptionHandlers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_caseLabel_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statementsTr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asmBody_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exprTpl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_legacyFormat_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exprArgs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_typerefArgs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_genericArgs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_genericArg_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literalString_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defProc_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declProcFwd_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declUses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declExports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declTypes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declVars_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declConsts_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declVar_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declLabels_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declExport_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declEnum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declArray_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declClass_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declClass_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declProp_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declProp_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declPropArgs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declVariant_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declVariantClause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declProc_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__procAttribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__procAttributeNoExt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rttiAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rttiAttributes_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recInitializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arrInitializer_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field__dummy = 1,
  field_args = 2,
  field_assign = 3,
  field_attribute = 4,
  field_body = 5,
  field_condition = 6,
  field_defaultValue = 7,
  field_dispid = 8,
  field_else = 9,
  field_end = 10,
  field_entity = 11,
  field_except = 12,
  field_exception = 13,
  field_finally = 14,
  field_getter = 15,
  field_guid = 16,
  field_header = 17,
  field_implements = 18,
  field_index = 19,
  field_iterable = 20,
  field_iterator = 21,
  field_label = 22,
  field_lhs = 23,
  field_local = 24,
  field_name = 25,
  field_operand = 26,
  field_operator = 27,
  field_parent = 28,
  field_resultName = 29,
  field_rhs = 30,
  field_setter = 31,
  field_start = 32,
  field_stored = 33,
  field_then = 34,
  field_try = 35,
  field_type = 36,
  field_value = 37,
  field_variable = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field__dummy] = "_dummy",
  [field_args] = "args",
  [field_assign] = "assign",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_defaultValue] = "defaultValue",
  [field_dispid] = "dispid",
  [field_else] = "else",
  [field_end] = "end",
  [field_entity] = "entity",
  [field_except] = "except",
  [field_exception] = "exception",
  [field_finally] = "finally",
  [field_getter] = "getter",
  [field_guid] = "guid",
  [field_header] = "header",
  [field_implements] = "implements",
  [field_index] = "index",
  [field_iterable] = "iterable",
  [field_iterator] = "iterator",
  [field_label] = "label",
  [field_lhs] = "lhs",
  [field_local] = "local",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_parent] = "parent",
  [field_resultName] = "resultName",
  [field_rhs] = "rhs",
  [field_setter] = "setter",
  [field_start] = "start",
  [field_stored] = "stored",
  [field_then] = "then",
  [field_try] = "try",
  [field_type] = "type",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 5},
  [2] = {.index = 5, .length = 6},
  [6] = {.index = 11, .length = 1},
  [7] = {.index = 12, .length = 5},
  [8] = {.index = 17, .length = 6},
  [9] = {.index = 23, .length = 2},
  [10] = {.index = 25, .length = 1},
  [11] = {.index = 25, .length = 1},
  [12] = {.index = 26, .length = 2},
  [13] = {.index = 28, .length = 1},
  [14] = {.index = 29, .length = 1},
  [15] = {.index = 30, .length = 2},
  [16] = {.index = 30, .length = 2},
  [17] = {.index = 32, .length = 1},
  [18] = {.index = 33, .length = 6},
  [19] = {.index = 39, .length = 2},
  [20] = {.index = 39, .length = 2},
  [21] = {.index = 41, .length = 2},
  [22] = {.index = 41, .length = 2},
  [23] = {.index = 43, .length = 3},
  [24] = {.index = 46, .length = 1},
  [25] = {.index = 47, .length = 1},
  [26] = {.index = 48, .length = 1},
  [27] = {.index = 49, .length = 1},
  [28] = {.index = 50, .length = 1},
  [29] = {.index = 51, .length = 1},
  [30] = {.index = 52, .length = 2},
  [31] = {.index = 54, .length = 2},
  [32] = {.index = 56, .length = 1},
  [33] = {.index = 57, .length = 2},
  [34] = {.index = 59, .length = 2},
  [35] = {.index = 61, .length = 2},
  [36] = {.index = 63, .length = 3},
  [37] = {.index = 63, .length = 3},
  [38] = {.index = 66, .length = 6},
  [39] = {.index = 72, .length = 2},
  [40] = {.index = 74, .length = 1},
  [41] = {.index = 75, .length = 2},
  [42] = {.index = 77, .length = 1},
  [43] = {.index = 78, .length = 2},
  [44] = {.index = 78, .length = 2},
  [45] = {.index = 80, .length = 3},
  [46] = {.index = 80, .length = 3},
  [47] = {.index = 83, .length = 2},
  [49] = {.index = 85, .length = 1},
  [50] = {.index = 86, .length = 2},
  [51] = {.index = 88, .length = 2},
  [52] = {.index = 90, .length = 2},
  [53] = {.index = 92, .length = 2},
  [54] = {.index = 94, .length = 2},
  [55] = {.index = 96, .length = 2},
  [56] = {.index = 98, .length = 2},
  [57] = {.index = 100, .length = 1},
  [58] = {.index = 101, .length = 2},
  [59] = {.index = 103, .length = 2},
  [60] = {.index = 105, .length = 1},
  [61] = {.index = 106, .length = 2},
  [62] = {.index = 108, .length = 1},
  [63] = {.index = 109, .length = 3},
  [64] = {.index = 112, .length = 2},
  [65] = {.index = 114, .length = 2},
  [66] = {.index = 116, .length = 1},
  [67] = {.index = 117, .length = 2},
  [68] = {.index = 119, .length = 2},
  [69] = {.index = 121, .length = 2},
  [70] = {.index = 123, .length = 1},
  [71] = {.index = 124, .length = 2},
  [72] = {.index = 126, .length = 3},
  [73] = {.index = 129, .length = 3},
  [74] = {.index = 132, .length = 3},
  [75] = {.index = 135, .length = 2},
  [76] = {.index = 135, .length = 2},
  [77] = {.index = 137, .length = 3},
  [78] = {.index = 137, .length = 3},
  [79] = {.index = 140, .length = 2},
  [80] = {.index = 142, .length = 3},
  [81] = {.index = 142, .length = 3},
  [82] = {.index = 145, .length = 3},
  [84] = {.index = 148, .length = 2},
  [85] = {.index = 150, .length = 2},
  [86] = {.index = 152, .length = 2},
  [87] = {.index = 154, .length = 3},
  [88] = {.index = 157, .length = 3},
  [89] = {.index = 160, .length = 2},
  [90] = {.index = 162, .length = 3},
  [91] = {.index = 165, .length = 2},
  [92] = {.index = 167, .length = 1},
  [93] = {.index = 168, .length = 3},
  [94] = {.index = 171, .length = 3},
  [95] = {.index = 174, .length = 3},
  [96] = {.index = 177, .length = 3},
  [97] = {.index = 180, .length = 3},
  [98] = {.index = 183, .length = 3},
  [99] = {.index = 186, .length = 2},
  [100] = {.index = 188, .length = 3},
  [101] = {.index = 191, .length = 1},
  [102] = {.index = 192, .length = 2},
  [103] = {.index = 194, .length = 3},
  [104] = {.index = 197, .length = 3},
  [105] = {.index = 200, .length = 3},
  [106] = {.index = 203, .length = 2},
  [107] = {.index = 205, .length = 2},
  [108] = {.index = 207, .length = 2},
  [109] = {.index = 209, .length = 3},
  [110] = {.index = 212, .length = 3},
  [111] = {.index = 215, .length = 3},
  [112] = {.index = 218, .length = 4},
  [113] = {.index = 222, .length = 3},
  [114] = {.index = 225, .length = 4},
  [115] = {.index = 229, .length = 4},
  [116] = {.index = 225, .length = 4},
  [117] = {.index = 233, .length = 3},
  [118] = {.index = 233, .length = 3},
  [119] = {.index = 236, .length = 1},
  [120] = {.index = 237, .length = 4},
  [121] = {.index = 237, .length = 4},
  [122] = {.index = 241, .length = 3},
  [123] = {.index = 244, .length = 3},
  [124] = {.index = 247, .length = 3},
  [125] = {.index = 250, .length = 2},
  [126] = {.index = 252, .length = 2},
  [127] = {.index = 254, .length = 1},
  [128] = {.index = 255, .length = 4},
  [129] = {.index = 259, .length = 3},
  [130] = {.index = 262, .length = 3},
  [131] = {.index = 265, .length = 4},
  [132] = {.index = 269, .length = 4},
  [133] = {.index = 273, .length = 2},
  [134] = {.index = 275, .length = 3},
  [135] = {.index = 278, .length = 4},
  [136] = {.index = 282, .length = 4},
  [137] = {.index = 286, .length = 3},
  [138] = {.index = 289, .length = 3},
  [139] = {.index = 292, .length = 4},
  [140] = {.index = 296, .length = 2},
  [141] = {.index = 298, .length = 3},
  [142] = {.index = 301, .length = 3},
  [143] = {.index = 304, .length = 3},
  [144] = {.index = 307, .length = 4},
  [145] = {.index = 311, .length = 3},
  [146] = {.index = 314, .length = 2},
  [147] = {.index = 316, .length = 3},
  [148] = {.index = 319, .length = 3},
  [149] = {.index = 322, .length = 3},
  [150] = {.index = 325, .length = 4},
  [151] = {.index = 329, .length = 4},
  [152] = {.index = 333, .length = 4},
  [153] = {.index = 337, .length = 4},
  [154] = {.index = 341, .length = 4},
  [155] = {.index = 345, .length = 4},
  [156] = {.index = 349, .length = 5},
  [157] = {.index = 349, .length = 5},
  [158] = {.index = 354, .length = 2},
  [159] = {.index = 356, .length = 3},
  [160] = {.index = 359, .length = 1},
  [161] = {.index = 360, .length = 3},
  [162] = {.index = 363, .length = 4},
  [163] = {.index = 367, .length = 4},
  [164] = {.index = 371, .length = 4},
  [165] = {.index = 375, .length = 5},
  [166] = {.index = 380, .length = 4},
  [167] = {.index = 384, .length = 5},
  [168] = {.index = 389, .length = 4},
  [169] = {.index = 393, .length = 4},
  [170] = {.index = 397, .length = 1},
  [171] = {.index = 398, .length = 3},
  [172] = {.index = 401, .length = 3},
  [173] = {.index = 404, .length = 2},
  [174] = {.index = 406, .length = 3},
  [175] = {.index = 409, .length = 4},
  [176] = {.index = 413, .length = 4},
  [177] = {.index = 417, .length = 4},
  [178] = {.index = 421, .length = 4},
  [179] = {.index = 425, .length = 4},
  [180] = {.index = 429, .length = 4},
  [181] = {.index = 433, .length = 3},
  [182] = {.index = 436, .length = 3},
  [183] = {.index = 439, .length = 3},
  [184] = {.index = 442, .length = 4},
  [185] = {.index = 446, .length = 5},
  [186] = {.index = 451, .length = 5},
  [187] = {.index = 456, .length = 5},
  [188] = {.index = 461, .length = 5},
  [189] = {.index = 466, .length = 4},
  [190] = {.index = 470, .length = 2},
  [191] = {.index = 472, .length = 3},
  [192] = {.index = 475, .length = 5},
  [193] = {.index = 480, .length = 4},
  [194] = {.index = 484, .length = 5},
  [195] = {.index = 489, .length = 4},
  [196] = {.index = 493, .length = 2},
  [197] = {.index = 495, .length = 4},
  [198] = {.index = 499, .length = 3},
  [199] = {.index = 502, .length = 4},
  [200] = {.index = 506, .length = 5},
  [201] = {.index = 511, .length = 5},
  [202] = {.index = 516, .length = 5},
  [203] = {.index = 521, .length = 5},
  [204] = {.index = 526, .length = 4},
  [205] = {.index = 530, .length = 4},
  [206] = {.index = 534, .length = 4},
  [207] = {.index = 538, .length = 6},
  [208] = {.index = 544, .length = 1},
  [209] = {.index = 545, .length = 1},
  [210] = {.index = 546, .length = 1},
  [211] = {.index = 547, .length = 1},
  [212] = {.index = 548, .length = 1},
  [213] = {.index = 549, .length = 1},
  [214] = {.index = 550, .length = 1},
  [215] = {.index = 551, .length = 9},
  [216] = {.index = 560, .length = 14},
  [217] = {.index = 574, .length = 4},
  [218] = {.index = 578, .length = 3},
  [219] = {.index = 581, .length = 3},
  [220] = {.index = 584, .length = 5},
  [221] = {.index = 589, .length = 4},
  [222] = {.index = 593, .length = 2},
  [223] = {.index = 595, .length = 6},
  [224] = {.index = 601, .length = 5},
  [225] = {.index = 606, .length = 2},
  [226] = {.index = 608, .length = 10},
  [227] = {.index = 618, .length = 10},
  [228] = {.index = 628, .length = 9},
  [229] = {.index = 637, .length = 4},
  [230] = {.index = 641, .length = 3},
  [231] = {.index = 644, .length = 11},
  [232] = {.index = 655, .length = 10},
  [233] = {.index = 665, .length = 10},
  [234] = {.index = 675, .length = 9},
  [235] = {.index = 684, .length = 4},
  [236] = {.index = 688, .length = 11},
  [237] = {.index = 699, .length = 10},
  [238] = {.index = 709, .length = 10},
  [239] = {.index = 719, .length = 11},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_args, 0, .inherited = true},
    {field_assign, 0, .inherited = true},
    {field_attribute, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [5] =
    {field_args, 0, .inherited = true},
    {field_assign, 0, .inherited = true},
    {field_attribute, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_resultName, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [11] =
    {field_name, 0},
  [12] =
    {field_args, 1, .inherited = true},
    {field_assign, 1, .inherited = true},
    {field_attribute, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [17] =
    {field_args, 1, .inherited = true},
    {field_assign, 1, .inherited = true},
    {field_attribute, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_resultName, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [23] =
    {field_operand, 1},
    {field_operator, 0},
  [25] =
    {field_body, 1},
  [26] =
    {field_operand, 0},
    {field_operator, 1},
  [28] =
    {field_exception, 1},
  [29] =
    {field_name, 1},
  [30] =
    {field_body, 1},
    {field_header, 0},
  [32] =
    {field_attribute, 0, .inherited = true},
  [33] =
    {field_args, 0, .inherited = true},
    {field_assign, 0, .inherited = true},
    {field_attribute, 0, .inherited = true},
    {field_attribute, 2, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [39] =
    {field_body, 2},
    {field_local, 1},
  [41] =
    {field_args, 1},
    {field_body, 2},
  [43] =
    {field_lhs, 0},
    {field_operator, 1},
    {field_rhs, 2},
  [46] =
    {field_entity, 0},
  [47] =
    {field_condition, 1},
  [48] =
    {field_condition, 2},
  [49] =
    {field_except, 1},
  [50] =
    {field_finally, 1},
  [51] =
    {field_entity, 1},
  [52] =
    {field_entity, 0, .inherited = true},
    {field_entity, 1, .inherited = true},
  [54] =
    {field_defaultValue, 1},
    {field_name, 0},
  [56] =
    {field_name, 2},
  [57] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
  [59] =
    {field_assign, 2},
    {field_name, 1},
  [61] =
    {field_args, 2},
    {field_name, 1},
  [63] =
    {field_body, 2},
    {field_header, 0},
    {field_local, 1},
  [66] =
    {field_args, 0, .inherited = true},
    {field_assign, 0, .inherited = true},
    {field_attribute, 0, .inherited = true},
    {field_attribute, 3, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [72] =
    {field_dispid, 0},
    {field_dispid, 1},
  [74] =
    {field_attribute, 0},
  [75] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [77] =
    {field__dummy, 0},
  [78] =
    {field_body, 3},
    {field_type, 2},
  [80] =
    {field_args, 1},
    {field_body, 3},
    {field_local, 2},
  [83] =
    {field_args, 2},
    {field_entity, 0},
  [85] =
    {field_type, 3},
  [86] =
    {field_condition, 1},
    {field_then, 3},
  [88] =
    {field_body, 3},
    {field_condition, 1},
  [90] =
    {field_body, 1},
    {field_condition, 3},
  [92] =
    {field_except, 1},
    {field_except, 2},
  [94] =
    {field_finally, 1},
    {field_finally, 2},
  [96] =
    {field_except, 2},
    {field_try, 1},
  [98] =
    {field_finally, 2},
    {field_try, 1},
  [100] =
    {field_label, 0},
  [101] =
    {field_body, 3},
    {field_entity, 1},
  [103] =
    {field_entity, 1, .inherited = true},
    {field_entity, 2},
  [105] =
    {field_args, 1},
  [106] =
    {field_name, 0},
    {field_type, 2},
  [108] =
    {field_value, 0},
  [109] =
    {field_attribute, 3, .inherited = true},
    {field_defaultValue, 1},
    {field_name, 0},
  [112] =
    {field_defaultValue, 2},
    {field_name, 1},
  [114] =
    {field_name, 0},
    {field_name, 1},
  [116] =
    {field_guid, 1},
  [117] =
    {field_attribute, 4, .inherited = true},
    {field_name, 2},
  [119] =
    {field_assign, 3},
    {field_name, 2},
  [121] =
    {field_args, 3},
    {field_name, 2},
  [123] =
    {field_name, 3},
  [124] =
    {field_name, 1},
    {field_type, 3},
  [126] =
    {field_assign, 2},
    {field_attribute, 4, .inherited = true},
    {field_name, 1},
  [129] =
    {field_args, 2},
    {field_attribute, 4, .inherited = true},
    {field_name, 1},
  [132] =
    {field_args, 2},
    {field_assign, 3},
    {field_name, 1},
  [135] =
    {field_body, 2},
    {field_header, 0},
  [137] =
    {field_body, 4},
    {field_local, 3},
    {field_type, 2},
  [140] =
    {field_name, 1},
    {field_name, 2},
  [142] =
    {field_args, 1},
    {field_body, 4},
    {field_type, 3},
  [145] =
    {field_args, 2},
    {field_args, 3},
    {field_entity, 0},
  [148] =
    {field_end, 3},
    {field_start, 1},
  [150] =
    {field_iterable, 3},
    {field_iterator, 1},
  [152] =
    {field_condition, 1},
    {field_else, 4},
  [154] =
    {field_except, 2},
    {field_except, 3},
    {field_try, 1},
  [157] =
    {field_finally, 2},
    {field_finally, 3},
    {field_try, 1},
  [160] =
    {field_body, 1},
    {field_label, 0},
  [162] =
    {field_body, 4},
    {field_entity, 1, .inherited = true},
    {field_entity, 2},
  [165] =
    {field_name, 0},
    {field_value, 1},
  [167] =
    {field_type, 2},
  [168] =
    {field_attribute, 4, .inherited = true},
    {field_name, 0},
    {field_type, 2},
  [171] =
    {field_defaultValue, 3},
    {field_name, 0},
    {field_type, 2},
  [174] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 3},
  [177] =
    {field_attribute, 4, .inherited = true},
    {field_defaultValue, 2},
    {field_name, 1},
  [180] =
    {field_name, 0},
    {field_type, 1},
    {field_type, 2},
  [183] =
    {field_defaultValue, 2},
    {field_name, 0},
    {field_name, 1},
  [186] =
    {field_parent, 1},
    {field_parent, 2},
  [188] =
    {field_name, 0},
    {field_type, 2},
    {field_type, 3},
  [191] =
    {field_guid, 2},
  [192] =
    {field_name, 2},
    {field_type, 4},
  [194] =
    {field_assign, 3},
    {field_attribute, 5, .inherited = true},
    {field_name, 2},
  [197] =
    {field_args, 3},
    {field_attribute, 5, .inherited = true},
    {field_name, 2},
  [200] =
    {field_args, 3},
    {field_assign, 4},
    {field_name, 2},
  [203] =
    {field_attribute, 5, .inherited = true},
    {field_name, 3},
  [205] =
    {field_assign, 4},
    {field_name, 3},
  [207] =
    {field_args, 4},
    {field_name, 3},
  [209] =
    {field_attribute, 5, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [212] =
    {field_assign, 4},
    {field_name, 1},
    {field_type, 3},
  [215] =
    {field_args, 2},
    {field_name, 1},
    {field_type, 4},
  [218] =
    {field_args, 2},
    {field_assign, 3},
    {field_attribute, 5, .inherited = true},
    {field_name, 1},
  [222] =
    {field_name, 1},
    {field_resultName, 2},
    {field_type, 4},
  [225] =
    {field_body, 2},
    {field_body, 4, .inherited = true},
    {field_header, 0},
    {field_local, 4, .inherited = true},
  [229] =
    {field_body, 0, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_local, 0, .inherited = true},
    {field_local, 1, .inherited = true},
  [233] =
    {field_body, 3},
    {field_header, 0},
    {field_local, 2},
  [236] =
    {field_attribute, 1},
  [237] =
    {field_args, 1},
    {field_body, 5},
    {field_local, 4},
    {field_type, 3},
  [241] =
    {field_body, 5},
    {field_end, 3},
    {field_start, 1},
  [244] =
    {field_body, 5},
    {field_iterable, 3},
    {field_iterator, 1},
  [247] =
    {field_condition, 1},
    {field_else, 5},
    {field_then, 3},
  [250] =
    {field_body, 3},
    {field_exception, 1},
  [252] =
    {field_args, 1},
    {field_type, 3},
  [254] =
    {field_args, 3},
  [255] =
    {field_attribute, 5, .inherited = true},
    {field_defaultValue, 3},
    {field_name, 0},
    {field_type, 2},
  [259] =
    {field_defaultValue, 4},
    {field_name, 1},
    {field_type, 3},
  [262] =
    {field_name, 1},
    {field_name, 2},
    {field_type, 4},
  [265] =
    {field_attribute, 5, .inherited = true},
    {field_name, 0},
    {field_name, 1},
    {field_type, 3},
  [269] =
    {field_defaultValue, 4},
    {field_name, 0},
    {field_name, 1},
    {field_type, 3},
  [273] =
    {field_name, 0},
    {field_value, 2},
  [275] =
    {field_name, 1},
    {field_type, 3},
    {field_type, 4},
  [278] =
    {field_defaultValue, 3},
    {field_name, 0},
    {field_type, 1},
    {field_type, 2},
  [282] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_type, 3},
  [286] =
    {field_guid, 3},
    {field_parent, 1},
    {field_parent, 2},
  [289] =
    {field_parent, 1},
    {field_parent, 2},
    {field_parent, 3},
  [292] =
    {field_attribute, 5, .inherited = true},
    {field_name, 0},
    {field_type, 2},
    {field_type, 3},
  [296] =
    {field_parent, 2},
    {field_parent, 3},
  [298] =
    {field_attribute, 6, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [301] =
    {field_assign, 5},
    {field_name, 2},
    {field_type, 4},
  [304] =
    {field_args, 3},
    {field_name, 2},
    {field_type, 5},
  [307] =
    {field_args, 3},
    {field_assign, 4},
    {field_attribute, 6, .inherited = true},
    {field_name, 2},
  [311] =
    {field_name, 2},
    {field_resultName, 3},
    {field_type, 5},
  [314] =
    {field_name, 3},
    {field_type, 5},
  [316] =
    {field_assign, 4},
    {field_attribute, 6, .inherited = true},
    {field_name, 3},
  [319] =
    {field_args, 4},
    {field_attribute, 6, .inherited = true},
    {field_name, 3},
  [322] =
    {field_args, 4},
    {field_assign, 5},
    {field_name, 3},
  [325] =
    {field_assign, 4},
    {field_attribute, 6, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [329] =
    {field_args, 2},
    {field_attribute, 6, .inherited = true},
    {field_name, 1},
    {field_type, 4},
  [333] =
    {field_args, 2},
    {field_assign, 5},
    {field_name, 1},
    {field_type, 4},
  [337] =
    {field_attribute, 6, .inherited = true},
    {field_name, 1},
    {field_resultName, 2},
    {field_type, 4},
  [341] =
    {field_assign, 5},
    {field_name, 1},
    {field_resultName, 2},
    {field_type, 4},
  [345] =
    {field_args, 2},
    {field_name, 1},
    {field_resultName, 3},
    {field_type, 5},
  [349] =
    {field_body, 3},
    {field_body, 5, .inherited = true},
    {field_header, 0},
    {field_local, 2},
    {field_local, 5, .inherited = true},
  [354] =
    {field_attribute, 1, .inherited = true},
    {field_attribute, 2},
  [356] =
    {field_exception, 3},
    {field_variable, 1},
    {field_variable, 2},
  [359] =
    {field_type, 4},
  [360] =
    {field_attribute, 6, .inherited = true},
    {field_name, 0},
    {field_type, 2},
  [363] =
    {field_attribute, 6, .inherited = true},
    {field_defaultValue, 4},
    {field_name, 1},
    {field_type, 3},
  [367] =
    {field_attribute, 6, .inherited = true},
    {field_name, 1},
    {field_name, 2},
    {field_type, 4},
  [371] =
    {field_defaultValue, 5},
    {field_name, 1},
    {field_name, 2},
    {field_type, 4},
  [375] =
    {field_attribute, 6, .inherited = true},
    {field_defaultValue, 4},
    {field_name, 0},
    {field_name, 1},
    {field_type, 3},
  [380] =
    {field_attribute, 6, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_type, 4},
  [384] =
    {field_defaultValue, 4},
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_type, 3},
  [389] =
    {field_guid, 4},
    {field_parent, 1},
    {field_parent, 2},
    {field_parent, 3},
  [393] =
    {field_parent, 1},
    {field_parent, 2},
    {field_parent, 3},
    {field_parent, 4},
  [397] =
    {field_type, 1},
  [398] =
    {field_parent, 2},
    {field_parent, 3},
    {field_parent, 4},
  [401] =
    {field_guid, 4},
    {field_parent, 2},
    {field_parent, 3},
  [404] =
    {field_parent, 3},
    {field_parent, 4},
  [406] =
    {field_name, 2},
    {field_type, 4},
    {field_type, 5},
  [409] =
    {field_assign, 5},
    {field_attribute, 7, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [413] =
    {field_args, 3},
    {field_attribute, 7, .inherited = true},
    {field_name, 2},
    {field_type, 5},
  [417] =
    {field_args, 3},
    {field_assign, 6},
    {field_name, 2},
    {field_type, 5},
  [421] =
    {field_attribute, 7, .inherited = true},
    {field_name, 2},
    {field_resultName, 3},
    {field_type, 5},
  [425] =
    {field_assign, 6},
    {field_name, 2},
    {field_resultName, 3},
    {field_type, 5},
  [429] =
    {field_args, 3},
    {field_name, 2},
    {field_resultName, 4},
    {field_type, 6},
  [433] =
    {field_attribute, 7, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [436] =
    {field_assign, 6},
    {field_name, 3},
    {field_type, 5},
  [439] =
    {field_args, 4},
    {field_name, 3},
    {field_type, 6},
  [442] =
    {field_args, 4},
    {field_assign, 5},
    {field_attribute, 7, .inherited = true},
    {field_name, 3},
  [446] =
    {field_args, 2},
    {field_assign, 5},
    {field_attribute, 7, .inherited = true},
    {field_name, 1},
    {field_type, 4},
  [451] =
    {field_assign, 5},
    {field_attribute, 7, .inherited = true},
    {field_name, 1},
    {field_resultName, 2},
    {field_type, 4},
  [456] =
    {field_args, 2},
    {field_attribute, 7, .inherited = true},
    {field_name, 1},
    {field_resultName, 3},
    {field_type, 5},
  [461] =
    {field_args, 2},
    {field_assign, 6},
    {field_name, 1},
    {field_resultName, 3},
    {field_type, 5},
  [466] =
    {field_body, 5},
    {field_exception, 3},
    {field_variable, 1},
    {field_variable, 2},
  [470] =
    {field_args, 3},
    {field_type, 5},
  [472] =
    {field_attribute, 7, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [475] =
    {field_attribute, 7, .inherited = true},
    {field_defaultValue, 5},
    {field_name, 1},
    {field_name, 2},
    {field_type, 4},
  [480] =
    {field_attribute, 7, .inherited = true},
    {field_name, 0},
    {field_name, 1},
    {field_type, 3},
  [484] =
    {field_guid, 5},
    {field_parent, 1},
    {field_parent, 2},
    {field_parent, 3},
    {field_parent, 4},
  [489] =
    {field_parent, 2},
    {field_parent, 3},
    {field_parent, 4},
    {field_parent, 5},
  [493] =
    {field_parent, 4},
    {field_parent, 5},
  [495] =
    {field_guid, 5},
    {field_parent, 2},
    {field_parent, 3},
    {field_parent, 4},
  [499] =
    {field_parent, 3},
    {field_parent, 4},
    {field_parent, 5},
  [502] =
    {field_attribute, 7, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_type, 5},
  [506] =
    {field_args, 3},
    {field_assign, 6},
    {field_attribute, 8, .inherited = true},
    {field_name, 2},
    {field_type, 5},
  [511] =
    {field_assign, 6},
    {field_attribute, 8, .inherited = true},
    {field_name, 2},
    {field_resultName, 3},
    {field_type, 5},
  [516] =
    {field_args, 3},
    {field_attribute, 8, .inherited = true},
    {field_name, 2},
    {field_resultName, 4},
    {field_type, 6},
  [521] =
    {field_args, 3},
    {field_assign, 7},
    {field_name, 2},
    {field_resultName, 4},
    {field_type, 6},
  [526] =
    {field_assign, 6},
    {field_attribute, 8, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [530] =
    {field_args, 4},
    {field_attribute, 8, .inherited = true},
    {field_name, 3},
    {field_type, 6},
  [534] =
    {field_args, 4},
    {field_assign, 7},
    {field_name, 3},
    {field_type, 6},
  [538] =
    {field_args, 2},
    {field_assign, 6},
    {field_attribute, 8, .inherited = true},
    {field_name, 1},
    {field_resultName, 3},
    {field_type, 5},
  [544] =
    {field_getter, 1},
  [545] =
    {field_setter, 1},
  [546] =
    {field_implements, 1},
  [547] =
    {field_defaultValue, 1},
  [548] =
    {field_stored, 1},
  [549] =
    {field_index, 1},
  [550] =
    {field_dispid, 1},
  [551] =
    {field_defaultValue, 4, .inherited = true},
    {field_dispid, 4, .inherited = true},
    {field_getter, 4, .inherited = true},
    {field_implements, 4, .inherited = true},
    {field_index, 4, .inherited = true},
    {field_name, 1},
    {field_setter, 4, .inherited = true},
    {field_stored, 4, .inherited = true},
    {field_type, 3},
  [560] =
    {field_defaultValue, 0, .inherited = true},
    {field_defaultValue, 1, .inherited = true},
    {field_dispid, 0, .inherited = true},
    {field_dispid, 1, .inherited = true},
    {field_getter, 0, .inherited = true},
    {field_getter, 1, .inherited = true},
    {field_implements, 0, .inherited = true},
    {field_implements, 1, .inherited = true},
    {field_index, 0, .inherited = true},
    {field_index, 1, .inherited = true},
    {field_setter, 0, .inherited = true},
    {field_setter, 1, .inherited = true},
    {field_stored, 0, .inherited = true},
    {field_stored, 1, .inherited = true},
  [574] =
    {field_attribute, 8, .inherited = true},
    {field_name, 1},
    {field_name, 2},
    {field_type, 4},
  [578] =
    {field_name, 1},
    {field_name, 2},
    {field_type, 3},
  [581] =
    {field_parent, 4},
    {field_parent, 5},
    {field_parent, 6},
  [584] =
    {field_guid, 6},
    {field_parent, 2},
    {field_parent, 3},
    {field_parent, 4},
    {field_parent, 5},
  [589] =
    {field_parent, 3},
    {field_parent, 4},
    {field_parent, 5},
    {field_parent, 6},
  [593] =
    {field_parent, 5},
    {field_parent, 6},
  [595] =
    {field_args, 3},
    {field_assign, 7},
    {field_attribute, 9, .inherited = true},
    {field_name, 2},
    {field_resultName, 4},
    {field_type, 6},
  [601] =
    {field_args, 4},
    {field_assign, 7},
    {field_attribute, 9, .inherited = true},
    {field_name, 3},
    {field_type, 6},
  [606] =
    {field_implements, 1},
    {field_implements, 2},
  [608] =
    {field_attribute, 6, .inherited = true},
    {field_defaultValue, 4, .inherited = true},
    {field_dispid, 4, .inherited = true},
    {field_getter, 4, .inherited = true},
    {field_implements, 4, .inherited = true},
    {field_index, 4, .inherited = true},
    {field_name, 1},
    {field_setter, 4, .inherited = true},
    {field_stored, 4, .inherited = true},
    {field_type, 3},
  [618] =
    {field_args, 2},
    {field_defaultValue, 5, .inherited = true},
    {field_dispid, 5, .inherited = true},
    {field_getter, 5, .inherited = true},
    {field_implements, 5, .inherited = true},
    {field_index, 5, .inherited = true},
    {field_name, 1},
    {field_setter, 5, .inherited = true},
    {field_stored, 5, .inherited = true},
    {field_type, 4},
  [628] =
    {field_defaultValue, 5, .inherited = true},
    {field_dispid, 5, .inherited = true},
    {field_getter, 5, .inherited = true},
    {field_implements, 5, .inherited = true},
    {field_index, 5, .inherited = true},
    {field_name, 2},
    {field_setter, 5, .inherited = true},
    {field_stored, 5, .inherited = true},
    {field_type, 4},
  [637] =
    {field_parent, 4},
    {field_parent, 5},
    {field_parent, 6},
    {field_parent, 7},
  [641] =
    {field_parent, 5},
    {field_parent, 6},
    {field_parent, 7},
  [644] =
    {field_args, 2},
    {field_attribute, 7, .inherited = true},
    {field_defaultValue, 5, .inherited = true},
    {field_dispid, 5, .inherited = true},
    {field_getter, 5, .inherited = true},
    {field_implements, 5, .inherited = true},
    {field_index, 5, .inherited = true},
    {field_name, 1},
    {field_setter, 5, .inherited = true},
    {field_stored, 5, .inherited = true},
    {field_type, 4},
  [655] =
    {field_attribute, 7, .inherited = true},
    {field_defaultValue, 5, .inherited = true},
    {field_dispid, 5, .inherited = true},
    {field_getter, 5, .inherited = true},
    {field_implements, 5, .inherited = true},
    {field_index, 5, .inherited = true},
    {field_name, 2},
    {field_setter, 5, .inherited = true},
    {field_stored, 5, .inherited = true},
    {field_type, 4},
  [665] =
    {field_args, 3},
    {field_defaultValue, 6, .inherited = true},
    {field_dispid, 6, .inherited = true},
    {field_getter, 6, .inherited = true},
    {field_implements, 6, .inherited = true},
    {field_index, 6, .inherited = true},
    {field_name, 2},
    {field_setter, 6, .inherited = true},
    {field_stored, 6, .inherited = true},
    {field_type, 5},
  [675] =
    {field_defaultValue, 6, .inherited = true},
    {field_dispid, 6, .inherited = true},
    {field_getter, 6, .inherited = true},
    {field_implements, 6, .inherited = true},
    {field_index, 6, .inherited = true},
    {field_name, 3},
    {field_setter, 6, .inherited = true},
    {field_stored, 6, .inherited = true},
    {field_type, 5},
  [684] =
    {field_parent, 5},
    {field_parent, 6},
    {field_parent, 7},
    {field_parent, 8},
  [688] =
    {field_args, 3},
    {field_attribute, 8, .inherited = true},
    {field_defaultValue, 6, .inherited = true},
    {field_dispid, 6, .inherited = true},
    {field_getter, 6, .inherited = true},
    {field_implements, 6, .inherited = true},
    {field_index, 6, .inherited = true},
    {field_name, 2},
    {field_setter, 6, .inherited = true},
    {field_stored, 6, .inherited = true},
    {field_type, 5},
  [699] =
    {field_attribute, 8, .inherited = true},
    {field_defaultValue, 6, .inherited = true},
    {field_dispid, 6, .inherited = true},
    {field_getter, 6, .inherited = true},
    {field_implements, 6, .inherited = true},
    {field_index, 6, .inherited = true},
    {field_name, 3},
    {field_setter, 6, .inherited = true},
    {field_stored, 6, .inherited = true},
    {field_type, 5},
  [709] =
    {field_args, 4},
    {field_defaultValue, 7, .inherited = true},
    {field_dispid, 7, .inherited = true},
    {field_getter, 7, .inherited = true},
    {field_implements, 7, .inherited = true},
    {field_index, 7, .inherited = true},
    {field_name, 3},
    {field_setter, 7, .inherited = true},
    {field_stored, 7, .inherited = true},
    {field_type, 6},
  [719] =
    {field_args, 4},
    {field_attribute, 9, .inherited = true},
    {field_defaultValue, 7, .inherited = true},
    {field_dispid, 7, .inherited = true},
    {field_getter, 7, .inherited = true},
    {field_implements, 7, .inherited = true},
    {field_index, 7, .inherited = true},
    {field_name, 3},
    {field_setter, 7, .inherited = true},
    {field_stored, 7, .inherited = true},
    {field_type, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = sym_if,
  },
  [5] = {
    [0] = sym_block,
  },
  [10] = {
    [1] = sym_block,
  },
  [15] = {
    [1] = sym_block,
  },
  [19] = {
    [2] = sym_block,
  },
  [21] = {
    [2] = sym_block,
  },
  [36] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [45] = {
    [3] = sym_block,
  },
  [48] = {
    [3] = sym_block,
  },
  [75] = {
    [2] = sym_block,
  },
  [77] = {
    [4] = sym_block,
  },
  [80] = {
    [4] = sym_block,
  },
  [83] = {
    [4] = sym_block,
  },
  [114] = {
    [2] = sym_block,
  },
  [117] = {
    [3] = sym_block,
  },
  [120] = {
    [5] = sym_block,
  },
  [156] = {
    [3] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_if, 2,
    sym_if,
    sym_if,
  sym_blockTr, 2,
    sym_blockTr,
    sym_block,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 10,
  [25] = 25,
  [26] = 9,
  [27] = 27,
  [28] = 28,
  [29] = 8,
  [30] = 15,
  [31] = 14,
  [32] = 13,
  [33] = 33,
  [34] = 33,
  [35] = 35,
  [36] = 12,
  [37] = 11,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 39,
  [42] = 42,
  [43] = 39,
  [44] = 39,
  [45] = 45,
  [46] = 39,
  [47] = 47,
  [48] = 39,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 54,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 60,
  [62] = 60,
  [63] = 59,
  [64] = 60,
  [65] = 60,
  [66] = 59,
  [67] = 60,
  [68] = 60,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 60,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 59,
  [117] = 59,
  [118] = 118,
  [119] = 119,
  [120] = 60,
  [121] = 121,
  [122] = 60,
  [123] = 60,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 87,
  [128] = 76,
  [129] = 77,
  [130] = 130,
  [131] = 78,
  [132] = 79,
  [133] = 80,
  [134] = 134,
  [135] = 86,
  [136] = 81,
  [137] = 137,
  [138] = 70,
  [139] = 139,
  [140] = 91,
  [141] = 84,
  [142] = 142,
  [143] = 82,
  [144] = 93,
  [145] = 75,
  [146] = 74,
  [147] = 92,
  [148] = 71,
  [149] = 83,
  [150] = 69,
  [151] = 90,
  [152] = 152,
  [153] = 89,
  [154] = 73,
  [155] = 72,
  [156] = 156,
  [157] = 88,
  [158] = 85,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 96,
  [227] = 227,
  [228] = 106,
  [229] = 99,
  [230] = 112,
  [231] = 97,
  [232] = 102,
  [233] = 119,
  [234] = 234,
  [235] = 115,
  [236] = 107,
  [237] = 94,
  [238] = 103,
  [239] = 95,
  [240] = 121,
  [241] = 125,
  [242] = 98,
  [243] = 126,
  [244] = 244,
  [245] = 104,
  [246] = 118,
  [247] = 114,
  [248] = 113,
  [249] = 109,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 198,
  [255] = 172,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 222,
  [263] = 221,
  [264] = 219,
  [265] = 213,
  [266] = 256,
  [267] = 253,
  [268] = 268,
  [269] = 251,
  [270] = 270,
  [271] = 261,
  [272] = 210,
  [273] = 273,
  [274] = 159,
  [275] = 207,
  [276] = 260,
  [277] = 259,
  [278] = 278,
  [279] = 258,
  [280] = 280,
  [281] = 206,
  [282] = 282,
  [283] = 278,
  [284] = 270,
  [285] = 197,
  [286] = 286,
  [287] = 287,
  [288] = 250,
  [289] = 196,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 280,
  [294] = 202,
  [295] = 295,
  [296] = 194,
  [297] = 297,
  [298] = 199,
  [299] = 188,
  [300] = 300,
  [301] = 301,
  [302] = 182,
  [303] = 179,
  [304] = 304,
  [305] = 178,
  [306] = 306,
  [307] = 307,
  [308] = 175,
  [309] = 193,
  [310] = 310,
  [311] = 295,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 216,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 165,
  [322] = 322,
  [323] = 300,
  [324] = 307,
  [325] = 325,
  [326] = 273,
  [327] = 252,
  [328] = 268,
  [329] = 177,
  [330] = 220,
  [331] = 331,
  [332] = 332,
  [333] = 325,
  [334] = 170,
  [335] = 208,
  [336] = 286,
  [337] = 337,
  [338] = 338,
  [339] = 292,
  [340] = 181,
  [341] = 185,
  [342] = 186,
  [343] = 343,
  [344] = 191,
  [345] = 345,
  [346] = 318,
  [347] = 338,
  [348] = 337,
  [349] = 332,
  [350] = 331,
  [351] = 319,
  [352] = 297,
  [353] = 345,
  [354] = 317,
  [355] = 164,
  [356] = 356,
  [357] = 301,
  [358] = 343,
  [359] = 359,
  [360] = 360,
  [361] = 200,
  [362] = 362,
  [363] = 224,
  [364] = 304,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 306,
  [370] = 310,
  [371] = 291,
  [372] = 290,
  [373] = 225,
  [374] = 374,
  [375] = 205,
  [376] = 257,
  [377] = 168,
  [378] = 282,
  [379] = 379,
  [380] = 374,
  [381] = 381,
  [382] = 368,
  [383] = 356,
  [384] = 381,
  [385] = 379,
  [386] = 223,
  [387] = 287,
  [388] = 167,
  [389] = 217,
  [390] = 209,
  [391] = 215,
  [392] = 161,
  [393] = 214,
  [394] = 160,
  [395] = 367,
  [396] = 366,
  [397] = 365,
  [398] = 362,
  [399] = 360,
  [400] = 359,
  [401] = 192,
  [402] = 320,
  [403] = 184,
  [404] = 183,
  [405] = 174,
  [406] = 322,
  [407] = 316,
  [408] = 314,
  [409] = 313,
  [410] = 312,
  [411] = 164,
  [412] = 178,
  [413] = 191,
  [414] = 101,
  [415] = 213,
  [416] = 416,
  [417] = 223,
  [418] = 219,
  [419] = 111,
  [420] = 210,
  [421] = 200,
  [422] = 422,
  [423] = 221,
  [424] = 222,
  [425] = 159,
  [426] = 207,
  [427] = 206,
  [428] = 110,
  [429] = 209,
  [430] = 192,
  [431] = 212,
  [432] = 184,
  [433] = 224,
  [434] = 177,
  [435] = 225,
  [436] = 202,
  [437] = 205,
  [438] = 183,
  [439] = 167,
  [440] = 168,
  [441] = 199,
  [442] = 172,
  [443] = 198,
  [444] = 181,
  [445] = 197,
  [446] = 185,
  [447] = 196,
  [448] = 217,
  [449] = 194,
  [450] = 215,
  [451] = 193,
  [452] = 216,
  [453] = 188,
  [454] = 211,
  [455] = 214,
  [456] = 182,
  [457] = 179,
  [458] = 160,
  [459] = 161,
  [460] = 175,
  [461] = 165,
  [462] = 462,
  [463] = 186,
  [464] = 171,
  [465] = 100,
  [466] = 163,
  [467] = 467,
  [468] = 174,
  [469] = 180,
  [470] = 166,
  [471] = 124,
  [472] = 472,
  [473] = 220,
  [474] = 170,
  [475] = 208,
  [476] = 476,
  [477] = 244,
  [478] = 258,
  [479] = 259,
  [480] = 319,
  [481] = 252,
  [482] = 356,
  [483] = 368,
  [484] = 422,
  [485] = 472,
  [486] = 367,
  [487] = 260,
  [488] = 316,
  [489] = 314,
  [490] = 366,
  [491] = 313,
  [492] = 312,
  [493] = 300,
  [494] = 295,
  [495] = 307,
  [496] = 318,
  [497] = 250,
  [498] = 325,
  [499] = 317,
  [500] = 261,
  [501] = 359,
  [502] = 360,
  [503] = 379,
  [504] = 362,
  [505] = 270,
  [506] = 251,
  [507] = 253,
  [508] = 508,
  [509] = 256,
  [510] = 286,
  [511] = 467,
  [512] = 416,
  [513] = 462,
  [514] = 365,
  [515] = 374,
  [516] = 516,
  [517] = 517,
  [518] = 472,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 416,
  [528] = 467,
  [529] = 462,
  [530] = 530,
  [531] = 531,
  [532] = 422,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 508,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 60,
  [547] = 60,
  [548] = 59,
  [549] = 59,
  [550] = 60,
  [551] = 60,
  [552] = 552,
  [553] = 553,
  [554] = 60,
  [555] = 60,
  [556] = 59,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 563,
  [569] = 567,
  [570] = 176,
  [571] = 561,
  [572] = 565,
  [573] = 560,
  [574] = 564,
  [575] = 562,
  [576] = 560,
  [577] = 173,
  [578] = 563,
  [579] = 566,
  [580] = 567,
  [581] = 173,
  [582] = 566,
  [583] = 565,
  [584] = 562,
  [585] = 564,
  [586] = 564,
  [587] = 176,
  [588] = 565,
  [589] = 561,
  [590] = 561,
  [591] = 560,
  [592] = 567,
  [593] = 563,
  [594] = 566,
  [595] = 562,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 598,
  [601] = 599,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 603,
  [613] = 613,
  [614] = 606,
  [615] = 604,
  [616] = 616,
  [617] = 617,
  [618] = 605,
  [619] = 619,
  [620] = 617,
  [621] = 617,
  [622] = 622,
  [623] = 227,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 622,
  [628] = 628,
  [629] = 622,
  [630] = 234,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 565,
  [640] = 176,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 567,
  [645] = 597,
  [646] = 560,
  [647] = 599,
  [648] = 648,
  [649] = 173,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 560,
  [654] = 599,
  [655] = 564,
  [656] = 176,
  [657] = 566,
  [658] = 561,
  [659] = 561,
  [660] = 565,
  [661] = 566,
  [662] = 662,
  [663] = 663,
  [664] = 564,
  [665] = 567,
  [666] = 563,
  [667] = 562,
  [668] = 613,
  [669] = 642,
  [670] = 670,
  [671] = 562,
  [672] = 173,
  [673] = 563,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 678,
  [682] = 562,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 560,
  [687] = 561,
  [688] = 679,
  [689] = 675,
  [690] = 679,
  [691] = 675,
  [692] = 692,
  [693] = 677,
  [694] = 694,
  [695] = 564,
  [696] = 176,
  [697] = 680,
  [698] = 679,
  [699] = 565,
  [700] = 675,
  [701] = 563,
  [702] = 702,
  [703] = 566,
  [704] = 679,
  [705] = 675,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 677,
  [710] = 604,
  [711] = 605,
  [712] = 675,
  [713] = 679,
  [714] = 678,
  [715] = 173,
  [716] = 684,
  [717] = 679,
  [718] = 606,
  [719] = 567,
  [720] = 675,
  [721] = 476,
  [722] = 722,
  [723] = 599,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 597,
  [729] = 725,
  [730] = 730,
  [731] = 726,
  [732] = 732,
  [733] = 725,
  [734] = 726,
  [735] = 735,
  [736] = 726,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 732,
  [742] = 725,
  [743] = 725,
  [744] = 744,
  [745] = 745,
  [746] = 519,
  [747] = 747,
  [748] = 748,
  [749] = 613,
  [750] = 725,
  [751] = 726,
  [752] = 752,
  [753] = 753,
  [754] = 732,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 735,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 735,
  [768] = 768,
  [769] = 725,
  [770] = 726,
  [771] = 771,
  [772] = 726,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 605,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 520,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 785,
  [787] = 787,
  [788] = 788,
  [789] = 523,
  [790] = 790,
  [791] = 541,
  [792] = 227,
  [793] = 785,
  [794] = 565,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 524,
  [800] = 800,
  [801] = 801,
  [802] = 606,
  [803] = 803,
  [804] = 522,
  [805] = 563,
  [806] = 516,
  [807] = 534,
  [808] = 808,
  [809] = 508,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 779,
  [814] = 604,
  [815] = 815,
  [816] = 785,
  [817] = 234,
  [818] = 818,
  [819] = 538,
  [820] = 785,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 526,
  [825] = 542,
  [826] = 517,
  [827] = 785,
  [828] = 567,
  [829] = 829,
  [830] = 830,
  [831] = 779,
  [832] = 832,
  [833] = 833,
  [834] = 830,
  [835] = 560,
  [836] = 836,
  [837] = 779,
  [838] = 838,
  [839] = 839,
  [840] = 521,
  [841] = 227,
  [842] = 785,
  [843] = 566,
  [844] = 530,
  [845] = 561,
  [846] = 535,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 234,
  [851] = 785,
  [852] = 539,
  [853] = 525,
  [854] = 779,
  [855] = 855,
  [856] = 536,
  [857] = 544,
  [858] = 537,
  [859] = 859,
  [860] = 564,
  [861] = 861,
  [862] = 822,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 562,
  [867] = 867,
  [868] = 785,
  [869] = 869,
  [870] = 533,
  [871] = 543,
  [872] = 779,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 545,
  [878] = 878,
  [879] = 879,
  [880] = 779,
  [881] = 881,
  [882] = 531,
  [883] = 785,
  [884] = 779,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 889,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 886,
  [897] = 889,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 886,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 901,
  [908] = 900,
  [909] = 901,
  [910] = 899,
  [911] = 898,
  [912] = 894,
  [913] = 913,
  [914] = 900,
  [915] = 915,
  [916] = 899,
  [917] = 917,
  [918] = 918,
  [919] = 898,
  [920] = 920,
  [921] = 921,
  [922] = 893,
  [923] = 894,
  [924] = 924,
  [925] = 889,
  [926] = 892,
  [927] = 927,
  [928] = 889,
  [929] = 929,
  [930] = 924,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 905,
  [935] = 906,
  [936] = 913,
  [937] = 606,
  [938] = 605,
  [939] = 888,
  [940] = 604,
  [941] = 889,
  [942] = 913,
  [943] = 888,
  [944] = 921,
  [945] = 920,
  [946] = 891,
  [947] = 947,
  [948] = 902,
  [949] = 949,
  [950] = 950,
  [951] = 927,
  [952] = 887,
  [953] = 886,
  [954] = 913,
  [955] = 901,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 900,
  [962] = 886,
  [963] = 904,
  [964] = 900,
  [965] = 899,
  [966] = 894,
  [967] = 889,
  [968] = 898,
  [969] = 894,
  [970] = 898,
  [971] = 899,
  [972] = 900,
  [973] = 886,
  [974] = 901,
  [975] = 886,
  [976] = 892,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 913,
  [982] = 888,
  [983] = 899,
  [984] = 900,
  [985] = 918,
  [986] = 986,
  [987] = 888,
  [988] = 899,
  [989] = 894,
  [990] = 898,
  [991] = 888,
  [992] = 899,
  [993] = 900,
  [994] = 901,
  [995] = 995,
  [996] = 886,
  [997] = 997,
  [998] = 886,
  [999] = 913,
  [1000] = 917,
  [1001] = 915,
  [1002] = 901,
  [1003] = 900,
  [1004] = 899,
  [1005] = 898,
  [1006] = 886,
  [1007] = 894,
  [1008] = 1008,
  [1009] = 894,
  [1010] = 898,
  [1011] = 899,
  [1012] = 900,
  [1013] = 901,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 476,
  [1018] = 476,
  [1019] = 641,
  [1020] = 643,
  [1021] = 597,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 599,
  [1026] = 1026,
  [1027] = 1022,
  [1028] = 1028,
  [1029] = 1022,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1022,
  [1033] = 613,
  [1034] = 613,
  [1035] = 519,
  [1036] = 519,
  [1037] = 597,
  [1038] = 643,
  [1039] = 1022,
  [1040] = 599,
  [1041] = 1041,
  [1042] = 1022,
  [1043] = 1024,
  [1044] = 1028,
  [1045] = 1022,
  [1046] = 1022,
  [1047] = 641,
  [1048] = 1026,
  [1049] = 1041,
  [1050] = 536,
  [1051] = 525,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 531,
  [1056] = 538,
  [1057] = 523,
  [1058] = 526,
  [1059] = 531,
  [1060] = 542,
  [1061] = 530,
  [1062] = 539,
  [1063] = 606,
  [1064] = 545,
  [1065] = 543,
  [1066] = 508,
  [1067] = 537,
  [1068] = 524,
  [1069] = 522,
  [1070] = 516,
  [1071] = 1071,
  [1072] = 535,
  [1073] = 606,
  [1074] = 539,
  [1075] = 543,
  [1076] = 535,
  [1077] = 605,
  [1078] = 520,
  [1079] = 516,
  [1080] = 534,
  [1081] = 1081,
  [1082] = 526,
  [1083] = 517,
  [1084] = 537,
  [1085] = 536,
  [1086] = 604,
  [1087] = 542,
  [1088] = 517,
  [1089] = 508,
  [1090] = 523,
  [1091] = 604,
  [1092] = 533,
  [1093] = 605,
  [1094] = 544,
  [1095] = 541,
  [1096] = 533,
  [1097] = 524,
  [1098] = 530,
  [1099] = 522,
  [1100] = 525,
  [1101] = 544,
  [1102] = 534,
  [1103] = 541,
  [1104] = 520,
  [1105] = 545,
  [1106] = 521,
  [1107] = 521,
  [1108] = 1108,
  [1109] = 538,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1110,
  [1114] = 1114,
  [1115] = 1110,
  [1116] = 1116,
  [1117] = 1110,
  [1118] = 1110,
  [1119] = 1110,
  [1120] = 1120,
  [1121] = 1110,
  [1122] = 1023,
  [1123] = 1110,
  [1124] = 1124,
  [1125] = 1124,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1130,
  [1132] = 1128,
  [1133] = 1133,
  [1134] = 1133,
  [1135] = 1124,
  [1136] = 1130,
  [1137] = 1137,
  [1138] = 1126,
  [1139] = 1128,
  [1140] = 1126,
  [1141] = 1129,
  [1142] = 1129,
  [1143] = 1126,
  [1144] = 1128,
  [1145] = 1130,
  [1146] = 1130,
  [1147] = 1128,
  [1148] = 1129,
  [1149] = 1124,
  [1150] = 1129,
  [1151] = 1126,
  [1152] = 1133,
  [1153] = 1114,
  [1154] = 1133,
  [1155] = 1155,
  [1156] = 1129,
  [1157] = 1157,
  [1158] = 1128,
  [1159] = 1133,
  [1160] = 1126,
  [1161] = 1130,
  [1162] = 1162,
  [1163] = 1124,
  [1164] = 1133,
  [1165] = 1124,
  [1166] = 1129,
  [1167] = 1128,
  [1168] = 1133,
  [1169] = 1126,
  [1170] = 1124,
  [1171] = 1130,
  [1172] = 1129,
  [1173] = 1128,
  [1174] = 1126,
  [1175] = 1130,
  [1176] = 1176,
  [1177] = 1133,
  [1178] = 1124,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 227,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 234,
  [1193] = 234,
  [1194] = 227,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 643,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 641,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 227,
  [1206] = 1199,
  [1207] = 1207,
  [1208] = 234,
  [1209] = 641,
  [1210] = 1202,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 643,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1189,
  [1219] = 1219,
  [1220] = 1190,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 476,
  [1233] = 1233,
  [1234] = 476,
  [1235] = 613,
  [1236] = 1214,
  [1237] = 1237,
  [1238] = 1237,
  [1239] = 476,
  [1240] = 1240,
  [1241] = 1212,
  [1242] = 597,
  [1243] = 1213,
  [1244] = 1237,
  [1245] = 1240,
  [1246] = 613,
  [1247] = 1240,
  [1248] = 599,
  [1249] = 1216,
  [1250] = 599,
  [1251] = 1219,
  [1252] = 519,
  [1253] = 519,
  [1254] = 1254,
  [1255] = 597,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 519,
  [1259] = 520,
  [1260] = 522,
  [1261] = 524,
  [1262] = 604,
  [1263] = 541,
  [1264] = 544,
  [1265] = 597,
  [1266] = 599,
  [1267] = 517,
  [1268] = 1268,
  [1269] = 604,
  [1270] = 533,
  [1271] = 534,
  [1272] = 516,
  [1273] = 517,
  [1274] = 605,
  [1275] = 606,
  [1276] = 539,
  [1277] = 530,
  [1278] = 542,
  [1279] = 526,
  [1280] = 523,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 521,
  [1284] = 536,
  [1285] = 1285,
  [1286] = 1256,
  [1287] = 613,
  [1288] = 537,
  [1289] = 531,
  [1290] = 543,
  [1291] = 545,
  [1292] = 545,
  [1293] = 543,
  [1294] = 531,
  [1295] = 538,
  [1296] = 508,
  [1297] = 537,
  [1298] = 525,
  [1299] = 536,
  [1300] = 1228,
  [1301] = 535,
  [1302] = 534,
  [1303] = 530,
  [1304] = 535,
  [1305] = 516,
  [1306] = 1306,
  [1307] = 605,
  [1308] = 523,
  [1309] = 526,
  [1310] = 542,
  [1311] = 538,
  [1312] = 606,
  [1313] = 539,
  [1314] = 533,
  [1315] = 1315,
  [1316] = 1226,
  [1317] = 525,
  [1318] = 1315,
  [1319] = 521,
  [1320] = 524,
  [1321] = 1231,
  [1322] = 520,
  [1323] = 522,
  [1324] = 1324,
  [1325] = 541,
  [1326] = 1223,
  [1327] = 1257,
  [1328] = 1328,
  [1329] = 1230,
  [1330] = 544,
  [1331] = 1331,
  [1332] = 1306,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1334,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1342,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1285,
  [1349] = 1340,
  [1350] = 1350,
  [1351] = 1336,
  [1352] = 1352,
  [1353] = 605,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 516,
  [1362] = 534,
  [1363] = 1338,
  [1364] = 604,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1344,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 606,
  [1378] = 1378,
  [1379] = 1357,
  [1380] = 1346,
  [1381] = 1358,
  [1382] = 535,
  [1383] = 1375,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 530,
  [1387] = 1378,
  [1388] = 1331,
  [1389] = 1341,
  [1390] = 1365,
  [1391] = 1368,
  [1392] = 1372,
  [1393] = 1367,
  [1394] = 1356,
  [1395] = 542,
  [1396] = 1367,
  [1397] = 1359,
  [1398] = 1360,
  [1399] = 1333,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 533,
  [1403] = 1324,
  [1404] = 1404,
  [1405] = 539,
  [1406] = 1406,
  [1407] = 1339,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1335,
  [1411] = 1384,
  [1412] = 1412,
  [1413] = 1345,
  [1414] = 1414,
  [1415] = 1345,
  [1416] = 526,
  [1417] = 523,
  [1418] = 1418,
  [1419] = 1369,
  [1420] = 1420,
  [1421] = 1373,
  [1422] = 1334,
  [1423] = 1365,
  [1424] = 538,
  [1425] = 531,
  [1426] = 1426,
  [1427] = 1385,
  [1428] = 521,
  [1429] = 1368,
  [1430] = 1372,
  [1431] = 1335,
  [1432] = 1358,
  [1433] = 1375,
  [1434] = 545,
  [1435] = 525,
  [1436] = 1268,
  [1437] = 1359,
  [1438] = 543,
  [1439] = 1439,
  [1440] = 508,
  [1441] = 537,
  [1442] = 1414,
  [1443] = 1443,
  [1444] = 1336,
  [1445] = 520,
  [1446] = 522,
  [1447] = 524,
  [1448] = 536,
  [1449] = 541,
  [1450] = 544,
  [1451] = 517,
  [1452] = 1360,
  [1453] = 1369,
  [1454] = 1373,
  [1455] = 1344,
  [1456] = 1384,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1458,
  [1463] = 1460,
  [1464] = 1464,
  [1465] = 1464,
  [1466] = 1466,
  [1467] = 1459,
  [1468] = 1461,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1472,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1475,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1488,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 643,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 641,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1490,
  [1510] = 1488,
  [1511] = 1490,
  [1512] = 1488,
  [1513] = 1513,
  [1514] = 1508,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1499,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1499,
  [1528] = 1508,
  [1529] = 1488,
  [1530] = 1530,
  [1531] = 1488,
  [1532] = 1508,
  [1533] = 1533,
  [1534] = 1502,
  [1535] = 1508,
  [1536] = 1508,
  [1537] = 1502,
  [1538] = 1488,
  [1539] = 1508,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1324,
  [1545] = 1541,
  [1546] = 1281,
  [1547] = 1547,
  [1548] = 1542,
  [1549] = 1282,
  [1550] = 1550,
  [1551] = 1547,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1550,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 604,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1281,
  [1565] = 1565,
  [1566] = 1563,
  [1567] = 1567,
  [1568] = 1563,
  [1569] = 1563,
  [1570] = 1484,
  [1571] = 1558,
  [1572] = 1560,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1567,
  [1578] = 1560,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1560,
  [1583] = 1573,
  [1584] = 1584,
  [1585] = 604,
  [1586] = 1586,
  [1587] = 1560,
  [1588] = 1588,
  [1589] = 604,
  [1590] = 1563,
  [1591] = 1560,
  [1592] = 1560,
  [1593] = 1563,
  [1594] = 1594,
  [1595] = 604,
  [1596] = 1596,
  [1597] = 604,
  [1598] = 1480,
  [1599] = 604,
  [1600] = 1563,
  [1601] = 1601,
  [1602] = 1576,
  [1603] = 1282,
  [1604] = 1563,
  [1605] = 604,
  [1606] = 1606,
  [1607] = 1606,
  [1608] = 1606,
  [1609] = 1606,
  [1610] = 1606,
  [1611] = 1606,
  [1612] = 1606,
  [1613] = 1594,
  [1614] = 1606,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1229,
  [1632] = 1632,
  [1633] = 1221,
  [1634] = 1634,
  [1635] = 1233,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1281,
  [1641] = 1282,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1282,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1281,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1689,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1700,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1697,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1685,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1716,
  [1719] = 1707,
  [1720] = 1720,
  [1721] = 1703,
  [1722] = 1709,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1701,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1713,
  [1741] = 1741,
  [1742] = 1712,
  [1743] = 1710,
  [1744] = 1720,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1698,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1676,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1760,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1756,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1769,
  [1775] = 1760,
  [1776] = 1769,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1661,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1761,
  [1786] = 1786,
  [1787] = 1761,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1788,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1793,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1788,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1790,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1807,
  [1812] = 1812,
  [1813] = 1791,
  [1814] = 1799,
  [1815] = 1802,
  [1816] = 1810,
  [1817] = 1817,
  [1818] = 1796,
  [1819] = 1797,
  [1820] = 1794,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1797,
  [1825] = 1825,
  [1826] = 1809,
  [1827] = 1793,
  [1828] = 1821,
  [1829] = 1788,
  [1830] = 1830,
  [1831] = 1800,
  [1832] = 1788,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1821,
  [1836] = 1789,
  [1837] = 1790,
  [1838] = 1810,
  [1839] = 1796,
  [1840] = 1788,
  [1841] = 1807,
  [1842] = 1833,
  [1843] = 1806,
  [1844] = 1807,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1823,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1788,
  [1851] = 1802,
  [1852] = 1807,
  [1853] = 1853,
  [1854] = 1794,
  [1855] = 1855,
  [1856] = 1807,
  [1857] = 1800,
  [1858] = 1807,
  [1859] = 1806,
  [1860] = 1807,
  [1861] = 1788,
  [1862] = 1799,
  [1863] = 1684,
  [1864] = 1864,
  [1865] = 558,
  [1866] = 1864,
  [1867] = 1864,
  [1868] = 1868,
  [1869] = 1282,
  [1870] = 1281,
  [1871] = 1864,
  [1872] = 1872,
  [1873] = 1864,
  [1874] = 1682,
  [1875] = 1875,
  [1876] = 557,
  [1877] = 1877,
  [1878] = 1864,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1864,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1882,
  [1887] = 1887,
  [1888] = 1884,
  [1889] = 1889,
  [1890] = 559,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1676,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1661,
  [1897] = 1897,
  [1898] = 1882,
  [1899] = 1882,
  [1900] = 1724,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1885,
  [1905] = 1882,
  [1906] = 1894,
  [1907] = 1883,
  [1908] = 1882,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1895,
  [1920] = 1920,
  [1921] = 1891,
  [1922] = 1902,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1911,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1911,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1936,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1936,
  [1944] = 1928,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1183,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1960,
  [1965] = 1957,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1959,
  [1970] = 1954,
  [1971] = 1971,
  [1972] = 1963,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1950,
  [1979] = 1951,
  [1980] = 1962,
  [1981] = 1981,
  [1982] = 1967,
  [1983] = 1958,
  [1984] = 1984,
  [1985] = 1961,
  [1986] = 1960,
  [1987] = 1957,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1684,
  [1992] = 1992,
  [1993] = 1961,
  [1994] = 1971,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1962,
  [1999] = 1999,
  [2000] = 1682,
  [2001] = 1996,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 1947,
  [2005] = 1954,
  [2006] = 1967,
  [2007] = 1185,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 1959,
  [2011] = 1973,
  [2012] = 1947,
  [2013] = 1989,
  [2014] = 1997,
  [2015] = 2015,
  [2016] = 1988,
  [2017] = 1963,
  [2018] = 1184,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2019,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 1643,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2029,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2029,
  [2048] = 2048,
  [2049] = 1647,
  [2050] = 1646,
  [2051] = 2029,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2055,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2027,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2056,
  [2073] = 2023,
  [2074] = 2074,
  [2075] = 1649,
  [2076] = 2076,
  [2077] = 2057,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2068,
  [2081] = 2058,
  [2082] = 2029,
  [2083] = 1724,
  [2084] = 2029,
  [2085] = 2045,
  [2086] = 2067,
  [2087] = 2087,
  [2088] = 2065,
  [2089] = 2089,
  [2090] = 2064,
  [2091] = 2091,
  [2092] = 2061,
  [2093] = 2059,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2053,
  [2101] = 2023,
  [2102] = 2102,
  [2103] = 2054,
  [2104] = 2104,
  [2105] = 1953,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2055,
  [2109] = 2056,
  [2110] = 2110,
  [2111] = 2057,
  [2112] = 2112,
  [2113] = 2058,
  [2114] = 2059,
  [2115] = 2009,
  [2116] = 2021,
  [2117] = 2117,
  [2118] = 2053,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2074,
  [2122] = 2061,
  [2123] = 2064,
  [2124] = 2065,
  [2125] = 2125,
  [2126] = 2067,
  [2127] = 2068,
  [2128] = 2029,
  [2129] = 2129,
  [2130] = 2125,
  [2131] = 2131,
  [2132] = 2032,
  [2133] = 2054,
  [2134] = 2035,
  [2135] = 2089,
  [2136] = 2136,
  [2137] = 2117,
  [2138] = 1645,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2074,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 1671,
  [2164] = 2164,
  [2165] = 2142,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2144,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2170,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2157,
  [2176] = 2176,
  [2177] = 2158,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2157,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2186,
  [2195] = 2151,
  [2196] = 2196,
  [2197] = 2155,
  [2198] = 1675,
  [2199] = 2154,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2209,
  [2213] = 1650,
  [2214] = 1664,
  [2215] = 1651,
  [2216] = 1669,
  [2217] = 1673,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2159,
  [2221] = 1666,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2162,
  [2225] = 2225,
  [2226] = 2208,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2208,
  [2233] = 2233,
  [2234] = 2144,
  [2235] = 2203,
  [2236] = 2204,
  [2237] = 2209,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2167,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 1657,
  [2245] = 2245,
  [2246] = 1655,
  [2247] = 2247,
  [2248] = 1665,
  [2249] = 2249,
  [2250] = 1668,
  [2251] = 2202,
  [2252] = 2252,
  [2253] = 2229,
  [2254] = 2181,
  [2255] = 2240,
  [2256] = 1672,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2170,
  [2265] = 2265,
  [2266] = 2167,
  [2267] = 2161,
  [2268] = 2252,
  [2269] = 2180,
  [2270] = 2176,
  [2271] = 2271,
  [2272] = 2146,
  [2273] = 2179,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2142,
  [2280] = 2280,
  [2281] = 2159,
  [2282] = 1660,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2196,
  [2287] = 2158,
  [2288] = 1663,
  [2289] = 2162,
  [2290] = 2229,
  [2291] = 1653,
  [2292] = 1670,
  [2293] = 2293,
  [2294] = 1656,
  [2295] = 2229,
  [2296] = 1674,
  [2297] = 2196,
  [2298] = 2229,
  [2299] = 2299,
  [2300] = 2196,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2196,
  [2304] = 2304,
  [2305] = 2196,
  [2306] = 2196,
  [2307] = 2245,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2188,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 1662,
  [2320] = 1654,
  [2321] = 2321,
  [2322] = 1659,
  [2323] = 2229,
  [2324] = 2324,
  [2325] = 2229,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2153,
  [2329] = 2329,
  [2330] = 1667,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2332,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2354,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2332,
  [2390] = 2337,
  [2391] = 2337,
  [2392] = 2332,
  [2393] = 2377,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2382,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2387,
  [2400] = 2400,
  [2401] = 2370,
  [2402] = 2387,
  [2403] = 2403,
  [2404] = 2332,
  [2405] = 2337,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2382,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2387,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2341,
  [2430] = 2337,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2387,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2382,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2387,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2407,
  [2451] = 2451,
  [2452] = 2332,
  [2453] = 2337,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2382,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2350,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2363,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2376,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2489,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2467,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2477,
  [2509] = 2481,
  [2510] = 2425,
  [2511] = 2485,
  [2512] = 2422,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2377,
  [2519] = 2376,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2442,
  [2525] = 2449,
  [2526] = 2483,
  [2527] = 2527,
  [2528] = 2367,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2375,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2374,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2343,
  [2540] = 2373,
  [2541] = 2366,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2354,
  [2547] = 2370,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2369,
  [2551] = 2365,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2500,
  [2556] = 2556,
  [2557] = 2458,
  [2558] = 2465,
  [2559] = 2455,
  [2560] = 2560,
  [2561] = 2335,
  [2562] = 2562,
  [2563] = 2335,
  [2564] = 2464,
  [2565] = 2480,
  [2566] = 2566,
  [2567] = 2364,
  [2568] = 2483,
  [2569] = 2484,
  [2570] = 2479,
  [2571] = 2363,
  [2572] = 2572,
  [2573] = 2422,
  [2574] = 2574,
  [2575] = 2367,
  [2576] = 2366,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2365,
  [2580] = 2348,
  [2581] = 2581,
  [2582] = 2364,
  [2583] = 2359,
  [2584] = 2349,
  [2585] = 2338,
  [2586] = 2407,
  [2587] = 2587,
  [2588] = 2387,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2423,
  [2593] = 2351,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2353,
  [2597] = 2359,
  [2598] = 2598,
  [2599] = 2357,
  [2600] = 2357,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2411,
  [2605] = 2605,
  [2606] = 2603,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2492,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2375,
  [2618] = 2618,
  [2619] = 2548,
  [2620] = 2620,
  [2621] = 2382,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2614,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2374,
  [2630] = 2630,
  [2631] = 2608,
  [2632] = 2632,
  [2633] = 2630,
  [2634] = 2341,
  [2635] = 2353,
  [2636] = 2613,
  [2637] = 2637,
  [2638] = 2351,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2350,
  [2643] = 2643,
  [2644] = 2349,
  [2645] = 2332,
  [2646] = 2646,
  [2647] = 2348,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2445,
  [2653] = 2337,
  [2654] = 2654,
  [2655] = 2481,
  [2656] = 2577,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2659,
  [2661] = 2530,
  [2662] = 2517,
  [2663] = 2503,
  [2664] = 2616,
  [2665] = 2665,
  [2666] = 2581,
  [2667] = 2501,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2494,
  [2672] = 2612,
  [2673] = 2373,
  [2674] = 2432,
  [2675] = 2467,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2477,
  [2679] = 2502,
  [2680] = 2632,
  [2681] = 2681,
  [2682] = 2521,
  [2683] = 2408,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2445,
  [2689] = 2369,
  [2690] = 2690,
  [2691] = 2659,
  [2692] = 2625,
  [2693] = 2530,
  [2694] = 2581,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2552,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2338,
  [2704] = 2406,
  [2705] = 2419,
  [2706] = 2548,
  [2707] = 2485,
  [2708] = 2380,
  [2709] = 2648,
  [2710] = 2710,
  [2711] = 2421,
  [2712] = 2343,
  [2713] = 2607,
  [2714] = 2605,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(42);
      if (lookahead == '#') ADVANCE(60);
      if (lookahead == '&') ADVANCE(50);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == ')') ADVANCE(55);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '+') ADVANCE(83);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(67);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == ':') ADVANCE(45);
      if (lookahead == ';') ADVANCE(43);
      if (lookahead == '<') ADVANCE(72);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '@') ADVANCE(92);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == ']') ADVANCE(53);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(5);
      if (lookahead == '$' ||
          lookahead == '%') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(47);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 1:
      if (lookahead == '#') ADVANCE(60);
      if (lookahead == '$') ADVANCE(38);
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '+') ADVANCE(82);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(70);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == ':') ADVANCE(44);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '@') ADVANCE(92);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 2:
      if (lookahead == '#') ADVANCE(60);
      if (lookahead == '$') ADVANCE(38);
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '+') ADVANCE(82);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(69);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == ':') ADVANCE(44);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '@') ADVANCE(92);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == ']') ADVANCE(53);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 3:
      if (lookahead == '#') ADVANCE(60);
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == ')') ADVANCE(55);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '+') ADVANCE(83);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(68);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == ':') ADVANCE(45);
      if (lookahead == ';') ADVANCE(43);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == ']') ADVANCE(53);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 4:
      if (lookahead == '#') ADVANCE(60);
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '+') ADVANCE(80);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(67);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 5:
      if (lookahead == '$') ADVANCE(24);
      if (lookahead == '}') ADVANCE(103);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == '$') ADVANCE(38);
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '(') ADVANCE(14);
      if (lookahead == ')') ADVANCE(55);
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '+') ADVANCE(20);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(21);
      if (lookahead == '.') ADVANCE(67);
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == ':') ADVANCE(45);
      if (lookahead == ';') ADVANCE(43);
      if (lookahead == '<') ADVANCE(71);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(76);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == ']') ADVANCE(53);
      if (lookahead == '{') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 7:
      if (lookahead == '$') ADVANCE(28);
      if (lookahead == '}') ADVANCE(103);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 8:
      if (lookahead == '$') ADVANCE(31);
      if (lookahead == '}') ADVANCE(103);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == '$') ADVANCE(25);
      if (lookahead == '}') ADVANCE(103);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 10:
      if (lookahead == '&') ADVANCE(50);
      if (lookahead == '(') ADVANCE(15);
      if (lookahead == ')') ADVANCE(51);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '{') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(47);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      if (lookahead == '$' ||
          lookahead == '%' ||
          ('*' <= lookahead && lookahead <= '<') ||
          lookahead == '>' ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(49);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 11:
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(7);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 12:
      if (lookahead == '\'') ADVANCE(59);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 13:
      if (lookahead == ')') ADVANCE(103);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead != 0) ADVANCE(16);
      END_STATE();
    case 14:
      if (lookahead == '*') ADVANCE(16);
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead != 0) ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead != 0) ADVANCE(16);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(104);
      END_STATE();
    case 18:
      if (lookahead == '/') ADVANCE(104);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 22:
      if (lookahead == '}') ADVANCE(103);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(33);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 24:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(27);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 25:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 26:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(34);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 27:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(32);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 28:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(27);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 29:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(30);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(23);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 30:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(26);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 31:
      if (lookahead == '}') ADVANCE(102);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '}') ADVANCE(56);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == '}') ADVANCE(58);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == '}') ADVANCE(57);
      if (lookahead != 0) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 39:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 40:
      if (eof) ADVANCE(42);
      if (lookahead == '#') ADVANCE(60);
      if (lookahead == '$') ADVANCE(38);
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == ')') ADVANCE(55);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '+') ADVANCE(81);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(70);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == ':') ADVANCE(45);
      if (lookahead == ';') ADVANCE(43);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '@') ADVANCE(92);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == ']') ADVANCE(53);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 41:
      if (eof) ADVANCE(42);
      if (lookahead == '#') ADVANCE(60);
      if (lookahead == '&') ADVANCE(39);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(54);
      if (lookahead == ')') ADVANCE(55);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '+') ADVANCE(83);
      if (lookahead == ',') ADVANCE(46);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(67);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == ':') ADVANCE(45);
      if (lookahead == ';') ADVANCE(43);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '[') ADVANCE(52);
      if (lookahead == ']') ADVANCE(53);
      if (lookahead == '^') ADVANCE(93);
      if (lookahead == '{') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(aux_sym_asmBody_token1);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(aux_sym_asmBody_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_asmBody_token2);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(aux_sym_asmBody_token2);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(aux_sym_asmBody_token3);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '*') ADVANCE(16);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(aux_sym_type_token1);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(aux_sym_type_token2);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(aux_sym_type_token3);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(aux_sym__literalString_token1);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym__literalInt_token1);
      if (lookahead == '.') ADVANCE(36);
      if (lookahead == 'e') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(aux_sym__literalInt_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(aux_sym__literalInt_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(aux_sym__literalFloat_token1);
      if (lookahead == 'e') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(aux_sym__literalFloat_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(66);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_kLt);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_kLt);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_kLt);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(75);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_kEq);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_kNeq);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_kGt);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_kGt);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_kLte);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_kGte);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_kAdd);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_kAdd);
      if (lookahead == '.') ADVANCE(36);
      if (lookahead == '=') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_kAdd);
      if (lookahead == '.') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_kAdd);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_kSub);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_kSub);
      if (lookahead == '.') ADVANCE(36);
      if (lookahead == '=') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_kSub);
      if (lookahead == '.') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_kSub);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_kMul);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_kMul);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_kFdiv);
      if (lookahead == '/') ADVANCE(104);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_kFdiv);
      if (lookahead == '/') ADVANCE(104);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_kAt);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_kHat);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_kAssign);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_kAssignAdd);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_kAssignSub);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_kAssignMul);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_kAssignDiv);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym__space);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_pp);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(3);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(4);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(5);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(6);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(7);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(8);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(9);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(10);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(11);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(12);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(13);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(14);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(15);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(16);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(17);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(18);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(19);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(20);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(21);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(22);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(23);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(24);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(25);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(28);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(29);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(30);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(31);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(32);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(33);
      END_STATE();
    case 4:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(34);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(35);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(36);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(37);
      END_STATE();
    case 5:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(38);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(39);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(40);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(41);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(42);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(43);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 7:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 8:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(47);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 9:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(52);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(53);
      END_STATE();
    case 10:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(54);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(55);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 11:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(57);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(58);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(59);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(62);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(63);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 13:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(65);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(66);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(68);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(69);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(70);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(71);
      END_STATE();
    case 14:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(72);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(74);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(75);
      END_STATE();
    case 15:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(76);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 16:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(78);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(79);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(80);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(81);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(82);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(83);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(84);
      END_STATE();
    case 17:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(87);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(88);
      END_STATE();
    case 18:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(89);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(90);
      END_STATE();
    case 19:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(91);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(92);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 20:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(94);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(95);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 21:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 22:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(98);
      END_STATE();
    case 23:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 24:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 25:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(101);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(sym_kAs);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(102);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(103);
      END_STATE();
    case 27:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(104);
      END_STATE();
    case 28:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(105);
      END_STATE();
    case 29:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 30:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 31:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 32:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 33:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 34:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(111);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(112);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(113);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(114);
      END_STATE();
    case 35:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(115);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(116);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(sym_kDo);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(117);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 38:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(119);
      END_STATE();
    case 39:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(120);
      END_STATE();
    case 40:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(121);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(122);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(123);
      END_STATE();
    case 41:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(124);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 42:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(126);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(127);
      END_STATE();
    case 43:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 45:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 46:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(131);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(132);
      END_STATE();
    case 48:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(133);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(sym_kIf);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(134);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(136);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_kIn);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(137);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(138);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(139);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(140);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(141);
      END_STATE();
    case 52:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_kIs);
      END_STATE();
    case 54:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(143);
      END_STATE();
    case 55:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(144);
      END_STATE();
    case 56:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 57:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(146);
      END_STATE();
    case 58:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(147);
      END_STATE();
    case 59:
      if (lookahead == '_') ADVANCE(148);
      END_STATE();
    case 60:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(149);
      END_STATE();
    case 61:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(150);
      END_STATE();
    case 62:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 63:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 64:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(153);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(154);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(155);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(156);
      END_STATE();
    case 65:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(157);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_kOf);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_kOn);
      END_STATE();
    case 68:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(158);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(159);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_kOr);
      END_STATE();
    case 70:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 71:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 72:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(162);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(163);
      END_STATE();
    case 73:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 74:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(165);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 75:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(167);
      END_STATE();
    case 76:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(168);
      END_STATE();
    case 77:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(169);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(170);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(171);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(172);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(173);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(174);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(175);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(176);
      END_STATE();
    case 78:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(177);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(178);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(179);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(180);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 81:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(183);
      END_STATE();
    case 82:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 83:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(185);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(186);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(187);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(188);
      END_STATE();
    case 84:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(189);
      END_STATE();
    case 85:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(190);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_kTo);
      END_STATE();
    case 87:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(192);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(193);
      END_STATE();
    case 88:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(194);
      END_STATE();
    case 89:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(195);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(196);
      END_STATE();
    case 90:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 91:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 92:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(199);
      END_STATE();
    case 93:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(200);
      END_STATE();
    case 94:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(201);
      END_STATE();
    case 95:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(202);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(203);
      END_STATE();
    case 96:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 97:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 98:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(206);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(207);
      END_STATE();
    case 99:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(208);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_kAnd);
      END_STATE();
    case 101:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(209);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_kAsm);
      END_STATE();
    case 103:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 104:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(211);
      END_STATE();
    case 105:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(212);
      END_STATE();
    case 106:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 107:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(214);
      END_STATE();
    case 108:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      END_STATE();
    case 109:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(216);
      END_STATE();
    case 110:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(217);
      END_STATE();
    case 111:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 112:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(219);
      END_STATE();
    case 113:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 114:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(221);
      END_STATE();
    case 115:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(222);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_kDiv);
      END_STATE();
    case 117:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(223);
      END_STATE();
    case 118:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 119:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_kEnd);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(226);
      END_STATE();
    case 121:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 122:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(228);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(229);
      END_STATE();
    case 123:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 124:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(231);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_kFar);
      END_STATE();
    case 126:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 127:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_kFor);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(234);
      END_STATE();
    case 129:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(235);
      END_STATE();
    case 130:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 131:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(237);
      END_STATE();
    case 132:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(238);
      END_STATE();
    case 133:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(239);
      END_STATE();
    case 134:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      END_STATE();
    case 135:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 136:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(242);
      END_STATE();
    case 137:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 138:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 139:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(245);
      END_STATE();
    case 140:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 141:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 142:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(248);
      END_STATE();
    case 143:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 144:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(250);
      END_STATE();
    case 145:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(251);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(252);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_kMod);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 149:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(254);
      END_STATE();
    case 150:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 151:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(256);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_kNil);
      END_STATE();
    case 153:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 154:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 155:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_kNot);
      END_STATE();
    case 157:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(260);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 158:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 159:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(263);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_kOut);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 162:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(265);
      END_STATE();
    case 163:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(266);
      END_STATE();
    case 164:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(267);
      END_STATE();
    case 165:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(268);
      END_STATE();
    case 166:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(269);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(270);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(271);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(272);
      END_STATE();
    case 167:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(273);
      END_STATE();
    case 168:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 169:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(275);
      END_STATE();
    case 170:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(276);
      END_STATE();
    case 171:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(277);
      END_STATE();
    case 172:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 173:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 174:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(280);
      END_STATE();
    case 175:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(281);
      END_STATE();
    case 176:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 177:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 178:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 179:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_kSet);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_kShl);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_kShr);
      END_STATE();
    case 183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(286);
      END_STATE();
    case 184:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(287);
      END_STATE();
    case 185:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(288);
      END_STATE();
    case 186:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 187:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 188:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 189:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(292);
      END_STATE();
    case 190:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 191:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 192:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_kTry);
      END_STATE();
    case 194:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 195:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(297);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(298);
      END_STATE();
    case 196:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 197:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(300);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_kVar);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(301);
      END_STATE();
    case 199:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(302);
      END_STATE();
    case 200:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(303);
      END_STATE();
    case 201:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(304);
      END_STATE();
    case 202:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 203:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(306);
      END_STATE();
    case 204:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_kXor);
      END_STATE();
    case 206:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(308);
      END_STATE();
    case 207:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(309);
      END_STATE();
    case 208:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(310);
      END_STATE();
    case 209:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(311);
      END_STATE();
    case 210:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(312);
      END_STATE();
    case 211:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(313);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_kCase);
      END_STATE();
    case 213:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 214:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(315);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(316);
      END_STATE();
    case 216:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_kCvar);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(318);
      END_STATE();
    case 219:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(319);
      END_STATE();
    case 220:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 221:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 222:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 223:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 224:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(324);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_kElse);
      END_STATE();
    case 226:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(325);
      END_STATE();
    case 227:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(326);
      END_STATE();
    case 228:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(327);
      END_STATE();
    case 229:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 230:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(329);
      END_STATE();
    case 231:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_kFile);
      END_STATE();
    case 233:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(331);
      END_STATE();
    case 234:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(332);
      END_STATE();
    case 235:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(333);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(334);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_kGoto);
      END_STATE();
    case 238:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(335);
      END_STATE();
    case 239:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 240:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(337);
      END_STATE();
    case 241:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 242:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 243:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(340);
      END_STATE();
    case 244:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 245:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 247:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(344);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 249:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(346);
      END_STATE();
    case 250:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(347);
      END_STATE();
    case 251:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(348);
      END_STATE();
    case 252:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(349);
      END_STATE();
    case 253:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(350);
      END_STATE();
    case 254:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(351);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_kName);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_kNear);
      END_STATE();
    case 257:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(352);
      END_STATE();
    case 258:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(353);
      END_STATE();
    case 259:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 260:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(355);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(356);
      END_STATE();
    case 261:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(357);
      END_STATE();
    case 262:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(358);
      END_STATE();
    case 263:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(359);
      END_STATE();
    case 264:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(360);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 265:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(362);
      END_STATE();
    case 266:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(363);
      END_STATE();
    case 267:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(364);
      END_STATE();
    case 268:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(365);
      END_STATE();
    case 269:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 270:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(367);
      END_STATE();
    case 271:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 272:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 273:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(370);
      END_STATE();
    case 274:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_kRead);
      END_STATE();
    case 276:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 277:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 278:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(374);
      END_STATE();
    case 279:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(375);
      END_STATE();
    case 280:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(376);
      END_STATE();
    case 281:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(377);
      END_STATE();
    case 282:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(378);
      END_STATE();
    case 283:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(379);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 285:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 286:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(382);
      END_STATE();
    case 287:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(383);
      END_STATE();
    case 288:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(384);
      END_STATE();
    case 289:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(385);
      END_STATE();
    case 290:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 291:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(387);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(388);
      END_STATE();
    case 292:
      if (lookahead == '_') ADVANCE(389);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_kThen);
      END_STATE();
    case 294:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(390);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_kTrue);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_kType);
      END_STATE();
    case 297:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(391);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_kUnit);
      END_STATE();
    case 299:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(392);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_kUses);
      END_STATE();
    case 301:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(393);
      END_STATE();
    case 302:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(394);
      END_STATE();
    case 303:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(395);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 305:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(397);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_kWith);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 308:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(399);
      END_STATE();
    case 309:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(400);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_kAlias);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_kArray);
      END_STATE();
    case 312:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(401);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_kBegin);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_kCdecl);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_kClass);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_kConst);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(402);
      END_STATE();
    case 317:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 318:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(404);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(405);
      END_STATE();
    case 320:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(406);
      END_STATE();
    case 321:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 322:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(408);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(409);
      END_STATE();
    case 323:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(410);
      END_STATE();
    case 324:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(411);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_kEndif);
      END_STATE();
    case 326:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(412);
      END_STATE();
    case 327:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 328:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(414);
      END_STATE();
    case 329:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(415);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_kFalse);
      END_STATE();
    case 331:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(416);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(417);
      END_STATE();
    case 332:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(418);
      END_STATE();
    case 333:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(419);
      END_STATE();
    case 334:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(420);
      END_STATE();
    case 335:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(421);
      END_STATE();
    case 336:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(422);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_kIfdef);
      END_STATE();
    case 338:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(423);
      END_STATE();
    case 339:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(424);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_kIndex);
      END_STATE();
    case 341:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(425);
      END_STATE();
    case 342:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(426);
      END_STATE();
    case 343:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(427);
      END_STATE();
    case 344:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(428);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(429);
      END_STATE();
    case 345:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(430);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_kLabel);
      END_STATE();
    case 347:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_kLocal);
      END_STATE();
    case 349:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(432);
      END_STATE();
    case 350:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(433);
      END_STATE();
    case 351:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(434);
      END_STATE();
    case 352:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(435);
      END_STATE();
    case 353:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(436);
      END_STATE();
    case 354:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(437);
      END_STATE();
    case 355:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(438);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(439);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 357:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(441);
      END_STATE();
    case 358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(442);
      END_STATE();
    case 359:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(443);
      END_STATE();
    case 360:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(444);
      END_STATE();
    case 361:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(445);
      END_STATE();
    case 362:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(446);
      END_STATE();
    case 363:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(447);
      END_STATE();
    case 364:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(448);
      END_STATE();
    case 365:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(449);
      END_STATE();
    case 366:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(450);
      END_STATE();
    case 367:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(451);
      END_STATE();
    case 368:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(452);
      END_STATE();
    case 369:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(453);
      END_STATE();
    case 370:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(454);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(455);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_kRaise);
      END_STATE();
    case 372:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(456);
      END_STATE();
    case 373:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 374:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(458);
      END_STATE();
    case 375:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 376:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(460);
      END_STATE();
    case 377:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(461);
      END_STATE();
    case 378:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(462);
      END_STATE();
    case 379:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(463);
      END_STATE();
    case 380:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_kSealed);
      END_STATE();
    case 382:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(465);
      END_STATE();
    case 383:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(466);
      END_STATE();
    case 384:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(467);
      END_STATE();
    case 385:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(468);
      END_STATE();
    case 386:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(469);
      END_STATE();
    case 387:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(470);
      END_STATE();
    case 388:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(471);
      END_STATE();
    case 389:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(472);
      END_STATE();
    case 390:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(473);
      END_STATE();
    case 391:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_kUntil);
      END_STATE();
    case 393:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(475);
      END_STATE();
    case 394:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(476);
      END_STATE();
    case 395:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(477);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_kWhile);
      END_STATE();
    case 397:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(478);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_kWrite);
      END_STATE();
    case 399:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(479);
      END_STATE();
    case 400:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(480);
      END_STATE();
    case 401:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 402:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(482);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(483);
      END_STATE();
    case 403:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(484);
      END_STATE();
    case 404:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(485);
      END_STATE();
    case 405:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(486);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(487);
      END_STATE();
    case 407:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(488);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_kDispId);
      END_STATE();
    case 409:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(489);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_kDownto);
      END_STATE();
    case 411:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(490);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_kExcept);
      END_STATE();
    case 413:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(491);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_kExport);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(492);
      END_STATE();
    case 415:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(493);
      END_STATE();
    case 416:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(494);
      END_STATE();
    case 417:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(495);
      END_STATE();
    case 418:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(496);
      END_STATE();
    case 419:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(497);
      END_STATE();
    case 420:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(498);
      END_STATE();
    case 421:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(499);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_kHelper);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_kIfndef);
      END_STATE();
    case 424:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(500);
      END_STATE();
    case 425:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(501);
      END_STATE();
    case 426:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(502);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_kInline);
      END_STATE();
    case 428:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(503);
      END_STATE();
    case 429:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(504);
      END_STATE();
    case 430:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(505);
      END_STATE();
    case 431:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(506);
      END_STATE();
    case 432:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(507);
      END_STATE();
    case 433:
      if (lookahead == '_') ADVANCE(508);
      END_STATE();
    case 434:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(509);
      END_STATE();
    case 435:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(510);
      END_STATE();
    case 436:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(511);
      END_STATE();
    case 437:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(512);
      END_STATE();
    case 438:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(513);
      END_STATE();
    case 439:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(514);
      END_STATE();
    case 440:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(515);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_kObject);
      END_STATE();
    case 442:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(516);
      END_STATE();
    case 443:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(517);
      END_STATE();
    case 444:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(518);
      END_STATE();
    case 445:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(519);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_kPacked);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_kPascal);
      END_STATE();
    case 448:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(520);
      END_STATE();
    case 449:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 450:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(522);
      END_STATE();
    case 451:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(523);
      END_STATE();
    case 452:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(524);
      END_STATE();
    case 453:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(525);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_kPublic);
      END_STATE();
    case 455:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(526);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_kRecord);
      END_STATE();
    case 457:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(527);
      END_STATE();
    case 458:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 459:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(529);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_kRepeat);
      END_STATE();
    case 461:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(530);
      END_STATE();
    case 462:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(531);
      END_STATE();
    case 463:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(532);
      END_STATE();
    case 464:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(533);
      END_STATE();
    case 465:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(534);
      END_STATE();
    case 466:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(535);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_kStatic);
      END_STATE();
    case 468:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(536);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_kStored);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_kStrict);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_kString);
      END_STATE();
    case 472:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(537);
      END_STATE();
    case 473:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(538);
      END_STATE();
    case 474:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(539);
      END_STATE();
    case 475:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(540);
      END_STATE();
    case 476:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(541);
      END_STATE();
    case 477:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(542);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_kWinapi);
      END_STATE();
    case 479:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(543);
      END_STATE();
    case 480:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(544);
      END_STATE();
    case 481:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(545);
      END_STATE();
    case 482:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(546);
      END_STATE();
    case 483:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(547);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_kCppdecl);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_kDefault);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_kDelayed);
      END_STATE();
    case 487:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(548);
      END_STATE();
    case 488:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(549);
      END_STATE();
    case 489:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(550);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_kDynamic);
      END_STATE();
    case 491:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(551);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_kExports);
      END_STATE();
    case 493:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(552);
      END_STATE();
    case 494:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(553);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_kFinally);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_kForward);
      END_STATE();
    case 497:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(554);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_kGeneric);
      END_STATE();
    case 499:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(555);
      END_STATE();
    case 500:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(556);
      END_STATE();
    case 501:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 502:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(558);
      END_STATE();
    case 503:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(559);
      END_STATE();
    case 504:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(560);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_kIocheck);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_kLibrary);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_kMessage);
      END_STATE();
    case 508:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(561);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(562);
      END_STATE();
    case 509:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(563);
      END_STATE();
    case 510:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(564);
      END_STATE();
    case 511:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(565);
      END_STATE();
    case 512:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(566);
      END_STATE();
    case 513:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(567);
      END_STATE();
    case 514:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(568);
      END_STATE();
    case 515:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(569);
      END_STATE();
    case 516:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(570);
      END_STATE();
    case 517:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(571);
      END_STATE();
    case 518:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(572);
      END_STATE();
    case 519:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(573);
      END_STATE();
    case 520:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(574);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_kPrivate);
      END_STATE();
    case 522:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(575);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_kProgram);
      END_STATE();
    case 524:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(576);
      END_STATE();
    case 525:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(577);
      END_STATE();
    case 526:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 527:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(579);
      END_STATE();
    case 528:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(580);
      END_STATE();
    case 529:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(581);
      END_STATE();
    case 530:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(582);
      END_STATE();
    case 531:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_kSafecall);
      END_STATE();
    case 533:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(584);
      END_STATE();
    case 534:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(585);
      END_STATE();
    case 535:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(586);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_kStdcall);
      END_STATE();
    case 537:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(587);
      END_STATE();
    case 538:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(588);
      END_STATE();
    case 539:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(589);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_kVarargs);
      END_STATE();
    case 541:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(590);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_kVirtual);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_kAbsolute);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_kAbstract);
      END_STATE();
    case 545:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(591);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_kConstref);
      END_STATE();
    case 547:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(592);
      END_STATE();
    case 548:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(593);
      END_STATE();
    case 549:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(594);
      END_STATE();
    case 550:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(595);
      END_STATE();
    case 551:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(596);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_kExternal);
      END_STATE();
    case 553:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(597);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_kFunction);
      END_STATE();
    case 555:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(598);
      END_STATE();
    case 556:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(599);
      END_STATE();
    case 557:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(600);
      END_STATE();
    case 558:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(601);
      END_STATE();
    case 559:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(602);
      END_STATE();
    case 560:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(603);
      END_STATE();
    case 561:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(604);
      END_STATE();
    case 562:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(605);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_kMwpascal);
      END_STATE();
    case 564:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(606);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_kNoreturn);
      END_STATE();
    case 566:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(607);
      END_STATE();
    case 567:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(608);
      END_STATE();
    case 568:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(609);
      END_STATE();
    case 569:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(610);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_kOperator);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_kOptional);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_kOverload);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_kOverride);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_kPlatform);
      END_STATE();
    case 575:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(611);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_kProperty);
      END_STATE();
    case 577:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(612);
      END_STATE();
    case 578:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(613);
      END_STATE();
    case 579:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(614);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_kRegister);
      END_STATE();
    case 581:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(615);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_kRequired);
      END_STATE();
    case 583:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(616);
      END_STATE();
    case 584:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(617);
      END_STATE();
    case 585:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(618);
      END_STATE();
    case 586:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(619);
      END_STATE();
    case 587:
      if (lookahead == '_') ADVANCE(620);
      END_STATE();
    case 588:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(621);
      END_STATE();
    case 589:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(622);
      END_STATE();
    case 590:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(623);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_kAssembler);
      END_STATE();
    case 592:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(624);
      END_STATE();
    case 593:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(625);
      END_STATE();
    case 594:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(626);
      END_STATE();
    case 595:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(627);
      END_STATE();
    case 596:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(628);
      END_STATE();
    case 597:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(629);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_kHardfloat);
      END_STATE();
    case 599:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(630);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(631);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_kInherited);
      END_STATE();
    case 601:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(632);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_kInterface);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_kInterrupt);
      END_STATE();
    case 604:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(633);
      END_STATE();
    case 605:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(634);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_kNodefault);
      END_STATE();
    case 607:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(635);
      END_STATE();
    case 608:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(636);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_kObjcclass);
      END_STATE();
    case 610:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(637);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_kProcedure);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_kProtected);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_kPublished);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_kReference);
      END_STATE();
    case 615:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(638);
      END_STATE();
    case 616:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(639);
      END_STATE();
    case 617:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(640);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_kSoftfloat);
      END_STATE();
    case 619:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(641);
      END_STATE();
    case 620:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(642);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(643);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_kThreadvar);
      END_STATE();
    case 622:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(644);
      END_STATE();
    case 623:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(645);
      END_STATE();
    case 624:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(646);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_kDeprecated);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_kDestructor);
      END_STATE();
    case 627:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(647);
      END_STATE();
    case 628:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(648);
      END_STATE();
    case 629:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(649);
      END_STATE();
    case 630:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(650);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_kImplements);
      END_STATE();
    case 632:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(651);
      END_STATE();
    case 633:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(652);
      END_STATE();
    case 634:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(653);
      END_STATE();
    case 635:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(654);
      END_STATE();
    case 636:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(655);
      END_STATE();
    case 637:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(656);
      END_STATE();
    case 638:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(657);
      END_STATE();
    case 639:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(658);
      END_STATE();
    case 640:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(659);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_kSpecialize);
      END_STATE();
    case 642:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(660);
      END_STATE();
    case 643:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(661);
      END_STATE();
    case 644:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(662);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_kVectorcall);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_kConstructor);
      END_STATE();
    case 647:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(663);
      END_STATE();
    case 648:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(664);
      END_STATE();
    case 649:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(665);
      END_STATE();
    case 650:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(666);
      END_STATE();
    case 651:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(667);
      END_STATE();
    case 652:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(668);
      END_STATE();
    case 653:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(669);
      END_STATE();
    case 654:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(670);
      END_STATE();
    case 655:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(671);
      END_STATE();
    case 656:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(672);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_kReintroduce);
      END_STATE();
    case 658:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(673);
      END_STATE();
    case 659:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(674);
      END_STATE();
    case 660:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(675);
      END_STATE();
    case 661:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(676);
      END_STATE();
    case 662:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(677);
      END_STATE();
    case 663:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(678);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_kExperimental);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_kFinalization);
      END_STATE();
    case 666:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(679);
      END_STATE();
    case 667:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(680);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_kMs_abi_cdecl);
      END_STATE();
    case 669:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(681);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_kNostackframe);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_kObjccategory);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_kObjcprotocol);
      END_STATE();
    case 673:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(682);
      END_STATE();
    case 674:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(683);
      END_STATE();
    case 675:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(684);
      END_STATE();
    case 676:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(685);
      END_STATE();
    case 677:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(686);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_kDispInterface);
      END_STATE();
    case 679:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(687);
      END_STATE();
    case 680:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(688);
      END_STATE();
    case 681:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(689);
      END_STATE();
    case 682:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(690);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_kSaveregisters);
      END_STATE();
    case 684:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(691);
      END_STATE();
    case 685:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(692);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_kUnimplemented);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_kImplementation);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_kInitialization);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_kMs_abi_default);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_kResourcestring);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_kSysv_abi_cdecl);
      END_STATE();
    case 692:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(693);
      END_STATE();
    case 693:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(694);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_kSysv_abi_default);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 40},
  [2] = {.lex_state = 40},
  [3] = {.lex_state = 40},
  [4] = {.lex_state = 40},
  [5] = {.lex_state = 40},
  [6] = {.lex_state = 40},
  [7] = {.lex_state = 40},
  [8] = {.lex_state = 40},
  [9] = {.lex_state = 40},
  [10] = {.lex_state = 40},
  [11] = {.lex_state = 40},
  [12] = {.lex_state = 40},
  [13] = {.lex_state = 40},
  [14] = {.lex_state = 40},
  [15] = {.lex_state = 40},
  [16] = {.lex_state = 40},
  [17] = {.lex_state = 40},
  [18] = {.lex_state = 40},
  [19] = {.lex_state = 40},
  [20] = {.lex_state = 40},
  [21] = {.lex_state = 40},
  [22] = {.lex_state = 40},
  [23] = {.lex_state = 40},
  [24] = {.lex_state = 40},
  [25] = {.lex_state = 40},
  [26] = {.lex_state = 40},
  [27] = {.lex_state = 40},
  [28] = {.lex_state = 40},
  [29] = {.lex_state = 40},
  [30] = {.lex_state = 40},
  [31] = {.lex_state = 40},
  [32] = {.lex_state = 40},
  [33] = {.lex_state = 40},
  [34] = {.lex_state = 40},
  [35] = {.lex_state = 40},
  [36] = {.lex_state = 40},
  [37] = {.lex_state = 40},
  [38] = {.lex_state = 40},
  [39] = {.lex_state = 40},
  [40] = {.lex_state = 40},
  [41] = {.lex_state = 40},
  [42] = {.lex_state = 40},
  [43] = {.lex_state = 40},
  [44] = {.lex_state = 40},
  [45] = {.lex_state = 40},
  [46] = {.lex_state = 40},
  [47] = {.lex_state = 40},
  [48] = {.lex_state = 40},
  [49] = {.lex_state = 40},
  [50] = {.lex_state = 40},
  [51] = {.lex_state = 40},
  [52] = {.lex_state = 40},
  [53] = {.lex_state = 40},
  [54] = {.lex_state = 40},
  [55] = {.lex_state = 40},
  [56] = {.lex_state = 40},
  [57] = {.lex_state = 40},
  [58] = {.lex_state = 40},
  [59] = {.lex_state = 40},
  [60] = {.lex_state = 40},
  [61] = {.lex_state = 40},
  [62] = {.lex_state = 40},
  [63] = {.lex_state = 40},
  [64] = {.lex_state = 40},
  [65] = {.lex_state = 40},
  [66] = {.lex_state = 40},
  [67] = {.lex_state = 40},
  [68] = {.lex_state = 40},
  [69] = {.lex_state = 40},
  [70] = {.lex_state = 40},
  [71] = {.lex_state = 40},
  [72] = {.lex_state = 40},
  [73] = {.lex_state = 40},
  [74] = {.lex_state = 40},
  [75] = {.lex_state = 40},
  [76] = {.lex_state = 40},
  [77] = {.lex_state = 40},
  [78] = {.lex_state = 40},
  [79] = {.lex_state = 40},
  [80] = {.lex_state = 40},
  [81] = {.lex_state = 40},
  [82] = {.lex_state = 40},
  [83] = {.lex_state = 40},
  [84] = {.lex_state = 40},
  [85] = {.lex_state = 40},
  [86] = {.lex_state = 40},
  [87] = {.lex_state = 40},
  [88] = {.lex_state = 40},
  [89] = {.lex_state = 40},
  [90] = {.lex_state = 40},
  [91] = {.lex_state = 40},
  [92] = {.lex_state = 40},
  [93] = {.lex_state = 40},
  [94] = {.lex_state = 40},
  [95] = {.lex_state = 40},
  [96] = {.lex_state = 40},
  [97] = {.lex_state = 40},
  [98] = {.lex_state = 40},
  [99] = {.lex_state = 40},
  [100] = {.lex_state = 40},
  [101] = {.lex_state = 40},
  [102] = {.lex_state = 40},
  [103] = {.lex_state = 40},
  [104] = {.lex_state = 40},
  [105] = {.lex_state = 40},
  [106] = {.lex_state = 40},
  [107] = {.lex_state = 40},
  [108] = {.lex_state = 40},
  [109] = {.lex_state = 40},
  [110] = {.lex_state = 40},
  [111] = {.lex_state = 40},
  [112] = {.lex_state = 40},
  [113] = {.lex_state = 40},
  [114] = {.lex_state = 40},
  [115] = {.lex_state = 40},
  [116] = {.lex_state = 40},
  [117] = {.lex_state = 40},
  [118] = {.lex_state = 40},
  [119] = {.lex_state = 40},
  [120] = {.lex_state = 40},
  [121] = {.lex_state = 40},
  [122] = {.lex_state = 40},
  [123] = {.lex_state = 40},
  [124] = {.lex_state = 40},
  [125] = {.lex_state = 40},
  [126] = {.lex_state = 40},
  [127] = {.lex_state = 40},
  [128] = {.lex_state = 40},
  [129] = {.lex_state = 40},
  [130] = {.lex_state = 40},
  [131] = {.lex_state = 40},
  [132] = {.lex_state = 40},
  [133] = {.lex_state = 40},
  [134] = {.lex_state = 40},
  [135] = {.lex_state = 40},
  [136] = {.lex_state = 40},
  [137] = {.lex_state = 40},
  [138] = {.lex_state = 40},
  [139] = {.lex_state = 40},
  [140] = {.lex_state = 40},
  [141] = {.lex_state = 40},
  [142] = {.lex_state = 40},
  [143] = {.lex_state = 40},
  [144] = {.lex_state = 40},
  [145] = {.lex_state = 40},
  [146] = {.lex_state = 40},
  [147] = {.lex_state = 40},
  [148] = {.lex_state = 40},
  [149] = {.lex_state = 40},
  [150] = {.lex_state = 40},
  [151] = {.lex_state = 40},
  [152] = {.lex_state = 40},
  [153] = {.lex_state = 40},
  [154] = {.lex_state = 40},
  [155] = {.lex_state = 40},
  [156] = {.lex_state = 40},
  [157] = {.lex_state = 40},
  [158] = {.lex_state = 40},
  [159] = {.lex_state = 40},
  [160] = {.lex_state = 40},
  [161] = {.lex_state = 40},
  [162] = {.lex_state = 40},
  [163] = {.lex_state = 40},
  [164] = {.lex_state = 40},
  [165] = {.lex_state = 40},
  [166] = {.lex_state = 40},
  [167] = {.lex_state = 40},
  [168] = {.lex_state = 40},
  [169] = {.lex_state = 40},
  [170] = {.lex_state = 40},
  [171] = {.lex_state = 40},
  [172] = {.lex_state = 40},
  [173] = {.lex_state = 41},
  [174] = {.lex_state = 40},
  [175] = {.lex_state = 40},
  [176] = {.lex_state = 41},
  [177] = {.lex_state = 40},
  [178] = {.lex_state = 40},
  [179] = {.lex_state = 40},
  [180] = {.lex_state = 40},
  [181] = {.lex_state = 40},
  [182] = {.lex_state = 40},
  [183] = {.lex_state = 40},
  [184] = {.lex_state = 40},
  [185] = {.lex_state = 40},
  [186] = {.lex_state = 40},
  [187] = {.lex_state = 40},
  [188] = {.lex_state = 40},
  [189] = {.lex_state = 40},
  [190] = {.lex_state = 40},
  [191] = {.lex_state = 40},
  [192] = {.lex_state = 40},
  [193] = {.lex_state = 40},
  [194] = {.lex_state = 40},
  [195] = {.lex_state = 40},
  [196] = {.lex_state = 40},
  [197] = {.lex_state = 40},
  [198] = {.lex_state = 40},
  [199] = {.lex_state = 40},
  [200] = {.lex_state = 40},
  [201] = {.lex_state = 40},
  [202] = {.lex_state = 40},
  [203] = {.lex_state = 40},
  [204] = {.lex_state = 40},
  [205] = {.lex_state = 40},
  [206] = {.lex_state = 40},
  [207] = {.lex_state = 40},
  [208] = {.lex_state = 40},
  [209] = {.lex_state = 40},
  [210] = {.lex_state = 40},
  [211] = {.lex_state = 40},
  [212] = {.lex_state = 40},
  [213] = {.lex_state = 40},
  [214] = {.lex_state = 40},
  [215] = {.lex_state = 40},
  [216] = {.lex_state = 40},
  [217] = {.lex_state = 40},
  [218] = {.lex_state = 40},
  [219] = {.lex_state = 40},
  [220] = {.lex_state = 40},
  [221] = {.lex_state = 40},
  [222] = {.lex_state = 40},
  [223] = {.lex_state = 40},
  [224] = {.lex_state = 40},
  [225] = {.lex_state = 40},
  [226] = {.lex_state = 40},
  [227] = {.lex_state = 41},
  [228] = {.lex_state = 40},
  [229] = {.lex_state = 40},
  [230] = {.lex_state = 40},
  [231] = {.lex_state = 40},
  [232] = {.lex_state = 40},
  [233] = {.lex_state = 40},
  [234] = {.lex_state = 41},
  [235] = {.lex_state = 40},
  [236] = {.lex_state = 40},
  [237] = {.lex_state = 40},
  [238] = {.lex_state = 40},
  [239] = {.lex_state = 40},
  [240] = {.lex_state = 40},
  [241] = {.lex_state = 40},
  [242] = {.lex_state = 40},
  [243] = {.lex_state = 40},
  [244] = {.lex_state = 40},
  [245] = {.lex_state = 40},
  [246] = {.lex_state = 40},
  [247] = {.lex_state = 40},
  [248] = {.lex_state = 40},
  [249] = {.lex_state = 40},
  [250] = {.lex_state = 40},
  [251] = {.lex_state = 40},
  [252] = {.lex_state = 40},
  [253] = {.lex_state = 40},
  [254] = {.lex_state = 40},
  [255] = {.lex_state = 40},
  [256] = {.lex_state = 40},
  [257] = {.lex_state = 40},
  [258] = {.lex_state = 40},
  [259] = {.lex_state = 40},
  [260] = {.lex_state = 40},
  [261] = {.lex_state = 40},
  [262] = {.lex_state = 40},
  [263] = {.lex_state = 40},
  [264] = {.lex_state = 40},
  [265] = {.lex_state = 40},
  [266] = {.lex_state = 40},
  [267] = {.lex_state = 40},
  [268] = {.lex_state = 40},
  [269] = {.lex_state = 40},
  [270] = {.lex_state = 40},
  [271] = {.lex_state = 40},
  [272] = {.lex_state = 40},
  [273] = {.lex_state = 40},
  [274] = {.lex_state = 40},
  [275] = {.lex_state = 40},
  [276] = {.lex_state = 40},
  [277] = {.lex_state = 40},
  [278] = {.lex_state = 40},
  [279] = {.lex_state = 40},
  [280] = {.lex_state = 40},
  [281] = {.lex_state = 40},
  [282] = {.lex_state = 40},
  [283] = {.lex_state = 40},
  [284] = {.lex_state = 40},
  [285] = {.lex_state = 40},
  [286] = {.lex_state = 40},
  [287] = {.lex_state = 40},
  [288] = {.lex_state = 40},
  [289] = {.lex_state = 40},
  [290] = {.lex_state = 40},
  [291] = {.lex_state = 40},
  [292] = {.lex_state = 40},
  [293] = {.lex_state = 40},
  [294] = {.lex_state = 40},
  [295] = {.lex_state = 40},
  [296] = {.lex_state = 40},
  [297] = {.lex_state = 40},
  [298] = {.lex_state = 40},
  [299] = {.lex_state = 40},
  [300] = {.lex_state = 40},
  [301] = {.lex_state = 40},
  [302] = {.lex_state = 40},
  [303] = {.lex_state = 40},
  [304] = {.lex_state = 40},
  [305] = {.lex_state = 40},
  [306] = {.lex_state = 40},
  [307] = {.lex_state = 40},
  [308] = {.lex_state = 40},
  [309] = {.lex_state = 40},
  [310] = {.lex_state = 40},
  [311] = {.lex_state = 40},
  [312] = {.lex_state = 40},
  [313] = {.lex_state = 40},
  [314] = {.lex_state = 40},
  [315] = {.lex_state = 40},
  [316] = {.lex_state = 40},
  [317] = {.lex_state = 40},
  [318] = {.lex_state = 40},
  [319] = {.lex_state = 40},
  [320] = {.lex_state = 40},
  [321] = {.lex_state = 40},
  [322] = {.lex_state = 40},
  [323] = {.lex_state = 40},
  [324] = {.lex_state = 40},
  [325] = {.lex_state = 40},
  [326] = {.lex_state = 40},
  [327] = {.lex_state = 40},
  [328] = {.lex_state = 40},
  [329] = {.lex_state = 40},
  [330] = {.lex_state = 40},
  [331] = {.lex_state = 40},
  [332] = {.lex_state = 40},
  [333] = {.lex_state = 40},
  [334] = {.lex_state = 40},
  [335] = {.lex_state = 40},
  [336] = {.lex_state = 40},
  [337] = {.lex_state = 40},
  [338] = {.lex_state = 40},
  [339] = {.lex_state = 40},
  [340] = {.lex_state = 40},
  [341] = {.lex_state = 40},
  [342] = {.lex_state = 40},
  [343] = {.lex_state = 40},
  [344] = {.lex_state = 40},
  [345] = {.lex_state = 40},
  [346] = {.lex_state = 40},
  [347] = {.lex_state = 40},
  [348] = {.lex_state = 40},
  [349] = {.lex_state = 40},
  [350] = {.lex_state = 40},
  [351] = {.lex_state = 40},
  [352] = {.lex_state = 40},
  [353] = {.lex_state = 40},
  [354] = {.lex_state = 40},
  [355] = {.lex_state = 40},
  [356] = {.lex_state = 40},
  [357] = {.lex_state = 40},
  [358] = {.lex_state = 40},
  [359] = {.lex_state = 40},
  [360] = {.lex_state = 40},
  [361] = {.lex_state = 40},
  [362] = {.lex_state = 40},
  [363] = {.lex_state = 40},
  [364] = {.lex_state = 40},
  [365] = {.lex_state = 40},
  [366] = {.lex_state = 40},
  [367] = {.lex_state = 40},
  [368] = {.lex_state = 40},
  [369] = {.lex_state = 40},
  [370] = {.lex_state = 40},
  [371] = {.lex_state = 40},
  [372] = {.lex_state = 40},
  [373] = {.lex_state = 40},
  [374] = {.lex_state = 40},
  [375] = {.lex_state = 40},
  [376] = {.lex_state = 40},
  [377] = {.lex_state = 40},
  [378] = {.lex_state = 40},
  [379] = {.lex_state = 40},
  [380] = {.lex_state = 40},
  [381] = {.lex_state = 40},
  [382] = {.lex_state = 40},
  [383] = {.lex_state = 40},
  [384] = {.lex_state = 40},
  [385] = {.lex_state = 40},
  [386] = {.lex_state = 40},
  [387] = {.lex_state = 40},
  [388] = {.lex_state = 40},
  [389] = {.lex_state = 40},
  [390] = {.lex_state = 40},
  [391] = {.lex_state = 40},
  [392] = {.lex_state = 40},
  [393] = {.lex_state = 40},
  [394] = {.lex_state = 40},
  [395] = {.lex_state = 40},
  [396] = {.lex_state = 40},
  [397] = {.lex_state = 40},
  [398] = {.lex_state = 40},
  [399] = {.lex_state = 40},
  [400] = {.lex_state = 40},
  [401] = {.lex_state = 40},
  [402] = {.lex_state = 40},
  [403] = {.lex_state = 40},
  [404] = {.lex_state = 40},
  [405] = {.lex_state = 40},
  [406] = {.lex_state = 40},
  [407] = {.lex_state = 40},
  [408] = {.lex_state = 40},
  [409] = {.lex_state = 40},
  [410] = {.lex_state = 40},
  [411] = {.lex_state = 11},
  [412] = {.lex_state = 11},
  [413] = {.lex_state = 11},
  [414] = {.lex_state = 40},
  [415] = {.lex_state = 11},
  [416] = {.lex_state = 40},
  [417] = {.lex_state = 11},
  [418] = {.lex_state = 11},
  [419] = {.lex_state = 40},
  [420] = {.lex_state = 11},
  [421] = {.lex_state = 11},
  [422] = {.lex_state = 40},
  [423] = {.lex_state = 11},
  [424] = {.lex_state = 11},
  [425] = {.lex_state = 11},
  [426] = {.lex_state = 11},
  [427] = {.lex_state = 11},
  [428] = {.lex_state = 40},
  [429] = {.lex_state = 11},
  [430] = {.lex_state = 11},
  [431] = {.lex_state = 40},
  [432] = {.lex_state = 11},
  [433] = {.lex_state = 11},
  [434] = {.lex_state = 11},
  [435] = {.lex_state = 11},
  [436] = {.lex_state = 11},
  [437] = {.lex_state = 11},
  [438] = {.lex_state = 11},
  [439] = {.lex_state = 11},
  [440] = {.lex_state = 11},
  [441] = {.lex_state = 11},
  [442] = {.lex_state = 11},
  [443] = {.lex_state = 11},
  [444] = {.lex_state = 11},
  [445] = {.lex_state = 11},
  [446] = {.lex_state = 11},
  [447] = {.lex_state = 11},
  [448] = {.lex_state = 11},
  [449] = {.lex_state = 11},
  [450] = {.lex_state = 11},
  [451] = {.lex_state = 11},
  [452] = {.lex_state = 11},
  [453] = {.lex_state = 11},
  [454] = {.lex_state = 40},
  [455] = {.lex_state = 11},
  [456] = {.lex_state = 11},
  [457] = {.lex_state = 11},
  [458] = {.lex_state = 11},
  [459] = {.lex_state = 11},
  [460] = {.lex_state = 11},
  [461] = {.lex_state = 11},
  [462] = {.lex_state = 40},
  [463] = {.lex_state = 11},
  [464] = {.lex_state = 40},
  [465] = {.lex_state = 40},
  [466] = {.lex_state = 40},
  [467] = {.lex_state = 40},
  [468] = {.lex_state = 11},
  [469] = {.lex_state = 40},
  [470] = {.lex_state = 40},
  [471] = {.lex_state = 40},
  [472] = {.lex_state = 40},
  [473] = {.lex_state = 11},
  [474] = {.lex_state = 11},
  [475] = {.lex_state = 11},
  [476] = {.lex_state = 41},
  [477] = {.lex_state = 40},
  [478] = {.lex_state = 11},
  [479] = {.lex_state = 11},
  [480] = {.lex_state = 11},
  [481] = {.lex_state = 11},
  [482] = {.lex_state = 11},
  [483] = {.lex_state = 11},
  [484] = {.lex_state = 40},
  [485] = {.lex_state = 40},
  [486] = {.lex_state = 11},
  [487] = {.lex_state = 11},
  [488] = {.lex_state = 11},
  [489] = {.lex_state = 11},
  [490] = {.lex_state = 11},
  [491] = {.lex_state = 11},
  [492] = {.lex_state = 11},
  [493] = {.lex_state = 11},
  [494] = {.lex_state = 11},
  [495] = {.lex_state = 11},
  [496] = {.lex_state = 11},
  [497] = {.lex_state = 11},
  [498] = {.lex_state = 11},
  [499] = {.lex_state = 11},
  [500] = {.lex_state = 11},
  [501] = {.lex_state = 11},
  [502] = {.lex_state = 11},
  [503] = {.lex_state = 11},
  [504] = {.lex_state = 11},
  [505] = {.lex_state = 11},
  [506] = {.lex_state = 11},
  [507] = {.lex_state = 11},
  [508] = {.lex_state = 3},
  [509] = {.lex_state = 11},
  [510] = {.lex_state = 11},
  [511] = {.lex_state = 40},
  [512] = {.lex_state = 40},
  [513] = {.lex_state = 40},
  [514] = {.lex_state = 11},
  [515] = {.lex_state = 11},
  [516] = {.lex_state = 41},
  [517] = {.lex_state = 41},
  [518] = {.lex_state = 11},
  [519] = {.lex_state = 41},
  [520] = {.lex_state = 41},
  [521] = {.lex_state = 41},
  [522] = {.lex_state = 41},
  [523] = {.lex_state = 41},
  [524] = {.lex_state = 41},
  [525] = {.lex_state = 41},
  [526] = {.lex_state = 41},
  [527] = {.lex_state = 11},
  [528] = {.lex_state = 11},
  [529] = {.lex_state = 11},
  [530] = {.lex_state = 41},
  [531] = {.lex_state = 41},
  [532] = {.lex_state = 11},
  [533] = {.lex_state = 41},
  [534] = {.lex_state = 41},
  [535] = {.lex_state = 41},
  [536] = {.lex_state = 41},
  [537] = {.lex_state = 41},
  [538] = {.lex_state = 41},
  [539] = {.lex_state = 41},
  [540] = {.lex_state = 41},
  [541] = {.lex_state = 41},
  [542] = {.lex_state = 41},
  [543] = {.lex_state = 41},
  [544] = {.lex_state = 41},
  [545] = {.lex_state = 41},
  [546] = {.lex_state = 1},
  [547] = {.lex_state = 1},
  [548] = {.lex_state = 1},
  [549] = {.lex_state = 2},
  [550] = {.lex_state = 2},
  [551] = {.lex_state = 2},
  [552] = {.lex_state = 41},
  [553] = {.lex_state = 41},
  [554] = {.lex_state = 40},
  [555] = {.lex_state = 40},
  [556] = {.lex_state = 40},
  [557] = {.lex_state = 6},
  [558] = {.lex_state = 6},
  [559] = {.lex_state = 6},
  [560] = {.lex_state = 41},
  [561] = {.lex_state = 41},
  [562] = {.lex_state = 41},
  [563] = {.lex_state = 41},
  [564] = {.lex_state = 41},
  [565] = {.lex_state = 41},
  [566] = {.lex_state = 41},
  [567] = {.lex_state = 41},
  [568] = {.lex_state = 41},
  [569] = {.lex_state = 41},
  [570] = {.lex_state = 41},
  [571] = {.lex_state = 41},
  [572] = {.lex_state = 41},
  [573] = {.lex_state = 41},
  [574] = {.lex_state = 41},
  [575] = {.lex_state = 41},
  [576] = {.lex_state = 41},
  [577] = {.lex_state = 41},
  [578] = {.lex_state = 41},
  [579] = {.lex_state = 41},
  [580] = {.lex_state = 41},
  [581] = {.lex_state = 41},
  [582] = {.lex_state = 41},
  [583] = {.lex_state = 41},
  [584] = {.lex_state = 41},
  [585] = {.lex_state = 41},
  [586] = {.lex_state = 41},
  [587] = {.lex_state = 41},
  [588] = {.lex_state = 41},
  [589] = {.lex_state = 41},
  [590] = {.lex_state = 41},
  [591] = {.lex_state = 41},
  [592] = {.lex_state = 41},
  [593] = {.lex_state = 41},
  [594] = {.lex_state = 41},
  [595] = {.lex_state = 41},
  [596] = {.lex_state = 40},
  [597] = {.lex_state = 41},
  [598] = {.lex_state = 40},
  [599] = {.lex_state = 41},
  [600] = {.lex_state = 40},
  [601] = {.lex_state = 41},
  [602] = {.lex_state = 40},
  [603] = {.lex_state = 40},
  [604] = {.lex_state = 41},
  [605] = {.lex_state = 41},
  [606] = {.lex_state = 41},
  [607] = {.lex_state = 40},
  [608] = {.lex_state = 40},
  [609] = {.lex_state = 40},
  [610] = {.lex_state = 40},
  [611] = {.lex_state = 40},
  [612] = {.lex_state = 40},
  [613] = {.lex_state = 41},
  [614] = {.lex_state = 41},
  [615] = {.lex_state = 41},
  [616] = {.lex_state = 40},
  [617] = {.lex_state = 40},
  [618] = {.lex_state = 41},
  [619] = {.lex_state = 40},
  [620] = {.lex_state = 40},
  [621] = {.lex_state = 40},
  [622] = {.lex_state = 40},
  [623] = {.lex_state = 41},
  [624] = {.lex_state = 40},
  [625] = {.lex_state = 40},
  [626] = {.lex_state = 40},
  [627] = {.lex_state = 40},
  [628] = {.lex_state = 40},
  [629] = {.lex_state = 40},
  [630] = {.lex_state = 41},
  [631] = {.lex_state = 40},
  [632] = {.lex_state = 40},
  [633] = {.lex_state = 40},
  [634] = {.lex_state = 40},
  [635] = {.lex_state = 40},
  [636] = {.lex_state = 40},
  [637] = {.lex_state = 40},
  [638] = {.lex_state = 40},
  [639] = {.lex_state = 3},
  [640] = {.lex_state = 3},
  [641] = {.lex_state = 41},
  [642] = {.lex_state = 40},
  [643] = {.lex_state = 41},
  [644] = {.lex_state = 3},
  [645] = {.lex_state = 41},
  [646] = {.lex_state = 4},
  [647] = {.lex_state = 41},
  [648] = {.lex_state = 40},
  [649] = {.lex_state = 3},
  [650] = {.lex_state = 40},
  [651] = {.lex_state = 40},
  [652] = {.lex_state = 40},
  [653] = {.lex_state = 3},
  [654] = {.lex_state = 41},
  [655] = {.lex_state = 4},
  [656] = {.lex_state = 4},
  [657] = {.lex_state = 4},
  [658] = {.lex_state = 4},
  [659] = {.lex_state = 3},
  [660] = {.lex_state = 4},
  [661] = {.lex_state = 3},
  [662] = {.lex_state = 40},
  [663] = {.lex_state = 40},
  [664] = {.lex_state = 3},
  [665] = {.lex_state = 4},
  [666] = {.lex_state = 4},
  [667] = {.lex_state = 4},
  [668] = {.lex_state = 41},
  [669] = {.lex_state = 40},
  [670] = {.lex_state = 40},
  [671] = {.lex_state = 3},
  [672] = {.lex_state = 4},
  [673] = {.lex_state = 3},
  [674] = {.lex_state = 40},
  [675] = {.lex_state = 40},
  [676] = {.lex_state = 40},
  [677] = {.lex_state = 40},
  [678] = {.lex_state = 40},
  [679] = {.lex_state = 40},
  [680] = {.lex_state = 40},
  [681] = {.lex_state = 40},
  [682] = {.lex_state = 41},
  [683] = {.lex_state = 40},
  [684] = {.lex_state = 40},
  [685] = {.lex_state = 40},
  [686] = {.lex_state = 41},
  [687] = {.lex_state = 41},
  [688] = {.lex_state = 40},
  [689] = {.lex_state = 40},
  [690] = {.lex_state = 40},
  [691] = {.lex_state = 40},
  [692] = {.lex_state = 40},
  [693] = {.lex_state = 40},
  [694] = {.lex_state = 40},
  [695] = {.lex_state = 41},
  [696] = {.lex_state = 41},
  [697] = {.lex_state = 40},
  [698] = {.lex_state = 40},
  [699] = {.lex_state = 41},
  [700] = {.lex_state = 40},
  [701] = {.lex_state = 41},
  [702] = {.lex_state = 40},
  [703] = {.lex_state = 41},
  [704] = {.lex_state = 40},
  [705] = {.lex_state = 40},
  [706] = {.lex_state = 40},
  [707] = {.lex_state = 40},
  [708] = {.lex_state = 40},
  [709] = {.lex_state = 40},
  [710] = {.lex_state = 41},
  [711] = {.lex_state = 41},
  [712] = {.lex_state = 40},
  [713] = {.lex_state = 40},
  [714] = {.lex_state = 40},
  [715] = {.lex_state = 41},
  [716] = {.lex_state = 40},
  [717] = {.lex_state = 40},
  [718] = {.lex_state = 41},
  [719] = {.lex_state = 41},
  [720] = {.lex_state = 40},
  [721] = {.lex_state = 41},
  [722] = {.lex_state = 40},
  [723] = {.lex_state = 41},
  [724] = {.lex_state = 40},
  [725] = {.lex_state = 40},
  [726] = {.lex_state = 40},
  [727] = {.lex_state = 40},
  [728] = {.lex_state = 41},
  [729] = {.lex_state = 40},
  [730] = {.lex_state = 40},
  [731] = {.lex_state = 40},
  [732] = {.lex_state = 40},
  [733] = {.lex_state = 40},
  [734] = {.lex_state = 40},
  [735] = {.lex_state = 40},
  [736] = {.lex_state = 40},
  [737] = {.lex_state = 40},
  [738] = {.lex_state = 40},
  [739] = {.lex_state = 40},
  [740] = {.lex_state = 40},
  [741] = {.lex_state = 40},
  [742] = {.lex_state = 40},
  [743] = {.lex_state = 40},
  [744] = {.lex_state = 40},
  [745] = {.lex_state = 40},
  [746] = {.lex_state = 41},
  [747] = {.lex_state = 40},
  [748] = {.lex_state = 40},
  [749] = {.lex_state = 41},
  [750] = {.lex_state = 40},
  [751] = {.lex_state = 40},
  [752] = {.lex_state = 40},
  [753] = {.lex_state = 40},
  [754] = {.lex_state = 40},
  [755] = {.lex_state = 40},
  [756] = {.lex_state = 40},
  [757] = {.lex_state = 40},
  [758] = {.lex_state = 40},
  [759] = {.lex_state = 40},
  [760] = {.lex_state = 40},
  [761] = {.lex_state = 40},
  [762] = {.lex_state = 40},
  [763] = {.lex_state = 40},
  [764] = {.lex_state = 40},
  [765] = {.lex_state = 40},
  [766] = {.lex_state = 40},
  [767] = {.lex_state = 40},
  [768] = {.lex_state = 40},
  [769] = {.lex_state = 40},
  [770] = {.lex_state = 40},
  [771] = {.lex_state = 40},
  [772] = {.lex_state = 40},
  [773] = {.lex_state = 40},
  [774] = {.lex_state = 40},
  [775] = {.lex_state = 40},
  [776] = {.lex_state = 41},
  [777] = {.lex_state = 40},
  [778] = {.lex_state = 40},
  [779] = {.lex_state = 40},
  [780] = {.lex_state = 40},
  [781] = {.lex_state = 40},
  [782] = {.lex_state = 41},
  [783] = {.lex_state = 40},
  [784] = {.lex_state = 40},
  [785] = {.lex_state = 40},
  [786] = {.lex_state = 40},
  [787] = {.lex_state = 40},
  [788] = {.lex_state = 40},
  [789] = {.lex_state = 41},
  [790] = {.lex_state = 40},
  [791] = {.lex_state = 41},
  [792] = {.lex_state = 41},
  [793] = {.lex_state = 40},
  [794] = {.lex_state = 41},
  [795] = {.lex_state = 40},
  [796] = {.lex_state = 40},
  [797] = {.lex_state = 40},
  [798] = {.lex_state = 40},
  [799] = {.lex_state = 41},
  [800] = {.lex_state = 40},
  [801] = {.lex_state = 40},
  [802] = {.lex_state = 41},
  [803] = {.lex_state = 40},
  [804] = {.lex_state = 41},
  [805] = {.lex_state = 41},
  [806] = {.lex_state = 41},
  [807] = {.lex_state = 41},
  [808] = {.lex_state = 40},
  [809] = {.lex_state = 41},
  [810] = {.lex_state = 40},
  [811] = {.lex_state = 40},
  [812] = {.lex_state = 40},
  [813] = {.lex_state = 40},
  [814] = {.lex_state = 41},
  [815] = {.lex_state = 40},
  [816] = {.lex_state = 40},
  [817] = {.lex_state = 41},
  [818] = {.lex_state = 40},
  [819] = {.lex_state = 41},
  [820] = {.lex_state = 40},
  [821] = {.lex_state = 40},
  [822] = {.lex_state = 40},
  [823] = {.lex_state = 40},
  [824] = {.lex_state = 41},
  [825] = {.lex_state = 41},
  [826] = {.lex_state = 41},
  [827] = {.lex_state = 40},
  [828] = {.lex_state = 41},
  [829] = {.lex_state = 40},
  [830] = {.lex_state = 40},
  [831] = {.lex_state = 40},
  [832] = {.lex_state = 40},
  [833] = {.lex_state = 40},
  [834] = {.lex_state = 40},
  [835] = {.lex_state = 41},
  [836] = {.lex_state = 40},
  [837] = {.lex_state = 40},
  [838] = {.lex_state = 40},
  [839] = {.lex_state = 40},
  [840] = {.lex_state = 41},
  [841] = {.lex_state = 41},
  [842] = {.lex_state = 40},
  [843] = {.lex_state = 41},
  [844] = {.lex_state = 41},
  [845] = {.lex_state = 41},
  [846] = {.lex_state = 41},
  [847] = {.lex_state = 40},
  [848] = {.lex_state = 40},
  [849] = {.lex_state = 40},
  [850] = {.lex_state = 41},
  [851] = {.lex_state = 40},
  [852] = {.lex_state = 41},
  [853] = {.lex_state = 41},
  [854] = {.lex_state = 40},
  [855] = {.lex_state = 40},
  [856] = {.lex_state = 41},
  [857] = {.lex_state = 41},
  [858] = {.lex_state = 41},
  [859] = {.lex_state = 40},
  [860] = {.lex_state = 41},
  [861] = {.lex_state = 40},
  [862] = {.lex_state = 40},
  [863] = {.lex_state = 40},
  [864] = {.lex_state = 40},
  [865] = {.lex_state = 40},
  [866] = {.lex_state = 41},
  [867] = {.lex_state = 40},
  [868] = {.lex_state = 40},
  [869] = {.lex_state = 40},
  [870] = {.lex_state = 41},
  [871] = {.lex_state = 41},
  [872] = {.lex_state = 40},
  [873] = {.lex_state = 40},
  [874] = {.lex_state = 40},
  [875] = {.lex_state = 40},
  [876] = {.lex_state = 40},
  [877] = {.lex_state = 41},
  [878] = {.lex_state = 40},
  [879] = {.lex_state = 40},
  [880] = {.lex_state = 40},
  [881] = {.lex_state = 40},
  [882] = {.lex_state = 41},
  [883] = {.lex_state = 40},
  [884] = {.lex_state = 40},
  [885] = {.lex_state = 40},
  [886] = {.lex_state = 40},
  [887] = {.lex_state = 40},
  [888] = {.lex_state = 40},
  [889] = {.lex_state = 40},
  [890] = {.lex_state = 40},
  [891] = {.lex_state = 40},
  [892] = {.lex_state = 40},
  [893] = {.lex_state = 40},
  [894] = {.lex_state = 40},
  [895] = {.lex_state = 40},
  [896] = {.lex_state = 40},
  [897] = {.lex_state = 40},
  [898] = {.lex_state = 40},
  [899] = {.lex_state = 40},
  [900] = {.lex_state = 40},
  [901] = {.lex_state = 40},
  [902] = {.lex_state = 40},
  [903] = {.lex_state = 40},
  [904] = {.lex_state = 40},
  [905] = {.lex_state = 40},
  [906] = {.lex_state = 40},
  [907] = {.lex_state = 40},
  [908] = {.lex_state = 40},
  [909] = {.lex_state = 40},
  [910] = {.lex_state = 40},
  [911] = {.lex_state = 40},
  [912] = {.lex_state = 40},
  [913] = {.lex_state = 40},
  [914] = {.lex_state = 40},
  [915] = {.lex_state = 40},
  [916] = {.lex_state = 40},
  [917] = {.lex_state = 40},
  [918] = {.lex_state = 40},
  [919] = {.lex_state = 40},
  [920] = {.lex_state = 40},
  [921] = {.lex_state = 40},
  [922] = {.lex_state = 40},
  [923] = {.lex_state = 40},
  [924] = {.lex_state = 40},
  [925] = {.lex_state = 40},
  [926] = {.lex_state = 40},
  [927] = {.lex_state = 40},
  [928] = {.lex_state = 40},
  [929] = {.lex_state = 40},
  [930] = {.lex_state = 40},
  [931] = {.lex_state = 40},
  [932] = {.lex_state = 40},
  [933] = {.lex_state = 40},
  [934] = {.lex_state = 40},
  [935] = {.lex_state = 40},
  [936] = {.lex_state = 40},
  [937] = {.lex_state = 41},
  [938] = {.lex_state = 41},
  [939] = {.lex_state = 40},
  [940] = {.lex_state = 41},
  [941] = {.lex_state = 40},
  [942] = {.lex_state = 40},
  [943] = {.lex_state = 40},
  [944] = {.lex_state = 40},
  [945] = {.lex_state = 40},
  [946] = {.lex_state = 40},
  [947] = {.lex_state = 40},
  [948] = {.lex_state = 40},
  [949] = {.lex_state = 40},
  [950] = {.lex_state = 40},
  [951] = {.lex_state = 40},
  [952] = {.lex_state = 40},
  [953] = {.lex_state = 40},
  [954] = {.lex_state = 40},
  [955] = {.lex_state = 40},
  [956] = {.lex_state = 40},
  [957] = {.lex_state = 40},
  [958] = {.lex_state = 40},
  [959] = {.lex_state = 40},
  [960] = {.lex_state = 40},
  [961] = {.lex_state = 40},
  [962] = {.lex_state = 40},
  [963] = {.lex_state = 40},
  [964] = {.lex_state = 40},
  [965] = {.lex_state = 40},
  [966] = {.lex_state = 40},
  [967] = {.lex_state = 40},
  [968] = {.lex_state = 40},
  [969] = {.lex_state = 40},
  [970] = {.lex_state = 40},
  [971] = {.lex_state = 40},
  [972] = {.lex_state = 40},
  [973] = {.lex_state = 40},
  [974] = {.lex_state = 40},
  [975] = {.lex_state = 40},
  [976] = {.lex_state = 40},
  [977] = {.lex_state = 40},
  [978] = {.lex_state = 40},
  [979] = {.lex_state = 40},
  [980] = {.lex_state = 40},
  [981] = {.lex_state = 40},
  [982] = {.lex_state = 40},
  [983] = {.lex_state = 40},
  [984] = {.lex_state = 40},
  [985] = {.lex_state = 40},
  [986] = {.lex_state = 40},
  [987] = {.lex_state = 40},
  [988] = {.lex_state = 40},
  [989] = {.lex_state = 40},
  [990] = {.lex_state = 40},
  [991] = {.lex_state = 40},
  [992] = {.lex_state = 40},
  [993] = {.lex_state = 40},
  [994] = {.lex_state = 40},
  [995] = {.lex_state = 40},
  [996] = {.lex_state = 40},
  [997] = {.lex_state = 40},
  [998] = {.lex_state = 40},
  [999] = {.lex_state = 40},
  [1000] = {.lex_state = 40},
  [1001] = {.lex_state = 40},
  [1002] = {.lex_state = 40},
  [1003] = {.lex_state = 40},
  [1004] = {.lex_state = 40},
  [1005] = {.lex_state = 40},
  [1006] = {.lex_state = 40},
  [1007] = {.lex_state = 40},
  [1008] = {.lex_state = 40},
  [1009] = {.lex_state = 40},
  [1010] = {.lex_state = 40},
  [1011] = {.lex_state = 40},
  [1012] = {.lex_state = 40},
  [1013] = {.lex_state = 40},
  [1014] = {.lex_state = 40},
  [1015] = {.lex_state = 40},
  [1016] = {.lex_state = 40},
  [1017] = {.lex_state = 41},
  [1018] = {.lex_state = 41},
  [1019] = {.lex_state = 41},
  [1020] = {.lex_state = 41},
  [1021] = {.lex_state = 41},
  [1022] = {.lex_state = 40},
  [1023] = {.lex_state = 40},
  [1024] = {.lex_state = 40},
  [1025] = {.lex_state = 41},
  [1026] = {.lex_state = 11},
  [1027] = {.lex_state = 40},
  [1028] = {.lex_state = 11},
  [1029] = {.lex_state = 40},
  [1030] = {.lex_state = 40},
  [1031] = {.lex_state = 40},
  [1032] = {.lex_state = 40},
  [1033] = {.lex_state = 41},
  [1034] = {.lex_state = 41},
  [1035] = {.lex_state = 41},
  [1036] = {.lex_state = 41},
  [1037] = {.lex_state = 41},
  [1038] = {.lex_state = 41},
  [1039] = {.lex_state = 40},
  [1040] = {.lex_state = 41},
  [1041] = {.lex_state = 11},
  [1042] = {.lex_state = 40},
  [1043] = {.lex_state = 40},
  [1044] = {.lex_state = 11},
  [1045] = {.lex_state = 40},
  [1046] = {.lex_state = 40},
  [1047] = {.lex_state = 41},
  [1048] = {.lex_state = 11},
  [1049] = {.lex_state = 11},
  [1050] = {.lex_state = 41},
  [1051] = {.lex_state = 41},
  [1052] = {.lex_state = 40},
  [1053] = {.lex_state = 40},
  [1054] = {.lex_state = 40},
  [1055] = {.lex_state = 41},
  [1056] = {.lex_state = 41},
  [1057] = {.lex_state = 41},
  [1058] = {.lex_state = 41},
  [1059] = {.lex_state = 41},
  [1060] = {.lex_state = 41},
  [1061] = {.lex_state = 41},
  [1062] = {.lex_state = 41},
  [1063] = {.lex_state = 41},
  [1064] = {.lex_state = 41},
  [1065] = {.lex_state = 41},
  [1066] = {.lex_state = 41},
  [1067] = {.lex_state = 41},
  [1068] = {.lex_state = 41},
  [1069] = {.lex_state = 41},
  [1070] = {.lex_state = 41},
  [1071] = {.lex_state = 40},
  [1072] = {.lex_state = 41},
  [1073] = {.lex_state = 41},
  [1074] = {.lex_state = 41},
  [1075] = {.lex_state = 41},
  [1076] = {.lex_state = 41},
  [1077] = {.lex_state = 41},
  [1078] = {.lex_state = 41},
  [1079] = {.lex_state = 41},
  [1080] = {.lex_state = 41},
  [1081] = {.lex_state = 40},
  [1082] = {.lex_state = 41},
  [1083] = {.lex_state = 41},
  [1084] = {.lex_state = 41},
  [1085] = {.lex_state = 41},
  [1086] = {.lex_state = 41},
  [1087] = {.lex_state = 41},
  [1088] = {.lex_state = 41},
  [1089] = {.lex_state = 41},
  [1090] = {.lex_state = 41},
  [1091] = {.lex_state = 41},
  [1092] = {.lex_state = 41},
  [1093] = {.lex_state = 41},
  [1094] = {.lex_state = 41},
  [1095] = {.lex_state = 41},
  [1096] = {.lex_state = 41},
  [1097] = {.lex_state = 41},
  [1098] = {.lex_state = 41},
  [1099] = {.lex_state = 41},
  [1100] = {.lex_state = 41},
  [1101] = {.lex_state = 41},
  [1102] = {.lex_state = 41},
  [1103] = {.lex_state = 41},
  [1104] = {.lex_state = 41},
  [1105] = {.lex_state = 41},
  [1106] = {.lex_state = 41},
  [1107] = {.lex_state = 41},
  [1108] = {.lex_state = 40},
  [1109] = {.lex_state = 41},
  [1110] = {.lex_state = 40},
  [1111] = {.lex_state = 40},
  [1112] = {.lex_state = 40},
  [1113] = {.lex_state = 40},
  [1114] = {.lex_state = 41},
  [1115] = {.lex_state = 40},
  [1116] = {.lex_state = 11},
  [1117] = {.lex_state = 40},
  [1118] = {.lex_state = 40},
  [1119] = {.lex_state = 40},
  [1120] = {.lex_state = 40},
  [1121] = {.lex_state = 40},
  [1122] = {.lex_state = 40},
  [1123] = {.lex_state = 40},
  [1124] = {.lex_state = 40},
  [1125] = {.lex_state = 40},
  [1126] = {.lex_state = 40},
  [1127] = {.lex_state = 40},
  [1128] = {.lex_state = 40},
  [1129] = {.lex_state = 40},
  [1130] = {.lex_state = 40},
  [1131] = {.lex_state = 40},
  [1132] = {.lex_state = 40},
  [1133] = {.lex_state = 40},
  [1134] = {.lex_state = 40},
  [1135] = {.lex_state = 40},
  [1136] = {.lex_state = 40},
  [1137] = {.lex_state = 40},
  [1138] = {.lex_state = 40},
  [1139] = {.lex_state = 40},
  [1140] = {.lex_state = 40},
  [1141] = {.lex_state = 40},
  [1142] = {.lex_state = 40},
  [1143] = {.lex_state = 40},
  [1144] = {.lex_state = 40},
  [1145] = {.lex_state = 40},
  [1146] = {.lex_state = 40},
  [1147] = {.lex_state = 40},
  [1148] = {.lex_state = 40},
  [1149] = {.lex_state = 40},
  [1150] = {.lex_state = 40},
  [1151] = {.lex_state = 40},
  [1152] = {.lex_state = 40},
  [1153] = {.lex_state = 41},
  [1154] = {.lex_state = 40},
  [1155] = {.lex_state = 40},
  [1156] = {.lex_state = 40},
  [1157] = {.lex_state = 40},
  [1158] = {.lex_state = 40},
  [1159] = {.lex_state = 40},
  [1160] = {.lex_state = 40},
  [1161] = {.lex_state = 40},
  [1162] = {.lex_state = 40},
  [1163] = {.lex_state = 40},
  [1164] = {.lex_state = 40},
  [1165] = {.lex_state = 40},
  [1166] = {.lex_state = 40},
  [1167] = {.lex_state = 40},
  [1168] = {.lex_state = 40},
  [1169] = {.lex_state = 40},
  [1170] = {.lex_state = 40},
  [1171] = {.lex_state = 40},
  [1172] = {.lex_state = 40},
  [1173] = {.lex_state = 40},
  [1174] = {.lex_state = 40},
  [1175] = {.lex_state = 40},
  [1176] = {.lex_state = 40},
  [1177] = {.lex_state = 40},
  [1178] = {.lex_state = 40},
  [1179] = {.lex_state = 40},
  [1180] = {.lex_state = 40},
  [1181] = {.lex_state = 40},
  [1182] = {.lex_state = 40},
  [1183] = {.lex_state = 40},
  [1184] = {.lex_state = 40},
  [1185] = {.lex_state = 40},
  [1186] = {.lex_state = 40},
  [1187] = {.lex_state = 40},
  [1188] = {.lex_state = 4},
  [1189] = {.lex_state = 40},
  [1190] = {.lex_state = 40},
  [1191] = {.lex_state = 40},
  [1192] = {.lex_state = 4},
  [1193] = {.lex_state = 3},
  [1194] = {.lex_state = 3},
  [1195] = {.lex_state = 40},
  [1196] = {.lex_state = 40},
  [1197] = {.lex_state = 40},
  [1198] = {.lex_state = 41},
  [1199] = {.lex_state = 41},
  [1200] = {.lex_state = 40},
  [1201] = {.lex_state = 41},
  [1202] = {.lex_state = 40},
  [1203] = {.lex_state = 40},
  [1204] = {.lex_state = 40},
  [1205] = {.lex_state = 41},
  [1206] = {.lex_state = 41},
  [1207] = {.lex_state = 40},
  [1208] = {.lex_state = 41},
  [1209] = {.lex_state = 41},
  [1210] = {.lex_state = 40},
  [1211] = {.lex_state = 41},
  [1212] = {.lex_state = 40},
  [1213] = {.lex_state = 40},
  [1214] = {.lex_state = 40},
  [1215] = {.lex_state = 41},
  [1216] = {.lex_state = 40},
  [1217] = {.lex_state = 41},
  [1218] = {.lex_state = 40},
  [1219] = {.lex_state = 40},
  [1220] = {.lex_state = 40},
  [1221] = {.lex_state = 40},
  [1222] = {.lex_state = 41},
  [1223] = {.lex_state = 40},
  [1224] = {.lex_state = 41},
  [1225] = {.lex_state = 41},
  [1226] = {.lex_state = 40},
  [1227] = {.lex_state = 41},
  [1228] = {.lex_state = 40},
  [1229] = {.lex_state = 40},
  [1230] = {.lex_state = 40},
  [1231] = {.lex_state = 40},
  [1232] = {.lex_state = 4},
  [1233] = {.lex_state = 40},
  [1234] = {.lex_state = 3},
  [1235] = {.lex_state = 4},
  [1236] = {.lex_state = 40},
  [1237] = {.lex_state = 41},
  [1238] = {.lex_state = 41},
  [1239] = {.lex_state = 41},
  [1240] = {.lex_state = 41},
  [1241] = {.lex_state = 40},
  [1242] = {.lex_state = 3},
  [1243] = {.lex_state = 40},
  [1244] = {.lex_state = 41},
  [1245] = {.lex_state = 41},
  [1246] = {.lex_state = 3},
  [1247] = {.lex_state = 41},
  [1248] = {.lex_state = 3},
  [1249] = {.lex_state = 40},
  [1250] = {.lex_state = 4},
  [1251] = {.lex_state = 40},
  [1252] = {.lex_state = 4},
  [1253] = {.lex_state = 3},
  [1254] = {.lex_state = 40},
  [1255] = {.lex_state = 4},
  [1256] = {.lex_state = 11},
  [1257] = {.lex_state = 11},
  [1258] = {.lex_state = 41},
  [1259] = {.lex_state = 3},
  [1260] = {.lex_state = 3},
  [1261] = {.lex_state = 3},
  [1262] = {.lex_state = 4},
  [1263] = {.lex_state = 3},
  [1264] = {.lex_state = 3},
  [1265] = {.lex_state = 41},
  [1266] = {.lex_state = 41},
  [1267] = {.lex_state = 4},
  [1268] = {.lex_state = 41},
  [1269] = {.lex_state = 3},
  [1270] = {.lex_state = 3},
  [1271] = {.lex_state = 3},
  [1272] = {.lex_state = 3},
  [1273] = {.lex_state = 3},
  [1274] = {.lex_state = 3},
  [1275] = {.lex_state = 3},
  [1276] = {.lex_state = 3},
  [1277] = {.lex_state = 3},
  [1278] = {.lex_state = 3},
  [1279] = {.lex_state = 3},
  [1280] = {.lex_state = 4},
  [1281] = {.lex_state = 41},
  [1282] = {.lex_state = 41},
  [1283] = {.lex_state = 4},
  [1284] = {.lex_state = 4},
  [1285] = {.lex_state = 41},
  [1286] = {.lex_state = 11},
  [1287] = {.lex_state = 41},
  [1288] = {.lex_state = 4},
  [1289] = {.lex_state = 3},
  [1290] = {.lex_state = 4},
  [1291] = {.lex_state = 4},
  [1292] = {.lex_state = 3},
  [1293] = {.lex_state = 3},
  [1294] = {.lex_state = 4},
  [1295] = {.lex_state = 3},
  [1296] = {.lex_state = 4},
  [1297] = {.lex_state = 3},
  [1298] = {.lex_state = 4},
  [1299] = {.lex_state = 3},
  [1300] = {.lex_state = 40},
  [1301] = {.lex_state = 4},
  [1302] = {.lex_state = 4},
  [1303] = {.lex_state = 4},
  [1304] = {.lex_state = 3},
  [1305] = {.lex_state = 4},
  [1306] = {.lex_state = 41},
  [1307] = {.lex_state = 4},
  [1308] = {.lex_state = 3},
  [1309] = {.lex_state = 4},
  [1310] = {.lex_state = 4},
  [1311] = {.lex_state = 4},
  [1312] = {.lex_state = 4},
  [1313] = {.lex_state = 4},
  [1314] = {.lex_state = 4},
  [1315] = {.lex_state = 11},
  [1316] = {.lex_state = 40},
  [1317] = {.lex_state = 3},
  [1318] = {.lex_state = 11},
  [1319] = {.lex_state = 3},
  [1320] = {.lex_state = 4},
  [1321] = {.lex_state = 40},
  [1322] = {.lex_state = 4},
  [1323] = {.lex_state = 4},
  [1324] = {.lex_state = 41},
  [1325] = {.lex_state = 4},
  [1326] = {.lex_state = 40},
  [1327] = {.lex_state = 11},
  [1328] = {.lex_state = 41},
  [1329] = {.lex_state = 40},
  [1330] = {.lex_state = 4},
  [1331] = {.lex_state = 11},
  [1332] = {.lex_state = 41},
  [1333] = {.lex_state = 11},
  [1334] = {.lex_state = 11},
  [1335] = {.lex_state = 11},
  [1336] = {.lex_state = 11},
  [1337] = {.lex_state = 11},
  [1338] = {.lex_state = 11},
  [1339] = {.lex_state = 11},
  [1340] = {.lex_state = 11},
  [1341] = {.lex_state = 11},
  [1342] = {.lex_state = 11},
  [1343] = {.lex_state = 11},
  [1344] = {.lex_state = 11},
  [1345] = {.lex_state = 11},
  [1346] = {.lex_state = 41},
  [1347] = {.lex_state = 11},
  [1348] = {.lex_state = 41},
  [1349] = {.lex_state = 11},
  [1350] = {.lex_state = 41},
  [1351] = {.lex_state = 11},
  [1352] = {.lex_state = 41},
  [1353] = {.lex_state = 41},
  [1354] = {.lex_state = 41},
  [1355] = {.lex_state = 41},
  [1356] = {.lex_state = 11},
  [1357] = {.lex_state = 11},
  [1358] = {.lex_state = 11},
  [1359] = {.lex_state = 11},
  [1360] = {.lex_state = 11},
  [1361] = {.lex_state = 41},
  [1362] = {.lex_state = 41},
  [1363] = {.lex_state = 11},
  [1364] = {.lex_state = 41},
  [1365] = {.lex_state = 11},
  [1366] = {.lex_state = 41},
  [1367] = {.lex_state = 11},
  [1368] = {.lex_state = 11},
  [1369] = {.lex_state = 11},
  [1370] = {.lex_state = 41},
  [1371] = {.lex_state = 11},
  [1372] = {.lex_state = 11},
  [1373] = {.lex_state = 11},
  [1374] = {.lex_state = 11},
  [1375] = {.lex_state = 11},
  [1376] = {.lex_state = 11},
  [1377] = {.lex_state = 41},
  [1378] = {.lex_state = 11},
  [1379] = {.lex_state = 11},
  [1380] = {.lex_state = 41},
  [1381] = {.lex_state = 11},
  [1382] = {.lex_state = 41},
  [1383] = {.lex_state = 11},
  [1384] = {.lex_state = 11},
  [1385] = {.lex_state = 11},
  [1386] = {.lex_state = 41},
  [1387] = {.lex_state = 11},
  [1388] = {.lex_state = 11},
  [1389] = {.lex_state = 11},
  [1390] = {.lex_state = 11},
  [1391] = {.lex_state = 11},
  [1392] = {.lex_state = 11},
  [1393] = {.lex_state = 11},
  [1394] = {.lex_state = 11},
  [1395] = {.lex_state = 41},
  [1396] = {.lex_state = 11},
  [1397] = {.lex_state = 11},
  [1398] = {.lex_state = 11},
  [1399] = {.lex_state = 11},
  [1400] = {.lex_state = 11},
  [1401] = {.lex_state = 41},
  [1402] = {.lex_state = 41},
  [1403] = {.lex_state = 41},
  [1404] = {.lex_state = 41},
  [1405] = {.lex_state = 41},
  [1406] = {.lex_state = 11},
  [1407] = {.lex_state = 11},
  [1408] = {.lex_state = 41},
  [1409] = {.lex_state = 41},
  [1410] = {.lex_state = 11},
  [1411] = {.lex_state = 11},
  [1412] = {.lex_state = 41},
  [1413] = {.lex_state = 11},
  [1414] = {.lex_state = 11},
  [1415] = {.lex_state = 11},
  [1416] = {.lex_state = 41},
  [1417] = {.lex_state = 41},
  [1418] = {.lex_state = 11},
  [1419] = {.lex_state = 11},
  [1420] = {.lex_state = 11},
  [1421] = {.lex_state = 11},
  [1422] = {.lex_state = 11},
  [1423] = {.lex_state = 11},
  [1424] = {.lex_state = 41},
  [1425] = {.lex_state = 41},
  [1426] = {.lex_state = 11},
  [1427] = {.lex_state = 11},
  [1428] = {.lex_state = 41},
  [1429] = {.lex_state = 11},
  [1430] = {.lex_state = 11},
  [1431] = {.lex_state = 11},
  [1432] = {.lex_state = 11},
  [1433] = {.lex_state = 11},
  [1434] = {.lex_state = 41},
  [1435] = {.lex_state = 41},
  [1436] = {.lex_state = 41},
  [1437] = {.lex_state = 11},
  [1438] = {.lex_state = 41},
  [1439] = {.lex_state = 11},
  [1440] = {.lex_state = 41},
  [1441] = {.lex_state = 41},
  [1442] = {.lex_state = 11},
  [1443] = {.lex_state = 11},
  [1444] = {.lex_state = 11},
  [1445] = {.lex_state = 41},
  [1446] = {.lex_state = 41},
  [1447] = {.lex_state = 41},
  [1448] = {.lex_state = 41},
  [1449] = {.lex_state = 41},
  [1450] = {.lex_state = 41},
  [1451] = {.lex_state = 41},
  [1452] = {.lex_state = 11},
  [1453] = {.lex_state = 11},
  [1454] = {.lex_state = 11},
  [1455] = {.lex_state = 11},
  [1456] = {.lex_state = 11},
  [1457] = {.lex_state = 41},
  [1458] = {.lex_state = 41},
  [1459] = {.lex_state = 41},
  [1460] = {.lex_state = 41},
  [1461] = {.lex_state = 41},
  [1462] = {.lex_state = 41},
  [1463] = {.lex_state = 41},
  [1464] = {.lex_state = 41},
  [1465] = {.lex_state = 41},
  [1466] = {.lex_state = 41},
  [1467] = {.lex_state = 41},
  [1468] = {.lex_state = 41},
  [1469] = {.lex_state = 41},
  [1470] = {.lex_state = 40},
  [1471] = {.lex_state = 40},
  [1472] = {.lex_state = 40},
  [1473] = {.lex_state = 40},
  [1474] = {.lex_state = 40},
  [1475] = {.lex_state = 41},
  [1476] = {.lex_state = 40},
  [1477] = {.lex_state = 41},
  [1478] = {.lex_state = 40},
  [1479] = {.lex_state = 40},
  [1480] = {.lex_state = 41},
  [1481] = {.lex_state = 40},
  [1482] = {.lex_state = 41},
  [1483] = {.lex_state = 40},
  [1484] = {.lex_state = 40},
  [1485] = {.lex_state = 41},
  [1486] = {.lex_state = 40},
  [1487] = {.lex_state = 40},
  [1488] = {.lex_state = 3},
  [1489] = {.lex_state = 3},
  [1490] = {.lex_state = 3},
  [1491] = {.lex_state = 40},
  [1492] = {.lex_state = 41},
  [1493] = {.lex_state = 40},
  [1494] = {.lex_state = 40},
  [1495] = {.lex_state = 40},
  [1496] = {.lex_state = 40},
  [1497] = {.lex_state = 3},
  [1498] = {.lex_state = 4},
  [1499] = {.lex_state = 3},
  [1500] = {.lex_state = 41},
  [1501] = {.lex_state = 41},
  [1502] = {.lex_state = 3},
  [1503] = {.lex_state = 41},
  [1504] = {.lex_state = 40},
  [1505] = {.lex_state = 4},
  [1506] = {.lex_state = 40},
  [1507] = {.lex_state = 40},
  [1508] = {.lex_state = 3},
  [1509] = {.lex_state = 3},
  [1510] = {.lex_state = 3},
  [1511] = {.lex_state = 3},
  [1512] = {.lex_state = 3},
  [1513] = {.lex_state = 40},
  [1514] = {.lex_state = 3},
  [1515] = {.lex_state = 3},
  [1516] = {.lex_state = 40},
  [1517] = {.lex_state = 40},
  [1518] = {.lex_state = 40},
  [1519] = {.lex_state = 40},
  [1520] = {.lex_state = 40},
  [1521] = {.lex_state = 40},
  [1522] = {.lex_state = 40},
  [1523] = {.lex_state = 3},
  [1524] = {.lex_state = 40},
  [1525] = {.lex_state = 40},
  [1526] = {.lex_state = 40},
  [1527] = {.lex_state = 3},
  [1528] = {.lex_state = 3},
  [1529] = {.lex_state = 3},
  [1530] = {.lex_state = 40},
  [1531] = {.lex_state = 3},
  [1532] = {.lex_state = 3},
  [1533] = {.lex_state = 41},
  [1534] = {.lex_state = 3},
  [1535] = {.lex_state = 3},
  [1536] = {.lex_state = 3},
  [1537] = {.lex_state = 3},
  [1538] = {.lex_state = 3},
  [1539] = {.lex_state = 3},
  [1540] = {.lex_state = 40},
  [1541] = {.lex_state = 41},
  [1542] = {.lex_state = 41},
  [1543] = {.lex_state = 3},
  [1544] = {.lex_state = 41},
  [1545] = {.lex_state = 41},
  [1546] = {.lex_state = 6},
  [1547] = {.lex_state = 41},
  [1548] = {.lex_state = 41},
  [1549] = {.lex_state = 6},
  [1550] = {.lex_state = 41},
  [1551] = {.lex_state = 41},
  [1552] = {.lex_state = 3},
  [1553] = {.lex_state = 41},
  [1554] = {.lex_state = 41},
  [1555] = {.lex_state = 41},
  [1556] = {.lex_state = 40},
  [1557] = {.lex_state = 41},
  [1558] = {.lex_state = 41},
  [1559] = {.lex_state = 40},
  [1560] = {.lex_state = 41},
  [1561] = {.lex_state = 41},
  [1562] = {.lex_state = 40},
  [1563] = {.lex_state = 41},
  [1564] = {.lex_state = 41},
  [1565] = {.lex_state = 41},
  [1566] = {.lex_state = 41},
  [1567] = {.lex_state = 41},
  [1568] = {.lex_state = 41},
  [1569] = {.lex_state = 41},
  [1570] = {.lex_state = 11},
  [1571] = {.lex_state = 41},
  [1572] = {.lex_state = 41},
  [1573] = {.lex_state = 41},
  [1574] = {.lex_state = 41},
  [1575] = {.lex_state = 41},
  [1576] = {.lex_state = 41},
  [1577] = {.lex_state = 41},
  [1578] = {.lex_state = 41},
  [1579] = {.lex_state = 41},
  [1580] = {.lex_state = 41},
  [1581] = {.lex_state = 41},
  [1582] = {.lex_state = 41},
  [1583] = {.lex_state = 41},
  [1584] = {.lex_state = 41},
  [1585] = {.lex_state = 41},
  [1586] = {.lex_state = 41},
  [1587] = {.lex_state = 41},
  [1588] = {.lex_state = 41},
  [1589] = {.lex_state = 41},
  [1590] = {.lex_state = 41},
  [1591] = {.lex_state = 41},
  [1592] = {.lex_state = 41},
  [1593] = {.lex_state = 41},
  [1594] = {.lex_state = 41},
  [1595] = {.lex_state = 41},
  [1596] = {.lex_state = 41},
  [1597] = {.lex_state = 41},
  [1598] = {.lex_state = 41},
  [1599] = {.lex_state = 41},
  [1600] = {.lex_state = 41},
  [1601] = {.lex_state = 40},
  [1602] = {.lex_state = 41},
  [1603] = {.lex_state = 41},
  [1604] = {.lex_state = 41},
  [1605] = {.lex_state = 41},
  [1606] = {.lex_state = 41},
  [1607] = {.lex_state = 41},
  [1608] = {.lex_state = 41},
  [1609] = {.lex_state = 41},
  [1610] = {.lex_state = 41},
  [1611] = {.lex_state = 41},
  [1612] = {.lex_state = 41},
  [1613] = {.lex_state = 40},
  [1614] = {.lex_state = 41},
  [1615] = {.lex_state = 40},
  [1616] = {.lex_state = 41},
  [1617] = {.lex_state = 41},
  [1618] = {.lex_state = 41},
  [1619] = {.lex_state = 40},
  [1620] = {.lex_state = 40},
  [1621] = {.lex_state = 40},
  [1622] = {.lex_state = 40},
  [1623] = {.lex_state = 40},
  [1624] = {.lex_state = 40},
  [1625] = {.lex_state = 40},
  [1626] = {.lex_state = 40},
  [1627] = {.lex_state = 40},
  [1628] = {.lex_state = 40},
  [1629] = {.lex_state = 41},
  [1630] = {.lex_state = 40},
  [1631] = {.lex_state = 11},
  [1632] = {.lex_state = 40},
  [1633] = {.lex_state = 11},
  [1634] = {.lex_state = 40},
  [1635] = {.lex_state = 11},
  [1636] = {.lex_state = 40},
  [1637] = {.lex_state = 40},
  [1638] = {.lex_state = 40},
  [1639] = {.lex_state = 40},
  [1640] = {.lex_state = 41},
  [1641] = {.lex_state = 41},
  [1642] = {.lex_state = 40},
  [1643] = {.lex_state = 40},
  [1644] = {.lex_state = 41},
  [1645] = {.lex_state = 40},
  [1646] = {.lex_state = 40},
  [1647] = {.lex_state = 40},
  [1648] = {.lex_state = 41},
  [1649] = {.lex_state = 40},
  [1650] = {.lex_state = 40},
  [1651] = {.lex_state = 40},
  [1652] = {.lex_state = 40},
  [1653] = {.lex_state = 40},
  [1654] = {.lex_state = 40},
  [1655] = {.lex_state = 40},
  [1656] = {.lex_state = 40},
  [1657] = {.lex_state = 40},
  [1658] = {.lex_state = 40},
  [1659] = {.lex_state = 40},
  [1660] = {.lex_state = 40},
  [1661] = {.lex_state = 40},
  [1662] = {.lex_state = 40},
  [1663] = {.lex_state = 40},
  [1664] = {.lex_state = 40},
  [1665] = {.lex_state = 40},
  [1666] = {.lex_state = 40},
  [1667] = {.lex_state = 40},
  [1668] = {.lex_state = 40},
  [1669] = {.lex_state = 40},
  [1670] = {.lex_state = 40},
  [1671] = {.lex_state = 40},
  [1672] = {.lex_state = 40},
  [1673] = {.lex_state = 40},
  [1674] = {.lex_state = 40},
  [1675] = {.lex_state = 40},
  [1676] = {.lex_state = 40},
  [1677] = {.lex_state = 40},
  [1678] = {.lex_state = 40},
  [1679] = {.lex_state = 40},
  [1680] = {.lex_state = 41},
  [1681] = {.lex_state = 40},
  [1682] = {.lex_state = 40},
  [1683] = {.lex_state = 40},
  [1684] = {.lex_state = 40},
  [1685] = {.lex_state = 40},
  [1686] = {.lex_state = 40},
  [1687] = {.lex_state = 40},
  [1688] = {.lex_state = 40},
  [1689] = {.lex_state = 40},
  [1690] = {.lex_state = 40},
  [1691] = {.lex_state = 40},
  [1692] = {.lex_state = 40},
  [1693] = {.lex_state = 40},
  [1694] = {.lex_state = 40},
  [1695] = {.lex_state = 40},
  [1696] = {.lex_state = 40},
  [1697] = {.lex_state = 40},
  [1698] = {.lex_state = 40},
  [1699] = {.lex_state = 40},
  [1700] = {.lex_state = 40},
  [1701] = {.lex_state = 40},
  [1702] = {.lex_state = 40},
  [1703] = {.lex_state = 40},
  [1704] = {.lex_state = 40},
  [1705] = {.lex_state = 40},
  [1706] = {.lex_state = 40},
  [1707] = {.lex_state = 40},
  [1708] = {.lex_state = 40},
  [1709] = {.lex_state = 40},
  [1710] = {.lex_state = 40},
  [1711] = {.lex_state = 40},
  [1712] = {.lex_state = 40},
  [1713] = {.lex_state = 40},
  [1714] = {.lex_state = 40},
  [1715] = {.lex_state = 40},
  [1716] = {.lex_state = 40},
  [1717] = {.lex_state = 40},
  [1718] = {.lex_state = 40},
  [1719] = {.lex_state = 40},
  [1720] = {.lex_state = 40},
  [1721] = {.lex_state = 40},
  [1722] = {.lex_state = 40},
  [1723] = {.lex_state = 40},
  [1724] = {.lex_state = 40},
  [1725] = {.lex_state = 40},
  [1726] = {.lex_state = 40},
  [1727] = {.lex_state = 40},
  [1728] = {.lex_state = 40},
  [1729] = {.lex_state = 40},
  [1730] = {.lex_state = 40},
  [1731] = {.lex_state = 40},
  [1732] = {.lex_state = 40},
  [1733] = {.lex_state = 40},
  [1734] = {.lex_state = 40},
  [1735] = {.lex_state = 41},
  [1736] = {.lex_state = 40},
  [1737] = {.lex_state = 40},
  [1738] = {.lex_state = 40},
  [1739] = {.lex_state = 40},
  [1740] = {.lex_state = 40},
  [1741] = {.lex_state = 40},
  [1742] = {.lex_state = 40},
  [1743] = {.lex_state = 40},
  [1744] = {.lex_state = 40},
  [1745] = {.lex_state = 40},
  [1746] = {.lex_state = 40},
  [1747] = {.lex_state = 40},
  [1748] = {.lex_state = 40},
  [1749] = {.lex_state = 40},
  [1750] = {.lex_state = 40},
  [1751] = {.lex_state = 40},
  [1752] = {.lex_state = 40},
  [1753] = {.lex_state = 40},
  [1754] = {.lex_state = 40},
  [1755] = {.lex_state = 40},
  [1756] = {.lex_state = 40},
  [1757] = {.lex_state = 40},
  [1758] = {.lex_state = 40},
  [1759] = {.lex_state = 40},
  [1760] = {.lex_state = 41},
  [1761] = {.lex_state = 41},
  [1762] = {.lex_state = 40},
  [1763] = {.lex_state = 40},
  [1764] = {.lex_state = 40},
  [1765] = {.lex_state = 41},
  [1766] = {.lex_state = 40},
  [1767] = {.lex_state = 40},
  [1768] = {.lex_state = 40},
  [1769] = {.lex_state = 41},
  [1770] = {.lex_state = 40},
  [1771] = {.lex_state = 40},
  [1772] = {.lex_state = 40},
  [1773] = {.lex_state = 40},
  [1774] = {.lex_state = 41},
  [1775] = {.lex_state = 41},
  [1776] = {.lex_state = 41},
  [1777] = {.lex_state = 40},
  [1778] = {.lex_state = 40},
  [1779] = {.lex_state = 40},
  [1780] = {.lex_state = 40},
  [1781] = {.lex_state = 40},
  [1782] = {.lex_state = 40},
  [1783] = {.lex_state = 40},
  [1784] = {.lex_state = 40},
  [1785] = {.lex_state = 41},
  [1786] = {.lex_state = 40},
  [1787] = {.lex_state = 41},
  [1788] = {.lex_state = 40},
  [1789] = {.lex_state = 40},
  [1790] = {.lex_state = 40},
  [1791] = {.lex_state = 40},
  [1792] = {.lex_state = 40},
  [1793] = {.lex_state = 40},
  [1794] = {.lex_state = 40},
  [1795] = {.lex_state = 40},
  [1796] = {.lex_state = 40},
  [1797] = {.lex_state = 40},
  [1798] = {.lex_state = 40},
  [1799] = {.lex_state = 40},
  [1800] = {.lex_state = 40},
  [1801] = {.lex_state = 40},
  [1802] = {.lex_state = 40},
  [1803] = {.lex_state = 40},
  [1804] = {.lex_state = 40},
  [1805] = {.lex_state = 40},
  [1806] = {.lex_state = 40},
  [1807] = {.lex_state = 40},
  [1808] = {.lex_state = 40},
  [1809] = {.lex_state = 40},
  [1810] = {.lex_state = 40},
  [1811] = {.lex_state = 40},
  [1812] = {.lex_state = 40},
  [1813] = {.lex_state = 40},
  [1814] = {.lex_state = 40},
  [1815] = {.lex_state = 40},
  [1816] = {.lex_state = 40},
  [1817] = {.lex_state = 40},
  [1818] = {.lex_state = 40},
  [1819] = {.lex_state = 40},
  [1820] = {.lex_state = 40},
  [1821] = {.lex_state = 40},
  [1822] = {.lex_state = 40},
  [1823] = {.lex_state = 40},
  [1824] = {.lex_state = 40},
  [1825] = {.lex_state = 40},
  [1826] = {.lex_state = 40},
  [1827] = {.lex_state = 40},
  [1828] = {.lex_state = 40},
  [1829] = {.lex_state = 40},
  [1830] = {.lex_state = 40},
  [1831] = {.lex_state = 40},
  [1832] = {.lex_state = 40},
  [1833] = {.lex_state = 40},
  [1834] = {.lex_state = 40},
  [1835] = {.lex_state = 40},
  [1836] = {.lex_state = 40},
  [1837] = {.lex_state = 40},
  [1838] = {.lex_state = 40},
  [1839] = {.lex_state = 40},
  [1840] = {.lex_state = 40},
  [1841] = {.lex_state = 40},
  [1842] = {.lex_state = 40},
  [1843] = {.lex_state = 40},
  [1844] = {.lex_state = 40},
  [1845] = {.lex_state = 40},
  [1846] = {.lex_state = 41},
  [1847] = {.lex_state = 40},
  [1848] = {.lex_state = 40},
  [1849] = {.lex_state = 40},
  [1850] = {.lex_state = 40},
  [1851] = {.lex_state = 40},
  [1852] = {.lex_state = 40},
  [1853] = {.lex_state = 40},
  [1854] = {.lex_state = 40},
  [1855] = {.lex_state = 40},
  [1856] = {.lex_state = 40},
  [1857] = {.lex_state = 40},
  [1858] = {.lex_state = 40},
  [1859] = {.lex_state = 40},
  [1860] = {.lex_state = 40},
  [1861] = {.lex_state = 40},
  [1862] = {.lex_state = 40},
  [1863] = {.lex_state = 40},
  [1864] = {.lex_state = 10},
  [1865] = {.lex_state = 4},
  [1866] = {.lex_state = 10},
  [1867] = {.lex_state = 10},
  [1868] = {.lex_state = 40},
  [1869] = {.lex_state = 4},
  [1870] = {.lex_state = 4},
  [1871] = {.lex_state = 10},
  [1872] = {.lex_state = 40},
  [1873] = {.lex_state = 10},
  [1874] = {.lex_state = 40},
  [1875] = {.lex_state = 10},
  [1876] = {.lex_state = 4},
  [1877] = {.lex_state = 40},
  [1878] = {.lex_state = 10},
  [1879] = {.lex_state = 40},
  [1880] = {.lex_state = 10},
  [1881] = {.lex_state = 10},
  [1882] = {.lex_state = 40},
  [1883] = {.lex_state = 40},
  [1884] = {.lex_state = 40},
  [1885] = {.lex_state = 40},
  [1886] = {.lex_state = 40},
  [1887] = {.lex_state = 40},
  [1888] = {.lex_state = 40},
  [1889] = {.lex_state = 10},
  [1890] = {.lex_state = 4},
  [1891] = {.lex_state = 6},
  [1892] = {.lex_state = 40},
  [1893] = {.lex_state = 1},
  [1894] = {.lex_state = 40},
  [1895] = {.lex_state = 40},
  [1896] = {.lex_state = 1},
  [1897] = {.lex_state = 41},
  [1898] = {.lex_state = 40},
  [1899] = {.lex_state = 40},
  [1900] = {.lex_state = 40},
  [1901] = {.lex_state = 40},
  [1902] = {.lex_state = 6},
  [1903] = {.lex_state = 10},
  [1904] = {.lex_state = 40},
  [1905] = {.lex_state = 40},
  [1906] = {.lex_state = 40},
  [1907] = {.lex_state = 40},
  [1908] = {.lex_state = 40},
  [1909] = {.lex_state = 40},
  [1910] = {.lex_state = 6},
  [1911] = {.lex_state = 40},
  [1912] = {.lex_state = 41},
  [1913] = {.lex_state = 40},
  [1914] = {.lex_state = 40},
  [1915] = {.lex_state = 6},
  [1916] = {.lex_state = 40},
  [1917] = {.lex_state = 40},
  [1918] = {.lex_state = 41},
  [1919] = {.lex_state = 40},
  [1920] = {.lex_state = 40},
  [1921] = {.lex_state = 40},
  [1922] = {.lex_state = 40},
  [1923] = {.lex_state = 41},
  [1924] = {.lex_state = 40},
  [1925] = {.lex_state = 40},
  [1926] = {.lex_state = 40},
  [1927] = {.lex_state = 40},
  [1928] = {.lex_state = 40},
  [1929] = {.lex_state = 40},
  [1930] = {.lex_state = 6},
  [1931] = {.lex_state = 40},
  [1932] = {.lex_state = 40},
  [1933] = {.lex_state = 40},
  [1934] = {.lex_state = 40},
  [1935] = {.lex_state = 40},
  [1936] = {.lex_state = 40},
  [1937] = {.lex_state = 6},
  [1938] = {.lex_state = 40},
  [1939] = {.lex_state = 40},
  [1940] = {.lex_state = 40},
  [1941] = {.lex_state = 6},
  [1942] = {.lex_state = 6},
  [1943] = {.lex_state = 40},
  [1944] = {.lex_state = 40},
  [1945] = {.lex_state = 40},
  [1946] = {.lex_state = 6},
  [1947] = {.lex_state = 40},
  [1948] = {.lex_state = 40},
  [1949] = {.lex_state = 40},
  [1950] = {.lex_state = 40},
  [1951] = {.lex_state = 41},
  [1952] = {.lex_state = 40},
  [1953] = {.lex_state = 6},
  [1954] = {.lex_state = 40},
  [1955] = {.lex_state = 41},
  [1956] = {.lex_state = 1},
  [1957] = {.lex_state = 40},
  [1958] = {.lex_state = 40},
  [1959] = {.lex_state = 40},
  [1960] = {.lex_state = 40},
  [1961] = {.lex_state = 40},
  [1962] = {.lex_state = 40},
  [1963] = {.lex_state = 40},
  [1964] = {.lex_state = 40},
  [1965] = {.lex_state = 40},
  [1966] = {.lex_state = 40},
  [1967] = {.lex_state = 40},
  [1968] = {.lex_state = 40},
  [1969] = {.lex_state = 40},
  [1970] = {.lex_state = 40},
  [1971] = {.lex_state = 41},
  [1972] = {.lex_state = 40},
  [1973] = {.lex_state = 40},
  [1974] = {.lex_state = 40},
  [1975] = {.lex_state = 40},
  [1976] = {.lex_state = 40},
  [1977] = {.lex_state = 40},
  [1978] = {.lex_state = 40},
  [1979] = {.lex_state = 41},
  [1980] = {.lex_state = 40},
  [1981] = {.lex_state = 41},
  [1982] = {.lex_state = 40},
  [1983] = {.lex_state = 40},
  [1984] = {.lex_state = 40},
  [1985] = {.lex_state = 40},
  [1986] = {.lex_state = 40},
  [1987] = {.lex_state = 40},
  [1988] = {.lex_state = 40},
  [1989] = {.lex_state = 41},
  [1990] = {.lex_state = 41},
  [1991] = {.lex_state = 1},
  [1992] = {.lex_state = 40},
  [1993] = {.lex_state = 40},
  [1994] = {.lex_state = 41},
  [1995] = {.lex_state = 40},
  [1996] = {.lex_state = 40},
  [1997] = {.lex_state = 40},
  [1998] = {.lex_state = 40},
  [1999] = {.lex_state = 40},
  [2000] = {.lex_state = 1},
  [2001] = {.lex_state = 40},
  [2002] = {.lex_state = 40},
  [2003] = {.lex_state = 40},
  [2004] = {.lex_state = 40},
  [2005] = {.lex_state = 40},
  [2006] = {.lex_state = 40},
  [2007] = {.lex_state = 1},
  [2008] = {.lex_state = 40},
  [2009] = {.lex_state = 6},
  [2010] = {.lex_state = 40},
  [2011] = {.lex_state = 40},
  [2012] = {.lex_state = 40},
  [2013] = {.lex_state = 41},
  [2014] = {.lex_state = 40},
  [2015] = {.lex_state = 40},
  [2016] = {.lex_state = 40},
  [2017] = {.lex_state = 40},
  [2018] = {.lex_state = 1},
  [2019] = {.lex_state = 40},
  [2020] = {.lex_state = 40},
  [2021] = {.lex_state = 40},
  [2022] = {.lex_state = 40},
  [2023] = {.lex_state = 40},
  [2024] = {.lex_state = 40},
  [2025] = {.lex_state = 40},
  [2026] = {.lex_state = 40},
  [2027] = {.lex_state = 40},
  [2028] = {.lex_state = 1},
  [2029] = {.lex_state = 6},
  [2030] = {.lex_state = 40},
  [2031] = {.lex_state = 40},
  [2032] = {.lex_state = 40},
  [2033] = {.lex_state = 40},
  [2034] = {.lex_state = 40},
  [2035] = {.lex_state = 1},
  [2036] = {.lex_state = 40},
  [2037] = {.lex_state = 6},
  [2038] = {.lex_state = 40},
  [2039] = {.lex_state = 1},
  [2040] = {.lex_state = 1},
  [2041] = {.lex_state = 40},
  [2042] = {.lex_state = 1},
  [2043] = {.lex_state = 40},
  [2044] = {.lex_state = 40},
  [2045] = {.lex_state = 40},
  [2046] = {.lex_state = 40},
  [2047] = {.lex_state = 6},
  [2048] = {.lex_state = 40},
  [2049] = {.lex_state = 1},
  [2050] = {.lex_state = 1},
  [2051] = {.lex_state = 6},
  [2052] = {.lex_state = 40},
  [2053] = {.lex_state = 40},
  [2054] = {.lex_state = 40},
  [2055] = {.lex_state = 40},
  [2056] = {.lex_state = 40},
  [2057] = {.lex_state = 40},
  [2058] = {.lex_state = 40},
  [2059] = {.lex_state = 40},
  [2060] = {.lex_state = 40},
  [2061] = {.lex_state = 40},
  [2062] = {.lex_state = 40},
  [2063] = {.lex_state = 40},
  [2064] = {.lex_state = 40},
  [2065] = {.lex_state = 40},
  [2066] = {.lex_state = 40},
  [2067] = {.lex_state = 40},
  [2068] = {.lex_state = 40},
  [2069] = {.lex_state = 40},
  [2070] = {.lex_state = 40},
  [2071] = {.lex_state = 40},
  [2072] = {.lex_state = 40},
  [2073] = {.lex_state = 40},
  [2074] = {.lex_state = 40},
  [2075] = {.lex_state = 1},
  [2076] = {.lex_state = 40},
  [2077] = {.lex_state = 40},
  [2078] = {.lex_state = 1},
  [2079] = {.lex_state = 40},
  [2080] = {.lex_state = 40},
  [2081] = {.lex_state = 40},
  [2082] = {.lex_state = 6},
  [2083] = {.lex_state = 1},
  [2084] = {.lex_state = 6},
  [2085] = {.lex_state = 40},
  [2086] = {.lex_state = 40},
  [2087] = {.lex_state = 40},
  [2088] = {.lex_state = 40},
  [2089] = {.lex_state = 40},
  [2090] = {.lex_state = 40},
  [2091] = {.lex_state = 40},
  [2092] = {.lex_state = 40},
  [2093] = {.lex_state = 40},
  [2094] = {.lex_state = 1},
  [2095] = {.lex_state = 40},
  [2096] = {.lex_state = 1},
  [2097] = {.lex_state = 1},
  [2098] = {.lex_state = 1},
  [2099] = {.lex_state = 1},
  [2100] = {.lex_state = 40},
  [2101] = {.lex_state = 40},
  [2102] = {.lex_state = 40},
  [2103] = {.lex_state = 40},
  [2104] = {.lex_state = 1},
  [2105] = {.lex_state = 40},
  [2106] = {.lex_state = 40},
  [2107] = {.lex_state = 40},
  [2108] = {.lex_state = 40},
  [2109] = {.lex_state = 40},
  [2110] = {.lex_state = 40},
  [2111] = {.lex_state = 40},
  [2112] = {.lex_state = 40},
  [2113] = {.lex_state = 40},
  [2114] = {.lex_state = 40},
  [2115] = {.lex_state = 40},
  [2116] = {.lex_state = 40},
  [2117] = {.lex_state = 1},
  [2118] = {.lex_state = 40},
  [2119] = {.lex_state = 40},
  [2120] = {.lex_state = 40},
  [2121] = {.lex_state = 40},
  [2122] = {.lex_state = 40},
  [2123] = {.lex_state = 40},
  [2124] = {.lex_state = 40},
  [2125] = {.lex_state = 40},
  [2126] = {.lex_state = 40},
  [2127] = {.lex_state = 40},
  [2128] = {.lex_state = 6},
  [2129] = {.lex_state = 40},
  [2130] = {.lex_state = 40},
  [2131] = {.lex_state = 40},
  [2132] = {.lex_state = 40},
  [2133] = {.lex_state = 40},
  [2134] = {.lex_state = 1},
  [2135] = {.lex_state = 40},
  [2136] = {.lex_state = 40},
  [2137] = {.lex_state = 1},
  [2138] = {.lex_state = 1},
  [2139] = {.lex_state = 40},
  [2140] = {.lex_state = 40},
  [2141] = {.lex_state = 40},
  [2142] = {.lex_state = 40},
  [2143] = {.lex_state = 41},
  [2144] = {.lex_state = 40},
  [2145] = {.lex_state = 40},
  [2146] = {.lex_state = 40},
  [2147] = {.lex_state = 40},
  [2148] = {.lex_state = 40},
  [2149] = {.lex_state = 40},
  [2150] = {.lex_state = 40},
  [2151] = {.lex_state = 40},
  [2152] = {.lex_state = 40},
  [2153] = {.lex_state = 40},
  [2154] = {.lex_state = 40},
  [2155] = {.lex_state = 40},
  [2156] = {.lex_state = 40},
  [2157] = {.lex_state = 40},
  [2158] = {.lex_state = 40},
  [2159] = {.lex_state = 40},
  [2160] = {.lex_state = 40},
  [2161] = {.lex_state = 40},
  [2162] = {.lex_state = 40},
  [2163] = {.lex_state = 1},
  [2164] = {.lex_state = 40},
  [2165] = {.lex_state = 40},
  [2166] = {.lex_state = 40},
  [2167] = {.lex_state = 40},
  [2168] = {.lex_state = 40},
  [2169] = {.lex_state = 40},
  [2170] = {.lex_state = 40},
  [2171] = {.lex_state = 40},
  [2172] = {.lex_state = 40},
  [2173] = {.lex_state = 40},
  [2174] = {.lex_state = 6},
  [2175] = {.lex_state = 40},
  [2176] = {.lex_state = 40},
  [2177] = {.lex_state = 40},
  [2178] = {.lex_state = 40},
  [2179] = {.lex_state = 40},
  [2180] = {.lex_state = 40},
  [2181] = {.lex_state = 40},
  [2182] = {.lex_state = 40},
  [2183] = {.lex_state = 40},
  [2184] = {.lex_state = 40},
  [2185] = {.lex_state = 40},
  [2186] = {.lex_state = 40},
  [2187] = {.lex_state = 40},
  [2188] = {.lex_state = 40},
  [2189] = {.lex_state = 40},
  [2190] = {.lex_state = 40},
  [2191] = {.lex_state = 40},
  [2192] = {.lex_state = 40},
  [2193] = {.lex_state = 40},
  [2194] = {.lex_state = 40},
  [2195] = {.lex_state = 40},
  [2196] = {.lex_state = 40},
  [2197] = {.lex_state = 40},
  [2198] = {.lex_state = 1},
  [2199] = {.lex_state = 40},
  [2200] = {.lex_state = 1},
  [2201] = {.lex_state = 40},
  [2202] = {.lex_state = 40},
  [2203] = {.lex_state = 40},
  [2204] = {.lex_state = 40},
  [2205] = {.lex_state = 40},
  [2206] = {.lex_state = 40},
  [2207] = {.lex_state = 40},
  [2208] = {.lex_state = 40},
  [2209] = {.lex_state = 40},
  [2210] = {.lex_state = 40},
  [2211] = {.lex_state = 40},
  [2212] = {.lex_state = 40},
  [2213] = {.lex_state = 1},
  [2214] = {.lex_state = 1},
  [2215] = {.lex_state = 1},
  [2216] = {.lex_state = 1},
  [2217] = {.lex_state = 1},
  [2218] = {.lex_state = 40},
  [2219] = {.lex_state = 40},
  [2220] = {.lex_state = 40},
  [2221] = {.lex_state = 1},
  [2222] = {.lex_state = 40},
  [2223] = {.lex_state = 40},
  [2224] = {.lex_state = 40},
  [2225] = {.lex_state = 40},
  [2226] = {.lex_state = 40},
  [2227] = {.lex_state = 40},
  [2228] = {.lex_state = 1},
  [2229] = {.lex_state = 40},
  [2230] = {.lex_state = 6},
  [2231] = {.lex_state = 40},
  [2232] = {.lex_state = 40},
  [2233] = {.lex_state = 40},
  [2234] = {.lex_state = 40},
  [2235] = {.lex_state = 40},
  [2236] = {.lex_state = 40},
  [2237] = {.lex_state = 40},
  [2238] = {.lex_state = 40},
  [2239] = {.lex_state = 40},
  [2240] = {.lex_state = 40},
  [2241] = {.lex_state = 40},
  [2242] = {.lex_state = 40},
  [2243] = {.lex_state = 6},
  [2244] = {.lex_state = 1},
  [2245] = {.lex_state = 40},
  [2246] = {.lex_state = 1},
  [2247] = {.lex_state = 6},
  [2248] = {.lex_state = 1},
  [2249] = {.lex_state = 6},
  [2250] = {.lex_state = 1},
  [2251] = {.lex_state = 40},
  [2252] = {.lex_state = 40},
  [2253] = {.lex_state = 40},
  [2254] = {.lex_state = 40},
  [2255] = {.lex_state = 40},
  [2256] = {.lex_state = 1},
  [2257] = {.lex_state = 40},
  [2258] = {.lex_state = 40},
  [2259] = {.lex_state = 40},
  [2260] = {.lex_state = 40},
  [2261] = {.lex_state = 40},
  [2262] = {.lex_state = 40},
  [2263] = {.lex_state = 40},
  [2264] = {.lex_state = 40},
  [2265] = {.lex_state = 40},
  [2266] = {.lex_state = 40},
  [2267] = {.lex_state = 40},
  [2268] = {.lex_state = 40},
  [2269] = {.lex_state = 40},
  [2270] = {.lex_state = 40},
  [2271] = {.lex_state = 40},
  [2272] = {.lex_state = 40},
  [2273] = {.lex_state = 40},
  [2274] = {.lex_state = 40},
  [2275] = {.lex_state = 40},
  [2276] = {.lex_state = 40},
  [2277] = {.lex_state = 40},
  [2278] = {.lex_state = 40},
  [2279] = {.lex_state = 40},
  [2280] = {.lex_state = 40},
  [2281] = {.lex_state = 40},
  [2282] = {.lex_state = 1},
  [2283] = {.lex_state = 40},
  [2284] = {.lex_state = 40},
  [2285] = {.lex_state = 40},
  [2286] = {.lex_state = 40},
  [2287] = {.lex_state = 40},
  [2288] = {.lex_state = 1},
  [2289] = {.lex_state = 40},
  [2290] = {.lex_state = 40},
  [2291] = {.lex_state = 1},
  [2292] = {.lex_state = 1},
  [2293] = {.lex_state = 6},
  [2294] = {.lex_state = 1},
  [2295] = {.lex_state = 40},
  [2296] = {.lex_state = 1},
  [2297] = {.lex_state = 40},
  [2298] = {.lex_state = 40},
  [2299] = {.lex_state = 40},
  [2300] = {.lex_state = 40},
  [2301] = {.lex_state = 40},
  [2302] = {.lex_state = 40},
  [2303] = {.lex_state = 40},
  [2304] = {.lex_state = 41},
  [2305] = {.lex_state = 40},
  [2306] = {.lex_state = 40},
  [2307] = {.lex_state = 40},
  [2308] = {.lex_state = 40},
  [2309] = {.lex_state = 41},
  [2310] = {.lex_state = 41},
  [2311] = {.lex_state = 1},
  [2312] = {.lex_state = 40},
  [2313] = {.lex_state = 1},
  [2314] = {.lex_state = 40},
  [2315] = {.lex_state = 40},
  [2316] = {.lex_state = 40},
  [2317] = {.lex_state = 40},
  [2318] = {.lex_state = 40},
  [2319] = {.lex_state = 1},
  [2320] = {.lex_state = 1},
  [2321] = {.lex_state = 1},
  [2322] = {.lex_state = 1},
  [2323] = {.lex_state = 40},
  [2324] = {.lex_state = 40},
  [2325] = {.lex_state = 40},
  [2326] = {.lex_state = 40},
  [2327] = {.lex_state = 40},
  [2328] = {.lex_state = 40},
  [2329] = {.lex_state = 41},
  [2330] = {.lex_state = 1},
  [2331] = {.lex_state = 40},
  [2332] = {.lex_state = 40},
  [2333] = {.lex_state = 40},
  [2334] = {.lex_state = 40},
  [2335] = {.lex_state = 40},
  [2336] = {.lex_state = 40},
  [2337] = {.lex_state = 40},
  [2338] = {.lex_state = 40},
  [2339] = {.lex_state = 40},
  [2340] = {.lex_state = 40},
  [2341] = {.lex_state = 40},
  [2342] = {.lex_state = 40},
  [2343] = {.lex_state = 40},
  [2344] = {.lex_state = 40},
  [2345] = {.lex_state = 40},
  [2346] = {.lex_state = 40},
  [2347] = {.lex_state = 40},
  [2348] = {.lex_state = 40},
  [2349] = {.lex_state = 40},
  [2350] = {.lex_state = 40},
  [2351] = {.lex_state = 40},
  [2352] = {.lex_state = 40},
  [2353] = {.lex_state = 40},
  [2354] = {.lex_state = 40},
  [2355] = {.lex_state = 40},
  [2356] = {.lex_state = 40},
  [2357] = {.lex_state = 40},
  [2358] = {.lex_state = 40},
  [2359] = {.lex_state = 40},
  [2360] = {.lex_state = 40},
  [2361] = {.lex_state = 40},
  [2362] = {.lex_state = 40},
  [2363] = {.lex_state = 40},
  [2364] = {.lex_state = 40},
  [2365] = {.lex_state = 40},
  [2366] = {.lex_state = 40},
  [2367] = {.lex_state = 40},
  [2368] = {.lex_state = 40},
  [2369] = {.lex_state = 40},
  [2370] = {.lex_state = 40},
  [2371] = {.lex_state = 40},
  [2372] = {.lex_state = 40},
  [2373] = {.lex_state = 40},
  [2374] = {.lex_state = 40},
  [2375] = {.lex_state = 40},
  [2376] = {.lex_state = 40},
  [2377] = {.lex_state = 40},
  [2378] = {.lex_state = 40},
  [2379] = {.lex_state = 40},
  [2380] = {.lex_state = 40},
  [2381] = {.lex_state = 40},
  [2382] = {.lex_state = 40},
  [2383] = {.lex_state = 40},
  [2384] = {.lex_state = 40},
  [2385] = {.lex_state = 40},
  [2386] = {.lex_state = 40},
  [2387] = {.lex_state = 40},
  [2388] = {.lex_state = 40},
  [2389] = {.lex_state = 40},
  [2390] = {.lex_state = 40},
  [2391] = {.lex_state = 40},
  [2392] = {.lex_state = 40},
  [2393] = {.lex_state = 40},
  [2394] = {.lex_state = 40},
  [2395] = {.lex_state = 40},
  [2396] = {.lex_state = 40},
  [2397] = {.lex_state = 40},
  [2398] = {.lex_state = 40},
  [2399] = {.lex_state = 40},
  [2400] = {.lex_state = 40},
  [2401] = {.lex_state = 40},
  [2402] = {.lex_state = 40},
  [2403] = {.lex_state = 40},
  [2404] = {.lex_state = 40},
  [2405] = {.lex_state = 40},
  [2406] = {.lex_state = 40},
  [2407] = {.lex_state = 40},
  [2408] = {.lex_state = 40},
  [2409] = {.lex_state = 40},
  [2410] = {.lex_state = 40},
  [2411] = {.lex_state = 40},
  [2412] = {.lex_state = 40},
  [2413] = {.lex_state = 40},
  [2414] = {.lex_state = 40},
  [2415] = {.lex_state = 40},
  [2416] = {.lex_state = 40},
  [2417] = {.lex_state = 40},
  [2418] = {.lex_state = 40},
  [2419] = {.lex_state = 40},
  [2420] = {.lex_state = 40},
  [2421] = {.lex_state = 40},
  [2422] = {.lex_state = 40},
  [2423] = {.lex_state = 40},
  [2424] = {.lex_state = 40},
  [2425] = {.lex_state = 40},
  [2426] = {.lex_state = 40},
  [2427] = {.lex_state = 40},
  [2428] = {.lex_state = 40},
  [2429] = {.lex_state = 40},
  [2430] = {.lex_state = 40},
  [2431] = {.lex_state = 40},
  [2432] = {.lex_state = 40},
  [2433] = {.lex_state = 40},
  [2434] = {.lex_state = 40},
  [2435] = {.lex_state = 40},
  [2436] = {.lex_state = 40},
  [2437] = {.lex_state = 40},
  [2438] = {.lex_state = 40},
  [2439] = {.lex_state = 40},
  [2440] = {.lex_state = 40},
  [2441] = {.lex_state = 40},
  [2442] = {.lex_state = 40},
  [2443] = {.lex_state = 40},
  [2444] = {.lex_state = 40},
  [2445] = {.lex_state = 40},
  [2446] = {.lex_state = 40},
  [2447] = {.lex_state = 40},
  [2448] = {.lex_state = 40},
  [2449] = {.lex_state = 40},
  [2450] = {.lex_state = 40},
  [2451] = {.lex_state = 40},
  [2452] = {.lex_state = 40},
  [2453] = {.lex_state = 40},
  [2454] = {.lex_state = 40},
  [2455] = {.lex_state = 40},
  [2456] = {.lex_state = 40},
  [2457] = {.lex_state = 40},
  [2458] = {.lex_state = 40},
  [2459] = {.lex_state = 40},
  [2460] = {.lex_state = 40},
  [2461] = {.lex_state = 40},
  [2462] = {.lex_state = 40},
  [2463] = {.lex_state = 40},
  [2464] = {.lex_state = 40},
  [2465] = {.lex_state = 40},
  [2466] = {.lex_state = 40},
  [2467] = {.lex_state = 40},
  [2468] = {.lex_state = 40},
  [2469] = {.lex_state = 40},
  [2470] = {.lex_state = 40},
  [2471] = {.lex_state = 40},
  [2472] = {.lex_state = 40},
  [2473] = {.lex_state = 40},
  [2474] = {.lex_state = 40},
  [2475] = {.lex_state = 40},
  [2476] = {.lex_state = 40},
  [2477] = {.lex_state = 40},
  [2478] = {.lex_state = 40},
  [2479] = {.lex_state = 40},
  [2480] = {.lex_state = 40},
  [2481] = {.lex_state = 40},
  [2482] = {.lex_state = 40},
  [2483] = {.lex_state = 40},
  [2484] = {.lex_state = 40},
  [2485] = {.lex_state = 40},
  [2486] = {.lex_state = 40},
  [2487] = {.lex_state = 40},
  [2488] = {.lex_state = 40},
  [2489] = {.lex_state = 40},
  [2490] = {.lex_state = 40},
  [2491] = {.lex_state = 40},
  [2492] = {.lex_state = 40},
  [2493] = {.lex_state = 40},
  [2494] = {.lex_state = 40},
  [2495] = {.lex_state = 40},
  [2496] = {.lex_state = 40},
  [2497] = {.lex_state = 40},
  [2498] = {.lex_state = 40},
  [2499] = {.lex_state = 40},
  [2500] = {.lex_state = 40},
  [2501] = {.lex_state = 40},
  [2502] = {.lex_state = 40},
  [2503] = {.lex_state = 40},
  [2504] = {.lex_state = 40},
  [2505] = {.lex_state = 40},
  [2506] = {.lex_state = 40},
  [2507] = {.lex_state = 40},
  [2508] = {.lex_state = 40},
  [2509] = {.lex_state = 40},
  [2510] = {.lex_state = 40},
  [2511] = {.lex_state = 40},
  [2512] = {.lex_state = 40},
  [2513] = {.lex_state = 40},
  [2514] = {.lex_state = 40},
  [2515] = {.lex_state = 40},
  [2516] = {.lex_state = 40},
  [2517] = {.lex_state = 40},
  [2518] = {.lex_state = 40},
  [2519] = {.lex_state = 40},
  [2520] = {.lex_state = 40},
  [2521] = {.lex_state = 40},
  [2522] = {.lex_state = 40},
  [2523] = {.lex_state = 40},
  [2524] = {.lex_state = 40},
  [2525] = {.lex_state = 40},
  [2526] = {.lex_state = 40},
  [2527] = {.lex_state = 40},
  [2528] = {.lex_state = 40},
  [2529] = {.lex_state = 40},
  [2530] = {.lex_state = 40},
  [2531] = {.lex_state = 40},
  [2532] = {.lex_state = 40},
  [2533] = {.lex_state = 40},
  [2534] = {.lex_state = 40},
  [2535] = {.lex_state = 40},
  [2536] = {.lex_state = 40},
  [2537] = {.lex_state = 40},
  [2538] = {.lex_state = 40},
  [2539] = {.lex_state = 40},
  [2540] = {.lex_state = 40},
  [2541] = {.lex_state = 40},
  [2542] = {.lex_state = 40},
  [2543] = {.lex_state = 40},
  [2544] = {.lex_state = 40},
  [2545] = {.lex_state = 40},
  [2546] = {.lex_state = 40},
  [2547] = {.lex_state = 40},
  [2548] = {.lex_state = 40},
  [2549] = {.lex_state = 40},
  [2550] = {.lex_state = 40},
  [2551] = {.lex_state = 40},
  [2552] = {.lex_state = 40},
  [2553] = {.lex_state = 40},
  [2554] = {.lex_state = 40},
  [2555] = {.lex_state = 40},
  [2556] = {.lex_state = 6},
  [2557] = {.lex_state = 40},
  [2558] = {.lex_state = 40},
  [2559] = {.lex_state = 40},
  [2560] = {.lex_state = 40},
  [2561] = {.lex_state = 40},
  [2562] = {.lex_state = 40},
  [2563] = {.lex_state = 40},
  [2564] = {.lex_state = 40},
  [2565] = {.lex_state = 40},
  [2566] = {.lex_state = 40},
  [2567] = {.lex_state = 40},
  [2568] = {.lex_state = 40},
  [2569] = {.lex_state = 40},
  [2570] = {.lex_state = 40},
  [2571] = {.lex_state = 40},
  [2572] = {.lex_state = 40},
  [2573] = {.lex_state = 40},
  [2574] = {.lex_state = 40},
  [2575] = {.lex_state = 40},
  [2576] = {.lex_state = 40},
  [2577] = {.lex_state = 40},
  [2578] = {.lex_state = 40},
  [2579] = {.lex_state = 40},
  [2580] = {.lex_state = 40},
  [2581] = {.lex_state = 40},
  [2582] = {.lex_state = 40},
  [2583] = {.lex_state = 40},
  [2584] = {.lex_state = 40},
  [2585] = {.lex_state = 40},
  [2586] = {.lex_state = 40},
  [2587] = {.lex_state = 40},
  [2588] = {.lex_state = 40},
  [2589] = {.lex_state = 40},
  [2590] = {.lex_state = 40},
  [2591] = {.lex_state = 40},
  [2592] = {.lex_state = 40},
  [2593] = {.lex_state = 40},
  [2594] = {.lex_state = 40},
  [2595] = {.lex_state = 40},
  [2596] = {.lex_state = 40},
  [2597] = {.lex_state = 40},
  [2598] = {.lex_state = 40},
  [2599] = {.lex_state = 40},
  [2600] = {.lex_state = 40},
  [2601] = {.lex_state = 40},
  [2602] = {.lex_state = 40},
  [2603] = {.lex_state = 40},
  [2604] = {.lex_state = 40},
  [2605] = {.lex_state = 40},
  [2606] = {.lex_state = 40},
  [2607] = {.lex_state = 40},
  [2608] = {.lex_state = 40},
  [2609] = {.lex_state = 40},
  [2610] = {.lex_state = 40},
  [2611] = {.lex_state = 40},
  [2612] = {.lex_state = 40},
  [2613] = {.lex_state = 40},
  [2614] = {.lex_state = 6},
  [2615] = {.lex_state = 40},
  [2616] = {.lex_state = 40},
  [2617] = {.lex_state = 40},
  [2618] = {.lex_state = 40},
  [2619] = {.lex_state = 40},
  [2620] = {.lex_state = 40},
  [2621] = {.lex_state = 40},
  [2622] = {.lex_state = 40},
  [2623] = {.lex_state = 40},
  [2624] = {.lex_state = 40},
  [2625] = {.lex_state = 40},
  [2626] = {.lex_state = 6},
  [2627] = {.lex_state = 40},
  [2628] = {.lex_state = 40},
  [2629] = {.lex_state = 40},
  [2630] = {.lex_state = 40},
  [2631] = {.lex_state = 40},
  [2632] = {.lex_state = 40},
  [2633] = {.lex_state = 40},
  [2634] = {.lex_state = 40},
  [2635] = {.lex_state = 40},
  [2636] = {.lex_state = 40},
  [2637] = {.lex_state = 40},
  [2638] = {.lex_state = 40},
  [2639] = {.lex_state = 40},
  [2640] = {.lex_state = 40},
  [2641] = {.lex_state = 40},
  [2642] = {.lex_state = 40},
  [2643] = {.lex_state = 40},
  [2644] = {.lex_state = 40},
  [2645] = {.lex_state = 40},
  [2646] = {.lex_state = 40},
  [2647] = {.lex_state = 40},
  [2648] = {.lex_state = 40},
  [2649] = {.lex_state = 40},
  [2650] = {.lex_state = 40},
  [2651] = {.lex_state = 40},
  [2652] = {.lex_state = 40},
  [2653] = {.lex_state = 40},
  [2654] = {.lex_state = 40},
  [2655] = {.lex_state = 40},
  [2656] = {.lex_state = 40},
  [2657] = {.lex_state = 40},
  [2658] = {.lex_state = 40},
  [2659] = {.lex_state = 40},
  [2660] = {.lex_state = 40},
  [2661] = {.lex_state = 40},
  [2662] = {.lex_state = 40},
  [2663] = {.lex_state = 40},
  [2664] = {.lex_state = 40},
  [2665] = {.lex_state = 40},
  [2666] = {.lex_state = 40},
  [2667] = {.lex_state = 40},
  [2668] = {.lex_state = 40},
  [2669] = {.lex_state = 40},
  [2670] = {.lex_state = 40},
  [2671] = {.lex_state = 40},
  [2672] = {.lex_state = 40},
  [2673] = {.lex_state = 40},
  [2674] = {.lex_state = 40},
  [2675] = {.lex_state = 40},
  [2676] = {.lex_state = 40},
  [2677] = {.lex_state = 40},
  [2678] = {.lex_state = 40},
  [2679] = {.lex_state = 40},
  [2680] = {.lex_state = 40},
  [2681] = {.lex_state = 40},
  [2682] = {.lex_state = 40},
  [2683] = {.lex_state = 40},
  [2684] = {.lex_state = 40},
  [2685] = {.lex_state = 40},
  [2686] = {.lex_state = 40},
  [2687] = {.lex_state = 40},
  [2688] = {.lex_state = 40},
  [2689] = {.lex_state = 40},
  [2690] = {.lex_state = 40},
  [2691] = {.lex_state = 40},
  [2692] = {.lex_state = 40},
  [2693] = {.lex_state = 40},
  [2694] = {.lex_state = 40},
  [2695] = {.lex_state = 40},
  [2696] = {.lex_state = 40},
  [2697] = {.lex_state = 40},
  [2698] = {.lex_state = 40},
  [2699] = {.lex_state = 40},
  [2700] = {.lex_state = 40},
  [2701] = {.lex_state = 40},
  [2702] = {.lex_state = 40},
  [2703] = {.lex_state = 40},
  [2704] = {.lex_state = 40},
  [2705] = {.lex_state = 40},
  [2706] = {.lex_state = 40},
  [2707] = {.lex_state = 40},
  [2708] = {.lex_state = 40},
  [2709] = {.lex_state = 40},
  [2710] = {.lex_state = 40},
  [2711] = {.lex_state = 40},
  [2712] = {.lex_state = 40},
  [2713] = {.lex_state = 40},
  [2714] = {.lex_state = 40},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_asmBody_token1] = ACTIONS(1),
    [aux_sym_asmBody_token2] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_type_token1] = ACTIONS(1),
    [aux_sym_type_token2] = ACTIONS(1),
    [aux_sym_type_token3] = ACTIONS(1),
    [aux_sym__literalString_token1] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [sym_kProgram] = ACTIONS(1),
    [sym_kLibrary] = ACTIONS(1),
    [sym_kUnit] = ACTIONS(1),
    [sym_kUses] = ACTIONS(1),
    [sym_kInterface] = ACTIONS(1),
    [sym_kDispInterface] = ACTIONS(1),
    [sym_kImplementation] = ACTIONS(1),
    [sym_kInitialization] = ACTIONS(1),
    [sym_kFinalization] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_kBegin] = ACTIONS(1),
    [sym_kEnd] = ACTIONS(1),
    [sym_kAsm] = ACTIONS(1),
    [sym_kVar] = ACTIONS(1),
    [sym_kThreadvar] = ACTIONS(1),
    [sym_kConst] = ACTIONS(1),
    [sym_kConstref] = ACTIONS(1),
    [sym_kResourcestring] = ACTIONS(1),
    [sym_kOut] = ACTIONS(1),
    [sym_kType] = ACTIONS(1),
    [sym_kLabel] = ACTIONS(1),
    [sym_kExports] = ACTIONS(1),
    [sym_kAbsolute] = ACTIONS(1),
    [sym_kProperty] = ACTIONS(1),
    [sym_kRead] = ACTIONS(1),
    [sym_kWrite] = ACTIONS(1),
    [sym_kImplements] = ACTIONS(1),
    [sym_kDefault] = ACTIONS(1),
    [sym_kNodefault] = ACTIONS(1),
    [sym_kStored] = ACTIONS(1),
    [sym_kIndex] = ACTIONS(1),
    [sym_kDispId] = ACTIONS(1),
    [sym_kClass] = ACTIONS(1),
    [sym_kObject] = ACTIONS(1),
    [sym_kRecord] = ACTIONS(1),
    [sym_kObjcclass] = ACTIONS(1),
    [sym_kObjccategory] = ACTIONS(1),
    [sym_kObjcprotocol] = ACTIONS(1),
    [sym_kArray] = ACTIONS(1),
    [sym_kFile] = ACTIONS(1),
    [sym_kString] = ACTIONS(1),
    [sym_kSet] = ACTIONS(1),
    [sym_kOf] = ACTIONS(1),
    [sym_kHelper] = ACTIONS(1),
    [sym_kPacked] = ACTIONS(1),
    [sym_kGeneric] = ACTIONS(1),
    [sym_kSpecialize] = ACTIONS(1),
    [sym_kLt] = ACTIONS(1),
    [sym_kEq] = ACTIONS(1),
    [sym_kGt] = ACTIONS(1),
    [sym_kLte] = ACTIONS(1),
    [sym_kGte] = ACTIONS(1),
    [sym_kAdd] = ACTIONS(1),
    [sym_kSub] = ACTIONS(1),
    [sym_kMul] = ACTIONS(1),
    [sym_kFdiv] = ACTIONS(1),
    [sym_kAt] = ACTIONS(1),
    [sym_kHat] = ACTIONS(1),
    [sym_kAssign] = ACTIONS(1),
    [sym_kAssignAdd] = ACTIONS(1),
    [sym_kAssignSub] = ACTIONS(1),
    [sym_kAssignMul] = ACTIONS(1),
    [sym_kAssignDiv] = ACTIONS(1),
    [sym_kOr] = ACTIONS(1),
    [sym_kXor] = ACTIONS(1),
    [sym_kDiv] = ACTIONS(1),
    [sym_kMod] = ACTIONS(1),
    [sym_kAnd] = ACTIONS(1),
    [sym_kShl] = ACTIONS(1),
    [sym_kShr] = ACTIONS(1),
    [sym_kNot] = ACTIONS(1),
    [sym_kIs] = ACTIONS(1),
    [sym_kAs] = ACTIONS(1),
    [sym_kIn] = ACTIONS(1),
    [sym_kFor] = ACTIONS(1),
    [sym_kTo] = ACTIONS(1),
    [sym_kDownto] = ACTIONS(1),
    [sym_kIf] = ACTIONS(1),
    [sym_kThen] = ACTIONS(1),
    [sym_kElse] = ACTIONS(1),
    [sym_kDo] = ACTIONS(1),
    [sym_kWhile] = ACTIONS(1),
    [sym_kRepeat] = ACTIONS(1),
    [sym_kUntil] = ACTIONS(1),
    [sym_kTry] = ACTIONS(1),
    [sym_kExcept] = ACTIONS(1),
    [sym_kFinally] = ACTIONS(1),
    [sym_kRaise] = ACTIONS(1),
    [sym_kOn] = ACTIONS(1),
    [sym_kCase] = ACTIONS(1),
    [sym_kWith] = ACTIONS(1),
    [sym_kGoto] = ACTIONS(1),
    [sym_kFunction] = ACTIONS(1),
    [sym_kProcedure] = ACTIONS(1),
    [sym_kConstructor] = ACTIONS(1),
    [sym_kDestructor] = ACTIONS(1),
    [sym_kOperator] = ACTIONS(1),
    [sym_kReference] = ACTIONS(1),
    [sym_kPublished] = ACTIONS(1),
    [sym_kPublic] = ACTIONS(1),
    [sym_kProtected] = ACTIONS(1),
    [sym_kPrivate] = ACTIONS(1),
    [sym_kStrict] = ACTIONS(1),
    [sym_kRequired] = ACTIONS(1),
    [sym_kOptional] = ACTIONS(1),
    [sym_kForward] = ACTIONS(1),
    [sym_kStatic] = ACTIONS(1),
    [sym_kVirtual] = ACTIONS(1),
    [sym_kAbstract] = ACTIONS(1),
    [sym_kSealed] = ACTIONS(1),
    [sym_kDynamic] = ACTIONS(1),
    [sym_kOverride] = ACTIONS(1),
    [sym_kOverload] = ACTIONS(1),
    [sym_kReintroduce] = ACTIONS(1),
    [sym_kInherited] = ACTIONS(1),
    [sym_kInline] = ACTIONS(1),
    [sym_kStdcall] = ACTIONS(1),
    [sym_kCdecl] = ACTIONS(1),
    [sym_kCppdecl] = ACTIONS(1),
    [sym_kPascal] = ACTIONS(1),
    [sym_kRegister] = ACTIONS(1),
    [sym_kMwpascal] = ACTIONS(1),
    [sym_kExternal] = ACTIONS(1),
    [sym_kName] = ACTIONS(1),
    [sym_kMessage] = ACTIONS(1),
    [sym_kDeprecated] = ACTIONS(1),
    [sym_kExperimental] = ACTIONS(1),
    [sym_kPlatform] = ACTIONS(1),
    [sym_kUnimplemented] = ACTIONS(1),
    [sym_kCvar] = ACTIONS(1),
    [sym_kExport] = ACTIONS(1),
    [sym_kFar] = ACTIONS(1),
    [sym_kNear] = ACTIONS(1),
    [sym_kSafecall] = ACTIONS(1),
    [sym_kAssembler] = ACTIONS(1),
    [sym_kNostackframe] = ACTIONS(1),
    [sym_kInterrupt] = ACTIONS(1),
    [sym_kNoreturn] = ACTIONS(1),
    [sym_kIocheck] = ACTIONS(1),
    [sym_kLocal] = ACTIONS(1),
    [sym_kHardfloat] = ACTIONS(1),
    [sym_kSoftfloat] = ACTIONS(1),
    [sym_kMs_abi_default] = ACTIONS(1),
    [sym_kMs_abi_cdecl] = ACTIONS(1),
    [sym_kSaveregisters] = ACTIONS(1),
    [sym_kSysv_abi_default] = ACTIONS(1),
    [sym_kSysv_abi_cdecl] = ACTIONS(1),
    [sym_kVectorcall] = ACTIONS(1),
    [sym_kVarargs] = ACTIONS(1),
    [sym_kWinapi] = ACTIONS(1),
    [sym_kAlias] = ACTIONS(1),
    [sym_kDelayed] = ACTIONS(1),
    [sym_kNil] = ACTIONS(1),
    [sym_kTrue] = ACTIONS(1),
    [sym_kFalse] = ACTIONS(1),
    [sym_kIfdef] = ACTIONS(1),
    [sym_kIfndef] = ACTIONS(1),
    [sym_kEndif] = ACTIONS(1),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_root] = STATE(2696),
    [sym_program] = STATE(2695),
    [sym_library] = STATE(2695),
    [sym_unit] = STATE(2695),
    [sym_blockTr] = STATE(1180),
    [aux_sym__definitions] = STATE(1180),
    [sym__definition] = STATE(1180),
    [sym_defProc] = STATE(1180),
    [sym_declProcFwd] = STATE(1180),
    [sym_declUses] = STATE(1180),
    [sym_declExports] = STATE(1180),
    [sym_declTypes] = STATE(1180),
    [sym_declVars] = STATE(1180),
    [sym_declConsts] = STATE(1180),
    [sym_declProc] = STATE(1116),
    [sym_declLabels] = STATE(1180),
    [sym__declProc] = STATE(1570),
    [sym__declOperator] = STATE(1631),
    [sym_rttiAttributes] = STATE(1771),
    [aux_sym_rttiAttributes_repeat2] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_LBRACK] = ACTIONS(9),
    [sym_kProgram] = ACTIONS(11),
    [sym_kLibrary] = ACTIONS(13),
    [sym_kUnit] = ACTIONS(15),
    [sym_kUses] = ACTIONS(17),
    [sym_kBegin] = ACTIONS(19),
    [sym_kVar] = ACTIONS(21),
    [sym_kThreadvar] = ACTIONS(21),
    [sym_kConst] = ACTIONS(23),
    [sym_kResourcestring] = ACTIONS(25),
    [sym_kType] = ACTIONS(27),
    [sym_kLabel] = ACTIONS(29),
    [sym_kExports] = ACTIONS(31),
    [sym_kClass] = ACTIONS(33),
    [sym_kGeneric] = ACTIONS(35),
    [sym_kFunction] = ACTIONS(37),
    [sym_kProcedure] = ACTIONS(37),
    [sym_kConstructor] = ACTIONS(37),
    [sym_kDestructor] = ACTIONS(37),
    [sym_kOperator] = ACTIONS(39),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_exceptionHandler] = STATE(1968),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_exceptionHandlerTr] = STATE(2079),
    [sym__exceptionHandlersTr] = STATE(2334),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2334),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__exceptionHandlers_repeat1] = STATE(1966),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(59),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kOn] = ACTIONS(83),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_exceptionHandler] = STATE(1968),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_exceptionHandlerTr] = STATE(2079),
    [sym__exceptionHandlersTr] = STATE(2437),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2437),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__exceptionHandlers_repeat1] = STATE(1966),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(97),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kOn] = ACTIONS(83),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_exceptionHandler] = STATE(1968),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_exceptionHandlerTr] = STATE(2079),
    [sym__exceptionHandlersTr] = STATE(2686),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2686),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__exceptionHandlers_repeat1] = STATE(1966),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(99),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kOn] = ACTIONS(83),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_exceptionHandler] = STATE(1968),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_exceptionHandlerTr] = STATE(2079),
    [sym__exceptionHandlersTr] = STATE(2355),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2355),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__exceptionHandlers_repeat1] = STATE(1966),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(101),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kOn] = ACTIONS(83),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1925),
    [sym_ifElseTr] = STATE(1925),
    [sym_whileTr] = STATE(1925),
    [sym_repeatTr] = STATE(1925),
    [sym_forTr] = STATE(1925),
    [sym_foreachTr] = STATE(1925),
    [sym_tryTr] = STATE(1925),
    [sym_caseTr] = STATE(1925),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1925),
    [sym_withTr] = STATE(1925),
    [sym_raiseTr] = STATE(1925),
    [sym_statementTr] = STATE(1925),
    [sym_gotoTr] = STATE(1925),
    [sym__statementTr] = STATE(1925),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(55),
    [sym__statementsTr] = STATE(1925),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym__statementsTr_repeat1] = STATE(55),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(117),
    [sym_kImplementation] = ACTIONS(117),
    [sym_kInitialization] = ACTIONS(117),
    [sym_kFinalization] = ACTIONS(117),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(117),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1924),
    [sym_ifElseTr] = STATE(1924),
    [sym_whileTr] = STATE(1924),
    [sym_repeatTr] = STATE(1924),
    [sym_forTr] = STATE(1924),
    [sym_foreachTr] = STATE(1924),
    [sym_tryTr] = STATE(1924),
    [sym_caseTr] = STATE(1924),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1924),
    [sym_withTr] = STATE(1924),
    [sym_raiseTr] = STATE(1924),
    [sym_statementTr] = STATE(1924),
    [sym_gotoTr] = STATE(1924),
    [sym__statementTr] = STATE(1924),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(55),
    [sym__statementsTr] = STATE(1924),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym__statementsTr_repeat1] = STATE(55),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(145),
    [sym_kImplementation] = ACTIONS(145),
    [sym_kInitialization] = ACTIONS(145),
    [sym_kFinalization] = ACTIONS(145),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(145),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(885),
    [sym_while] = STATE(885),
    [sym_repeat] = STATE(885),
    [sym_for] = STATE(885),
    [sym_foreach] = STATE(885),
    [sym_try] = STATE(885),
    [sym_case] = STATE(885),
    [sym_block] = STATE(885),
    [sym_asm] = STATE(885),
    [sym_with] = STATE(885),
    [sym_raise] = STATE(885),
    [sym_statement] = STATE(885),
    [sym_goto] = STATE(885),
    [sym__statement] = STATE(885),
    [sym_ifTr] = STATE(1784),
    [sym_ifElseTr] = STATE(1784),
    [sym_whileTr] = STATE(1784),
    [sym_repeatTr] = STATE(1784),
    [sym_forTr] = STATE(1784),
    [sym_foreachTr] = STATE(1784),
    [sym_tryTr] = STATE(1784),
    [sym_caseTr] = STATE(1784),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1784),
    [sym_withTr] = STATE(1784),
    [sym_raiseTr] = STATE(1784),
    [sym_statementTr] = STATE(1784),
    [sym_gotoTr] = STATE(1784),
    [sym__statementTr] = STATE(1784),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(149),
    [sym_kImplementation] = ACTIONS(149),
    [sym_kInitialization] = ACTIONS(149),
    [sym_kFinalization] = ACTIONS(149),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(149),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(149),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(867),
    [sym_while] = STATE(867),
    [sym_repeat] = STATE(867),
    [sym_for] = STATE(867),
    [sym_foreach] = STATE(867),
    [sym_try] = STATE(867),
    [sym_case] = STATE(867),
    [sym_block] = STATE(867),
    [sym_asm] = STATE(867),
    [sym_with] = STATE(867),
    [sym_raise] = STATE(867),
    [sym_statement] = STATE(867),
    [sym_goto] = STATE(867),
    [sym__statement] = STATE(867),
    [sym_ifTr] = STATE(1752),
    [sym_ifElseTr] = STATE(1752),
    [sym_whileTr] = STATE(1752),
    [sym_repeatTr] = STATE(1752),
    [sym_forTr] = STATE(1752),
    [sym_foreachTr] = STATE(1752),
    [sym_tryTr] = STATE(1752),
    [sym_caseTr] = STATE(1752),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1752),
    [sym_withTr] = STATE(1752),
    [sym_raiseTr] = STATE(1752),
    [sym_statementTr] = STATE(1752),
    [sym_gotoTr] = STATE(1752),
    [sym__statementTr] = STATE(1752),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(153),
    [sym_kImplementation] = ACTIONS(153),
    [sym_kInitialization] = ACTIONS(153),
    [sym_kFinalization] = ACTIONS(153),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(153),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(153),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_if] = STATE(1024),
    [sym_ifElse] = STATE(865),
    [sym_while] = STATE(865),
    [sym_repeat] = STATE(865),
    [sym_for] = STATE(865),
    [sym_foreach] = STATE(865),
    [sym_try] = STATE(865),
    [sym_case] = STATE(865),
    [sym_block] = STATE(865),
    [sym_asm] = STATE(865),
    [sym_with] = STATE(865),
    [sym_raise] = STATE(865),
    [sym_statement] = STATE(865),
    [sym_goto] = STATE(865),
    [sym__statement] = STATE(865),
    [sym_ifTr] = STATE(1895),
    [sym_ifElseTr] = STATE(1895),
    [sym_whileTr] = STATE(1895),
    [sym_repeatTr] = STATE(1895),
    [sym_forTr] = STATE(1895),
    [sym_foreachTr] = STATE(1895),
    [sym_tryTr] = STATE(1895),
    [sym_caseTr] = STATE(1895),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1895),
    [sym_withTr] = STATE(1895),
    [sym_raiseTr] = STATE(1895),
    [sym_statementTr] = STATE(1895),
    [sym_gotoTr] = STATE(1895),
    [sym__statementTr] = STATE(1895),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(157),
    [sym_kImplementation] = ACTIONS(157),
    [sym_kInitialization] = ACTIONS(157),
    [sym_kFinalization] = ACTIONS(157),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(157),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(159),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(803),
    [sym_while] = STATE(803),
    [sym_repeat] = STATE(803),
    [sym_for] = STATE(803),
    [sym_foreach] = STATE(803),
    [sym_try] = STATE(803),
    [sym_case] = STATE(803),
    [sym_block] = STATE(803),
    [sym_asm] = STATE(803),
    [sym_with] = STATE(803),
    [sym_raise] = STATE(803),
    [sym_statement] = STATE(803),
    [sym_goto] = STATE(803),
    [sym__statement] = STATE(803),
    [sym_ifTr] = STATE(1767),
    [sym_ifElseTr] = STATE(1767),
    [sym_whileTr] = STATE(1767),
    [sym_repeatTr] = STATE(1767),
    [sym_forTr] = STATE(1767),
    [sym_foreachTr] = STATE(1767),
    [sym_tryTr] = STATE(1767),
    [sym_caseTr] = STATE(1767),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1767),
    [sym_withTr] = STATE(1767),
    [sym_raiseTr] = STATE(1767),
    [sym_statementTr] = STATE(1767),
    [sym_gotoTr] = STATE(1767),
    [sym__statementTr] = STATE(1767),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(163),
    [sym_kImplementation] = ACTIONS(163),
    [sym_kInitialization] = ACTIONS(163),
    [sym_kFinalization] = ACTIONS(163),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(163),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(163),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(859),
    [sym_while] = STATE(859),
    [sym_repeat] = STATE(859),
    [sym_for] = STATE(859),
    [sym_foreach] = STATE(859),
    [sym_try] = STATE(859),
    [sym_case] = STATE(859),
    [sym_block] = STATE(859),
    [sym_asm] = STATE(859),
    [sym_with] = STATE(859),
    [sym_raise] = STATE(859),
    [sym_statement] = STATE(859),
    [sym_goto] = STATE(859),
    [sym__statement] = STATE(859),
    [sym_ifTr] = STATE(1754),
    [sym_ifElseTr] = STATE(1754),
    [sym_whileTr] = STATE(1754),
    [sym_repeatTr] = STATE(1754),
    [sym_forTr] = STATE(1754),
    [sym_foreachTr] = STATE(1754),
    [sym_tryTr] = STATE(1754),
    [sym_caseTr] = STATE(1754),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1754),
    [sym_withTr] = STATE(1754),
    [sym_raiseTr] = STATE(1754),
    [sym_statementTr] = STATE(1754),
    [sym_gotoTr] = STATE(1754),
    [sym__statementTr] = STATE(1754),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(165),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(167),
    [sym_kImplementation] = ACTIONS(167),
    [sym_kInitialization] = ACTIONS(167),
    [sym_kFinalization] = ACTIONS(167),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(167),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(167),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(818),
    [sym_while] = STATE(818),
    [sym_repeat] = STATE(818),
    [sym_for] = STATE(818),
    [sym_foreach] = STATE(818),
    [sym_try] = STATE(818),
    [sym_case] = STATE(818),
    [sym_block] = STATE(818),
    [sym_asm] = STATE(818),
    [sym_with] = STATE(818),
    [sym_raise] = STATE(818),
    [sym_statement] = STATE(818),
    [sym_goto] = STATE(818),
    [sym__statement] = STATE(818),
    [sym_ifTr] = STATE(1778),
    [sym_ifElseTr] = STATE(1778),
    [sym_whileTr] = STATE(1778),
    [sym_repeatTr] = STATE(1778),
    [sym_forTr] = STATE(1778),
    [sym_foreachTr] = STATE(1778),
    [sym_tryTr] = STATE(1778),
    [sym_caseTr] = STATE(1778),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1778),
    [sym_withTr] = STATE(1778),
    [sym_raiseTr] = STATE(1778),
    [sym_statementTr] = STATE(1778),
    [sym_gotoTr] = STATE(1778),
    [sym__statementTr] = STATE(1778),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(171),
    [sym_kImplementation] = ACTIONS(171),
    [sym_kInitialization] = ACTIONS(171),
    [sym_kFinalization] = ACTIONS(171),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(171),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(171),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(812),
    [sym_while] = STATE(812),
    [sym_repeat] = STATE(812),
    [sym_for] = STATE(812),
    [sym_foreach] = STATE(812),
    [sym_try] = STATE(812),
    [sym_case] = STATE(812),
    [sym_block] = STATE(812),
    [sym_asm] = STATE(812),
    [sym_with] = STATE(812),
    [sym_raise] = STATE(812),
    [sym_statement] = STATE(812),
    [sym_goto] = STATE(812),
    [sym__statement] = STATE(812),
    [sym_ifTr] = STATE(1786),
    [sym_ifElseTr] = STATE(1786),
    [sym_whileTr] = STATE(1786),
    [sym_repeatTr] = STATE(1786),
    [sym_forTr] = STATE(1786),
    [sym_foreachTr] = STATE(1786),
    [sym_tryTr] = STATE(1786),
    [sym_caseTr] = STATE(1786),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1786),
    [sym_withTr] = STATE(1786),
    [sym_raiseTr] = STATE(1786),
    [sym_statementTr] = STATE(1786),
    [sym_gotoTr] = STATE(1786),
    [sym__statementTr] = STATE(1786),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(175),
    [sym_kImplementation] = ACTIONS(175),
    [sym_kInitialization] = ACTIONS(175),
    [sym_kFinalization] = ACTIONS(175),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(175),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(175),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(810),
    [sym_while] = STATE(810),
    [sym_repeat] = STATE(810),
    [sym_for] = STATE(810),
    [sym_foreach] = STATE(810),
    [sym_try] = STATE(810),
    [sym_case] = STATE(810),
    [sym_block] = STATE(810),
    [sym_asm] = STATE(810),
    [sym_with] = STATE(810),
    [sym_raise] = STATE(810),
    [sym_statement] = STATE(810),
    [sym_goto] = STATE(810),
    [sym__statement] = STATE(810),
    [sym_ifTr] = STATE(1753),
    [sym_ifElseTr] = STATE(1753),
    [sym_whileTr] = STATE(1753),
    [sym_repeatTr] = STATE(1753),
    [sym_forTr] = STATE(1753),
    [sym_foreachTr] = STATE(1753),
    [sym_tryTr] = STATE(1753),
    [sym_caseTr] = STATE(1753),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1753),
    [sym_withTr] = STATE(1753),
    [sym_raiseTr] = STATE(1753),
    [sym_statementTr] = STATE(1753),
    [sym_gotoTr] = STATE(1753),
    [sym__statementTr] = STATE(1753),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(179),
    [sym_kImplementation] = ACTIONS(179),
    [sym_kInitialization] = ACTIONS(179),
    [sym_kFinalization] = ACTIONS(179),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(179),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kElse] = ACTIONS(179),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2265),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(181),
    [sym_kFinally] = ACTIONS(183),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2275),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(185),
    [sym_kFinally] = ACTIONS(187),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2476),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(189),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2420),
    [sym_ifElseTr] = STATE(2420),
    [sym_whileTr] = STATE(2420),
    [sym_repeatTr] = STATE(2420),
    [sym_forTr] = STATE(2420),
    [sym_foreachTr] = STATE(2420),
    [sym_tryTr] = STATE(2420),
    [sym_caseTr] = STATE(2420),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2420),
    [sym_withTr] = STATE(2420),
    [sym_raiseTr] = STATE(2420),
    [sym_statementTr] = STATE(2420),
    [sym_gotoTr] = STATE(2420),
    [sym__statementTr] = STATE(2420),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2420),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(193),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2434),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(195),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2482),
    [sym_ifElseTr] = STATE(2482),
    [sym_whileTr] = STATE(2482),
    [sym_repeatTr] = STATE(2482),
    [sym_forTr] = STATE(2482),
    [sym_foreachTr] = STATE(2482),
    [sym_tryTr] = STATE(2482),
    [sym_caseTr] = STATE(2482),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2482),
    [sym_withTr] = STATE(2482),
    [sym_raiseTr] = STATE(2482),
    [sym_statementTr] = STATE(2482),
    [sym_gotoTr] = STATE(2482),
    [sym__statementTr] = STATE(2482),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2482),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(199),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2493),
    [sym_ifElseTr] = STATE(2493),
    [sym_whileTr] = STATE(2493),
    [sym_repeatTr] = STATE(2493),
    [sym_forTr] = STATE(2493),
    [sym_foreachTr] = STATE(2493),
    [sym_tryTr] = STATE(2493),
    [sym_caseTr] = STATE(2493),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2493),
    [sym_withTr] = STATE(2493),
    [sym_raiseTr] = STATE(2493),
    [sym_statementTr] = STATE(2493),
    [sym_gotoTr] = STATE(2493),
    [sym__statementTr] = STATE(2493),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2493),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(203),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2499),
    [sym_ifElseTr] = STATE(2499),
    [sym_whileTr] = STATE(2499),
    [sym_repeatTr] = STATE(2499),
    [sym_forTr] = STATE(2499),
    [sym_foreachTr] = STATE(2499),
    [sym_tryTr] = STATE(2499),
    [sym_caseTr] = STATE(2499),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2499),
    [sym_withTr] = STATE(2499),
    [sym_raiseTr] = STATE(2499),
    [sym_statementTr] = STATE(2499),
    [sym_gotoTr] = STATE(2499),
    [sym__statementTr] = STATE(2499),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2499),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(207),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_if] = STATE(1043),
    [sym_ifElse] = STATE(865),
    [sym_while] = STATE(865),
    [sym_repeat] = STATE(865),
    [sym_for] = STATE(865),
    [sym_foreach] = STATE(865),
    [sym_try] = STATE(865),
    [sym_case] = STATE(865),
    [sym_block] = STATE(865),
    [sym_asm] = STATE(865),
    [sym_with] = STATE(865),
    [sym_raise] = STATE(865),
    [sym_statement] = STATE(865),
    [sym_goto] = STATE(865),
    [sym__statement] = STATE(865),
    [sym_ifTr] = STATE(1919),
    [sym_ifElseTr] = STATE(1919),
    [sym_whileTr] = STATE(1919),
    [sym_repeatTr] = STATE(1919),
    [sym_forTr] = STATE(1919),
    [sym_foreachTr] = STATE(1919),
    [sym_tryTr] = STATE(1919),
    [sym_caseTr] = STATE(1919),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1919),
    [sym_withTr] = STATE(1919),
    [sym_raiseTr] = STATE(1919),
    [sym_statementTr] = STATE(1919),
    [sym_gotoTr] = STATE(1919),
    [sym__statementTr] = STATE(1919),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(157),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(209),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(157),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(157),
    [sym_kFinally] = ACTIONS(157),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2610),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(211),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(867),
    [sym_while] = STATE(867),
    [sym_repeat] = STATE(867),
    [sym_for] = STATE(867),
    [sym_foreach] = STATE(867),
    [sym_try] = STATE(867),
    [sym_case] = STATE(867),
    [sym_block] = STATE(867),
    [sym_asm] = STATE(867),
    [sym_with] = STATE(867),
    [sym_raise] = STATE(867),
    [sym_statement] = STATE(867),
    [sym_goto] = STATE(867),
    [sym__statement] = STATE(867),
    [sym_ifTr] = STATE(1752),
    [sym_ifElseTr] = STATE(1752),
    [sym_whileTr] = STATE(1752),
    [sym_repeatTr] = STATE(1752),
    [sym_forTr] = STATE(1752),
    [sym_foreachTr] = STATE(1752),
    [sym_tryTr] = STATE(1752),
    [sym_caseTr] = STATE(1752),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1752),
    [sym_withTr] = STATE(1752),
    [sym_raiseTr] = STATE(1752),
    [sym_statementTr] = STATE(1752),
    [sym_gotoTr] = STATE(1752),
    [sym__statementTr] = STATE(1752),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(153),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(153),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(153),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(153),
    [sym_kFinally] = ACTIONS(153),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2394),
    [sym_ifElseTr] = STATE(2394),
    [sym_whileTr] = STATE(2394),
    [sym_repeatTr] = STATE(2394),
    [sym_forTr] = STATE(2394),
    [sym_foreachTr] = STATE(2394),
    [sym_tryTr] = STATE(2394),
    [sym_caseTr] = STATE(2394),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2394),
    [sym_withTr] = STATE(2394),
    [sym_raiseTr] = STATE(2394),
    [sym_statementTr] = STATE(2394),
    [sym_gotoTr] = STATE(2394),
    [sym__statementTr] = STATE(2394),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2394),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(215),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2443),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(217),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(885),
    [sym_while] = STATE(885),
    [sym_repeat] = STATE(885),
    [sym_for] = STATE(885),
    [sym_foreach] = STATE(885),
    [sym_try] = STATE(885),
    [sym_case] = STATE(885),
    [sym_block] = STATE(885),
    [sym_asm] = STATE(885),
    [sym_with] = STATE(885),
    [sym_raise] = STATE(885),
    [sym_statement] = STATE(885),
    [sym_goto] = STATE(885),
    [sym__statement] = STATE(885),
    [sym_ifTr] = STATE(1784),
    [sym_ifElseTr] = STATE(1784),
    [sym_whileTr] = STATE(1784),
    [sym_repeatTr] = STATE(1784),
    [sym_forTr] = STATE(1784),
    [sym_foreachTr] = STATE(1784),
    [sym_tryTr] = STATE(1784),
    [sym_caseTr] = STATE(1784),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1784),
    [sym_withTr] = STATE(1784),
    [sym_raiseTr] = STATE(1784),
    [sym_statementTr] = STATE(1784),
    [sym_gotoTr] = STATE(1784),
    [sym__statementTr] = STATE(1784),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(149),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(149),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(149),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(149),
    [sym_kFinally] = ACTIONS(149),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(810),
    [sym_while] = STATE(810),
    [sym_repeat] = STATE(810),
    [sym_for] = STATE(810),
    [sym_foreach] = STATE(810),
    [sym_try] = STATE(810),
    [sym_case] = STATE(810),
    [sym_block] = STATE(810),
    [sym_asm] = STATE(810),
    [sym_with] = STATE(810),
    [sym_raise] = STATE(810),
    [sym_statement] = STATE(810),
    [sym_goto] = STATE(810),
    [sym__statement] = STATE(810),
    [sym_ifTr] = STATE(1753),
    [sym_ifElseTr] = STATE(1753),
    [sym_whileTr] = STATE(1753),
    [sym_repeatTr] = STATE(1753),
    [sym_forTr] = STATE(1753),
    [sym_foreachTr] = STATE(1753),
    [sym_tryTr] = STATE(1753),
    [sym_caseTr] = STATE(1753),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1753),
    [sym_withTr] = STATE(1753),
    [sym_raiseTr] = STATE(1753),
    [sym_statementTr] = STATE(1753),
    [sym_gotoTr] = STATE(1753),
    [sym__statementTr] = STATE(1753),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(179),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(179),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(179),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(179),
    [sym_kFinally] = ACTIONS(179),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(812),
    [sym_while] = STATE(812),
    [sym_repeat] = STATE(812),
    [sym_for] = STATE(812),
    [sym_foreach] = STATE(812),
    [sym_try] = STATE(812),
    [sym_case] = STATE(812),
    [sym_block] = STATE(812),
    [sym_asm] = STATE(812),
    [sym_with] = STATE(812),
    [sym_raise] = STATE(812),
    [sym_statement] = STATE(812),
    [sym_goto] = STATE(812),
    [sym__statement] = STATE(812),
    [sym_ifTr] = STATE(1786),
    [sym_ifElseTr] = STATE(1786),
    [sym_whileTr] = STATE(1786),
    [sym_repeatTr] = STATE(1786),
    [sym_forTr] = STATE(1786),
    [sym_foreachTr] = STATE(1786),
    [sym_tryTr] = STATE(1786),
    [sym_caseTr] = STATE(1786),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1786),
    [sym_withTr] = STATE(1786),
    [sym_raiseTr] = STATE(1786),
    [sym_statementTr] = STATE(1786),
    [sym_gotoTr] = STATE(1786),
    [sym__statementTr] = STATE(1786),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(175),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(175),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(175),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(175),
    [sym_kFinally] = ACTIONS(175),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(818),
    [sym_while] = STATE(818),
    [sym_repeat] = STATE(818),
    [sym_for] = STATE(818),
    [sym_foreach] = STATE(818),
    [sym_try] = STATE(818),
    [sym_case] = STATE(818),
    [sym_block] = STATE(818),
    [sym_asm] = STATE(818),
    [sym_with] = STATE(818),
    [sym_raise] = STATE(818),
    [sym_statement] = STATE(818),
    [sym_goto] = STATE(818),
    [sym__statement] = STATE(818),
    [sym_ifTr] = STATE(1778),
    [sym_ifElseTr] = STATE(1778),
    [sym_whileTr] = STATE(1778),
    [sym_repeatTr] = STATE(1778),
    [sym_forTr] = STATE(1778),
    [sym_foreachTr] = STATE(1778),
    [sym_tryTr] = STATE(1778),
    [sym_caseTr] = STATE(1778),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1778),
    [sym_withTr] = STATE(1778),
    [sym_raiseTr] = STATE(1778),
    [sym_statementTr] = STATE(1778),
    [sym_gotoTr] = STATE(1778),
    [sym__statementTr] = STATE(1778),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(171),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(171),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(171),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(171),
    [sym_kFinally] = ACTIONS(171),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2500),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(219),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2555),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(221),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(1995),
    [sym_ifElseTr] = STATE(1995),
    [sym_whileTr] = STATE(1995),
    [sym_repeatTr] = STATE(1995),
    [sym_forTr] = STATE(1995),
    [sym_foreachTr] = STATE(1995),
    [sym_tryTr] = STATE(1995),
    [sym_caseTr] = STATE(1995),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1995),
    [sym_withTr] = STATE(1995),
    [sym_raiseTr] = STATE(1995),
    [sym_statementTr] = STATE(1995),
    [sym_gotoTr] = STATE(1995),
    [sym__statementTr] = STATE(1995),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(1995),
    [sym_statementsTr] = STATE(2690),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(223),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(859),
    [sym_while] = STATE(859),
    [sym_repeat] = STATE(859),
    [sym_for] = STATE(859),
    [sym_foreach] = STATE(859),
    [sym_try] = STATE(859),
    [sym_case] = STATE(859),
    [sym_block] = STATE(859),
    [sym_asm] = STATE(859),
    [sym_with] = STATE(859),
    [sym_raise] = STATE(859),
    [sym_statement] = STATE(859),
    [sym_goto] = STATE(859),
    [sym__statement] = STATE(859),
    [sym_ifTr] = STATE(1754),
    [sym_ifElseTr] = STATE(1754),
    [sym_whileTr] = STATE(1754),
    [sym_repeatTr] = STATE(1754),
    [sym_forTr] = STATE(1754),
    [sym_foreachTr] = STATE(1754),
    [sym_tryTr] = STATE(1754),
    [sym_caseTr] = STATE(1754),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1754),
    [sym_withTr] = STATE(1754),
    [sym_raiseTr] = STATE(1754),
    [sym_statementTr] = STATE(1754),
    [sym_gotoTr] = STATE(1754),
    [sym__statementTr] = STATE(1754),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(165),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(167),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(167),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(167),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(167),
    [sym_kFinally] = ACTIONS(167),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(803),
    [sym_while] = STATE(803),
    [sym_repeat] = STATE(803),
    [sym_for] = STATE(803),
    [sym_foreach] = STATE(803),
    [sym_try] = STATE(803),
    [sym_case] = STATE(803),
    [sym_block] = STATE(803),
    [sym_asm] = STATE(803),
    [sym_with] = STATE(803),
    [sym_raise] = STATE(803),
    [sym_statement] = STATE(803),
    [sym_goto] = STATE(803),
    [sym__statement] = STATE(803),
    [sym_ifTr] = STATE(1767),
    [sym_ifElseTr] = STATE(1767),
    [sym_whileTr] = STATE(1767),
    [sym_repeatTr] = STATE(1767),
    [sym_forTr] = STATE(1767),
    [sym_foreachTr] = STATE(1767),
    [sym_tryTr] = STATE(1767),
    [sym_caseTr] = STATE(1767),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1767),
    [sym_withTr] = STATE(1767),
    [sym_raiseTr] = STATE(1767),
    [sym_statementTr] = STATE(1767),
    [sym_gotoTr] = STATE(1767),
    [sym__statementTr] = STATE(1767),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(163),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(163),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kUntil] = ACTIONS(163),
    [sym_kTry] = ACTIONS(79),
    [sym_kExcept] = ACTIONS(163),
    [sym_kFinally] = ACTIONS(163),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2669),
    [sym_ifElseTr] = STATE(2669),
    [sym_whileTr] = STATE(2669),
    [sym_repeatTr] = STATE(2669),
    [sym_forTr] = STATE(2669),
    [sym_foreachTr] = STATE(2669),
    [sym_tryTr] = STATE(2669),
    [sym_caseTr] = STATE(2669),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2669),
    [sym_withTr] = STATE(2669),
    [sym_raiseTr] = STATE(2669),
    [sym_statementTr] = STATE(2669),
    [sym_gotoTr] = STATE(2669),
    [sym__statementTr] = STATE(2669),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2669),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(227),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2444),
    [sym_ifElseTr] = STATE(2444),
    [sym_whileTr] = STATE(2444),
    [sym_repeatTr] = STATE(2444),
    [sym_forTr] = STATE(2444),
    [sym_foreachTr] = STATE(2444),
    [sym_tryTr] = STATE(2444),
    [sym_caseTr] = STATE(2444),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2444),
    [sym_withTr] = STATE(2444),
    [sym_raiseTr] = STATE(2444),
    [sym_statementTr] = STATE(2444),
    [sym_gotoTr] = STATE(2444),
    [sym__statementTr] = STATE(2444),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2444),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(229),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2482),
    [sym_ifElseTr] = STATE(2482),
    [sym_whileTr] = STATE(2482),
    [sym_repeatTr] = STATE(2482),
    [sym_forTr] = STATE(2482),
    [sym_foreachTr] = STATE(2482),
    [sym_tryTr] = STATE(2482),
    [sym_caseTr] = STATE(2482),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2482),
    [sym_withTr] = STATE(2482),
    [sym_raiseTr] = STATE(2482),
    [sym_statementTr] = STATE(2482),
    [sym_gotoTr] = STATE(2482),
    [sym__statementTr] = STATE(2482),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2482),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(199),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2621),
    [sym_ifElseTr] = STATE(2621),
    [sym_whileTr] = STATE(2621),
    [sym_repeatTr] = STATE(2621),
    [sym_forTr] = STATE(2621),
    [sym_foreachTr] = STATE(2621),
    [sym_tryTr] = STATE(2621),
    [sym_caseTr] = STATE(2621),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2621),
    [sym_withTr] = STATE(2621),
    [sym_raiseTr] = STATE(2621),
    [sym_statementTr] = STATE(2621),
    [sym_gotoTr] = STATE(2621),
    [sym__statementTr] = STATE(2621),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2621),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(231),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2417),
    [sym_ifElseTr] = STATE(2417),
    [sym_whileTr] = STATE(2417),
    [sym_repeatTr] = STATE(2417),
    [sym_forTr] = STATE(2417),
    [sym_foreachTr] = STATE(2417),
    [sym_tryTr] = STATE(2417),
    [sym_caseTr] = STATE(2417),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2417),
    [sym_withTr] = STATE(2417),
    [sym_raiseTr] = STATE(2417),
    [sym_statementTr] = STATE(2417),
    [sym_gotoTr] = STATE(2417),
    [sym__statementTr] = STATE(2417),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2417),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(233),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2416),
    [sym_ifElseTr] = STATE(2416),
    [sym_whileTr] = STATE(2416),
    [sym_repeatTr] = STATE(2416),
    [sym_forTr] = STATE(2416),
    [sym_foreachTr] = STATE(2416),
    [sym_tryTr] = STATE(2416),
    [sym_caseTr] = STATE(2416),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2416),
    [sym_withTr] = STATE(2416),
    [sym_raiseTr] = STATE(2416),
    [sym_statementTr] = STATE(2416),
    [sym_gotoTr] = STATE(2416),
    [sym__statementTr] = STATE(2416),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2416),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(235),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2396),
    [sym_ifElseTr] = STATE(2396),
    [sym_whileTr] = STATE(2396),
    [sym_repeatTr] = STATE(2396),
    [sym_forTr] = STATE(2396),
    [sym_foreachTr] = STATE(2396),
    [sym_tryTr] = STATE(2396),
    [sym_caseTr] = STATE(2396),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2396),
    [sym_withTr] = STATE(2396),
    [sym_raiseTr] = STATE(2396),
    [sym_statementTr] = STATE(2396),
    [sym_gotoTr] = STATE(2396),
    [sym__statementTr] = STATE(2396),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2396),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(237),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2554),
    [sym_ifElseTr] = STATE(2554),
    [sym_whileTr] = STATE(2554),
    [sym_repeatTr] = STATE(2554),
    [sym_forTr] = STATE(2554),
    [sym_foreachTr] = STATE(2554),
    [sym_tryTr] = STATE(2554),
    [sym_caseTr] = STATE(2554),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2554),
    [sym_withTr] = STATE(2554),
    [sym_raiseTr] = STATE(2554),
    [sym_statementTr] = STATE(2554),
    [sym_gotoTr] = STATE(2554),
    [sym__statementTr] = STATE(2554),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2554),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(239),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2473),
    [sym_ifElseTr] = STATE(2473),
    [sym_whileTr] = STATE(2473),
    [sym_repeatTr] = STATE(2473),
    [sym_forTr] = STATE(2473),
    [sym_foreachTr] = STATE(2473),
    [sym_tryTr] = STATE(2473),
    [sym_caseTr] = STATE(2473),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2473),
    [sym_withTr] = STATE(2473),
    [sym_raiseTr] = STATE(2473),
    [sym_statementTr] = STATE(2473),
    [sym_gotoTr] = STATE(2473),
    [sym__statementTr] = STATE(2473),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2473),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(241),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2333),
    [sym_ifElseTr] = STATE(2333),
    [sym_whileTr] = STATE(2333),
    [sym_repeatTr] = STATE(2333),
    [sym_forTr] = STATE(2333),
    [sym_foreachTr] = STATE(2333),
    [sym_tryTr] = STATE(2333),
    [sym_caseTr] = STATE(2333),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2333),
    [sym_withTr] = STATE(2333),
    [sym_raiseTr] = STATE(2333),
    [sym_statementTr] = STATE(2333),
    [sym_gotoTr] = STATE(2333),
    [sym__statementTr] = STATE(2333),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2333),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(243),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2382),
    [sym_ifElseTr] = STATE(2382),
    [sym_whileTr] = STATE(2382),
    [sym_repeatTr] = STATE(2382),
    [sym_forTr] = STATE(2382),
    [sym_foreachTr] = STATE(2382),
    [sym_tryTr] = STATE(2382),
    [sym_caseTr] = STATE(2382),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2382),
    [sym_withTr] = STATE(2382),
    [sym_raiseTr] = STATE(2382),
    [sym_statementTr] = STATE(2382),
    [sym_gotoTr] = STATE(2382),
    [sym__statementTr] = STATE(2382),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2382),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(245),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2420),
    [sym_ifElseTr] = STATE(2420),
    [sym_whileTr] = STATE(2420),
    [sym_repeatTr] = STATE(2420),
    [sym_forTr] = STATE(2420),
    [sym_foreachTr] = STATE(2420),
    [sym_tryTr] = STATE(2420),
    [sym_caseTr] = STATE(2420),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2420),
    [sym_withTr] = STATE(2420),
    [sym_raiseTr] = STATE(2420),
    [sym_statementTr] = STATE(2420),
    [sym_gotoTr] = STATE(2420),
    [sym__statementTr] = STATE(2420),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2420),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(193),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2394),
    [sym_ifElseTr] = STATE(2394),
    [sym_whileTr] = STATE(2394),
    [sym_repeatTr] = STATE(2394),
    [sym_forTr] = STATE(2394),
    [sym_foreachTr] = STATE(2394),
    [sym_tryTr] = STATE(2394),
    [sym_caseTr] = STATE(2394),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2394),
    [sym_withTr] = STATE(2394),
    [sym_raiseTr] = STATE(2394),
    [sym_statementTr] = STATE(2394),
    [sym_gotoTr] = STATE(2394),
    [sym__statementTr] = STATE(2394),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2394),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(215),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2352),
    [sym_ifElseTr] = STATE(2352),
    [sym_whileTr] = STATE(2352),
    [sym_repeatTr] = STATE(2352),
    [sym_forTr] = STATE(2352),
    [sym_foreachTr] = STATE(2352),
    [sym_tryTr] = STATE(2352),
    [sym_caseTr] = STATE(2352),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2352),
    [sym_withTr] = STATE(2352),
    [sym_raiseTr] = STATE(2352),
    [sym_statementTr] = STATE(2352),
    [sym_gotoTr] = STATE(2352),
    [sym__statementTr] = STATE(2352),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2352),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(247),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1016),
    [sym_while] = STATE(1016),
    [sym_repeat] = STATE(1016),
    [sym_for] = STATE(1016),
    [sym_foreach] = STATE(1016),
    [sym_try] = STATE(1016),
    [sym_case] = STATE(1016),
    [sym_block] = STATE(1016),
    [sym_asm] = STATE(1016),
    [sym_with] = STATE(1016),
    [sym_raise] = STATE(1016),
    [sym_statement] = STATE(1016),
    [sym_goto] = STATE(1016),
    [sym__statement] = STATE(1016),
    [sym_ifTr] = STATE(2499),
    [sym_ifElseTr] = STATE(2499),
    [sym_whileTr] = STATE(2499),
    [sym_repeatTr] = STATE(2499),
    [sym_forTr] = STATE(2499),
    [sym_foreachTr] = STATE(2499),
    [sym_tryTr] = STATE(2499),
    [sym_caseTr] = STATE(2499),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2499),
    [sym_withTr] = STATE(2499),
    [sym_raiseTr] = STATE(2499),
    [sym_statementTr] = STATE(2499),
    [sym_gotoTr] = STATE(2499),
    [sym__statementTr] = STATE(2499),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(54),
    [sym__statementsTr] = STATE(2499),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(54),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(207),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1615),
    [sym_while] = STATE(1615),
    [sym_repeat] = STATE(1615),
    [sym_for] = STATE(1615),
    [sym_foreach] = STATE(1615),
    [sym_try] = STATE(1615),
    [sym_case] = STATE(1615),
    [sym_block] = STATE(1615),
    [sym_asm] = STATE(1615),
    [sym_with] = STATE(1615),
    [sym_raise] = STATE(1615),
    [sym_statement] = STATE(1615),
    [sym_goto] = STATE(1615),
    [sym__statement] = STATE(1615),
    [sym_ifTr] = STATE(2166),
    [sym_ifElseTr] = STATE(2166),
    [sym_whileTr] = STATE(2166),
    [sym_repeatTr] = STATE(2166),
    [sym_forTr] = STATE(2166),
    [sym_foreachTr] = STATE(2166),
    [sym_tryTr] = STATE(2166),
    [sym_caseTr] = STATE(2166),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2166),
    [sym_withTr] = STATE(2166),
    [sym_raiseTr] = STATE(2166),
    [sym_statementTr] = STATE(2166),
    [sym_gotoTr] = STATE(2166),
    [sym__statementTr] = STATE(2166),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(251),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(251),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1015),
    [sym_while] = STATE(1015),
    [sym_repeat] = STATE(1015),
    [sym_for] = STATE(1015),
    [sym_foreach] = STATE(1015),
    [sym_try] = STATE(1015),
    [sym_case] = STATE(1015),
    [sym_block] = STATE(1015),
    [sym_asm] = STATE(1015),
    [sym_with] = STATE(1015),
    [sym_raise] = STATE(1015),
    [sym_statement] = STATE(1015),
    [sym_goto] = STATE(1015),
    [sym__statement] = STATE(1015),
    [sym_ifTr] = STATE(1845),
    [sym_ifElseTr] = STATE(1845),
    [sym_whileTr] = STATE(1845),
    [sym_repeatTr] = STATE(1845),
    [sym_forTr] = STATE(1845),
    [sym_foreachTr] = STATE(1845),
    [sym_tryTr] = STATE(1845),
    [sym_caseTr] = STATE(1845),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1845),
    [sym_withTr] = STATE(1845),
    [sym_raiseTr] = STATE(1845),
    [sym_statementTr] = STATE(1845),
    [sym_gotoTr] = STATE(1845),
    [sym__statementTr] = STATE(1845),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(108),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(108),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1015),
    [sym_while] = STATE(1015),
    [sym_repeat] = STATE(1015),
    [sym_for] = STATE(1015),
    [sym_foreach] = STATE(1015),
    [sym_try] = STATE(1015),
    [sym_case] = STATE(1015),
    [sym_block] = STATE(1015),
    [sym_asm] = STATE(1015),
    [sym_with] = STATE(1015),
    [sym_raise] = STATE(1015),
    [sym_statement] = STATE(1015),
    [sym_goto] = STATE(1015),
    [sym__statement] = STATE(1015),
    [sym_ifTr] = STATE(1845),
    [sym_ifElseTr] = STATE(1845),
    [sym_whileTr] = STATE(1845),
    [sym_repeatTr] = STATE(1845),
    [sym_forTr] = STATE(1845),
    [sym_foreachTr] = STATE(1845),
    [sym_tryTr] = STATE(1845),
    [sym_caseTr] = STATE(1845),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(1845),
    [sym_withTr] = STATE(1845),
    [sym_raiseTr] = STATE(1845),
    [sym_statementTr] = STATE(1845),
    [sym_gotoTr] = STATE(1845),
    [sym__statementTr] = STATE(1845),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1940),
    [sym_varDef] = STATE(1739),
    [sym_label] = STATE(108),
    [sym__expr] = STATE(1199),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1199),
    [sym_exprUnary] = STATE(1199),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym__statementsTr_repeat1] = STATE(108),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(119),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kAdd] = ACTIONS(123),
    [sym_kSub] = ACTIONS(123),
    [sym_kAt] = ACTIONS(125),
    [sym_kNot] = ACTIONS(123),
    [sym_kFor] = ACTIONS(127),
    [sym_kIf] = ACTIONS(129),
    [sym_kWhile] = ACTIONS(131),
    [sym_kRepeat] = ACTIONS(133),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(135),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(137),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(2043),
    [sym_while] = STATE(2043),
    [sym_repeat] = STATE(2043),
    [sym_for] = STATE(2043),
    [sym_foreach] = STATE(2043),
    [sym_try] = STATE(2043),
    [sym_case] = STATE(2043),
    [sym_block] = STATE(2043),
    [sym_asm] = STATE(2043),
    [sym_with] = STATE(2043),
    [sym_raise] = STATE(2043),
    [sym_statement] = STATE(2043),
    [sym_goto] = STATE(2043),
    [sym__statement] = STATE(2043),
    [sym_ifTr] = STATE(2302),
    [sym_ifElseTr] = STATE(2302),
    [sym_whileTr] = STATE(2302),
    [sym_repeatTr] = STATE(2302),
    [sym_forTr] = STATE(2302),
    [sym_foreachTr] = STATE(2302),
    [sym_tryTr] = STATE(2302),
    [sym_caseTr] = STATE(2302),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2302),
    [sym_withTr] = STATE(2302),
    [sym_raiseTr] = STATE(2302),
    [sym_statementTr] = STATE(2302),
    [sym_gotoTr] = STATE(2302),
    [sym__statementTr] = STATE(2302),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(257),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(257),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(2038),
    [sym_while] = STATE(2038),
    [sym_repeat] = STATE(2038),
    [sym_for] = STATE(2038),
    [sym_foreach] = STATE(2038),
    [sym_try] = STATE(2038),
    [sym_case] = STATE(2038),
    [sym_block] = STATE(2038),
    [sym_asm] = STATE(2038),
    [sym_with] = STATE(2038),
    [sym_raise] = STATE(2038),
    [sym_statement] = STATE(2038),
    [sym_goto] = STATE(2038),
    [sym__statement] = STATE(2038),
    [sym_ifTr] = STATE(2299),
    [sym_ifElseTr] = STATE(2299),
    [sym_whileTr] = STATE(2299),
    [sym_repeatTr] = STATE(2299),
    [sym_forTr] = STATE(2299),
    [sym_foreachTr] = STATE(2299),
    [sym_tryTr] = STATE(2299),
    [sym_caseTr] = STATE(2299),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2299),
    [sym_withTr] = STATE(2299),
    [sym_raiseTr] = STATE(2299),
    [sym_statementTr] = STATE(2299),
    [sym_gotoTr] = STATE(2299),
    [sym__statementTr] = STATE(2299),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kEnd] = ACTIONS(261),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(261),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_if] = STATE(1176),
    [sym_ifElse] = STATE(865),
    [sym_while] = STATE(865),
    [sym_repeat] = STATE(865),
    [sym_for] = STATE(865),
    [sym_foreach] = STATE(865),
    [sym_try] = STATE(865),
    [sym_case] = STATE(865),
    [sym_block] = STATE(865),
    [sym_asm] = STATE(865),
    [sym_with] = STATE(865),
    [sym_raise] = STATE(865),
    [sym_statement] = STATE(865),
    [sym_goto] = STATE(865),
    [sym__statement] = STATE(865),
    [sym_ifTr] = STATE(2378),
    [sym_ifElseTr] = STATE(2378),
    [sym_whileTr] = STATE(2378),
    [sym_repeatTr] = STATE(2378),
    [sym_forTr] = STATE(2378),
    [sym_foreachTr] = STATE(2378),
    [sym_tryTr] = STATE(2378),
    [sym_caseTr] = STATE(2378),
    [sym_blockTr] = STATE(1779),
    [sym_asmTr] = STATE(2378),
    [sym_withTr] = STATE(2378),
    [sym_raiseTr] = STATE(2378),
    [sym_statementTr] = STATE(2378),
    [sym_gotoTr] = STATE(2378),
    [sym__statementTr] = STATE(2378),
    [sym_assignment] = STATE(1739),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(1739),
    [sym__expr] = STATE(1206),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1206),
    [sym_exprUnary] = STATE(1206),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(57),
    [sym_kAsm] = ACTIONS(61),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(71),
    [sym_kIf] = ACTIONS(73),
    [sym_kElse] = ACTIONS(263),
    [sym_kWhile] = ACTIONS(75),
    [sym_kRepeat] = ACTIONS(77),
    [sym_kTry] = ACTIONS(79),
    [sym_kRaise] = ACTIONS(81),
    [sym_kCase] = ACTIONS(85),
    [sym_kWith] = ACTIONS(87),
    [sym_kGoto] = ACTIONS(89),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kEnd] = ACTIONS(265),
    [sym_kVar] = ACTIONS(265),
    [sym_kThreadvar] = ACTIONS(265),
    [sym_kConst] = ACTIONS(265),
    [sym_kResourcestring] = ACTIONS(265),
    [sym_kType] = ACTIONS(265),
    [sym_kProperty] = ACTIONS(265),
    [sym_kClass] = ACTIONS(265),
    [sym_kGeneric] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(267),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kCase] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(265),
    [sym_kProcedure] = ACTIONS(265),
    [sym_kConstructor] = ACTIONS(265),
    [sym_kDestructor] = ACTIONS(265),
    [sym_kOperator] = ACTIONS(265),
    [sym_kPublished] = ACTIONS(265),
    [sym_kPublic] = ACTIONS(265),
    [sym_kProtected] = ACTIONS(265),
    [sym_kPrivate] = ACTIONS(265),
    [sym_kStrict] = ACTIONS(265),
    [sym_kRequired] = ACTIONS(265),
    [sym_kOptional] = ACTIONS(265),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__expr] = STATE(606),
    [sym__ref] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_inherited] = STATE(599),
    [sym_exprDot] = STATE(599),
    [sym_exprDeref] = STATE(599),
    [sym_exprAs] = STATE(599),
    [sym_exprTpl] = STATE(599),
    [sym_exprSubscript] = STATE(599),
    [sym_exprCall] = STATE(599),
    [sym_exprBinary] = STATE(606),
    [sym_exprUnary] = STATE(606),
    [sym_exprParens] = STATE(599),
    [sym_exprBrackets] = STATE(599),
    [sym__literal] = STATE(599),
    [sym_literalString] = STATE(599),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(599),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kEnd] = ACTIONS(269),
    [sym_kVar] = ACTIONS(269),
    [sym_kThreadvar] = ACTIONS(269),
    [sym_kConst] = ACTIONS(269),
    [sym_kResourcestring] = ACTIONS(269),
    [sym_kType] = ACTIONS(269),
    [sym_kProperty] = ACTIONS(269),
    [sym_kClass] = ACTIONS(269),
    [sym_kGeneric] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(273),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(275),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(277),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kCase] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(269),
    [sym_kProcedure] = ACTIONS(269),
    [sym_kConstructor] = ACTIONS(269),
    [sym_kDestructor] = ACTIONS(269),
    [sym_kOperator] = ACTIONS(269),
    [sym_kPublished] = ACTIONS(269),
    [sym_kPublic] = ACTIONS(269),
    [sym_kProtected] = ACTIONS(269),
    [sym_kPrivate] = ACTIONS(269),
    [sym_kStrict] = ACTIONS(269),
    [sym_kRequired] = ACTIONS(269),
    [sym_kOptional] = ACTIONS(269),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(279),
    [sym_kTrue] = ACTIONS(279),
    [sym_kFalse] = ACTIONS(279),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kEnd] = ACTIONS(269),
    [sym_kVar] = ACTIONS(269),
    [sym_kThreadvar] = ACTIONS(269),
    [sym_kConst] = ACTIONS(269),
    [sym_kResourcestring] = ACTIONS(269),
    [sym_kType] = ACTIONS(269),
    [sym_kProperty] = ACTIONS(269),
    [sym_kClass] = ACTIONS(269),
    [sym_kGeneric] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kCase] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(269),
    [sym_kProcedure] = ACTIONS(269),
    [sym_kConstructor] = ACTIONS(269),
    [sym_kDestructor] = ACTIONS(269),
    [sym_kOperator] = ACTIONS(269),
    [sym_kPublished] = ACTIONS(269),
    [sym_kPublic] = ACTIONS(269),
    [sym_kProtected] = ACTIONS(269),
    [sym_kPrivate] = ACTIONS(269),
    [sym_kStrict] = ACTIONS(269),
    [sym_kRequired] = ACTIONS(269),
    [sym_kOptional] = ACTIONS(269),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__expr] = STATE(614),
    [sym__ref] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_inherited] = STATE(601),
    [sym_exprDot] = STATE(601),
    [sym_exprDeref] = STATE(601),
    [sym_exprAs] = STATE(601),
    [sym_exprTpl] = STATE(601),
    [sym_exprSubscript] = STATE(601),
    [sym_exprCall] = STATE(601),
    [sym_exprBinary] = STATE(614),
    [sym_exprUnary] = STATE(614),
    [sym_exprParens] = STATE(601),
    [sym_exprBrackets] = STATE(601),
    [sym__literal] = STATE(601),
    [sym_literalString] = STATE(601),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(601),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kEnd] = ACTIONS(269),
    [sym_kVar] = ACTIONS(269),
    [sym_kThreadvar] = ACTIONS(269),
    [sym_kConst] = ACTIONS(269),
    [sym_kResourcestring] = ACTIONS(269),
    [sym_kType] = ACTIONS(269),
    [sym_kProperty] = ACTIONS(269),
    [sym_kClass] = ACTIONS(269),
    [sym_kGeneric] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(273),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(281),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(283),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kCase] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(269),
    [sym_kProcedure] = ACTIONS(269),
    [sym_kConstructor] = ACTIONS(269),
    [sym_kDestructor] = ACTIONS(269),
    [sym_kOperator] = ACTIONS(269),
    [sym_kPublished] = ACTIONS(269),
    [sym_kPublic] = ACTIONS(269),
    [sym_kProtected] = ACTIONS(269),
    [sym_kPrivate] = ACTIONS(269),
    [sym_kStrict] = ACTIONS(269),
    [sym_kRequired] = ACTIONS(269),
    [sym_kOptional] = ACTIONS(269),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(285),
    [sym_kTrue] = ACTIONS(285),
    [sym_kFalse] = ACTIONS(285),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_RPAREN] = ACTIONS(267),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kEnd] = ACTIONS(265),
    [sym_kAbsolute] = ACTIONS(265),
    [sym_kOf] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(265),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kAssign] = ACTIONS(267),
    [sym_kAssignAdd] = ACTIONS(267),
    [sym_kAssignSub] = ACTIONS(267),
    [sym_kAssignMul] = ACTIONS(267),
    [sym_kAssignDiv] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kThen] = ACTIONS(265),
    [sym_kElse] = ACTIONS(265),
    [sym_kDo] = ACTIONS(265),
    [sym_kUntil] = ACTIONS(265),
    [sym_kExcept] = ACTIONS(265),
    [sym_kFinally] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kDelayed] = ACTIONS(265),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__expr] = STATE(718),
    [sym__ref] = STATE(647),
    [sym_lambda] = STATE(647),
    [sym_inherited] = STATE(647),
    [sym_exprDot] = STATE(647),
    [sym_exprDeref] = STATE(647),
    [sym_exprAs] = STATE(647),
    [sym_exprTpl] = STATE(647),
    [sym_exprSubscript] = STATE(647),
    [sym_exprCall] = STATE(647),
    [sym_exprBinary] = STATE(718),
    [sym_exprUnary] = STATE(718),
    [sym_exprParens] = STATE(647),
    [sym_exprBrackets] = STATE(647),
    [sym__literal] = STATE(647),
    [sym_literalString] = STATE(647),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(647),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(287),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COLON] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(271),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kEnd] = ACTIONS(269),
    [sym_kAbsolute] = ACTIONS(269),
    [sym_kOf] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(269),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(289),
    [sym_kHat] = ACTIONS(271),
    [sym_kAssign] = ACTIONS(271),
    [sym_kAssignAdd] = ACTIONS(271),
    [sym_kAssignSub] = ACTIONS(271),
    [sym_kAssignMul] = ACTIONS(271),
    [sym_kAssignDiv] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(291),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kThen] = ACTIONS(269),
    [sym_kElse] = ACTIONS(269),
    [sym_kDo] = ACTIONS(269),
    [sym_kUntil] = ACTIONS(269),
    [sym_kExcept] = ACTIONS(269),
    [sym_kFinally] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kDelayed] = ACTIONS(269),
    [sym_kNil] = ACTIONS(287),
    [sym_kTrue] = ACTIONS(287),
    [sym_kFalse] = ACTIONS(287),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COLON] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(271),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kEnd] = ACTIONS(269),
    [sym_kAbsolute] = ACTIONS(269),
    [sym_kOf] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(269),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kAssign] = ACTIONS(271),
    [sym_kAssignAdd] = ACTIONS(271),
    [sym_kAssignSub] = ACTIONS(271),
    [sym_kAssignMul] = ACTIONS(271),
    [sym_kAssignDiv] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kThen] = ACTIONS(269),
    [sym_kElse] = ACTIONS(269),
    [sym_kDo] = ACTIONS(269),
    [sym_kUntil] = ACTIONS(269),
    [sym_kExcept] = ACTIONS(269),
    [sym_kFinally] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kDelayed] = ACTIONS(269),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kUses] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kBegin] = ACTIONS(265),
    [sym_kAsm] = ACTIONS(265),
    [sym_kVar] = ACTIONS(265),
    [sym_kThreadvar] = ACTIONS(265),
    [sym_kConst] = ACTIONS(265),
    [sym_kResourcestring] = ACTIONS(265),
    [sym_kType] = ACTIONS(265),
    [sym_kLabel] = ACTIONS(265),
    [sym_kExports] = ACTIONS(265),
    [sym_kClass] = ACTIONS(265),
    [sym_kGeneric] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(267),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(265),
    [sym_kProcedure] = ACTIONS(265),
    [sym_kConstructor] = ACTIONS(265),
    [sym_kDestructor] = ACTIONS(265),
    [sym_kOperator] = ACTIONS(265),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kUses] = ACTIONS(269),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kBegin] = ACTIONS(269),
    [sym_kAsm] = ACTIONS(269),
    [sym_kVar] = ACTIONS(269),
    [sym_kThreadvar] = ACTIONS(269),
    [sym_kConst] = ACTIONS(269),
    [sym_kResourcestring] = ACTIONS(269),
    [sym_kType] = ACTIONS(269),
    [sym_kLabel] = ACTIONS(269),
    [sym_kExports] = ACTIONS(269),
    [sym_kClass] = ACTIONS(269),
    [sym_kGeneric] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(269),
    [sym_kProcedure] = ACTIONS(269),
    [sym_kConstructor] = ACTIONS(269),
    [sym_kDestructor] = ACTIONS(269),
    [sym_kOperator] = ACTIONS(269),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__expr] = STATE(802),
    [sym__ref] = STATE(723),
    [sym_lambda] = STATE(723),
    [sym_inherited] = STATE(723),
    [sym_exprDot] = STATE(723),
    [sym_exprDeref] = STATE(723),
    [sym_exprAs] = STATE(723),
    [sym_exprTpl] = STATE(723),
    [sym_exprSubscript] = STATE(723),
    [sym_exprCall] = STATE(723),
    [sym_exprBinary] = STATE(802),
    [sym_exprUnary] = STATE(802),
    [sym_exprParens] = STATE(723),
    [sym_exprBrackets] = STATE(723),
    [sym__literal] = STATE(723),
    [sym_literalString] = STATE(723),
    [sym__literalString] = STATE(630),
    [sym_literalChar] = STATE(630),
    [sym_literalNumber] = STATE(723),
    [sym__literalInt] = STATE(846),
    [sym__literalFloat] = STATE(846),
    [aux_sym_literalString_repeat1] = STATE(630),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(295),
    [anon_sym_POUND] = ACTIONS(297),
    [aux_sym__literalInt_token1] = ACTIONS(299),
    [aux_sym__literalInt_token2] = ACTIONS(301),
    [aux_sym__literalFloat_token1] = ACTIONS(299),
    [sym_kUses] = ACTIONS(269),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kBegin] = ACTIONS(269),
    [sym_kAsm] = ACTIONS(269),
    [sym_kVar] = ACTIONS(269),
    [sym_kThreadvar] = ACTIONS(269),
    [sym_kConst] = ACTIONS(269),
    [sym_kResourcestring] = ACTIONS(269),
    [sym_kType] = ACTIONS(269),
    [sym_kLabel] = ACTIONS(269),
    [sym_kExports] = ACTIONS(269),
    [sym_kClass] = ACTIONS(269),
    [sym_kGeneric] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(303),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(305),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(307),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(269),
    [sym_kProcedure] = ACTIONS(269),
    [sym_kConstructor] = ACTIONS(269),
    [sym_kDestructor] = ACTIONS(269),
    [sym_kOperator] = ACTIONS(269),
    [sym_kInherited] = ACTIONS(309),
    [sym_kNil] = ACTIONS(293),
    [sym_kTrue] = ACTIONS(293),
    [sym_kFalse] = ACTIONS(293),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(84),
    [aux_sym_declVar_repeat1] = STATE(84),
    [ts_builtin_sym_end] = ACTIONS(311),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [sym_kUses] = ACTIONS(313),
    [sym_kInterface] = ACTIONS(313),
    [sym_kImplementation] = ACTIONS(313),
    [sym_kInitialization] = ACTIONS(313),
    [sym_kFinalization] = ACTIONS(313),
    [sym_kBegin] = ACTIONS(313),
    [sym_kEnd] = ACTIONS(313),
    [sym_kAsm] = ACTIONS(313),
    [sym_kVar] = ACTIONS(313),
    [sym_kThreadvar] = ACTIONS(313),
    [sym_kConst] = ACTIONS(313),
    [sym_kResourcestring] = ACTIONS(313),
    [sym_kType] = ACTIONS(313),
    [sym_kLabel] = ACTIONS(313),
    [sym_kExports] = ACTIONS(313),
    [sym_kProperty] = ACTIONS(313),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(313),
    [sym_kGeneric] = ACTIONS(313),
    [sym_kFunction] = ACTIONS(313),
    [sym_kProcedure] = ACTIONS(313),
    [sym_kConstructor] = ACTIONS(313),
    [sym_kDestructor] = ACTIONS(313),
    [sym_kOperator] = ACTIONS(313),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(75),
    [aux_sym_declVar_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(334),
    [sym_identifier] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(338),
    [sym_kUses] = ACTIONS(336),
    [sym_kInterface] = ACTIONS(336),
    [sym_kImplementation] = ACTIONS(336),
    [sym_kInitialization] = ACTIONS(336),
    [sym_kFinalization] = ACTIONS(336),
    [sym_kBegin] = ACTIONS(336),
    [sym_kEnd] = ACTIONS(336),
    [sym_kAsm] = ACTIONS(336),
    [sym_kVar] = ACTIONS(336),
    [sym_kThreadvar] = ACTIONS(336),
    [sym_kConst] = ACTIONS(336),
    [sym_kResourcestring] = ACTIONS(336),
    [sym_kType] = ACTIONS(336),
    [sym_kLabel] = ACTIONS(336),
    [sym_kExports] = ACTIONS(336),
    [sym_kProperty] = ACTIONS(336),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(336),
    [sym_kGeneric] = ACTIONS(336),
    [sym_kFunction] = ACTIONS(336),
    [sym_kProcedure] = ACTIONS(336),
    [sym_kConstructor] = ACTIONS(336),
    [sym_kDestructor] = ACTIONS(336),
    [sym_kOperator] = ACTIONS(336),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(82),
    [aux_sym_declVar_repeat1] = STATE(82),
    [ts_builtin_sym_end] = ACTIONS(341),
    [sym_identifier] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [sym_kUses] = ACTIONS(343),
    [sym_kInterface] = ACTIONS(343),
    [sym_kImplementation] = ACTIONS(343),
    [sym_kInitialization] = ACTIONS(343),
    [sym_kFinalization] = ACTIONS(343),
    [sym_kBegin] = ACTIONS(343),
    [sym_kEnd] = ACTIONS(343),
    [sym_kAsm] = ACTIONS(343),
    [sym_kVar] = ACTIONS(343),
    [sym_kThreadvar] = ACTIONS(343),
    [sym_kConst] = ACTIONS(343),
    [sym_kResourcestring] = ACTIONS(343),
    [sym_kType] = ACTIONS(343),
    [sym_kLabel] = ACTIONS(343),
    [sym_kExports] = ACTIONS(343),
    [sym_kProperty] = ACTIONS(343),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(343),
    [sym_kGeneric] = ACTIONS(343),
    [sym_kFunction] = ACTIONS(343),
    [sym_kProcedure] = ACTIONS(343),
    [sym_kConstructor] = ACTIONS(343),
    [sym_kDestructor] = ACTIONS(343),
    [sym_kOperator] = ACTIONS(343),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(348),
    [sym_identifier] = ACTIONS(350),
    [anon_sym_LBRACK] = ACTIONS(352),
    [sym_kUses] = ACTIONS(350),
    [sym_kInterface] = ACTIONS(350),
    [sym_kImplementation] = ACTIONS(350),
    [sym_kInitialization] = ACTIONS(350),
    [sym_kFinalization] = ACTIONS(350),
    [sym_kBegin] = ACTIONS(350),
    [sym_kEnd] = ACTIONS(350),
    [sym_kAsm] = ACTIONS(350),
    [sym_kVar] = ACTIONS(350),
    [sym_kThreadvar] = ACTIONS(350),
    [sym_kConst] = ACTIONS(350),
    [sym_kResourcestring] = ACTIONS(350),
    [sym_kType] = ACTIONS(350),
    [sym_kLabel] = ACTIONS(350),
    [sym_kExports] = ACTIONS(350),
    [sym_kProperty] = ACTIONS(350),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(350),
    [sym_kGeneric] = ACTIONS(350),
    [sym_kFunction] = ACTIONS(350),
    [sym_kProcedure] = ACTIONS(350),
    [sym_kConstructor] = ACTIONS(350),
    [sym_kDestructor] = ACTIONS(350),
    [sym_kOperator] = ACTIONS(350),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(79),
    [aux_sym_declVar_repeat1] = STATE(79),
    [ts_builtin_sym_end] = ACTIONS(355),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(359),
    [sym_kUses] = ACTIONS(357),
    [sym_kInterface] = ACTIONS(357),
    [sym_kImplementation] = ACTIONS(357),
    [sym_kInitialization] = ACTIONS(357),
    [sym_kFinalization] = ACTIONS(357),
    [sym_kBegin] = ACTIONS(357),
    [sym_kEnd] = ACTIONS(357),
    [sym_kAsm] = ACTIONS(357),
    [sym_kVar] = ACTIONS(357),
    [sym_kThreadvar] = ACTIONS(357),
    [sym_kConst] = ACTIONS(357),
    [sym_kResourcestring] = ACTIONS(357),
    [sym_kType] = ACTIONS(357),
    [sym_kLabel] = ACTIONS(357),
    [sym_kExports] = ACTIONS(357),
    [sym_kProperty] = ACTIONS(357),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(357),
    [sym_kGeneric] = ACTIONS(357),
    [sym_kFunction] = ACTIONS(357),
    [sym_kProcedure] = ACTIONS(357),
    [sym_kConstructor] = ACTIONS(357),
    [sym_kDestructor] = ACTIONS(357),
    [sym_kOperator] = ACTIONS(357),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(78),
    [aux_sym_declVar_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(362),
    [sym_identifier] = ACTIONS(364),
    [anon_sym_LBRACK] = ACTIONS(366),
    [sym_kUses] = ACTIONS(364),
    [sym_kInterface] = ACTIONS(364),
    [sym_kImplementation] = ACTIONS(364),
    [sym_kInitialization] = ACTIONS(364),
    [sym_kFinalization] = ACTIONS(364),
    [sym_kBegin] = ACTIONS(364),
    [sym_kEnd] = ACTIONS(364),
    [sym_kAsm] = ACTIONS(364),
    [sym_kVar] = ACTIONS(364),
    [sym_kThreadvar] = ACTIONS(364),
    [sym_kConst] = ACTIONS(364),
    [sym_kResourcestring] = ACTIONS(364),
    [sym_kType] = ACTIONS(364),
    [sym_kLabel] = ACTIONS(364),
    [sym_kExports] = ACTIONS(364),
    [sym_kProperty] = ACTIONS(364),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(364),
    [sym_kGeneric] = ACTIONS(364),
    [sym_kFunction] = ACTIONS(364),
    [sym_kProcedure] = ACTIONS(364),
    [sym_kConstructor] = ACTIONS(364),
    [sym_kDestructor] = ACTIONS(364),
    [sym_kOperator] = ACTIONS(364),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(369),
    [sym_identifier] = ACTIONS(371),
    [anon_sym_LBRACK] = ACTIONS(373),
    [sym_kUses] = ACTIONS(371),
    [sym_kInterface] = ACTIONS(371),
    [sym_kImplementation] = ACTIONS(371),
    [sym_kInitialization] = ACTIONS(371),
    [sym_kFinalization] = ACTIONS(371),
    [sym_kBegin] = ACTIONS(371),
    [sym_kEnd] = ACTIONS(371),
    [sym_kAsm] = ACTIONS(371),
    [sym_kVar] = ACTIONS(371),
    [sym_kThreadvar] = ACTIONS(371),
    [sym_kConst] = ACTIONS(371),
    [sym_kResourcestring] = ACTIONS(371),
    [sym_kType] = ACTIONS(371),
    [sym_kLabel] = ACTIONS(371),
    [sym_kExports] = ACTIONS(371),
    [sym_kProperty] = ACTIONS(371),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(371),
    [sym_kGeneric] = ACTIONS(371),
    [sym_kFunction] = ACTIONS(371),
    [sym_kProcedure] = ACTIONS(371),
    [sym_kConstructor] = ACTIONS(371),
    [sym_kDestructor] = ACTIONS(371),
    [sym_kOperator] = ACTIONS(371),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_LBRACK] = ACTIONS(380),
    [sym_kUses] = ACTIONS(378),
    [sym_kInterface] = ACTIONS(378),
    [sym_kImplementation] = ACTIONS(378),
    [sym_kInitialization] = ACTIONS(378),
    [sym_kFinalization] = ACTIONS(378),
    [sym_kBegin] = ACTIONS(378),
    [sym_kEnd] = ACTIONS(378),
    [sym_kAsm] = ACTIONS(378),
    [sym_kVar] = ACTIONS(378),
    [sym_kThreadvar] = ACTIONS(378),
    [sym_kConst] = ACTIONS(378),
    [sym_kResourcestring] = ACTIONS(378),
    [sym_kType] = ACTIONS(378),
    [sym_kLabel] = ACTIONS(378),
    [sym_kExports] = ACTIONS(378),
    [sym_kProperty] = ACTIONS(378),
    [sym_kDefault] = ACTIONS(383),
    [sym_kNodefault] = ACTIONS(383),
    [sym_kDispId] = ACTIONS(386),
    [sym_kClass] = ACTIONS(378),
    [sym_kGeneric] = ACTIONS(378),
    [sym_kFunction] = ACTIONS(378),
    [sym_kProcedure] = ACTIONS(378),
    [sym_kConstructor] = ACTIONS(378),
    [sym_kDestructor] = ACTIONS(378),
    [sym_kOperator] = ACTIONS(378),
    [sym_kPublic] = ACTIONS(389),
    [sym_kStatic] = ACTIONS(383),
    [sym_kVirtual] = ACTIONS(383),
    [sym_kAbstract] = ACTIONS(383),
    [sym_kDynamic] = ACTIONS(383),
    [sym_kOverride] = ACTIONS(383),
    [sym_kOverload] = ACTIONS(383),
    [sym_kReintroduce] = ACTIONS(383),
    [sym_kInline] = ACTIONS(383),
    [sym_kStdcall] = ACTIONS(383),
    [sym_kCdecl] = ACTIONS(383),
    [sym_kCppdecl] = ACTIONS(383),
    [sym_kPascal] = ACTIONS(383),
    [sym_kRegister] = ACTIONS(383),
    [sym_kMwpascal] = ACTIONS(383),
    [sym_kExternal] = ACTIONS(392),
    [sym_kMessage] = ACTIONS(395),
    [sym_kDeprecated] = ACTIONS(398),
    [sym_kExperimental] = ACTIONS(383),
    [sym_kPlatform] = ACTIONS(383),
    [sym_kUnimplemented] = ACTIONS(383),
    [sym_kCvar] = ACTIONS(383),
    [sym_kExport] = ACTIONS(401),
    [sym_kFar] = ACTIONS(383),
    [sym_kNear] = ACTIONS(383),
    [sym_kSafecall] = ACTIONS(383),
    [sym_kAssembler] = ACTIONS(383),
    [sym_kNostackframe] = ACTIONS(383),
    [sym_kInterrupt] = ACTIONS(383),
    [sym_kNoreturn] = ACTIONS(383),
    [sym_kIocheck] = ACTIONS(383),
    [sym_kLocal] = ACTIONS(383),
    [sym_kHardfloat] = ACTIONS(383),
    [sym_kSoftfloat] = ACTIONS(383),
    [sym_kMs_abi_default] = ACTIONS(383),
    [sym_kMs_abi_cdecl] = ACTIONS(383),
    [sym_kSaveregisters] = ACTIONS(383),
    [sym_kSysv_abi_default] = ACTIONS(383),
    [sym_kSysv_abi_cdecl] = ACTIONS(383),
    [sym_kVectorcall] = ACTIONS(383),
    [sym_kVarargs] = ACTIONS(383),
    [sym_kWinapi] = ACTIONS(383),
    [sym_kAlias] = ACTIONS(404),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(91),
    [aux_sym_declVar_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(407),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_LBRACK] = ACTIONS(411),
    [sym_kUses] = ACTIONS(409),
    [sym_kInterface] = ACTIONS(409),
    [sym_kImplementation] = ACTIONS(409),
    [sym_kInitialization] = ACTIONS(409),
    [sym_kFinalization] = ACTIONS(409),
    [sym_kBegin] = ACTIONS(409),
    [sym_kEnd] = ACTIONS(409),
    [sym_kAsm] = ACTIONS(409),
    [sym_kVar] = ACTIONS(409),
    [sym_kThreadvar] = ACTIONS(409),
    [sym_kConst] = ACTIONS(409),
    [sym_kResourcestring] = ACTIONS(409),
    [sym_kType] = ACTIONS(409),
    [sym_kLabel] = ACTIONS(409),
    [sym_kExports] = ACTIONS(409),
    [sym_kProperty] = ACTIONS(409),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(409),
    [sym_kGeneric] = ACTIONS(409),
    [sym_kFunction] = ACTIONS(409),
    [sym_kProcedure] = ACTIONS(409),
    [sym_kConstructor] = ACTIONS(409),
    [sym_kDestructor] = ACTIONS(409),
    [sym_kOperator] = ACTIONS(409),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(414),
    [sym_identifier] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(418),
    [sym_kUses] = ACTIONS(416),
    [sym_kInterface] = ACTIONS(416),
    [sym_kImplementation] = ACTIONS(416),
    [sym_kInitialization] = ACTIONS(416),
    [sym_kFinalization] = ACTIONS(416),
    [sym_kBegin] = ACTIONS(416),
    [sym_kEnd] = ACTIONS(416),
    [sym_kAsm] = ACTIONS(416),
    [sym_kVar] = ACTIONS(416),
    [sym_kThreadvar] = ACTIONS(416),
    [sym_kConst] = ACTIONS(416),
    [sym_kResourcestring] = ACTIONS(416),
    [sym_kType] = ACTIONS(416),
    [sym_kLabel] = ACTIONS(416),
    [sym_kExports] = ACTIONS(416),
    [sym_kProperty] = ACTIONS(416),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(416),
    [sym_kGeneric] = ACTIONS(416),
    [sym_kFunction] = ACTIONS(416),
    [sym_kProcedure] = ACTIONS(416),
    [sym_kConstructor] = ACTIONS(416),
    [sym_kDestructor] = ACTIONS(416),
    [sym_kOperator] = ACTIONS(416),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(421),
    [sym_identifier] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [sym_kUses] = ACTIONS(423),
    [sym_kInterface] = ACTIONS(423),
    [sym_kImplementation] = ACTIONS(423),
    [sym_kInitialization] = ACTIONS(423),
    [sym_kFinalization] = ACTIONS(423),
    [sym_kBegin] = ACTIONS(423),
    [sym_kEnd] = ACTIONS(423),
    [sym_kAsm] = ACTIONS(423),
    [sym_kVar] = ACTIONS(423),
    [sym_kThreadvar] = ACTIONS(423),
    [sym_kConst] = ACTIONS(423),
    [sym_kResourcestring] = ACTIONS(423),
    [sym_kType] = ACTIONS(423),
    [sym_kLabel] = ACTIONS(423),
    [sym_kExports] = ACTIONS(423),
    [sym_kProperty] = ACTIONS(423),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(423),
    [sym_kGeneric] = ACTIONS(423),
    [sym_kFunction] = ACTIONS(423),
    [sym_kProcedure] = ACTIONS(423),
    [sym_kConstructor] = ACTIONS(423),
    [sym_kDestructor] = ACTIONS(423),
    [sym_kOperator] = ACTIONS(423),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(93),
    [aux_sym_declVar_repeat1] = STATE(93),
    [ts_builtin_sym_end] = ACTIONS(428),
    [sym_identifier] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(432),
    [sym_kUses] = ACTIONS(430),
    [sym_kInterface] = ACTIONS(430),
    [sym_kImplementation] = ACTIONS(430),
    [sym_kInitialization] = ACTIONS(430),
    [sym_kFinalization] = ACTIONS(430),
    [sym_kBegin] = ACTIONS(430),
    [sym_kEnd] = ACTIONS(430),
    [sym_kAsm] = ACTIONS(430),
    [sym_kVar] = ACTIONS(430),
    [sym_kThreadvar] = ACTIONS(430),
    [sym_kConst] = ACTIONS(430),
    [sym_kResourcestring] = ACTIONS(430),
    [sym_kType] = ACTIONS(430),
    [sym_kLabel] = ACTIONS(430),
    [sym_kExports] = ACTIONS(430),
    [sym_kProperty] = ACTIONS(430),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(430),
    [sym_kGeneric] = ACTIONS(430),
    [sym_kFunction] = ACTIONS(430),
    [sym_kProcedure] = ACTIONS(430),
    [sym_kConstructor] = ACTIONS(430),
    [sym_kDestructor] = ACTIONS(430),
    [sym_kOperator] = ACTIONS(430),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(85),
    [aux_sym_declVar_repeat1] = STATE(85),
    [ts_builtin_sym_end] = ACTIONS(435),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [sym_kUses] = ACTIONS(437),
    [sym_kInterface] = ACTIONS(437),
    [sym_kImplementation] = ACTIONS(437),
    [sym_kInitialization] = ACTIONS(437),
    [sym_kFinalization] = ACTIONS(437),
    [sym_kBegin] = ACTIONS(437),
    [sym_kEnd] = ACTIONS(437),
    [sym_kAsm] = ACTIONS(437),
    [sym_kVar] = ACTIONS(437),
    [sym_kThreadvar] = ACTIONS(437),
    [sym_kConst] = ACTIONS(437),
    [sym_kResourcestring] = ACTIONS(437),
    [sym_kType] = ACTIONS(437),
    [sym_kLabel] = ACTIONS(437),
    [sym_kExports] = ACTIONS(437),
    [sym_kProperty] = ACTIONS(437),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(437),
    [sym_kGeneric] = ACTIONS(437),
    [sym_kFunction] = ACTIONS(437),
    [sym_kProcedure] = ACTIONS(437),
    [sym_kConstructor] = ACTIONS(437),
    [sym_kDestructor] = ACTIONS(437),
    [sym_kOperator] = ACTIONS(437),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(442),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(446),
    [sym_kUses] = ACTIONS(444),
    [sym_kInterface] = ACTIONS(444),
    [sym_kImplementation] = ACTIONS(444),
    [sym_kInitialization] = ACTIONS(444),
    [sym_kFinalization] = ACTIONS(444),
    [sym_kBegin] = ACTIONS(444),
    [sym_kEnd] = ACTIONS(444),
    [sym_kAsm] = ACTIONS(444),
    [sym_kVar] = ACTIONS(444),
    [sym_kThreadvar] = ACTIONS(444),
    [sym_kConst] = ACTIONS(444),
    [sym_kResourcestring] = ACTIONS(444),
    [sym_kType] = ACTIONS(444),
    [sym_kLabel] = ACTIONS(444),
    [sym_kExports] = ACTIONS(444),
    [sym_kProperty] = ACTIONS(444),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(444),
    [sym_kGeneric] = ACTIONS(444),
    [sym_kFunction] = ACTIONS(444),
    [sym_kProcedure] = ACTIONS(444),
    [sym_kConstructor] = ACTIONS(444),
    [sym_kDestructor] = ACTIONS(444),
    [sym_kOperator] = ACTIONS(444),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(90),
    [aux_sym_declVar_repeat1] = STATE(90),
    [ts_builtin_sym_end] = ACTIONS(449),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_LBRACK] = ACTIONS(453),
    [sym_kUses] = ACTIONS(451),
    [sym_kInterface] = ACTIONS(451),
    [sym_kImplementation] = ACTIONS(451),
    [sym_kInitialization] = ACTIONS(451),
    [sym_kFinalization] = ACTIONS(451),
    [sym_kBegin] = ACTIONS(451),
    [sym_kEnd] = ACTIONS(451),
    [sym_kAsm] = ACTIONS(451),
    [sym_kVar] = ACTIONS(451),
    [sym_kThreadvar] = ACTIONS(451),
    [sym_kConst] = ACTIONS(451),
    [sym_kResourcestring] = ACTIONS(451),
    [sym_kType] = ACTIONS(451),
    [sym_kLabel] = ACTIONS(451),
    [sym_kExports] = ACTIONS(451),
    [sym_kProperty] = ACTIONS(451),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(451),
    [sym_kGeneric] = ACTIONS(451),
    [sym_kFunction] = ACTIONS(451),
    [sym_kProcedure] = ACTIONS(451),
    [sym_kConstructor] = ACTIONS(451),
    [sym_kDestructor] = ACTIONS(451),
    [sym_kOperator] = ACTIONS(451),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(456),
    [sym_identifier] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(460),
    [sym_kUses] = ACTIONS(458),
    [sym_kInterface] = ACTIONS(458),
    [sym_kImplementation] = ACTIONS(458),
    [sym_kInitialization] = ACTIONS(458),
    [sym_kFinalization] = ACTIONS(458),
    [sym_kBegin] = ACTIONS(458),
    [sym_kEnd] = ACTIONS(458),
    [sym_kAsm] = ACTIONS(458),
    [sym_kVar] = ACTIONS(458),
    [sym_kThreadvar] = ACTIONS(458),
    [sym_kConst] = ACTIONS(458),
    [sym_kResourcestring] = ACTIONS(458),
    [sym_kType] = ACTIONS(458),
    [sym_kLabel] = ACTIONS(458),
    [sym_kExports] = ACTIONS(458),
    [sym_kProperty] = ACTIONS(458),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(458),
    [sym_kGeneric] = ACTIONS(458),
    [sym_kFunction] = ACTIONS(458),
    [sym_kProcedure] = ACTIONS(458),
    [sym_kConstructor] = ACTIONS(458),
    [sym_kDestructor] = ACTIONS(458),
    [sym_kOperator] = ACTIONS(458),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(463),
    [sym_identifier] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(467),
    [sym_kUses] = ACTIONS(465),
    [sym_kInterface] = ACTIONS(465),
    [sym_kImplementation] = ACTIONS(465),
    [sym_kInitialization] = ACTIONS(465),
    [sym_kFinalization] = ACTIONS(465),
    [sym_kBegin] = ACTIONS(465),
    [sym_kEnd] = ACTIONS(465),
    [sym_kAsm] = ACTIONS(465),
    [sym_kVar] = ACTIONS(465),
    [sym_kThreadvar] = ACTIONS(465),
    [sym_kConst] = ACTIONS(465),
    [sym_kResourcestring] = ACTIONS(465),
    [sym_kType] = ACTIONS(465),
    [sym_kLabel] = ACTIONS(465),
    [sym_kExports] = ACTIONS(465),
    [sym_kProperty] = ACTIONS(465),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(465),
    [sym_kGeneric] = ACTIONS(465),
    [sym_kFunction] = ACTIONS(465),
    [sym_kProcedure] = ACTIONS(465),
    [sym_kConstructor] = ACTIONS(465),
    [sym_kDestructor] = ACTIONS(465),
    [sym_kOperator] = ACTIONS(465),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(72),
    [aux_sym_declVar_repeat1] = STATE(72),
    [ts_builtin_sym_end] = ACTIONS(470),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_LBRACK] = ACTIONS(474),
    [sym_kUses] = ACTIONS(472),
    [sym_kInterface] = ACTIONS(472),
    [sym_kImplementation] = ACTIONS(472),
    [sym_kInitialization] = ACTIONS(472),
    [sym_kFinalization] = ACTIONS(472),
    [sym_kBegin] = ACTIONS(472),
    [sym_kEnd] = ACTIONS(472),
    [sym_kAsm] = ACTIONS(472),
    [sym_kVar] = ACTIONS(472),
    [sym_kThreadvar] = ACTIONS(472),
    [sym_kConst] = ACTIONS(472),
    [sym_kResourcestring] = ACTIONS(472),
    [sym_kType] = ACTIONS(472),
    [sym_kLabel] = ACTIONS(472),
    [sym_kExports] = ACTIONS(472),
    [sym_kProperty] = ACTIONS(472),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(472),
    [sym_kGeneric] = ACTIONS(472),
    [sym_kFunction] = ACTIONS(472),
    [sym_kProcedure] = ACTIONS(472),
    [sym_kConstructor] = ACTIONS(472),
    [sym_kDestructor] = ACTIONS(472),
    [sym_kOperator] = ACTIONS(472),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(477),
    [sym_identifier] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(481),
    [sym_kUses] = ACTIONS(479),
    [sym_kInterface] = ACTIONS(479),
    [sym_kImplementation] = ACTIONS(479),
    [sym_kInitialization] = ACTIONS(479),
    [sym_kFinalization] = ACTIONS(479),
    [sym_kBegin] = ACTIONS(479),
    [sym_kEnd] = ACTIONS(479),
    [sym_kAsm] = ACTIONS(479),
    [sym_kVar] = ACTIONS(479),
    [sym_kThreadvar] = ACTIONS(479),
    [sym_kConst] = ACTIONS(479),
    [sym_kResourcestring] = ACTIONS(479),
    [sym_kType] = ACTIONS(479),
    [sym_kLabel] = ACTIONS(479),
    [sym_kExports] = ACTIONS(479),
    [sym_kProperty] = ACTIONS(479),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(479),
    [sym_kGeneric] = ACTIONS(479),
    [sym_kFunction] = ACTIONS(479),
    [sym_kProcedure] = ACTIONS(479),
    [sym_kConstructor] = ACTIONS(479),
    [sym_kDestructor] = ACTIONS(479),
    [sym_kOperator] = ACTIONS(479),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(87),
    [aux_sym_declVar_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(484),
    [sym_identifier] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(488),
    [sym_kUses] = ACTIONS(486),
    [sym_kInterface] = ACTIONS(486),
    [sym_kImplementation] = ACTIONS(486),
    [sym_kInitialization] = ACTIONS(486),
    [sym_kFinalization] = ACTIONS(486),
    [sym_kBegin] = ACTIONS(486),
    [sym_kEnd] = ACTIONS(486),
    [sym_kAsm] = ACTIONS(486),
    [sym_kVar] = ACTIONS(486),
    [sym_kThreadvar] = ACTIONS(486),
    [sym_kConst] = ACTIONS(486),
    [sym_kResourcestring] = ACTIONS(486),
    [sym_kType] = ACTIONS(486),
    [sym_kLabel] = ACTIONS(486),
    [sym_kExports] = ACTIONS(486),
    [sym_kProperty] = ACTIONS(486),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(486),
    [sym_kGeneric] = ACTIONS(486),
    [sym_kFunction] = ACTIONS(486),
    [sym_kProcedure] = ACTIONS(486),
    [sym_kConstructor] = ACTIONS(486),
    [sym_kDestructor] = ACTIONS(486),
    [sym_kOperator] = ACTIONS(486),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(92),
    [aux_sym_declVar_repeat1] = STATE(92),
    [ts_builtin_sym_end] = ACTIONS(491),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(495),
    [sym_kUses] = ACTIONS(493),
    [sym_kInterface] = ACTIONS(493),
    [sym_kImplementation] = ACTIONS(493),
    [sym_kInitialization] = ACTIONS(493),
    [sym_kFinalization] = ACTIONS(493),
    [sym_kBegin] = ACTIONS(493),
    [sym_kEnd] = ACTIONS(493),
    [sym_kAsm] = ACTIONS(493),
    [sym_kVar] = ACTIONS(493),
    [sym_kThreadvar] = ACTIONS(493),
    [sym_kConst] = ACTIONS(493),
    [sym_kResourcestring] = ACTIONS(493),
    [sym_kType] = ACTIONS(493),
    [sym_kLabel] = ACTIONS(493),
    [sym_kExports] = ACTIONS(493),
    [sym_kProperty] = ACTIONS(493),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(493),
    [sym_kGeneric] = ACTIONS(493),
    [sym_kFunction] = ACTIONS(493),
    [sym_kProcedure] = ACTIONS(493),
    [sym_kConstructor] = ACTIONS(493),
    [sym_kDestructor] = ACTIONS(493),
    [sym_kOperator] = ACTIONS(493),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(498),
    [sym_identifier] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(502),
    [sym_kUses] = ACTIONS(500),
    [sym_kInterface] = ACTIONS(500),
    [sym_kImplementation] = ACTIONS(500),
    [sym_kInitialization] = ACTIONS(500),
    [sym_kFinalization] = ACTIONS(500),
    [sym_kBegin] = ACTIONS(500),
    [sym_kEnd] = ACTIONS(500),
    [sym_kAsm] = ACTIONS(500),
    [sym_kVar] = ACTIONS(500),
    [sym_kThreadvar] = ACTIONS(500),
    [sym_kConst] = ACTIONS(500),
    [sym_kResourcestring] = ACTIONS(500),
    [sym_kType] = ACTIONS(500),
    [sym_kLabel] = ACTIONS(500),
    [sym_kExports] = ACTIONS(500),
    [sym_kProperty] = ACTIONS(500),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(500),
    [sym_kGeneric] = ACTIONS(500),
    [sym_kFunction] = ACTIONS(500),
    [sym_kProcedure] = ACTIONS(500),
    [sym_kConstructor] = ACTIONS(500),
    [sym_kDestructor] = ACTIONS(500),
    [sym_kOperator] = ACTIONS(500),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(505),
    [sym_identifier] = ACTIONS(507),
    [anon_sym_LBRACK] = ACTIONS(509),
    [sym_kUses] = ACTIONS(507),
    [sym_kInterface] = ACTIONS(507),
    [sym_kImplementation] = ACTIONS(507),
    [sym_kInitialization] = ACTIONS(507),
    [sym_kFinalization] = ACTIONS(507),
    [sym_kBegin] = ACTIONS(507),
    [sym_kEnd] = ACTIONS(507),
    [sym_kAsm] = ACTIONS(507),
    [sym_kVar] = ACTIONS(507),
    [sym_kThreadvar] = ACTIONS(507),
    [sym_kConst] = ACTIONS(507),
    [sym_kResourcestring] = ACTIONS(507),
    [sym_kType] = ACTIONS(507),
    [sym_kLabel] = ACTIONS(507),
    [sym_kExports] = ACTIONS(507),
    [sym_kProperty] = ACTIONS(507),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(507),
    [sym_kGeneric] = ACTIONS(507),
    [sym_kFunction] = ACTIONS(507),
    [sym_kProcedure] = ACTIONS(507),
    [sym_kConstructor] = ACTIONS(507),
    [sym_kDestructor] = ACTIONS(507),
    [sym_kOperator] = ACTIONS(507),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(512),
    [sym_identifier] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(516),
    [sym_kUses] = ACTIONS(514),
    [sym_kInterface] = ACTIONS(514),
    [sym_kImplementation] = ACTIONS(514),
    [sym_kInitialization] = ACTIONS(514),
    [sym_kFinalization] = ACTIONS(514),
    [sym_kBegin] = ACTIONS(514),
    [sym_kEnd] = ACTIONS(514),
    [sym_kAsm] = ACTIONS(514),
    [sym_kVar] = ACTIONS(514),
    [sym_kThreadvar] = ACTIONS(514),
    [sym_kConst] = ACTIONS(514),
    [sym_kResourcestring] = ACTIONS(514),
    [sym_kType] = ACTIONS(514),
    [sym_kLabel] = ACTIONS(514),
    [sym_kExports] = ACTIONS(514),
    [sym_kProperty] = ACTIONS(514),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(514),
    [sym_kGeneric] = ACTIONS(514),
    [sym_kFunction] = ACTIONS(514),
    [sym_kProcedure] = ACTIONS(514),
    [sym_kConstructor] = ACTIONS(514),
    [sym_kDestructor] = ACTIONS(514),
    [sym_kOperator] = ACTIONS(514),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__procAttribute] = STATE(211),
    [sym_procAttribute] = STATE(2411),
    [sym_procExternal] = STATE(76),
    [aux_sym_declVar_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(519),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [sym_kUses] = ACTIONS(521),
    [sym_kInterface] = ACTIONS(521),
    [sym_kImplementation] = ACTIONS(521),
    [sym_kInitialization] = ACTIONS(521),
    [sym_kFinalization] = ACTIONS(521),
    [sym_kBegin] = ACTIONS(521),
    [sym_kEnd] = ACTIONS(521),
    [sym_kAsm] = ACTIONS(521),
    [sym_kVar] = ACTIONS(521),
    [sym_kThreadvar] = ACTIONS(521),
    [sym_kConst] = ACTIONS(521),
    [sym_kResourcestring] = ACTIONS(521),
    [sym_kType] = ACTIONS(521),
    [sym_kLabel] = ACTIONS(521),
    [sym_kExports] = ACTIONS(521),
    [sym_kProperty] = ACTIONS(521),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(521),
    [sym_kGeneric] = ACTIONS(521),
    [sym_kFunction] = ACTIONS(521),
    [sym_kProcedure] = ACTIONS(521),
    [sym_kConstructor] = ACTIONS(521),
    [sym_kDestructor] = ACTIONS(521),
    [sym_kOperator] = ACTIONS(521),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(324),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(526),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(530),
    [sym_kUses] = ACTIONS(528),
    [sym_kInterface] = ACTIONS(528),
    [sym_kImplementation] = ACTIONS(528),
    [sym_kInitialization] = ACTIONS(528),
    [sym_kFinalization] = ACTIONS(528),
    [sym_kBegin] = ACTIONS(528),
    [sym_kEnd] = ACTIONS(528),
    [sym_kAsm] = ACTIONS(528),
    [sym_kVar] = ACTIONS(528),
    [sym_kThreadvar] = ACTIONS(528),
    [sym_kConst] = ACTIONS(528),
    [sym_kResourcestring] = ACTIONS(528),
    [sym_kType] = ACTIONS(528),
    [sym_kLabel] = ACTIONS(528),
    [sym_kExports] = ACTIONS(528),
    [sym_kProperty] = ACTIONS(528),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(528),
    [sym_kGeneric] = ACTIONS(528),
    [sym_kFunction] = ACTIONS(528),
    [sym_kProcedure] = ACTIONS(528),
    [sym_kConstructor] = ACTIONS(528),
    [sym_kDestructor] = ACTIONS(528),
    [sym_kOperator] = ACTIONS(528),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(533),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(537),
    [sym_kUses] = ACTIONS(535),
    [sym_kInterface] = ACTIONS(535),
    [sym_kImplementation] = ACTIONS(535),
    [sym_kInitialization] = ACTIONS(535),
    [sym_kFinalization] = ACTIONS(535),
    [sym_kBegin] = ACTIONS(535),
    [sym_kEnd] = ACTIONS(535),
    [sym_kAsm] = ACTIONS(535),
    [sym_kVar] = ACTIONS(535),
    [sym_kThreadvar] = ACTIONS(535),
    [sym_kConst] = ACTIONS(535),
    [sym_kResourcestring] = ACTIONS(535),
    [sym_kType] = ACTIONS(535),
    [sym_kLabel] = ACTIONS(535),
    [sym_kExports] = ACTIONS(535),
    [sym_kProperty] = ACTIONS(535),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(535),
    [sym_kGeneric] = ACTIONS(535),
    [sym_kFunction] = ACTIONS(535),
    [sym_kProcedure] = ACTIONS(535),
    [sym_kConstructor] = ACTIONS(535),
    [sym_kDestructor] = ACTIONS(535),
    [sym_kOperator] = ACTIONS(535),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(114),
    [ts_builtin_sym_end] = ACTIONS(540),
    [sym_identifier] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(544),
    [sym_kUses] = ACTIONS(542),
    [sym_kInterface] = ACTIONS(542),
    [sym_kImplementation] = ACTIONS(542),
    [sym_kInitialization] = ACTIONS(542),
    [sym_kFinalization] = ACTIONS(542),
    [sym_kBegin] = ACTIONS(542),
    [sym_kEnd] = ACTIONS(542),
    [sym_kAsm] = ACTIONS(542),
    [sym_kVar] = ACTIONS(542),
    [sym_kThreadvar] = ACTIONS(542),
    [sym_kConst] = ACTIONS(542),
    [sym_kResourcestring] = ACTIONS(542),
    [sym_kType] = ACTIONS(542),
    [sym_kLabel] = ACTIONS(542),
    [sym_kExports] = ACTIONS(542),
    [sym_kProperty] = ACTIONS(542),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(542),
    [sym_kGeneric] = ACTIONS(542),
    [sym_kFunction] = ACTIONS(542),
    [sym_kProcedure] = ACTIONS(542),
    [sym_kConstructor] = ACTIONS(542),
    [sym_kDestructor] = ACTIONS(542),
    [sym_kOperator] = ACTIONS(542),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(547),
    [sym_identifier] = ACTIONS(549),
    [anon_sym_LBRACK] = ACTIONS(551),
    [sym_kUses] = ACTIONS(549),
    [sym_kInterface] = ACTIONS(549),
    [sym_kImplementation] = ACTIONS(549),
    [sym_kInitialization] = ACTIONS(549),
    [sym_kFinalization] = ACTIONS(549),
    [sym_kBegin] = ACTIONS(549),
    [sym_kEnd] = ACTIONS(549),
    [sym_kAsm] = ACTIONS(549),
    [sym_kVar] = ACTIONS(549),
    [sym_kThreadvar] = ACTIONS(549),
    [sym_kConst] = ACTIONS(549),
    [sym_kResourcestring] = ACTIONS(549),
    [sym_kType] = ACTIONS(549),
    [sym_kLabel] = ACTIONS(549),
    [sym_kExports] = ACTIONS(549),
    [sym_kProperty] = ACTIONS(549),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(549),
    [sym_kGeneric] = ACTIONS(549),
    [sym_kFunction] = ACTIONS(549),
    [sym_kProcedure] = ACTIONS(549),
    [sym_kConstructor] = ACTIONS(549),
    [sym_kDestructor] = ACTIONS(549),
    [sym_kOperator] = ACTIONS(549),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(554),
    [sym_identifier] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [sym_kUses] = ACTIONS(556),
    [sym_kInterface] = ACTIONS(556),
    [sym_kImplementation] = ACTIONS(556),
    [sym_kInitialization] = ACTIONS(556),
    [sym_kFinalization] = ACTIONS(556),
    [sym_kBegin] = ACTIONS(556),
    [sym_kEnd] = ACTIONS(556),
    [sym_kAsm] = ACTIONS(556),
    [sym_kVar] = ACTIONS(556),
    [sym_kThreadvar] = ACTIONS(556),
    [sym_kConst] = ACTIONS(556),
    [sym_kResourcestring] = ACTIONS(556),
    [sym_kType] = ACTIONS(556),
    [sym_kLabel] = ACTIONS(556),
    [sym_kExports] = ACTIONS(556),
    [sym_kProperty] = ACTIONS(556),
    [sym_kDefault] = ACTIONS(561),
    [sym_kNodefault] = ACTIONS(561),
    [sym_kDispId] = ACTIONS(564),
    [sym_kClass] = ACTIONS(556),
    [sym_kGeneric] = ACTIONS(556),
    [sym_kFunction] = ACTIONS(556),
    [sym_kProcedure] = ACTIONS(556),
    [sym_kConstructor] = ACTIONS(556),
    [sym_kDestructor] = ACTIONS(556),
    [sym_kOperator] = ACTIONS(556),
    [sym_kPublic] = ACTIONS(567),
    [sym_kStatic] = ACTIONS(561),
    [sym_kVirtual] = ACTIONS(561),
    [sym_kAbstract] = ACTIONS(561),
    [sym_kDynamic] = ACTIONS(561),
    [sym_kOverride] = ACTIONS(561),
    [sym_kOverload] = ACTIONS(561),
    [sym_kReintroduce] = ACTIONS(561),
    [sym_kInline] = ACTIONS(561),
    [sym_kStdcall] = ACTIONS(561),
    [sym_kCdecl] = ACTIONS(561),
    [sym_kCppdecl] = ACTIONS(561),
    [sym_kPascal] = ACTIONS(561),
    [sym_kRegister] = ACTIONS(561),
    [sym_kMwpascal] = ACTIONS(561),
    [sym_kMessage] = ACTIONS(570),
    [sym_kDeprecated] = ACTIONS(573),
    [sym_kExperimental] = ACTIONS(561),
    [sym_kPlatform] = ACTIONS(561),
    [sym_kUnimplemented] = ACTIONS(561),
    [sym_kCvar] = ACTIONS(561),
    [sym_kExport] = ACTIONS(576),
    [sym_kFar] = ACTIONS(561),
    [sym_kNear] = ACTIONS(561),
    [sym_kSafecall] = ACTIONS(561),
    [sym_kAssembler] = ACTIONS(561),
    [sym_kNostackframe] = ACTIONS(561),
    [sym_kInterrupt] = ACTIONS(561),
    [sym_kNoreturn] = ACTIONS(561),
    [sym_kIocheck] = ACTIONS(561),
    [sym_kLocal] = ACTIONS(561),
    [sym_kHardfloat] = ACTIONS(561),
    [sym_kSoftfloat] = ACTIONS(561),
    [sym_kMs_abi_default] = ACTIONS(561),
    [sym_kMs_abi_cdecl] = ACTIONS(561),
    [sym_kSaveregisters] = ACTIONS(561),
    [sym_kSysv_abi_default] = ACTIONS(561),
    [sym_kSysv_abi_cdecl] = ACTIONS(561),
    [sym_kVectorcall] = ACTIONS(561),
    [sym_kVarargs] = ACTIONS(561),
    [sym_kWinapi] = ACTIONS(561),
    [sym_kAlias] = ACTIONS(579),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(586),
    [sym_kUses] = ACTIONS(584),
    [sym_kInterface] = ACTIONS(584),
    [sym_kImplementation] = ACTIONS(584),
    [sym_kInitialization] = ACTIONS(584),
    [sym_kFinalization] = ACTIONS(584),
    [sym_kBegin] = ACTIONS(584),
    [sym_kEnd] = ACTIONS(584),
    [sym_kAsm] = ACTIONS(584),
    [sym_kVar] = ACTIONS(584),
    [sym_kThreadvar] = ACTIONS(584),
    [sym_kConst] = ACTIONS(584),
    [sym_kResourcestring] = ACTIONS(584),
    [sym_kType] = ACTIONS(584),
    [sym_kLabel] = ACTIONS(584),
    [sym_kExports] = ACTIONS(584),
    [sym_kProperty] = ACTIONS(584),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(584),
    [sym_kGeneric] = ACTIONS(584),
    [sym_kFunction] = ACTIONS(584),
    [sym_kProcedure] = ACTIONS(584),
    [sym_kConstructor] = ACTIONS(584),
    [sym_kDestructor] = ACTIONS(584),
    [sym_kOperator] = ACTIONS(584),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [ts_builtin_sym_end] = ACTIONS(589),
    [sym_identifier] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACK] = ACTIONS(589),
    [sym_kUses] = ACTIONS(591),
    [sym_kInterface] = ACTIONS(591),
    [sym_kImplementation] = ACTIONS(591),
    [sym_kInitialization] = ACTIONS(591),
    [sym_kFinalization] = ACTIONS(591),
    [sym_kBegin] = ACTIONS(591),
    [sym_kEnd] = ACTIONS(591),
    [sym_kAsm] = ACTIONS(591),
    [sym_kVar] = ACTIONS(591),
    [sym_kThreadvar] = ACTIONS(591),
    [sym_kConst] = ACTIONS(591),
    [sym_kResourcestring] = ACTIONS(591),
    [sym_kType] = ACTIONS(591),
    [sym_kLabel] = ACTIONS(591),
    [sym_kExports] = ACTIONS(591),
    [sym_kProperty] = ACTIONS(591),
    [sym_kDefault] = ACTIONS(591),
    [sym_kNodefault] = ACTIONS(591),
    [sym_kDispId] = ACTIONS(591),
    [sym_kClass] = ACTIONS(591),
    [sym_kGeneric] = ACTIONS(591),
    [sym_kFunction] = ACTIONS(591),
    [sym_kProcedure] = ACTIONS(591),
    [sym_kConstructor] = ACTIONS(591),
    [sym_kDestructor] = ACTIONS(591),
    [sym_kOperator] = ACTIONS(591),
    [sym_kPublic] = ACTIONS(591),
    [sym_kStatic] = ACTIONS(591),
    [sym_kVirtual] = ACTIONS(591),
    [sym_kAbstract] = ACTIONS(591),
    [sym_kDynamic] = ACTIONS(591),
    [sym_kOverride] = ACTIONS(591),
    [sym_kOverload] = ACTIONS(591),
    [sym_kReintroduce] = ACTIONS(591),
    [sym_kInline] = ACTIONS(591),
    [sym_kStdcall] = ACTIONS(591),
    [sym_kCdecl] = ACTIONS(591),
    [sym_kCppdecl] = ACTIONS(591),
    [sym_kPascal] = ACTIONS(591),
    [sym_kRegister] = ACTIONS(591),
    [sym_kMwpascal] = ACTIONS(591),
    [sym_kExternal] = ACTIONS(591),
    [sym_kMessage] = ACTIONS(591),
    [sym_kDeprecated] = ACTIONS(591),
    [sym_kExperimental] = ACTIONS(591),
    [sym_kPlatform] = ACTIONS(591),
    [sym_kUnimplemented] = ACTIONS(591),
    [sym_kCvar] = ACTIONS(591),
    [sym_kExport] = ACTIONS(591),
    [sym_kFar] = ACTIONS(591),
    [sym_kNear] = ACTIONS(591),
    [sym_kSafecall] = ACTIONS(591),
    [sym_kAssembler] = ACTIONS(591),
    [sym_kNostackframe] = ACTIONS(591),
    [sym_kInterrupt] = ACTIONS(591),
    [sym_kNoreturn] = ACTIONS(591),
    [sym_kIocheck] = ACTIONS(591),
    [sym_kLocal] = ACTIONS(591),
    [sym_kHardfloat] = ACTIONS(591),
    [sym_kSoftfloat] = ACTIONS(591),
    [sym_kMs_abi_default] = ACTIONS(591),
    [sym_kMs_abi_cdecl] = ACTIONS(591),
    [sym_kSaveregisters] = ACTIONS(591),
    [sym_kSysv_abi_default] = ACTIONS(591),
    [sym_kSysv_abi_cdecl] = ACTIONS(591),
    [sym_kVectorcall] = ACTIONS(591),
    [sym_kVarargs] = ACTIONS(591),
    [sym_kWinapi] = ACTIONS(591),
    [sym_kAlias] = ACTIONS(591),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [ts_builtin_sym_end] = ACTIONS(593),
    [sym_identifier] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_RBRACK] = ACTIONS(593),
    [sym_kUses] = ACTIONS(595),
    [sym_kInterface] = ACTIONS(595),
    [sym_kImplementation] = ACTIONS(595),
    [sym_kInitialization] = ACTIONS(595),
    [sym_kFinalization] = ACTIONS(595),
    [sym_kBegin] = ACTIONS(595),
    [sym_kEnd] = ACTIONS(595),
    [sym_kAsm] = ACTIONS(595),
    [sym_kVar] = ACTIONS(595),
    [sym_kThreadvar] = ACTIONS(595),
    [sym_kConst] = ACTIONS(595),
    [sym_kResourcestring] = ACTIONS(595),
    [sym_kType] = ACTIONS(595),
    [sym_kLabel] = ACTIONS(595),
    [sym_kExports] = ACTIONS(595),
    [sym_kProperty] = ACTIONS(595),
    [sym_kDefault] = ACTIONS(595),
    [sym_kNodefault] = ACTIONS(595),
    [sym_kDispId] = ACTIONS(595),
    [sym_kClass] = ACTIONS(595),
    [sym_kGeneric] = ACTIONS(595),
    [sym_kFunction] = ACTIONS(595),
    [sym_kProcedure] = ACTIONS(595),
    [sym_kConstructor] = ACTIONS(595),
    [sym_kDestructor] = ACTIONS(595),
    [sym_kOperator] = ACTIONS(595),
    [sym_kPublic] = ACTIONS(595),
    [sym_kStatic] = ACTIONS(595),
    [sym_kVirtual] = ACTIONS(595),
    [sym_kAbstract] = ACTIONS(595),
    [sym_kDynamic] = ACTIONS(595),
    [sym_kOverride] = ACTIONS(595),
    [sym_kOverload] = ACTIONS(595),
    [sym_kReintroduce] = ACTIONS(595),
    [sym_kInline] = ACTIONS(595),
    [sym_kStdcall] = ACTIONS(595),
    [sym_kCdecl] = ACTIONS(595),
    [sym_kCppdecl] = ACTIONS(595),
    [sym_kPascal] = ACTIONS(595),
    [sym_kRegister] = ACTIONS(595),
    [sym_kMwpascal] = ACTIONS(595),
    [sym_kExternal] = ACTIONS(595),
    [sym_kMessage] = ACTIONS(595),
    [sym_kDeprecated] = ACTIONS(595),
    [sym_kExperimental] = ACTIONS(595),
    [sym_kPlatform] = ACTIONS(595),
    [sym_kUnimplemented] = ACTIONS(595),
    [sym_kCvar] = ACTIONS(595),
    [sym_kExport] = ACTIONS(595),
    [sym_kFar] = ACTIONS(595),
    [sym_kNear] = ACTIONS(595),
    [sym_kSafecall] = ACTIONS(595),
    [sym_kAssembler] = ACTIONS(595),
    [sym_kNostackframe] = ACTIONS(595),
    [sym_kInterrupt] = ACTIONS(595),
    [sym_kNoreturn] = ACTIONS(595),
    [sym_kIocheck] = ACTIONS(595),
    [sym_kLocal] = ACTIONS(595),
    [sym_kHardfloat] = ACTIONS(595),
    [sym_kSoftfloat] = ACTIONS(595),
    [sym_kMs_abi_default] = ACTIONS(595),
    [sym_kMs_abi_cdecl] = ACTIONS(595),
    [sym_kSaveregisters] = ACTIONS(595),
    [sym_kSysv_abi_default] = ACTIONS(595),
    [sym_kSysv_abi_cdecl] = ACTIONS(595),
    [sym_kVectorcall] = ACTIONS(595),
    [sym_kVarargs] = ACTIONS(595),
    [sym_kWinapi] = ACTIONS(595),
    [sym_kAlias] = ACTIONS(595),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(597),
    [sym_identifier] = ACTIONS(599),
    [anon_sym_LBRACK] = ACTIONS(601),
    [sym_kUses] = ACTIONS(599),
    [sym_kInterface] = ACTIONS(599),
    [sym_kImplementation] = ACTIONS(599),
    [sym_kInitialization] = ACTIONS(599),
    [sym_kFinalization] = ACTIONS(599),
    [sym_kBegin] = ACTIONS(599),
    [sym_kEnd] = ACTIONS(599),
    [sym_kAsm] = ACTIONS(599),
    [sym_kVar] = ACTIONS(599),
    [sym_kThreadvar] = ACTIONS(599),
    [sym_kConst] = ACTIONS(599),
    [sym_kResourcestring] = ACTIONS(599),
    [sym_kType] = ACTIONS(599),
    [sym_kLabel] = ACTIONS(599),
    [sym_kExports] = ACTIONS(599),
    [sym_kProperty] = ACTIONS(599),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(599),
    [sym_kGeneric] = ACTIONS(599),
    [sym_kFunction] = ACTIONS(599),
    [sym_kProcedure] = ACTIONS(599),
    [sym_kConstructor] = ACTIONS(599),
    [sym_kDestructor] = ACTIONS(599),
    [sym_kOperator] = ACTIONS(599),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(125),
    [ts_builtin_sym_end] = ACTIONS(604),
    [sym_identifier] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(608),
    [sym_kUses] = ACTIONS(606),
    [sym_kInterface] = ACTIONS(606),
    [sym_kImplementation] = ACTIONS(606),
    [sym_kInitialization] = ACTIONS(606),
    [sym_kFinalization] = ACTIONS(606),
    [sym_kBegin] = ACTIONS(606),
    [sym_kEnd] = ACTIONS(606),
    [sym_kAsm] = ACTIONS(606),
    [sym_kVar] = ACTIONS(606),
    [sym_kThreadvar] = ACTIONS(606),
    [sym_kConst] = ACTIONS(606),
    [sym_kResourcestring] = ACTIONS(606),
    [sym_kType] = ACTIONS(606),
    [sym_kLabel] = ACTIONS(606),
    [sym_kExports] = ACTIONS(606),
    [sym_kProperty] = ACTIONS(606),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(606),
    [sym_kGeneric] = ACTIONS(606),
    [sym_kFunction] = ACTIONS(606),
    [sym_kProcedure] = ACTIONS(606),
    [sym_kConstructor] = ACTIONS(606),
    [sym_kDestructor] = ACTIONS(606),
    [sym_kOperator] = ACTIONS(606),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(126),
    [ts_builtin_sym_end] = ACTIONS(611),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [sym_kUses] = ACTIONS(613),
    [sym_kInterface] = ACTIONS(613),
    [sym_kImplementation] = ACTIONS(613),
    [sym_kInitialization] = ACTIONS(613),
    [sym_kFinalization] = ACTIONS(613),
    [sym_kBegin] = ACTIONS(613),
    [sym_kEnd] = ACTIONS(613),
    [sym_kAsm] = ACTIONS(613),
    [sym_kVar] = ACTIONS(613),
    [sym_kThreadvar] = ACTIONS(613),
    [sym_kConst] = ACTIONS(613),
    [sym_kResourcestring] = ACTIONS(613),
    [sym_kType] = ACTIONS(613),
    [sym_kLabel] = ACTIONS(613),
    [sym_kExports] = ACTIONS(613),
    [sym_kProperty] = ACTIONS(613),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(613),
    [sym_kGeneric] = ACTIONS(613),
    [sym_kFunction] = ACTIONS(613),
    [sym_kProcedure] = ACTIONS(613),
    [sym_kConstructor] = ACTIONS(613),
    [sym_kDestructor] = ACTIONS(613),
    [sym_kOperator] = ACTIONS(613),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kInterface] = ACTIONS(269),
    [sym_kImplementation] = ACTIONS(269),
    [sym_kInitialization] = ACTIONS(269),
    [sym_kFinalization] = ACTIONS(269),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kEnd] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(269),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kAssign] = ACTIONS(271),
    [sym_kAssignAdd] = ACTIONS(271),
    [sym_kAssignSub] = ACTIONS(271),
    [sym_kAssignMul] = ACTIONS(271),
    [sym_kAssignDiv] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kElse] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(115),
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(622),
    [sym_kUses] = ACTIONS(620),
    [sym_kInterface] = ACTIONS(620),
    [sym_kImplementation] = ACTIONS(620),
    [sym_kInitialization] = ACTIONS(620),
    [sym_kFinalization] = ACTIONS(620),
    [sym_kBegin] = ACTIONS(620),
    [sym_kEnd] = ACTIONS(620),
    [sym_kAsm] = ACTIONS(620),
    [sym_kVar] = ACTIONS(620),
    [sym_kThreadvar] = ACTIONS(620),
    [sym_kConst] = ACTIONS(620),
    [sym_kResourcestring] = ACTIONS(620),
    [sym_kType] = ACTIONS(620),
    [sym_kLabel] = ACTIONS(620),
    [sym_kExports] = ACTIONS(620),
    [sym_kProperty] = ACTIONS(620),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(620),
    [sym_kGeneric] = ACTIONS(620),
    [sym_kFunction] = ACTIONS(620),
    [sym_kProcedure] = ACTIONS(620),
    [sym_kConstructor] = ACTIONS(620),
    [sym_kDestructor] = ACTIONS(620),
    [sym_kOperator] = ACTIONS(620),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(112),
    [ts_builtin_sym_end] = ACTIONS(625),
    [sym_identifier] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(629),
    [sym_kUses] = ACTIONS(627),
    [sym_kInterface] = ACTIONS(627),
    [sym_kImplementation] = ACTIONS(627),
    [sym_kInitialization] = ACTIONS(627),
    [sym_kFinalization] = ACTIONS(627),
    [sym_kBegin] = ACTIONS(627),
    [sym_kEnd] = ACTIONS(627),
    [sym_kAsm] = ACTIONS(627),
    [sym_kVar] = ACTIONS(627),
    [sym_kThreadvar] = ACTIONS(627),
    [sym_kConst] = ACTIONS(627),
    [sym_kResourcestring] = ACTIONS(627),
    [sym_kType] = ACTIONS(627),
    [sym_kLabel] = ACTIONS(627),
    [sym_kExports] = ACTIONS(627),
    [sym_kProperty] = ACTIONS(627),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(627),
    [sym_kGeneric] = ACTIONS(627),
    [sym_kFunction] = ACTIONS(627),
    [sym_kProcedure] = ACTIONS(627),
    [sym_kConstructor] = ACTIONS(627),
    [sym_kDestructor] = ACTIONS(627),
    [sym_kOperator] = ACTIONS(627),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(108),
    [sym_while] = STATE(108),
    [sym_repeat] = STATE(108),
    [sym_for] = STATE(108),
    [sym_foreach] = STATE(108),
    [sym_try] = STATE(108),
    [sym_case] = STATE(108),
    [sym_block] = STATE(108),
    [sym_asm] = STATE(108),
    [sym_with] = STATE(108),
    [sym_raise] = STATE(108),
    [sym_statement] = STATE(108),
    [sym_goto] = STATE(108),
    [sym__statement] = STATE(108),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym_label] = STATE(108),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym__statementsTr_repeat1] = STATE(108),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(641),
    [aux_sym__literalString_token1] = ACTIONS(644),
    [anon_sym_POUND] = ACTIONS(647),
    [aux_sym__literalInt_token1] = ACTIONS(650),
    [aux_sym__literalInt_token2] = ACTIONS(653),
    [aux_sym__literalFloat_token1] = ACTIONS(650),
    [sym_kBegin] = ACTIONS(656),
    [sym_kAsm] = ACTIONS(659),
    [sym_kVar] = ACTIONS(662),
    [sym_kSpecialize] = ACTIONS(665),
    [sym_kAdd] = ACTIONS(668),
    [sym_kSub] = ACTIONS(668),
    [sym_kAt] = ACTIONS(671),
    [sym_kNot] = ACTIONS(668),
    [sym_kFor] = ACTIONS(674),
    [sym_kIf] = ACTIONS(677),
    [sym_kWhile] = ACTIONS(680),
    [sym_kRepeat] = ACTIONS(683),
    [sym_kTry] = ACTIONS(686),
    [sym_kRaise] = ACTIONS(689),
    [sym_kCase] = ACTIONS(692),
    [sym_kWith] = ACTIONS(695),
    [sym_kGoto] = ACTIONS(698),
    [sym_kFunction] = ACTIONS(701),
    [sym_kProcedure] = ACTIONS(701),
    [sym_kInherited] = ACTIONS(704),
    [sym_kNil] = ACTIONS(707),
    [sym_kTrue] = ACTIONS(707),
    [sym_kFalse] = ACTIONS(707),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(710),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(714),
    [sym_kUses] = ACTIONS(712),
    [sym_kInterface] = ACTIONS(712),
    [sym_kImplementation] = ACTIONS(712),
    [sym_kInitialization] = ACTIONS(712),
    [sym_kFinalization] = ACTIONS(712),
    [sym_kBegin] = ACTIONS(712),
    [sym_kEnd] = ACTIONS(712),
    [sym_kAsm] = ACTIONS(712),
    [sym_kVar] = ACTIONS(712),
    [sym_kThreadvar] = ACTIONS(712),
    [sym_kConst] = ACTIONS(712),
    [sym_kResourcestring] = ACTIONS(712),
    [sym_kType] = ACTIONS(712),
    [sym_kLabel] = ACTIONS(712),
    [sym_kExports] = ACTIONS(712),
    [sym_kProperty] = ACTIONS(712),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(712),
    [sym_kGeneric] = ACTIONS(712),
    [sym_kFunction] = ACTIONS(712),
    [sym_kProcedure] = ACTIONS(712),
    [sym_kConstructor] = ACTIONS(712),
    [sym_kDestructor] = ACTIONS(712),
    [sym_kOperator] = ACTIONS(712),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [ts_builtin_sym_end] = ACTIONS(717),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_COMMA] = ACTIONS(717),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_RBRACK] = ACTIONS(717),
    [sym_kUses] = ACTIONS(719),
    [sym_kInterface] = ACTIONS(719),
    [sym_kImplementation] = ACTIONS(719),
    [sym_kInitialization] = ACTIONS(719),
    [sym_kFinalization] = ACTIONS(719),
    [sym_kBegin] = ACTIONS(719),
    [sym_kEnd] = ACTIONS(719),
    [sym_kAsm] = ACTIONS(719),
    [sym_kVar] = ACTIONS(719),
    [sym_kThreadvar] = ACTIONS(719),
    [sym_kConst] = ACTIONS(719),
    [sym_kResourcestring] = ACTIONS(719),
    [sym_kType] = ACTIONS(719),
    [sym_kLabel] = ACTIONS(719),
    [sym_kExports] = ACTIONS(719),
    [sym_kProperty] = ACTIONS(719),
    [sym_kDefault] = ACTIONS(719),
    [sym_kNodefault] = ACTIONS(719),
    [sym_kDispId] = ACTIONS(719),
    [sym_kClass] = ACTIONS(719),
    [sym_kGeneric] = ACTIONS(719),
    [sym_kFunction] = ACTIONS(719),
    [sym_kProcedure] = ACTIONS(719),
    [sym_kConstructor] = ACTIONS(719),
    [sym_kDestructor] = ACTIONS(719),
    [sym_kOperator] = ACTIONS(719),
    [sym_kPublic] = ACTIONS(719),
    [sym_kStatic] = ACTIONS(719),
    [sym_kVirtual] = ACTIONS(719),
    [sym_kAbstract] = ACTIONS(719),
    [sym_kDynamic] = ACTIONS(719),
    [sym_kOverride] = ACTIONS(719),
    [sym_kOverload] = ACTIONS(719),
    [sym_kReintroduce] = ACTIONS(719),
    [sym_kInline] = ACTIONS(719),
    [sym_kStdcall] = ACTIONS(719),
    [sym_kCdecl] = ACTIONS(719),
    [sym_kCppdecl] = ACTIONS(719),
    [sym_kPascal] = ACTIONS(719),
    [sym_kRegister] = ACTIONS(719),
    [sym_kMwpascal] = ACTIONS(719),
    [sym_kExternal] = ACTIONS(719),
    [sym_kMessage] = ACTIONS(719),
    [sym_kDeprecated] = ACTIONS(719),
    [sym_kExperimental] = ACTIONS(719),
    [sym_kPlatform] = ACTIONS(719),
    [sym_kUnimplemented] = ACTIONS(719),
    [sym_kCvar] = ACTIONS(719),
    [sym_kExport] = ACTIONS(719),
    [sym_kFar] = ACTIONS(719),
    [sym_kNear] = ACTIONS(719),
    [sym_kSafecall] = ACTIONS(719),
    [sym_kAssembler] = ACTIONS(719),
    [sym_kNostackframe] = ACTIONS(719),
    [sym_kInterrupt] = ACTIONS(719),
    [sym_kNoreturn] = ACTIONS(719),
    [sym_kIocheck] = ACTIONS(719),
    [sym_kLocal] = ACTIONS(719),
    [sym_kHardfloat] = ACTIONS(719),
    [sym_kSoftfloat] = ACTIONS(719),
    [sym_kMs_abi_default] = ACTIONS(719),
    [sym_kMs_abi_cdecl] = ACTIONS(719),
    [sym_kSaveregisters] = ACTIONS(719),
    [sym_kSysv_abi_default] = ACTIONS(719),
    [sym_kSysv_abi_cdecl] = ACTIONS(719),
    [sym_kVectorcall] = ACTIONS(719),
    [sym_kVarargs] = ACTIONS(719),
    [sym_kWinapi] = ACTIONS(719),
    [sym_kAlias] = ACTIONS(719),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(721),
    [sym_identifier] = ACTIONS(723),
    [anon_sym_COMMA] = ACTIONS(721),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(721),
    [sym_kUses] = ACTIONS(723),
    [sym_kInterface] = ACTIONS(723),
    [sym_kImplementation] = ACTIONS(723),
    [sym_kInitialization] = ACTIONS(723),
    [sym_kFinalization] = ACTIONS(723),
    [sym_kBegin] = ACTIONS(723),
    [sym_kEnd] = ACTIONS(723),
    [sym_kAsm] = ACTIONS(723),
    [sym_kVar] = ACTIONS(723),
    [sym_kThreadvar] = ACTIONS(723),
    [sym_kConst] = ACTIONS(723),
    [sym_kResourcestring] = ACTIONS(723),
    [sym_kType] = ACTIONS(723),
    [sym_kLabel] = ACTIONS(723),
    [sym_kExports] = ACTIONS(723),
    [sym_kProperty] = ACTIONS(723),
    [sym_kDefault] = ACTIONS(723),
    [sym_kNodefault] = ACTIONS(723),
    [sym_kDispId] = ACTIONS(723),
    [sym_kClass] = ACTIONS(723),
    [sym_kGeneric] = ACTIONS(723),
    [sym_kFunction] = ACTIONS(723),
    [sym_kProcedure] = ACTIONS(723),
    [sym_kConstructor] = ACTIONS(723),
    [sym_kDestructor] = ACTIONS(723),
    [sym_kOperator] = ACTIONS(723),
    [sym_kPublic] = ACTIONS(723),
    [sym_kStatic] = ACTIONS(723),
    [sym_kVirtual] = ACTIONS(723),
    [sym_kAbstract] = ACTIONS(723),
    [sym_kDynamic] = ACTIONS(723),
    [sym_kOverride] = ACTIONS(723),
    [sym_kOverload] = ACTIONS(723),
    [sym_kReintroduce] = ACTIONS(723),
    [sym_kInline] = ACTIONS(723),
    [sym_kStdcall] = ACTIONS(723),
    [sym_kCdecl] = ACTIONS(723),
    [sym_kCppdecl] = ACTIONS(723),
    [sym_kPascal] = ACTIONS(723),
    [sym_kRegister] = ACTIONS(723),
    [sym_kMwpascal] = ACTIONS(723),
    [sym_kExternal] = ACTIONS(723),
    [sym_kMessage] = ACTIONS(723),
    [sym_kDeprecated] = ACTIONS(723),
    [sym_kExperimental] = ACTIONS(723),
    [sym_kPlatform] = ACTIONS(723),
    [sym_kUnimplemented] = ACTIONS(723),
    [sym_kCvar] = ACTIONS(723),
    [sym_kExport] = ACTIONS(723),
    [sym_kFar] = ACTIONS(723),
    [sym_kNear] = ACTIONS(723),
    [sym_kSafecall] = ACTIONS(723),
    [sym_kAssembler] = ACTIONS(723),
    [sym_kNostackframe] = ACTIONS(723),
    [sym_kInterrupt] = ACTIONS(723),
    [sym_kNoreturn] = ACTIONS(723),
    [sym_kIocheck] = ACTIONS(723),
    [sym_kLocal] = ACTIONS(723),
    [sym_kHardfloat] = ACTIONS(723),
    [sym_kSoftfloat] = ACTIONS(723),
    [sym_kMs_abi_default] = ACTIONS(723),
    [sym_kMs_abi_cdecl] = ACTIONS(723),
    [sym_kSaveregisters] = ACTIONS(723),
    [sym_kSysv_abi_default] = ACTIONS(723),
    [sym_kSysv_abi_cdecl] = ACTIONS(723),
    [sym_kVectorcall] = ACTIONS(723),
    [sym_kVarargs] = ACTIONS(723),
    [sym_kWinapi] = ACTIONS(723),
    [sym_kAlias] = ACTIONS(723),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(725),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(729),
    [sym_kUses] = ACTIONS(727),
    [sym_kInterface] = ACTIONS(727),
    [sym_kImplementation] = ACTIONS(727),
    [sym_kInitialization] = ACTIONS(727),
    [sym_kFinalization] = ACTIONS(727),
    [sym_kBegin] = ACTIONS(727),
    [sym_kEnd] = ACTIONS(727),
    [sym_kAsm] = ACTIONS(727),
    [sym_kVar] = ACTIONS(727),
    [sym_kThreadvar] = ACTIONS(727),
    [sym_kConst] = ACTIONS(727),
    [sym_kResourcestring] = ACTIONS(727),
    [sym_kType] = ACTIONS(727),
    [sym_kLabel] = ACTIONS(727),
    [sym_kExports] = ACTIONS(727),
    [sym_kProperty] = ACTIONS(727),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(727),
    [sym_kGeneric] = ACTIONS(727),
    [sym_kFunction] = ACTIONS(727),
    [sym_kProcedure] = ACTIONS(727),
    [sym_kConstructor] = ACTIONS(727),
    [sym_kDestructor] = ACTIONS(727),
    [sym_kOperator] = ACTIONS(727),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(119),
    [ts_builtin_sym_end] = ACTIONS(732),
    [sym_identifier] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_kUses] = ACTIONS(734),
    [sym_kInterface] = ACTIONS(734),
    [sym_kImplementation] = ACTIONS(734),
    [sym_kInitialization] = ACTIONS(734),
    [sym_kFinalization] = ACTIONS(734),
    [sym_kBegin] = ACTIONS(734),
    [sym_kEnd] = ACTIONS(734),
    [sym_kAsm] = ACTIONS(734),
    [sym_kVar] = ACTIONS(734),
    [sym_kThreadvar] = ACTIONS(734),
    [sym_kConst] = ACTIONS(734),
    [sym_kResourcestring] = ACTIONS(734),
    [sym_kType] = ACTIONS(734),
    [sym_kLabel] = ACTIONS(734),
    [sym_kExports] = ACTIONS(734),
    [sym_kProperty] = ACTIONS(734),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(734),
    [sym_kGeneric] = ACTIONS(734),
    [sym_kFunction] = ACTIONS(734),
    [sym_kProcedure] = ACTIONS(734),
    [sym_kConstructor] = ACTIONS(734),
    [sym_kDestructor] = ACTIONS(734),
    [sym_kOperator] = ACTIONS(734),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(739),
    [sym_identifier] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [sym_kUses] = ACTIONS(741),
    [sym_kInterface] = ACTIONS(741),
    [sym_kImplementation] = ACTIONS(741),
    [sym_kInitialization] = ACTIONS(741),
    [sym_kFinalization] = ACTIONS(741),
    [sym_kBegin] = ACTIONS(741),
    [sym_kEnd] = ACTIONS(741),
    [sym_kAsm] = ACTIONS(741),
    [sym_kVar] = ACTIONS(741),
    [sym_kThreadvar] = ACTIONS(741),
    [sym_kConst] = ACTIONS(741),
    [sym_kResourcestring] = ACTIONS(741),
    [sym_kType] = ACTIONS(741),
    [sym_kLabel] = ACTIONS(741),
    [sym_kExports] = ACTIONS(741),
    [sym_kProperty] = ACTIONS(741),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(741),
    [sym_kGeneric] = ACTIONS(741),
    [sym_kFunction] = ACTIONS(741),
    [sym_kProcedure] = ACTIONS(741),
    [sym_kConstructor] = ACTIONS(741),
    [sym_kDestructor] = ACTIONS(741),
    [sym_kOperator] = ACTIONS(741),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(746),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LBRACK] = ACTIONS(750),
    [sym_kUses] = ACTIONS(748),
    [sym_kInterface] = ACTIONS(748),
    [sym_kImplementation] = ACTIONS(748),
    [sym_kInitialization] = ACTIONS(748),
    [sym_kFinalization] = ACTIONS(748),
    [sym_kBegin] = ACTIONS(748),
    [sym_kEnd] = ACTIONS(748),
    [sym_kAsm] = ACTIONS(748),
    [sym_kVar] = ACTIONS(748),
    [sym_kThreadvar] = ACTIONS(748),
    [sym_kConst] = ACTIONS(748),
    [sym_kResourcestring] = ACTIONS(748),
    [sym_kType] = ACTIONS(748),
    [sym_kLabel] = ACTIONS(748),
    [sym_kExports] = ACTIONS(748),
    [sym_kProperty] = ACTIONS(748),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(748),
    [sym_kGeneric] = ACTIONS(748),
    [sym_kFunction] = ACTIONS(748),
    [sym_kProcedure] = ACTIONS(748),
    [sym_kConstructor] = ACTIONS(748),
    [sym_kDestructor] = ACTIONS(748),
    [sym_kOperator] = ACTIONS(748),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kRead] = ACTIONS(265),
    [sym_kWrite] = ACTIONS(265),
    [sym_kImplements] = ACTIONS(265),
    [sym_kDefault] = ACTIONS(265),
    [sym_kNodefault] = ACTIONS(265),
    [sym_kStored] = ACTIONS(265),
    [sym_kIndex] = ACTIONS(265),
    [sym_kDispId] = ACTIONS(265),
    [sym_kOf] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(267),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kName] = ACTIONS(265),
    [sym_kDelayed] = ACTIONS(265),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kInterface] = ACTIONS(265),
    [sym_kImplementation] = ACTIONS(265),
    [sym_kInitialization] = ACTIONS(265),
    [sym_kFinalization] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kEnd] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(265),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kAssign] = ACTIONS(267),
    [sym_kAssignAdd] = ACTIONS(267),
    [sym_kAssignSub] = ACTIONS(267),
    [sym_kAssignMul] = ACTIONS(267),
    [sym_kAssignDiv] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kElse] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(753),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [sym_kUses] = ACTIONS(755),
    [sym_kInterface] = ACTIONS(755),
    [sym_kImplementation] = ACTIONS(755),
    [sym_kInitialization] = ACTIONS(755),
    [sym_kFinalization] = ACTIONS(755),
    [sym_kBegin] = ACTIONS(755),
    [sym_kEnd] = ACTIONS(755),
    [sym_kAsm] = ACTIONS(755),
    [sym_kVar] = ACTIONS(755),
    [sym_kThreadvar] = ACTIONS(755),
    [sym_kConst] = ACTIONS(755),
    [sym_kResourcestring] = ACTIONS(755),
    [sym_kType] = ACTIONS(755),
    [sym_kLabel] = ACTIONS(755),
    [sym_kExports] = ACTIONS(755),
    [sym_kProperty] = ACTIONS(755),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(755),
    [sym_kGeneric] = ACTIONS(755),
    [sym_kFunction] = ACTIONS(755),
    [sym_kProcedure] = ACTIONS(755),
    [sym_kConstructor] = ACTIONS(755),
    [sym_kDestructor] = ACTIONS(755),
    [sym_kOperator] = ACTIONS(755),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(760),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(764),
    [sym_kUses] = ACTIONS(762),
    [sym_kInterface] = ACTIONS(762),
    [sym_kImplementation] = ACTIONS(762),
    [sym_kInitialization] = ACTIONS(762),
    [sym_kFinalization] = ACTIONS(762),
    [sym_kBegin] = ACTIONS(762),
    [sym_kEnd] = ACTIONS(762),
    [sym_kAsm] = ACTIONS(762),
    [sym_kVar] = ACTIONS(762),
    [sym_kThreadvar] = ACTIONS(762),
    [sym_kConst] = ACTIONS(762),
    [sym_kResourcestring] = ACTIONS(762),
    [sym_kType] = ACTIONS(762),
    [sym_kLabel] = ACTIONS(762),
    [sym_kExports] = ACTIONS(762),
    [sym_kProperty] = ACTIONS(762),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(762),
    [sym_kGeneric] = ACTIONS(762),
    [sym_kFunction] = ACTIONS(762),
    [sym_kProcedure] = ACTIONS(762),
    [sym_kConstructor] = ACTIONS(762),
    [sym_kDestructor] = ACTIONS(762),
    [sym_kOperator] = ACTIONS(762),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kRead] = ACTIONS(269),
    [sym_kWrite] = ACTIONS(269),
    [sym_kImplements] = ACTIONS(269),
    [sym_kDefault] = ACTIONS(269),
    [sym_kNodefault] = ACTIONS(269),
    [sym_kStored] = ACTIONS(269),
    [sym_kIndex] = ACTIONS(269),
    [sym_kDispId] = ACTIONS(269),
    [sym_kOf] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kName] = ACTIONS(269),
    [sym_kDelayed] = ACTIONS(269),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(102),
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(771),
    [sym_kUses] = ACTIONS(769),
    [sym_kInterface] = ACTIONS(769),
    [sym_kImplementation] = ACTIONS(769),
    [sym_kInitialization] = ACTIONS(769),
    [sym_kFinalization] = ACTIONS(769),
    [sym_kBegin] = ACTIONS(769),
    [sym_kEnd] = ACTIONS(769),
    [sym_kAsm] = ACTIONS(769),
    [sym_kVar] = ACTIONS(769),
    [sym_kThreadvar] = ACTIONS(769),
    [sym_kConst] = ACTIONS(769),
    [sym_kResourcestring] = ACTIONS(769),
    [sym_kType] = ACTIONS(769),
    [sym_kLabel] = ACTIONS(769),
    [sym_kExports] = ACTIONS(769),
    [sym_kProperty] = ACTIONS(769),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(769),
    [sym_kGeneric] = ACTIONS(769),
    [sym_kFunction] = ACTIONS(769),
    [sym_kProcedure] = ACTIONS(769),
    [sym_kConstructor] = ACTIONS(769),
    [sym_kDestructor] = ACTIONS(769),
    [sym_kOperator] = ACTIONS(769),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym__expr] = STATE(1073),
    [sym__ref] = STATE(1025),
    [sym_lambda] = STATE(1025),
    [sym_inherited] = STATE(1025),
    [sym_exprDot] = STATE(1025),
    [sym_exprDeref] = STATE(1025),
    [sym_exprAs] = STATE(1025),
    [sym_exprTpl] = STATE(1025),
    [sym_exprSubscript] = STATE(1025),
    [sym_exprCall] = STATE(1025),
    [sym_exprBinary] = STATE(1073),
    [sym_exprUnary] = STATE(1073),
    [sym_exprParens] = STATE(1025),
    [sym_exprBrackets] = STATE(1025),
    [sym__literal] = STATE(1025),
    [sym_literalString] = STATE(1025),
    [sym__literalString] = STATE(817),
    [sym_literalChar] = STATE(817),
    [sym_literalNumber] = STATE(1025),
    [sym__literalInt] = STATE(1072),
    [sym__literalFloat] = STATE(1072),
    [aux_sym_literalString_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(109),
    [anon_sym_POUND] = ACTIONS(111),
    [aux_sym__literalInt_token1] = ACTIONS(113),
    [aux_sym__literalInt_token2] = ACTIONS(115),
    [aux_sym__literalFloat_token1] = ACTIONS(113),
    [sym_kInterface] = ACTIONS(269),
    [sym_kImplementation] = ACTIONS(269),
    [sym_kInitialization] = ACTIONS(269),
    [sym_kFinalization] = ACTIONS(269),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kEnd] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(121),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(269),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(125),
    [sym_kHat] = ACTIONS(271),
    [sym_kAssign] = ACTIONS(271),
    [sym_kAssignAdd] = ACTIONS(271),
    [sym_kAssignSub] = ACTIONS(271),
    [sym_kAssignMul] = ACTIONS(271),
    [sym_kAssignDiv] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(123),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kElse] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(139),
    [sym_kProcedure] = ACTIONS(139),
    [sym_kInherited] = ACTIONS(141),
    [sym_kNil] = ACTIONS(143),
    [sym_kTrue] = ACTIONS(143),
    [sym_kFalse] = ACTIONS(143),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__expr] = STATE(1063),
    [sym__ref] = STATE(1040),
    [sym_lambda] = STATE(1040),
    [sym_inherited] = STATE(1040),
    [sym_exprDot] = STATE(1040),
    [sym_exprDeref] = STATE(1040),
    [sym_exprAs] = STATE(1040),
    [sym_exprTpl] = STATE(1040),
    [sym_exprSubscript] = STATE(1040),
    [sym_exprCall] = STATE(1040),
    [sym_exprBinary] = STATE(1063),
    [sym_exprUnary] = STATE(1063),
    [sym_exprParens] = STATE(1040),
    [sym_exprBrackets] = STATE(1040),
    [sym__literal] = STATE(1040),
    [sym_literalString] = STATE(1040),
    [sym__literalString] = STATE(850),
    [sym_literalChar] = STATE(850),
    [sym_literalNumber] = STATE(1040),
    [sym__literalInt] = STATE(1076),
    [sym__literalFloat] = STATE(1076),
    [aux_sym_literalString_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(774),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(776),
    [anon_sym_POUND] = ACTIONS(778),
    [aux_sym__literalInt_token1] = ACTIONS(780),
    [aux_sym__literalInt_token2] = ACTIONS(782),
    [aux_sym__literalFloat_token1] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kRead] = ACTIONS(269),
    [sym_kWrite] = ACTIONS(269),
    [sym_kImplements] = ACTIONS(269),
    [sym_kDefault] = ACTIONS(269),
    [sym_kNodefault] = ACTIONS(269),
    [sym_kStored] = ACTIONS(269),
    [sym_kIndex] = ACTIONS(269),
    [sym_kDispId] = ACTIONS(269),
    [sym_kOf] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(784),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(786),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(788),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(790),
    [sym_kProcedure] = ACTIONS(790),
    [sym_kInherited] = ACTIONS(792),
    [sym_kName] = ACTIONS(269),
    [sym_kDelayed] = ACTIONS(269),
    [sym_kNil] = ACTIONS(774),
    [sym_kTrue] = ACTIONS(774),
    [sym_kFalse] = ACTIONS(774),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [ts_builtin_sym_end] = ACTIONS(794),
    [sym_identifier] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(794),
    [anon_sym_LBRACK] = ACTIONS(794),
    [anon_sym_RBRACK] = ACTIONS(794),
    [sym_kUses] = ACTIONS(796),
    [sym_kInterface] = ACTIONS(796),
    [sym_kImplementation] = ACTIONS(796),
    [sym_kInitialization] = ACTIONS(796),
    [sym_kFinalization] = ACTIONS(796),
    [sym_kBegin] = ACTIONS(796),
    [sym_kEnd] = ACTIONS(796),
    [sym_kAsm] = ACTIONS(796),
    [sym_kVar] = ACTIONS(796),
    [sym_kThreadvar] = ACTIONS(796),
    [sym_kConst] = ACTIONS(796),
    [sym_kResourcestring] = ACTIONS(796),
    [sym_kType] = ACTIONS(796),
    [sym_kLabel] = ACTIONS(796),
    [sym_kExports] = ACTIONS(796),
    [sym_kProperty] = ACTIONS(796),
    [sym_kDefault] = ACTIONS(796),
    [sym_kNodefault] = ACTIONS(796),
    [sym_kDispId] = ACTIONS(796),
    [sym_kClass] = ACTIONS(796),
    [sym_kGeneric] = ACTIONS(796),
    [sym_kFunction] = ACTIONS(796),
    [sym_kProcedure] = ACTIONS(796),
    [sym_kConstructor] = ACTIONS(796),
    [sym_kDestructor] = ACTIONS(796),
    [sym_kOperator] = ACTIONS(796),
    [sym_kPublic] = ACTIONS(796),
    [sym_kStatic] = ACTIONS(796),
    [sym_kVirtual] = ACTIONS(796),
    [sym_kAbstract] = ACTIONS(796),
    [sym_kDynamic] = ACTIONS(796),
    [sym_kOverride] = ACTIONS(796),
    [sym_kOverload] = ACTIONS(796),
    [sym_kReintroduce] = ACTIONS(796),
    [sym_kInline] = ACTIONS(796),
    [sym_kStdcall] = ACTIONS(796),
    [sym_kCdecl] = ACTIONS(796),
    [sym_kCppdecl] = ACTIONS(796),
    [sym_kPascal] = ACTIONS(796),
    [sym_kRegister] = ACTIONS(796),
    [sym_kMwpascal] = ACTIONS(796),
    [sym_kExternal] = ACTIONS(796),
    [sym_kMessage] = ACTIONS(796),
    [sym_kDeprecated] = ACTIONS(796),
    [sym_kExperimental] = ACTIONS(796),
    [sym_kPlatform] = ACTIONS(796),
    [sym_kUnimplemented] = ACTIONS(796),
    [sym_kCvar] = ACTIONS(796),
    [sym_kExport] = ACTIONS(796),
    [sym_kFar] = ACTIONS(796),
    [sym_kNear] = ACTIONS(796),
    [sym_kSafecall] = ACTIONS(796),
    [sym_kAssembler] = ACTIONS(796),
    [sym_kNostackframe] = ACTIONS(796),
    [sym_kInterrupt] = ACTIONS(796),
    [sym_kNoreturn] = ACTIONS(796),
    [sym_kIocheck] = ACTIONS(796),
    [sym_kLocal] = ACTIONS(796),
    [sym_kHardfloat] = ACTIONS(796),
    [sym_kSoftfloat] = ACTIONS(796),
    [sym_kMs_abi_default] = ACTIONS(796),
    [sym_kMs_abi_cdecl] = ACTIONS(796),
    [sym_kSaveregisters] = ACTIONS(796),
    [sym_kSysv_abi_default] = ACTIONS(796),
    [sym_kSysv_abi_cdecl] = ACTIONS(796),
    [sym_kVectorcall] = ACTIONS(796),
    [sym_kVarargs] = ACTIONS(796),
    [sym_kWinapi] = ACTIONS(796),
    [sym_kAlias] = ACTIONS(796),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(798),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_LBRACK] = ACTIONS(802),
    [sym_kUses] = ACTIONS(800),
    [sym_kInterface] = ACTIONS(800),
    [sym_kImplementation] = ACTIONS(800),
    [sym_kInitialization] = ACTIONS(800),
    [sym_kFinalization] = ACTIONS(800),
    [sym_kBegin] = ACTIONS(800),
    [sym_kEnd] = ACTIONS(800),
    [sym_kAsm] = ACTIONS(800),
    [sym_kVar] = ACTIONS(800),
    [sym_kThreadvar] = ACTIONS(800),
    [sym_kConst] = ACTIONS(800),
    [sym_kResourcestring] = ACTIONS(800),
    [sym_kType] = ACTIONS(800),
    [sym_kLabel] = ACTIONS(800),
    [sym_kExports] = ACTIONS(800),
    [sym_kProperty] = ACTIONS(800),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(800),
    [sym_kGeneric] = ACTIONS(800),
    [sym_kFunction] = ACTIONS(800),
    [sym_kProcedure] = ACTIONS(800),
    [sym_kConstructor] = ACTIONS(800),
    [sym_kDestructor] = ACTIONS(800),
    [sym_kOperator] = ACTIONS(800),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(805),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(809),
    [sym_kUses] = ACTIONS(807),
    [sym_kInterface] = ACTIONS(807),
    [sym_kImplementation] = ACTIONS(807),
    [sym_kInitialization] = ACTIONS(807),
    [sym_kFinalization] = ACTIONS(807),
    [sym_kBegin] = ACTIONS(807),
    [sym_kEnd] = ACTIONS(807),
    [sym_kAsm] = ACTIONS(807),
    [sym_kVar] = ACTIONS(807),
    [sym_kThreadvar] = ACTIONS(807),
    [sym_kConst] = ACTIONS(807),
    [sym_kResourcestring] = ACTIONS(807),
    [sym_kType] = ACTIONS(807),
    [sym_kLabel] = ACTIONS(807),
    [sym_kExports] = ACTIONS(807),
    [sym_kProperty] = ACTIONS(807),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(807),
    [sym_kGeneric] = ACTIONS(807),
    [sym_kFunction] = ACTIONS(807),
    [sym_kProcedure] = ACTIONS(807),
    [sym_kConstructor] = ACTIONS(807),
    [sym_kDestructor] = ACTIONS(807),
    [sym_kOperator] = ACTIONS(807),
    [sym_kPublic] = ACTIONS(322),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(812),
    [sym_kEnd] = ACTIONS(479),
    [sym_kVar] = ACTIONS(479),
    [sym_kThreadvar] = ACTIONS(479),
    [sym_kConst] = ACTIONS(479),
    [sym_kResourcestring] = ACTIONS(479),
    [sym_kType] = ACTIONS(479),
    [sym_kProperty] = ACTIONS(479),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(479),
    [sym_kGeneric] = ACTIONS(479),
    [sym_kCase] = ACTIONS(479),
    [sym_kFunction] = ACTIONS(479),
    [sym_kProcedure] = ACTIONS(479),
    [sym_kConstructor] = ACTIONS(479),
    [sym_kDestructor] = ACTIONS(479),
    [sym_kOperator] = ACTIONS(479),
    [sym_kPublished] = ACTIONS(479),
    [sym_kPublic] = ACTIONS(815),
    [sym_kProtected] = ACTIONS(479),
    [sym_kPrivate] = ACTIONS(479),
    [sym_kStrict] = ACTIONS(479),
    [sym_kRequired] = ACTIONS(479),
    [sym_kOptional] = ACTIONS(479),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_LBRACK] = ACTIONS(820),
    [sym_kEnd] = ACTIONS(378),
    [sym_kVar] = ACTIONS(378),
    [sym_kThreadvar] = ACTIONS(378),
    [sym_kConst] = ACTIONS(378),
    [sym_kResourcestring] = ACTIONS(378),
    [sym_kType] = ACTIONS(378),
    [sym_kProperty] = ACTIONS(378),
    [sym_kDefault] = ACTIONS(383),
    [sym_kNodefault] = ACTIONS(383),
    [sym_kDispId] = ACTIONS(386),
    [sym_kClass] = ACTIONS(378),
    [sym_kGeneric] = ACTIONS(378),
    [sym_kCase] = ACTIONS(378),
    [sym_kFunction] = ACTIONS(378),
    [sym_kProcedure] = ACTIONS(378),
    [sym_kConstructor] = ACTIONS(378),
    [sym_kDestructor] = ACTIONS(378),
    [sym_kOperator] = ACTIONS(378),
    [sym_kPublished] = ACTIONS(378),
    [sym_kPublic] = ACTIONS(389),
    [sym_kProtected] = ACTIONS(378),
    [sym_kPrivate] = ACTIONS(378),
    [sym_kStrict] = ACTIONS(378),
    [sym_kRequired] = ACTIONS(378),
    [sym_kOptional] = ACTIONS(378),
    [sym_kStatic] = ACTIONS(383),
    [sym_kVirtual] = ACTIONS(383),
    [sym_kAbstract] = ACTIONS(383),
    [sym_kDynamic] = ACTIONS(383),
    [sym_kOverride] = ACTIONS(383),
    [sym_kOverload] = ACTIONS(383),
    [sym_kReintroduce] = ACTIONS(383),
    [sym_kInline] = ACTIONS(383),
    [sym_kStdcall] = ACTIONS(383),
    [sym_kCdecl] = ACTIONS(383),
    [sym_kCppdecl] = ACTIONS(383),
    [sym_kPascal] = ACTIONS(383),
    [sym_kRegister] = ACTIONS(383),
    [sym_kMwpascal] = ACTIONS(383),
    [sym_kExternal] = ACTIONS(823),
    [sym_kMessage] = ACTIONS(395),
    [sym_kDeprecated] = ACTIONS(398),
    [sym_kExperimental] = ACTIONS(383),
    [sym_kPlatform] = ACTIONS(383),
    [sym_kUnimplemented] = ACTIONS(383),
    [sym_kCvar] = ACTIONS(383),
    [sym_kExport] = ACTIONS(401),
    [sym_kFar] = ACTIONS(383),
    [sym_kNear] = ACTIONS(383),
    [sym_kSafecall] = ACTIONS(383),
    [sym_kAssembler] = ACTIONS(383),
    [sym_kNostackframe] = ACTIONS(383),
    [sym_kInterrupt] = ACTIONS(383),
    [sym_kNoreturn] = ACTIONS(383),
    [sym_kIocheck] = ACTIONS(383),
    [sym_kLocal] = ACTIONS(383),
    [sym_kHardfloat] = ACTIONS(383),
    [sym_kSoftfloat] = ACTIONS(383),
    [sym_kMs_abi_default] = ACTIONS(383),
    [sym_kMs_abi_cdecl] = ACTIONS(383),
    [sym_kSaveregisters] = ACTIONS(383),
    [sym_kSysv_abi_default] = ACTIONS(383),
    [sym_kSysv_abi_cdecl] = ACTIONS(383),
    [sym_kVectorcall] = ACTIONS(383),
    [sym_kVarargs] = ACTIONS(383),
    [sym_kWinapi] = ACTIONS(383),
    [sym_kAlias] = ACTIONS(404),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(140),
    [aux_sym_declVar_repeat1] = STATE(140),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_LBRACK] = ACTIONS(826),
    [sym_kEnd] = ACTIONS(409),
    [sym_kVar] = ACTIONS(409),
    [sym_kThreadvar] = ACTIONS(409),
    [sym_kConst] = ACTIONS(409),
    [sym_kResourcestring] = ACTIONS(409),
    [sym_kType] = ACTIONS(409),
    [sym_kProperty] = ACTIONS(409),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(409),
    [sym_kGeneric] = ACTIONS(409),
    [sym_kCase] = ACTIONS(409),
    [sym_kFunction] = ACTIONS(409),
    [sym_kProcedure] = ACTIONS(409),
    [sym_kConstructor] = ACTIONS(409),
    [sym_kDestructor] = ACTIONS(409),
    [sym_kOperator] = ACTIONS(409),
    [sym_kPublished] = ACTIONS(409),
    [sym_kPublic] = ACTIONS(829),
    [sym_kProtected] = ACTIONS(409),
    [sym_kPrivate] = ACTIONS(409),
    [sym_kStrict] = ACTIONS(409),
    [sym_kRequired] = ACTIONS(409),
    [sym_kOptional] = ACTIONS(409),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(130),
    [sym_while] = STATE(130),
    [sym_repeat] = STATE(130),
    [sym_for] = STATE(130),
    [sym_foreach] = STATE(130),
    [sym_try] = STATE(130),
    [sym_case] = STATE(130),
    [sym_block] = STATE(130),
    [sym_asm] = STATE(130),
    [sym_with] = STATE(130),
    [sym_raise] = STATE(130),
    [sym_statement] = STATE(130),
    [sym_goto] = STATE(130),
    [sym__statement] = STATE(130),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_exceptionElse_repeat1] = STATE(130),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(832),
    [anon_sym_SEMI] = ACTIONS(835),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(841),
    [aux_sym__literalString_token1] = ACTIONS(844),
    [anon_sym_POUND] = ACTIONS(847),
    [aux_sym__literalInt_token1] = ACTIONS(850),
    [aux_sym__literalInt_token2] = ACTIONS(853),
    [aux_sym__literalFloat_token1] = ACTIONS(850),
    [sym_kBegin] = ACTIONS(856),
    [sym_kAsm] = ACTIONS(859),
    [sym_kVar] = ACTIONS(862),
    [sym_kSpecialize] = ACTIONS(865),
    [sym_kAdd] = ACTIONS(868),
    [sym_kSub] = ACTIONS(868),
    [sym_kAt] = ACTIONS(871),
    [sym_kNot] = ACTIONS(868),
    [sym_kFor] = ACTIONS(874),
    [sym_kIf] = ACTIONS(877),
    [sym_kWhile] = ACTIONS(880),
    [sym_kRepeat] = ACTIONS(883),
    [sym_kTry] = ACTIONS(886),
    [sym_kRaise] = ACTIONS(889),
    [sym_kCase] = ACTIONS(892),
    [sym_kWith] = ACTIONS(895),
    [sym_kGoto] = ACTIONS(898),
    [sym_kFunction] = ACTIONS(901),
    [sym_kProcedure] = ACTIONS(901),
    [sym_kInherited] = ACTIONS(904),
    [sym_kNil] = ACTIONS(832),
    [sym_kTrue] = ACTIONS(832),
    [sym_kFalse] = ACTIONS(832),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(907),
    [sym_kEnd] = ACTIONS(416),
    [sym_kVar] = ACTIONS(416),
    [sym_kThreadvar] = ACTIONS(416),
    [sym_kConst] = ACTIONS(416),
    [sym_kResourcestring] = ACTIONS(416),
    [sym_kType] = ACTIONS(416),
    [sym_kProperty] = ACTIONS(416),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(416),
    [sym_kGeneric] = ACTIONS(416),
    [sym_kCase] = ACTIONS(416),
    [sym_kFunction] = ACTIONS(416),
    [sym_kProcedure] = ACTIONS(416),
    [sym_kConstructor] = ACTIONS(416),
    [sym_kDestructor] = ACTIONS(416),
    [sym_kOperator] = ACTIONS(416),
    [sym_kPublished] = ACTIONS(416),
    [sym_kPublic] = ACTIONS(910),
    [sym_kProtected] = ACTIONS(416),
    [sym_kPrivate] = ACTIONS(416),
    [sym_kStrict] = ACTIONS(416),
    [sym_kRequired] = ACTIONS(416),
    [sym_kOptional] = ACTIONS(416),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(913),
    [sym_kEnd] = ACTIONS(423),
    [sym_kVar] = ACTIONS(423),
    [sym_kThreadvar] = ACTIONS(423),
    [sym_kConst] = ACTIONS(423),
    [sym_kResourcestring] = ACTIONS(423),
    [sym_kType] = ACTIONS(423),
    [sym_kProperty] = ACTIONS(423),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(423),
    [sym_kGeneric] = ACTIONS(423),
    [sym_kCase] = ACTIONS(423),
    [sym_kFunction] = ACTIONS(423),
    [sym_kProcedure] = ACTIONS(423),
    [sym_kConstructor] = ACTIONS(423),
    [sym_kDestructor] = ACTIONS(423),
    [sym_kOperator] = ACTIONS(423),
    [sym_kPublished] = ACTIONS(423),
    [sym_kPublic] = ACTIONS(916),
    [sym_kProtected] = ACTIONS(423),
    [sym_kPrivate] = ACTIONS(423),
    [sym_kStrict] = ACTIONS(423),
    [sym_kRequired] = ACTIONS(423),
    [sym_kOptional] = ACTIONS(423),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(144),
    [aux_sym_declVar_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(919),
    [sym_kEnd] = ACTIONS(430),
    [sym_kVar] = ACTIONS(430),
    [sym_kThreadvar] = ACTIONS(430),
    [sym_kConst] = ACTIONS(430),
    [sym_kResourcestring] = ACTIONS(430),
    [sym_kType] = ACTIONS(430),
    [sym_kProperty] = ACTIONS(430),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(430),
    [sym_kGeneric] = ACTIONS(430),
    [sym_kCase] = ACTIONS(430),
    [sym_kFunction] = ACTIONS(430),
    [sym_kProcedure] = ACTIONS(430),
    [sym_kConstructor] = ACTIONS(430),
    [sym_kDestructor] = ACTIONS(430),
    [sym_kOperator] = ACTIONS(430),
    [sym_kPublished] = ACTIONS(430),
    [sym_kPublic] = ACTIONS(922),
    [sym_kProtected] = ACTIONS(430),
    [sym_kPrivate] = ACTIONS(430),
    [sym_kStrict] = ACTIONS(430),
    [sym_kRequired] = ACTIONS(430),
    [sym_kOptional] = ACTIONS(430),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1197),
    [sym_while] = STATE(1197),
    [sym_repeat] = STATE(1197),
    [sym_for] = STATE(1197),
    [sym_foreach] = STATE(1197),
    [sym_try] = STATE(1197),
    [sym_case] = STATE(1197),
    [sym_block] = STATE(1197),
    [sym_asm] = STATE(1197),
    [sym_with] = STATE(1197),
    [sym_raise] = STATE(1197),
    [sym_statement] = STATE(1197),
    [sym_goto] = STATE(1197),
    [sym__statement] = STATE(1197),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_exceptionElse_repeat1] = STATE(152),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(155),
    [aux_sym_declVar_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_LBRACK] = ACTIONS(949),
    [sym_kEnd] = ACTIONS(472),
    [sym_kVar] = ACTIONS(472),
    [sym_kThreadvar] = ACTIONS(472),
    [sym_kConst] = ACTIONS(472),
    [sym_kResourcestring] = ACTIONS(472),
    [sym_kType] = ACTIONS(472),
    [sym_kProperty] = ACTIONS(472),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(472),
    [sym_kGeneric] = ACTIONS(472),
    [sym_kCase] = ACTIONS(472),
    [sym_kFunction] = ACTIONS(472),
    [sym_kProcedure] = ACTIONS(472),
    [sym_kConstructor] = ACTIONS(472),
    [sym_kDestructor] = ACTIONS(472),
    [sym_kOperator] = ACTIONS(472),
    [sym_kPublished] = ACTIONS(472),
    [sym_kPublic] = ACTIONS(952),
    [sym_kProtected] = ACTIONS(472),
    [sym_kPrivate] = ACTIONS(472),
    [sym_kStrict] = ACTIONS(472),
    [sym_kRequired] = ACTIONS(472),
    [sym_kOptional] = ACTIONS(472),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(158),
    [aux_sym_declVar_repeat1] = STATE(158),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(955),
    [sym_kEnd] = ACTIONS(437),
    [sym_kVar] = ACTIONS(437),
    [sym_kThreadvar] = ACTIONS(437),
    [sym_kConst] = ACTIONS(437),
    [sym_kResourcestring] = ACTIONS(437),
    [sym_kType] = ACTIONS(437),
    [sym_kProperty] = ACTIONS(437),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(437),
    [sym_kGeneric] = ACTIONS(437),
    [sym_kCase] = ACTIONS(437),
    [sym_kFunction] = ACTIONS(437),
    [sym_kProcedure] = ACTIONS(437),
    [sym_kConstructor] = ACTIONS(437),
    [sym_kDestructor] = ACTIONS(437),
    [sym_kOperator] = ACTIONS(437),
    [sym_kPublished] = ACTIONS(437),
    [sym_kPublic] = ACTIONS(958),
    [sym_kProtected] = ACTIONS(437),
    [sym_kPrivate] = ACTIONS(437),
    [sym_kStrict] = ACTIONS(437),
    [sym_kRequired] = ACTIONS(437),
    [sym_kOptional] = ACTIONS(437),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(156),
    [ts_builtin_sym_end] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [sym_kUses] = ACTIONS(961),
    [sym_kInterface] = ACTIONS(961),
    [sym_kImplementation] = ACTIONS(961),
    [sym_kInitialization] = ACTIONS(961),
    [sym_kFinalization] = ACTIONS(961),
    [sym_kBegin] = ACTIONS(961),
    [sym_kEnd] = ACTIONS(961),
    [sym_kAsm] = ACTIONS(961),
    [sym_kVar] = ACTIONS(966),
    [sym_kThreadvar] = ACTIONS(961),
    [sym_kConst] = ACTIONS(966),
    [sym_kResourcestring] = ACTIONS(961),
    [sym_kType] = ACTIONS(961),
    [sym_kLabel] = ACTIONS(961),
    [sym_kExports] = ACTIONS(961),
    [sym_kProperty] = ACTIONS(961),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(961),
    [sym_kGeneric] = ACTIONS(961),
    [sym_kFunction] = ACTIONS(961),
    [sym_kProcedure] = ACTIONS(961),
    [sym_kConstructor] = ACTIONS(961),
    [sym_kDestructor] = ACTIONS(961),
    [sym_kOperator] = ACTIONS(961),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(145),
    [aux_sym_declVar_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(980),
    [sym_kEnd] = ACTIONS(336),
    [sym_kVar] = ACTIONS(336),
    [sym_kThreadvar] = ACTIONS(336),
    [sym_kConst] = ACTIONS(336),
    [sym_kResourcestring] = ACTIONS(336),
    [sym_kType] = ACTIONS(336),
    [sym_kProperty] = ACTIONS(336),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(336),
    [sym_kGeneric] = ACTIONS(336),
    [sym_kCase] = ACTIONS(336),
    [sym_kFunction] = ACTIONS(336),
    [sym_kProcedure] = ACTIONS(336),
    [sym_kConstructor] = ACTIONS(336),
    [sym_kDestructor] = ACTIONS(336),
    [sym_kOperator] = ACTIONS(336),
    [sym_kPublished] = ACTIONS(336),
    [sym_kPublic] = ACTIONS(983),
    [sym_kProtected] = ACTIONS(336),
    [sym_kPrivate] = ACTIONS(336),
    [sym_kStrict] = ACTIONS(336),
    [sym_kRequired] = ACTIONS(336),
    [sym_kOptional] = ACTIONS(336),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(142),
    [ts_builtin_sym_end] = ACTIONS(986),
    [anon_sym_LBRACK] = ACTIONS(988),
    [sym_kUses] = ACTIONS(986),
    [sym_kInterface] = ACTIONS(986),
    [sym_kImplementation] = ACTIONS(986),
    [sym_kInitialization] = ACTIONS(986),
    [sym_kFinalization] = ACTIONS(986),
    [sym_kBegin] = ACTIONS(986),
    [sym_kEnd] = ACTIONS(986),
    [sym_kAsm] = ACTIONS(986),
    [sym_kVar] = ACTIONS(991),
    [sym_kThreadvar] = ACTIONS(986),
    [sym_kConst] = ACTIONS(991),
    [sym_kResourcestring] = ACTIONS(986),
    [sym_kType] = ACTIONS(986),
    [sym_kLabel] = ACTIONS(986),
    [sym_kExports] = ACTIONS(986),
    [sym_kProperty] = ACTIONS(986),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(986),
    [sym_kGeneric] = ACTIONS(986),
    [sym_kFunction] = ACTIONS(986),
    [sym_kProcedure] = ACTIONS(986),
    [sym_kConstructor] = ACTIONS(986),
    [sym_kDestructor] = ACTIONS(986),
    [sym_kOperator] = ACTIONS(986),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(507),
    [anon_sym_LBRACK] = ACTIONS(993),
    [sym_kEnd] = ACTIONS(507),
    [sym_kVar] = ACTIONS(507),
    [sym_kThreadvar] = ACTIONS(507),
    [sym_kConst] = ACTIONS(507),
    [sym_kResourcestring] = ACTIONS(507),
    [sym_kType] = ACTIONS(507),
    [sym_kProperty] = ACTIONS(507),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(507),
    [sym_kGeneric] = ACTIONS(507),
    [sym_kCase] = ACTIONS(507),
    [sym_kFunction] = ACTIONS(507),
    [sym_kProcedure] = ACTIONS(507),
    [sym_kConstructor] = ACTIONS(507),
    [sym_kDestructor] = ACTIONS(507),
    [sym_kOperator] = ACTIONS(507),
    [sym_kPublished] = ACTIONS(507),
    [sym_kPublic] = ACTIONS(996),
    [sym_kProtected] = ACTIONS(507),
    [sym_kPrivate] = ACTIONS(507),
    [sym_kStrict] = ACTIONS(507),
    [sym_kRequired] = ACTIONS(507),
    [sym_kOptional] = ACTIONS(507),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(999),
    [sym_kEnd] = ACTIONS(458),
    [sym_kVar] = ACTIONS(458),
    [sym_kThreadvar] = ACTIONS(458),
    [sym_kConst] = ACTIONS(458),
    [sym_kResourcestring] = ACTIONS(458),
    [sym_kType] = ACTIONS(458),
    [sym_kProperty] = ACTIONS(458),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(458),
    [sym_kGeneric] = ACTIONS(458),
    [sym_kCase] = ACTIONS(458),
    [sym_kFunction] = ACTIONS(458),
    [sym_kProcedure] = ACTIONS(458),
    [sym_kConstructor] = ACTIONS(458),
    [sym_kDestructor] = ACTIONS(458),
    [sym_kOperator] = ACTIONS(458),
    [sym_kPublished] = ACTIONS(458),
    [sym_kPublic] = ACTIONS(1002),
    [sym_kProtected] = ACTIONS(458),
    [sym_kPrivate] = ACTIONS(458),
    [sym_kStrict] = ACTIONS(458),
    [sym_kRequired] = ACTIONS(458),
    [sym_kOptional] = ACTIONS(458),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [sym_kUses] = ACTIONS(1005),
    [sym_kInterface] = ACTIONS(1005),
    [sym_kImplementation] = ACTIONS(1005),
    [sym_kInitialization] = ACTIONS(1005),
    [sym_kFinalization] = ACTIONS(1005),
    [sym_kBegin] = ACTIONS(1005),
    [sym_kEnd] = ACTIONS(1005),
    [sym_kAsm] = ACTIONS(1005),
    [sym_kVar] = ACTIONS(1010),
    [sym_kThreadvar] = ACTIONS(1005),
    [sym_kConst] = ACTIONS(1010),
    [sym_kResourcestring] = ACTIONS(1005),
    [sym_kType] = ACTIONS(1005),
    [sym_kLabel] = ACTIONS(1005),
    [sym_kExports] = ACTIONS(1005),
    [sym_kProperty] = ACTIONS(1005),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1005),
    [sym_kGeneric] = ACTIONS(1005),
    [sym_kFunction] = ACTIONS(1005),
    [sym_kProcedure] = ACTIONS(1005),
    [sym_kConstructor] = ACTIONS(1005),
    [sym_kDestructor] = ACTIONS(1005),
    [sym_kOperator] = ACTIONS(1005),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [sym_kEnd] = ACTIONS(444),
    [sym_kVar] = ACTIONS(444),
    [sym_kThreadvar] = ACTIONS(444),
    [sym_kConst] = ACTIONS(444),
    [sym_kResourcestring] = ACTIONS(444),
    [sym_kType] = ACTIONS(444),
    [sym_kProperty] = ACTIONS(444),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(444),
    [sym_kGeneric] = ACTIONS(444),
    [sym_kCase] = ACTIONS(444),
    [sym_kFunction] = ACTIONS(444),
    [sym_kProcedure] = ACTIONS(444),
    [sym_kConstructor] = ACTIONS(444),
    [sym_kDestructor] = ACTIONS(444),
    [sym_kOperator] = ACTIONS(444),
    [sym_kPublished] = ACTIONS(444),
    [sym_kPublic] = ACTIONS(1015),
    [sym_kProtected] = ACTIONS(444),
    [sym_kPrivate] = ACTIONS(444),
    [sym_kStrict] = ACTIONS(444),
    [sym_kRequired] = ACTIONS(444),
    [sym_kOptional] = ACTIONS(444),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(1018),
    [sym_kEnd] = ACTIONS(521),
    [sym_kVar] = ACTIONS(521),
    [sym_kThreadvar] = ACTIONS(521),
    [sym_kConst] = ACTIONS(521),
    [sym_kResourcestring] = ACTIONS(521),
    [sym_kType] = ACTIONS(521),
    [sym_kProperty] = ACTIONS(521),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(521),
    [sym_kGeneric] = ACTIONS(521),
    [sym_kCase] = ACTIONS(521),
    [sym_kFunction] = ACTIONS(521),
    [sym_kProcedure] = ACTIONS(521),
    [sym_kConstructor] = ACTIONS(521),
    [sym_kDestructor] = ACTIONS(521),
    [sym_kOperator] = ACTIONS(521),
    [sym_kPublished] = ACTIONS(521),
    [sym_kPublic] = ACTIONS(1021),
    [sym_kProtected] = ACTIONS(521),
    [sym_kPrivate] = ACTIONS(521),
    [sym_kStrict] = ACTIONS(521),
    [sym_kRequired] = ACTIONS(521),
    [sym_kOptional] = ACTIONS(521),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(371),
    [anon_sym_LBRACK] = ACTIONS(1024),
    [sym_kEnd] = ACTIONS(371),
    [sym_kVar] = ACTIONS(371),
    [sym_kThreadvar] = ACTIONS(371),
    [sym_kConst] = ACTIONS(371),
    [sym_kResourcestring] = ACTIONS(371),
    [sym_kType] = ACTIONS(371),
    [sym_kProperty] = ACTIONS(371),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(371),
    [sym_kGeneric] = ACTIONS(371),
    [sym_kCase] = ACTIONS(371),
    [sym_kFunction] = ACTIONS(371),
    [sym_kProcedure] = ACTIONS(371),
    [sym_kConstructor] = ACTIONS(371),
    [sym_kDestructor] = ACTIONS(371),
    [sym_kOperator] = ACTIONS(371),
    [sym_kPublished] = ACTIONS(371),
    [sym_kPublic] = ACTIONS(1027),
    [sym_kProtected] = ACTIONS(371),
    [sym_kPrivate] = ACTIONS(371),
    [sym_kStrict] = ACTIONS(371),
    [sym_kRequired] = ACTIONS(371),
    [sym_kOptional] = ACTIONS(371),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(131),
    [aux_sym_declVar_repeat1] = STATE(131),
    [sym_identifier] = ACTIONS(364),
    [anon_sym_LBRACK] = ACTIONS(1030),
    [sym_kEnd] = ACTIONS(364),
    [sym_kVar] = ACTIONS(364),
    [sym_kThreadvar] = ACTIONS(364),
    [sym_kConst] = ACTIONS(364),
    [sym_kResourcestring] = ACTIONS(364),
    [sym_kType] = ACTIONS(364),
    [sym_kProperty] = ACTIONS(364),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(364),
    [sym_kGeneric] = ACTIONS(364),
    [sym_kCase] = ACTIONS(364),
    [sym_kFunction] = ACTIONS(364),
    [sym_kProcedure] = ACTIONS(364),
    [sym_kConstructor] = ACTIONS(364),
    [sym_kDestructor] = ACTIONS(364),
    [sym_kOperator] = ACTIONS(364),
    [sym_kPublished] = ACTIONS(364),
    [sym_kPublic] = ACTIONS(1033),
    [sym_kProtected] = ACTIONS(364),
    [sym_kPrivate] = ACTIONS(364),
    [sym_kStrict] = ACTIONS(364),
    [sym_kRequired] = ACTIONS(364),
    [sym_kOptional] = ACTIONS(364),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [sym_kEnd] = ACTIONS(514),
    [sym_kVar] = ACTIONS(514),
    [sym_kThreadvar] = ACTIONS(514),
    [sym_kConst] = ACTIONS(514),
    [sym_kResourcestring] = ACTIONS(514),
    [sym_kType] = ACTIONS(514),
    [sym_kProperty] = ACTIONS(514),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(514),
    [sym_kGeneric] = ACTIONS(514),
    [sym_kCase] = ACTIONS(514),
    [sym_kFunction] = ACTIONS(514),
    [sym_kProcedure] = ACTIONS(514),
    [sym_kConstructor] = ACTIONS(514),
    [sym_kDestructor] = ACTIONS(514),
    [sym_kOperator] = ACTIONS(514),
    [sym_kPublished] = ACTIONS(514),
    [sym_kPublic] = ACTIONS(1039),
    [sym_kProtected] = ACTIONS(514),
    [sym_kPrivate] = ACTIONS(514),
    [sym_kStrict] = ACTIONS(514),
    [sym_kRequired] = ACTIONS(514),
    [sym_kOptional] = ACTIONS(514),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(143),
    [aux_sym_declVar_repeat1] = STATE(143),
    [sym_identifier] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [sym_kEnd] = ACTIONS(343),
    [sym_kVar] = ACTIONS(343),
    [sym_kThreadvar] = ACTIONS(343),
    [sym_kConst] = ACTIONS(343),
    [sym_kResourcestring] = ACTIONS(343),
    [sym_kType] = ACTIONS(343),
    [sym_kProperty] = ACTIONS(343),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(343),
    [sym_kGeneric] = ACTIONS(343),
    [sym_kCase] = ACTIONS(343),
    [sym_kFunction] = ACTIONS(343),
    [sym_kProcedure] = ACTIONS(343),
    [sym_kConstructor] = ACTIONS(343),
    [sym_kDestructor] = ACTIONS(343),
    [sym_kOperator] = ACTIONS(343),
    [sym_kPublished] = ACTIONS(343),
    [sym_kPublic] = ACTIONS(1045),
    [sym_kProtected] = ACTIONS(343),
    [sym_kPrivate] = ACTIONS(343),
    [sym_kStrict] = ACTIONS(343),
    [sym_kRequired] = ACTIONS(343),
    [sym_kOptional] = ACTIONS(343),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(151),
    [aux_sym_declVar_repeat1] = STATE(151),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [sym_kEnd] = ACTIONS(451),
    [sym_kVar] = ACTIONS(451),
    [sym_kThreadvar] = ACTIONS(451),
    [sym_kConst] = ACTIONS(451),
    [sym_kResourcestring] = ACTIONS(451),
    [sym_kType] = ACTIONS(451),
    [sym_kProperty] = ACTIONS(451),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(451),
    [sym_kGeneric] = ACTIONS(451),
    [sym_kCase] = ACTIONS(451),
    [sym_kFunction] = ACTIONS(451),
    [sym_kProcedure] = ACTIONS(451),
    [sym_kConstructor] = ACTIONS(451),
    [sym_kDestructor] = ACTIONS(451),
    [sym_kOperator] = ACTIONS(451),
    [sym_kPublished] = ACTIONS(451),
    [sym_kPublic] = ACTIONS(1051),
    [sym_kProtected] = ACTIONS(451),
    [sym_kPrivate] = ACTIONS(451),
    [sym_kStrict] = ACTIONS(451),
    [sym_kRequired] = ACTIONS(451),
    [sym_kOptional] = ACTIONS(451),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(141),
    [aux_sym_declVar_repeat1] = STATE(141),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(1054),
    [sym_kEnd] = ACTIONS(313),
    [sym_kVar] = ACTIONS(313),
    [sym_kThreadvar] = ACTIONS(313),
    [sym_kConst] = ACTIONS(313),
    [sym_kResourcestring] = ACTIONS(313),
    [sym_kType] = ACTIONS(313),
    [sym_kProperty] = ACTIONS(313),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(313),
    [sym_kGeneric] = ACTIONS(313),
    [sym_kCase] = ACTIONS(313),
    [sym_kFunction] = ACTIONS(313),
    [sym_kProcedure] = ACTIONS(313),
    [sym_kConstructor] = ACTIONS(313),
    [sym_kDestructor] = ACTIONS(313),
    [sym_kOperator] = ACTIONS(313),
    [sym_kPublished] = ACTIONS(313),
    [sym_kPublic] = ACTIONS(1057),
    [sym_kProtected] = ACTIONS(313),
    [sym_kPrivate] = ACTIONS(313),
    [sym_kStrict] = ACTIONS(313),
    [sym_kRequired] = ACTIONS(313),
    [sym_kOptional] = ACTIONS(313),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [sym_kEnd] = ACTIONS(500),
    [sym_kVar] = ACTIONS(500),
    [sym_kThreadvar] = ACTIONS(500),
    [sym_kConst] = ACTIONS(500),
    [sym_kResourcestring] = ACTIONS(500),
    [sym_kType] = ACTIONS(500),
    [sym_kProperty] = ACTIONS(500),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(500),
    [sym_kGeneric] = ACTIONS(500),
    [sym_kCase] = ACTIONS(500),
    [sym_kFunction] = ACTIONS(500),
    [sym_kProcedure] = ACTIONS(500),
    [sym_kConstructor] = ACTIONS(500),
    [sym_kDestructor] = ACTIONS(500),
    [sym_kOperator] = ACTIONS(500),
    [sym_kPublished] = ACTIONS(500),
    [sym_kPublic] = ACTIONS(1063),
    [sym_kProtected] = ACTIONS(500),
    [sym_kPrivate] = ACTIONS(500),
    [sym_kStrict] = ACTIONS(500),
    [sym_kRequired] = ACTIONS(500),
    [sym_kOptional] = ACTIONS(500),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1200),
    [sym_while] = STATE(1200),
    [sym_repeat] = STATE(1200),
    [sym_for] = STATE(1200),
    [sym_foreach] = STATE(1200),
    [sym_try] = STATE(1200),
    [sym_case] = STATE(1200),
    [sym_block] = STATE(1200),
    [sym_asm] = STATE(1200),
    [sym_with] = STATE(1200),
    [sym_raise] = STATE(1200),
    [sym_statement] = STATE(1200),
    [sym_goto] = STATE(1200),
    [sym__statement] = STATE(1200),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_exceptionElse_repeat1] = STATE(130),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(147),
    [aux_sym_declVar_repeat1] = STATE(147),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [sym_kEnd] = ACTIONS(493),
    [sym_kVar] = ACTIONS(493),
    [sym_kThreadvar] = ACTIONS(493),
    [sym_kConst] = ACTIONS(493),
    [sym_kResourcestring] = ACTIONS(493),
    [sym_kType] = ACTIONS(493),
    [sym_kProperty] = ACTIONS(493),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(493),
    [sym_kGeneric] = ACTIONS(493),
    [sym_kCase] = ACTIONS(493),
    [sym_kFunction] = ACTIONS(493),
    [sym_kProcedure] = ACTIONS(493),
    [sym_kConstructor] = ACTIONS(493),
    [sym_kDestructor] = ACTIONS(493),
    [sym_kOperator] = ACTIONS(493),
    [sym_kPublished] = ACTIONS(493),
    [sym_kPublic] = ACTIONS(1071),
    [sym_kProtected] = ACTIONS(493),
    [sym_kPrivate] = ACTIONS(493),
    [sym_kStrict] = ACTIONS(493),
    [sym_kRequired] = ACTIONS(493),
    [sym_kOptional] = ACTIONS(493),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(132),
    [aux_sym_declVar_repeat1] = STATE(132),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [sym_kEnd] = ACTIONS(357),
    [sym_kVar] = ACTIONS(357),
    [sym_kThreadvar] = ACTIONS(357),
    [sym_kConst] = ACTIONS(357),
    [sym_kResourcestring] = ACTIONS(357),
    [sym_kType] = ACTIONS(357),
    [sym_kProperty] = ACTIONS(357),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(357),
    [sym_kGeneric] = ACTIONS(357),
    [sym_kCase] = ACTIONS(357),
    [sym_kFunction] = ACTIONS(357),
    [sym_kProcedure] = ACTIONS(357),
    [sym_kConstructor] = ACTIONS(357),
    [sym_kDestructor] = ACTIONS(357),
    [sym_kOperator] = ACTIONS(357),
    [sym_kPublished] = ACTIONS(357),
    [sym_kPublic] = ACTIONS(1077),
    [sym_kProtected] = ACTIONS(357),
    [sym_kPrivate] = ACTIONS(357),
    [sym_kStrict] = ACTIONS(357),
    [sym_kRequired] = ACTIONS(357),
    [sym_kOptional] = ACTIONS(357),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(350),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [sym_kEnd] = ACTIONS(350),
    [sym_kVar] = ACTIONS(350),
    [sym_kThreadvar] = ACTIONS(350),
    [sym_kConst] = ACTIONS(350),
    [sym_kResourcestring] = ACTIONS(350),
    [sym_kType] = ACTIONS(350),
    [sym_kProperty] = ACTIONS(350),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(350),
    [sym_kGeneric] = ACTIONS(350),
    [sym_kCase] = ACTIONS(350),
    [sym_kFunction] = ACTIONS(350),
    [sym_kProcedure] = ACTIONS(350),
    [sym_kConstructor] = ACTIONS(350),
    [sym_kDestructor] = ACTIONS(350),
    [sym_kOperator] = ACTIONS(350),
    [sym_kPublished] = ACTIONS(350),
    [sym_kPublic] = ACTIONS(1083),
    [sym_kProtected] = ACTIONS(350),
    [sym_kPrivate] = ACTIONS(350),
    [sym_kStrict] = ACTIONS(350),
    [sym_kRequired] = ACTIONS(350),
    [sym_kOptional] = ACTIONS(350),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [sym_kUses] = ACTIONS(1086),
    [sym_kInterface] = ACTIONS(1086),
    [sym_kImplementation] = ACTIONS(1086),
    [sym_kInitialization] = ACTIONS(1086),
    [sym_kFinalization] = ACTIONS(1086),
    [sym_kBegin] = ACTIONS(1086),
    [sym_kEnd] = ACTIONS(1086),
    [sym_kAsm] = ACTIONS(1086),
    [sym_kVar] = ACTIONS(1091),
    [sym_kThreadvar] = ACTIONS(1086),
    [sym_kConst] = ACTIONS(1091),
    [sym_kResourcestring] = ACTIONS(1086),
    [sym_kType] = ACTIONS(1086),
    [sym_kLabel] = ACTIONS(1086),
    [sym_kExports] = ACTIONS(1086),
    [sym_kProperty] = ACTIONS(1086),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1086),
    [sym_kGeneric] = ACTIONS(1086),
    [sym_kFunction] = ACTIONS(1086),
    [sym_kProcedure] = ACTIONS(1086),
    [sym_kConstructor] = ACTIONS(1086),
    [sym_kDestructor] = ACTIONS(1086),
    [sym_kOperator] = ACTIONS(1086),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(127),
    [aux_sym_declVar_repeat1] = STATE(127),
    [sym_identifier] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [sym_kEnd] = ACTIONS(486),
    [sym_kVar] = ACTIONS(486),
    [sym_kThreadvar] = ACTIONS(486),
    [sym_kConst] = ACTIONS(486),
    [sym_kResourcestring] = ACTIONS(486),
    [sym_kType] = ACTIONS(486),
    [sym_kProperty] = ACTIONS(486),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(486),
    [sym_kGeneric] = ACTIONS(486),
    [sym_kCase] = ACTIONS(486),
    [sym_kFunction] = ACTIONS(486),
    [sym_kProcedure] = ACTIONS(486),
    [sym_kConstructor] = ACTIONS(486),
    [sym_kDestructor] = ACTIONS(486),
    [sym_kOperator] = ACTIONS(486),
    [sym_kPublished] = ACTIONS(486),
    [sym_kPublic] = ACTIONS(1096),
    [sym_kProtected] = ACTIONS(486),
    [sym_kPrivate] = ACTIONS(486),
    [sym_kStrict] = ACTIONS(486),
    [sym_kRequired] = ACTIONS(486),
    [sym_kOptional] = ACTIONS(486),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym__procAttribute] = STATE(454),
    [sym_procAttribute] = STATE(2604),
    [sym_procExternal] = STATE(128),
    [aux_sym_declVar_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [sym_kEnd] = ACTIONS(465),
    [sym_kVar] = ACTIONS(465),
    [sym_kThreadvar] = ACTIONS(465),
    [sym_kConst] = ACTIONS(465),
    [sym_kResourcestring] = ACTIONS(465),
    [sym_kType] = ACTIONS(465),
    [sym_kProperty] = ACTIONS(465),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(465),
    [sym_kGeneric] = ACTIONS(465),
    [sym_kCase] = ACTIONS(465),
    [sym_kFunction] = ACTIONS(465),
    [sym_kProcedure] = ACTIONS(465),
    [sym_kConstructor] = ACTIONS(465),
    [sym_kDestructor] = ACTIONS(465),
    [sym_kOperator] = ACTIONS(465),
    [sym_kPublished] = ACTIONS(465),
    [sym_kPublic] = ACTIONS(1102),
    [sym_kProtected] = ACTIONS(465),
    [sym_kPrivate] = ACTIONS(465),
    [sym_kStrict] = ACTIONS(465),
    [sym_kRequired] = ACTIONS(465),
    [sym_kOptional] = ACTIONS(465),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kExternal] = ACTIONS(818),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(193),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [sym_kUses] = ACTIONS(1108),
    [sym_kInterface] = ACTIONS(1108),
    [sym_kImplementation] = ACTIONS(1108),
    [sym_kInitialization] = ACTIONS(1108),
    [sym_kFinalization] = ACTIONS(1108),
    [sym_kEnd] = ACTIONS(1108),
    [sym_kVar] = ACTIONS(1110),
    [sym_kThreadvar] = ACTIONS(1108),
    [sym_kConst] = ACTIONS(1110),
    [sym_kResourcestring] = ACTIONS(1108),
    [sym_kType] = ACTIONS(1108),
    [sym_kLabel] = ACTIONS(1108),
    [sym_kExports] = ACTIONS(1108),
    [sym_kProperty] = ACTIONS(1108),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1108),
    [sym_kGeneric] = ACTIONS(1108),
    [sym_kFunction] = ACTIONS(1108),
    [sym_kProcedure] = ACTIONS(1108),
    [sym_kConstructor] = ACTIONS(1108),
    [sym_kDestructor] = ACTIONS(1108),
    [sym_kOperator] = ACTIONS(1108),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1108),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1108),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [sym_kUses] = ACTIONS(1115),
    [sym_kInterface] = ACTIONS(1115),
    [sym_kImplementation] = ACTIONS(1115),
    [sym_kInitialization] = ACTIONS(1115),
    [sym_kFinalization] = ACTIONS(1115),
    [sym_kEnd] = ACTIONS(1115),
    [sym_kVar] = ACTIONS(1117),
    [sym_kThreadvar] = ACTIONS(1115),
    [sym_kConst] = ACTIONS(1117),
    [sym_kResourcestring] = ACTIONS(1115),
    [sym_kType] = ACTIONS(1115),
    [sym_kLabel] = ACTIONS(1115),
    [sym_kExports] = ACTIONS(1115),
    [sym_kProperty] = ACTIONS(1115),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1115),
    [sym_kGeneric] = ACTIONS(1115),
    [sym_kFunction] = ACTIONS(1115),
    [sym_kProcedure] = ACTIONS(1115),
    [sym_kConstructor] = ACTIONS(1115),
    [sym_kDestructor] = ACTIONS(1115),
    [sym_kOperator] = ACTIONS(1115),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1115),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1115),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(205),
    [anon_sym_LBRACK] = ACTIONS(1119),
    [sym_kUses] = ACTIONS(1122),
    [sym_kInterface] = ACTIONS(1122),
    [sym_kImplementation] = ACTIONS(1122),
    [sym_kInitialization] = ACTIONS(1122),
    [sym_kFinalization] = ACTIONS(1122),
    [sym_kEnd] = ACTIONS(1122),
    [sym_kVar] = ACTIONS(1124),
    [sym_kThreadvar] = ACTIONS(1122),
    [sym_kConst] = ACTIONS(1124),
    [sym_kResourcestring] = ACTIONS(1122),
    [sym_kType] = ACTIONS(1122),
    [sym_kLabel] = ACTIONS(1122),
    [sym_kExports] = ACTIONS(1122),
    [sym_kProperty] = ACTIONS(1122),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1122),
    [sym_kGeneric] = ACTIONS(1122),
    [sym_kFunction] = ACTIONS(1122),
    [sym_kProcedure] = ACTIONS(1122),
    [sym_kConstructor] = ACTIONS(1122),
    [sym_kDestructor] = ACTIONS(1122),
    [sym_kOperator] = ACTIONS(1122),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1122),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1122),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(803),
    [sym_while] = STATE(803),
    [sym_repeat] = STATE(803),
    [sym_for] = STATE(803),
    [sym_foreach] = STATE(803),
    [sym_try] = STATE(803),
    [sym_case] = STATE(803),
    [sym_block] = STATE(803),
    [sym_asm] = STATE(803),
    [sym_with] = STATE(803),
    [sym_raise] = STATE(803),
    [sym_statement] = STATE(803),
    [sym_goto] = STATE(803),
    [sym__statement] = STATE(803),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [sym_kUses] = ACTIONS(1128),
    [sym_kInterface] = ACTIONS(1128),
    [sym_kImplementation] = ACTIONS(1128),
    [sym_kInitialization] = ACTIONS(1128),
    [sym_kFinalization] = ACTIONS(1128),
    [sym_kBegin] = ACTIONS(1128),
    [sym_kEnd] = ACTIONS(1128),
    [sym_kAsm] = ACTIONS(1128),
    [sym_kVar] = ACTIONS(1128),
    [sym_kThreadvar] = ACTIONS(1128),
    [sym_kConst] = ACTIONS(1128),
    [sym_kResourcestring] = ACTIONS(1128),
    [sym_kType] = ACTIONS(1128),
    [sym_kLabel] = ACTIONS(1128),
    [sym_kExports] = ACTIONS(1128),
    [sym_kProperty] = ACTIONS(1128),
    [sym_kDefault] = ACTIONS(1128),
    [sym_kNodefault] = ACTIONS(1128),
    [sym_kDispId] = ACTIONS(1128),
    [sym_kClass] = ACTIONS(1128),
    [sym_kGeneric] = ACTIONS(1128),
    [sym_kFunction] = ACTIONS(1128),
    [sym_kProcedure] = ACTIONS(1128),
    [sym_kConstructor] = ACTIONS(1128),
    [sym_kDestructor] = ACTIONS(1128),
    [sym_kOperator] = ACTIONS(1128),
    [sym_kPublic] = ACTIONS(1128),
    [sym_kStatic] = ACTIONS(1128),
    [sym_kVirtual] = ACTIONS(1128),
    [sym_kAbstract] = ACTIONS(1128),
    [sym_kDynamic] = ACTIONS(1128),
    [sym_kOverride] = ACTIONS(1128),
    [sym_kOverload] = ACTIONS(1128),
    [sym_kReintroduce] = ACTIONS(1128),
    [sym_kInline] = ACTIONS(1128),
    [sym_kStdcall] = ACTIONS(1128),
    [sym_kCdecl] = ACTIONS(1128),
    [sym_kCppdecl] = ACTIONS(1128),
    [sym_kPascal] = ACTIONS(1128),
    [sym_kRegister] = ACTIONS(1128),
    [sym_kMwpascal] = ACTIONS(1128),
    [sym_kExternal] = ACTIONS(1128),
    [sym_kMessage] = ACTIONS(1128),
    [sym_kDeprecated] = ACTIONS(1128),
    [sym_kExperimental] = ACTIONS(1128),
    [sym_kPlatform] = ACTIONS(1128),
    [sym_kUnimplemented] = ACTIONS(1128),
    [sym_kCvar] = ACTIONS(1128),
    [sym_kExport] = ACTIONS(1128),
    [sym_kFar] = ACTIONS(1128),
    [sym_kNear] = ACTIONS(1128),
    [sym_kSafecall] = ACTIONS(1128),
    [sym_kAssembler] = ACTIONS(1128),
    [sym_kNostackframe] = ACTIONS(1128),
    [sym_kInterrupt] = ACTIONS(1128),
    [sym_kNoreturn] = ACTIONS(1128),
    [sym_kIocheck] = ACTIONS(1128),
    [sym_kLocal] = ACTIONS(1128),
    [sym_kHardfloat] = ACTIONS(1128),
    [sym_kSoftfloat] = ACTIONS(1128),
    [sym_kMs_abi_default] = ACTIONS(1128),
    [sym_kMs_abi_cdecl] = ACTIONS(1128),
    [sym_kSaveregisters] = ACTIONS(1128),
    [sym_kSysv_abi_default] = ACTIONS(1128),
    [sym_kSysv_abi_cdecl] = ACTIONS(1128),
    [sym_kVectorcall] = ACTIONS(1128),
    [sym_kVarargs] = ACTIONS(1128),
    [sym_kWinapi] = ACTIONS(1128),
    [sym_kAlias] = ACTIONS(1128),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [sym_kUses] = ACTIONS(1133),
    [sym_kInterface] = ACTIONS(1133),
    [sym_kImplementation] = ACTIONS(1133),
    [sym_kInitialization] = ACTIONS(1133),
    [sym_kFinalization] = ACTIONS(1133),
    [sym_kEnd] = ACTIONS(1133),
    [sym_kVar] = ACTIONS(1135),
    [sym_kThreadvar] = ACTIONS(1133),
    [sym_kConst] = ACTIONS(1135),
    [sym_kResourcestring] = ACTIONS(1133),
    [sym_kType] = ACTIONS(1133),
    [sym_kLabel] = ACTIONS(1133),
    [sym_kExports] = ACTIONS(1133),
    [sym_kProperty] = ACTIONS(1133),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1133),
    [sym_kGeneric] = ACTIONS(1133),
    [sym_kFunction] = ACTIONS(1133),
    [sym_kProcedure] = ACTIONS(1133),
    [sym_kConstructor] = ACTIONS(1133),
    [sym_kDestructor] = ACTIONS(1133),
    [sym_kOperator] = ACTIONS(1133),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1133),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1133),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [sym_kUses] = ACTIONS(1140),
    [sym_kInterface] = ACTIONS(1140),
    [sym_kImplementation] = ACTIONS(1140),
    [sym_kInitialization] = ACTIONS(1140),
    [sym_kFinalization] = ACTIONS(1140),
    [sym_kEnd] = ACTIONS(1140),
    [sym_kVar] = ACTIONS(1142),
    [sym_kThreadvar] = ACTIONS(1140),
    [sym_kConst] = ACTIONS(1142),
    [sym_kResourcestring] = ACTIONS(1140),
    [sym_kType] = ACTIONS(1140),
    [sym_kLabel] = ACTIONS(1140),
    [sym_kExports] = ACTIONS(1140),
    [sym_kProperty] = ACTIONS(1140),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1140),
    [sym_kGeneric] = ACTIONS(1140),
    [sym_kFunction] = ACTIONS(1140),
    [sym_kProcedure] = ACTIONS(1140),
    [sym_kConstructor] = ACTIONS(1140),
    [sym_kDestructor] = ACTIONS(1140),
    [sym_kOperator] = ACTIONS(1140),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1140),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1140),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [sym_kUses] = ACTIONS(1146),
    [sym_kInterface] = ACTIONS(1146),
    [sym_kImplementation] = ACTIONS(1146),
    [sym_kInitialization] = ACTIONS(1146),
    [sym_kFinalization] = ACTIONS(1146),
    [sym_kBegin] = ACTIONS(1146),
    [sym_kEnd] = ACTIONS(1146),
    [sym_kAsm] = ACTIONS(1146),
    [sym_kVar] = ACTIONS(1146),
    [sym_kThreadvar] = ACTIONS(1146),
    [sym_kConst] = ACTIONS(1146),
    [sym_kResourcestring] = ACTIONS(1146),
    [sym_kType] = ACTIONS(1146),
    [sym_kLabel] = ACTIONS(1146),
    [sym_kExports] = ACTIONS(1146),
    [sym_kProperty] = ACTIONS(1146),
    [sym_kDefault] = ACTIONS(1146),
    [sym_kNodefault] = ACTIONS(1146),
    [sym_kDispId] = ACTIONS(1146),
    [sym_kClass] = ACTIONS(1146),
    [sym_kGeneric] = ACTIONS(1146),
    [sym_kFunction] = ACTIONS(1146),
    [sym_kProcedure] = ACTIONS(1146),
    [sym_kConstructor] = ACTIONS(1146),
    [sym_kDestructor] = ACTIONS(1146),
    [sym_kOperator] = ACTIONS(1146),
    [sym_kPublic] = ACTIONS(1146),
    [sym_kStatic] = ACTIONS(1146),
    [sym_kVirtual] = ACTIONS(1146),
    [sym_kAbstract] = ACTIONS(1146),
    [sym_kDynamic] = ACTIONS(1146),
    [sym_kOverride] = ACTIONS(1146),
    [sym_kOverload] = ACTIONS(1146),
    [sym_kReintroduce] = ACTIONS(1146),
    [sym_kInline] = ACTIONS(1146),
    [sym_kStdcall] = ACTIONS(1146),
    [sym_kCdecl] = ACTIONS(1146),
    [sym_kCppdecl] = ACTIONS(1146),
    [sym_kPascal] = ACTIONS(1146),
    [sym_kRegister] = ACTIONS(1146),
    [sym_kMwpascal] = ACTIONS(1146),
    [sym_kExternal] = ACTIONS(1146),
    [sym_kMessage] = ACTIONS(1146),
    [sym_kDeprecated] = ACTIONS(1146),
    [sym_kExperimental] = ACTIONS(1146),
    [sym_kPlatform] = ACTIONS(1146),
    [sym_kUnimplemented] = ACTIONS(1146),
    [sym_kCvar] = ACTIONS(1146),
    [sym_kExport] = ACTIONS(1146),
    [sym_kFar] = ACTIONS(1146),
    [sym_kNear] = ACTIONS(1146),
    [sym_kSafecall] = ACTIONS(1146),
    [sym_kAssembler] = ACTIONS(1146),
    [sym_kNostackframe] = ACTIONS(1146),
    [sym_kInterrupt] = ACTIONS(1146),
    [sym_kNoreturn] = ACTIONS(1146),
    [sym_kIocheck] = ACTIONS(1146),
    [sym_kLocal] = ACTIONS(1146),
    [sym_kHardfloat] = ACTIONS(1146),
    [sym_kSoftfloat] = ACTIONS(1146),
    [sym_kMs_abi_default] = ACTIONS(1146),
    [sym_kMs_abi_cdecl] = ACTIONS(1146),
    [sym_kSaveregisters] = ACTIONS(1146),
    [sym_kSysv_abi_default] = ACTIONS(1146),
    [sym_kSysv_abi_cdecl] = ACTIONS(1146),
    [sym_kVectorcall] = ACTIONS(1146),
    [sym_kVarargs] = ACTIONS(1146),
    [sym_kWinapi] = ACTIONS(1146),
    [sym_kAlias] = ACTIONS(1146),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(185),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [sym_kUses] = ACTIONS(1151),
    [sym_kInterface] = ACTIONS(1151),
    [sym_kImplementation] = ACTIONS(1151),
    [sym_kInitialization] = ACTIONS(1151),
    [sym_kFinalization] = ACTIONS(1151),
    [sym_kEnd] = ACTIONS(1151),
    [sym_kVar] = ACTIONS(1153),
    [sym_kThreadvar] = ACTIONS(1151),
    [sym_kConst] = ACTIONS(1153),
    [sym_kResourcestring] = ACTIONS(1151),
    [sym_kType] = ACTIONS(1151),
    [sym_kLabel] = ACTIONS(1151),
    [sym_kExports] = ACTIONS(1151),
    [sym_kProperty] = ACTIONS(1151),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1151),
    [sym_kGeneric] = ACTIONS(1151),
    [sym_kFunction] = ACTIONS(1151),
    [sym_kProcedure] = ACTIONS(1151),
    [sym_kConstructor] = ACTIONS(1151),
    [sym_kDestructor] = ACTIONS(1151),
    [sym_kOperator] = ACTIONS(1151),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1151),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1151),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(181),
    [anon_sym_LBRACK] = ACTIONS(1155),
    [sym_kUses] = ACTIONS(1158),
    [sym_kInterface] = ACTIONS(1158),
    [sym_kImplementation] = ACTIONS(1158),
    [sym_kInitialization] = ACTIONS(1158),
    [sym_kFinalization] = ACTIONS(1158),
    [sym_kEnd] = ACTIONS(1158),
    [sym_kVar] = ACTIONS(1160),
    [sym_kThreadvar] = ACTIONS(1158),
    [sym_kConst] = ACTIONS(1160),
    [sym_kResourcestring] = ACTIONS(1158),
    [sym_kType] = ACTIONS(1158),
    [sym_kLabel] = ACTIONS(1158),
    [sym_kExports] = ACTIONS(1158),
    [sym_kProperty] = ACTIONS(1158),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1158),
    [sym_kGeneric] = ACTIONS(1158),
    [sym_kFunction] = ACTIONS(1158),
    [sym_kProcedure] = ACTIONS(1158),
    [sym_kConstructor] = ACTIONS(1158),
    [sym_kDestructor] = ACTIONS(1158),
    [sym_kOperator] = ACTIONS(1158),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1158),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1158),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(1615),
    [sym_while] = STATE(1615),
    [sym_repeat] = STATE(1615),
    [sym_for] = STATE(1615),
    [sym_foreach] = STATE(1615),
    [sym_try] = STATE(1615),
    [sym_case] = STATE(1615),
    [sym_block] = STATE(1615),
    [sym_asm] = STATE(1615),
    [sym_with] = STATE(1615),
    [sym_raise] = STATE(1615),
    [sym_statement] = STATE(1615),
    [sym_goto] = STATE(1615),
    [sym__statement] = STATE(1615),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [sym_kUses] = ACTIONS(1165),
    [sym_kInterface] = ACTIONS(1165),
    [sym_kImplementation] = ACTIONS(1165),
    [sym_kInitialization] = ACTIONS(1165),
    [sym_kFinalization] = ACTIONS(1165),
    [sym_kEnd] = ACTIONS(1165),
    [sym_kVar] = ACTIONS(1167),
    [sym_kThreadvar] = ACTIONS(1165),
    [sym_kConst] = ACTIONS(1167),
    [sym_kResourcestring] = ACTIONS(1165),
    [sym_kType] = ACTIONS(1165),
    [sym_kLabel] = ACTIONS(1165),
    [sym_kExports] = ACTIONS(1165),
    [sym_kProperty] = ACTIONS(1165),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1165),
    [sym_kGeneric] = ACTIONS(1165),
    [sym_kFunction] = ACTIONS(1165),
    [sym_kProcedure] = ACTIONS(1165),
    [sym_kConstructor] = ACTIONS(1165),
    [sym_kDestructor] = ACTIONS(1165),
    [sym_kOperator] = ACTIONS(1165),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1165),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1165),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_identifier] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [sym_kUses] = ACTIONS(1171),
    [sym_kInterface] = ACTIONS(1171),
    [sym_kImplementation] = ACTIONS(1171),
    [sym_kInitialization] = ACTIONS(1171),
    [sym_kFinalization] = ACTIONS(1171),
    [sym_kBegin] = ACTIONS(1171),
    [sym_kEnd] = ACTIONS(1171),
    [sym_kAsm] = ACTIONS(1171),
    [sym_kVar] = ACTIONS(1171),
    [sym_kThreadvar] = ACTIONS(1171),
    [sym_kConst] = ACTIONS(1171),
    [sym_kResourcestring] = ACTIONS(1171),
    [sym_kType] = ACTIONS(1171),
    [sym_kLabel] = ACTIONS(1171),
    [sym_kExports] = ACTIONS(1171),
    [sym_kProperty] = ACTIONS(1171),
    [sym_kDefault] = ACTIONS(1171),
    [sym_kNodefault] = ACTIONS(1171),
    [sym_kDispId] = ACTIONS(1171),
    [sym_kClass] = ACTIONS(1171),
    [sym_kGeneric] = ACTIONS(1171),
    [sym_kFunction] = ACTIONS(1171),
    [sym_kProcedure] = ACTIONS(1171),
    [sym_kConstructor] = ACTIONS(1171),
    [sym_kDestructor] = ACTIONS(1171),
    [sym_kOperator] = ACTIONS(1171),
    [sym_kPublic] = ACTIONS(1171),
    [sym_kStatic] = ACTIONS(1171),
    [sym_kVirtual] = ACTIONS(1171),
    [sym_kAbstract] = ACTIONS(1171),
    [sym_kDynamic] = ACTIONS(1171),
    [sym_kOverride] = ACTIONS(1171),
    [sym_kOverload] = ACTIONS(1171),
    [sym_kReintroduce] = ACTIONS(1171),
    [sym_kInline] = ACTIONS(1171),
    [sym_kStdcall] = ACTIONS(1171),
    [sym_kCdecl] = ACTIONS(1171),
    [sym_kCppdecl] = ACTIONS(1171),
    [sym_kPascal] = ACTIONS(1171),
    [sym_kRegister] = ACTIONS(1171),
    [sym_kMwpascal] = ACTIONS(1171),
    [sym_kExternal] = ACTIONS(1171),
    [sym_kMessage] = ACTIONS(1171),
    [sym_kDeprecated] = ACTIONS(1171),
    [sym_kExperimental] = ACTIONS(1171),
    [sym_kPlatform] = ACTIONS(1171),
    [sym_kUnimplemented] = ACTIONS(1171),
    [sym_kCvar] = ACTIONS(1171),
    [sym_kExport] = ACTIONS(1171),
    [sym_kFar] = ACTIONS(1171),
    [sym_kNear] = ACTIONS(1171),
    [sym_kSafecall] = ACTIONS(1171),
    [sym_kAssembler] = ACTIONS(1171),
    [sym_kNostackframe] = ACTIONS(1171),
    [sym_kInterrupt] = ACTIONS(1171),
    [sym_kNoreturn] = ACTIONS(1171),
    [sym_kIocheck] = ACTIONS(1171),
    [sym_kLocal] = ACTIONS(1171),
    [sym_kHardfloat] = ACTIONS(1171),
    [sym_kSoftfloat] = ACTIONS(1171),
    [sym_kMs_abi_default] = ACTIONS(1171),
    [sym_kMs_abi_cdecl] = ACTIONS(1171),
    [sym_kSaveregisters] = ACTIONS(1171),
    [sym_kSysv_abi_default] = ACTIONS(1171),
    [sym_kSysv_abi_cdecl] = ACTIONS(1171),
    [sym_kVectorcall] = ACTIONS(1171),
    [sym_kVarargs] = ACTIONS(1171),
    [sym_kWinapi] = ACTIONS(1171),
    [sym_kAlias] = ACTIONS(1171),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(160),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [sym_kUses] = ACTIONS(1176),
    [sym_kInterface] = ACTIONS(1176),
    [sym_kImplementation] = ACTIONS(1176),
    [sym_kInitialization] = ACTIONS(1176),
    [sym_kFinalization] = ACTIONS(1176),
    [sym_kEnd] = ACTIONS(1176),
    [sym_kVar] = ACTIONS(1178),
    [sym_kThreadvar] = ACTIONS(1176),
    [sym_kConst] = ACTIONS(1178),
    [sym_kResourcestring] = ACTIONS(1176),
    [sym_kType] = ACTIONS(1176),
    [sym_kLabel] = ACTIONS(1176),
    [sym_kExports] = ACTIONS(1176),
    [sym_kProperty] = ACTIONS(1176),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1176),
    [sym_kGeneric] = ACTIONS(1176),
    [sym_kFunction] = ACTIONS(1176),
    [sym_kProcedure] = ACTIONS(1176),
    [sym_kConstructor] = ACTIONS(1176),
    [sym_kDestructor] = ACTIONS(1176),
    [sym_kOperator] = ACTIONS(1176),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1176),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1176),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1180),
    [anon_sym_COLON] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_RBRACK] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_RPAREN] = ACTIONS(1180),
    [sym_kUses] = ACTIONS(1182),
    [anon_sym_DOT] = ACTIONS(1180),
    [sym_kBegin] = ACTIONS(1182),
    [sym_kEnd] = ACTIONS(1182),
    [sym_kAsm] = ACTIONS(1182),
    [sym_kVar] = ACTIONS(1182),
    [sym_kThreadvar] = ACTIONS(1182),
    [sym_kConst] = ACTIONS(1182),
    [sym_kResourcestring] = ACTIONS(1182),
    [sym_kType] = ACTIONS(1182),
    [sym_kLabel] = ACTIONS(1182),
    [sym_kExports] = ACTIONS(1182),
    [sym_kAbsolute] = ACTIONS(1182),
    [sym_kProperty] = ACTIONS(1182),
    [sym_kClass] = ACTIONS(1182),
    [sym_kOf] = ACTIONS(1182),
    [sym_kGeneric] = ACTIONS(1182),
    [sym_kLt] = ACTIONS(1182),
    [sym_kEq] = ACTIONS(1180),
    [sym_kNeq] = ACTIONS(1180),
    [sym_kGt] = ACTIONS(1182),
    [sym_kLte] = ACTIONS(1180),
    [sym_kGte] = ACTIONS(1180),
    [sym_kAdd] = ACTIONS(1182),
    [sym_kSub] = ACTIONS(1182),
    [sym_kMul] = ACTIONS(1182),
    [sym_kFdiv] = ACTIONS(1182),
    [sym_kHat] = ACTIONS(1180),
    [sym_kAssign] = ACTIONS(1180),
    [sym_kAssignAdd] = ACTIONS(1180),
    [sym_kAssignSub] = ACTIONS(1180),
    [sym_kAssignMul] = ACTIONS(1180),
    [sym_kAssignDiv] = ACTIONS(1180),
    [sym_kOr] = ACTIONS(1182),
    [sym_kXor] = ACTIONS(1182),
    [sym_kDiv] = ACTIONS(1182),
    [sym_kMod] = ACTIONS(1182),
    [sym_kAnd] = ACTIONS(1182),
    [sym_kShl] = ACTIONS(1182),
    [sym_kShr] = ACTIONS(1182),
    [sym_kIs] = ACTIONS(1182),
    [sym_kAs] = ACTIONS(1182),
    [sym_kIn] = ACTIONS(1182),
    [sym_kThen] = ACTIONS(1182),
    [sym_kElse] = ACTIONS(1182),
    [sym_kDo] = ACTIONS(1182),
    [sym_kUntil] = ACTIONS(1182),
    [sym_kExcept] = ACTIONS(1182),
    [sym_kFinally] = ACTIONS(1182),
    [sym_kCase] = ACTIONS(1182),
    [sym_kFunction] = ACTIONS(1182),
    [sym_kProcedure] = ACTIONS(1182),
    [sym_kConstructor] = ACTIONS(1182),
    [sym_kDestructor] = ACTIONS(1182),
    [sym_kOperator] = ACTIONS(1182),
    [sym_kPublished] = ACTIONS(1182),
    [sym_kPublic] = ACTIONS(1182),
    [sym_kProtected] = ACTIONS(1182),
    [sym_kPrivate] = ACTIONS(1182),
    [sym_kStrict] = ACTIONS(1182),
    [sym_kRequired] = ACTIONS(1182),
    [sym_kOptional] = ACTIONS(1182),
    [sym_kDelayed] = ACTIONS(1182),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(209),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [sym_kUses] = ACTIONS(1187),
    [sym_kInterface] = ACTIONS(1187),
    [sym_kImplementation] = ACTIONS(1187),
    [sym_kInitialization] = ACTIONS(1187),
    [sym_kFinalization] = ACTIONS(1187),
    [sym_kEnd] = ACTIONS(1187),
    [sym_kVar] = ACTIONS(1189),
    [sym_kThreadvar] = ACTIONS(1187),
    [sym_kConst] = ACTIONS(1189),
    [sym_kResourcestring] = ACTIONS(1187),
    [sym_kType] = ACTIONS(1187),
    [sym_kLabel] = ACTIONS(1187),
    [sym_kExports] = ACTIONS(1187),
    [sym_kProperty] = ACTIONS(1187),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1187),
    [sym_kGeneric] = ACTIONS(1187),
    [sym_kFunction] = ACTIONS(1187),
    [sym_kProcedure] = ACTIONS(1187),
    [sym_kConstructor] = ACTIONS(1187),
    [sym_kDestructor] = ACTIONS(1187),
    [sym_kOperator] = ACTIONS(1187),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1187),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1187),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(213),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_kUses] = ACTIONS(1194),
    [sym_kInterface] = ACTIONS(1194),
    [sym_kImplementation] = ACTIONS(1194),
    [sym_kInitialization] = ACTIONS(1194),
    [sym_kFinalization] = ACTIONS(1194),
    [sym_kEnd] = ACTIONS(1194),
    [sym_kVar] = ACTIONS(1196),
    [sym_kThreadvar] = ACTIONS(1194),
    [sym_kConst] = ACTIONS(1196),
    [sym_kResourcestring] = ACTIONS(1194),
    [sym_kType] = ACTIONS(1194),
    [sym_kLabel] = ACTIONS(1194),
    [sym_kExports] = ACTIONS(1194),
    [sym_kProperty] = ACTIONS(1194),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1194),
    [sym_kGeneric] = ACTIONS(1194),
    [sym_kFunction] = ACTIONS(1194),
    [sym_kProcedure] = ACTIONS(1194),
    [sym_kConstructor] = ACTIONS(1194),
    [sym_kDestructor] = ACTIONS(1194),
    [sym_kOperator] = ACTIONS(1194),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1194),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1194),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_identifier] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_RBRACK] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [sym_kUses] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1198),
    [sym_kBegin] = ACTIONS(1200),
    [sym_kEnd] = ACTIONS(1200),
    [sym_kAsm] = ACTIONS(1200),
    [sym_kVar] = ACTIONS(1200),
    [sym_kThreadvar] = ACTIONS(1200),
    [sym_kConst] = ACTIONS(1200),
    [sym_kResourcestring] = ACTIONS(1200),
    [sym_kType] = ACTIONS(1200),
    [sym_kLabel] = ACTIONS(1200),
    [sym_kExports] = ACTIONS(1200),
    [sym_kAbsolute] = ACTIONS(1200),
    [sym_kProperty] = ACTIONS(1200),
    [sym_kClass] = ACTIONS(1200),
    [sym_kOf] = ACTIONS(1200),
    [sym_kGeneric] = ACTIONS(1200),
    [sym_kLt] = ACTIONS(1200),
    [sym_kEq] = ACTIONS(1198),
    [sym_kNeq] = ACTIONS(1198),
    [sym_kGt] = ACTIONS(1200),
    [sym_kLte] = ACTIONS(1198),
    [sym_kGte] = ACTIONS(1198),
    [sym_kAdd] = ACTIONS(1200),
    [sym_kSub] = ACTIONS(1200),
    [sym_kMul] = ACTIONS(1200),
    [sym_kFdiv] = ACTIONS(1200),
    [sym_kHat] = ACTIONS(1198),
    [sym_kAssign] = ACTIONS(1198),
    [sym_kAssignAdd] = ACTIONS(1198),
    [sym_kAssignSub] = ACTIONS(1198),
    [sym_kAssignMul] = ACTIONS(1198),
    [sym_kAssignDiv] = ACTIONS(1198),
    [sym_kOr] = ACTIONS(1200),
    [sym_kXor] = ACTIONS(1200),
    [sym_kDiv] = ACTIONS(1200),
    [sym_kMod] = ACTIONS(1200),
    [sym_kAnd] = ACTIONS(1200),
    [sym_kShl] = ACTIONS(1200),
    [sym_kShr] = ACTIONS(1200),
    [sym_kIs] = ACTIONS(1200),
    [sym_kAs] = ACTIONS(1200),
    [sym_kIn] = ACTIONS(1200),
    [sym_kThen] = ACTIONS(1200),
    [sym_kElse] = ACTIONS(1200),
    [sym_kDo] = ACTIONS(1200),
    [sym_kUntil] = ACTIONS(1200),
    [sym_kExcept] = ACTIONS(1200),
    [sym_kFinally] = ACTIONS(1200),
    [sym_kCase] = ACTIONS(1200),
    [sym_kFunction] = ACTIONS(1200),
    [sym_kProcedure] = ACTIONS(1200),
    [sym_kConstructor] = ACTIONS(1200),
    [sym_kDestructor] = ACTIONS(1200),
    [sym_kOperator] = ACTIONS(1200),
    [sym_kPublished] = ACTIONS(1200),
    [sym_kPublic] = ACTIONS(1200),
    [sym_kProtected] = ACTIONS(1200),
    [sym_kPrivate] = ACTIONS(1200),
    [sym_kStrict] = ACTIONS(1200),
    [sym_kRequired] = ACTIONS(1200),
    [sym_kOptional] = ACTIONS(1200),
    [sym_kDelayed] = ACTIONS(1200),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(210),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [sym_kUses] = ACTIONS(1205),
    [sym_kInterface] = ACTIONS(1205),
    [sym_kImplementation] = ACTIONS(1205),
    [sym_kInitialization] = ACTIONS(1205),
    [sym_kFinalization] = ACTIONS(1205),
    [sym_kEnd] = ACTIONS(1205),
    [sym_kVar] = ACTIONS(1207),
    [sym_kThreadvar] = ACTIONS(1205),
    [sym_kConst] = ACTIONS(1207),
    [sym_kResourcestring] = ACTIONS(1205),
    [sym_kType] = ACTIONS(1205),
    [sym_kLabel] = ACTIONS(1205),
    [sym_kExports] = ACTIONS(1205),
    [sym_kProperty] = ACTIONS(1205),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1205),
    [sym_kGeneric] = ACTIONS(1205),
    [sym_kFunction] = ACTIONS(1205),
    [sym_kProcedure] = ACTIONS(1205),
    [sym_kConstructor] = ACTIONS(1205),
    [sym_kDestructor] = ACTIONS(1205),
    [sym_kOperator] = ACTIONS(1205),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1205),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1205),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [sym_kUses] = ACTIONS(1212),
    [sym_kInterface] = ACTIONS(1212),
    [sym_kImplementation] = ACTIONS(1212),
    [sym_kInitialization] = ACTIONS(1212),
    [sym_kFinalization] = ACTIONS(1212),
    [sym_kEnd] = ACTIONS(1212),
    [sym_kVar] = ACTIONS(1214),
    [sym_kThreadvar] = ACTIONS(1212),
    [sym_kConst] = ACTIONS(1214),
    [sym_kResourcestring] = ACTIONS(1212),
    [sym_kType] = ACTIONS(1212),
    [sym_kLabel] = ACTIONS(1212),
    [sym_kExports] = ACTIONS(1212),
    [sym_kProperty] = ACTIONS(1212),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1212),
    [sym_kGeneric] = ACTIONS(1212),
    [sym_kFunction] = ACTIONS(1212),
    [sym_kProcedure] = ACTIONS(1212),
    [sym_kConstructor] = ACTIONS(1212),
    [sym_kDestructor] = ACTIONS(1212),
    [sym_kOperator] = ACTIONS(1212),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1212),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1212),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [sym_kUses] = ACTIONS(1219),
    [sym_kInterface] = ACTIONS(1219),
    [sym_kImplementation] = ACTIONS(1219),
    [sym_kInitialization] = ACTIONS(1219),
    [sym_kFinalization] = ACTIONS(1219),
    [sym_kEnd] = ACTIONS(1219),
    [sym_kVar] = ACTIONS(1221),
    [sym_kThreadvar] = ACTIONS(1219),
    [sym_kConst] = ACTIONS(1221),
    [sym_kResourcestring] = ACTIONS(1219),
    [sym_kType] = ACTIONS(1219),
    [sym_kLabel] = ACTIONS(1219),
    [sym_kExports] = ACTIONS(1219),
    [sym_kProperty] = ACTIONS(1219),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1219),
    [sym_kGeneric] = ACTIONS(1219),
    [sym_kFunction] = ACTIONS(1219),
    [sym_kProcedure] = ACTIONS(1219),
    [sym_kConstructor] = ACTIONS(1219),
    [sym_kDestructor] = ACTIONS(1219),
    [sym_kOperator] = ACTIONS(1219),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1219),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1219),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [sym_kUses] = ACTIONS(1146),
    [sym_kInterface] = ACTIONS(1146),
    [sym_kImplementation] = ACTIONS(1146),
    [sym_kInitialization] = ACTIONS(1146),
    [sym_kFinalization] = ACTIONS(1146),
    [sym_kBegin] = ACTIONS(1146),
    [sym_kEnd] = ACTIONS(1146),
    [sym_kAsm] = ACTIONS(1146),
    [sym_kVar] = ACTIONS(1146),
    [sym_kThreadvar] = ACTIONS(1146),
    [sym_kConst] = ACTIONS(1146),
    [sym_kResourcestring] = ACTIONS(1146),
    [sym_kType] = ACTIONS(1146),
    [sym_kLabel] = ACTIONS(1146),
    [sym_kExports] = ACTIONS(1146),
    [sym_kProperty] = ACTIONS(1146),
    [sym_kDefault] = ACTIONS(1146),
    [sym_kNodefault] = ACTIONS(1146),
    [sym_kDispId] = ACTIONS(1146),
    [sym_kClass] = ACTIONS(1146),
    [sym_kGeneric] = ACTIONS(1146),
    [sym_kFunction] = ACTIONS(1146),
    [sym_kProcedure] = ACTIONS(1146),
    [sym_kConstructor] = ACTIONS(1146),
    [sym_kDestructor] = ACTIONS(1146),
    [sym_kOperator] = ACTIONS(1146),
    [sym_kPublic] = ACTIONS(1146),
    [sym_kStatic] = ACTIONS(1146),
    [sym_kVirtual] = ACTIONS(1146),
    [sym_kAbstract] = ACTIONS(1146),
    [sym_kDynamic] = ACTIONS(1146),
    [sym_kOverride] = ACTIONS(1146),
    [sym_kOverload] = ACTIONS(1146),
    [sym_kReintroduce] = ACTIONS(1146),
    [sym_kInline] = ACTIONS(1146),
    [sym_kStdcall] = ACTIONS(1146),
    [sym_kCdecl] = ACTIONS(1146),
    [sym_kCppdecl] = ACTIONS(1146),
    [sym_kPascal] = ACTIONS(1146),
    [sym_kRegister] = ACTIONS(1146),
    [sym_kMwpascal] = ACTIONS(1146),
    [sym_kExternal] = ACTIONS(1146),
    [sym_kMessage] = ACTIONS(1146),
    [sym_kDeprecated] = ACTIONS(1146),
    [sym_kExperimental] = ACTIONS(1146),
    [sym_kPlatform] = ACTIONS(1146),
    [sym_kUnimplemented] = ACTIONS(1146),
    [sym_kCvar] = ACTIONS(1146),
    [sym_kExport] = ACTIONS(1146),
    [sym_kFar] = ACTIONS(1146),
    [sym_kNear] = ACTIONS(1146),
    [sym_kSafecall] = ACTIONS(1146),
    [sym_kAssembler] = ACTIONS(1146),
    [sym_kNostackframe] = ACTIONS(1146),
    [sym_kInterrupt] = ACTIONS(1146),
    [sym_kNoreturn] = ACTIONS(1146),
    [sym_kIocheck] = ACTIONS(1146),
    [sym_kLocal] = ACTIONS(1146),
    [sym_kHardfloat] = ACTIONS(1146),
    [sym_kSoftfloat] = ACTIONS(1146),
    [sym_kMs_abi_default] = ACTIONS(1146),
    [sym_kMs_abi_cdecl] = ACTIONS(1146),
    [sym_kSaveregisters] = ACTIONS(1146),
    [sym_kSysv_abi_default] = ACTIONS(1146),
    [sym_kSysv_abi_cdecl] = ACTIONS(1146),
    [sym_kVectorcall] = ACTIONS(1146),
    [sym_kVarargs] = ACTIONS(1146),
    [sym_kWinapi] = ACTIONS(1146),
    [sym_kAlias] = ACTIONS(1146),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [sym_kUses] = ACTIONS(1226),
    [sym_kInterface] = ACTIONS(1226),
    [sym_kImplementation] = ACTIONS(1226),
    [sym_kInitialization] = ACTIONS(1226),
    [sym_kFinalization] = ACTIONS(1226),
    [sym_kEnd] = ACTIONS(1226),
    [sym_kVar] = ACTIONS(1228),
    [sym_kThreadvar] = ACTIONS(1226),
    [sym_kConst] = ACTIONS(1228),
    [sym_kResourcestring] = ACTIONS(1226),
    [sym_kType] = ACTIONS(1226),
    [sym_kLabel] = ACTIONS(1226),
    [sym_kExports] = ACTIONS(1226),
    [sym_kProperty] = ACTIONS(1226),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1226),
    [sym_kGeneric] = ACTIONS(1226),
    [sym_kFunction] = ACTIONS(1226),
    [sym_kProcedure] = ACTIONS(1226),
    [sym_kConstructor] = ACTIONS(1226),
    [sym_kDestructor] = ACTIONS(1226),
    [sym_kOperator] = ACTIONS(1226),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1226),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1226),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(222),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [sym_kUses] = ACTIONS(1233),
    [sym_kInterface] = ACTIONS(1233),
    [sym_kImplementation] = ACTIONS(1233),
    [sym_kInitialization] = ACTIONS(1233),
    [sym_kFinalization] = ACTIONS(1233),
    [sym_kEnd] = ACTIONS(1233),
    [sym_kVar] = ACTIONS(1235),
    [sym_kThreadvar] = ACTIONS(1233),
    [sym_kConst] = ACTIONS(1235),
    [sym_kResourcestring] = ACTIONS(1233),
    [sym_kType] = ACTIONS(1233),
    [sym_kLabel] = ACTIONS(1233),
    [sym_kExports] = ACTIONS(1233),
    [sym_kProperty] = ACTIONS(1233),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1233),
    [sym_kGeneric] = ACTIONS(1233),
    [sym_kFunction] = ACTIONS(1233),
    [sym_kProcedure] = ACTIONS(1233),
    [sym_kConstructor] = ACTIONS(1233),
    [sym_kDestructor] = ACTIONS(1233),
    [sym_kOperator] = ACTIONS(1233),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1233),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1233),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1237),
    [sym_kUses] = ACTIONS(1240),
    [sym_kInterface] = ACTIONS(1240),
    [sym_kImplementation] = ACTIONS(1240),
    [sym_kInitialization] = ACTIONS(1240),
    [sym_kFinalization] = ACTIONS(1240),
    [sym_kEnd] = ACTIONS(1240),
    [sym_kVar] = ACTIONS(1242),
    [sym_kThreadvar] = ACTIONS(1240),
    [sym_kConst] = ACTIONS(1242),
    [sym_kResourcestring] = ACTIONS(1240),
    [sym_kType] = ACTIONS(1240),
    [sym_kLabel] = ACTIONS(1240),
    [sym_kExports] = ACTIONS(1240),
    [sym_kProperty] = ACTIONS(1240),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1240),
    [sym_kGeneric] = ACTIONS(1240),
    [sym_kFunction] = ACTIONS(1240),
    [sym_kProcedure] = ACTIONS(1240),
    [sym_kConstructor] = ACTIONS(1240),
    [sym_kDestructor] = ACTIONS(1240),
    [sym_kOperator] = ACTIONS(1240),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1240),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1240),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [sym_kUses] = ACTIONS(1247),
    [sym_kInterface] = ACTIONS(1247),
    [sym_kImplementation] = ACTIONS(1247),
    [sym_kInitialization] = ACTIONS(1247),
    [sym_kFinalization] = ACTIONS(1247),
    [sym_kEnd] = ACTIONS(1247),
    [sym_kVar] = ACTIONS(1249),
    [sym_kThreadvar] = ACTIONS(1247),
    [sym_kConst] = ACTIONS(1249),
    [sym_kResourcestring] = ACTIONS(1247),
    [sym_kType] = ACTIONS(1247),
    [sym_kLabel] = ACTIONS(1247),
    [sym_kExports] = ACTIONS(1247),
    [sym_kProperty] = ACTIONS(1247),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1247),
    [sym_kGeneric] = ACTIONS(1247),
    [sym_kFunction] = ACTIONS(1247),
    [sym_kProcedure] = ACTIONS(1247),
    [sym_kConstructor] = ACTIONS(1247),
    [sym_kDestructor] = ACTIONS(1247),
    [sym_kOperator] = ACTIONS(1247),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1247),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1247),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1251),
    [sym_kUses] = ACTIONS(1254),
    [sym_kInterface] = ACTIONS(1254),
    [sym_kImplementation] = ACTIONS(1254),
    [sym_kInitialization] = ACTIONS(1254),
    [sym_kFinalization] = ACTIONS(1254),
    [sym_kEnd] = ACTIONS(1254),
    [sym_kVar] = ACTIONS(1256),
    [sym_kThreadvar] = ACTIONS(1254),
    [sym_kConst] = ACTIONS(1256),
    [sym_kResourcestring] = ACTIONS(1254),
    [sym_kType] = ACTIONS(1254),
    [sym_kLabel] = ACTIONS(1254),
    [sym_kExports] = ACTIONS(1254),
    [sym_kProperty] = ACTIONS(1254),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1254),
    [sym_kGeneric] = ACTIONS(1254),
    [sym_kFunction] = ACTIONS(1254),
    [sym_kProcedure] = ACTIONS(1254),
    [sym_kConstructor] = ACTIONS(1254),
    [sym_kDestructor] = ACTIONS(1254),
    [sym_kOperator] = ACTIONS(1254),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1254),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1254),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(206),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [sym_kUses] = ACTIONS(1261),
    [sym_kInterface] = ACTIONS(1261),
    [sym_kImplementation] = ACTIONS(1261),
    [sym_kInitialization] = ACTIONS(1261),
    [sym_kFinalization] = ACTIONS(1261),
    [sym_kEnd] = ACTIONS(1261),
    [sym_kVar] = ACTIONS(1263),
    [sym_kThreadvar] = ACTIONS(1261),
    [sym_kConst] = ACTIONS(1263),
    [sym_kResourcestring] = ACTIONS(1261),
    [sym_kType] = ACTIONS(1261),
    [sym_kLabel] = ACTIONS(1261),
    [sym_kExports] = ACTIONS(1261),
    [sym_kProperty] = ACTIONS(1261),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1261),
    [sym_kGeneric] = ACTIONS(1261),
    [sym_kFunction] = ACTIONS(1261),
    [sym_kProcedure] = ACTIONS(1261),
    [sym_kConstructor] = ACTIONS(1261),
    [sym_kDestructor] = ACTIONS(1261),
    [sym_kOperator] = ACTIONS(1261),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1261),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1261),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(2043),
    [sym_while] = STATE(2043),
    [sym_repeat] = STATE(2043),
    [sym_for] = STATE(2043),
    [sym_foreach] = STATE(2043),
    [sym_try] = STATE(2043),
    [sym_case] = STATE(2043),
    [sym_block] = STATE(2043),
    [sym_asm] = STATE(2043),
    [sym_with] = STATE(2043),
    [sym_raise] = STATE(2043),
    [sym_statement] = STATE(2043),
    [sym_goto] = STATE(2043),
    [sym__statement] = STATE(2043),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1265),
    [sym_kUses] = ACTIONS(1268),
    [sym_kInterface] = ACTIONS(1268),
    [sym_kImplementation] = ACTIONS(1268),
    [sym_kInitialization] = ACTIONS(1268),
    [sym_kFinalization] = ACTIONS(1268),
    [sym_kEnd] = ACTIONS(1268),
    [sym_kVar] = ACTIONS(1270),
    [sym_kThreadvar] = ACTIONS(1268),
    [sym_kConst] = ACTIONS(1270),
    [sym_kResourcestring] = ACTIONS(1268),
    [sym_kType] = ACTIONS(1268),
    [sym_kLabel] = ACTIONS(1268),
    [sym_kExports] = ACTIONS(1268),
    [sym_kProperty] = ACTIONS(1268),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1268),
    [sym_kGeneric] = ACTIONS(1268),
    [sym_kFunction] = ACTIONS(1268),
    [sym_kProcedure] = ACTIONS(1268),
    [sym_kConstructor] = ACTIONS(1268),
    [sym_kDestructor] = ACTIONS(1268),
    [sym_kOperator] = ACTIONS(1268),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1268),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1268),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(867),
    [sym_while] = STATE(867),
    [sym_repeat] = STATE(867),
    [sym_for] = STATE(867),
    [sym_foreach] = STATE(867),
    [sym_try] = STATE(867),
    [sym_case] = STATE(867),
    [sym_block] = STATE(867),
    [sym_asm] = STATE(867),
    [sym_with] = STATE(867),
    [sym_raise] = STATE(867),
    [sym_statement] = STATE(867),
    [sym_goto] = STATE(867),
    [sym__statement] = STATE(867),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(885),
    [sym_while] = STATE(885),
    [sym_repeat] = STATE(885),
    [sym_for] = STATE(885),
    [sym_foreach] = STATE(885),
    [sym_try] = STATE(885),
    [sym_case] = STATE(885),
    [sym_block] = STATE(885),
    [sym_asm] = STATE(885),
    [sym_with] = STATE(885),
    [sym_raise] = STATE(885),
    [sym_statement] = STATE(885),
    [sym_goto] = STATE(885),
    [sym__statement] = STATE(885),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [sym_kUses] = ACTIONS(1275),
    [sym_kInterface] = ACTIONS(1275),
    [sym_kImplementation] = ACTIONS(1275),
    [sym_kInitialization] = ACTIONS(1275),
    [sym_kFinalization] = ACTIONS(1275),
    [sym_kEnd] = ACTIONS(1275),
    [sym_kVar] = ACTIONS(1277),
    [sym_kThreadvar] = ACTIONS(1275),
    [sym_kConst] = ACTIONS(1277),
    [sym_kResourcestring] = ACTIONS(1275),
    [sym_kType] = ACTIONS(1275),
    [sym_kLabel] = ACTIONS(1275),
    [sym_kExports] = ACTIONS(1275),
    [sym_kProperty] = ACTIONS(1275),
    [sym_kDefault] = ACTIONS(1279),
    [sym_kNodefault] = ACTIONS(1279),
    [sym_kDispId] = ACTIONS(1282),
    [sym_kClass] = ACTIONS(1275),
    [sym_kGeneric] = ACTIONS(1275),
    [sym_kFunction] = ACTIONS(1275),
    [sym_kProcedure] = ACTIONS(1275),
    [sym_kConstructor] = ACTIONS(1275),
    [sym_kDestructor] = ACTIONS(1275),
    [sym_kOperator] = ACTIONS(1275),
    [sym_kPublic] = ACTIONS(1285),
    [sym_kForward] = ACTIONS(1275),
    [sym_kStatic] = ACTIONS(1279),
    [sym_kVirtual] = ACTIONS(1279),
    [sym_kAbstract] = ACTIONS(1279),
    [sym_kDynamic] = ACTIONS(1279),
    [sym_kOverride] = ACTIONS(1279),
    [sym_kOverload] = ACTIONS(1279),
    [sym_kReintroduce] = ACTIONS(1279),
    [sym_kInline] = ACTIONS(1279),
    [sym_kStdcall] = ACTIONS(1279),
    [sym_kCdecl] = ACTIONS(1279),
    [sym_kCppdecl] = ACTIONS(1279),
    [sym_kPascal] = ACTIONS(1279),
    [sym_kRegister] = ACTIONS(1279),
    [sym_kMwpascal] = ACTIONS(1279),
    [sym_kExternal] = ACTIONS(1275),
    [sym_kMessage] = ACTIONS(1288),
    [sym_kDeprecated] = ACTIONS(1291),
    [sym_kExperimental] = ACTIONS(1279),
    [sym_kPlatform] = ACTIONS(1279),
    [sym_kUnimplemented] = ACTIONS(1279),
    [sym_kCvar] = ACTIONS(1279),
    [sym_kExport] = ACTIONS(1294),
    [sym_kFar] = ACTIONS(1279),
    [sym_kNear] = ACTIONS(1279),
    [sym_kSafecall] = ACTIONS(1279),
    [sym_kAssembler] = ACTIONS(1279),
    [sym_kNostackframe] = ACTIONS(1279),
    [sym_kInterrupt] = ACTIONS(1279),
    [sym_kNoreturn] = ACTIONS(1279),
    [sym_kIocheck] = ACTIONS(1279),
    [sym_kLocal] = ACTIONS(1279),
    [sym_kHardfloat] = ACTIONS(1279),
    [sym_kSoftfloat] = ACTIONS(1279),
    [sym_kMs_abi_default] = ACTIONS(1279),
    [sym_kMs_abi_cdecl] = ACTIONS(1279),
    [sym_kSaveregisters] = ACTIONS(1279),
    [sym_kSysv_abi_default] = ACTIONS(1279),
    [sym_kSysv_abi_cdecl] = ACTIONS(1279),
    [sym_kVectorcall] = ACTIONS(1279),
    [sym_kVarargs] = ACTIONS(1279),
    [sym_kWinapi] = ACTIONS(1279),
    [sym_kAlias] = ACTIONS(1297),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(164),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [sym_kUses] = ACTIONS(1303),
    [sym_kInterface] = ACTIONS(1303),
    [sym_kImplementation] = ACTIONS(1303),
    [sym_kInitialization] = ACTIONS(1303),
    [sym_kFinalization] = ACTIONS(1303),
    [sym_kEnd] = ACTIONS(1303),
    [sym_kVar] = ACTIONS(1305),
    [sym_kThreadvar] = ACTIONS(1303),
    [sym_kConst] = ACTIONS(1305),
    [sym_kResourcestring] = ACTIONS(1303),
    [sym_kType] = ACTIONS(1303),
    [sym_kLabel] = ACTIONS(1303),
    [sym_kExports] = ACTIONS(1303),
    [sym_kProperty] = ACTIONS(1303),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1303),
    [sym_kGeneric] = ACTIONS(1303),
    [sym_kFunction] = ACTIONS(1303),
    [sym_kProcedure] = ACTIONS(1303),
    [sym_kConstructor] = ACTIONS(1303),
    [sym_kDestructor] = ACTIONS(1303),
    [sym_kOperator] = ACTIONS(1303),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1303),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1303),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [sym_kUses] = ACTIONS(1310),
    [sym_kInterface] = ACTIONS(1310),
    [sym_kImplementation] = ACTIONS(1310),
    [sym_kInitialization] = ACTIONS(1310),
    [sym_kFinalization] = ACTIONS(1310),
    [sym_kEnd] = ACTIONS(1310),
    [sym_kVar] = ACTIONS(1312),
    [sym_kThreadvar] = ACTIONS(1310),
    [sym_kConst] = ACTIONS(1312),
    [sym_kResourcestring] = ACTIONS(1310),
    [sym_kType] = ACTIONS(1310),
    [sym_kLabel] = ACTIONS(1310),
    [sym_kExports] = ACTIONS(1310),
    [sym_kProperty] = ACTIONS(1310),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1310),
    [sym_kGeneric] = ACTIONS(1310),
    [sym_kFunction] = ACTIONS(1310),
    [sym_kProcedure] = ACTIONS(1310),
    [sym_kConstructor] = ACTIONS(1310),
    [sym_kDestructor] = ACTIONS(1310),
    [sym_kOperator] = ACTIONS(1310),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1310),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1310),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [sym_kUses] = ACTIONS(1317),
    [sym_kInterface] = ACTIONS(1317),
    [sym_kImplementation] = ACTIONS(1317),
    [sym_kInitialization] = ACTIONS(1317),
    [sym_kFinalization] = ACTIONS(1317),
    [sym_kEnd] = ACTIONS(1317),
    [sym_kVar] = ACTIONS(1319),
    [sym_kThreadvar] = ACTIONS(1317),
    [sym_kConst] = ACTIONS(1319),
    [sym_kResourcestring] = ACTIONS(1317),
    [sym_kType] = ACTIONS(1317),
    [sym_kLabel] = ACTIONS(1317),
    [sym_kExports] = ACTIONS(1317),
    [sym_kProperty] = ACTIONS(1317),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1317),
    [sym_kGeneric] = ACTIONS(1317),
    [sym_kFunction] = ACTIONS(1317),
    [sym_kProcedure] = ACTIONS(1317),
    [sym_kConstructor] = ACTIONS(1317),
    [sym_kDestructor] = ACTIONS(1317),
    [sym_kOperator] = ACTIONS(1317),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1317),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1317),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(818),
    [sym_while] = STATE(818),
    [sym_repeat] = STATE(818),
    [sym_for] = STATE(818),
    [sym_foreach] = STATE(818),
    [sym_try] = STATE(818),
    [sym_case] = STATE(818),
    [sym_block] = STATE(818),
    [sym_asm] = STATE(818),
    [sym_with] = STATE(818),
    [sym_raise] = STATE(818),
    [sym_statement] = STATE(818),
    [sym_goto] = STATE(818),
    [sym__statement] = STATE(818),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(217),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [sym_kUses] = ACTIONS(1324),
    [sym_kInterface] = ACTIONS(1324),
    [sym_kImplementation] = ACTIONS(1324),
    [sym_kInitialization] = ACTIONS(1324),
    [sym_kFinalization] = ACTIONS(1324),
    [sym_kEnd] = ACTIONS(1324),
    [sym_kVar] = ACTIONS(1326),
    [sym_kThreadvar] = ACTIONS(1324),
    [sym_kConst] = ACTIONS(1326),
    [sym_kResourcestring] = ACTIONS(1324),
    [sym_kType] = ACTIONS(1324),
    [sym_kLabel] = ACTIONS(1324),
    [sym_kExports] = ACTIONS(1324),
    [sym_kProperty] = ACTIONS(1324),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1324),
    [sym_kGeneric] = ACTIONS(1324),
    [sym_kFunction] = ACTIONS(1324),
    [sym_kProcedure] = ACTIONS(1324),
    [sym_kConstructor] = ACTIONS(1324),
    [sym_kDestructor] = ACTIONS(1324),
    [sym_kOperator] = ACTIONS(1324),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1324),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1324),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [sym_kUses] = ACTIONS(1331),
    [sym_kInterface] = ACTIONS(1331),
    [sym_kImplementation] = ACTIONS(1331),
    [sym_kInitialization] = ACTIONS(1331),
    [sym_kFinalization] = ACTIONS(1331),
    [sym_kEnd] = ACTIONS(1331),
    [sym_kVar] = ACTIONS(1333),
    [sym_kThreadvar] = ACTIONS(1331),
    [sym_kConst] = ACTIONS(1333),
    [sym_kResourcestring] = ACTIONS(1331),
    [sym_kType] = ACTIONS(1331),
    [sym_kLabel] = ACTIONS(1331),
    [sym_kExports] = ACTIONS(1331),
    [sym_kProperty] = ACTIONS(1331),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1331),
    [sym_kGeneric] = ACTIONS(1331),
    [sym_kFunction] = ACTIONS(1331),
    [sym_kProcedure] = ACTIONS(1331),
    [sym_kConstructor] = ACTIONS(1331),
    [sym_kDestructor] = ACTIONS(1331),
    [sym_kOperator] = ACTIONS(1331),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1331),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1331),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1335),
    [sym_kUses] = ACTIONS(1338),
    [sym_kInterface] = ACTIONS(1338),
    [sym_kImplementation] = ACTIONS(1338),
    [sym_kInitialization] = ACTIONS(1338),
    [sym_kFinalization] = ACTIONS(1338),
    [sym_kEnd] = ACTIONS(1338),
    [sym_kVar] = ACTIONS(1340),
    [sym_kThreadvar] = ACTIONS(1338),
    [sym_kConst] = ACTIONS(1340),
    [sym_kResourcestring] = ACTIONS(1338),
    [sym_kType] = ACTIONS(1338),
    [sym_kLabel] = ACTIONS(1338),
    [sym_kExports] = ACTIONS(1338),
    [sym_kProperty] = ACTIONS(1338),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1338),
    [sym_kGeneric] = ACTIONS(1338),
    [sym_kFunction] = ACTIONS(1338),
    [sym_kProcedure] = ACTIONS(1338),
    [sym_kConstructor] = ACTIONS(1338),
    [sym_kDestructor] = ACTIONS(1338),
    [sym_kOperator] = ACTIONS(1338),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1338),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1338),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(198),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [sym_kUses] = ACTIONS(1345),
    [sym_kInterface] = ACTIONS(1345),
    [sym_kImplementation] = ACTIONS(1345),
    [sym_kInitialization] = ACTIONS(1345),
    [sym_kFinalization] = ACTIONS(1345),
    [sym_kEnd] = ACTIONS(1345),
    [sym_kVar] = ACTIONS(1347),
    [sym_kThreadvar] = ACTIONS(1345),
    [sym_kConst] = ACTIONS(1347),
    [sym_kResourcestring] = ACTIONS(1345),
    [sym_kType] = ACTIONS(1345),
    [sym_kLabel] = ACTIONS(1345),
    [sym_kExports] = ACTIONS(1345),
    [sym_kProperty] = ACTIONS(1345),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1345),
    [sym_kGeneric] = ACTIONS(1345),
    [sym_kFunction] = ACTIONS(1345),
    [sym_kProcedure] = ACTIONS(1345),
    [sym_kConstructor] = ACTIONS(1345),
    [sym_kDestructor] = ACTIONS(1345),
    [sym_kOperator] = ACTIONS(1345),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1345),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1345),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(188),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [sym_kUses] = ACTIONS(1352),
    [sym_kInterface] = ACTIONS(1352),
    [sym_kImplementation] = ACTIONS(1352),
    [sym_kInitialization] = ACTIONS(1352),
    [sym_kFinalization] = ACTIONS(1352),
    [sym_kEnd] = ACTIONS(1352),
    [sym_kVar] = ACTIONS(1354),
    [sym_kThreadvar] = ACTIONS(1352),
    [sym_kConst] = ACTIONS(1354),
    [sym_kResourcestring] = ACTIONS(1352),
    [sym_kType] = ACTIONS(1352),
    [sym_kLabel] = ACTIONS(1352),
    [sym_kExports] = ACTIONS(1352),
    [sym_kProperty] = ACTIONS(1352),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1352),
    [sym_kGeneric] = ACTIONS(1352),
    [sym_kFunction] = ACTIONS(1352),
    [sym_kProcedure] = ACTIONS(1352),
    [sym_kConstructor] = ACTIONS(1352),
    [sym_kDestructor] = ACTIONS(1352),
    [sym_kOperator] = ACTIONS(1352),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1352),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1352),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(812),
    [sym_while] = STATE(812),
    [sym_repeat] = STATE(812),
    [sym_for] = STATE(812),
    [sym_foreach] = STATE(812),
    [sym_try] = STATE(812),
    [sym_case] = STATE(812),
    [sym_block] = STATE(812),
    [sym_asm] = STATE(812),
    [sym_with] = STATE(812),
    [sym_raise] = STATE(812),
    [sym_statement] = STATE(812),
    [sym_goto] = STATE(812),
    [sym__statement] = STATE(812),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(197),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [sym_kUses] = ACTIONS(1359),
    [sym_kInterface] = ACTIONS(1359),
    [sym_kImplementation] = ACTIONS(1359),
    [sym_kInitialization] = ACTIONS(1359),
    [sym_kFinalization] = ACTIONS(1359),
    [sym_kEnd] = ACTIONS(1359),
    [sym_kVar] = ACTIONS(1361),
    [sym_kThreadvar] = ACTIONS(1359),
    [sym_kConst] = ACTIONS(1361),
    [sym_kResourcestring] = ACTIONS(1359),
    [sym_kType] = ACTIONS(1359),
    [sym_kLabel] = ACTIONS(1359),
    [sym_kExports] = ACTIONS(1359),
    [sym_kProperty] = ACTIONS(1359),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1359),
    [sym_kGeneric] = ACTIONS(1359),
    [sym_kFunction] = ACTIONS(1359),
    [sym_kProcedure] = ACTIONS(1359),
    [sym_kConstructor] = ACTIONS(1359),
    [sym_kDestructor] = ACTIONS(1359),
    [sym_kOperator] = ACTIONS(1359),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1359),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1359),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(810),
    [sym_while] = STATE(810),
    [sym_repeat] = STATE(810),
    [sym_for] = STATE(810),
    [sym_foreach] = STATE(810),
    [sym_try] = STATE(810),
    [sym_case] = STATE(810),
    [sym_block] = STATE(810),
    [sym_asm] = STATE(810),
    [sym_with] = STATE(810),
    [sym_raise] = STATE(810),
    [sym_statement] = STATE(810),
    [sym_goto] = STATE(810),
    [sym__statement] = STATE(810),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(859),
    [sym_while] = STATE(859),
    [sym_repeat] = STATE(859),
    [sym_for] = STATE(859),
    [sym_foreach] = STATE(859),
    [sym_try] = STATE(859),
    [sym_case] = STATE(859),
    [sym_block] = STATE(859),
    [sym_asm] = STATE(859),
    [sym_with] = STATE(859),
    [sym_raise] = STATE(859),
    [sym_statement] = STATE(859),
    [sym_goto] = STATE(859),
    [sym__statement] = STATE(859),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(165),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [sym_kUses] = ACTIONS(1366),
    [sym_kInterface] = ACTIONS(1366),
    [sym_kImplementation] = ACTIONS(1366),
    [sym_kInitialization] = ACTIONS(1366),
    [sym_kFinalization] = ACTIONS(1366),
    [sym_kEnd] = ACTIONS(1366),
    [sym_kVar] = ACTIONS(1368),
    [sym_kThreadvar] = ACTIONS(1366),
    [sym_kConst] = ACTIONS(1368),
    [sym_kResourcestring] = ACTIONS(1366),
    [sym_kType] = ACTIONS(1366),
    [sym_kLabel] = ACTIONS(1366),
    [sym_kExports] = ACTIONS(1366),
    [sym_kProperty] = ACTIONS(1366),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1366),
    [sym_kGeneric] = ACTIONS(1366),
    [sym_kFunction] = ACTIONS(1366),
    [sym_kProcedure] = ACTIONS(1366),
    [sym_kConstructor] = ACTIONS(1366),
    [sym_kDestructor] = ACTIONS(1366),
    [sym_kOperator] = ACTIONS(1366),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1366),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1366),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_kUses] = ACTIONS(1373),
    [sym_kInterface] = ACTIONS(1373),
    [sym_kImplementation] = ACTIONS(1373),
    [sym_kInitialization] = ACTIONS(1373),
    [sym_kFinalization] = ACTIONS(1373),
    [sym_kEnd] = ACTIONS(1373),
    [sym_kVar] = ACTIONS(1375),
    [sym_kThreadvar] = ACTIONS(1373),
    [sym_kConst] = ACTIONS(1375),
    [sym_kResourcestring] = ACTIONS(1373),
    [sym_kType] = ACTIONS(1373),
    [sym_kLabel] = ACTIONS(1373),
    [sym_kExports] = ACTIONS(1373),
    [sym_kProperty] = ACTIONS(1373),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1373),
    [sym_kGeneric] = ACTIONS(1373),
    [sym_kFunction] = ACTIONS(1373),
    [sym_kProcedure] = ACTIONS(1373),
    [sym_kConstructor] = ACTIONS(1373),
    [sym_kDestructor] = ACTIONS(1373),
    [sym_kOperator] = ACTIONS(1373),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1373),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1373),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(194),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [sym_kUses] = ACTIONS(1380),
    [sym_kInterface] = ACTIONS(1380),
    [sym_kImplementation] = ACTIONS(1380),
    [sym_kInitialization] = ACTIONS(1380),
    [sym_kFinalization] = ACTIONS(1380),
    [sym_kEnd] = ACTIONS(1380),
    [sym_kVar] = ACTIONS(1382),
    [sym_kThreadvar] = ACTIONS(1380),
    [sym_kConst] = ACTIONS(1382),
    [sym_kResourcestring] = ACTIONS(1380),
    [sym_kType] = ACTIONS(1380),
    [sym_kLabel] = ACTIONS(1380),
    [sym_kExports] = ACTIONS(1380),
    [sym_kProperty] = ACTIONS(1380),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1380),
    [sym_kGeneric] = ACTIONS(1380),
    [sym_kFunction] = ACTIONS(1380),
    [sym_kProcedure] = ACTIONS(1380),
    [sym_kConstructor] = ACTIONS(1380),
    [sym_kDestructor] = ACTIONS(1380),
    [sym_kOperator] = ACTIONS(1380),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1380),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1380),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [sym_kUses] = ACTIONS(1387),
    [sym_kInterface] = ACTIONS(1387),
    [sym_kImplementation] = ACTIONS(1387),
    [sym_kInitialization] = ACTIONS(1387),
    [sym_kFinalization] = ACTIONS(1387),
    [sym_kEnd] = ACTIONS(1387),
    [sym_kVar] = ACTIONS(1389),
    [sym_kThreadvar] = ACTIONS(1387),
    [sym_kConst] = ACTIONS(1389),
    [sym_kResourcestring] = ACTIONS(1387),
    [sym_kType] = ACTIONS(1387),
    [sym_kLabel] = ACTIONS(1387),
    [sym_kExports] = ACTIONS(1387),
    [sym_kProperty] = ACTIONS(1387),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1387),
    [sym_kGeneric] = ACTIONS(1387),
    [sym_kFunction] = ACTIONS(1387),
    [sym_kProcedure] = ACTIONS(1387),
    [sym_kConstructor] = ACTIONS(1387),
    [sym_kDestructor] = ACTIONS(1387),
    [sym_kOperator] = ACTIONS(1387),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1387),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1387),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [sym_kUses] = ACTIONS(1394),
    [sym_kInterface] = ACTIONS(1394),
    [sym_kImplementation] = ACTIONS(1394),
    [sym_kInitialization] = ACTIONS(1394),
    [sym_kFinalization] = ACTIONS(1394),
    [sym_kEnd] = ACTIONS(1394),
    [sym_kVar] = ACTIONS(1396),
    [sym_kThreadvar] = ACTIONS(1394),
    [sym_kConst] = ACTIONS(1396),
    [sym_kResourcestring] = ACTIONS(1394),
    [sym_kType] = ACTIONS(1394),
    [sym_kLabel] = ACTIONS(1394),
    [sym_kExports] = ACTIONS(1394),
    [sym_kProperty] = ACTIONS(1394),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1394),
    [sym_kGeneric] = ACTIONS(1394),
    [sym_kFunction] = ACTIONS(1394),
    [sym_kProcedure] = ACTIONS(1394),
    [sym_kConstructor] = ACTIONS(1394),
    [sym_kDestructor] = ACTIONS(1394),
    [sym_kOperator] = ACTIONS(1394),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1394),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1394),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_kUses] = ACTIONS(1401),
    [sym_kInterface] = ACTIONS(1401),
    [sym_kImplementation] = ACTIONS(1401),
    [sym_kInitialization] = ACTIONS(1401),
    [sym_kFinalization] = ACTIONS(1401),
    [sym_kEnd] = ACTIONS(1401),
    [sym_kVar] = ACTIONS(1403),
    [sym_kThreadvar] = ACTIONS(1401),
    [sym_kConst] = ACTIONS(1403),
    [sym_kResourcestring] = ACTIONS(1401),
    [sym_kType] = ACTIONS(1401),
    [sym_kLabel] = ACTIONS(1401),
    [sym_kExports] = ACTIONS(1401),
    [sym_kProperty] = ACTIONS(1401),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1401),
    [sym_kGeneric] = ACTIONS(1401),
    [sym_kFunction] = ACTIONS(1401),
    [sym_kProcedure] = ACTIONS(1401),
    [sym_kConstructor] = ACTIONS(1401),
    [sym_kDestructor] = ACTIONS(1401),
    [sym_kOperator] = ACTIONS(1401),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1401),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1401),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_kUses] = ACTIONS(1407),
    [sym_kInterface] = ACTIONS(1407),
    [sym_kImplementation] = ACTIONS(1407),
    [sym_kInitialization] = ACTIONS(1407),
    [sym_kFinalization] = ACTIONS(1407),
    [sym_kBegin] = ACTIONS(1407),
    [sym_kEnd] = ACTIONS(1407),
    [sym_kAsm] = ACTIONS(1407),
    [sym_kVar] = ACTIONS(1407),
    [sym_kThreadvar] = ACTIONS(1407),
    [sym_kConst] = ACTIONS(1407),
    [sym_kResourcestring] = ACTIONS(1407),
    [sym_kType] = ACTIONS(1407),
    [sym_kLabel] = ACTIONS(1407),
    [sym_kExports] = ACTIONS(1407),
    [sym_kProperty] = ACTIONS(1407),
    [sym_kDefault] = ACTIONS(1407),
    [sym_kNodefault] = ACTIONS(1407),
    [sym_kDispId] = ACTIONS(1407),
    [sym_kClass] = ACTIONS(1407),
    [sym_kGeneric] = ACTIONS(1407),
    [sym_kFunction] = ACTIONS(1407),
    [sym_kProcedure] = ACTIONS(1407),
    [sym_kConstructor] = ACTIONS(1407),
    [sym_kDestructor] = ACTIONS(1407),
    [sym_kOperator] = ACTIONS(1407),
    [sym_kPublic] = ACTIONS(1407),
    [sym_kStatic] = ACTIONS(1407),
    [sym_kVirtual] = ACTIONS(1407),
    [sym_kAbstract] = ACTIONS(1407),
    [sym_kDynamic] = ACTIONS(1407),
    [sym_kOverride] = ACTIONS(1407),
    [sym_kOverload] = ACTIONS(1407),
    [sym_kReintroduce] = ACTIONS(1407),
    [sym_kInline] = ACTIONS(1407),
    [sym_kStdcall] = ACTIONS(1407),
    [sym_kCdecl] = ACTIONS(1407),
    [sym_kCppdecl] = ACTIONS(1407),
    [sym_kPascal] = ACTIONS(1407),
    [sym_kRegister] = ACTIONS(1407),
    [sym_kMwpascal] = ACTIONS(1407),
    [sym_kExternal] = ACTIONS(1407),
    [sym_kMessage] = ACTIONS(1407),
    [sym_kDeprecated] = ACTIONS(1407),
    [sym_kExperimental] = ACTIONS(1407),
    [sym_kPlatform] = ACTIONS(1407),
    [sym_kUnimplemented] = ACTIONS(1407),
    [sym_kCvar] = ACTIONS(1407),
    [sym_kExport] = ACTIONS(1407),
    [sym_kFar] = ACTIONS(1407),
    [sym_kNear] = ACTIONS(1407),
    [sym_kSafecall] = ACTIONS(1407),
    [sym_kAssembler] = ACTIONS(1407),
    [sym_kNostackframe] = ACTIONS(1407),
    [sym_kInterrupt] = ACTIONS(1407),
    [sym_kNoreturn] = ACTIONS(1407),
    [sym_kIocheck] = ACTIONS(1407),
    [sym_kLocal] = ACTIONS(1407),
    [sym_kHardfloat] = ACTIONS(1407),
    [sym_kSoftfloat] = ACTIONS(1407),
    [sym_kMs_abi_default] = ACTIONS(1407),
    [sym_kMs_abi_cdecl] = ACTIONS(1407),
    [sym_kSaveregisters] = ACTIONS(1407),
    [sym_kSysv_abi_default] = ACTIONS(1407),
    [sym_kSysv_abi_cdecl] = ACTIONS(1407),
    [sym_kVectorcall] = ACTIONS(1407),
    [sym_kVarargs] = ACTIONS(1407),
    [sym_kWinapi] = ACTIONS(1407),
    [sym_kAlias] = ACTIONS(1407),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_kUses] = ACTIONS(1411),
    [sym_kInterface] = ACTIONS(1411),
    [sym_kImplementation] = ACTIONS(1411),
    [sym_kInitialization] = ACTIONS(1411),
    [sym_kFinalization] = ACTIONS(1411),
    [sym_kBegin] = ACTIONS(1411),
    [sym_kEnd] = ACTIONS(1411),
    [sym_kAsm] = ACTIONS(1411),
    [sym_kVar] = ACTIONS(1411),
    [sym_kThreadvar] = ACTIONS(1411),
    [sym_kConst] = ACTIONS(1411),
    [sym_kResourcestring] = ACTIONS(1411),
    [sym_kType] = ACTIONS(1411),
    [sym_kLabel] = ACTIONS(1411),
    [sym_kExports] = ACTIONS(1411),
    [sym_kProperty] = ACTIONS(1411),
    [sym_kDefault] = ACTIONS(1411),
    [sym_kNodefault] = ACTIONS(1411),
    [sym_kDispId] = ACTIONS(1411),
    [sym_kClass] = ACTIONS(1411),
    [sym_kGeneric] = ACTIONS(1411),
    [sym_kFunction] = ACTIONS(1411),
    [sym_kProcedure] = ACTIONS(1411),
    [sym_kConstructor] = ACTIONS(1411),
    [sym_kDestructor] = ACTIONS(1411),
    [sym_kOperator] = ACTIONS(1411),
    [sym_kPublic] = ACTIONS(1411),
    [sym_kStatic] = ACTIONS(1411),
    [sym_kVirtual] = ACTIONS(1411),
    [sym_kAbstract] = ACTIONS(1411),
    [sym_kDynamic] = ACTIONS(1411),
    [sym_kOverride] = ACTIONS(1411),
    [sym_kOverload] = ACTIONS(1411),
    [sym_kReintroduce] = ACTIONS(1411),
    [sym_kInline] = ACTIONS(1411),
    [sym_kStdcall] = ACTIONS(1411),
    [sym_kCdecl] = ACTIONS(1411),
    [sym_kCppdecl] = ACTIONS(1411),
    [sym_kPascal] = ACTIONS(1411),
    [sym_kRegister] = ACTIONS(1411),
    [sym_kMwpascal] = ACTIONS(1411),
    [sym_kExternal] = ACTIONS(1411),
    [sym_kMessage] = ACTIONS(1411),
    [sym_kDeprecated] = ACTIONS(1411),
    [sym_kExperimental] = ACTIONS(1411),
    [sym_kPlatform] = ACTIONS(1411),
    [sym_kUnimplemented] = ACTIONS(1411),
    [sym_kCvar] = ACTIONS(1411),
    [sym_kExport] = ACTIONS(1411),
    [sym_kFar] = ACTIONS(1411),
    [sym_kNear] = ACTIONS(1411),
    [sym_kSafecall] = ACTIONS(1411),
    [sym_kAssembler] = ACTIONS(1411),
    [sym_kNostackframe] = ACTIONS(1411),
    [sym_kInterrupt] = ACTIONS(1411),
    [sym_kNoreturn] = ACTIONS(1411),
    [sym_kIocheck] = ACTIONS(1411),
    [sym_kLocal] = ACTIONS(1411),
    [sym_kHardfloat] = ACTIONS(1411),
    [sym_kSoftfloat] = ACTIONS(1411),
    [sym_kMs_abi_default] = ACTIONS(1411),
    [sym_kMs_abi_cdecl] = ACTIONS(1411),
    [sym_kSaveregisters] = ACTIONS(1411),
    [sym_kSysv_abi_default] = ACTIONS(1411),
    [sym_kSysv_abi_cdecl] = ACTIONS(1411),
    [sym_kVectorcall] = ACTIONS(1411),
    [sym_kVarargs] = ACTIONS(1411),
    [sym_kWinapi] = ACTIONS(1411),
    [sym_kAlias] = ACTIONS(1411),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_kUses] = ACTIONS(1416),
    [sym_kInterface] = ACTIONS(1416),
    [sym_kImplementation] = ACTIONS(1416),
    [sym_kInitialization] = ACTIONS(1416),
    [sym_kFinalization] = ACTIONS(1416),
    [sym_kEnd] = ACTIONS(1416),
    [sym_kVar] = ACTIONS(1418),
    [sym_kThreadvar] = ACTIONS(1416),
    [sym_kConst] = ACTIONS(1418),
    [sym_kResourcestring] = ACTIONS(1416),
    [sym_kType] = ACTIONS(1416),
    [sym_kLabel] = ACTIONS(1416),
    [sym_kExports] = ACTIONS(1416),
    [sym_kProperty] = ACTIONS(1416),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1416),
    [sym_kGeneric] = ACTIONS(1416),
    [sym_kFunction] = ACTIONS(1416),
    [sym_kProcedure] = ACTIONS(1416),
    [sym_kConstructor] = ACTIONS(1416),
    [sym_kDestructor] = ACTIONS(1416),
    [sym_kOperator] = ACTIONS(1416),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1416),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1416),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(208),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [sym_kUses] = ACTIONS(1423),
    [sym_kInterface] = ACTIONS(1423),
    [sym_kImplementation] = ACTIONS(1423),
    [sym_kInitialization] = ACTIONS(1423),
    [sym_kFinalization] = ACTIONS(1423),
    [sym_kEnd] = ACTIONS(1423),
    [sym_kVar] = ACTIONS(1425),
    [sym_kThreadvar] = ACTIONS(1423),
    [sym_kConst] = ACTIONS(1425),
    [sym_kResourcestring] = ACTIONS(1423),
    [sym_kType] = ACTIONS(1423),
    [sym_kLabel] = ACTIONS(1423),
    [sym_kExports] = ACTIONS(1423),
    [sym_kProperty] = ACTIONS(1423),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1423),
    [sym_kGeneric] = ACTIONS(1423),
    [sym_kFunction] = ACTIONS(1423),
    [sym_kProcedure] = ACTIONS(1423),
    [sym_kConstructor] = ACTIONS(1423),
    [sym_kDestructor] = ACTIONS(1423),
    [sym_kOperator] = ACTIONS(1423),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1423),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1423),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(170),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [sym_kUses] = ACTIONS(1430),
    [sym_kInterface] = ACTIONS(1430),
    [sym_kImplementation] = ACTIONS(1430),
    [sym_kInitialization] = ACTIONS(1430),
    [sym_kFinalization] = ACTIONS(1430),
    [sym_kEnd] = ACTIONS(1430),
    [sym_kVar] = ACTIONS(1432),
    [sym_kThreadvar] = ACTIONS(1430),
    [sym_kConst] = ACTIONS(1432),
    [sym_kResourcestring] = ACTIONS(1430),
    [sym_kType] = ACTIONS(1430),
    [sym_kLabel] = ACTIONS(1430),
    [sym_kExports] = ACTIONS(1430),
    [sym_kProperty] = ACTIONS(1430),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1430),
    [sym_kGeneric] = ACTIONS(1430),
    [sym_kFunction] = ACTIONS(1430),
    [sym_kProcedure] = ACTIONS(1430),
    [sym_kConstructor] = ACTIONS(1430),
    [sym_kDestructor] = ACTIONS(1430),
    [sym_kOperator] = ACTIONS(1430),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1430),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1430),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(223),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_kUses] = ACTIONS(1437),
    [sym_kInterface] = ACTIONS(1437),
    [sym_kImplementation] = ACTIONS(1437),
    [sym_kInitialization] = ACTIONS(1437),
    [sym_kFinalization] = ACTIONS(1437),
    [sym_kEnd] = ACTIONS(1437),
    [sym_kVar] = ACTIONS(1439),
    [sym_kThreadvar] = ACTIONS(1437),
    [sym_kConst] = ACTIONS(1439),
    [sym_kResourcestring] = ACTIONS(1437),
    [sym_kType] = ACTIONS(1437),
    [sym_kLabel] = ACTIONS(1437),
    [sym_kExports] = ACTIONS(1437),
    [sym_kProperty] = ACTIONS(1437),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1437),
    [sym_kGeneric] = ACTIONS(1437),
    [sym_kFunction] = ACTIONS(1437),
    [sym_kProcedure] = ACTIONS(1437),
    [sym_kConstructor] = ACTIONS(1437),
    [sym_kDestructor] = ACTIONS(1437),
    [sym_kOperator] = ACTIONS(1437),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1437),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1437),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_kUses] = ACTIONS(1444),
    [sym_kInterface] = ACTIONS(1444),
    [sym_kImplementation] = ACTIONS(1444),
    [sym_kInitialization] = ACTIONS(1444),
    [sym_kFinalization] = ACTIONS(1444),
    [sym_kEnd] = ACTIONS(1444),
    [sym_kVar] = ACTIONS(1446),
    [sym_kThreadvar] = ACTIONS(1444),
    [sym_kConst] = ACTIONS(1446),
    [sym_kResourcestring] = ACTIONS(1444),
    [sym_kType] = ACTIONS(1444),
    [sym_kLabel] = ACTIONS(1444),
    [sym_kExports] = ACTIONS(1444),
    [sym_kProperty] = ACTIONS(1444),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1444),
    [sym_kGeneric] = ACTIONS(1444),
    [sym_kFunction] = ACTIONS(1444),
    [sym_kProcedure] = ACTIONS(1444),
    [sym_kConstructor] = ACTIONS(1444),
    [sym_kDestructor] = ACTIONS(1444),
    [sym_kOperator] = ACTIONS(1444),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1444),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1444),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_if] = STATE(823),
    [sym_ifElse] = STATE(2038),
    [sym_while] = STATE(2038),
    [sym_repeat] = STATE(2038),
    [sym_for] = STATE(2038),
    [sym_foreach] = STATE(2038),
    [sym_try] = STATE(2038),
    [sym_case] = STATE(2038),
    [sym_block] = STATE(2038),
    [sym_asm] = STATE(2038),
    [sym_with] = STATE(2038),
    [sym_raise] = STATE(2038),
    [sym_statement] = STATE(2038),
    [sym_goto] = STATE(2038),
    [sym__statement] = STATE(2038),
    [sym_assignment] = STATE(2463),
    [sym_varAssignDef] = STATE(1936),
    [sym_varDef] = STATE(2463),
    [sym__expr] = STATE(1412),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(1412),
    [sym_exprUnary] = STATE(1412),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [sym_kBegin] = ACTIONS(927),
    [sym_kAsm] = ACTIONS(929),
    [sym_kVar] = ACTIONS(63),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kAdd] = ACTIONS(67),
    [sym_kSub] = ACTIONS(67),
    [sym_kAt] = ACTIONS(69),
    [sym_kNot] = ACTIONS(67),
    [sym_kFor] = ACTIONS(931),
    [sym_kIf] = ACTIONS(933),
    [sym_kWhile] = ACTIONS(935),
    [sym_kRepeat] = ACTIONS(937),
    [sym_kTry] = ACTIONS(939),
    [sym_kRaise] = ACTIONS(941),
    [sym_kCase] = ACTIONS(943),
    [sym_kWith] = ACTIONS(945),
    [sym_kGoto] = ACTIONS(947),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(183),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [sym_kUses] = ACTIONS(1451),
    [sym_kInterface] = ACTIONS(1451),
    [sym_kImplementation] = ACTIONS(1451),
    [sym_kInitialization] = ACTIONS(1451),
    [sym_kFinalization] = ACTIONS(1451),
    [sym_kEnd] = ACTIONS(1451),
    [sym_kVar] = ACTIONS(1453),
    [sym_kThreadvar] = ACTIONS(1451),
    [sym_kConst] = ACTIONS(1453),
    [sym_kResourcestring] = ACTIONS(1451),
    [sym_kType] = ACTIONS(1451),
    [sym_kLabel] = ACTIONS(1451),
    [sym_kExports] = ACTIONS(1451),
    [sym_kProperty] = ACTIONS(1451),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1451),
    [sym_kGeneric] = ACTIONS(1451),
    [sym_kFunction] = ACTIONS(1451),
    [sym_kProcedure] = ACTIONS(1451),
    [sym_kConstructor] = ACTIONS(1451),
    [sym_kDestructor] = ACTIONS(1451),
    [sym_kOperator] = ACTIONS(1451),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1451),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1451),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(165),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [sym_kUses] = ACTIONS(1458),
    [sym_kInterface] = ACTIONS(1458),
    [sym_kImplementation] = ACTIONS(1458),
    [sym_kInitialization] = ACTIONS(1458),
    [sym_kFinalization] = ACTIONS(1458),
    [sym_kEnd] = ACTIONS(1458),
    [sym_kVar] = ACTIONS(1460),
    [sym_kThreadvar] = ACTIONS(1458),
    [sym_kConst] = ACTIONS(1460),
    [sym_kResourcestring] = ACTIONS(1458),
    [sym_kType] = ACTIONS(1458),
    [sym_kLabel] = ACTIONS(1458),
    [sym_kExports] = ACTIONS(1458),
    [sym_kProperty] = ACTIONS(1458),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1458),
    [sym_kGeneric] = ACTIONS(1458),
    [sym_kFunction] = ACTIONS(1458),
    [sym_kProcedure] = ACTIONS(1458),
    [sym_kConstructor] = ACTIONS(1458),
    [sym_kDestructor] = ACTIONS(1458),
    [sym_kOperator] = ACTIONS(1458),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1458),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1458),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(184),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_kUses] = ACTIONS(1465),
    [sym_kInterface] = ACTIONS(1465),
    [sym_kImplementation] = ACTIONS(1465),
    [sym_kInitialization] = ACTIONS(1465),
    [sym_kFinalization] = ACTIONS(1465),
    [sym_kEnd] = ACTIONS(1465),
    [sym_kVar] = ACTIONS(1467),
    [sym_kThreadvar] = ACTIONS(1465),
    [sym_kConst] = ACTIONS(1467),
    [sym_kResourcestring] = ACTIONS(1465),
    [sym_kType] = ACTIONS(1465),
    [sym_kLabel] = ACTIONS(1465),
    [sym_kExports] = ACTIONS(1465),
    [sym_kProperty] = ACTIONS(1465),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1465),
    [sym_kGeneric] = ACTIONS(1465),
    [sym_kFunction] = ACTIONS(1465),
    [sym_kProcedure] = ACTIONS(1465),
    [sym_kConstructor] = ACTIONS(1465),
    [sym_kDestructor] = ACTIONS(1465),
    [sym_kOperator] = ACTIONS(1465),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1465),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1465),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_kUses] = ACTIONS(1472),
    [sym_kInterface] = ACTIONS(1472),
    [sym_kImplementation] = ACTIONS(1472),
    [sym_kInitialization] = ACTIONS(1472),
    [sym_kFinalization] = ACTIONS(1472),
    [sym_kEnd] = ACTIONS(1472),
    [sym_kVar] = ACTIONS(1474),
    [sym_kThreadvar] = ACTIONS(1472),
    [sym_kConst] = ACTIONS(1474),
    [sym_kResourcestring] = ACTIONS(1472),
    [sym_kType] = ACTIONS(1472),
    [sym_kLabel] = ACTIONS(1472),
    [sym_kExports] = ACTIONS(1472),
    [sym_kProperty] = ACTIONS(1472),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1472),
    [sym_kGeneric] = ACTIONS(1472),
    [sym_kFunction] = ACTIONS(1472),
    [sym_kProcedure] = ACTIONS(1472),
    [sym_kConstructor] = ACTIONS(1472),
    [sym_kDestructor] = ACTIONS(1472),
    [sym_kOperator] = ACTIONS(1472),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1472),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1472),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [sym_kUses] = ACTIONS(1479),
    [sym_kInterface] = ACTIONS(1479),
    [sym_kImplementation] = ACTIONS(1479),
    [sym_kInitialization] = ACTIONS(1479),
    [sym_kFinalization] = ACTIONS(1479),
    [sym_kEnd] = ACTIONS(1479),
    [sym_kVar] = ACTIONS(1481),
    [sym_kThreadvar] = ACTIONS(1479),
    [sym_kConst] = ACTIONS(1481),
    [sym_kResourcestring] = ACTIONS(1479),
    [sym_kType] = ACTIONS(1479),
    [sym_kLabel] = ACTIONS(1479),
    [sym_kExports] = ACTIONS(1479),
    [sym_kProperty] = ACTIONS(1479),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1479),
    [sym_kGeneric] = ACTIONS(1479),
    [sym_kFunction] = ACTIONS(1479),
    [sym_kProcedure] = ACTIONS(1479),
    [sym_kConstructor] = ACTIONS(1479),
    [sym_kDestructor] = ACTIONS(1479),
    [sym_kOperator] = ACTIONS(1479),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1479),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1479),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(179),
    [anon_sym_LBRACK] = ACTIONS(1483),
    [sym_kUses] = ACTIONS(1486),
    [sym_kInterface] = ACTIONS(1486),
    [sym_kImplementation] = ACTIONS(1486),
    [sym_kInitialization] = ACTIONS(1486),
    [sym_kFinalization] = ACTIONS(1486),
    [sym_kEnd] = ACTIONS(1486),
    [sym_kVar] = ACTIONS(1488),
    [sym_kThreadvar] = ACTIONS(1486),
    [sym_kConst] = ACTIONS(1488),
    [sym_kResourcestring] = ACTIONS(1486),
    [sym_kType] = ACTIONS(1486),
    [sym_kLabel] = ACTIONS(1486),
    [sym_kExports] = ACTIONS(1486),
    [sym_kProperty] = ACTIONS(1486),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1486),
    [sym_kGeneric] = ACTIONS(1486),
    [sym_kFunction] = ACTIONS(1486),
    [sym_kProcedure] = ACTIONS(1486),
    [sym_kConstructor] = ACTIONS(1486),
    [sym_kDestructor] = ACTIONS(1486),
    [sym_kOperator] = ACTIONS(1486),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1486),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1486),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(178),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [sym_kUses] = ACTIONS(1493),
    [sym_kInterface] = ACTIONS(1493),
    [sym_kImplementation] = ACTIONS(1493),
    [sym_kInitialization] = ACTIONS(1493),
    [sym_kFinalization] = ACTIONS(1493),
    [sym_kEnd] = ACTIONS(1493),
    [sym_kVar] = ACTIONS(1495),
    [sym_kThreadvar] = ACTIONS(1493),
    [sym_kConst] = ACTIONS(1495),
    [sym_kResourcestring] = ACTIONS(1493),
    [sym_kType] = ACTIONS(1493),
    [sym_kLabel] = ACTIONS(1493),
    [sym_kExports] = ACTIONS(1493),
    [sym_kProperty] = ACTIONS(1493),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1493),
    [sym_kGeneric] = ACTIONS(1493),
    [sym_kFunction] = ACTIONS(1493),
    [sym_kProcedure] = ACTIONS(1493),
    [sym_kConstructor] = ACTIONS(1493),
    [sym_kDestructor] = ACTIONS(1493),
    [sym_kOperator] = ACTIONS(1493),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1493),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1493),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(247),
    [sym_identifier] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_kEnd] = ACTIONS(542),
    [sym_kVar] = ACTIONS(542),
    [sym_kThreadvar] = ACTIONS(542),
    [sym_kConst] = ACTIONS(542),
    [sym_kResourcestring] = ACTIONS(542),
    [sym_kType] = ACTIONS(542),
    [sym_kProperty] = ACTIONS(542),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(542),
    [sym_kGeneric] = ACTIONS(542),
    [sym_kCase] = ACTIONS(542),
    [sym_kFunction] = ACTIONS(542),
    [sym_kProcedure] = ACTIONS(542),
    [sym_kConstructor] = ACTIONS(542),
    [sym_kDestructor] = ACTIONS(542),
    [sym_kOperator] = ACTIONS(542),
    [sym_kPublished] = ACTIONS(542),
    [sym_kPublic] = ACTIONS(1500),
    [sym_kProtected] = ACTIONS(542),
    [sym_kPrivate] = ACTIONS(542),
    [sym_kStrict] = ACTIONS(542),
    [sym_kRequired] = ACTIONS(542),
    [sym_kOptional] = ACTIONS(542),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym__literalString] = STATE(227),
    [sym_literalChar] = STATE(227),
    [aux_sym_literalString_repeat1] = STATE(227),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_RBRACK] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_RPAREN] = ACTIONS(1505),
    [aux_sym__literalString_token1] = ACTIONS(1507),
    [anon_sym_POUND] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1505),
    [sym_kEnd] = ACTIONS(1503),
    [sym_kVar] = ACTIONS(1503),
    [sym_kThreadvar] = ACTIONS(1503),
    [sym_kConst] = ACTIONS(1503),
    [sym_kResourcestring] = ACTIONS(1503),
    [sym_kType] = ACTIONS(1503),
    [sym_kAbsolute] = ACTIONS(1503),
    [sym_kProperty] = ACTIONS(1503),
    [sym_kClass] = ACTIONS(1503),
    [sym_kOf] = ACTIONS(1503),
    [sym_kGeneric] = ACTIONS(1503),
    [sym_kLt] = ACTIONS(1503),
    [sym_kEq] = ACTIONS(1505),
    [sym_kNeq] = ACTIONS(1505),
    [sym_kGt] = ACTIONS(1503),
    [sym_kLte] = ACTIONS(1505),
    [sym_kGte] = ACTIONS(1505),
    [sym_kAdd] = ACTIONS(1503),
    [sym_kSub] = ACTIONS(1503),
    [sym_kMul] = ACTIONS(1503),
    [sym_kFdiv] = ACTIONS(1503),
    [sym_kHat] = ACTIONS(1505),
    [sym_kAssign] = ACTIONS(1505),
    [sym_kAssignAdd] = ACTIONS(1505),
    [sym_kAssignSub] = ACTIONS(1505),
    [sym_kAssignMul] = ACTIONS(1505),
    [sym_kAssignDiv] = ACTIONS(1505),
    [sym_kOr] = ACTIONS(1503),
    [sym_kXor] = ACTIONS(1503),
    [sym_kDiv] = ACTIONS(1503),
    [sym_kMod] = ACTIONS(1503),
    [sym_kAnd] = ACTIONS(1503),
    [sym_kShl] = ACTIONS(1503),
    [sym_kShr] = ACTIONS(1503),
    [sym_kIs] = ACTIONS(1503),
    [sym_kAs] = ACTIONS(1503),
    [sym_kIn] = ACTIONS(1503),
    [sym_kThen] = ACTIONS(1503),
    [sym_kElse] = ACTIONS(1503),
    [sym_kDo] = ACTIONS(1503),
    [sym_kUntil] = ACTIONS(1503),
    [sym_kExcept] = ACTIONS(1503),
    [sym_kFinally] = ACTIONS(1503),
    [sym_kCase] = ACTIONS(1503),
    [sym_kFunction] = ACTIONS(1503),
    [sym_kProcedure] = ACTIONS(1503),
    [sym_kConstructor] = ACTIONS(1503),
    [sym_kDestructor] = ACTIONS(1503),
    [sym_kOperator] = ACTIONS(1503),
    [sym_kPublished] = ACTIONS(1503),
    [sym_kPublic] = ACTIONS(1503),
    [sym_kProtected] = ACTIONS(1503),
    [sym_kPrivate] = ACTIONS(1503),
    [sym_kStrict] = ACTIONS(1503),
    [sym_kRequired] = ACTIONS(1503),
    [sym_kOptional] = ACTIONS(1503),
    [sym_kDelayed] = ACTIONS(1503),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(235),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_kEnd] = ACTIONS(620),
    [sym_kVar] = ACTIONS(620),
    [sym_kThreadvar] = ACTIONS(620),
    [sym_kConst] = ACTIONS(620),
    [sym_kResourcestring] = ACTIONS(620),
    [sym_kType] = ACTIONS(620),
    [sym_kProperty] = ACTIONS(620),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(620),
    [sym_kGeneric] = ACTIONS(620),
    [sym_kCase] = ACTIONS(620),
    [sym_kFunction] = ACTIONS(620),
    [sym_kProcedure] = ACTIONS(620),
    [sym_kConstructor] = ACTIONS(620),
    [sym_kDestructor] = ACTIONS(620),
    [sym_kOperator] = ACTIONS(620),
    [sym_kPublished] = ACTIONS(620),
    [sym_kPublic] = ACTIONS(1516),
    [sym_kProtected] = ACTIONS(620),
    [sym_kPrivate] = ACTIONS(620),
    [sym_kStrict] = ACTIONS(620),
    [sym_kRequired] = ACTIONS(620),
    [sym_kOptional] = ACTIONS(620),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(1519),
    [sym_kEnd] = ACTIONS(584),
    [sym_kVar] = ACTIONS(584),
    [sym_kThreadvar] = ACTIONS(584),
    [sym_kConst] = ACTIONS(584),
    [sym_kResourcestring] = ACTIONS(584),
    [sym_kType] = ACTIONS(584),
    [sym_kProperty] = ACTIONS(584),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(584),
    [sym_kGeneric] = ACTIONS(584),
    [sym_kCase] = ACTIONS(584),
    [sym_kFunction] = ACTIONS(584),
    [sym_kProcedure] = ACTIONS(584),
    [sym_kConstructor] = ACTIONS(584),
    [sym_kDestructor] = ACTIONS(584),
    [sym_kOperator] = ACTIONS(584),
    [sym_kPublished] = ACTIONS(584),
    [sym_kPublic] = ACTIONS(1522),
    [sym_kProtected] = ACTIONS(584),
    [sym_kPrivate] = ACTIONS(584),
    [sym_kStrict] = ACTIONS(584),
    [sym_kRequired] = ACTIONS(584),
    [sym_kOptional] = ACTIONS(584),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(1525),
    [sym_kEnd] = ACTIONS(727),
    [sym_kVar] = ACTIONS(727),
    [sym_kThreadvar] = ACTIONS(727),
    [sym_kConst] = ACTIONS(727),
    [sym_kResourcestring] = ACTIONS(727),
    [sym_kType] = ACTIONS(727),
    [sym_kProperty] = ACTIONS(727),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(727),
    [sym_kGeneric] = ACTIONS(727),
    [sym_kCase] = ACTIONS(727),
    [sym_kFunction] = ACTIONS(727),
    [sym_kProcedure] = ACTIONS(727),
    [sym_kConstructor] = ACTIONS(727),
    [sym_kDestructor] = ACTIONS(727),
    [sym_kOperator] = ACTIONS(727),
    [sym_kPublished] = ACTIONS(727),
    [sym_kPublic] = ACTIONS(1528),
    [sym_kProtected] = ACTIONS(727),
    [sym_kPrivate] = ACTIONS(727),
    [sym_kStrict] = ACTIONS(727),
    [sym_kRequired] = ACTIONS(727),
    [sym_kOptional] = ACTIONS(727),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(549),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym_kEnd] = ACTIONS(549),
    [sym_kVar] = ACTIONS(549),
    [sym_kThreadvar] = ACTIONS(549),
    [sym_kConst] = ACTIONS(549),
    [sym_kResourcestring] = ACTIONS(549),
    [sym_kType] = ACTIONS(549),
    [sym_kProperty] = ACTIONS(549),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(549),
    [sym_kGeneric] = ACTIONS(549),
    [sym_kCase] = ACTIONS(549),
    [sym_kFunction] = ACTIONS(549),
    [sym_kProcedure] = ACTIONS(549),
    [sym_kConstructor] = ACTIONS(549),
    [sym_kDestructor] = ACTIONS(549),
    [sym_kOperator] = ACTIONS(549),
    [sym_kPublished] = ACTIONS(549),
    [sym_kPublic] = ACTIONS(1534),
    [sym_kProtected] = ACTIONS(549),
    [sym_kPrivate] = ACTIONS(549),
    [sym_kStrict] = ACTIONS(549),
    [sym_kRequired] = ACTIONS(549),
    [sym_kOptional] = ACTIONS(549),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(599),
    [anon_sym_LBRACK] = ACTIONS(1537),
    [sym_kEnd] = ACTIONS(599),
    [sym_kVar] = ACTIONS(599),
    [sym_kThreadvar] = ACTIONS(599),
    [sym_kConst] = ACTIONS(599),
    [sym_kResourcestring] = ACTIONS(599),
    [sym_kType] = ACTIONS(599),
    [sym_kProperty] = ACTIONS(599),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(599),
    [sym_kGeneric] = ACTIONS(599),
    [sym_kCase] = ACTIONS(599),
    [sym_kFunction] = ACTIONS(599),
    [sym_kProcedure] = ACTIONS(599),
    [sym_kConstructor] = ACTIONS(599),
    [sym_kDestructor] = ACTIONS(599),
    [sym_kOperator] = ACTIONS(599),
    [sym_kPublished] = ACTIONS(599),
    [sym_kPublic] = ACTIONS(1540),
    [sym_kProtected] = ACTIONS(599),
    [sym_kPrivate] = ACTIONS(599),
    [sym_kStrict] = ACTIONS(599),
    [sym_kRequired] = ACTIONS(599),
    [sym_kOptional] = ACTIONS(599),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [sym_kEnd] = ACTIONS(762),
    [sym_kVar] = ACTIONS(762),
    [sym_kThreadvar] = ACTIONS(762),
    [sym_kConst] = ACTIONS(762),
    [sym_kResourcestring] = ACTIONS(762),
    [sym_kType] = ACTIONS(762),
    [sym_kProperty] = ACTIONS(762),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(762),
    [sym_kGeneric] = ACTIONS(762),
    [sym_kCase] = ACTIONS(762),
    [sym_kFunction] = ACTIONS(762),
    [sym_kProcedure] = ACTIONS(762),
    [sym_kConstructor] = ACTIONS(762),
    [sym_kDestructor] = ACTIONS(762),
    [sym_kOperator] = ACTIONS(762),
    [sym_kPublished] = ACTIONS(762),
    [sym_kPublic] = ACTIONS(1546),
    [sym_kProtected] = ACTIONS(762),
    [sym_kPrivate] = ACTIONS(762),
    [sym_kStrict] = ACTIONS(762),
    [sym_kRequired] = ACTIONS(762),
    [sym_kOptional] = ACTIONS(762),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__literalString] = STATE(227),
    [sym_literalChar] = STATE(227),
    [aux_sym_literalString_repeat1] = STATE(227),
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [aux_sym__literalString_token1] = ACTIONS(1553),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(1551),
    [sym_kEnd] = ACTIONS(1549),
    [sym_kVar] = ACTIONS(1549),
    [sym_kThreadvar] = ACTIONS(1549),
    [sym_kConst] = ACTIONS(1549),
    [sym_kResourcestring] = ACTIONS(1549),
    [sym_kType] = ACTIONS(1549),
    [sym_kAbsolute] = ACTIONS(1549),
    [sym_kProperty] = ACTIONS(1549),
    [sym_kClass] = ACTIONS(1549),
    [sym_kOf] = ACTIONS(1549),
    [sym_kGeneric] = ACTIONS(1549),
    [sym_kLt] = ACTIONS(1549),
    [sym_kEq] = ACTIONS(1551),
    [sym_kNeq] = ACTIONS(1551),
    [sym_kGt] = ACTIONS(1549),
    [sym_kLte] = ACTIONS(1551),
    [sym_kGte] = ACTIONS(1551),
    [sym_kAdd] = ACTIONS(1549),
    [sym_kSub] = ACTIONS(1549),
    [sym_kMul] = ACTIONS(1549),
    [sym_kFdiv] = ACTIONS(1549),
    [sym_kHat] = ACTIONS(1551),
    [sym_kAssign] = ACTIONS(1551),
    [sym_kAssignAdd] = ACTIONS(1551),
    [sym_kAssignSub] = ACTIONS(1551),
    [sym_kAssignMul] = ACTIONS(1551),
    [sym_kAssignDiv] = ACTIONS(1551),
    [sym_kOr] = ACTIONS(1549),
    [sym_kXor] = ACTIONS(1549),
    [sym_kDiv] = ACTIONS(1549),
    [sym_kMod] = ACTIONS(1549),
    [sym_kAnd] = ACTIONS(1549),
    [sym_kShl] = ACTIONS(1549),
    [sym_kShr] = ACTIONS(1549),
    [sym_kIs] = ACTIONS(1549),
    [sym_kAs] = ACTIONS(1549),
    [sym_kIn] = ACTIONS(1549),
    [sym_kThen] = ACTIONS(1549),
    [sym_kElse] = ACTIONS(1549),
    [sym_kDo] = ACTIONS(1549),
    [sym_kUntil] = ACTIONS(1549),
    [sym_kExcept] = ACTIONS(1549),
    [sym_kFinally] = ACTIONS(1549),
    [sym_kCase] = ACTIONS(1549),
    [sym_kFunction] = ACTIONS(1549),
    [sym_kProcedure] = ACTIONS(1549),
    [sym_kConstructor] = ACTIONS(1549),
    [sym_kDestructor] = ACTIONS(1549),
    [sym_kOperator] = ACTIONS(1549),
    [sym_kPublished] = ACTIONS(1549),
    [sym_kPublic] = ACTIONS(1549),
    [sym_kProtected] = ACTIONS(1549),
    [sym_kPrivate] = ACTIONS(1549),
    [sym_kStrict] = ACTIONS(1549),
    [sym_kRequired] = ACTIONS(1549),
    [sym_kOptional] = ACTIONS(1549),
    [sym_kDelayed] = ACTIONS(1549),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [sym_kEnd] = ACTIONS(748),
    [sym_kVar] = ACTIONS(748),
    [sym_kThreadvar] = ACTIONS(748),
    [sym_kConst] = ACTIONS(748),
    [sym_kResourcestring] = ACTIONS(748),
    [sym_kType] = ACTIONS(748),
    [sym_kProperty] = ACTIONS(748),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(748),
    [sym_kGeneric] = ACTIONS(748),
    [sym_kCase] = ACTIONS(748),
    [sym_kFunction] = ACTIONS(748),
    [sym_kProcedure] = ACTIONS(748),
    [sym_kConstructor] = ACTIONS(748),
    [sym_kDestructor] = ACTIONS(748),
    [sym_kOperator] = ACTIONS(748),
    [sym_kPublished] = ACTIONS(748),
    [sym_kPublic] = ACTIONS(1558),
    [sym_kProtected] = ACTIONS(748),
    [sym_kPrivate] = ACTIONS(748),
    [sym_kStrict] = ACTIONS(748),
    [sym_kRequired] = ACTIONS(748),
    [sym_kOptional] = ACTIONS(748),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(230),
    [sym_identifier] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1561),
    [sym_kEnd] = ACTIONS(627),
    [sym_kVar] = ACTIONS(627),
    [sym_kThreadvar] = ACTIONS(627),
    [sym_kConst] = ACTIONS(627),
    [sym_kResourcestring] = ACTIONS(627),
    [sym_kType] = ACTIONS(627),
    [sym_kProperty] = ACTIONS(627),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(627),
    [sym_kGeneric] = ACTIONS(627),
    [sym_kCase] = ACTIONS(627),
    [sym_kFunction] = ACTIONS(627),
    [sym_kProcedure] = ACTIONS(627),
    [sym_kConstructor] = ACTIONS(627),
    [sym_kDestructor] = ACTIONS(627),
    [sym_kOperator] = ACTIONS(627),
    [sym_kPublished] = ACTIONS(627),
    [sym_kPublic] = ACTIONS(1564),
    [sym_kProtected] = ACTIONS(627),
    [sym_kPrivate] = ACTIONS(627),
    [sym_kStrict] = ACTIONS(627),
    [sym_kRequired] = ACTIONS(627),
    [sym_kOptional] = ACTIONS(627),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(249),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(1567),
    [sym_kEnd] = ACTIONS(528),
    [sym_kVar] = ACTIONS(528),
    [sym_kThreadvar] = ACTIONS(528),
    [sym_kConst] = ACTIONS(528),
    [sym_kResourcestring] = ACTIONS(528),
    [sym_kType] = ACTIONS(528),
    [sym_kProperty] = ACTIONS(528),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(528),
    [sym_kGeneric] = ACTIONS(528),
    [sym_kCase] = ACTIONS(528),
    [sym_kFunction] = ACTIONS(528),
    [sym_kProcedure] = ACTIONS(528),
    [sym_kConstructor] = ACTIONS(528),
    [sym_kDestructor] = ACTIONS(528),
    [sym_kOperator] = ACTIONS(528),
    [sym_kPublished] = ACTIONS(528),
    [sym_kPublic] = ACTIONS(1570),
    [sym_kProtected] = ACTIONS(528),
    [sym_kPrivate] = ACTIONS(528),
    [sym_kStrict] = ACTIONS(528),
    [sym_kRequired] = ACTIONS(528),
    [sym_kOptional] = ACTIONS(528),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(241),
    [sym_identifier] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(1573),
    [sym_kEnd] = ACTIONS(606),
    [sym_kVar] = ACTIONS(606),
    [sym_kThreadvar] = ACTIONS(606),
    [sym_kConst] = ACTIONS(606),
    [sym_kResourcestring] = ACTIONS(606),
    [sym_kType] = ACTIONS(606),
    [sym_kProperty] = ACTIONS(606),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(606),
    [sym_kGeneric] = ACTIONS(606),
    [sym_kCase] = ACTIONS(606),
    [sym_kFunction] = ACTIONS(606),
    [sym_kProcedure] = ACTIONS(606),
    [sym_kConstructor] = ACTIONS(606),
    [sym_kDestructor] = ACTIONS(606),
    [sym_kOperator] = ACTIONS(606),
    [sym_kPublished] = ACTIONS(606),
    [sym_kPublic] = ACTIONS(1576),
    [sym_kProtected] = ACTIONS(606),
    [sym_kPrivate] = ACTIONS(606),
    [sym_kStrict] = ACTIONS(606),
    [sym_kRequired] = ACTIONS(606),
    [sym_kOptional] = ACTIONS(606),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(1579),
    [sym_kEnd] = ACTIONS(535),
    [sym_kVar] = ACTIONS(535),
    [sym_kThreadvar] = ACTIONS(535),
    [sym_kConst] = ACTIONS(535),
    [sym_kResourcestring] = ACTIONS(535),
    [sym_kType] = ACTIONS(535),
    [sym_kProperty] = ACTIONS(535),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(535),
    [sym_kGeneric] = ACTIONS(535),
    [sym_kCase] = ACTIONS(535),
    [sym_kFunction] = ACTIONS(535),
    [sym_kProcedure] = ACTIONS(535),
    [sym_kConstructor] = ACTIONS(535),
    [sym_kDestructor] = ACTIONS(535),
    [sym_kOperator] = ACTIONS(535),
    [sym_kPublished] = ACTIONS(535),
    [sym_kPublic] = ACTIONS(1582),
    [sym_kProtected] = ACTIONS(535),
    [sym_kPrivate] = ACTIONS(535),
    [sym_kStrict] = ACTIONS(535),
    [sym_kRequired] = ACTIONS(535),
    [sym_kOptional] = ACTIONS(535),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(232),
    [sym_identifier] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(1585),
    [sym_kEnd] = ACTIONS(769),
    [sym_kVar] = ACTIONS(769),
    [sym_kThreadvar] = ACTIONS(769),
    [sym_kConst] = ACTIONS(769),
    [sym_kResourcestring] = ACTIONS(769),
    [sym_kType] = ACTIONS(769),
    [sym_kProperty] = ACTIONS(769),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(769),
    [sym_kGeneric] = ACTIONS(769),
    [sym_kCase] = ACTIONS(769),
    [sym_kFunction] = ACTIONS(769),
    [sym_kProcedure] = ACTIONS(769),
    [sym_kConstructor] = ACTIONS(769),
    [sym_kDestructor] = ACTIONS(769),
    [sym_kOperator] = ACTIONS(769),
    [sym_kPublished] = ACTIONS(769),
    [sym_kPublic] = ACTIONS(1588),
    [sym_kProtected] = ACTIONS(769),
    [sym_kPrivate] = ACTIONS(769),
    [sym_kStrict] = ACTIONS(769),
    [sym_kRequired] = ACTIONS(769),
    [sym_kOptional] = ACTIONS(769),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [sym_kEnd] = ACTIONS(800),
    [sym_kVar] = ACTIONS(800),
    [sym_kThreadvar] = ACTIONS(800),
    [sym_kConst] = ACTIONS(800),
    [sym_kResourcestring] = ACTIONS(800),
    [sym_kType] = ACTIONS(800),
    [sym_kProperty] = ACTIONS(800),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(800),
    [sym_kGeneric] = ACTIONS(800),
    [sym_kCase] = ACTIONS(800),
    [sym_kFunction] = ACTIONS(800),
    [sym_kProcedure] = ACTIONS(800),
    [sym_kConstructor] = ACTIONS(800),
    [sym_kDestructor] = ACTIONS(800),
    [sym_kOperator] = ACTIONS(800),
    [sym_kPublished] = ACTIONS(800),
    [sym_kPublic] = ACTIONS(1594),
    [sym_kProtected] = ACTIONS(800),
    [sym_kPrivate] = ACTIONS(800),
    [sym_kStrict] = ACTIONS(800),
    [sym_kRequired] = ACTIONS(800),
    [sym_kOptional] = ACTIONS(800),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym_kEnd] = ACTIONS(556),
    [sym_kVar] = ACTIONS(556),
    [sym_kThreadvar] = ACTIONS(556),
    [sym_kConst] = ACTIONS(556),
    [sym_kResourcestring] = ACTIONS(556),
    [sym_kType] = ACTIONS(556),
    [sym_kProperty] = ACTIONS(556),
    [sym_kDefault] = ACTIONS(561),
    [sym_kNodefault] = ACTIONS(561),
    [sym_kDispId] = ACTIONS(564),
    [sym_kClass] = ACTIONS(556),
    [sym_kGeneric] = ACTIONS(556),
    [sym_kCase] = ACTIONS(556),
    [sym_kFunction] = ACTIONS(556),
    [sym_kProcedure] = ACTIONS(556),
    [sym_kConstructor] = ACTIONS(556),
    [sym_kDestructor] = ACTIONS(556),
    [sym_kOperator] = ACTIONS(556),
    [sym_kPublished] = ACTIONS(556),
    [sym_kPublic] = ACTIONS(567),
    [sym_kProtected] = ACTIONS(556),
    [sym_kPrivate] = ACTIONS(556),
    [sym_kStrict] = ACTIONS(556),
    [sym_kRequired] = ACTIONS(556),
    [sym_kOptional] = ACTIONS(556),
    [sym_kStatic] = ACTIONS(561),
    [sym_kVirtual] = ACTIONS(561),
    [sym_kAbstract] = ACTIONS(561),
    [sym_kDynamic] = ACTIONS(561),
    [sym_kOverride] = ACTIONS(561),
    [sym_kOverload] = ACTIONS(561),
    [sym_kReintroduce] = ACTIONS(561),
    [sym_kInline] = ACTIONS(561),
    [sym_kStdcall] = ACTIONS(561),
    [sym_kCdecl] = ACTIONS(561),
    [sym_kCppdecl] = ACTIONS(561),
    [sym_kPascal] = ACTIONS(561),
    [sym_kRegister] = ACTIONS(561),
    [sym_kMwpascal] = ACTIONS(561),
    [sym_kMessage] = ACTIONS(570),
    [sym_kDeprecated] = ACTIONS(573),
    [sym_kExperimental] = ACTIONS(561),
    [sym_kPlatform] = ACTIONS(561),
    [sym_kUnimplemented] = ACTIONS(561),
    [sym_kCvar] = ACTIONS(561),
    [sym_kExport] = ACTIONS(576),
    [sym_kFar] = ACTIONS(561),
    [sym_kNear] = ACTIONS(561),
    [sym_kSafecall] = ACTIONS(561),
    [sym_kAssembler] = ACTIONS(561),
    [sym_kNostackframe] = ACTIONS(561),
    [sym_kInterrupt] = ACTIONS(561),
    [sym_kNoreturn] = ACTIONS(561),
    [sym_kIocheck] = ACTIONS(561),
    [sym_kLocal] = ACTIONS(561),
    [sym_kHardfloat] = ACTIONS(561),
    [sym_kSoftfloat] = ACTIONS(561),
    [sym_kMs_abi_default] = ACTIONS(561),
    [sym_kMs_abi_cdecl] = ACTIONS(561),
    [sym_kSaveregisters] = ACTIONS(561),
    [sym_kSysv_abi_default] = ACTIONS(561),
    [sym_kSysv_abi_cdecl] = ACTIONS(561),
    [sym_kVectorcall] = ACTIONS(561),
    [sym_kVarargs] = ACTIONS(561),
    [sym_kWinapi] = ACTIONS(561),
    [sym_kAlias] = ACTIONS(579),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [sym_kEnd] = ACTIONS(807),
    [sym_kVar] = ACTIONS(807),
    [sym_kThreadvar] = ACTIONS(807),
    [sym_kConst] = ACTIONS(807),
    [sym_kResourcestring] = ACTIONS(807),
    [sym_kType] = ACTIONS(807),
    [sym_kProperty] = ACTIONS(807),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(807),
    [sym_kGeneric] = ACTIONS(807),
    [sym_kCase] = ACTIONS(807),
    [sym_kFunction] = ACTIONS(807),
    [sym_kProcedure] = ACTIONS(807),
    [sym_kConstructor] = ACTIONS(807),
    [sym_kDestructor] = ACTIONS(807),
    [sym_kOperator] = ACTIONS(807),
    [sym_kPublished] = ACTIONS(807),
    [sym_kPublic] = ACTIONS(1603),
    [sym_kProtected] = ACTIONS(807),
    [sym_kPrivate] = ACTIONS(807),
    [sym_kStrict] = ACTIONS(807),
    [sym_kRequired] = ACTIONS(807),
    [sym_kOptional] = ACTIONS(807),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym_kUses] = ACTIONS(1608),
    [sym_kInterface] = ACTIONS(1608),
    [sym_kImplementation] = ACTIONS(1608),
    [sym_kInitialization] = ACTIONS(1608),
    [sym_kFinalization] = ACTIONS(1608),
    [sym_kBegin] = ACTIONS(1608),
    [sym_kEnd] = ACTIONS(1608),
    [sym_kAsm] = ACTIONS(1608),
    [sym_kVar] = ACTIONS(1608),
    [sym_kThreadvar] = ACTIONS(1608),
    [sym_kConst] = ACTIONS(1608),
    [sym_kResourcestring] = ACTIONS(1608),
    [sym_kType] = ACTIONS(1608),
    [sym_kLabel] = ACTIONS(1608),
    [sym_kExports] = ACTIONS(1608),
    [sym_kProperty] = ACTIONS(1608),
    [sym_kDefault] = ACTIONS(1608),
    [sym_kNodefault] = ACTIONS(1608),
    [sym_kDispId] = ACTIONS(1608),
    [sym_kClass] = ACTIONS(1608),
    [sym_kGeneric] = ACTIONS(1608),
    [sym_kFunction] = ACTIONS(1608),
    [sym_kProcedure] = ACTIONS(1608),
    [sym_kConstructor] = ACTIONS(1608),
    [sym_kDestructor] = ACTIONS(1608),
    [sym_kOperator] = ACTIONS(1608),
    [sym_kPublic] = ACTIONS(1608),
    [sym_kStatic] = ACTIONS(1608),
    [sym_kVirtual] = ACTIONS(1608),
    [sym_kAbstract] = ACTIONS(1608),
    [sym_kDynamic] = ACTIONS(1608),
    [sym_kOverride] = ACTIONS(1608),
    [sym_kOverload] = ACTIONS(1608),
    [sym_kReintroduce] = ACTIONS(1608),
    [sym_kInline] = ACTIONS(1608),
    [sym_kStdcall] = ACTIONS(1608),
    [sym_kCdecl] = ACTIONS(1608),
    [sym_kCppdecl] = ACTIONS(1608),
    [sym_kPascal] = ACTIONS(1608),
    [sym_kRegister] = ACTIONS(1608),
    [sym_kMwpascal] = ACTIONS(1608),
    [sym_kMessage] = ACTIONS(1608),
    [sym_kDeprecated] = ACTIONS(1608),
    [sym_kExperimental] = ACTIONS(1608),
    [sym_kPlatform] = ACTIONS(1608),
    [sym_kUnimplemented] = ACTIONS(1608),
    [sym_kCvar] = ACTIONS(1608),
    [sym_kExport] = ACTIONS(1608),
    [sym_kFar] = ACTIONS(1608),
    [sym_kNear] = ACTIONS(1608),
    [sym_kSafecall] = ACTIONS(1608),
    [sym_kAssembler] = ACTIONS(1608),
    [sym_kNostackframe] = ACTIONS(1608),
    [sym_kInterrupt] = ACTIONS(1608),
    [sym_kNoreturn] = ACTIONS(1608),
    [sym_kIocheck] = ACTIONS(1608),
    [sym_kLocal] = ACTIONS(1608),
    [sym_kHardfloat] = ACTIONS(1608),
    [sym_kSoftfloat] = ACTIONS(1608),
    [sym_kMs_abi_default] = ACTIONS(1608),
    [sym_kMs_abi_cdecl] = ACTIONS(1608),
    [sym_kSaveregisters] = ACTIONS(1608),
    [sym_kSysv_abi_default] = ACTIONS(1608),
    [sym_kSysv_abi_cdecl] = ACTIONS(1608),
    [sym_kVectorcall] = ACTIONS(1608),
    [sym_kVarargs] = ACTIONS(1608),
    [sym_kWinapi] = ACTIONS(1608),
    [sym_kAlias] = ACTIONS(1608),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(243),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym_kEnd] = ACTIONS(613),
    [sym_kVar] = ACTIONS(613),
    [sym_kThreadvar] = ACTIONS(613),
    [sym_kConst] = ACTIONS(613),
    [sym_kResourcestring] = ACTIONS(613),
    [sym_kType] = ACTIONS(613),
    [sym_kProperty] = ACTIONS(613),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(613),
    [sym_kGeneric] = ACTIONS(613),
    [sym_kCase] = ACTIONS(613),
    [sym_kFunction] = ACTIONS(613),
    [sym_kProcedure] = ACTIONS(613),
    [sym_kConstructor] = ACTIONS(613),
    [sym_kDestructor] = ACTIONS(613),
    [sym_kOperator] = ACTIONS(613),
    [sym_kPublished] = ACTIONS(613),
    [sym_kPublic] = ACTIONS(1613),
    [sym_kProtected] = ACTIONS(613),
    [sym_kPrivate] = ACTIONS(613),
    [sym_kStrict] = ACTIONS(613),
    [sym_kRequired] = ACTIONS(613),
    [sym_kOptional] = ACTIONS(613),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [sym_kEnd] = ACTIONS(755),
    [sym_kVar] = ACTIONS(755),
    [sym_kThreadvar] = ACTIONS(755),
    [sym_kConst] = ACTIONS(755),
    [sym_kResourcestring] = ACTIONS(755),
    [sym_kType] = ACTIONS(755),
    [sym_kProperty] = ACTIONS(755),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(755),
    [sym_kGeneric] = ACTIONS(755),
    [sym_kCase] = ACTIONS(755),
    [sym_kFunction] = ACTIONS(755),
    [sym_kProcedure] = ACTIONS(755),
    [sym_kConstructor] = ACTIONS(755),
    [sym_kDestructor] = ACTIONS(755),
    [sym_kOperator] = ACTIONS(755),
    [sym_kPublished] = ACTIONS(755),
    [sym_kPublic] = ACTIONS(1619),
    [sym_kProtected] = ACTIONS(755),
    [sym_kPrivate] = ACTIONS(755),
    [sym_kStrict] = ACTIONS(755),
    [sym_kRequired] = ACTIONS(755),
    [sym_kOptional] = ACTIONS(755),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_kEnd] = ACTIONS(741),
    [sym_kVar] = ACTIONS(741),
    [sym_kThreadvar] = ACTIONS(741),
    [sym_kConst] = ACTIONS(741),
    [sym_kResourcestring] = ACTIONS(741),
    [sym_kType] = ACTIONS(741),
    [sym_kProperty] = ACTIONS(741),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(741),
    [sym_kGeneric] = ACTIONS(741),
    [sym_kCase] = ACTIONS(741),
    [sym_kFunction] = ACTIONS(741),
    [sym_kProcedure] = ACTIONS(741),
    [sym_kConstructor] = ACTIONS(741),
    [sym_kDestructor] = ACTIONS(741),
    [sym_kOperator] = ACTIONS(741),
    [sym_kPublished] = ACTIONS(741),
    [sym_kPublic] = ACTIONS(1625),
    [sym_kProtected] = ACTIONS(741),
    [sym_kPrivate] = ACTIONS(741),
    [sym_kStrict] = ACTIONS(741),
    [sym_kRequired] = ACTIONS(741),
    [sym_kOptional] = ACTIONS(741),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(233),
    [sym_identifier] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(1628),
    [sym_kEnd] = ACTIONS(734),
    [sym_kVar] = ACTIONS(734),
    [sym_kThreadvar] = ACTIONS(734),
    [sym_kConst] = ACTIONS(734),
    [sym_kResourcestring] = ACTIONS(734),
    [sym_kType] = ACTIONS(734),
    [sym_kProperty] = ACTIONS(734),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(734),
    [sym_kGeneric] = ACTIONS(734),
    [sym_kCase] = ACTIONS(734),
    [sym_kFunction] = ACTIONS(734),
    [sym_kProcedure] = ACTIONS(734),
    [sym_kConstructor] = ACTIONS(734),
    [sym_kDestructor] = ACTIONS(734),
    [sym_kOperator] = ACTIONS(734),
    [sym_kPublished] = ACTIONS(734),
    [sym_kPublic] = ACTIONS(1631),
    [sym_kProtected] = ACTIONS(734),
    [sym_kPrivate] = ACTIONS(734),
    [sym_kStrict] = ACTIONS(734),
    [sym_kRequired] = ACTIONS(734),
    [sym_kOptional] = ACTIONS(734),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_kEnd] = ACTIONS(712),
    [sym_kVar] = ACTIONS(712),
    [sym_kThreadvar] = ACTIONS(712),
    [sym_kConst] = ACTIONS(712),
    [sym_kResourcestring] = ACTIONS(712),
    [sym_kType] = ACTIONS(712),
    [sym_kProperty] = ACTIONS(712),
    [sym_kDefault] = ACTIONS(318),
    [sym_kNodefault] = ACTIONS(318),
    [sym_kDispId] = ACTIONS(320),
    [sym_kClass] = ACTIONS(712),
    [sym_kGeneric] = ACTIONS(712),
    [sym_kCase] = ACTIONS(712),
    [sym_kFunction] = ACTIONS(712),
    [sym_kProcedure] = ACTIONS(712),
    [sym_kConstructor] = ACTIONS(712),
    [sym_kDestructor] = ACTIONS(712),
    [sym_kOperator] = ACTIONS(712),
    [sym_kPublished] = ACTIONS(712),
    [sym_kPublic] = ACTIONS(1637),
    [sym_kProtected] = ACTIONS(712),
    [sym_kPrivate] = ACTIONS(712),
    [sym_kStrict] = ACTIONS(712),
    [sym_kRequired] = ACTIONS(712),
    [sym_kOptional] = ACTIONS(712),
    [sym_kStatic] = ACTIONS(318),
    [sym_kVirtual] = ACTIONS(318),
    [sym_kAbstract] = ACTIONS(318),
    [sym_kDynamic] = ACTIONS(318),
    [sym_kOverride] = ACTIONS(318),
    [sym_kOverload] = ACTIONS(318),
    [sym_kReintroduce] = ACTIONS(318),
    [sym_kInline] = ACTIONS(318),
    [sym_kStdcall] = ACTIONS(318),
    [sym_kCdecl] = ACTIONS(318),
    [sym_kCppdecl] = ACTIONS(318),
    [sym_kPascal] = ACTIONS(318),
    [sym_kRegister] = ACTIONS(318),
    [sym_kMwpascal] = ACTIONS(318),
    [sym_kMessage] = ACTIONS(326),
    [sym_kDeprecated] = ACTIONS(328),
    [sym_kExperimental] = ACTIONS(318),
    [sym_kPlatform] = ACTIONS(318),
    [sym_kUnimplemented] = ACTIONS(318),
    [sym_kCvar] = ACTIONS(318),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(318),
    [sym_kNear] = ACTIONS(318),
    [sym_kSafecall] = ACTIONS(318),
    [sym_kAssembler] = ACTIONS(318),
    [sym_kNostackframe] = ACTIONS(318),
    [sym_kInterrupt] = ACTIONS(318),
    [sym_kNoreturn] = ACTIONS(318),
    [sym_kIocheck] = ACTIONS(318),
    [sym_kLocal] = ACTIONS(318),
    [sym_kHardfloat] = ACTIONS(318),
    [sym_kSoftfloat] = ACTIONS(318),
    [sym_kMs_abi_default] = ACTIONS(318),
    [sym_kMs_abi_cdecl] = ACTIONS(318),
    [sym_kSaveregisters] = ACTIONS(318),
    [sym_kSysv_abi_default] = ACTIONS(318),
    [sym_kSysv_abi_cdecl] = ACTIONS(318),
    [sym_kVectorcall] = ACTIONS(318),
    [sym_kVarargs] = ACTIONS(318),
    [sym_kWinapi] = ACTIONS(318),
    [sym_kAlias] = ACTIONS(332),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym_kEnd] = ACTIONS(1643),
    [sym_kVar] = ACTIONS(1645),
    [sym_kThreadvar] = ACTIONS(1643),
    [sym_kConst] = ACTIONS(1645),
    [sym_kResourcestring] = ACTIONS(1643),
    [sym_kType] = ACTIONS(1643),
    [sym_kProperty] = ACTIONS(1643),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1643),
    [sym_kGeneric] = ACTIONS(1643),
    [sym_kCase] = ACTIONS(1643),
    [sym_kFunction] = ACTIONS(1643),
    [sym_kProcedure] = ACTIONS(1643),
    [sym_kConstructor] = ACTIONS(1643),
    [sym_kDestructor] = ACTIONS(1643),
    [sym_kOperator] = ACTIONS(1643),
    [sym_kPublished] = ACTIONS(1643),
    [sym_kPublic] = ACTIONS(1647),
    [sym_kProtected] = ACTIONS(1643),
    [sym_kPrivate] = ACTIONS(1643),
    [sym_kStrict] = ACTIONS(1643),
    [sym_kRequired] = ACTIONS(1643),
    [sym_kOptional] = ACTIONS(1643),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(307),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym_kUses] = ACTIONS(1655),
    [sym_kInterface] = ACTIONS(1655),
    [sym_kImplementation] = ACTIONS(1655),
    [sym_kInitialization] = ACTIONS(1655),
    [sym_kFinalization] = ACTIONS(1655),
    [sym_kEnd] = ACTIONS(1655),
    [sym_kVar] = ACTIONS(1657),
    [sym_kThreadvar] = ACTIONS(1655),
    [sym_kConst] = ACTIONS(1657),
    [sym_kResourcestring] = ACTIONS(1655),
    [sym_kType] = ACTIONS(1655),
    [sym_kLabel] = ACTIONS(1655),
    [sym_kExports] = ACTIONS(1655),
    [sym_kProperty] = ACTIONS(1655),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1655),
    [sym_kGeneric] = ACTIONS(1655),
    [sym_kFunction] = ACTIONS(1655),
    [sym_kProcedure] = ACTIONS(1655),
    [sym_kConstructor] = ACTIONS(1655),
    [sym_kDestructor] = ACTIONS(1655),
    [sym_kOperator] = ACTIONS(1655),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [sym_kUses] = ACTIONS(1662),
    [sym_kInterface] = ACTIONS(1662),
    [sym_kImplementation] = ACTIONS(1662),
    [sym_kInitialization] = ACTIONS(1662),
    [sym_kFinalization] = ACTIONS(1662),
    [sym_kEnd] = ACTIONS(1662),
    [sym_kVar] = ACTIONS(1664),
    [sym_kThreadvar] = ACTIONS(1662),
    [sym_kConst] = ACTIONS(1664),
    [sym_kResourcestring] = ACTIONS(1662),
    [sym_kType] = ACTIONS(1662),
    [sym_kLabel] = ACTIONS(1662),
    [sym_kExports] = ACTIONS(1662),
    [sym_kProperty] = ACTIONS(1662),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1662),
    [sym_kGeneric] = ACTIONS(1662),
    [sym_kFunction] = ACTIONS(1662),
    [sym_kProcedure] = ACTIONS(1662),
    [sym_kConstructor] = ACTIONS(1662),
    [sym_kDestructor] = ACTIONS(1662),
    [sym_kOperator] = ACTIONS(1662),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(311),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [sym_kUses] = ACTIONS(1669),
    [sym_kInterface] = ACTIONS(1669),
    [sym_kImplementation] = ACTIONS(1669),
    [sym_kInitialization] = ACTIONS(1669),
    [sym_kFinalization] = ACTIONS(1669),
    [sym_kEnd] = ACTIONS(1669),
    [sym_kVar] = ACTIONS(1671),
    [sym_kThreadvar] = ACTIONS(1669),
    [sym_kConst] = ACTIONS(1671),
    [sym_kResourcestring] = ACTIONS(1669),
    [sym_kType] = ACTIONS(1669),
    [sym_kLabel] = ACTIONS(1669),
    [sym_kExports] = ACTIONS(1669),
    [sym_kProperty] = ACTIONS(1669),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1669),
    [sym_kGeneric] = ACTIONS(1669),
    [sym_kFunction] = ACTIONS(1669),
    [sym_kProcedure] = ACTIONS(1669),
    [sym_kConstructor] = ACTIONS(1669),
    [sym_kDestructor] = ACTIONS(1669),
    [sym_kOperator] = ACTIONS(1669),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym_kEnd] = ACTIONS(1338),
    [sym_kVar] = ACTIONS(1340),
    [sym_kThreadvar] = ACTIONS(1338),
    [sym_kConst] = ACTIONS(1340),
    [sym_kResourcestring] = ACTIONS(1338),
    [sym_kType] = ACTIONS(1338),
    [sym_kProperty] = ACTIONS(1338),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1338),
    [sym_kGeneric] = ACTIONS(1338),
    [sym_kCase] = ACTIONS(1338),
    [sym_kFunction] = ACTIONS(1338),
    [sym_kProcedure] = ACTIONS(1338),
    [sym_kConstructor] = ACTIONS(1338),
    [sym_kDestructor] = ACTIONS(1338),
    [sym_kOperator] = ACTIONS(1338),
    [sym_kPublished] = ACTIONS(1338),
    [sym_kPublic] = ACTIONS(1676),
    [sym_kProtected] = ACTIONS(1338),
    [sym_kPrivate] = ACTIONS(1338),
    [sym_kStrict] = ACTIONS(1338),
    [sym_kRequired] = ACTIONS(1338),
    [sym_kOptional] = ACTIONS(1338),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(394),
    [anon_sym_LBRACK] = ACTIONS(1679),
    [sym_kEnd] = ACTIONS(1176),
    [sym_kVar] = ACTIONS(1178),
    [sym_kThreadvar] = ACTIONS(1176),
    [sym_kConst] = ACTIONS(1178),
    [sym_kResourcestring] = ACTIONS(1176),
    [sym_kType] = ACTIONS(1176),
    [sym_kProperty] = ACTIONS(1176),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1176),
    [sym_kGeneric] = ACTIONS(1176),
    [sym_kCase] = ACTIONS(1176),
    [sym_kFunction] = ACTIONS(1176),
    [sym_kProcedure] = ACTIONS(1176),
    [sym_kConstructor] = ACTIONS(1176),
    [sym_kDestructor] = ACTIONS(1176),
    [sym_kOperator] = ACTIONS(1176),
    [sym_kPublished] = ACTIONS(1176),
    [sym_kPublic] = ACTIONS(1682),
    [sym_kProtected] = ACTIONS(1176),
    [sym_kPrivate] = ACTIONS(1176),
    [sym_kStrict] = ACTIONS(1176),
    [sym_kRequired] = ACTIONS(1176),
    [sym_kOptional] = ACTIONS(1176),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(313),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_kUses] = ACTIONS(1688),
    [sym_kInterface] = ACTIONS(1688),
    [sym_kImplementation] = ACTIONS(1688),
    [sym_kInitialization] = ACTIONS(1688),
    [sym_kFinalization] = ACTIONS(1688),
    [sym_kEnd] = ACTIONS(1688),
    [sym_kVar] = ACTIONS(1690),
    [sym_kThreadvar] = ACTIONS(1688),
    [sym_kConst] = ACTIONS(1690),
    [sym_kResourcestring] = ACTIONS(1688),
    [sym_kType] = ACTIONS(1688),
    [sym_kLabel] = ACTIONS(1688),
    [sym_kExports] = ACTIONS(1688),
    [sym_kProperty] = ACTIONS(1688),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1688),
    [sym_kGeneric] = ACTIONS(1688),
    [sym_kFunction] = ACTIONS(1688),
    [sym_kProcedure] = ACTIONS(1688),
    [sym_kConstructor] = ACTIONS(1688),
    [sym_kDestructor] = ACTIONS(1688),
    [sym_kOperator] = ACTIONS(1688),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_kEnd] = ACTIONS(1695),
    [sym_kVar] = ACTIONS(1697),
    [sym_kThreadvar] = ACTIONS(1695),
    [sym_kConst] = ACTIONS(1697),
    [sym_kResourcestring] = ACTIONS(1695),
    [sym_kType] = ACTIONS(1695),
    [sym_kProperty] = ACTIONS(1695),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1695),
    [sym_kGeneric] = ACTIONS(1695),
    [sym_kCase] = ACTIONS(1695),
    [sym_kFunction] = ACTIONS(1695),
    [sym_kProcedure] = ACTIONS(1695),
    [sym_kConstructor] = ACTIONS(1695),
    [sym_kDestructor] = ACTIONS(1695),
    [sym_kOperator] = ACTIONS(1695),
    [sym_kPublished] = ACTIONS(1695),
    [sym_kPublic] = ACTIONS(1699),
    [sym_kProtected] = ACTIONS(1695),
    [sym_kPrivate] = ACTIONS(1695),
    [sym_kStrict] = ACTIONS(1695),
    [sym_kRequired] = ACTIONS(1695),
    [sym_kOptional] = ACTIONS(1695),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(397),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [sym_kEnd] = ACTIONS(1705),
    [sym_kVar] = ACTIONS(1707),
    [sym_kThreadvar] = ACTIONS(1705),
    [sym_kConst] = ACTIONS(1707),
    [sym_kResourcestring] = ACTIONS(1705),
    [sym_kType] = ACTIONS(1705),
    [sym_kProperty] = ACTIONS(1705),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1705),
    [sym_kGeneric] = ACTIONS(1705),
    [sym_kCase] = ACTIONS(1705),
    [sym_kFunction] = ACTIONS(1705),
    [sym_kProcedure] = ACTIONS(1705),
    [sym_kConstructor] = ACTIONS(1705),
    [sym_kDestructor] = ACTIONS(1705),
    [sym_kOperator] = ACTIONS(1705),
    [sym_kPublished] = ACTIONS(1705),
    [sym_kPublic] = ACTIONS(1709),
    [sym_kProtected] = ACTIONS(1705),
    [sym_kPrivate] = ACTIONS(1705),
    [sym_kStrict] = ACTIONS(1705),
    [sym_kRequired] = ACTIONS(1705),
    [sym_kOptional] = ACTIONS(1705),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(399),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym_kEnd] = ACTIONS(1715),
    [sym_kVar] = ACTIONS(1717),
    [sym_kThreadvar] = ACTIONS(1715),
    [sym_kConst] = ACTIONS(1717),
    [sym_kResourcestring] = ACTIONS(1715),
    [sym_kType] = ACTIONS(1715),
    [sym_kProperty] = ACTIONS(1715),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1715),
    [sym_kGeneric] = ACTIONS(1715),
    [sym_kCase] = ACTIONS(1715),
    [sym_kFunction] = ACTIONS(1715),
    [sym_kProcedure] = ACTIONS(1715),
    [sym_kConstructor] = ACTIONS(1715),
    [sym_kDestructor] = ACTIONS(1715),
    [sym_kOperator] = ACTIONS(1715),
    [sym_kPublished] = ACTIONS(1715),
    [sym_kPublic] = ACTIONS(1719),
    [sym_kProtected] = ACTIONS(1715),
    [sym_kPrivate] = ACTIONS(1715),
    [sym_kStrict] = ACTIONS(1715),
    [sym_kRequired] = ACTIONS(1715),
    [sym_kOptional] = ACTIONS(1715),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(400),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [sym_kEnd] = ACTIONS(1725),
    [sym_kVar] = ACTIONS(1727),
    [sym_kThreadvar] = ACTIONS(1725),
    [sym_kConst] = ACTIONS(1727),
    [sym_kResourcestring] = ACTIONS(1725),
    [sym_kType] = ACTIONS(1725),
    [sym_kProperty] = ACTIONS(1725),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1725),
    [sym_kGeneric] = ACTIONS(1725),
    [sym_kCase] = ACTIONS(1725),
    [sym_kFunction] = ACTIONS(1725),
    [sym_kProcedure] = ACTIONS(1725),
    [sym_kConstructor] = ACTIONS(1725),
    [sym_kDestructor] = ACTIONS(1725),
    [sym_kOperator] = ACTIONS(1725),
    [sym_kPublished] = ACTIONS(1725),
    [sym_kPublic] = ACTIONS(1729),
    [sym_kProtected] = ACTIONS(1725),
    [sym_kPrivate] = ACTIONS(1725),
    [sym_kStrict] = ACTIONS(1725),
    [sym_kRequired] = ACTIONS(1725),
    [sym_kOptional] = ACTIONS(1725),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym_kEnd] = ACTIONS(1735),
    [sym_kVar] = ACTIONS(1737),
    [sym_kThreadvar] = ACTIONS(1735),
    [sym_kConst] = ACTIONS(1737),
    [sym_kResourcestring] = ACTIONS(1735),
    [sym_kType] = ACTIONS(1735),
    [sym_kProperty] = ACTIONS(1735),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1735),
    [sym_kGeneric] = ACTIONS(1735),
    [sym_kCase] = ACTIONS(1735),
    [sym_kFunction] = ACTIONS(1735),
    [sym_kProcedure] = ACTIONS(1735),
    [sym_kConstructor] = ACTIONS(1735),
    [sym_kDestructor] = ACTIONS(1735),
    [sym_kOperator] = ACTIONS(1735),
    [sym_kPublished] = ACTIONS(1735),
    [sym_kPublic] = ACTIONS(1739),
    [sym_kProtected] = ACTIONS(1735),
    [sym_kPrivate] = ACTIONS(1735),
    [sym_kStrict] = ACTIONS(1735),
    [sym_kRequired] = ACTIONS(1735),
    [sym_kOptional] = ACTIONS(1735),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1742),
    [sym_kEnd] = ACTIONS(1472),
    [sym_kVar] = ACTIONS(1474),
    [sym_kThreadvar] = ACTIONS(1472),
    [sym_kConst] = ACTIONS(1474),
    [sym_kResourcestring] = ACTIONS(1472),
    [sym_kType] = ACTIONS(1472),
    [sym_kProperty] = ACTIONS(1472),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1472),
    [sym_kGeneric] = ACTIONS(1472),
    [sym_kCase] = ACTIONS(1472),
    [sym_kFunction] = ACTIONS(1472),
    [sym_kProcedure] = ACTIONS(1472),
    [sym_kConstructor] = ACTIONS(1472),
    [sym_kDestructor] = ACTIONS(1472),
    [sym_kOperator] = ACTIONS(1472),
    [sym_kPublished] = ACTIONS(1472),
    [sym_kPublic] = ACTIONS(1745),
    [sym_kProtected] = ACTIONS(1472),
    [sym_kPrivate] = ACTIONS(1472),
    [sym_kStrict] = ACTIONS(1472),
    [sym_kRequired] = ACTIONS(1472),
    [sym_kOptional] = ACTIONS(1472),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(403),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym_kEnd] = ACTIONS(1465),
    [sym_kVar] = ACTIONS(1467),
    [sym_kThreadvar] = ACTIONS(1465),
    [sym_kConst] = ACTIONS(1467),
    [sym_kResourcestring] = ACTIONS(1465),
    [sym_kType] = ACTIONS(1465),
    [sym_kProperty] = ACTIONS(1465),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1465),
    [sym_kGeneric] = ACTIONS(1465),
    [sym_kCase] = ACTIONS(1465),
    [sym_kFunction] = ACTIONS(1465),
    [sym_kProcedure] = ACTIONS(1465),
    [sym_kConstructor] = ACTIONS(1465),
    [sym_kDestructor] = ACTIONS(1465),
    [sym_kOperator] = ACTIONS(1465),
    [sym_kPublished] = ACTIONS(1465),
    [sym_kPublic] = ACTIONS(1751),
    [sym_kProtected] = ACTIONS(1465),
    [sym_kPrivate] = ACTIONS(1465),
    [sym_kStrict] = ACTIONS(1465),
    [sym_kRequired] = ACTIONS(1465),
    [sym_kOptional] = ACTIONS(1465),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(404),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [sym_kEnd] = ACTIONS(1451),
    [sym_kVar] = ACTIONS(1453),
    [sym_kThreadvar] = ACTIONS(1451),
    [sym_kConst] = ACTIONS(1453),
    [sym_kResourcestring] = ACTIONS(1451),
    [sym_kType] = ACTIONS(1451),
    [sym_kProperty] = ACTIONS(1451),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1451),
    [sym_kGeneric] = ACTIONS(1451),
    [sym_kCase] = ACTIONS(1451),
    [sym_kFunction] = ACTIONS(1451),
    [sym_kProcedure] = ACTIONS(1451),
    [sym_kConstructor] = ACTIONS(1451),
    [sym_kDestructor] = ACTIONS(1451),
    [sym_kOperator] = ACTIONS(1451),
    [sym_kPublished] = ACTIONS(1451),
    [sym_kPublic] = ACTIONS(1757),
    [sym_kProtected] = ACTIONS(1451),
    [sym_kPrivate] = ACTIONS(1451),
    [sym_kStrict] = ACTIONS(1451),
    [sym_kRequired] = ACTIONS(1451),
    [sym_kOptional] = ACTIONS(1451),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym_kEnd] = ACTIONS(1416),
    [sym_kVar] = ACTIONS(1418),
    [sym_kThreadvar] = ACTIONS(1416),
    [sym_kConst] = ACTIONS(1418),
    [sym_kResourcestring] = ACTIONS(1416),
    [sym_kType] = ACTIONS(1416),
    [sym_kProperty] = ACTIONS(1416),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1416),
    [sym_kGeneric] = ACTIONS(1416),
    [sym_kCase] = ACTIONS(1416),
    [sym_kFunction] = ACTIONS(1416),
    [sym_kProcedure] = ACTIONS(1416),
    [sym_kConstructor] = ACTIONS(1416),
    [sym_kDestructor] = ACTIONS(1416),
    [sym_kOperator] = ACTIONS(1416),
    [sym_kPublished] = ACTIONS(1416),
    [sym_kPublic] = ACTIONS(1763),
    [sym_kProtected] = ACTIONS(1416),
    [sym_kPrivate] = ACTIONS(1416),
    [sym_kStrict] = ACTIONS(1416),
    [sym_kRequired] = ACTIONS(1416),
    [sym_kOptional] = ACTIONS(1416),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(409),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [sym_kEnd] = ACTIONS(1688),
    [sym_kVar] = ACTIONS(1690),
    [sym_kThreadvar] = ACTIONS(1688),
    [sym_kConst] = ACTIONS(1690),
    [sym_kResourcestring] = ACTIONS(1688),
    [sym_kType] = ACTIONS(1688),
    [sym_kProperty] = ACTIONS(1688),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1688),
    [sym_kGeneric] = ACTIONS(1688),
    [sym_kCase] = ACTIONS(1688),
    [sym_kFunction] = ACTIONS(1688),
    [sym_kProcedure] = ACTIONS(1688),
    [sym_kConstructor] = ACTIONS(1688),
    [sym_kDestructor] = ACTIONS(1688),
    [sym_kOperator] = ACTIONS(1688),
    [sym_kPublished] = ACTIONS(1688),
    [sym_kPublic] = ACTIONS(1769),
    [sym_kProtected] = ACTIONS(1688),
    [sym_kPrivate] = ACTIONS(1688),
    [sym_kStrict] = ACTIONS(1688),
    [sym_kRequired] = ACTIONS(1688),
    [sym_kOptional] = ACTIONS(1688),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(295),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym_kEnd] = ACTIONS(1669),
    [sym_kVar] = ACTIONS(1671),
    [sym_kThreadvar] = ACTIONS(1669),
    [sym_kConst] = ACTIONS(1671),
    [sym_kResourcestring] = ACTIONS(1669),
    [sym_kType] = ACTIONS(1669),
    [sym_kProperty] = ACTIONS(1669),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1669),
    [sym_kGeneric] = ACTIONS(1669),
    [sym_kCase] = ACTIONS(1669),
    [sym_kFunction] = ACTIONS(1669),
    [sym_kProcedure] = ACTIONS(1669),
    [sym_kConstructor] = ACTIONS(1669),
    [sym_kDestructor] = ACTIONS(1669),
    [sym_kOperator] = ACTIONS(1669),
    [sym_kPublished] = ACTIONS(1669),
    [sym_kPublic] = ACTIONS(1775),
    [sym_kProtected] = ACTIONS(1669),
    [sym_kPrivate] = ACTIONS(1669),
    [sym_kStrict] = ACTIONS(1669),
    [sym_kRequired] = ACTIONS(1669),
    [sym_kOptional] = ACTIONS(1669),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(306),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [sym_kUses] = ACTIONS(1781),
    [sym_kInterface] = ACTIONS(1781),
    [sym_kImplementation] = ACTIONS(1781),
    [sym_kInitialization] = ACTIONS(1781),
    [sym_kFinalization] = ACTIONS(1781),
    [sym_kEnd] = ACTIONS(1781),
    [sym_kVar] = ACTIONS(1783),
    [sym_kThreadvar] = ACTIONS(1781),
    [sym_kConst] = ACTIONS(1783),
    [sym_kResourcestring] = ACTIONS(1781),
    [sym_kType] = ACTIONS(1781),
    [sym_kLabel] = ACTIONS(1781),
    [sym_kExports] = ACTIONS(1781),
    [sym_kProperty] = ACTIONS(1781),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1781),
    [sym_kGeneric] = ACTIONS(1781),
    [sym_kFunction] = ACTIONS(1781),
    [sym_kProcedure] = ACTIONS(1781),
    [sym_kConstructor] = ACTIONS(1781),
    [sym_kDestructor] = ACTIONS(1781),
    [sym_kOperator] = ACTIONS(1781),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(324),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [sym_kEnd] = ACTIONS(1655),
    [sym_kVar] = ACTIONS(1657),
    [sym_kThreadvar] = ACTIONS(1655),
    [sym_kConst] = ACTIONS(1657),
    [sym_kResourcestring] = ACTIONS(1655),
    [sym_kType] = ACTIONS(1655),
    [sym_kProperty] = ACTIONS(1655),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1655),
    [sym_kGeneric] = ACTIONS(1655),
    [sym_kCase] = ACTIONS(1655),
    [sym_kFunction] = ACTIONS(1655),
    [sym_kProcedure] = ACTIONS(1655),
    [sym_kConstructor] = ACTIONS(1655),
    [sym_kDestructor] = ACTIONS(1655),
    [sym_kOperator] = ACTIONS(1655),
    [sym_kPublished] = ACTIONS(1655),
    [sym_kPublic] = ACTIONS(1788),
    [sym_kProtected] = ACTIONS(1655),
    [sym_kPrivate] = ACTIONS(1655),
    [sym_kStrict] = ACTIONS(1655),
    [sym_kRequired] = ACTIONS(1655),
    [sym_kOptional] = ACTIONS(1655),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_kEnd] = ACTIONS(1794),
    [sym_kVar] = ACTIONS(1796),
    [sym_kThreadvar] = ACTIONS(1794),
    [sym_kConst] = ACTIONS(1796),
    [sym_kResourcestring] = ACTIONS(1794),
    [sym_kType] = ACTIONS(1794),
    [sym_kProperty] = ACTIONS(1794),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1794),
    [sym_kGeneric] = ACTIONS(1794),
    [sym_kCase] = ACTIONS(1794),
    [sym_kFunction] = ACTIONS(1794),
    [sym_kProcedure] = ACTIONS(1794),
    [sym_kConstructor] = ACTIONS(1794),
    [sym_kDestructor] = ACTIONS(1794),
    [sym_kOperator] = ACTIONS(1794),
    [sym_kPublished] = ACTIONS(1794),
    [sym_kPublic] = ACTIONS(1798),
    [sym_kProtected] = ACTIONS(1794),
    [sym_kPrivate] = ACTIONS(1794),
    [sym_kStrict] = ACTIONS(1794),
    [sym_kRequired] = ACTIONS(1794),
    [sym_kOptional] = ACTIONS(1794),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1801),
    [sym_kUses] = ACTIONS(1735),
    [sym_kInterface] = ACTIONS(1735),
    [sym_kImplementation] = ACTIONS(1735),
    [sym_kInitialization] = ACTIONS(1735),
    [sym_kFinalization] = ACTIONS(1735),
    [sym_kEnd] = ACTIONS(1735),
    [sym_kVar] = ACTIONS(1737),
    [sym_kThreadvar] = ACTIONS(1735),
    [sym_kConst] = ACTIONS(1737),
    [sym_kResourcestring] = ACTIONS(1735),
    [sym_kType] = ACTIONS(1735),
    [sym_kLabel] = ACTIONS(1735),
    [sym_kExports] = ACTIONS(1735),
    [sym_kProperty] = ACTIONS(1735),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1735),
    [sym_kGeneric] = ACTIONS(1735),
    [sym_kFunction] = ACTIONS(1735),
    [sym_kProcedure] = ACTIONS(1735),
    [sym_kConstructor] = ACTIONS(1735),
    [sym_kDestructor] = ACTIONS(1735),
    [sym_kOperator] = ACTIONS(1735),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1804),
    [sym_kEnd] = ACTIONS(1401),
    [sym_kVar] = ACTIONS(1403),
    [sym_kThreadvar] = ACTIONS(1401),
    [sym_kConst] = ACTIONS(1403),
    [sym_kResourcestring] = ACTIONS(1401),
    [sym_kType] = ACTIONS(1401),
    [sym_kProperty] = ACTIONS(1401),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1401),
    [sym_kGeneric] = ACTIONS(1401),
    [sym_kCase] = ACTIONS(1401),
    [sym_kFunction] = ACTIONS(1401),
    [sym_kProcedure] = ACTIONS(1401),
    [sym_kConstructor] = ACTIONS(1401),
    [sym_kDestructor] = ACTIONS(1401),
    [sym_kOperator] = ACTIONS(1401),
    [sym_kPublished] = ACTIONS(1401),
    [sym_kPublic] = ACTIONS(1807),
    [sym_kProtected] = ACTIONS(1401),
    [sym_kPrivate] = ACTIONS(1401),
    [sym_kStrict] = ACTIONS(1401),
    [sym_kRequired] = ACTIONS(1401),
    [sym_kOptional] = ACTIONS(1401),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(301),
    [anon_sym_LBRACK] = ACTIONS(1810),
    [sym_kUses] = ACTIONS(1813),
    [sym_kInterface] = ACTIONS(1813),
    [sym_kImplementation] = ACTIONS(1813),
    [sym_kInitialization] = ACTIONS(1813),
    [sym_kFinalization] = ACTIONS(1813),
    [sym_kEnd] = ACTIONS(1813),
    [sym_kVar] = ACTIONS(1815),
    [sym_kThreadvar] = ACTIONS(1813),
    [sym_kConst] = ACTIONS(1815),
    [sym_kResourcestring] = ACTIONS(1813),
    [sym_kType] = ACTIONS(1813),
    [sym_kLabel] = ACTIONS(1813),
    [sym_kExports] = ACTIONS(1813),
    [sym_kProperty] = ACTIONS(1813),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1813),
    [sym_kGeneric] = ACTIONS(1813),
    [sym_kFunction] = ACTIONS(1813),
    [sym_kProcedure] = ACTIONS(1813),
    [sym_kConstructor] = ACTIONS(1813),
    [sym_kDestructor] = ACTIONS(1813),
    [sym_kOperator] = ACTIONS(1813),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(309),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym_kEnd] = ACTIONS(1108),
    [sym_kVar] = ACTIONS(1110),
    [sym_kThreadvar] = ACTIONS(1108),
    [sym_kConst] = ACTIONS(1110),
    [sym_kResourcestring] = ACTIONS(1108),
    [sym_kType] = ACTIONS(1108),
    [sym_kProperty] = ACTIONS(1108),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1108),
    [sym_kGeneric] = ACTIONS(1108),
    [sym_kCase] = ACTIONS(1108),
    [sym_kFunction] = ACTIONS(1108),
    [sym_kProcedure] = ACTIONS(1108),
    [sym_kConstructor] = ACTIONS(1108),
    [sym_kDestructor] = ACTIONS(1108),
    [sym_kOperator] = ACTIONS(1108),
    [sym_kPublished] = ACTIONS(1108),
    [sym_kPublic] = ACTIONS(1820),
    [sym_kProtected] = ACTIONS(1108),
    [sym_kPrivate] = ACTIONS(1108),
    [sym_kStrict] = ACTIONS(1108),
    [sym_kRequired] = ACTIONS(1108),
    [sym_kOptional] = ACTIONS(1108),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(296),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [sym_kEnd] = ACTIONS(1380),
    [sym_kVar] = ACTIONS(1382),
    [sym_kThreadvar] = ACTIONS(1380),
    [sym_kConst] = ACTIONS(1382),
    [sym_kResourcestring] = ACTIONS(1380),
    [sym_kType] = ACTIONS(1380),
    [sym_kProperty] = ACTIONS(1380),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1380),
    [sym_kGeneric] = ACTIONS(1380),
    [sym_kCase] = ACTIONS(1380),
    [sym_kFunction] = ACTIONS(1380),
    [sym_kProcedure] = ACTIONS(1380),
    [sym_kConstructor] = ACTIONS(1380),
    [sym_kDestructor] = ACTIONS(1380),
    [sym_kOperator] = ACTIONS(1380),
    [sym_kPublished] = ACTIONS(1380),
    [sym_kPublic] = ACTIONS(1826),
    [sym_kProtected] = ACTIONS(1380),
    [sym_kPrivate] = ACTIONS(1380),
    [sym_kStrict] = ACTIONS(1380),
    [sym_kRequired] = ACTIONS(1380),
    [sym_kOptional] = ACTIONS(1380),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(359),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_kUses] = ACTIONS(1725),
    [sym_kInterface] = ACTIONS(1725),
    [sym_kImplementation] = ACTIONS(1725),
    [sym_kInitialization] = ACTIONS(1725),
    [sym_kFinalization] = ACTIONS(1725),
    [sym_kEnd] = ACTIONS(1725),
    [sym_kVar] = ACTIONS(1727),
    [sym_kThreadvar] = ACTIONS(1725),
    [sym_kConst] = ACTIONS(1727),
    [sym_kResourcestring] = ACTIONS(1725),
    [sym_kType] = ACTIONS(1725),
    [sym_kLabel] = ACTIONS(1725),
    [sym_kExports] = ACTIONS(1725),
    [sym_kProperty] = ACTIONS(1725),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1725),
    [sym_kGeneric] = ACTIONS(1725),
    [sym_kFunction] = ACTIONS(1725),
    [sym_kProcedure] = ACTIONS(1725),
    [sym_kConstructor] = ACTIONS(1725),
    [sym_kDestructor] = ACTIONS(1725),
    [sym_kOperator] = ACTIONS(1725),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(360),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [sym_kUses] = ACTIONS(1715),
    [sym_kInterface] = ACTIONS(1715),
    [sym_kImplementation] = ACTIONS(1715),
    [sym_kInitialization] = ACTIONS(1715),
    [sym_kFinalization] = ACTIONS(1715),
    [sym_kEnd] = ACTIONS(1715),
    [sym_kVar] = ACTIONS(1717),
    [sym_kThreadvar] = ACTIONS(1715),
    [sym_kConst] = ACTIONS(1717),
    [sym_kResourcestring] = ACTIONS(1715),
    [sym_kType] = ACTIONS(1715),
    [sym_kLabel] = ACTIONS(1715),
    [sym_kExports] = ACTIONS(1715),
    [sym_kProperty] = ACTIONS(1715),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1715),
    [sym_kGeneric] = ACTIONS(1715),
    [sym_kFunction] = ACTIONS(1715),
    [sym_kProcedure] = ACTIONS(1715),
    [sym_kConstructor] = ACTIONS(1715),
    [sym_kDestructor] = ACTIONS(1715),
    [sym_kOperator] = ACTIONS(1715),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(297),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [sym_kUses] = ACTIONS(1838),
    [sym_kInterface] = ACTIONS(1838),
    [sym_kImplementation] = ACTIONS(1838),
    [sym_kInitialization] = ACTIONS(1838),
    [sym_kFinalization] = ACTIONS(1838),
    [sym_kEnd] = ACTIONS(1838),
    [sym_kVar] = ACTIONS(1840),
    [sym_kThreadvar] = ACTIONS(1838),
    [sym_kConst] = ACTIONS(1840),
    [sym_kResourcestring] = ACTIONS(1838),
    [sym_kType] = ACTIONS(1838),
    [sym_kLabel] = ACTIONS(1838),
    [sym_kExports] = ACTIONS(1838),
    [sym_kProperty] = ACTIONS(1838),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1838),
    [sym_kGeneric] = ACTIONS(1838),
    [sym_kFunction] = ACTIONS(1838),
    [sym_kProcedure] = ACTIONS(1838),
    [sym_kConstructor] = ACTIONS(1838),
    [sym_kDestructor] = ACTIONS(1838),
    [sym_kOperator] = ACTIONS(1838),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(365),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym_kUses] = ACTIONS(1705),
    [sym_kInterface] = ACTIONS(1705),
    [sym_kImplementation] = ACTIONS(1705),
    [sym_kInitialization] = ACTIONS(1705),
    [sym_kFinalization] = ACTIONS(1705),
    [sym_kEnd] = ACTIONS(1705),
    [sym_kVar] = ACTIONS(1707),
    [sym_kThreadvar] = ACTIONS(1705),
    [sym_kConst] = ACTIONS(1707),
    [sym_kResourcestring] = ACTIONS(1705),
    [sym_kType] = ACTIONS(1705),
    [sym_kLabel] = ACTIONS(1705),
    [sym_kExports] = ACTIONS(1705),
    [sym_kProperty] = ACTIONS(1705),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1705),
    [sym_kGeneric] = ACTIONS(1705),
    [sym_kFunction] = ACTIONS(1705),
    [sym_kProcedure] = ACTIONS(1705),
    [sym_kConstructor] = ACTIONS(1705),
    [sym_kDestructor] = ACTIONS(1705),
    [sym_kOperator] = ACTIONS(1705),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_kUses] = ACTIONS(1848),
    [sym_kInterface] = ACTIONS(1848),
    [sym_kImplementation] = ACTIONS(1848),
    [sym_kInitialization] = ACTIONS(1848),
    [sym_kFinalization] = ACTIONS(1848),
    [sym_kEnd] = ACTIONS(1848),
    [sym_kVar] = ACTIONS(1850),
    [sym_kThreadvar] = ACTIONS(1848),
    [sym_kConst] = ACTIONS(1850),
    [sym_kResourcestring] = ACTIONS(1848),
    [sym_kType] = ACTIONS(1848),
    [sym_kLabel] = ACTIONS(1848),
    [sym_kExports] = ACTIONS(1848),
    [sym_kProperty] = ACTIONS(1848),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1848),
    [sym_kGeneric] = ACTIONS(1848),
    [sym_kFunction] = ACTIONS(1848),
    [sym_kProcedure] = ACTIONS(1848),
    [sym_kConstructor] = ACTIONS(1848),
    [sym_kDestructor] = ACTIONS(1848),
    [sym_kOperator] = ACTIONS(1848),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1852),
    [sym_kEnd] = ACTIONS(1373),
    [sym_kVar] = ACTIONS(1375),
    [sym_kThreadvar] = ACTIONS(1373),
    [sym_kConst] = ACTIONS(1375),
    [sym_kResourcestring] = ACTIONS(1373),
    [sym_kType] = ACTIONS(1373),
    [sym_kProperty] = ACTIONS(1373),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1373),
    [sym_kGeneric] = ACTIONS(1373),
    [sym_kCase] = ACTIONS(1373),
    [sym_kFunction] = ACTIONS(1373),
    [sym_kProcedure] = ACTIONS(1373),
    [sym_kConstructor] = ACTIONS(1373),
    [sym_kDestructor] = ACTIONS(1373),
    [sym_kOperator] = ACTIONS(1373),
    [sym_kPublished] = ACTIONS(1373),
    [sym_kPublic] = ACTIONS(1855),
    [sym_kProtected] = ACTIONS(1373),
    [sym_kPrivate] = ACTIONS(1373),
    [sym_kStrict] = ACTIONS(1373),
    [sym_kRequired] = ACTIONS(1373),
    [sym_kOptional] = ACTIONS(1373),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(287),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym_kEnd] = ACTIONS(1861),
    [sym_kVar] = ACTIONS(1863),
    [sym_kThreadvar] = ACTIONS(1861),
    [sym_kConst] = ACTIONS(1863),
    [sym_kResourcestring] = ACTIONS(1861),
    [sym_kType] = ACTIONS(1861),
    [sym_kProperty] = ACTIONS(1861),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1861),
    [sym_kGeneric] = ACTIONS(1861),
    [sym_kCase] = ACTIONS(1861),
    [sym_kFunction] = ACTIONS(1861),
    [sym_kProcedure] = ACTIONS(1861),
    [sym_kConstructor] = ACTIONS(1861),
    [sym_kDestructor] = ACTIONS(1861),
    [sym_kOperator] = ACTIONS(1861),
    [sym_kPublished] = ACTIONS(1861),
    [sym_kPublic] = ACTIONS(1865),
    [sym_kProtected] = ACTIONS(1861),
    [sym_kPrivate] = ACTIONS(1861),
    [sym_kStrict] = ACTIONS(1861),
    [sym_kRequired] = ACTIONS(1861),
    [sym_kOptional] = ACTIONS(1861),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(352),
    [anon_sym_LBRACK] = ACTIONS(1868),
    [sym_kEnd] = ACTIONS(1838),
    [sym_kVar] = ACTIONS(1840),
    [sym_kThreadvar] = ACTIONS(1838),
    [sym_kConst] = ACTIONS(1840),
    [sym_kResourcestring] = ACTIONS(1838),
    [sym_kType] = ACTIONS(1838),
    [sym_kProperty] = ACTIONS(1838),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1838),
    [sym_kGeneric] = ACTIONS(1838),
    [sym_kCase] = ACTIONS(1838),
    [sym_kFunction] = ACTIONS(1838),
    [sym_kProcedure] = ACTIONS(1838),
    [sym_kConstructor] = ACTIONS(1838),
    [sym_kDestructor] = ACTIONS(1838),
    [sym_kOperator] = ACTIONS(1838),
    [sym_kPublished] = ACTIONS(1838),
    [sym_kPublic] = ACTIONS(1871),
    [sym_kProtected] = ACTIONS(1838),
    [sym_kPrivate] = ACTIONS(1838),
    [sym_kStrict] = ACTIONS(1838),
    [sym_kRequired] = ACTIONS(1838),
    [sym_kOptional] = ACTIONS(1838),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [sym_kUses] = ACTIONS(1794),
    [sym_kInterface] = ACTIONS(1794),
    [sym_kImplementation] = ACTIONS(1794),
    [sym_kInitialization] = ACTIONS(1794),
    [sym_kFinalization] = ACTIONS(1794),
    [sym_kEnd] = ACTIONS(1794),
    [sym_kVar] = ACTIONS(1796),
    [sym_kThreadvar] = ACTIONS(1794),
    [sym_kConst] = ACTIONS(1796),
    [sym_kResourcestring] = ACTIONS(1794),
    [sym_kType] = ACTIONS(1794),
    [sym_kLabel] = ACTIONS(1794),
    [sym_kExports] = ACTIONS(1794),
    [sym_kProperty] = ACTIONS(1794),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1794),
    [sym_kGeneric] = ACTIONS(1794),
    [sym_kFunction] = ACTIONS(1794),
    [sym_kProcedure] = ACTIONS(1794),
    [sym_kConstructor] = ACTIONS(1794),
    [sym_kDestructor] = ACTIONS(1794),
    [sym_kOperator] = ACTIONS(1794),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [sym_kEnd] = ACTIONS(1331),
    [sym_kVar] = ACTIONS(1333),
    [sym_kThreadvar] = ACTIONS(1331),
    [sym_kConst] = ACTIONS(1333),
    [sym_kResourcestring] = ACTIONS(1331),
    [sym_kType] = ACTIONS(1331),
    [sym_kProperty] = ACTIONS(1331),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1331),
    [sym_kGeneric] = ACTIONS(1331),
    [sym_kCase] = ACTIONS(1331),
    [sym_kFunction] = ACTIONS(1331),
    [sym_kProcedure] = ACTIONS(1331),
    [sym_kConstructor] = ACTIONS(1331),
    [sym_kDestructor] = ACTIONS(1331),
    [sym_kOperator] = ACTIONS(1331),
    [sym_kPublished] = ACTIONS(1331),
    [sym_kPublic] = ACTIONS(1880),
    [sym_kProtected] = ACTIONS(1331),
    [sym_kPrivate] = ACTIONS(1331),
    [sym_kStrict] = ACTIONS(1331),
    [sym_kRequired] = ACTIONS(1331),
    [sym_kOptional] = ACTIONS(1331),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(333),
    [anon_sym_LBRACK] = ACTIONS(1883),
    [sym_kUses] = ACTIONS(1886),
    [sym_kInterface] = ACTIONS(1886),
    [sym_kImplementation] = ACTIONS(1886),
    [sym_kInitialization] = ACTIONS(1886),
    [sym_kFinalization] = ACTIONS(1886),
    [sym_kEnd] = ACTIONS(1886),
    [sym_kVar] = ACTIONS(1888),
    [sym_kThreadvar] = ACTIONS(1886),
    [sym_kConst] = ACTIONS(1888),
    [sym_kResourcestring] = ACTIONS(1886),
    [sym_kType] = ACTIONS(1886),
    [sym_kLabel] = ACTIONS(1886),
    [sym_kExports] = ACTIONS(1886),
    [sym_kProperty] = ACTIONS(1886),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1886),
    [sym_kGeneric] = ACTIONS(1886),
    [sym_kFunction] = ACTIONS(1886),
    [sym_kProcedure] = ACTIONS(1886),
    [sym_kConstructor] = ACTIONS(1886),
    [sym_kDestructor] = ACTIONS(1886),
    [sym_kOperator] = ACTIONS(1886),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [sym_kEnd] = ACTIONS(1893),
    [sym_kVar] = ACTIONS(1895),
    [sym_kThreadvar] = ACTIONS(1893),
    [sym_kConst] = ACTIONS(1895),
    [sym_kResourcestring] = ACTIONS(1893),
    [sym_kType] = ACTIONS(1893),
    [sym_kProperty] = ACTIONS(1893),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1893),
    [sym_kGeneric] = ACTIONS(1893),
    [sym_kCase] = ACTIONS(1893),
    [sym_kFunction] = ACTIONS(1893),
    [sym_kProcedure] = ACTIONS(1893),
    [sym_kConstructor] = ACTIONS(1893),
    [sym_kDestructor] = ACTIONS(1893),
    [sym_kOperator] = ACTIONS(1893),
    [sym_kPublished] = ACTIONS(1893),
    [sym_kPublic] = ACTIONS(1897),
    [sym_kProtected] = ACTIONS(1893),
    [sym_kPrivate] = ACTIONS(1893),
    [sym_kStrict] = ACTIONS(1893),
    [sym_kRequired] = ACTIONS(1893),
    [sym_kOptional] = ACTIONS(1893),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [sym_kUses] = ACTIONS(1643),
    [sym_kInterface] = ACTIONS(1643),
    [sym_kImplementation] = ACTIONS(1643),
    [sym_kInitialization] = ACTIONS(1643),
    [sym_kFinalization] = ACTIONS(1643),
    [sym_kEnd] = ACTIONS(1643),
    [sym_kVar] = ACTIONS(1645),
    [sym_kThreadvar] = ACTIONS(1643),
    [sym_kConst] = ACTIONS(1645),
    [sym_kResourcestring] = ACTIONS(1643),
    [sym_kType] = ACTIONS(1643),
    [sym_kLabel] = ACTIONS(1643),
    [sym_kExports] = ACTIONS(1643),
    [sym_kProperty] = ACTIONS(1643),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1643),
    [sym_kGeneric] = ACTIONS(1643),
    [sym_kFunction] = ACTIONS(1643),
    [sym_kProcedure] = ACTIONS(1643),
    [sym_kConstructor] = ACTIONS(1643),
    [sym_kDestructor] = ACTIONS(1643),
    [sym_kOperator] = ACTIONS(1643),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(389),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [sym_kEnd] = ACTIONS(1324),
    [sym_kVar] = ACTIONS(1326),
    [sym_kThreadvar] = ACTIONS(1324),
    [sym_kConst] = ACTIONS(1326),
    [sym_kResourcestring] = ACTIONS(1324),
    [sym_kType] = ACTIONS(1324),
    [sym_kProperty] = ACTIONS(1324),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1324),
    [sym_kGeneric] = ACTIONS(1324),
    [sym_kCase] = ACTIONS(1324),
    [sym_kFunction] = ACTIONS(1324),
    [sym_kProcedure] = ACTIONS(1324),
    [sym_kConstructor] = ACTIONS(1324),
    [sym_kDestructor] = ACTIONS(1324),
    [sym_kOperator] = ACTIONS(1324),
    [sym_kPublished] = ACTIONS(1324),
    [sym_kPublic] = ACTIONS(1906),
    [sym_kProtected] = ACTIONS(1324),
    [sym_kPrivate] = ACTIONS(1324),
    [sym_kStrict] = ACTIONS(1324),
    [sym_kRequired] = ACTIONS(1324),
    [sym_kOptional] = ACTIONS(1324),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [sym_kEnd] = ACTIONS(1912),
    [sym_kVar] = ACTIONS(1914),
    [sym_kThreadvar] = ACTIONS(1912),
    [sym_kConst] = ACTIONS(1914),
    [sym_kResourcestring] = ACTIONS(1912),
    [sym_kType] = ACTIONS(1912),
    [sym_kProperty] = ACTIONS(1912),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1912),
    [sym_kGeneric] = ACTIONS(1912),
    [sym_kCase] = ACTIONS(1912),
    [sym_kFunction] = ACTIONS(1912),
    [sym_kProcedure] = ACTIONS(1912),
    [sym_kConstructor] = ACTIONS(1912),
    [sym_kDestructor] = ACTIONS(1912),
    [sym_kOperator] = ACTIONS(1912),
    [sym_kPublished] = ACTIONS(1912),
    [sym_kPublic] = ACTIONS(1916),
    [sym_kProtected] = ACTIONS(1912),
    [sym_kPrivate] = ACTIONS(1912),
    [sym_kStrict] = ACTIONS(1912),
    [sym_kRequired] = ACTIONS(1912),
    [sym_kOptional] = ACTIONS(1912),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [sym_kEnd] = ACTIONS(1922),
    [sym_kVar] = ACTIONS(1924),
    [sym_kThreadvar] = ACTIONS(1922),
    [sym_kConst] = ACTIONS(1924),
    [sym_kResourcestring] = ACTIONS(1922),
    [sym_kType] = ACTIONS(1922),
    [sym_kProperty] = ACTIONS(1922),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1922),
    [sym_kGeneric] = ACTIONS(1922),
    [sym_kCase] = ACTIONS(1922),
    [sym_kFunction] = ACTIONS(1922),
    [sym_kProcedure] = ACTIONS(1922),
    [sym_kConstructor] = ACTIONS(1922),
    [sym_kDestructor] = ACTIONS(1922),
    [sym_kOperator] = ACTIONS(1922),
    [sym_kPublished] = ACTIONS(1922),
    [sym_kPublic] = ACTIONS(1926),
    [sym_kProtected] = ACTIONS(1922),
    [sym_kPrivate] = ACTIONS(1922),
    [sym_kStrict] = ACTIONS(1922),
    [sym_kRequired] = ACTIONS(1922),
    [sym_kOptional] = ACTIONS(1922),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(1929),
    [sym_kEnd] = ACTIONS(1932),
    [sym_kVar] = ACTIONS(1934),
    [sym_kThreadvar] = ACTIONS(1932),
    [sym_kConst] = ACTIONS(1934),
    [sym_kResourcestring] = ACTIONS(1932),
    [sym_kType] = ACTIONS(1932),
    [sym_kProperty] = ACTIONS(1932),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1932),
    [sym_kGeneric] = ACTIONS(1932),
    [sym_kCase] = ACTIONS(1932),
    [sym_kFunction] = ACTIONS(1932),
    [sym_kProcedure] = ACTIONS(1932),
    [sym_kConstructor] = ACTIONS(1932),
    [sym_kDestructor] = ACTIONS(1932),
    [sym_kOperator] = ACTIONS(1932),
    [sym_kPublished] = ACTIONS(1932),
    [sym_kPublic] = ACTIONS(1936),
    [sym_kProtected] = ACTIONS(1932),
    [sym_kPrivate] = ACTIONS(1932),
    [sym_kStrict] = ACTIONS(1932),
    [sym_kRequired] = ACTIONS(1932),
    [sym_kOptional] = ACTIONS(1932),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [sym_kEnd] = ACTIONS(1848),
    [sym_kVar] = ACTIONS(1850),
    [sym_kThreadvar] = ACTIONS(1848),
    [sym_kConst] = ACTIONS(1850),
    [sym_kResourcestring] = ACTIONS(1848),
    [sym_kType] = ACTIONS(1848),
    [sym_kProperty] = ACTIONS(1848),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1848),
    [sym_kGeneric] = ACTIONS(1848),
    [sym_kCase] = ACTIONS(1848),
    [sym_kFunction] = ACTIONS(1848),
    [sym_kProcedure] = ACTIONS(1848),
    [sym_kConstructor] = ACTIONS(1848),
    [sym_kDestructor] = ACTIONS(1848),
    [sym_kOperator] = ACTIONS(1848),
    [sym_kPublished] = ACTIONS(1848),
    [sym_kPublic] = ACTIONS(1942),
    [sym_kProtected] = ACTIONS(1848),
    [sym_kPrivate] = ACTIONS(1848),
    [sym_kStrict] = ACTIONS(1848),
    [sym_kRequired] = ACTIONS(1848),
    [sym_kOptional] = ACTIONS(1848),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(285),
    [anon_sym_LBRACK] = ACTIONS(1945),
    [sym_kEnd] = ACTIONS(1359),
    [sym_kVar] = ACTIONS(1361),
    [sym_kThreadvar] = ACTIONS(1359),
    [sym_kConst] = ACTIONS(1361),
    [sym_kResourcestring] = ACTIONS(1359),
    [sym_kType] = ACTIONS(1359),
    [sym_kProperty] = ACTIONS(1359),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1359),
    [sym_kGeneric] = ACTIONS(1359),
    [sym_kCase] = ACTIONS(1359),
    [sym_kFunction] = ACTIONS(1359),
    [sym_kProcedure] = ACTIONS(1359),
    [sym_kConstructor] = ACTIONS(1359),
    [sym_kDestructor] = ACTIONS(1359),
    [sym_kOperator] = ACTIONS(1359),
    [sym_kPublished] = ACTIONS(1359),
    [sym_kPublic] = ACTIONS(1948),
    [sym_kProtected] = ACTIONS(1359),
    [sym_kPrivate] = ACTIONS(1359),
    [sym_kStrict] = ACTIONS(1359),
    [sym_kRequired] = ACTIONS(1359),
    [sym_kOptional] = ACTIONS(1359),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [sym_kEnd] = ACTIONS(1954),
    [sym_kVar] = ACTIONS(1956),
    [sym_kThreadvar] = ACTIONS(1954),
    [sym_kConst] = ACTIONS(1956),
    [sym_kResourcestring] = ACTIONS(1954),
    [sym_kType] = ACTIONS(1954),
    [sym_kProperty] = ACTIONS(1954),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1954),
    [sym_kGeneric] = ACTIONS(1954),
    [sym_kCase] = ACTIONS(1954),
    [sym_kFunction] = ACTIONS(1954),
    [sym_kProcedure] = ACTIONS(1954),
    [sym_kConstructor] = ACTIONS(1954),
    [sym_kDestructor] = ACTIONS(1954),
    [sym_kOperator] = ACTIONS(1954),
    [sym_kPublished] = ACTIONS(1954),
    [sym_kPublic] = ACTIONS(1958),
    [sym_kProtected] = ACTIONS(1954),
    [sym_kPrivate] = ACTIONS(1954),
    [sym_kStrict] = ACTIONS(1954),
    [sym_kRequired] = ACTIONS(1954),
    [sym_kOptional] = ACTIONS(1954),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1961),
    [sym_kEnd] = ACTIONS(1317),
    [sym_kVar] = ACTIONS(1319),
    [sym_kThreadvar] = ACTIONS(1317),
    [sym_kConst] = ACTIONS(1319),
    [sym_kResourcestring] = ACTIONS(1317),
    [sym_kType] = ACTIONS(1317),
    [sym_kProperty] = ACTIONS(1317),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1317),
    [sym_kGeneric] = ACTIONS(1317),
    [sym_kCase] = ACTIONS(1317),
    [sym_kFunction] = ACTIONS(1317),
    [sym_kProcedure] = ACTIONS(1317),
    [sym_kConstructor] = ACTIONS(1317),
    [sym_kDestructor] = ACTIONS(1317),
    [sym_kOperator] = ACTIONS(1317),
    [sym_kPublished] = ACTIONS(1317),
    [sym_kPublic] = ACTIONS(1964),
    [sym_kProtected] = ACTIONS(1317),
    [sym_kPrivate] = ACTIONS(1317),
    [sym_kStrict] = ACTIONS(1317),
    [sym_kRequired] = ACTIONS(1317),
    [sym_kOptional] = ACTIONS(1317),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [sym_kUses] = ACTIONS(1970),
    [sym_kInterface] = ACTIONS(1970),
    [sym_kImplementation] = ACTIONS(1970),
    [sym_kInitialization] = ACTIONS(1970),
    [sym_kFinalization] = ACTIONS(1970),
    [sym_kEnd] = ACTIONS(1970),
    [sym_kVar] = ACTIONS(1972),
    [sym_kThreadvar] = ACTIONS(1970),
    [sym_kConst] = ACTIONS(1972),
    [sym_kResourcestring] = ACTIONS(1970),
    [sym_kType] = ACTIONS(1970),
    [sym_kLabel] = ACTIONS(1970),
    [sym_kExports] = ACTIONS(1970),
    [sym_kProperty] = ACTIONS(1970),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1970),
    [sym_kGeneric] = ACTIONS(1970),
    [sym_kFunction] = ACTIONS(1970),
    [sym_kProcedure] = ACTIONS(1970),
    [sym_kConstructor] = ACTIONS(1970),
    [sym_kDestructor] = ACTIONS(1970),
    [sym_kOperator] = ACTIONS(1970),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [sym_kEnd] = ACTIONS(1345),
    [sym_kVar] = ACTIONS(1347),
    [sym_kThreadvar] = ACTIONS(1345),
    [sym_kConst] = ACTIONS(1347),
    [sym_kResourcestring] = ACTIONS(1345),
    [sym_kType] = ACTIONS(1345),
    [sym_kProperty] = ACTIONS(1345),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1345),
    [sym_kGeneric] = ACTIONS(1345),
    [sym_kCase] = ACTIONS(1345),
    [sym_kFunction] = ACTIONS(1345),
    [sym_kProcedure] = ACTIONS(1345),
    [sym_kConstructor] = ACTIONS(1345),
    [sym_kDestructor] = ACTIONS(1345),
    [sym_kOperator] = ACTIONS(1345),
    [sym_kPublished] = ACTIONS(1345),
    [sym_kPublic] = ACTIONS(1977),
    [sym_kProtected] = ACTIONS(1345),
    [sym_kPrivate] = ACTIONS(1345),
    [sym_kStrict] = ACTIONS(1345),
    [sym_kRequired] = ACTIONS(1345),
    [sym_kOptional] = ACTIONS(1345),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [sym_kEnd] = ACTIONS(1268),
    [sym_kVar] = ACTIONS(1270),
    [sym_kThreadvar] = ACTIONS(1268),
    [sym_kConst] = ACTIONS(1270),
    [sym_kResourcestring] = ACTIONS(1268),
    [sym_kType] = ACTIONS(1268),
    [sym_kProperty] = ACTIONS(1268),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1268),
    [sym_kGeneric] = ACTIONS(1268),
    [sym_kCase] = ACTIONS(1268),
    [sym_kFunction] = ACTIONS(1268),
    [sym_kProcedure] = ACTIONS(1268),
    [sym_kConstructor] = ACTIONS(1268),
    [sym_kDestructor] = ACTIONS(1268),
    [sym_kOperator] = ACTIONS(1268),
    [sym_kPublished] = ACTIONS(1268),
    [sym_kPublic] = ACTIONS(1983),
    [sym_kProtected] = ACTIONS(1268),
    [sym_kPrivate] = ACTIONS(1268),
    [sym_kStrict] = ACTIONS(1268),
    [sym_kRequired] = ACTIONS(1268),
    [sym_kOptional] = ACTIONS(1268),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(261),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [sym_kEnd] = ACTIONS(1989),
    [sym_kVar] = ACTIONS(1991),
    [sym_kThreadvar] = ACTIONS(1989),
    [sym_kConst] = ACTIONS(1991),
    [sym_kResourcestring] = ACTIONS(1989),
    [sym_kType] = ACTIONS(1989),
    [sym_kProperty] = ACTIONS(1989),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1989),
    [sym_kGeneric] = ACTIONS(1989),
    [sym_kCase] = ACTIONS(1989),
    [sym_kFunction] = ACTIONS(1989),
    [sym_kProcedure] = ACTIONS(1989),
    [sym_kConstructor] = ACTIONS(1989),
    [sym_kDestructor] = ACTIONS(1989),
    [sym_kOperator] = ACTIONS(1989),
    [sym_kPublished] = ACTIONS(1989),
    [sym_kPublic] = ACTIONS(1993),
    [sym_kProtected] = ACTIONS(1989),
    [sym_kPrivate] = ACTIONS(1989),
    [sym_kStrict] = ACTIONS(1989),
    [sym_kRequired] = ACTIONS(1989),
    [sym_kOptional] = ACTIONS(1989),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [sym_kUses] = ACTIONS(1999),
    [sym_kInterface] = ACTIONS(1999),
    [sym_kImplementation] = ACTIONS(1999),
    [sym_kInitialization] = ACTIONS(1999),
    [sym_kFinalization] = ACTIONS(1999),
    [sym_kEnd] = ACTIONS(1999),
    [sym_kVar] = ACTIONS(2001),
    [sym_kThreadvar] = ACTIONS(1999),
    [sym_kConst] = ACTIONS(2001),
    [sym_kResourcestring] = ACTIONS(1999),
    [sym_kType] = ACTIONS(1999),
    [sym_kLabel] = ACTIONS(1999),
    [sym_kExports] = ACTIONS(1999),
    [sym_kProperty] = ACTIONS(1999),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1999),
    [sym_kGeneric] = ACTIONS(1999),
    [sym_kFunction] = ACTIONS(1999),
    [sym_kProcedure] = ACTIONS(1999),
    [sym_kConstructor] = ACTIONS(1999),
    [sym_kDestructor] = ACTIONS(1999),
    [sym_kOperator] = ACTIONS(1999),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(262),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [sym_kEnd] = ACTIONS(1233),
    [sym_kVar] = ACTIONS(1235),
    [sym_kThreadvar] = ACTIONS(1233),
    [sym_kConst] = ACTIONS(1235),
    [sym_kResourcestring] = ACTIONS(1233),
    [sym_kType] = ACTIONS(1233),
    [sym_kProperty] = ACTIONS(1233),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1233),
    [sym_kGeneric] = ACTIONS(1233),
    [sym_kCase] = ACTIONS(1233),
    [sym_kFunction] = ACTIONS(1233),
    [sym_kProcedure] = ACTIONS(1233),
    [sym_kConstructor] = ACTIONS(1233),
    [sym_kDestructor] = ACTIONS(1233),
    [sym_kOperator] = ACTIONS(1233),
    [sym_kPublished] = ACTIONS(1233),
    [sym_kPublic] = ACTIONS(2006),
    [sym_kProtected] = ACTIONS(1233),
    [sym_kPrivate] = ACTIONS(1233),
    [sym_kStrict] = ACTIONS(1233),
    [sym_kRequired] = ACTIONS(1233),
    [sym_kOptional] = ACTIONS(1233),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2009),
    [sym_kEnd] = ACTIONS(1219),
    [sym_kVar] = ACTIONS(1221),
    [sym_kThreadvar] = ACTIONS(1219),
    [sym_kConst] = ACTIONS(1221),
    [sym_kResourcestring] = ACTIONS(1219),
    [sym_kType] = ACTIONS(1219),
    [sym_kProperty] = ACTIONS(1219),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1219),
    [sym_kGeneric] = ACTIONS(1219),
    [sym_kCase] = ACTIONS(1219),
    [sym_kFunction] = ACTIONS(1219),
    [sym_kProcedure] = ACTIONS(1219),
    [sym_kConstructor] = ACTIONS(1219),
    [sym_kDestructor] = ACTIONS(1219),
    [sym_kOperator] = ACTIONS(1219),
    [sym_kPublished] = ACTIONS(1219),
    [sym_kPublic] = ACTIONS(2012),
    [sym_kProtected] = ACTIONS(1219),
    [sym_kPrivate] = ACTIONS(1219),
    [sym_kStrict] = ACTIONS(1219),
    [sym_kRequired] = ACTIONS(1219),
    [sym_kOptional] = ACTIONS(1219),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(339),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [sym_kUses] = ACTIONS(2018),
    [sym_kInterface] = ACTIONS(2018),
    [sym_kImplementation] = ACTIONS(2018),
    [sym_kInitialization] = ACTIONS(2018),
    [sym_kFinalization] = ACTIONS(2018),
    [sym_kEnd] = ACTIONS(2018),
    [sym_kVar] = ACTIONS(2020),
    [sym_kThreadvar] = ACTIONS(2018),
    [sym_kConst] = ACTIONS(2020),
    [sym_kResourcestring] = ACTIONS(2018),
    [sym_kType] = ACTIONS(2018),
    [sym_kLabel] = ACTIONS(2018),
    [sym_kExports] = ACTIONS(2018),
    [sym_kProperty] = ACTIONS(2018),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2018),
    [sym_kGeneric] = ACTIONS(2018),
    [sym_kFunction] = ACTIONS(2018),
    [sym_kProcedure] = ACTIONS(2018),
    [sym_kConstructor] = ACTIONS(2018),
    [sym_kDestructor] = ACTIONS(2018),
    [sym_kOperator] = ACTIONS(2018),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2022),
    [sym_kEnd] = ACTIONS(1212),
    [sym_kVar] = ACTIONS(1214),
    [sym_kThreadvar] = ACTIONS(1212),
    [sym_kConst] = ACTIONS(1214),
    [sym_kResourcestring] = ACTIONS(1212),
    [sym_kType] = ACTIONS(1212),
    [sym_kProperty] = ACTIONS(1212),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1212),
    [sym_kGeneric] = ACTIONS(1212),
    [sym_kCase] = ACTIONS(1212),
    [sym_kFunction] = ACTIONS(1212),
    [sym_kProcedure] = ACTIONS(1212),
    [sym_kConstructor] = ACTIONS(1212),
    [sym_kDestructor] = ACTIONS(1212),
    [sym_kOperator] = ACTIONS(1212),
    [sym_kPublished] = ACTIONS(1212),
    [sym_kPublic] = ACTIONS(2025),
    [sym_kProtected] = ACTIONS(1212),
    [sym_kPrivate] = ACTIONS(1212),
    [sym_kStrict] = ACTIONS(1212),
    [sym_kRequired] = ACTIONS(1212),
    [sym_kOptional] = ACTIONS(1212),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [sym_kUses] = ACTIONS(2031),
    [sym_kInterface] = ACTIONS(2031),
    [sym_kImplementation] = ACTIONS(2031),
    [sym_kInitialization] = ACTIONS(2031),
    [sym_kFinalization] = ACTIONS(2031),
    [sym_kEnd] = ACTIONS(2031),
    [sym_kVar] = ACTIONS(2033),
    [sym_kThreadvar] = ACTIONS(2031),
    [sym_kConst] = ACTIONS(2033),
    [sym_kResourcestring] = ACTIONS(2031),
    [sym_kType] = ACTIONS(2031),
    [sym_kLabel] = ACTIONS(2031),
    [sym_kExports] = ACTIONS(2031),
    [sym_kProperty] = ACTIONS(2031),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2031),
    [sym_kGeneric] = ACTIONS(2031),
    [sym_kFunction] = ACTIONS(2031),
    [sym_kProcedure] = ACTIONS(2031),
    [sym_kConstructor] = ACTIONS(2031),
    [sym_kDestructor] = ACTIONS(2031),
    [sym_kOperator] = ACTIONS(2031),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2035),
    [sym_kUses] = ACTIONS(2038),
    [sym_kInterface] = ACTIONS(2038),
    [sym_kImplementation] = ACTIONS(2038),
    [sym_kInitialization] = ACTIONS(2038),
    [sym_kFinalization] = ACTIONS(2038),
    [sym_kEnd] = ACTIONS(2038),
    [sym_kVar] = ACTIONS(2040),
    [sym_kThreadvar] = ACTIONS(2038),
    [sym_kConst] = ACTIONS(2040),
    [sym_kResourcestring] = ACTIONS(2038),
    [sym_kType] = ACTIONS(2038),
    [sym_kLabel] = ACTIONS(2038),
    [sym_kExports] = ACTIONS(2038),
    [sym_kProperty] = ACTIONS(2038),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2038),
    [sym_kGeneric] = ACTIONS(2038),
    [sym_kFunction] = ACTIONS(2038),
    [sym_kProcedure] = ACTIONS(2038),
    [sym_kConstructor] = ACTIONS(2038),
    [sym_kDestructor] = ACTIONS(2038),
    [sym_kOperator] = ACTIONS(2038),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(265),
    [anon_sym_LBRACK] = ACTIONS(2042),
    [sym_kEnd] = ACTIONS(1194),
    [sym_kVar] = ACTIONS(1196),
    [sym_kThreadvar] = ACTIONS(1194),
    [sym_kConst] = ACTIONS(1196),
    [sym_kResourcestring] = ACTIONS(1194),
    [sym_kType] = ACTIONS(1194),
    [sym_kProperty] = ACTIONS(1194),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1194),
    [sym_kGeneric] = ACTIONS(1194),
    [sym_kCase] = ACTIONS(1194),
    [sym_kFunction] = ACTIONS(1194),
    [sym_kProcedure] = ACTIONS(1194),
    [sym_kConstructor] = ACTIONS(1194),
    [sym_kDestructor] = ACTIONS(1194),
    [sym_kOperator] = ACTIONS(1194),
    [sym_kPublished] = ACTIONS(1194),
    [sym_kPublic] = ACTIONS(2045),
    [sym_kProtected] = ACTIONS(1194),
    [sym_kPrivate] = ACTIONS(1194),
    [sym_kStrict] = ACTIONS(1194),
    [sym_kRequired] = ACTIONS(1194),
    [sym_kOptional] = ACTIONS(1194),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2048),
    [sym_kEnd] = ACTIONS(1310),
    [sym_kVar] = ACTIONS(1312),
    [sym_kThreadvar] = ACTIONS(1310),
    [sym_kConst] = ACTIONS(1312),
    [sym_kResourcestring] = ACTIONS(1310),
    [sym_kType] = ACTIONS(1310),
    [sym_kProperty] = ACTIONS(1310),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1310),
    [sym_kGeneric] = ACTIONS(1310),
    [sym_kCase] = ACTIONS(1310),
    [sym_kFunction] = ACTIONS(1310),
    [sym_kProcedure] = ACTIONS(1310),
    [sym_kConstructor] = ACTIONS(1310),
    [sym_kDestructor] = ACTIONS(1310),
    [sym_kOperator] = ACTIONS(1310),
    [sym_kPublished] = ACTIONS(1310),
    [sym_kPublic] = ACTIONS(2051),
    [sym_kProtected] = ACTIONS(1310),
    [sym_kPrivate] = ACTIONS(1310),
    [sym_kStrict] = ACTIONS(1310),
    [sym_kRequired] = ACTIONS(1310),
    [sym_kOptional] = ACTIONS(1310),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(343),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [sym_kUses] = ACTIONS(2057),
    [sym_kInterface] = ACTIONS(2057),
    [sym_kImplementation] = ACTIONS(2057),
    [sym_kInitialization] = ACTIONS(2057),
    [sym_kFinalization] = ACTIONS(2057),
    [sym_kEnd] = ACTIONS(2057),
    [sym_kVar] = ACTIONS(2059),
    [sym_kThreadvar] = ACTIONS(2057),
    [sym_kConst] = ACTIONS(2059),
    [sym_kResourcestring] = ACTIONS(2057),
    [sym_kType] = ACTIONS(2057),
    [sym_kLabel] = ACTIONS(2057),
    [sym_kExports] = ACTIONS(2057),
    [sym_kProperty] = ACTIONS(2057),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2057),
    [sym_kGeneric] = ACTIONS(2057),
    [sym_kFunction] = ACTIONS(2057),
    [sym_kProcedure] = ACTIONS(2057),
    [sym_kConstructor] = ACTIONS(2057),
    [sym_kDestructor] = ACTIONS(2057),
    [sym_kOperator] = ACTIONS(2057),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [sym_kUses] = ACTIONS(1954),
    [sym_kInterface] = ACTIONS(1954),
    [sym_kImplementation] = ACTIONS(1954),
    [sym_kInitialization] = ACTIONS(1954),
    [sym_kFinalization] = ACTIONS(1954),
    [sym_kEnd] = ACTIONS(1954),
    [sym_kVar] = ACTIONS(1956),
    [sym_kThreadvar] = ACTIONS(1954),
    [sym_kConst] = ACTIONS(1956),
    [sym_kResourcestring] = ACTIONS(1954),
    [sym_kType] = ACTIONS(1954),
    [sym_kLabel] = ACTIONS(1954),
    [sym_kExports] = ACTIONS(1954),
    [sym_kProperty] = ACTIONS(1954),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1954),
    [sym_kGeneric] = ACTIONS(1954),
    [sym_kFunction] = ACTIONS(1954),
    [sym_kProcedure] = ACTIONS(1954),
    [sym_kConstructor] = ACTIONS(1954),
    [sym_kDestructor] = ACTIONS(1954),
    [sym_kOperator] = ACTIONS(1954),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(379),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [sym_kUses] = ACTIONS(2067),
    [sym_kInterface] = ACTIONS(2067),
    [sym_kImplementation] = ACTIONS(2067),
    [sym_kInitialization] = ACTIONS(2067),
    [sym_kFinalization] = ACTIONS(2067),
    [sym_kEnd] = ACTIONS(2067),
    [sym_kVar] = ACTIONS(2069),
    [sym_kThreadvar] = ACTIONS(2067),
    [sym_kConst] = ACTIONS(2069),
    [sym_kResourcestring] = ACTIONS(2067),
    [sym_kType] = ACTIONS(2067),
    [sym_kLabel] = ACTIONS(2067),
    [sym_kExports] = ACTIONS(2067),
    [sym_kProperty] = ACTIONS(2067),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2067),
    [sym_kGeneric] = ACTIONS(2067),
    [sym_kFunction] = ACTIONS(2067),
    [sym_kProcedure] = ACTIONS(2067),
    [sym_kConstructor] = ACTIONS(2067),
    [sym_kDestructor] = ACTIONS(2067),
    [sym_kOperator] = ACTIONS(2067),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2071),
    [sym_kUses] = ACTIONS(2074),
    [sym_kInterface] = ACTIONS(2074),
    [sym_kImplementation] = ACTIONS(2074),
    [sym_kInitialization] = ACTIONS(2074),
    [sym_kFinalization] = ACTIONS(2074),
    [sym_kEnd] = ACTIONS(2074),
    [sym_kVar] = ACTIONS(2076),
    [sym_kThreadvar] = ACTIONS(2074),
    [sym_kConst] = ACTIONS(2076),
    [sym_kResourcestring] = ACTIONS(2074),
    [sym_kType] = ACTIONS(2074),
    [sym_kLabel] = ACTIONS(2074),
    [sym_kExports] = ACTIONS(2074),
    [sym_kProperty] = ACTIONS(2074),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2074),
    [sym_kGeneric] = ACTIONS(2074),
    [sym_kFunction] = ACTIONS(2074),
    [sym_kProcedure] = ACTIONS(2074),
    [sym_kConstructor] = ACTIONS(2074),
    [sym_kDestructor] = ACTIONS(2074),
    [sym_kOperator] = ACTIONS(2074),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(380),
    [anon_sym_LBRACK] = ACTIONS(2078),
    [sym_kUses] = ACTIONS(2081),
    [sym_kInterface] = ACTIONS(2081),
    [sym_kImplementation] = ACTIONS(2081),
    [sym_kInitialization] = ACTIONS(2081),
    [sym_kFinalization] = ACTIONS(2081),
    [sym_kEnd] = ACTIONS(2081),
    [sym_kVar] = ACTIONS(2083),
    [sym_kThreadvar] = ACTIONS(2081),
    [sym_kConst] = ACTIONS(2083),
    [sym_kResourcestring] = ACTIONS(2081),
    [sym_kType] = ACTIONS(2081),
    [sym_kLabel] = ACTIONS(2081),
    [sym_kExports] = ACTIONS(2081),
    [sym_kProperty] = ACTIONS(2081),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2081),
    [sym_kGeneric] = ACTIONS(2081),
    [sym_kFunction] = ACTIONS(2081),
    [sym_kProcedure] = ACTIONS(2081),
    [sym_kConstructor] = ACTIONS(2081),
    [sym_kDestructor] = ACTIONS(2081),
    [sym_kOperator] = ACTIONS(2081),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(386),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [sym_kEnd] = ACTIONS(1437),
    [sym_kVar] = ACTIONS(1439),
    [sym_kThreadvar] = ACTIONS(1437),
    [sym_kConst] = ACTIONS(1439),
    [sym_kResourcestring] = ACTIONS(1437),
    [sym_kType] = ACTIONS(1437),
    [sym_kProperty] = ACTIONS(1437),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1437),
    [sym_kGeneric] = ACTIONS(1437),
    [sym_kCase] = ACTIONS(1437),
    [sym_kFunction] = ACTIONS(1437),
    [sym_kProcedure] = ACTIONS(1437),
    [sym_kConstructor] = ACTIONS(1437),
    [sym_kDestructor] = ACTIONS(1437),
    [sym_kOperator] = ACTIONS(1437),
    [sym_kPublished] = ACTIONS(1437),
    [sym_kPublic] = ACTIONS(2088),
    [sym_kProtected] = ACTIONS(1437),
    [sym_kPrivate] = ACTIONS(1437),
    [sym_kStrict] = ACTIONS(1437),
    [sym_kRequired] = ACTIONS(1437),
    [sym_kOptional] = ACTIONS(1437),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(382),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [sym_kUses] = ACTIONS(2094),
    [sym_kInterface] = ACTIONS(2094),
    [sym_kImplementation] = ACTIONS(2094),
    [sym_kInitialization] = ACTIONS(2094),
    [sym_kFinalization] = ACTIONS(2094),
    [sym_kEnd] = ACTIONS(2094),
    [sym_kVar] = ACTIONS(2096),
    [sym_kThreadvar] = ACTIONS(2094),
    [sym_kConst] = ACTIONS(2096),
    [sym_kResourcestring] = ACTIONS(2094),
    [sym_kType] = ACTIONS(2094),
    [sym_kLabel] = ACTIONS(2094),
    [sym_kExports] = ACTIONS(2094),
    [sym_kProperty] = ACTIONS(2094),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2094),
    [sym_kGeneric] = ACTIONS(2094),
    [sym_kFunction] = ACTIONS(2094),
    [sym_kProcedure] = ACTIONS(2094),
    [sym_kConstructor] = ACTIONS(2094),
    [sym_kDestructor] = ACTIONS(2094),
    [sym_kOperator] = ACTIONS(2094),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(270),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [sym_kEnd] = ACTIONS(2101),
    [sym_kVar] = ACTIONS(2103),
    [sym_kThreadvar] = ACTIONS(2101),
    [sym_kConst] = ACTIONS(2103),
    [sym_kResourcestring] = ACTIONS(2101),
    [sym_kType] = ACTIONS(2101),
    [sym_kProperty] = ACTIONS(2101),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2101),
    [sym_kGeneric] = ACTIONS(2101),
    [sym_kCase] = ACTIONS(2101),
    [sym_kFunction] = ACTIONS(2101),
    [sym_kProcedure] = ACTIONS(2101),
    [sym_kConstructor] = ACTIONS(2101),
    [sym_kDestructor] = ACTIONS(2101),
    [sym_kOperator] = ACTIONS(2101),
    [sym_kPublished] = ACTIONS(2101),
    [sym_kPublic] = ACTIONS(2105),
    [sym_kProtected] = ACTIONS(2101),
    [sym_kPrivate] = ACTIONS(2101),
    [sym_kStrict] = ACTIONS(2101),
    [sym_kRequired] = ACTIONS(2101),
    [sym_kOptional] = ACTIONS(2101),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [sym_kUses] = ACTIONS(2111),
    [sym_kInterface] = ACTIONS(2111),
    [sym_kImplementation] = ACTIONS(2111),
    [sym_kInitialization] = ACTIONS(2111),
    [sym_kFinalization] = ACTIONS(2111),
    [sym_kEnd] = ACTIONS(2111),
    [sym_kVar] = ACTIONS(2113),
    [sym_kThreadvar] = ACTIONS(2111),
    [sym_kConst] = ACTIONS(2113),
    [sym_kResourcestring] = ACTIONS(2111),
    [sym_kType] = ACTIONS(2111),
    [sym_kLabel] = ACTIONS(2111),
    [sym_kExports] = ACTIONS(2111),
    [sym_kProperty] = ACTIONS(2111),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2111),
    [sym_kGeneric] = ACTIONS(2111),
    [sym_kFunction] = ACTIONS(2111),
    [sym_kProcedure] = ACTIONS(2111),
    [sym_kConstructor] = ACTIONS(2111),
    [sym_kDestructor] = ACTIONS(2111),
    [sym_kOperator] = ACTIONS(2111),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2115),
    [sym_kUses] = ACTIONS(2118),
    [sym_kInterface] = ACTIONS(2118),
    [sym_kImplementation] = ACTIONS(2118),
    [sym_kInitialization] = ACTIONS(2118),
    [sym_kFinalization] = ACTIONS(2118),
    [sym_kEnd] = ACTIONS(2118),
    [sym_kVar] = ACTIONS(2120),
    [sym_kThreadvar] = ACTIONS(2118),
    [sym_kConst] = ACTIONS(2120),
    [sym_kResourcestring] = ACTIONS(2118),
    [sym_kType] = ACTIONS(2118),
    [sym_kLabel] = ACTIONS(2118),
    [sym_kExports] = ACTIONS(2118),
    [sym_kProperty] = ACTIONS(2118),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2118),
    [sym_kGeneric] = ACTIONS(2118),
    [sym_kFunction] = ACTIONS(2118),
    [sym_kProcedure] = ACTIONS(2118),
    [sym_kConstructor] = ACTIONS(2118),
    [sym_kDestructor] = ACTIONS(2118),
    [sym_kOperator] = ACTIONS(2118),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(345),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [sym_kUses] = ACTIONS(2125),
    [sym_kInterface] = ACTIONS(2125),
    [sym_kImplementation] = ACTIONS(2125),
    [sym_kInitialization] = ACTIONS(2125),
    [sym_kFinalization] = ACTIONS(2125),
    [sym_kEnd] = ACTIONS(2125),
    [sym_kVar] = ACTIONS(2127),
    [sym_kThreadvar] = ACTIONS(2125),
    [sym_kConst] = ACTIONS(2127),
    [sym_kResourcestring] = ACTIONS(2125),
    [sym_kType] = ACTIONS(2125),
    [sym_kLabel] = ACTIONS(2125),
    [sym_kExports] = ACTIONS(2125),
    [sym_kProperty] = ACTIONS(2125),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2125),
    [sym_kGeneric] = ACTIONS(2125),
    [sym_kFunction] = ACTIONS(2125),
    [sym_kProcedure] = ACTIONS(2125),
    [sym_kConstructor] = ACTIONS(2125),
    [sym_kDestructor] = ACTIONS(2125),
    [sym_kOperator] = ACTIONS(2125),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2129),
    [sym_kEnd] = ACTIONS(1140),
    [sym_kVar] = ACTIONS(1142),
    [sym_kThreadvar] = ACTIONS(1140),
    [sym_kConst] = ACTIONS(1142),
    [sym_kResourcestring] = ACTIONS(1140),
    [sym_kType] = ACTIONS(1140),
    [sym_kProperty] = ACTIONS(1140),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1140),
    [sym_kGeneric] = ACTIONS(1140),
    [sym_kCase] = ACTIONS(1140),
    [sym_kFunction] = ACTIONS(1140),
    [sym_kProcedure] = ACTIONS(1140),
    [sym_kConstructor] = ACTIONS(1140),
    [sym_kDestructor] = ACTIONS(1140),
    [sym_kOperator] = ACTIONS(1140),
    [sym_kPublished] = ACTIONS(1140),
    [sym_kPublic] = ACTIONS(2132),
    [sym_kProtected] = ACTIONS(1140),
    [sym_kPrivate] = ACTIONS(1140),
    [sym_kStrict] = ACTIONS(1140),
    [sym_kRequired] = ACTIONS(1140),
    [sym_kOptional] = ACTIONS(1140),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(348),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [sym_kUses] = ACTIONS(2138),
    [sym_kInterface] = ACTIONS(2138),
    [sym_kImplementation] = ACTIONS(2138),
    [sym_kInitialization] = ACTIONS(2138),
    [sym_kFinalization] = ACTIONS(2138),
    [sym_kEnd] = ACTIONS(2138),
    [sym_kVar] = ACTIONS(2140),
    [sym_kThreadvar] = ACTIONS(2138),
    [sym_kConst] = ACTIONS(2140),
    [sym_kResourcestring] = ACTIONS(2138),
    [sym_kType] = ACTIONS(2138),
    [sym_kLabel] = ACTIONS(2138),
    [sym_kExports] = ACTIONS(2138),
    [sym_kProperty] = ACTIONS(2138),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2138),
    [sym_kGeneric] = ACTIONS(2138),
    [sym_kFunction] = ACTIONS(2138),
    [sym_kProcedure] = ACTIONS(2138),
    [sym_kConstructor] = ACTIONS(2138),
    [sym_kDestructor] = ACTIONS(2138),
    [sym_kOperator] = ACTIONS(2138),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(271),
    [anon_sym_LBRACK] = ACTIONS(2142),
    [sym_kUses] = ACTIONS(1989),
    [sym_kInterface] = ACTIONS(1989),
    [sym_kImplementation] = ACTIONS(1989),
    [sym_kInitialization] = ACTIONS(1989),
    [sym_kFinalization] = ACTIONS(1989),
    [sym_kEnd] = ACTIONS(1989),
    [sym_kVar] = ACTIONS(1991),
    [sym_kThreadvar] = ACTIONS(1989),
    [sym_kConst] = ACTIONS(1991),
    [sym_kResourcestring] = ACTIONS(1989),
    [sym_kType] = ACTIONS(1989),
    [sym_kLabel] = ACTIONS(1989),
    [sym_kExports] = ACTIONS(1989),
    [sym_kProperty] = ACTIONS(1989),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1989),
    [sym_kGeneric] = ACTIONS(1989),
    [sym_kFunction] = ACTIONS(1989),
    [sym_kProcedure] = ACTIONS(1989),
    [sym_kConstructor] = ACTIONS(1989),
    [sym_kDestructor] = ACTIONS(1989),
    [sym_kOperator] = ACTIONS(1989),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [sym_kEnd] = ACTIONS(2038),
    [sym_kVar] = ACTIONS(2040),
    [sym_kThreadvar] = ACTIONS(2038),
    [sym_kConst] = ACTIONS(2040),
    [sym_kResourcestring] = ACTIONS(2038),
    [sym_kType] = ACTIONS(2038),
    [sym_kProperty] = ACTIONS(2038),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2038),
    [sym_kGeneric] = ACTIONS(2038),
    [sym_kCase] = ACTIONS(2038),
    [sym_kFunction] = ACTIONS(2038),
    [sym_kProcedure] = ACTIONS(2038),
    [sym_kConstructor] = ACTIONS(2038),
    [sym_kDestructor] = ACTIONS(2038),
    [sym_kOperator] = ACTIONS(2038),
    [sym_kPublished] = ACTIONS(2038),
    [sym_kPublic] = ACTIONS(2148),
    [sym_kProtected] = ACTIONS(2038),
    [sym_kPrivate] = ACTIONS(2038),
    [sym_kStrict] = ACTIONS(2038),
    [sym_kRequired] = ACTIONS(2038),
    [sym_kOptional] = ACTIONS(2038),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [sym_kEnd] = ACTIONS(2154),
    [sym_kVar] = ACTIONS(2156),
    [sym_kThreadvar] = ACTIONS(2154),
    [sym_kConst] = ACTIONS(2156),
    [sym_kResourcestring] = ACTIONS(2154),
    [sym_kType] = ACTIONS(2154),
    [sym_kProperty] = ACTIONS(2154),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2154),
    [sym_kGeneric] = ACTIONS(2154),
    [sym_kCase] = ACTIONS(2154),
    [sym_kFunction] = ACTIONS(2154),
    [sym_kProcedure] = ACTIONS(2154),
    [sym_kConstructor] = ACTIONS(2154),
    [sym_kDestructor] = ACTIONS(2154),
    [sym_kOperator] = ACTIONS(2154),
    [sym_kPublished] = ACTIONS(2154),
    [sym_kPublic] = ACTIONS(2158),
    [sym_kProtected] = ACTIONS(2154),
    [sym_kPrivate] = ACTIONS(2154),
    [sym_kStrict] = ACTIONS(2154),
    [sym_kRequired] = ACTIONS(2154),
    [sym_kOptional] = ACTIONS(2154),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(357),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [sym_kEnd] = ACTIONS(1813),
    [sym_kVar] = ACTIONS(1815),
    [sym_kThreadvar] = ACTIONS(1813),
    [sym_kConst] = ACTIONS(1815),
    [sym_kResourcestring] = ACTIONS(1813),
    [sym_kType] = ACTIONS(1813),
    [sym_kProperty] = ACTIONS(1813),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1813),
    [sym_kGeneric] = ACTIONS(1813),
    [sym_kCase] = ACTIONS(1813),
    [sym_kFunction] = ACTIONS(1813),
    [sym_kProcedure] = ACTIONS(1813),
    [sym_kConstructor] = ACTIONS(1813),
    [sym_kDestructor] = ACTIONS(1813),
    [sym_kOperator] = ACTIONS(1813),
    [sym_kPublished] = ACTIONS(1813),
    [sym_kPublic] = ACTIONS(2164),
    [sym_kProtected] = ACTIONS(1813),
    [sym_kPrivate] = ACTIONS(1813),
    [sym_kStrict] = ACTIONS(1813),
    [sym_kRequired] = ACTIONS(1813),
    [sym_kOptional] = ACTIONS(1813),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [sym_kEnd] = ACTIONS(1662),
    [sym_kVar] = ACTIONS(1664),
    [sym_kThreadvar] = ACTIONS(1662),
    [sym_kConst] = ACTIONS(1664),
    [sym_kResourcestring] = ACTIONS(1662),
    [sym_kType] = ACTIONS(1662),
    [sym_kProperty] = ACTIONS(1662),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1662),
    [sym_kGeneric] = ACTIONS(1662),
    [sym_kCase] = ACTIONS(1662),
    [sym_kFunction] = ACTIONS(1662),
    [sym_kProcedure] = ACTIONS(1662),
    [sym_kConstructor] = ACTIONS(1662),
    [sym_kDestructor] = ACTIONS(1662),
    [sym_kOperator] = ACTIONS(1662),
    [sym_kPublished] = ACTIONS(1662),
    [sym_kPublic] = ACTIONS(2170),
    [sym_kProtected] = ACTIONS(1662),
    [sym_kPrivate] = ACTIONS(1662),
    [sym_kStrict] = ACTIONS(1662),
    [sym_kRequired] = ACTIONS(1662),
    [sym_kOptional] = ACTIONS(1662),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(369),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [sym_kEnd] = ACTIONS(1781),
    [sym_kVar] = ACTIONS(1783),
    [sym_kThreadvar] = ACTIONS(1781),
    [sym_kConst] = ACTIONS(1783),
    [sym_kResourcestring] = ACTIONS(1781),
    [sym_kType] = ACTIONS(1781),
    [sym_kProperty] = ACTIONS(1781),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1781),
    [sym_kGeneric] = ACTIONS(1781),
    [sym_kCase] = ACTIONS(1781),
    [sym_kFunction] = ACTIONS(1781),
    [sym_kProcedure] = ACTIONS(1781),
    [sym_kConstructor] = ACTIONS(1781),
    [sym_kDestructor] = ACTIONS(1781),
    [sym_kOperator] = ACTIONS(1781),
    [sym_kPublished] = ACTIONS(1781),
    [sym_kPublic] = ACTIONS(2176),
    [sym_kProtected] = ACTIONS(1781),
    [sym_kPrivate] = ACTIONS(1781),
    [sym_kStrict] = ACTIONS(1781),
    [sym_kRequired] = ACTIONS(1781),
    [sym_kOptional] = ACTIONS(1781),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(272),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [sym_kEnd] = ACTIONS(1205),
    [sym_kVar] = ACTIONS(1207),
    [sym_kThreadvar] = ACTIONS(1205),
    [sym_kConst] = ACTIONS(1207),
    [sym_kResourcestring] = ACTIONS(1205),
    [sym_kType] = ACTIONS(1205),
    [sym_kProperty] = ACTIONS(1205),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1205),
    [sym_kGeneric] = ACTIONS(1205),
    [sym_kCase] = ACTIONS(1205),
    [sym_kFunction] = ACTIONS(1205),
    [sym_kProcedure] = ACTIONS(1205),
    [sym_kConstructor] = ACTIONS(1205),
    [sym_kDestructor] = ACTIONS(1205),
    [sym_kOperator] = ACTIONS(1205),
    [sym_kPublished] = ACTIONS(1205),
    [sym_kPublic] = ACTIONS(2182),
    [sym_kProtected] = ACTIONS(1205),
    [sym_kPrivate] = ACTIONS(1205),
    [sym_kStrict] = ACTIONS(1205),
    [sym_kRequired] = ACTIONS(1205),
    [sym_kOptional] = ACTIONS(1205),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(321),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [sym_kEnd] = ACTIONS(1458),
    [sym_kVar] = ACTIONS(1460),
    [sym_kThreadvar] = ACTIONS(1458),
    [sym_kConst] = ACTIONS(1460),
    [sym_kResourcestring] = ACTIONS(1458),
    [sym_kType] = ACTIONS(1458),
    [sym_kProperty] = ACTIONS(1458),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1458),
    [sym_kGeneric] = ACTIONS(1458),
    [sym_kCase] = ACTIONS(1458),
    [sym_kFunction] = ACTIONS(1458),
    [sym_kProcedure] = ACTIONS(1458),
    [sym_kConstructor] = ACTIONS(1458),
    [sym_kDestructor] = ACTIONS(1458),
    [sym_kOperator] = ACTIONS(1458),
    [sym_kPublished] = ACTIONS(1458),
    [sym_kPublic] = ACTIONS(2188),
    [sym_kProtected] = ACTIONS(1458),
    [sym_kPrivate] = ACTIONS(1458),
    [sym_kStrict] = ACTIONS(1458),
    [sym_kRequired] = ACTIONS(1458),
    [sym_kOptional] = ACTIONS(1458),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(257),
    [anon_sym_LBRACK] = ACTIONS(2191),
    [sym_kEnd] = ACTIONS(2194),
    [sym_kVar] = ACTIONS(2196),
    [sym_kThreadvar] = ACTIONS(2194),
    [sym_kConst] = ACTIONS(2196),
    [sym_kResourcestring] = ACTIONS(2194),
    [sym_kType] = ACTIONS(2194),
    [sym_kProperty] = ACTIONS(2194),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2194),
    [sym_kGeneric] = ACTIONS(2194),
    [sym_kCase] = ACTIONS(2194),
    [sym_kFunction] = ACTIONS(2194),
    [sym_kProcedure] = ACTIONS(2194),
    [sym_kConstructor] = ACTIONS(2194),
    [sym_kDestructor] = ACTIONS(2194),
    [sym_kOperator] = ACTIONS(2194),
    [sym_kPublished] = ACTIONS(2194),
    [sym_kPublic] = ACTIONS(2198),
    [sym_kProtected] = ACTIONS(2194),
    [sym_kPrivate] = ACTIONS(2194),
    [sym_kStrict] = ACTIONS(2194),
    [sym_kRequired] = ACTIONS(2194),
    [sym_kOptional] = ACTIONS(2194),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(290),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [sym_kEnd] = ACTIONS(2204),
    [sym_kVar] = ACTIONS(2206),
    [sym_kThreadvar] = ACTIONS(2204),
    [sym_kConst] = ACTIONS(2206),
    [sym_kResourcestring] = ACTIONS(2204),
    [sym_kType] = ACTIONS(2204),
    [sym_kProperty] = ACTIONS(2204),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2204),
    [sym_kGeneric] = ACTIONS(2204),
    [sym_kCase] = ACTIONS(2204),
    [sym_kFunction] = ACTIONS(2204),
    [sym_kProcedure] = ACTIONS(2204),
    [sym_kConstructor] = ACTIONS(2204),
    [sym_kDestructor] = ACTIONS(2204),
    [sym_kOperator] = ACTIONS(2204),
    [sym_kPublished] = ACTIONS(2204),
    [sym_kPublic] = ACTIONS(2208),
    [sym_kProtected] = ACTIONS(2204),
    [sym_kPrivate] = ACTIONS(2204),
    [sym_kStrict] = ACTIONS(2204),
    [sym_kRequired] = ACTIONS(2204),
    [sym_kOptional] = ACTIONS(2204),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2211),
    [sym_kUses] = ACTIONS(2154),
    [sym_kInterface] = ACTIONS(2154),
    [sym_kImplementation] = ACTIONS(2154),
    [sym_kInitialization] = ACTIONS(2154),
    [sym_kFinalization] = ACTIONS(2154),
    [sym_kEnd] = ACTIONS(2154),
    [sym_kVar] = ACTIONS(2156),
    [sym_kThreadvar] = ACTIONS(2154),
    [sym_kConst] = ACTIONS(2156),
    [sym_kResourcestring] = ACTIONS(2154),
    [sym_kType] = ACTIONS(2154),
    [sym_kLabel] = ACTIONS(2154),
    [sym_kExports] = ACTIONS(2154),
    [sym_kProperty] = ACTIONS(2154),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2154),
    [sym_kGeneric] = ACTIONS(2154),
    [sym_kFunction] = ACTIONS(2154),
    [sym_kProcedure] = ACTIONS(2154),
    [sym_kConstructor] = ACTIONS(2154),
    [sym_kDestructor] = ACTIONS(2154),
    [sym_kOperator] = ACTIONS(2154),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [sym_kEnd] = ACTIONS(1165),
    [sym_kVar] = ACTIONS(1167),
    [sym_kThreadvar] = ACTIONS(1165),
    [sym_kConst] = ACTIONS(1167),
    [sym_kResourcestring] = ACTIONS(1165),
    [sym_kType] = ACTIONS(1165),
    [sym_kProperty] = ACTIONS(1165),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1165),
    [sym_kGeneric] = ACTIONS(1165),
    [sym_kCase] = ACTIONS(1165),
    [sym_kFunction] = ACTIONS(1165),
    [sym_kProcedure] = ACTIONS(1165),
    [sym_kConstructor] = ACTIONS(1165),
    [sym_kDestructor] = ACTIONS(1165),
    [sym_kOperator] = ACTIONS(1165),
    [sym_kPublished] = ACTIONS(1165),
    [sym_kPublic] = ACTIONS(2217),
    [sym_kProtected] = ACTIONS(1165),
    [sym_kPrivate] = ACTIONS(1165),
    [sym_kStrict] = ACTIONS(1165),
    [sym_kRequired] = ACTIONS(1165),
    [sym_kOptional] = ACTIONS(1165),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [sym_kEnd] = ACTIONS(1387),
    [sym_kVar] = ACTIONS(1389),
    [sym_kThreadvar] = ACTIONS(1387),
    [sym_kConst] = ACTIONS(1389),
    [sym_kResourcestring] = ACTIONS(1387),
    [sym_kType] = ACTIONS(1387),
    [sym_kProperty] = ACTIONS(1387),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1387),
    [sym_kGeneric] = ACTIONS(1387),
    [sym_kCase] = ACTIONS(1387),
    [sym_kFunction] = ACTIONS(1387),
    [sym_kProcedure] = ACTIONS(1387),
    [sym_kConstructor] = ACTIONS(1387),
    [sym_kDestructor] = ACTIONS(1387),
    [sym_kOperator] = ACTIONS(1387),
    [sym_kPublished] = ACTIONS(1387),
    [sym_kPublic] = ACTIONS(2223),
    [sym_kProtected] = ACTIONS(1387),
    [sym_kPrivate] = ACTIONS(1387),
    [sym_kStrict] = ACTIONS(1387),
    [sym_kRequired] = ACTIONS(1387),
    [sym_kOptional] = ACTIONS(1387),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(325),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [sym_kEnd] = ACTIONS(1886),
    [sym_kVar] = ACTIONS(1888),
    [sym_kThreadvar] = ACTIONS(1886),
    [sym_kConst] = ACTIONS(1888),
    [sym_kResourcestring] = ACTIONS(1886),
    [sym_kType] = ACTIONS(1886),
    [sym_kProperty] = ACTIONS(1886),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1886),
    [sym_kGeneric] = ACTIONS(1886),
    [sym_kCase] = ACTIONS(1886),
    [sym_kFunction] = ACTIONS(1886),
    [sym_kProcedure] = ACTIONS(1886),
    [sym_kConstructor] = ACTIONS(1886),
    [sym_kDestructor] = ACTIONS(1886),
    [sym_kOperator] = ACTIONS(1886),
    [sym_kPublished] = ACTIONS(1886),
    [sym_kPublic] = ACTIONS(2229),
    [sym_kProtected] = ACTIONS(1886),
    [sym_kPrivate] = ACTIONS(1886),
    [sym_kStrict] = ACTIONS(1886),
    [sym_kRequired] = ACTIONS(1886),
    [sym_kOptional] = ACTIONS(1886),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [sym_kEnd] = ACTIONS(2235),
    [sym_kVar] = ACTIONS(2237),
    [sym_kThreadvar] = ACTIONS(2235),
    [sym_kConst] = ACTIONS(2237),
    [sym_kResourcestring] = ACTIONS(2235),
    [sym_kType] = ACTIONS(2235),
    [sym_kProperty] = ACTIONS(2235),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2235),
    [sym_kGeneric] = ACTIONS(2235),
    [sym_kCase] = ACTIONS(2235),
    [sym_kFunction] = ACTIONS(2235),
    [sym_kProcedure] = ACTIONS(2235),
    [sym_kConstructor] = ACTIONS(2235),
    [sym_kDestructor] = ACTIONS(2235),
    [sym_kOperator] = ACTIONS(2235),
    [sym_kPublished] = ACTIONS(2235),
    [sym_kPublic] = ACTIONS(2239),
    [sym_kProtected] = ACTIONS(2235),
    [sym_kPrivate] = ACTIONS(2235),
    [sym_kStrict] = ACTIONS(2235),
    [sym_kRequired] = ACTIONS(2235),
    [sym_kOptional] = ACTIONS(2235),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(291),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [sym_kEnd] = ACTIONS(2245),
    [sym_kVar] = ACTIONS(2247),
    [sym_kThreadvar] = ACTIONS(2245),
    [sym_kConst] = ACTIONS(2247),
    [sym_kResourcestring] = ACTIONS(2245),
    [sym_kType] = ACTIONS(2245),
    [sym_kProperty] = ACTIONS(2245),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2245),
    [sym_kGeneric] = ACTIONS(2245),
    [sym_kCase] = ACTIONS(2245),
    [sym_kFunction] = ACTIONS(2245),
    [sym_kProcedure] = ACTIONS(2245),
    [sym_kConstructor] = ACTIONS(2245),
    [sym_kDestructor] = ACTIONS(2245),
    [sym_kOperator] = ACTIONS(2245),
    [sym_kPublished] = ACTIONS(2245),
    [sym_kPublic] = ACTIONS(2249),
    [sym_kProtected] = ACTIONS(2245),
    [sym_kPrivate] = ACTIONS(2245),
    [sym_kStrict] = ACTIONS(2245),
    [sym_kRequired] = ACTIONS(2245),
    [sym_kOptional] = ACTIONS(2245),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [sym_kUses] = ACTIONS(1932),
    [sym_kInterface] = ACTIONS(1932),
    [sym_kImplementation] = ACTIONS(1932),
    [sym_kInitialization] = ACTIONS(1932),
    [sym_kFinalization] = ACTIONS(1932),
    [sym_kEnd] = ACTIONS(1932),
    [sym_kVar] = ACTIONS(1934),
    [sym_kThreadvar] = ACTIONS(1932),
    [sym_kConst] = ACTIONS(1934),
    [sym_kResourcestring] = ACTIONS(1932),
    [sym_kType] = ACTIONS(1932),
    [sym_kLabel] = ACTIONS(1932),
    [sym_kExports] = ACTIONS(1932),
    [sym_kProperty] = ACTIONS(1932),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1932),
    [sym_kGeneric] = ACTIONS(1932),
    [sym_kFunction] = ACTIONS(1932),
    [sym_kProcedure] = ACTIONS(1932),
    [sym_kConstructor] = ACTIONS(1932),
    [sym_kDestructor] = ACTIONS(1932),
    [sym_kOperator] = ACTIONS(1932),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2255),
    [sym_kEnd] = ACTIONS(1226),
    [sym_kVar] = ACTIONS(1228),
    [sym_kThreadvar] = ACTIONS(1226),
    [sym_kConst] = ACTIONS(1228),
    [sym_kResourcestring] = ACTIONS(1226),
    [sym_kType] = ACTIONS(1226),
    [sym_kProperty] = ACTIONS(1226),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1226),
    [sym_kGeneric] = ACTIONS(1226),
    [sym_kCase] = ACTIONS(1226),
    [sym_kFunction] = ACTIONS(1226),
    [sym_kProcedure] = ACTIONS(1226),
    [sym_kConstructor] = ACTIONS(1226),
    [sym_kDestructor] = ACTIONS(1226),
    [sym_kOperator] = ACTIONS(1226),
    [sym_kPublished] = ACTIONS(1226),
    [sym_kPublic] = ACTIONS(2258),
    [sym_kProtected] = ACTIONS(1226),
    [sym_kPrivate] = ACTIONS(1226),
    [sym_kStrict] = ACTIONS(1226),
    [sym_kRequired] = ACTIONS(1226),
    [sym_kOptional] = ACTIONS(1226),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [sym_kEnd] = ACTIONS(1254),
    [sym_kVar] = ACTIONS(1256),
    [sym_kThreadvar] = ACTIONS(1254),
    [sym_kConst] = ACTIONS(1256),
    [sym_kResourcestring] = ACTIONS(1254),
    [sym_kType] = ACTIONS(1254),
    [sym_kProperty] = ACTIONS(1254),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1254),
    [sym_kGeneric] = ACTIONS(1254),
    [sym_kCase] = ACTIONS(1254),
    [sym_kFunction] = ACTIONS(1254),
    [sym_kProcedure] = ACTIONS(1254),
    [sym_kConstructor] = ACTIONS(1254),
    [sym_kDestructor] = ACTIONS(1254),
    [sym_kOperator] = ACTIONS(1254),
    [sym_kPublished] = ACTIONS(1254),
    [sym_kPublic] = ACTIONS(2264),
    [sym_kProtected] = ACTIONS(1254),
    [sym_kPrivate] = ACTIONS(1254),
    [sym_kStrict] = ACTIONS(1254),
    [sym_kRequired] = ACTIONS(1254),
    [sym_kOptional] = ACTIONS(1254),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(281),
    [anon_sym_LBRACK] = ACTIONS(2267),
    [sym_kEnd] = ACTIONS(1261),
    [sym_kVar] = ACTIONS(1263),
    [sym_kThreadvar] = ACTIONS(1261),
    [sym_kConst] = ACTIONS(1263),
    [sym_kResourcestring] = ACTIONS(1261),
    [sym_kType] = ACTIONS(1261),
    [sym_kProperty] = ACTIONS(1261),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1261),
    [sym_kGeneric] = ACTIONS(1261),
    [sym_kCase] = ACTIONS(1261),
    [sym_kFunction] = ACTIONS(1261),
    [sym_kProcedure] = ACTIONS(1261),
    [sym_kConstructor] = ACTIONS(1261),
    [sym_kDestructor] = ACTIONS(1261),
    [sym_kOperator] = ACTIONS(1261),
    [sym_kPublished] = ACTIONS(1261),
    [sym_kPublic] = ACTIONS(2270),
    [sym_kProtected] = ACTIONS(1261),
    [sym_kPrivate] = ACTIONS(1261),
    [sym_kStrict] = ACTIONS(1261),
    [sym_kRequired] = ACTIONS(1261),
    [sym_kOptional] = ACTIONS(1261),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [sym_kUses] = ACTIONS(2276),
    [sym_kInterface] = ACTIONS(2276),
    [sym_kImplementation] = ACTIONS(2276),
    [sym_kInitialization] = ACTIONS(2276),
    [sym_kFinalization] = ACTIONS(2276),
    [sym_kEnd] = ACTIONS(2276),
    [sym_kVar] = ACTIONS(2278),
    [sym_kThreadvar] = ACTIONS(2276),
    [sym_kConst] = ACTIONS(2278),
    [sym_kResourcestring] = ACTIONS(2276),
    [sym_kType] = ACTIONS(2276),
    [sym_kLabel] = ACTIONS(2276),
    [sym_kExports] = ACTIONS(2276),
    [sym_kProperty] = ACTIONS(2276),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2276),
    [sym_kGeneric] = ACTIONS(2276),
    [sym_kFunction] = ACTIONS(2276),
    [sym_kProcedure] = ACTIONS(2276),
    [sym_kConstructor] = ACTIONS(2276),
    [sym_kDestructor] = ACTIONS(2276),
    [sym_kOperator] = ACTIONS(2276),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [sym_kEnd] = ACTIONS(1275),
    [sym_kVar] = ACTIONS(1277),
    [sym_kThreadvar] = ACTIONS(1275),
    [sym_kConst] = ACTIONS(1277),
    [sym_kResourcestring] = ACTIONS(1275),
    [sym_kType] = ACTIONS(1275),
    [sym_kProperty] = ACTIONS(1275),
    [sym_kDefault] = ACTIONS(1279),
    [sym_kNodefault] = ACTIONS(1279),
    [sym_kDispId] = ACTIONS(1282),
    [sym_kClass] = ACTIONS(1275),
    [sym_kGeneric] = ACTIONS(1275),
    [sym_kCase] = ACTIONS(1275),
    [sym_kFunction] = ACTIONS(1275),
    [sym_kProcedure] = ACTIONS(1275),
    [sym_kConstructor] = ACTIONS(1275),
    [sym_kDestructor] = ACTIONS(1275),
    [sym_kOperator] = ACTIONS(1275),
    [sym_kPublished] = ACTIONS(1275),
    [sym_kPublic] = ACTIONS(1285),
    [sym_kProtected] = ACTIONS(1275),
    [sym_kPrivate] = ACTIONS(1275),
    [sym_kStrict] = ACTIONS(1275),
    [sym_kRequired] = ACTIONS(1275),
    [sym_kOptional] = ACTIONS(1275),
    [sym_kStatic] = ACTIONS(1279),
    [sym_kVirtual] = ACTIONS(1279),
    [sym_kAbstract] = ACTIONS(1279),
    [sym_kDynamic] = ACTIONS(1279),
    [sym_kOverride] = ACTIONS(1279),
    [sym_kOverload] = ACTIONS(1279),
    [sym_kReintroduce] = ACTIONS(1279),
    [sym_kInline] = ACTIONS(1279),
    [sym_kStdcall] = ACTIONS(1279),
    [sym_kCdecl] = ACTIONS(1279),
    [sym_kCppdecl] = ACTIONS(1279),
    [sym_kPascal] = ACTIONS(1279),
    [sym_kRegister] = ACTIONS(1279),
    [sym_kMwpascal] = ACTIONS(1279),
    [sym_kMessage] = ACTIONS(1288),
    [sym_kDeprecated] = ACTIONS(1291),
    [sym_kExperimental] = ACTIONS(1279),
    [sym_kPlatform] = ACTIONS(1279),
    [sym_kUnimplemented] = ACTIONS(1279),
    [sym_kCvar] = ACTIONS(1279),
    [sym_kExport] = ACTIONS(2283),
    [sym_kFar] = ACTIONS(1279),
    [sym_kNear] = ACTIONS(1279),
    [sym_kSafecall] = ACTIONS(1279),
    [sym_kAssembler] = ACTIONS(1279),
    [sym_kNostackframe] = ACTIONS(1279),
    [sym_kInterrupt] = ACTIONS(1279),
    [sym_kNoreturn] = ACTIONS(1279),
    [sym_kIocheck] = ACTIONS(1279),
    [sym_kLocal] = ACTIONS(1279),
    [sym_kHardfloat] = ACTIONS(1279),
    [sym_kSoftfloat] = ACTIONS(1279),
    [sym_kMs_abi_default] = ACTIONS(1279),
    [sym_kMs_abi_cdecl] = ACTIONS(1279),
    [sym_kSaveregisters] = ACTIONS(1279),
    [sym_kSysv_abi_default] = ACTIONS(1279),
    [sym_kSysv_abi_cdecl] = ACTIONS(1279),
    [sym_kVectorcall] = ACTIONS(1279),
    [sym_kVarargs] = ACTIONS(1279),
    [sym_kWinapi] = ACTIONS(1279),
    [sym_kAlias] = ACTIONS(1297),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2286),
    [sym_kUses] = ACTIONS(2289),
    [sym_kInterface] = ACTIONS(2289),
    [sym_kImplementation] = ACTIONS(2289),
    [sym_kInitialization] = ACTIONS(2289),
    [sym_kFinalization] = ACTIONS(2289),
    [sym_kEnd] = ACTIONS(2289),
    [sym_kVar] = ACTIONS(2291),
    [sym_kThreadvar] = ACTIONS(2289),
    [sym_kConst] = ACTIONS(2291),
    [sym_kResourcestring] = ACTIONS(2289),
    [sym_kType] = ACTIONS(2289),
    [sym_kLabel] = ACTIONS(2289),
    [sym_kExports] = ACTIONS(2289),
    [sym_kProperty] = ACTIONS(2289),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2289),
    [sym_kGeneric] = ACTIONS(2289),
    [sym_kFunction] = ACTIONS(2289),
    [sym_kProcedure] = ACTIONS(2289),
    [sym_kConstructor] = ACTIONS(2289),
    [sym_kDestructor] = ACTIONS(2289),
    [sym_kOperator] = ACTIONS(2289),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [sym_kEnd] = ACTIONS(2111),
    [sym_kVar] = ACTIONS(2113),
    [sym_kThreadvar] = ACTIONS(2111),
    [sym_kConst] = ACTIONS(2113),
    [sym_kResourcestring] = ACTIONS(2111),
    [sym_kType] = ACTIONS(2111),
    [sym_kProperty] = ACTIONS(2111),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2111),
    [sym_kGeneric] = ACTIONS(2111),
    [sym_kCase] = ACTIONS(2111),
    [sym_kFunction] = ACTIONS(2111),
    [sym_kProcedure] = ACTIONS(2111),
    [sym_kConstructor] = ACTIONS(2111),
    [sym_kDestructor] = ACTIONS(2111),
    [sym_kOperator] = ACTIONS(2111),
    [sym_kPublished] = ACTIONS(2111),
    [sym_kPublic] = ACTIONS(2296),
    [sym_kProtected] = ACTIONS(2111),
    [sym_kPrivate] = ACTIONS(2111),
    [sym_kStrict] = ACTIONS(2111),
    [sym_kRequired] = ACTIONS(2111),
    [sym_kOptional] = ACTIONS(2111),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(371),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [sym_kUses] = ACTIONS(2245),
    [sym_kInterface] = ACTIONS(2245),
    [sym_kImplementation] = ACTIONS(2245),
    [sym_kInitialization] = ACTIONS(2245),
    [sym_kFinalization] = ACTIONS(2245),
    [sym_kEnd] = ACTIONS(2245),
    [sym_kVar] = ACTIONS(2247),
    [sym_kThreadvar] = ACTIONS(2245),
    [sym_kConst] = ACTIONS(2247),
    [sym_kResourcestring] = ACTIONS(2245),
    [sym_kType] = ACTIONS(2245),
    [sym_kLabel] = ACTIONS(2245),
    [sym_kExports] = ACTIONS(2245),
    [sym_kProperty] = ACTIONS(2245),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2245),
    [sym_kGeneric] = ACTIONS(2245),
    [sym_kFunction] = ACTIONS(2245),
    [sym_kProcedure] = ACTIONS(2245),
    [sym_kConstructor] = ACTIONS(2245),
    [sym_kDestructor] = ACTIONS(2245),
    [sym_kOperator] = ACTIONS(2245),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [sym_kUses] = ACTIONS(2235),
    [sym_kInterface] = ACTIONS(2235),
    [sym_kImplementation] = ACTIONS(2235),
    [sym_kInitialization] = ACTIONS(2235),
    [sym_kFinalization] = ACTIONS(2235),
    [sym_kEnd] = ACTIONS(2235),
    [sym_kVar] = ACTIONS(2237),
    [sym_kThreadvar] = ACTIONS(2235),
    [sym_kConst] = ACTIONS(2237),
    [sym_kResourcestring] = ACTIONS(2235),
    [sym_kType] = ACTIONS(2235),
    [sym_kLabel] = ACTIONS(2235),
    [sym_kExports] = ACTIONS(2235),
    [sym_kProperty] = ACTIONS(2235),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2235),
    [sym_kGeneric] = ACTIONS(2235),
    [sym_kFunction] = ACTIONS(2235),
    [sym_kProcedure] = ACTIONS(2235),
    [sym_kConstructor] = ACTIONS(2235),
    [sym_kDestructor] = ACTIONS(2235),
    [sym_kOperator] = ACTIONS(2235),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(372),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [sym_kUses] = ACTIONS(2204),
    [sym_kInterface] = ACTIONS(2204),
    [sym_kImplementation] = ACTIONS(2204),
    [sym_kInitialization] = ACTIONS(2204),
    [sym_kFinalization] = ACTIONS(2204),
    [sym_kEnd] = ACTIONS(2204),
    [sym_kVar] = ACTIONS(2206),
    [sym_kThreadvar] = ACTIONS(2204),
    [sym_kConst] = ACTIONS(2206),
    [sym_kResourcestring] = ACTIONS(2204),
    [sym_kType] = ACTIONS(2204),
    [sym_kLabel] = ACTIONS(2204),
    [sym_kExports] = ACTIONS(2204),
    [sym_kProperty] = ACTIONS(2204),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2204),
    [sym_kGeneric] = ACTIONS(2204),
    [sym_kFunction] = ACTIONS(2204),
    [sym_kProcedure] = ACTIONS(2204),
    [sym_kConstructor] = ACTIONS(2204),
    [sym_kDestructor] = ACTIONS(2204),
    [sym_kOperator] = ACTIONS(2204),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(376),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [sym_kUses] = ACTIONS(2194),
    [sym_kInterface] = ACTIONS(2194),
    [sym_kImplementation] = ACTIONS(2194),
    [sym_kInitialization] = ACTIONS(2194),
    [sym_kFinalization] = ACTIONS(2194),
    [sym_kEnd] = ACTIONS(2194),
    [sym_kVar] = ACTIONS(2196),
    [sym_kThreadvar] = ACTIONS(2194),
    [sym_kConst] = ACTIONS(2196),
    [sym_kResourcestring] = ACTIONS(2194),
    [sym_kType] = ACTIONS(2194),
    [sym_kLabel] = ACTIONS(2194),
    [sym_kExports] = ACTIONS(2194),
    [sym_kProperty] = ACTIONS(2194),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2194),
    [sym_kGeneric] = ACTIONS(2194),
    [sym_kFunction] = ACTIONS(2194),
    [sym_kProcedure] = ACTIONS(2194),
    [sym_kConstructor] = ACTIONS(2194),
    [sym_kDestructor] = ACTIONS(2194),
    [sym_kOperator] = ACTIONS(2194),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [sym_kEnd] = ACTIONS(2118),
    [sym_kVar] = ACTIONS(2120),
    [sym_kThreadvar] = ACTIONS(2118),
    [sym_kConst] = ACTIONS(2120),
    [sym_kResourcestring] = ACTIONS(2118),
    [sym_kType] = ACTIONS(2118),
    [sym_kProperty] = ACTIONS(2118),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2118),
    [sym_kGeneric] = ACTIONS(2118),
    [sym_kCase] = ACTIONS(2118),
    [sym_kFunction] = ACTIONS(2118),
    [sym_kProcedure] = ACTIONS(2118),
    [sym_kConstructor] = ACTIONS(2118),
    [sym_kDestructor] = ACTIONS(2118),
    [sym_kOperator] = ACTIONS(2118),
    [sym_kPublished] = ACTIONS(2118),
    [sym_kPublic] = ACTIONS(2314),
    [sym_kProtected] = ACTIONS(2118),
    [sym_kPrivate] = ACTIONS(2118),
    [sym_kStrict] = ACTIONS(2118),
    [sym_kRequired] = ACTIONS(2118),
    [sym_kOptional] = ACTIONS(2118),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [sym_kEnd] = ACTIONS(1970),
    [sym_kVar] = ACTIONS(1972),
    [sym_kThreadvar] = ACTIONS(1970),
    [sym_kConst] = ACTIONS(1972),
    [sym_kResourcestring] = ACTIONS(1970),
    [sym_kType] = ACTIONS(1970),
    [sym_kProperty] = ACTIONS(1970),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1970),
    [sym_kGeneric] = ACTIONS(1970),
    [sym_kCase] = ACTIONS(1970),
    [sym_kFunction] = ACTIONS(1970),
    [sym_kProcedure] = ACTIONS(1970),
    [sym_kConstructor] = ACTIONS(1970),
    [sym_kDestructor] = ACTIONS(1970),
    [sym_kOperator] = ACTIONS(1970),
    [sym_kPublished] = ACTIONS(1970),
    [sym_kPublic] = ACTIONS(2320),
    [sym_kProtected] = ACTIONS(1970),
    [sym_kPrivate] = ACTIONS(1970),
    [sym_kStrict] = ACTIONS(1970),
    [sym_kRequired] = ACTIONS(1970),
    [sym_kOptional] = ACTIONS(1970),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [sym_kEnd] = ACTIONS(2289),
    [sym_kVar] = ACTIONS(2291),
    [sym_kThreadvar] = ACTIONS(2289),
    [sym_kConst] = ACTIONS(2291),
    [sym_kResourcestring] = ACTIONS(2289),
    [sym_kType] = ACTIONS(2289),
    [sym_kProperty] = ACTIONS(2289),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2289),
    [sym_kGeneric] = ACTIONS(2289),
    [sym_kCase] = ACTIONS(2289),
    [sym_kFunction] = ACTIONS(2289),
    [sym_kProcedure] = ACTIONS(2289),
    [sym_kConstructor] = ACTIONS(2289),
    [sym_kDestructor] = ACTIONS(2289),
    [sym_kOperator] = ACTIONS(2289),
    [sym_kPublished] = ACTIONS(2289),
    [sym_kPublic] = ACTIONS(2326),
    [sym_kProtected] = ACTIONS(2289),
    [sym_kPrivate] = ACTIONS(2289),
    [sym_kStrict] = ACTIONS(2289),
    [sym_kRequired] = ACTIONS(2289),
    [sym_kOptional] = ACTIONS(2289),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(284),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_kUses] = ACTIONS(2101),
    [sym_kInterface] = ACTIONS(2101),
    [sym_kImplementation] = ACTIONS(2101),
    [sym_kInitialization] = ACTIONS(2101),
    [sym_kFinalization] = ACTIONS(2101),
    [sym_kEnd] = ACTIONS(2101),
    [sym_kVar] = ACTIONS(2103),
    [sym_kThreadvar] = ACTIONS(2101),
    [sym_kConst] = ACTIONS(2103),
    [sym_kResourcestring] = ACTIONS(2101),
    [sym_kType] = ACTIONS(2101),
    [sym_kLabel] = ACTIONS(2101),
    [sym_kExports] = ACTIONS(2101),
    [sym_kProperty] = ACTIONS(2101),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2101),
    [sym_kGeneric] = ACTIONS(2101),
    [sym_kFunction] = ACTIONS(2101),
    [sym_kProcedure] = ACTIONS(2101),
    [sym_kConstructor] = ACTIONS(2101),
    [sym_kDestructor] = ACTIONS(2101),
    [sym_kOperator] = ACTIONS(2101),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [sym_kEnd] = ACTIONS(1133),
    [sym_kVar] = ACTIONS(1135),
    [sym_kThreadvar] = ACTIONS(1133),
    [sym_kConst] = ACTIONS(1135),
    [sym_kResourcestring] = ACTIONS(1133),
    [sym_kType] = ACTIONS(1133),
    [sym_kProperty] = ACTIONS(1133),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1133),
    [sym_kGeneric] = ACTIONS(1133),
    [sym_kCase] = ACTIONS(1133),
    [sym_kFunction] = ACTIONS(1133),
    [sym_kProcedure] = ACTIONS(1133),
    [sym_kConstructor] = ACTIONS(1133),
    [sym_kDestructor] = ACTIONS(1133),
    [sym_kOperator] = ACTIONS(1133),
    [sym_kPublished] = ACTIONS(1133),
    [sym_kPublic] = ACTIONS(2335),
    [sym_kProtected] = ACTIONS(1133),
    [sym_kPrivate] = ACTIONS(1133),
    [sym_kStrict] = ACTIONS(1133),
    [sym_kRequired] = ACTIONS(1133),
    [sym_kOptional] = ACTIONS(1133),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(327),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [sym_kEnd] = ACTIONS(2341),
    [sym_kVar] = ACTIONS(2343),
    [sym_kThreadvar] = ACTIONS(2341),
    [sym_kConst] = ACTIONS(2343),
    [sym_kResourcestring] = ACTIONS(2341),
    [sym_kType] = ACTIONS(2341),
    [sym_kProperty] = ACTIONS(2341),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2341),
    [sym_kGeneric] = ACTIONS(2341),
    [sym_kCase] = ACTIONS(2341),
    [sym_kFunction] = ACTIONS(2341),
    [sym_kProcedure] = ACTIONS(2341),
    [sym_kConstructor] = ACTIONS(2341),
    [sym_kDestructor] = ACTIONS(2341),
    [sym_kOperator] = ACTIONS(2341),
    [sym_kPublished] = ACTIONS(2341),
    [sym_kPublic] = ACTIONS(2345),
    [sym_kProtected] = ACTIONS(2341),
    [sym_kPrivate] = ACTIONS(2341),
    [sym_kStrict] = ACTIONS(2341),
    [sym_kRequired] = ACTIONS(2341),
    [sym_kOptional] = ACTIONS(2341),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [sym_kEnd] = ACTIONS(1999),
    [sym_kVar] = ACTIONS(2001),
    [sym_kThreadvar] = ACTIONS(1999),
    [sym_kConst] = ACTIONS(2001),
    [sym_kResourcestring] = ACTIONS(1999),
    [sym_kType] = ACTIONS(1999),
    [sym_kProperty] = ACTIONS(1999),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1999),
    [sym_kGeneric] = ACTIONS(1999),
    [sym_kCase] = ACTIONS(1999),
    [sym_kFunction] = ACTIONS(1999),
    [sym_kProcedure] = ACTIONS(1999),
    [sym_kConstructor] = ACTIONS(1999),
    [sym_kDestructor] = ACTIONS(1999),
    [sym_kOperator] = ACTIONS(1999),
    [sym_kPublished] = ACTIONS(1999),
    [sym_kPublic] = ACTIONS(2351),
    [sym_kProtected] = ACTIONS(1999),
    [sym_kPrivate] = ACTIONS(1999),
    [sym_kStrict] = ACTIONS(1999),
    [sym_kRequired] = ACTIONS(1999),
    [sym_kOptional] = ACTIONS(1999),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [sym_kEnd] = ACTIONS(2276),
    [sym_kVar] = ACTIONS(2278),
    [sym_kThreadvar] = ACTIONS(2276),
    [sym_kConst] = ACTIONS(2278),
    [sym_kResourcestring] = ACTIONS(2276),
    [sym_kType] = ACTIONS(2276),
    [sym_kProperty] = ACTIONS(2276),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2276),
    [sym_kGeneric] = ACTIONS(2276),
    [sym_kCase] = ACTIONS(2276),
    [sym_kFunction] = ACTIONS(2276),
    [sym_kProcedure] = ACTIONS(2276),
    [sym_kConstructor] = ACTIONS(2276),
    [sym_kDestructor] = ACTIONS(2276),
    [sym_kOperator] = ACTIONS(2276),
    [sym_kPublished] = ACTIONS(2276),
    [sym_kPublic] = ACTIONS(2357),
    [sym_kProtected] = ACTIONS(2276),
    [sym_kPrivate] = ACTIONS(2276),
    [sym_kStrict] = ACTIONS(2276),
    [sym_kRequired] = ACTIONS(2276),
    [sym_kOptional] = ACTIONS(2276),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [sym_kUses] = ACTIONS(2363),
    [sym_kInterface] = ACTIONS(2363),
    [sym_kImplementation] = ACTIONS(2363),
    [sym_kInitialization] = ACTIONS(2363),
    [sym_kFinalization] = ACTIONS(2363),
    [sym_kEnd] = ACTIONS(2363),
    [sym_kVar] = ACTIONS(2365),
    [sym_kThreadvar] = ACTIONS(2363),
    [sym_kConst] = ACTIONS(2365),
    [sym_kResourcestring] = ACTIONS(2363),
    [sym_kType] = ACTIONS(2363),
    [sym_kLabel] = ACTIONS(2363),
    [sym_kExports] = ACTIONS(2363),
    [sym_kProperty] = ACTIONS(2363),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2363),
    [sym_kGeneric] = ACTIONS(2363),
    [sym_kFunction] = ACTIONS(2363),
    [sym_kProcedure] = ACTIONS(2363),
    [sym_kConstructor] = ACTIONS(2363),
    [sym_kDestructor] = ACTIONS(2363),
    [sym_kOperator] = ACTIONS(2363),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [sym_kUses] = ACTIONS(2370),
    [sym_kInterface] = ACTIONS(2370),
    [sym_kImplementation] = ACTIONS(2370),
    [sym_kInitialization] = ACTIONS(2370),
    [sym_kFinalization] = ACTIONS(2370),
    [sym_kEnd] = ACTIONS(2370),
    [sym_kVar] = ACTIONS(2372),
    [sym_kThreadvar] = ACTIONS(2370),
    [sym_kConst] = ACTIONS(2372),
    [sym_kResourcestring] = ACTIONS(2370),
    [sym_kType] = ACTIONS(2370),
    [sym_kLabel] = ACTIONS(2370),
    [sym_kExports] = ACTIONS(2370),
    [sym_kProperty] = ACTIONS(2370),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2370),
    [sym_kGeneric] = ACTIONS(2370),
    [sym_kFunction] = ACTIONS(2370),
    [sym_kProcedure] = ACTIONS(2370),
    [sym_kConstructor] = ACTIONS(2370),
    [sym_kDestructor] = ACTIONS(2370),
    [sym_kOperator] = ACTIONS(2370),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(299),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [sym_kEnd] = ACTIONS(1352),
    [sym_kVar] = ACTIONS(1354),
    [sym_kThreadvar] = ACTIONS(1352),
    [sym_kConst] = ACTIONS(1354),
    [sym_kResourcestring] = ACTIONS(1352),
    [sym_kType] = ACTIONS(1352),
    [sym_kProperty] = ACTIONS(1352),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1352),
    [sym_kGeneric] = ACTIONS(1352),
    [sym_kCase] = ACTIONS(1352),
    [sym_kFunction] = ACTIONS(1352),
    [sym_kProcedure] = ACTIONS(1352),
    [sym_kConstructor] = ACTIONS(1352),
    [sym_kDestructor] = ACTIONS(1352),
    [sym_kOperator] = ACTIONS(1352),
    [sym_kPublished] = ACTIONS(1352),
    [sym_kPublic] = ACTIONS(2377),
    [sym_kProtected] = ACTIONS(1352),
    [sym_kPrivate] = ACTIONS(1352),
    [sym_kStrict] = ACTIONS(1352),
    [sym_kRequired] = ACTIONS(1352),
    [sym_kOptional] = ACTIONS(1352),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(319),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [sym_kUses] = ACTIONS(2383),
    [sym_kInterface] = ACTIONS(2383),
    [sym_kImplementation] = ACTIONS(2383),
    [sym_kInitialization] = ACTIONS(2383),
    [sym_kFinalization] = ACTIONS(2383),
    [sym_kEnd] = ACTIONS(2383),
    [sym_kVar] = ACTIONS(2385),
    [sym_kThreadvar] = ACTIONS(2383),
    [sym_kConst] = ACTIONS(2385),
    [sym_kResourcestring] = ACTIONS(2383),
    [sym_kType] = ACTIONS(2383),
    [sym_kLabel] = ACTIONS(2383),
    [sym_kExports] = ACTIONS(2383),
    [sym_kProperty] = ACTIONS(2383),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2383),
    [sym_kGeneric] = ACTIONS(2383),
    [sym_kFunction] = ACTIONS(2383),
    [sym_kProcedure] = ACTIONS(2383),
    [sym_kConstructor] = ACTIONS(2383),
    [sym_kDestructor] = ACTIONS(2383),
    [sym_kOperator] = ACTIONS(2383),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(303),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [sym_kEnd] = ACTIONS(1486),
    [sym_kVar] = ACTIONS(1488),
    [sym_kThreadvar] = ACTIONS(1486),
    [sym_kConst] = ACTIONS(1488),
    [sym_kResourcestring] = ACTIONS(1486),
    [sym_kType] = ACTIONS(1486),
    [sym_kProperty] = ACTIONS(1486),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1486),
    [sym_kGeneric] = ACTIONS(1486),
    [sym_kCase] = ACTIONS(1486),
    [sym_kFunction] = ACTIONS(1486),
    [sym_kProcedure] = ACTIONS(1486),
    [sym_kConstructor] = ACTIONS(1486),
    [sym_kDestructor] = ACTIONS(1486),
    [sym_kOperator] = ACTIONS(1486),
    [sym_kPublished] = ACTIONS(1486),
    [sym_kPublic] = ACTIONS(2390),
    [sym_kProtected] = ACTIONS(1486),
    [sym_kPrivate] = ACTIONS(1486),
    [sym_kStrict] = ACTIONS(1486),
    [sym_kRequired] = ACTIONS(1486),
    [sym_kOptional] = ACTIONS(1486),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(292),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [sym_kEnd] = ACTIONS(2018),
    [sym_kVar] = ACTIONS(2020),
    [sym_kThreadvar] = ACTIONS(2018),
    [sym_kConst] = ACTIONS(2020),
    [sym_kResourcestring] = ACTIONS(2018),
    [sym_kType] = ACTIONS(2018),
    [sym_kProperty] = ACTIONS(2018),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2018),
    [sym_kGeneric] = ACTIONS(2018),
    [sym_kCase] = ACTIONS(2018),
    [sym_kFunction] = ACTIONS(2018),
    [sym_kProcedure] = ACTIONS(2018),
    [sym_kConstructor] = ACTIONS(2018),
    [sym_kDestructor] = ACTIONS(2018),
    [sym_kOperator] = ACTIONS(2018),
    [sym_kPublished] = ACTIONS(2018),
    [sym_kPublic] = ACTIONS(2396),
    [sym_kProtected] = ACTIONS(2018),
    [sym_kPrivate] = ACTIONS(2018),
    [sym_kStrict] = ACTIONS(2018),
    [sym_kRequired] = ACTIONS(2018),
    [sym_kOptional] = ACTIONS(2018),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [sym_kUses] = ACTIONS(2402),
    [sym_kInterface] = ACTIONS(2402),
    [sym_kImplementation] = ACTIONS(2402),
    [sym_kInitialization] = ACTIONS(2402),
    [sym_kFinalization] = ACTIONS(2402),
    [sym_kEnd] = ACTIONS(2402),
    [sym_kVar] = ACTIONS(2404),
    [sym_kThreadvar] = ACTIONS(2402),
    [sym_kConst] = ACTIONS(2404),
    [sym_kResourcestring] = ACTIONS(2402),
    [sym_kType] = ACTIONS(2402),
    [sym_kLabel] = ACTIONS(2402),
    [sym_kExports] = ACTIONS(2402),
    [sym_kProperty] = ACTIONS(2402),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2402),
    [sym_kGeneric] = ACTIONS(2402),
    [sym_kFunction] = ACTIONS(2402),
    [sym_kProcedure] = ACTIONS(2402),
    [sym_kConstructor] = ACTIONS(2402),
    [sym_kDestructor] = ACTIONS(2402),
    [sym_kOperator] = ACTIONS(2402),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(318),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [sym_kUses] = ACTIONS(2409),
    [sym_kInterface] = ACTIONS(2409),
    [sym_kImplementation] = ACTIONS(2409),
    [sym_kInitialization] = ACTIONS(2409),
    [sym_kFinalization] = ACTIONS(2409),
    [sym_kEnd] = ACTIONS(2409),
    [sym_kVar] = ACTIONS(2411),
    [sym_kThreadvar] = ACTIONS(2409),
    [sym_kConst] = ACTIONS(2411),
    [sym_kResourcestring] = ACTIONS(2409),
    [sym_kType] = ACTIONS(2409),
    [sym_kLabel] = ACTIONS(2409),
    [sym_kExports] = ACTIONS(2409),
    [sym_kProperty] = ACTIONS(2409),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2409),
    [sym_kGeneric] = ACTIONS(2409),
    [sym_kFunction] = ACTIONS(2409),
    [sym_kProcedure] = ACTIONS(2409),
    [sym_kConstructor] = ACTIONS(2409),
    [sym_kDestructor] = ACTIONS(2409),
    [sym_kOperator] = ACTIONS(2409),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(288),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [sym_kUses] = ACTIONS(2416),
    [sym_kInterface] = ACTIONS(2416),
    [sym_kImplementation] = ACTIONS(2416),
    [sym_kInitialization] = ACTIONS(2416),
    [sym_kFinalization] = ACTIONS(2416),
    [sym_kEnd] = ACTIONS(2416),
    [sym_kVar] = ACTIONS(2418),
    [sym_kThreadvar] = ACTIONS(2416),
    [sym_kConst] = ACTIONS(2418),
    [sym_kResourcestring] = ACTIONS(2416),
    [sym_kType] = ACTIONS(2416),
    [sym_kLabel] = ACTIONS(2416),
    [sym_kExports] = ACTIONS(2416),
    [sym_kProperty] = ACTIONS(2416),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2416),
    [sym_kGeneric] = ACTIONS(2416),
    [sym_kFunction] = ACTIONS(2416),
    [sym_kProcedure] = ACTIONS(2416),
    [sym_kConstructor] = ACTIONS(2416),
    [sym_kDestructor] = ACTIONS(2416),
    [sym_kOperator] = ACTIONS(2416),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [sym_kEnd] = ACTIONS(2423),
    [sym_kVar] = ACTIONS(2425),
    [sym_kThreadvar] = ACTIONS(2423),
    [sym_kConst] = ACTIONS(2425),
    [sym_kResourcestring] = ACTIONS(2423),
    [sym_kType] = ACTIONS(2423),
    [sym_kProperty] = ACTIONS(2423),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2423),
    [sym_kGeneric] = ACTIONS(2423),
    [sym_kCase] = ACTIONS(2423),
    [sym_kFunction] = ACTIONS(2423),
    [sym_kProcedure] = ACTIONS(2423),
    [sym_kConstructor] = ACTIONS(2423),
    [sym_kDestructor] = ACTIONS(2423),
    [sym_kOperator] = ACTIONS(2423),
    [sym_kPublished] = ACTIONS(2423),
    [sym_kPublic] = ACTIONS(2427),
    [sym_kProtected] = ACTIONS(2423),
    [sym_kPrivate] = ACTIONS(2423),
    [sym_kStrict] = ACTIONS(2423),
    [sym_kRequired] = ACTIONS(2423),
    [sym_kOptional] = ACTIONS(2423),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(242),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [sym_kEnd] = ACTIONS(2031),
    [sym_kVar] = ACTIONS(2033),
    [sym_kThreadvar] = ACTIONS(2031),
    [sym_kConst] = ACTIONS(2033),
    [sym_kResourcestring] = ACTIONS(2031),
    [sym_kType] = ACTIONS(2031),
    [sym_kProperty] = ACTIONS(2031),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2031),
    [sym_kGeneric] = ACTIONS(2031),
    [sym_kCase] = ACTIONS(2031),
    [sym_kFunction] = ACTIONS(2031),
    [sym_kProcedure] = ACTIONS(2031),
    [sym_kConstructor] = ACTIONS(2031),
    [sym_kDestructor] = ACTIONS(2031),
    [sym_kOperator] = ACTIONS(2031),
    [sym_kPublished] = ACTIONS(2031),
    [sym_kPublic] = ACTIONS(2433),
    [sym_kProtected] = ACTIONS(2031),
    [sym_kPrivate] = ACTIONS(2031),
    [sym_kStrict] = ACTIONS(2031),
    [sym_kRequired] = ACTIONS(2031),
    [sym_kOptional] = ACTIONS(2031),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(358),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [sym_kEnd] = ACTIONS(2057),
    [sym_kVar] = ACTIONS(2059),
    [sym_kThreadvar] = ACTIONS(2057),
    [sym_kConst] = ACTIONS(2059),
    [sym_kResourcestring] = ACTIONS(2057),
    [sym_kType] = ACTIONS(2057),
    [sym_kProperty] = ACTIONS(2057),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2057),
    [sym_kGeneric] = ACTIONS(2057),
    [sym_kCase] = ACTIONS(2057),
    [sym_kFunction] = ACTIONS(2057),
    [sym_kProcedure] = ACTIONS(2057),
    [sym_kConstructor] = ACTIONS(2057),
    [sym_kDestructor] = ACTIONS(2057),
    [sym_kOperator] = ACTIONS(2057),
    [sym_kPublished] = ACTIONS(2057),
    [sym_kPublic] = ACTIONS(2439),
    [sym_kProtected] = ACTIONS(2057),
    [sym_kPrivate] = ACTIONS(2057),
    [sym_kStrict] = ACTIONS(2057),
    [sym_kRequired] = ACTIONS(2057),
    [sym_kOptional] = ACTIONS(2057),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [sym_kUses] = ACTIONS(1922),
    [sym_kInterface] = ACTIONS(1922),
    [sym_kImplementation] = ACTIONS(1922),
    [sym_kInitialization] = ACTIONS(1922),
    [sym_kFinalization] = ACTIONS(1922),
    [sym_kEnd] = ACTIONS(1922),
    [sym_kVar] = ACTIONS(1924),
    [sym_kThreadvar] = ACTIONS(1922),
    [sym_kConst] = ACTIONS(1924),
    [sym_kResourcestring] = ACTIONS(1922),
    [sym_kType] = ACTIONS(1922),
    [sym_kLabel] = ACTIONS(1922),
    [sym_kExports] = ACTIONS(1922),
    [sym_kProperty] = ACTIONS(1922),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1922),
    [sym_kGeneric] = ACTIONS(1922),
    [sym_kFunction] = ACTIONS(1922),
    [sym_kProcedure] = ACTIONS(1922),
    [sym_kConstructor] = ACTIONS(1922),
    [sym_kDestructor] = ACTIONS(1922),
    [sym_kOperator] = ACTIONS(1922),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2445),
    [sym_kUses] = ACTIONS(1912),
    [sym_kInterface] = ACTIONS(1912),
    [sym_kImplementation] = ACTIONS(1912),
    [sym_kInitialization] = ACTIONS(1912),
    [sym_kFinalization] = ACTIONS(1912),
    [sym_kEnd] = ACTIONS(1912),
    [sym_kVar] = ACTIONS(1914),
    [sym_kThreadvar] = ACTIONS(1912),
    [sym_kConst] = ACTIONS(1914),
    [sym_kResourcestring] = ACTIONS(1912),
    [sym_kType] = ACTIONS(1912),
    [sym_kLabel] = ACTIONS(1912),
    [sym_kExports] = ACTIONS(1912),
    [sym_kProperty] = ACTIONS(1912),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1912),
    [sym_kGeneric] = ACTIONS(1912),
    [sym_kFunction] = ACTIONS(1912),
    [sym_kProcedure] = ACTIONS(1912),
    [sym_kConstructor] = ACTIONS(1912),
    [sym_kDestructor] = ACTIONS(1912),
    [sym_kOperator] = ACTIONS(1912),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(305),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [sym_kEnd] = ACTIONS(1493),
    [sym_kVar] = ACTIONS(1495),
    [sym_kThreadvar] = ACTIONS(1493),
    [sym_kConst] = ACTIONS(1495),
    [sym_kResourcestring] = ACTIONS(1493),
    [sym_kType] = ACTIONS(1493),
    [sym_kProperty] = ACTIONS(1493),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1493),
    [sym_kGeneric] = ACTIONS(1493),
    [sym_kCase] = ACTIONS(1493),
    [sym_kFunction] = ACTIONS(1493),
    [sym_kProcedure] = ACTIONS(1493),
    [sym_kConstructor] = ACTIONS(1493),
    [sym_kDestructor] = ACTIONS(1493),
    [sym_kOperator] = ACTIONS(1493),
    [sym_kPublished] = ACTIONS(1493),
    [sym_kPublic] = ACTIONS(2451),
    [sym_kProtected] = ACTIONS(1493),
    [sym_kPrivate] = ACTIONS(1493),
    [sym_kStrict] = ACTIONS(1493),
    [sym_kRequired] = ACTIONS(1493),
    [sym_kOptional] = ACTIONS(1493),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [sym_kEnd] = ACTIONS(2457),
    [sym_kVar] = ACTIONS(2459),
    [sym_kThreadvar] = ACTIONS(2457),
    [sym_kConst] = ACTIONS(2459),
    [sym_kResourcestring] = ACTIONS(2457),
    [sym_kType] = ACTIONS(2457),
    [sym_kProperty] = ACTIONS(2457),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2457),
    [sym_kGeneric] = ACTIONS(2457),
    [sym_kCase] = ACTIONS(2457),
    [sym_kFunction] = ACTIONS(2457),
    [sym_kProcedure] = ACTIONS(2457),
    [sym_kConstructor] = ACTIONS(2457),
    [sym_kDestructor] = ACTIONS(2457),
    [sym_kOperator] = ACTIONS(2457),
    [sym_kPublished] = ACTIONS(2457),
    [sym_kPublic] = ACTIONS(2461),
    [sym_kProtected] = ACTIONS(2457),
    [sym_kPrivate] = ACTIONS(2457),
    [sym_kStrict] = ACTIONS(2457),
    [sym_kRequired] = ACTIONS(2457),
    [sym_kOptional] = ACTIONS(2457),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [sym_kEnd] = ACTIONS(1366),
    [sym_kVar] = ACTIONS(1368),
    [sym_kThreadvar] = ACTIONS(1366),
    [sym_kConst] = ACTIONS(1368),
    [sym_kResourcestring] = ACTIONS(1366),
    [sym_kType] = ACTIONS(1366),
    [sym_kProperty] = ACTIONS(1366),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1366),
    [sym_kGeneric] = ACTIONS(1366),
    [sym_kCase] = ACTIONS(1366),
    [sym_kFunction] = ACTIONS(1366),
    [sym_kProcedure] = ACTIONS(1366),
    [sym_kConstructor] = ACTIONS(1366),
    [sym_kDestructor] = ACTIONS(1366),
    [sym_kOperator] = ACTIONS(1366),
    [sym_kPublished] = ACTIONS(1366),
    [sym_kPublic] = ACTIONS(2467),
    [sym_kProtected] = ACTIONS(1366),
    [sym_kPrivate] = ACTIONS(1366),
    [sym_kStrict] = ACTIONS(1366),
    [sym_kRequired] = ACTIONS(1366),
    [sym_kOptional] = ACTIONS(1366),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [sym_kUses] = ACTIONS(1695),
    [sym_kInterface] = ACTIONS(1695),
    [sym_kImplementation] = ACTIONS(1695),
    [sym_kInitialization] = ACTIONS(1695),
    [sym_kFinalization] = ACTIONS(1695),
    [sym_kEnd] = ACTIONS(1695),
    [sym_kVar] = ACTIONS(1697),
    [sym_kThreadvar] = ACTIONS(1695),
    [sym_kConst] = ACTIONS(1697),
    [sym_kResourcestring] = ACTIONS(1695),
    [sym_kType] = ACTIONS(1695),
    [sym_kLabel] = ACTIONS(1695),
    [sym_kExports] = ACTIONS(1695),
    [sym_kProperty] = ACTIONS(1695),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1695),
    [sym_kGeneric] = ACTIONS(1695),
    [sym_kFunction] = ACTIONS(1695),
    [sym_kProcedure] = ACTIONS(1695),
    [sym_kConstructor] = ACTIONS(1695),
    [sym_kDestructor] = ACTIONS(1695),
    [sym_kOperator] = ACTIONS(1695),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(340),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [sym_kEnd] = ACTIONS(1158),
    [sym_kVar] = ACTIONS(1160),
    [sym_kThreadvar] = ACTIONS(1158),
    [sym_kConst] = ACTIONS(1160),
    [sym_kResourcestring] = ACTIONS(1158),
    [sym_kType] = ACTIONS(1158),
    [sym_kProperty] = ACTIONS(1158),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1158),
    [sym_kGeneric] = ACTIONS(1158),
    [sym_kCase] = ACTIONS(1158),
    [sym_kFunction] = ACTIONS(1158),
    [sym_kProcedure] = ACTIONS(1158),
    [sym_kConstructor] = ACTIONS(1158),
    [sym_kDestructor] = ACTIONS(1158),
    [sym_kOperator] = ACTIONS(1158),
    [sym_kPublished] = ACTIONS(1158),
    [sym_kPublic] = ACTIONS(2476),
    [sym_kProtected] = ACTIONS(1158),
    [sym_kPrivate] = ACTIONS(1158),
    [sym_kStrict] = ACTIONS(1158),
    [sym_kRequired] = ACTIONS(1158),
    [sym_kOptional] = ACTIONS(1158),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(387),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [sym_kUses] = ACTIONS(1861),
    [sym_kInterface] = ACTIONS(1861),
    [sym_kImplementation] = ACTIONS(1861),
    [sym_kInitialization] = ACTIONS(1861),
    [sym_kFinalization] = ACTIONS(1861),
    [sym_kEnd] = ACTIONS(1861),
    [sym_kVar] = ACTIONS(1863),
    [sym_kThreadvar] = ACTIONS(1861),
    [sym_kConst] = ACTIONS(1863),
    [sym_kResourcestring] = ACTIONS(1861),
    [sym_kType] = ACTIONS(1861),
    [sym_kLabel] = ACTIONS(1861),
    [sym_kExports] = ACTIONS(1861),
    [sym_kProperty] = ACTIONS(1861),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1861),
    [sym_kGeneric] = ACTIONS(1861),
    [sym_kFunction] = ACTIONS(1861),
    [sym_kProcedure] = ACTIONS(1861),
    [sym_kConstructor] = ACTIONS(1861),
    [sym_kDestructor] = ACTIONS(1861),
    [sym_kOperator] = ACTIONS(1861),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [sym_kUses] = ACTIONS(2485),
    [sym_kInterface] = ACTIONS(2485),
    [sym_kImplementation] = ACTIONS(2485),
    [sym_kInitialization] = ACTIONS(2485),
    [sym_kFinalization] = ACTIONS(2485),
    [sym_kEnd] = ACTIONS(2485),
    [sym_kVar] = ACTIONS(2487),
    [sym_kThreadvar] = ACTIONS(2485),
    [sym_kConst] = ACTIONS(2487),
    [sym_kResourcestring] = ACTIONS(2485),
    [sym_kType] = ACTIONS(2485),
    [sym_kLabel] = ACTIONS(2485),
    [sym_kExports] = ACTIONS(2485),
    [sym_kProperty] = ACTIONS(2485),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2485),
    [sym_kGeneric] = ACTIONS(2485),
    [sym_kFunction] = ACTIONS(2485),
    [sym_kProcedure] = ACTIONS(2485),
    [sym_kConstructor] = ACTIONS(2485),
    [sym_kDestructor] = ACTIONS(2485),
    [sym_kOperator] = ACTIONS(2485),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2489),
    [sym_kUses] = ACTIONS(2457),
    [sym_kInterface] = ACTIONS(2457),
    [sym_kImplementation] = ACTIONS(2457),
    [sym_kInitialization] = ACTIONS(2457),
    [sym_kFinalization] = ACTIONS(2457),
    [sym_kEnd] = ACTIONS(2457),
    [sym_kVar] = ACTIONS(2459),
    [sym_kThreadvar] = ACTIONS(2457),
    [sym_kConst] = ACTIONS(2459),
    [sym_kResourcestring] = ACTIONS(2457),
    [sym_kType] = ACTIONS(2457),
    [sym_kLabel] = ACTIONS(2457),
    [sym_kExports] = ACTIONS(2457),
    [sym_kProperty] = ACTIONS(2457),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2457),
    [sym_kGeneric] = ACTIONS(2457),
    [sym_kFunction] = ACTIONS(2457),
    [sym_kProcedure] = ACTIONS(2457),
    [sym_kConstructor] = ACTIONS(2457),
    [sym_kDestructor] = ACTIONS(2457),
    [sym_kOperator] = ACTIONS(2457),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(280),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [sym_kUses] = ACTIONS(2495),
    [sym_kInterface] = ACTIONS(2495),
    [sym_kImplementation] = ACTIONS(2495),
    [sym_kInitialization] = ACTIONS(2495),
    [sym_kFinalization] = ACTIONS(2495),
    [sym_kEnd] = ACTIONS(2495),
    [sym_kVar] = ACTIONS(2497),
    [sym_kThreadvar] = ACTIONS(2495),
    [sym_kConst] = ACTIONS(2497),
    [sym_kResourcestring] = ACTIONS(2495),
    [sym_kType] = ACTIONS(2495),
    [sym_kLabel] = ACTIONS(2495),
    [sym_kExports] = ACTIONS(2495),
    [sym_kProperty] = ACTIONS(2495),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2495),
    [sym_kGeneric] = ACTIONS(2495),
    [sym_kFunction] = ACTIONS(2495),
    [sym_kProcedure] = ACTIONS(2495),
    [sym_kConstructor] = ACTIONS(2495),
    [sym_kDestructor] = ACTIONS(2495),
    [sym_kOperator] = ACTIONS(2495),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(191),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [sym_kUses] = ACTIONS(2423),
    [sym_kInterface] = ACTIONS(2423),
    [sym_kImplementation] = ACTIONS(2423),
    [sym_kInitialization] = ACTIONS(2423),
    [sym_kFinalization] = ACTIONS(2423),
    [sym_kEnd] = ACTIONS(2423),
    [sym_kVar] = ACTIONS(2425),
    [sym_kThreadvar] = ACTIONS(2423),
    [sym_kConst] = ACTIONS(2425),
    [sym_kResourcestring] = ACTIONS(2423),
    [sym_kType] = ACTIONS(2423),
    [sym_kLabel] = ACTIONS(2423),
    [sym_kExports] = ACTIONS(2423),
    [sym_kProperty] = ACTIONS(2423),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2423),
    [sym_kGeneric] = ACTIONS(2423),
    [sym_kFunction] = ACTIONS(2423),
    [sym_kProcedure] = ACTIONS(2423),
    [sym_kConstructor] = ACTIONS(2423),
    [sym_kDestructor] = ACTIONS(2423),
    [sym_kOperator] = ACTIONS(2423),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym__procAttributeNoExt] = STATE(416),
    [sym_procAttribute] = STATE(2429),
    [aux_sym__declProc_repeat1] = STATE(252),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [sym_kUses] = ACTIONS(2341),
    [sym_kInterface] = ACTIONS(2341),
    [sym_kImplementation] = ACTIONS(2341),
    [sym_kInitialization] = ACTIONS(2341),
    [sym_kFinalization] = ACTIONS(2341),
    [sym_kEnd] = ACTIONS(2341),
    [sym_kVar] = ACTIONS(2343),
    [sym_kThreadvar] = ACTIONS(2341),
    [sym_kConst] = ACTIONS(2343),
    [sym_kResourcestring] = ACTIONS(2341),
    [sym_kType] = ACTIONS(2341),
    [sym_kLabel] = ACTIONS(2341),
    [sym_kExports] = ACTIONS(2341),
    [sym_kProperty] = ACTIONS(2341),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2341),
    [sym_kGeneric] = ACTIONS(2341),
    [sym_kFunction] = ACTIONS(2341),
    [sym_kProcedure] = ACTIONS(2341),
    [sym_kConstructor] = ACTIONS(2341),
    [sym_kDestructor] = ACTIONS(2341),
    [sym_kOperator] = ACTIONS(2341),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(293),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [sym_kEnd] = ACTIONS(2495),
    [sym_kVar] = ACTIONS(2497),
    [sym_kThreadvar] = ACTIONS(2495),
    [sym_kConst] = ACTIONS(2497),
    [sym_kResourcestring] = ACTIONS(2495),
    [sym_kType] = ACTIONS(2495),
    [sym_kProperty] = ACTIONS(2495),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2495),
    [sym_kGeneric] = ACTIONS(2495),
    [sym_kCase] = ACTIONS(2495),
    [sym_kFunction] = ACTIONS(2495),
    [sym_kProcedure] = ACTIONS(2495),
    [sym_kConstructor] = ACTIONS(2495),
    [sym_kDestructor] = ACTIONS(2495),
    [sym_kOperator] = ACTIONS(2495),
    [sym_kPublished] = ACTIONS(2495),
    [sym_kPublic] = ACTIONS(2508),
    [sym_kProtected] = ACTIONS(2495),
    [sym_kPrivate] = ACTIONS(2495),
    [sym_kStrict] = ACTIONS(2495),
    [sym_kRequired] = ACTIONS(2495),
    [sym_kOptional] = ACTIONS(2495),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [sym_kEnd] = ACTIONS(2485),
    [sym_kVar] = ACTIONS(2487),
    [sym_kThreadvar] = ACTIONS(2485),
    [sym_kConst] = ACTIONS(2487),
    [sym_kResourcestring] = ACTIONS(2485),
    [sym_kType] = ACTIONS(2485),
    [sym_kProperty] = ACTIONS(2485),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2485),
    [sym_kGeneric] = ACTIONS(2485),
    [sym_kCase] = ACTIONS(2485),
    [sym_kFunction] = ACTIONS(2485),
    [sym_kProcedure] = ACTIONS(2485),
    [sym_kConstructor] = ACTIONS(2485),
    [sym_kDestructor] = ACTIONS(2485),
    [sym_kOperator] = ACTIONS(2485),
    [sym_kPublished] = ACTIONS(2485),
    [sym_kPublic] = ACTIONS(2514),
    [sym_kProtected] = ACTIONS(2485),
    [sym_kPrivate] = ACTIONS(2485),
    [sym_kStrict] = ACTIONS(2485),
    [sym_kRequired] = ACTIONS(2485),
    [sym_kOptional] = ACTIONS(2485),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2517),
    [sym_kEnd] = ACTIONS(1479),
    [sym_kVar] = ACTIONS(1481),
    [sym_kThreadvar] = ACTIONS(1479),
    [sym_kConst] = ACTIONS(1481),
    [sym_kResourcestring] = ACTIONS(1479),
    [sym_kType] = ACTIONS(1479),
    [sym_kProperty] = ACTIONS(1479),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1479),
    [sym_kGeneric] = ACTIONS(1479),
    [sym_kCase] = ACTIONS(1479),
    [sym_kFunction] = ACTIONS(1479),
    [sym_kProcedure] = ACTIONS(1479),
    [sym_kConstructor] = ACTIONS(1479),
    [sym_kDestructor] = ACTIONS(1479),
    [sym_kOperator] = ACTIONS(1479),
    [sym_kPublished] = ACTIONS(1479),
    [sym_kPublic] = ACTIONS(2520),
    [sym_kProtected] = ACTIONS(1479),
    [sym_kPrivate] = ACTIONS(1479),
    [sym_kStrict] = ACTIONS(1479),
    [sym_kRequired] = ACTIONS(1479),
    [sym_kOptional] = ACTIONS(1479),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym__procAttribute] = STATE(244),
    [sym_procAttribute] = STATE(2411),
    [aux_sym_declProcFwd_repeat1] = STATE(98),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [sym_kUses] = ACTIONS(1893),
    [sym_kInterface] = ACTIONS(1893),
    [sym_kImplementation] = ACTIONS(1893),
    [sym_kInitialization] = ACTIONS(1893),
    [sym_kFinalization] = ACTIONS(1893),
    [sym_kEnd] = ACTIONS(1893),
    [sym_kVar] = ACTIONS(1895),
    [sym_kThreadvar] = ACTIONS(1893),
    [sym_kConst] = ACTIONS(1895),
    [sym_kResourcestring] = ACTIONS(1893),
    [sym_kType] = ACTIONS(1893),
    [sym_kLabel] = ACTIONS(1893),
    [sym_kExports] = ACTIONS(1893),
    [sym_kProperty] = ACTIONS(1893),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1893),
    [sym_kGeneric] = ACTIONS(1893),
    [sym_kFunction] = ACTIONS(1893),
    [sym_kProcedure] = ACTIONS(1893),
    [sym_kConstructor] = ACTIONS(1893),
    [sym_kDestructor] = ACTIONS(1893),
    [sym_kOperator] = ACTIONS(1893),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(341),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [sym_kEnd] = ACTIONS(1151),
    [sym_kVar] = ACTIONS(1153),
    [sym_kThreadvar] = ACTIONS(1151),
    [sym_kConst] = ACTIONS(1153),
    [sym_kResourcestring] = ACTIONS(1151),
    [sym_kType] = ACTIONS(1151),
    [sym_kProperty] = ACTIONS(1151),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1151),
    [sym_kGeneric] = ACTIONS(1151),
    [sym_kCase] = ACTIONS(1151),
    [sym_kFunction] = ACTIONS(1151),
    [sym_kProcedure] = ACTIONS(1151),
    [sym_kConstructor] = ACTIONS(1151),
    [sym_kDestructor] = ACTIONS(1151),
    [sym_kOperator] = ACTIONS(1151),
    [sym_kPublished] = ACTIONS(1151),
    [sym_kPublic] = ACTIONS(2529),
    [sym_kProtected] = ACTIONS(1151),
    [sym_kPrivate] = ACTIONS(1151),
    [sym_kStrict] = ACTIONS(1151),
    [sym_kRequired] = ACTIONS(1151),
    [sym_kOptional] = ACTIONS(1151),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [sym_kEnd] = ACTIONS(1444),
    [sym_kVar] = ACTIONS(1446),
    [sym_kThreadvar] = ACTIONS(1444),
    [sym_kConst] = ACTIONS(1446),
    [sym_kResourcestring] = ACTIONS(1444),
    [sym_kType] = ACTIONS(1444),
    [sym_kProperty] = ACTIONS(1444),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1444),
    [sym_kGeneric] = ACTIONS(1444),
    [sym_kCase] = ACTIONS(1444),
    [sym_kFunction] = ACTIONS(1444),
    [sym_kProcedure] = ACTIONS(1444),
    [sym_kConstructor] = ACTIONS(1444),
    [sym_kDestructor] = ACTIONS(1444),
    [sym_kOperator] = ACTIONS(1444),
    [sym_kPublished] = ACTIONS(1444),
    [sym_kPublic] = ACTIONS(2535),
    [sym_kProtected] = ACTIONS(1444),
    [sym_kPrivate] = ACTIONS(1444),
    [sym_kStrict] = ACTIONS(1444),
    [sym_kRequired] = ACTIONS(1444),
    [sym_kOptional] = ACTIONS(1444),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [sym_kEnd] = ACTIONS(1394),
    [sym_kVar] = ACTIONS(1396),
    [sym_kThreadvar] = ACTIONS(1394),
    [sym_kConst] = ACTIONS(1396),
    [sym_kResourcestring] = ACTIONS(1394),
    [sym_kType] = ACTIONS(1394),
    [sym_kProperty] = ACTIONS(1394),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1394),
    [sym_kGeneric] = ACTIONS(1394),
    [sym_kCase] = ACTIONS(1394),
    [sym_kFunction] = ACTIONS(1394),
    [sym_kProcedure] = ACTIONS(1394),
    [sym_kConstructor] = ACTIONS(1394),
    [sym_kDestructor] = ACTIONS(1394),
    [sym_kOperator] = ACTIONS(1394),
    [sym_kPublished] = ACTIONS(1394),
    [sym_kPublic] = ACTIONS(2541),
    [sym_kProtected] = ACTIONS(1394),
    [sym_kPrivate] = ACTIONS(1394),
    [sym_kStrict] = ACTIONS(1394),
    [sym_kRequired] = ACTIONS(1394),
    [sym_kOptional] = ACTIONS(1394),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(334),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [sym_kEnd] = ACTIONS(1430),
    [sym_kVar] = ACTIONS(1432),
    [sym_kThreadvar] = ACTIONS(1430),
    [sym_kConst] = ACTIONS(1432),
    [sym_kResourcestring] = ACTIONS(1430),
    [sym_kType] = ACTIONS(1430),
    [sym_kProperty] = ACTIONS(1430),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1430),
    [sym_kGeneric] = ACTIONS(1430),
    [sym_kCase] = ACTIONS(1430),
    [sym_kFunction] = ACTIONS(1430),
    [sym_kProcedure] = ACTIONS(1430),
    [sym_kConstructor] = ACTIONS(1430),
    [sym_kDestructor] = ACTIONS(1430),
    [sym_kOperator] = ACTIONS(1430),
    [sym_kPublished] = ACTIONS(1430),
    [sym_kPublic] = ACTIONS(2547),
    [sym_kProtected] = ACTIONS(1430),
    [sym_kPrivate] = ACTIONS(1430),
    [sym_kStrict] = ACTIONS(1430),
    [sym_kRequired] = ACTIONS(1430),
    [sym_kOptional] = ACTIONS(1430),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(375),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [sym_kEnd] = ACTIONS(1122),
    [sym_kVar] = ACTIONS(1124),
    [sym_kThreadvar] = ACTIONS(1122),
    [sym_kConst] = ACTIONS(1124),
    [sym_kResourcestring] = ACTIONS(1122),
    [sym_kType] = ACTIONS(1122),
    [sym_kProperty] = ACTIONS(1122),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1122),
    [sym_kGeneric] = ACTIONS(1122),
    [sym_kCase] = ACTIONS(1122),
    [sym_kFunction] = ACTIONS(1122),
    [sym_kProcedure] = ACTIONS(1122),
    [sym_kConstructor] = ACTIONS(1122),
    [sym_kDestructor] = ACTIONS(1122),
    [sym_kOperator] = ACTIONS(1122),
    [sym_kPublished] = ACTIONS(1122),
    [sym_kPublic] = ACTIONS(2553),
    [sym_kProtected] = ACTIONS(1122),
    [sym_kPrivate] = ACTIONS(1122),
    [sym_kStrict] = ACTIONS(1122),
    [sym_kRequired] = ACTIONS(1122),
    [sym_kOptional] = ACTIONS(1122),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(335),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [sym_kEnd] = ACTIONS(1423),
    [sym_kVar] = ACTIONS(1425),
    [sym_kThreadvar] = ACTIONS(1423),
    [sym_kConst] = ACTIONS(1425),
    [sym_kResourcestring] = ACTIONS(1423),
    [sym_kType] = ACTIONS(1423),
    [sym_kProperty] = ACTIONS(1423),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1423),
    [sym_kGeneric] = ACTIONS(1423),
    [sym_kCase] = ACTIONS(1423),
    [sym_kFunction] = ACTIONS(1423),
    [sym_kProcedure] = ACTIONS(1423),
    [sym_kConstructor] = ACTIONS(1423),
    [sym_kDestructor] = ACTIONS(1423),
    [sym_kOperator] = ACTIONS(1423),
    [sym_kPublished] = ACTIONS(1423),
    [sym_kPublic] = ACTIONS(2559),
    [sym_kProtected] = ACTIONS(1423),
    [sym_kPrivate] = ACTIONS(1423),
    [sym_kStrict] = ACTIONS(1423),
    [sym_kRequired] = ACTIONS(1423),
    [sym_kOptional] = ACTIONS(1423),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [sym_kEnd] = ACTIONS(1115),
    [sym_kVar] = ACTIONS(1117),
    [sym_kThreadvar] = ACTIONS(1115),
    [sym_kConst] = ACTIONS(1117),
    [sym_kResourcestring] = ACTIONS(1115),
    [sym_kType] = ACTIONS(1115),
    [sym_kProperty] = ACTIONS(1115),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1115),
    [sym_kGeneric] = ACTIONS(1115),
    [sym_kCase] = ACTIONS(1115),
    [sym_kFunction] = ACTIONS(1115),
    [sym_kProcedure] = ACTIONS(1115),
    [sym_kConstructor] = ACTIONS(1115),
    [sym_kDestructor] = ACTIONS(1115),
    [sym_kOperator] = ACTIONS(1115),
    [sym_kPublished] = ACTIONS(1115),
    [sym_kPublic] = ACTIONS(2565),
    [sym_kProtected] = ACTIONS(1115),
    [sym_kPrivate] = ACTIONS(1115),
    [sym_kStrict] = ACTIONS(1115),
    [sym_kRequired] = ACTIONS(1115),
    [sym_kOptional] = ACTIONS(1115),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(250),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [sym_kEnd] = ACTIONS(2416),
    [sym_kVar] = ACTIONS(2418),
    [sym_kThreadvar] = ACTIONS(2416),
    [sym_kConst] = ACTIONS(2418),
    [sym_kResourcestring] = ACTIONS(2416),
    [sym_kType] = ACTIONS(2416),
    [sym_kProperty] = ACTIONS(2416),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2416),
    [sym_kGeneric] = ACTIONS(2416),
    [sym_kCase] = ACTIONS(2416),
    [sym_kFunction] = ACTIONS(2416),
    [sym_kProcedure] = ACTIONS(2416),
    [sym_kConstructor] = ACTIONS(2416),
    [sym_kDestructor] = ACTIONS(2416),
    [sym_kOperator] = ACTIONS(2416),
    [sym_kPublished] = ACTIONS(2416),
    [sym_kPublic] = ACTIONS(2571),
    [sym_kProtected] = ACTIONS(2416),
    [sym_kPrivate] = ACTIONS(2416),
    [sym_kStrict] = ACTIONS(2416),
    [sym_kRequired] = ACTIONS(2416),
    [sym_kOptional] = ACTIONS(2416),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(346),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [sym_kEnd] = ACTIONS(2409),
    [sym_kVar] = ACTIONS(2411),
    [sym_kThreadvar] = ACTIONS(2409),
    [sym_kConst] = ACTIONS(2411),
    [sym_kResourcestring] = ACTIONS(2409),
    [sym_kType] = ACTIONS(2409),
    [sym_kProperty] = ACTIONS(2409),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2409),
    [sym_kGeneric] = ACTIONS(2409),
    [sym_kCase] = ACTIONS(2409),
    [sym_kFunction] = ACTIONS(2409),
    [sym_kProcedure] = ACTIONS(2409),
    [sym_kConstructor] = ACTIONS(2409),
    [sym_kDestructor] = ACTIONS(2409),
    [sym_kOperator] = ACTIONS(2409),
    [sym_kPublished] = ACTIONS(2409),
    [sym_kPublic] = ACTIONS(2577),
    [sym_kProtected] = ACTIONS(2409),
    [sym_kPrivate] = ACTIONS(2409),
    [sym_kStrict] = ACTIONS(2409),
    [sym_kRequired] = ACTIONS(2409),
    [sym_kOptional] = ACTIONS(2409),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [sym_kEnd] = ACTIONS(2402),
    [sym_kVar] = ACTIONS(2404),
    [sym_kThreadvar] = ACTIONS(2402),
    [sym_kConst] = ACTIONS(2404),
    [sym_kResourcestring] = ACTIONS(2402),
    [sym_kType] = ACTIONS(2402),
    [sym_kProperty] = ACTIONS(2402),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2402),
    [sym_kGeneric] = ACTIONS(2402),
    [sym_kCase] = ACTIONS(2402),
    [sym_kFunction] = ACTIONS(2402),
    [sym_kProcedure] = ACTIONS(2402),
    [sym_kConstructor] = ACTIONS(2402),
    [sym_kDestructor] = ACTIONS(2402),
    [sym_kOperator] = ACTIONS(2402),
    [sym_kPublished] = ACTIONS(2402),
    [sym_kPublic] = ACTIONS(2583),
    [sym_kProtected] = ACTIONS(2402),
    [sym_kPrivate] = ACTIONS(2402),
    [sym_kStrict] = ACTIONS(2402),
    [sym_kRequired] = ACTIONS(2402),
    [sym_kOptional] = ACTIONS(2402),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(351),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [sym_kEnd] = ACTIONS(2383),
    [sym_kVar] = ACTIONS(2385),
    [sym_kThreadvar] = ACTIONS(2383),
    [sym_kConst] = ACTIONS(2385),
    [sym_kResourcestring] = ACTIONS(2383),
    [sym_kType] = ACTIONS(2383),
    [sym_kProperty] = ACTIONS(2383),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2383),
    [sym_kGeneric] = ACTIONS(2383),
    [sym_kCase] = ACTIONS(2383),
    [sym_kFunction] = ACTIONS(2383),
    [sym_kProcedure] = ACTIONS(2383),
    [sym_kConstructor] = ACTIONS(2383),
    [sym_kDestructor] = ACTIONS(2383),
    [sym_kOperator] = ACTIONS(2383),
    [sym_kPublished] = ACTIONS(2383),
    [sym_kPublic] = ACTIONS(2589),
    [sym_kProtected] = ACTIONS(2383),
    [sym_kPrivate] = ACTIONS(2383),
    [sym_kStrict] = ACTIONS(2383),
    [sym_kRequired] = ACTIONS(2383),
    [sym_kOptional] = ACTIONS(2383),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [sym_kEnd] = ACTIONS(2370),
    [sym_kVar] = ACTIONS(2372),
    [sym_kThreadvar] = ACTIONS(2370),
    [sym_kConst] = ACTIONS(2372),
    [sym_kResourcestring] = ACTIONS(2370),
    [sym_kType] = ACTIONS(2370),
    [sym_kProperty] = ACTIONS(2370),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2370),
    [sym_kGeneric] = ACTIONS(2370),
    [sym_kCase] = ACTIONS(2370),
    [sym_kFunction] = ACTIONS(2370),
    [sym_kProcedure] = ACTIONS(2370),
    [sym_kConstructor] = ACTIONS(2370),
    [sym_kDestructor] = ACTIONS(2370),
    [sym_kOperator] = ACTIONS(2370),
    [sym_kPublished] = ACTIONS(2370),
    [sym_kPublic] = ACTIONS(2595),
    [sym_kProtected] = ACTIONS(2370),
    [sym_kPrivate] = ACTIONS(2370),
    [sym_kStrict] = ACTIONS(2370),
    [sym_kRequired] = ACTIONS(2370),
    [sym_kOptional] = ACTIONS(2370),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [sym_kEnd] = ACTIONS(2363),
    [sym_kVar] = ACTIONS(2365),
    [sym_kThreadvar] = ACTIONS(2363),
    [sym_kConst] = ACTIONS(2365),
    [sym_kResourcestring] = ACTIONS(2363),
    [sym_kType] = ACTIONS(2363),
    [sym_kProperty] = ACTIONS(2363),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2363),
    [sym_kGeneric] = ACTIONS(2363),
    [sym_kCase] = ACTIONS(2363),
    [sym_kFunction] = ACTIONS(2363),
    [sym_kProcedure] = ACTIONS(2363),
    [sym_kConstructor] = ACTIONS(2363),
    [sym_kDestructor] = ACTIONS(2363),
    [sym_kOperator] = ACTIONS(2363),
    [sym_kPublished] = ACTIONS(2363),
    [sym_kPublic] = ACTIONS(2601),
    [sym_kProtected] = ACTIONS(2363),
    [sym_kPrivate] = ACTIONS(2363),
    [sym_kStrict] = ACTIONS(2363),
    [sym_kRequired] = ACTIONS(2363),
    [sym_kOptional] = ACTIONS(2363),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(355),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [sym_kEnd] = ACTIONS(1303),
    [sym_kVar] = ACTIONS(1305),
    [sym_kThreadvar] = ACTIONS(1303),
    [sym_kConst] = ACTIONS(1305),
    [sym_kResourcestring] = ACTIONS(1303),
    [sym_kType] = ACTIONS(1303),
    [sym_kProperty] = ACTIONS(1303),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1303),
    [sym_kGeneric] = ACTIONS(1303),
    [sym_kCase] = ACTIONS(1303),
    [sym_kFunction] = ACTIONS(1303),
    [sym_kProcedure] = ACTIONS(1303),
    [sym_kConstructor] = ACTIONS(1303),
    [sym_kDestructor] = ACTIONS(1303),
    [sym_kOperator] = ACTIONS(1303),
    [sym_kPublished] = ACTIONS(1303),
    [sym_kPublic] = ACTIONS(2607),
    [sym_kProtected] = ACTIONS(1303),
    [sym_kPrivate] = ACTIONS(1303),
    [sym_kStrict] = ACTIONS(1303),
    [sym_kRequired] = ACTIONS(1303),
    [sym_kOptional] = ACTIONS(1303),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(353),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [sym_kEnd] = ACTIONS(2125),
    [sym_kVar] = ACTIONS(2127),
    [sym_kThreadvar] = ACTIONS(2125),
    [sym_kConst] = ACTIONS(2127),
    [sym_kResourcestring] = ACTIONS(2125),
    [sym_kType] = ACTIONS(2125),
    [sym_kProperty] = ACTIONS(2125),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2125),
    [sym_kGeneric] = ACTIONS(2125),
    [sym_kCase] = ACTIONS(2125),
    [sym_kFunction] = ACTIONS(2125),
    [sym_kProcedure] = ACTIONS(2125),
    [sym_kConstructor] = ACTIONS(2125),
    [sym_kDestructor] = ACTIONS(2125),
    [sym_kOperator] = ACTIONS(2125),
    [sym_kPublished] = ACTIONS(2125),
    [sym_kPublic] = ACTIONS(2613),
    [sym_kProtected] = ACTIONS(2125),
    [sym_kPrivate] = ACTIONS(2125),
    [sym_kStrict] = ACTIONS(2125),
    [sym_kRequired] = ACTIONS(2125),
    [sym_kOptional] = ACTIONS(2125),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [sym_kEnd] = ACTIONS(1247),
    [sym_kVar] = ACTIONS(1249),
    [sym_kThreadvar] = ACTIONS(1247),
    [sym_kConst] = ACTIONS(1249),
    [sym_kResourcestring] = ACTIONS(1247),
    [sym_kType] = ACTIONS(1247),
    [sym_kProperty] = ACTIONS(1247),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1247),
    [sym_kGeneric] = ACTIONS(1247),
    [sym_kCase] = ACTIONS(1247),
    [sym_kFunction] = ACTIONS(1247),
    [sym_kProcedure] = ACTIONS(1247),
    [sym_kConstructor] = ACTIONS(1247),
    [sym_kDestructor] = ACTIONS(1247),
    [sym_kOperator] = ACTIONS(1247),
    [sym_kPublished] = ACTIONS(1247),
    [sym_kPublic] = ACTIONS(2619),
    [sym_kProtected] = ACTIONS(1247),
    [sym_kPrivate] = ACTIONS(1247),
    [sym_kStrict] = ACTIONS(1247),
    [sym_kRequired] = ACTIONS(1247),
    [sym_kOptional] = ACTIONS(1247),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [sym_kEnd] = ACTIONS(1240),
    [sym_kVar] = ACTIONS(1242),
    [sym_kThreadvar] = ACTIONS(1240),
    [sym_kConst] = ACTIONS(1242),
    [sym_kResourcestring] = ACTIONS(1240),
    [sym_kType] = ACTIONS(1240),
    [sym_kProperty] = ACTIONS(1240),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1240),
    [sym_kGeneric] = ACTIONS(1240),
    [sym_kCase] = ACTIONS(1240),
    [sym_kFunction] = ACTIONS(1240),
    [sym_kProcedure] = ACTIONS(1240),
    [sym_kConstructor] = ACTIONS(1240),
    [sym_kDestructor] = ACTIONS(1240),
    [sym_kOperator] = ACTIONS(1240),
    [sym_kPublished] = ACTIONS(1240),
    [sym_kPublic] = ACTIONS(2625),
    [sym_kProtected] = ACTIONS(1240),
    [sym_kPrivate] = ACTIONS(1240),
    [sym_kStrict] = ACTIONS(1240),
    [sym_kRequired] = ACTIONS(1240),
    [sym_kOptional] = ACTIONS(1240),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(390),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [sym_kEnd] = ACTIONS(1187),
    [sym_kVar] = ACTIONS(1189),
    [sym_kThreadvar] = ACTIONS(1187),
    [sym_kConst] = ACTIONS(1189),
    [sym_kResourcestring] = ACTIONS(1187),
    [sym_kType] = ACTIONS(1187),
    [sym_kProperty] = ACTIONS(1187),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1187),
    [sym_kGeneric] = ACTIONS(1187),
    [sym_kCase] = ACTIONS(1187),
    [sym_kFunction] = ACTIONS(1187),
    [sym_kProcedure] = ACTIONS(1187),
    [sym_kConstructor] = ACTIONS(1187),
    [sym_kDestructor] = ACTIONS(1187),
    [sym_kOperator] = ACTIONS(1187),
    [sym_kPublished] = ACTIONS(1187),
    [sym_kPublic] = ACTIONS(2631),
    [sym_kProtected] = ACTIONS(1187),
    [sym_kPrivate] = ACTIONS(1187),
    [sym_kStrict] = ACTIONS(1187),
    [sym_kRequired] = ACTIONS(1187),
    [sym_kOptional] = ACTIONS(1187),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym__procAttribute] = STATE(477),
    [sym_procAttribute] = STATE(2604),
    [aux_sym_declProcFwd_repeat1] = STATE(337),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [sym_kEnd] = ACTIONS(2138),
    [sym_kVar] = ACTIONS(2140),
    [sym_kThreadvar] = ACTIONS(2138),
    [sym_kConst] = ACTIONS(2140),
    [sym_kResourcestring] = ACTIONS(2138),
    [sym_kType] = ACTIONS(2138),
    [sym_kProperty] = ACTIONS(2138),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2138),
    [sym_kGeneric] = ACTIONS(2138),
    [sym_kCase] = ACTIONS(2138),
    [sym_kFunction] = ACTIONS(2138),
    [sym_kProcedure] = ACTIONS(2138),
    [sym_kConstructor] = ACTIONS(2138),
    [sym_kDestructor] = ACTIONS(2138),
    [sym_kOperator] = ACTIONS(2138),
    [sym_kPublished] = ACTIONS(2138),
    [sym_kPublic] = ACTIONS(2637),
    [sym_kProtected] = ACTIONS(2138),
    [sym_kPrivate] = ACTIONS(2138),
    [sym_kStrict] = ACTIONS(2138),
    [sym_kRequired] = ACTIONS(2138),
    [sym_kOptional] = ACTIONS(2138),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(368),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [sym_kEnd] = ACTIONS(2094),
    [sym_kVar] = ACTIONS(2096),
    [sym_kThreadvar] = ACTIONS(2094),
    [sym_kConst] = ACTIONS(2096),
    [sym_kResourcestring] = ACTIONS(2094),
    [sym_kType] = ACTIONS(2094),
    [sym_kProperty] = ACTIONS(2094),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2094),
    [sym_kGeneric] = ACTIONS(2094),
    [sym_kCase] = ACTIONS(2094),
    [sym_kFunction] = ACTIONS(2094),
    [sym_kProcedure] = ACTIONS(2094),
    [sym_kConstructor] = ACTIONS(2094),
    [sym_kDestructor] = ACTIONS(2094),
    [sym_kOperator] = ACTIONS(2094),
    [sym_kPublished] = ACTIONS(2094),
    [sym_kPublic] = ACTIONS(2643),
    [sym_kProtected] = ACTIONS(2094),
    [sym_kPrivate] = ACTIONS(2094),
    [sym_kStrict] = ACTIONS(2094),
    [sym_kRequired] = ACTIONS(2094),
    [sym_kOptional] = ACTIONS(2094),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(374),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [sym_kEnd] = ACTIONS(2081),
    [sym_kVar] = ACTIONS(2083),
    [sym_kThreadvar] = ACTIONS(2081),
    [sym_kConst] = ACTIONS(2083),
    [sym_kResourcestring] = ACTIONS(2081),
    [sym_kType] = ACTIONS(2081),
    [sym_kProperty] = ACTIONS(2081),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2081),
    [sym_kGeneric] = ACTIONS(2081),
    [sym_kCase] = ACTIONS(2081),
    [sym_kFunction] = ACTIONS(2081),
    [sym_kProcedure] = ACTIONS(2081),
    [sym_kConstructor] = ACTIONS(2081),
    [sym_kDestructor] = ACTIONS(2081),
    [sym_kOperator] = ACTIONS(2081),
    [sym_kPublished] = ACTIONS(2081),
    [sym_kPublic] = ACTIONS(2649),
    [sym_kProtected] = ACTIONS(2081),
    [sym_kPrivate] = ACTIONS(2081),
    [sym_kStrict] = ACTIONS(2081),
    [sym_kRequired] = ACTIONS(2081),
    [sym_kOptional] = ACTIONS(2081),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(344),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [sym_kEnd] = ACTIONS(2074),
    [sym_kVar] = ACTIONS(2076),
    [sym_kThreadvar] = ACTIONS(2074),
    [sym_kConst] = ACTIONS(2076),
    [sym_kResourcestring] = ACTIONS(2074),
    [sym_kType] = ACTIONS(2074),
    [sym_kProperty] = ACTIONS(2074),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2074),
    [sym_kGeneric] = ACTIONS(2074),
    [sym_kCase] = ACTIONS(2074),
    [sym_kFunction] = ACTIONS(2074),
    [sym_kProcedure] = ACTIONS(2074),
    [sym_kConstructor] = ACTIONS(2074),
    [sym_kDestructor] = ACTIONS(2074),
    [sym_kOperator] = ACTIONS(2074),
    [sym_kPublished] = ACTIONS(2074),
    [sym_kPublic] = ACTIONS(2655),
    [sym_kProtected] = ACTIONS(2074),
    [sym_kPrivate] = ACTIONS(2074),
    [sym_kStrict] = ACTIONS(2074),
    [sym_kRequired] = ACTIONS(2074),
    [sym_kOptional] = ACTIONS(2074),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym__procAttributeNoExt] = STATE(512),
    [sym_procAttribute] = STATE(2341),
    [aux_sym__declProc_repeat1] = STATE(385),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [sym_kEnd] = ACTIONS(2067),
    [sym_kVar] = ACTIONS(2069),
    [sym_kThreadvar] = ACTIONS(2067),
    [sym_kConst] = ACTIONS(2069),
    [sym_kResourcestring] = ACTIONS(2067),
    [sym_kType] = ACTIONS(2067),
    [sym_kProperty] = ACTIONS(2067),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2067),
    [sym_kGeneric] = ACTIONS(2067),
    [sym_kCase] = ACTIONS(2067),
    [sym_kFunction] = ACTIONS(2067),
    [sym_kProcedure] = ACTIONS(2067),
    [sym_kConstructor] = ACTIONS(2067),
    [sym_kDestructor] = ACTIONS(2067),
    [sym_kOperator] = ACTIONS(2067),
    [sym_kPublished] = ACTIONS(2067),
    [sym_kPublic] = ACTIONS(2661),
    [sym_kProtected] = ACTIONS(2067),
    [sym_kPrivate] = ACTIONS(2067),
    [sym_kStrict] = ACTIONS(2067),
    [sym_kRequired] = ACTIONS(2067),
    [sym_kOptional] = ACTIONS(2067),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(1650),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [aux_sym_type_token1] = ACTIONS(1133),
    [sym_kUses] = ACTIONS(1133),
    [sym_kBegin] = ACTIONS(1133),
    [sym_kAsm] = ACTIONS(1133),
    [sym_kVar] = ACTIONS(1135),
    [sym_kThreadvar] = ACTIONS(1133),
    [sym_kConst] = ACTIONS(1135),
    [sym_kResourcestring] = ACTIONS(1133),
    [sym_kType] = ACTIONS(1133),
    [sym_kLabel] = ACTIONS(1133),
    [sym_kExports] = ACTIONS(1133),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1133),
    [sym_kGeneric] = ACTIONS(1133),
    [sym_kFunction] = ACTIONS(1133),
    [sym_kProcedure] = ACTIONS(1133),
    [sym_kConstructor] = ACTIONS(1133),
    [sym_kDestructor] = ACTIONS(1133),
    [sym_kOperator] = ACTIONS(1133),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1133),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1133),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [aux_sym_type_token1] = ACTIONS(1212),
    [sym_kUses] = ACTIONS(1212),
    [sym_kBegin] = ACTIONS(1212),
    [sym_kAsm] = ACTIONS(1212),
    [sym_kVar] = ACTIONS(1214),
    [sym_kThreadvar] = ACTIONS(1212),
    [sym_kConst] = ACTIONS(1214),
    [sym_kResourcestring] = ACTIONS(1212),
    [sym_kType] = ACTIONS(1212),
    [sym_kLabel] = ACTIONS(1212),
    [sym_kExports] = ACTIONS(1212),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1212),
    [sym_kGeneric] = ACTIONS(1212),
    [sym_kFunction] = ACTIONS(1212),
    [sym_kProcedure] = ACTIONS(1212),
    [sym_kConstructor] = ACTIONS(1212),
    [sym_kDestructor] = ACTIONS(1212),
    [sym_kOperator] = ACTIONS(1212),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1212),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1212),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2670),
    [aux_sym_type_token1] = ACTIONS(1275),
    [sym_kUses] = ACTIONS(1275),
    [sym_kBegin] = ACTIONS(1275),
    [sym_kAsm] = ACTIONS(1275),
    [sym_kVar] = ACTIONS(1277),
    [sym_kThreadvar] = ACTIONS(1275),
    [sym_kConst] = ACTIONS(1277),
    [sym_kResourcestring] = ACTIONS(1275),
    [sym_kType] = ACTIONS(1275),
    [sym_kLabel] = ACTIONS(1275),
    [sym_kExports] = ACTIONS(1275),
    [sym_kDefault] = ACTIONS(1279),
    [sym_kNodefault] = ACTIONS(1279),
    [sym_kDispId] = ACTIONS(1282),
    [sym_kClass] = ACTIONS(1275),
    [sym_kGeneric] = ACTIONS(1275),
    [sym_kFunction] = ACTIONS(1275),
    [sym_kProcedure] = ACTIONS(1275),
    [sym_kConstructor] = ACTIONS(1275),
    [sym_kDestructor] = ACTIONS(1275),
    [sym_kOperator] = ACTIONS(1275),
    [sym_kPublic] = ACTIONS(1285),
    [sym_kForward] = ACTIONS(1275),
    [sym_kStatic] = ACTIONS(1279),
    [sym_kVirtual] = ACTIONS(1279),
    [sym_kAbstract] = ACTIONS(1279),
    [sym_kDynamic] = ACTIONS(1279),
    [sym_kOverride] = ACTIONS(1279),
    [sym_kOverload] = ACTIONS(1279),
    [sym_kReintroduce] = ACTIONS(1279),
    [sym_kInline] = ACTIONS(1279),
    [sym_kStdcall] = ACTIONS(1279),
    [sym_kCdecl] = ACTIONS(1279),
    [sym_kCppdecl] = ACTIONS(1279),
    [sym_kPascal] = ACTIONS(1279),
    [sym_kRegister] = ACTIONS(1279),
    [sym_kMwpascal] = ACTIONS(1279),
    [sym_kExternal] = ACTIONS(1275),
    [sym_kMessage] = ACTIONS(1288),
    [sym_kDeprecated] = ACTIONS(1291),
    [sym_kExperimental] = ACTIONS(1279),
    [sym_kPlatform] = ACTIONS(1279),
    [sym_kUnimplemented] = ACTIONS(1279),
    [sym_kCvar] = ACTIONS(1279),
    [sym_kExport] = ACTIONS(1294),
    [sym_kFar] = ACTIONS(1279),
    [sym_kNear] = ACTIONS(1279),
    [sym_kSafecall] = ACTIONS(1279),
    [sym_kAssembler] = ACTIONS(1279),
    [sym_kNostackframe] = ACTIONS(1279),
    [sym_kInterrupt] = ACTIONS(1279),
    [sym_kNoreturn] = ACTIONS(1279),
    [sym_kIocheck] = ACTIONS(1279),
    [sym_kLocal] = ACTIONS(1279),
    [sym_kHardfloat] = ACTIONS(1279),
    [sym_kSoftfloat] = ACTIONS(1279),
    [sym_kMs_abi_default] = ACTIONS(1279),
    [sym_kMs_abi_cdecl] = ACTIONS(1279),
    [sym_kSaveregisters] = ACTIONS(1279),
    [sym_kSysv_abi_default] = ACTIONS(1279),
    [sym_kSysv_abi_cdecl] = ACTIONS(1279),
    [sym_kVectorcall] = ACTIONS(1279),
    [sym_kVarargs] = ACTIONS(1279),
    [sym_kWinapi] = ACTIONS(1279),
    [sym_kAlias] = ACTIONS(1297),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_identifier] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(593),
    [sym_kEnd] = ACTIONS(595),
    [sym_kVar] = ACTIONS(595),
    [sym_kThreadvar] = ACTIONS(595),
    [sym_kConst] = ACTIONS(595),
    [sym_kResourcestring] = ACTIONS(595),
    [sym_kType] = ACTIONS(595),
    [sym_kProperty] = ACTIONS(595),
    [sym_kDefault] = ACTIONS(595),
    [sym_kNodefault] = ACTIONS(595),
    [sym_kDispId] = ACTIONS(595),
    [sym_kClass] = ACTIONS(595),
    [sym_kGeneric] = ACTIONS(595),
    [sym_kCase] = ACTIONS(595),
    [sym_kFunction] = ACTIONS(595),
    [sym_kProcedure] = ACTIONS(595),
    [sym_kConstructor] = ACTIONS(595),
    [sym_kDestructor] = ACTIONS(595),
    [sym_kOperator] = ACTIONS(595),
    [sym_kPublished] = ACTIONS(595),
    [sym_kPublic] = ACTIONS(595),
    [sym_kProtected] = ACTIONS(595),
    [sym_kPrivate] = ACTIONS(595),
    [sym_kStrict] = ACTIONS(595),
    [sym_kRequired] = ACTIONS(595),
    [sym_kOptional] = ACTIONS(595),
    [sym_kStatic] = ACTIONS(595),
    [sym_kVirtual] = ACTIONS(595),
    [sym_kAbstract] = ACTIONS(595),
    [sym_kDynamic] = ACTIONS(595),
    [sym_kOverride] = ACTIONS(595),
    [sym_kOverload] = ACTIONS(595),
    [sym_kReintroduce] = ACTIONS(595),
    [sym_kInline] = ACTIONS(595),
    [sym_kStdcall] = ACTIONS(595),
    [sym_kCdecl] = ACTIONS(595),
    [sym_kCppdecl] = ACTIONS(595),
    [sym_kPascal] = ACTIONS(595),
    [sym_kRegister] = ACTIONS(595),
    [sym_kMwpascal] = ACTIONS(595),
    [sym_kExternal] = ACTIONS(595),
    [sym_kMessage] = ACTIONS(595),
    [sym_kDeprecated] = ACTIONS(595),
    [sym_kExperimental] = ACTIONS(595),
    [sym_kPlatform] = ACTIONS(595),
    [sym_kUnimplemented] = ACTIONS(595),
    [sym_kCvar] = ACTIONS(595),
    [sym_kExport] = ACTIONS(595),
    [sym_kFar] = ACTIONS(595),
    [sym_kNear] = ACTIONS(595),
    [sym_kSafecall] = ACTIONS(595),
    [sym_kAssembler] = ACTIONS(595),
    [sym_kNostackframe] = ACTIONS(595),
    [sym_kInterrupt] = ACTIONS(595),
    [sym_kNoreturn] = ACTIONS(595),
    [sym_kIocheck] = ACTIONS(595),
    [sym_kLocal] = ACTIONS(595),
    [sym_kHardfloat] = ACTIONS(595),
    [sym_kSoftfloat] = ACTIONS(595),
    [sym_kMs_abi_default] = ACTIONS(595),
    [sym_kMs_abi_cdecl] = ACTIONS(595),
    [sym_kSaveregisters] = ACTIONS(595),
    [sym_kSysv_abi_default] = ACTIONS(595),
    [sym_kSysv_abi_cdecl] = ACTIONS(595),
    [sym_kVectorcall] = ACTIONS(595),
    [sym_kVarargs] = ACTIONS(595),
    [sym_kWinapi] = ACTIONS(595),
    [sym_kAlias] = ACTIONS(595),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [aux_sym_type_token1] = ACTIONS(1416),
    [sym_kUses] = ACTIONS(1416),
    [sym_kBegin] = ACTIONS(1416),
    [sym_kAsm] = ACTIONS(1416),
    [sym_kVar] = ACTIONS(1418),
    [sym_kThreadvar] = ACTIONS(1416),
    [sym_kConst] = ACTIONS(1418),
    [sym_kResourcestring] = ACTIONS(1416),
    [sym_kType] = ACTIONS(1416),
    [sym_kLabel] = ACTIONS(1416),
    [sym_kExports] = ACTIONS(1416),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1416),
    [sym_kGeneric] = ACTIONS(1416),
    [sym_kFunction] = ACTIONS(1416),
    [sym_kProcedure] = ACTIONS(1416),
    [sym_kConstructor] = ACTIONS(1416),
    [sym_kDestructor] = ACTIONS(1416),
    [sym_kOperator] = ACTIONS(1416),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1416),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1416),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [anon_sym_LBRACK] = ACTIONS(2676),
    [sym_kUses] = ACTIONS(2676),
    [sym_kInterface] = ACTIONS(2676),
    [sym_kImplementation] = ACTIONS(2676),
    [sym_kInitialization] = ACTIONS(2676),
    [sym_kFinalization] = ACTIONS(2676),
    [sym_kEnd] = ACTIONS(2676),
    [sym_kVar] = ACTIONS(2678),
    [sym_kThreadvar] = ACTIONS(2676),
    [sym_kConst] = ACTIONS(2678),
    [sym_kResourcestring] = ACTIONS(2676),
    [sym_kType] = ACTIONS(2676),
    [sym_kLabel] = ACTIONS(2676),
    [sym_kExports] = ACTIONS(2676),
    [sym_kProperty] = ACTIONS(2676),
    [sym_kDefault] = ACTIONS(2676),
    [sym_kNodefault] = ACTIONS(2676),
    [sym_kDispId] = ACTIONS(2676),
    [sym_kClass] = ACTIONS(2676),
    [sym_kGeneric] = ACTIONS(2676),
    [sym_kFunction] = ACTIONS(2676),
    [sym_kProcedure] = ACTIONS(2676),
    [sym_kConstructor] = ACTIONS(2676),
    [sym_kDestructor] = ACTIONS(2676),
    [sym_kOperator] = ACTIONS(2676),
    [sym_kPublic] = ACTIONS(2676),
    [sym_kForward] = ACTIONS(2676),
    [sym_kStatic] = ACTIONS(2676),
    [sym_kVirtual] = ACTIONS(2676),
    [sym_kAbstract] = ACTIONS(2676),
    [sym_kDynamic] = ACTIONS(2676),
    [sym_kOverride] = ACTIONS(2676),
    [sym_kOverload] = ACTIONS(2676),
    [sym_kReintroduce] = ACTIONS(2676),
    [sym_kInline] = ACTIONS(2676),
    [sym_kStdcall] = ACTIONS(2676),
    [sym_kCdecl] = ACTIONS(2676),
    [sym_kCppdecl] = ACTIONS(2676),
    [sym_kPascal] = ACTIONS(2676),
    [sym_kRegister] = ACTIONS(2676),
    [sym_kMwpascal] = ACTIONS(2676),
    [sym_kExternal] = ACTIONS(2676),
    [sym_kMessage] = ACTIONS(2676),
    [sym_kDeprecated] = ACTIONS(2676),
    [sym_kExperimental] = ACTIONS(2676),
    [sym_kPlatform] = ACTIONS(2676),
    [sym_kUnimplemented] = ACTIONS(2676),
    [sym_kCvar] = ACTIONS(2676),
    [sym_kExport] = ACTIONS(2678),
    [sym_kFar] = ACTIONS(2676),
    [sym_kNear] = ACTIONS(2676),
    [sym_kSafecall] = ACTIONS(2676),
    [sym_kAssembler] = ACTIONS(2676),
    [sym_kNostackframe] = ACTIONS(2676),
    [sym_kInterrupt] = ACTIONS(2676),
    [sym_kNoreturn] = ACTIONS(2676),
    [sym_kIocheck] = ACTIONS(2676),
    [sym_kLocal] = ACTIONS(2676),
    [sym_kHardfloat] = ACTIONS(2676),
    [sym_kSoftfloat] = ACTIONS(2676),
    [sym_kMs_abi_default] = ACTIONS(2676),
    [sym_kMs_abi_cdecl] = ACTIONS(2676),
    [sym_kSaveregisters] = ACTIONS(2676),
    [sym_kSysv_abi_default] = ACTIONS(2676),
    [sym_kSysv_abi_cdecl] = ACTIONS(2676),
    [sym_kVectorcall] = ACTIONS(2676),
    [sym_kVarargs] = ACTIONS(2676),
    [sym_kWinapi] = ACTIONS(2676),
    [sym_kAlias] = ACTIONS(2676),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [aux_sym_type_token1] = ACTIONS(1479),
    [sym_kUses] = ACTIONS(1479),
    [sym_kBegin] = ACTIONS(1479),
    [sym_kAsm] = ACTIONS(1479),
    [sym_kVar] = ACTIONS(1481),
    [sym_kThreadvar] = ACTIONS(1479),
    [sym_kConst] = ACTIONS(1481),
    [sym_kResourcestring] = ACTIONS(1479),
    [sym_kType] = ACTIONS(1479),
    [sym_kLabel] = ACTIONS(1479),
    [sym_kExports] = ACTIONS(1479),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1479),
    [sym_kGeneric] = ACTIONS(1479),
    [sym_kFunction] = ACTIONS(1479),
    [sym_kProcedure] = ACTIONS(1479),
    [sym_kConstructor] = ACTIONS(1479),
    [sym_kDestructor] = ACTIONS(1479),
    [sym_kOperator] = ACTIONS(1479),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1479),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1479),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(438),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [aux_sym_type_token1] = ACTIONS(1451),
    [sym_kUses] = ACTIONS(1451),
    [sym_kBegin] = ACTIONS(1451),
    [sym_kAsm] = ACTIONS(1451),
    [sym_kVar] = ACTIONS(1453),
    [sym_kThreadvar] = ACTIONS(1451),
    [sym_kConst] = ACTIONS(1453),
    [sym_kResourcestring] = ACTIONS(1451),
    [sym_kType] = ACTIONS(1451),
    [sym_kLabel] = ACTIONS(1451),
    [sym_kExports] = ACTIONS(1451),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1451),
    [sym_kGeneric] = ACTIONS(1451),
    [sym_kFunction] = ACTIONS(1451),
    [sym_kProcedure] = ACTIONS(1451),
    [sym_kConstructor] = ACTIONS(1451),
    [sym_kDestructor] = ACTIONS(1451),
    [sym_kOperator] = ACTIONS(1451),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1451),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1451),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_identifier] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(721),
    [sym_kEnd] = ACTIONS(723),
    [sym_kVar] = ACTIONS(723),
    [sym_kThreadvar] = ACTIONS(723),
    [sym_kConst] = ACTIONS(723),
    [sym_kResourcestring] = ACTIONS(723),
    [sym_kType] = ACTIONS(723),
    [sym_kProperty] = ACTIONS(723),
    [sym_kDefault] = ACTIONS(723),
    [sym_kNodefault] = ACTIONS(723),
    [sym_kDispId] = ACTIONS(723),
    [sym_kClass] = ACTIONS(723),
    [sym_kGeneric] = ACTIONS(723),
    [sym_kCase] = ACTIONS(723),
    [sym_kFunction] = ACTIONS(723),
    [sym_kProcedure] = ACTIONS(723),
    [sym_kConstructor] = ACTIONS(723),
    [sym_kDestructor] = ACTIONS(723),
    [sym_kOperator] = ACTIONS(723),
    [sym_kPublished] = ACTIONS(723),
    [sym_kPublic] = ACTIONS(723),
    [sym_kProtected] = ACTIONS(723),
    [sym_kPrivate] = ACTIONS(723),
    [sym_kStrict] = ACTIONS(723),
    [sym_kRequired] = ACTIONS(723),
    [sym_kOptional] = ACTIONS(723),
    [sym_kStatic] = ACTIONS(723),
    [sym_kVirtual] = ACTIONS(723),
    [sym_kAbstract] = ACTIONS(723),
    [sym_kDynamic] = ACTIONS(723),
    [sym_kOverride] = ACTIONS(723),
    [sym_kOverload] = ACTIONS(723),
    [sym_kReintroduce] = ACTIONS(723),
    [sym_kInline] = ACTIONS(723),
    [sym_kStdcall] = ACTIONS(723),
    [sym_kCdecl] = ACTIONS(723),
    [sym_kCppdecl] = ACTIONS(723),
    [sym_kPascal] = ACTIONS(723),
    [sym_kRegister] = ACTIONS(723),
    [sym_kMwpascal] = ACTIONS(723),
    [sym_kExternal] = ACTIONS(723),
    [sym_kMessage] = ACTIONS(723),
    [sym_kDeprecated] = ACTIONS(723),
    [sym_kExperimental] = ACTIONS(723),
    [sym_kPlatform] = ACTIONS(723),
    [sym_kUnimplemented] = ACTIONS(723),
    [sym_kCvar] = ACTIONS(723),
    [sym_kExport] = ACTIONS(723),
    [sym_kFar] = ACTIONS(723),
    [sym_kNear] = ACTIONS(723),
    [sym_kSafecall] = ACTIONS(723),
    [sym_kAssembler] = ACTIONS(723),
    [sym_kNostackframe] = ACTIONS(723),
    [sym_kInterrupt] = ACTIONS(723),
    [sym_kNoreturn] = ACTIONS(723),
    [sym_kIocheck] = ACTIONS(723),
    [sym_kLocal] = ACTIONS(723),
    [sym_kHardfloat] = ACTIONS(723),
    [sym_kSoftfloat] = ACTIONS(723),
    [sym_kMs_abi_default] = ACTIONS(723),
    [sym_kMs_abi_cdecl] = ACTIONS(723),
    [sym_kSaveregisters] = ACTIONS(723),
    [sym_kSysv_abi_default] = ACTIONS(723),
    [sym_kSysv_abi_cdecl] = ACTIONS(723),
    [sym_kVectorcall] = ACTIONS(723),
    [sym_kVarargs] = ACTIONS(723),
    [sym_kWinapi] = ACTIONS(723),
    [sym_kAlias] = ACTIONS(723),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2686),
    [aux_sym_type_token1] = ACTIONS(1401),
    [sym_kUses] = ACTIONS(1401),
    [sym_kBegin] = ACTIONS(1401),
    [sym_kAsm] = ACTIONS(1401),
    [sym_kVar] = ACTIONS(1403),
    [sym_kThreadvar] = ACTIONS(1401),
    [sym_kConst] = ACTIONS(1403),
    [sym_kResourcestring] = ACTIONS(1401),
    [sym_kType] = ACTIONS(1401),
    [sym_kLabel] = ACTIONS(1401),
    [sym_kExports] = ACTIONS(1401),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1401),
    [sym_kGeneric] = ACTIONS(1401),
    [sym_kFunction] = ACTIONS(1401),
    [sym_kProcedure] = ACTIONS(1401),
    [sym_kConstructor] = ACTIONS(1401),
    [sym_kDestructor] = ACTIONS(1401),
    [sym_kOperator] = ACTIONS(1401),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1401),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1401),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(453),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [aux_sym_type_token1] = ACTIONS(1352),
    [sym_kUses] = ACTIONS(1352),
    [sym_kBegin] = ACTIONS(1352),
    [sym_kAsm] = ACTIONS(1352),
    [sym_kVar] = ACTIONS(1354),
    [sym_kThreadvar] = ACTIONS(1352),
    [sym_kConst] = ACTIONS(1354),
    [sym_kResourcestring] = ACTIONS(1352),
    [sym_kType] = ACTIONS(1352),
    [sym_kLabel] = ACTIONS(1352),
    [sym_kExports] = ACTIONS(1352),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1352),
    [sym_kGeneric] = ACTIONS(1352),
    [sym_kFunction] = ACTIONS(1352),
    [sym_kProcedure] = ACTIONS(1352),
    [sym_kConstructor] = ACTIONS(1352),
    [sym_kDestructor] = ACTIONS(1352),
    [sym_kOperator] = ACTIONS(1352),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1352),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1352),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [anon_sym_LBRACK] = ACTIONS(2692),
    [sym_kUses] = ACTIONS(2692),
    [sym_kInterface] = ACTIONS(2692),
    [sym_kImplementation] = ACTIONS(2692),
    [sym_kInitialization] = ACTIONS(2692),
    [sym_kFinalization] = ACTIONS(2692),
    [sym_kEnd] = ACTIONS(2692),
    [sym_kVar] = ACTIONS(2694),
    [sym_kThreadvar] = ACTIONS(2692),
    [sym_kConst] = ACTIONS(2694),
    [sym_kResourcestring] = ACTIONS(2692),
    [sym_kType] = ACTIONS(2692),
    [sym_kLabel] = ACTIONS(2692),
    [sym_kExports] = ACTIONS(2692),
    [sym_kProperty] = ACTIONS(2692),
    [sym_kDefault] = ACTIONS(2692),
    [sym_kNodefault] = ACTIONS(2692),
    [sym_kDispId] = ACTIONS(2692),
    [sym_kClass] = ACTIONS(2692),
    [sym_kGeneric] = ACTIONS(2692),
    [sym_kFunction] = ACTIONS(2692),
    [sym_kProcedure] = ACTIONS(2692),
    [sym_kConstructor] = ACTIONS(2692),
    [sym_kDestructor] = ACTIONS(2692),
    [sym_kOperator] = ACTIONS(2692),
    [sym_kPublic] = ACTIONS(2692),
    [sym_kForward] = ACTIONS(2692),
    [sym_kStatic] = ACTIONS(2692),
    [sym_kVirtual] = ACTIONS(2692),
    [sym_kAbstract] = ACTIONS(2692),
    [sym_kDynamic] = ACTIONS(2692),
    [sym_kOverride] = ACTIONS(2692),
    [sym_kOverload] = ACTIONS(2692),
    [sym_kReintroduce] = ACTIONS(2692),
    [sym_kInline] = ACTIONS(2692),
    [sym_kStdcall] = ACTIONS(2692),
    [sym_kCdecl] = ACTIONS(2692),
    [sym_kCppdecl] = ACTIONS(2692),
    [sym_kPascal] = ACTIONS(2692),
    [sym_kRegister] = ACTIONS(2692),
    [sym_kMwpascal] = ACTIONS(2692),
    [sym_kExternal] = ACTIONS(2692),
    [sym_kMessage] = ACTIONS(2692),
    [sym_kDeprecated] = ACTIONS(2692),
    [sym_kExperimental] = ACTIONS(2692),
    [sym_kPlatform] = ACTIONS(2692),
    [sym_kUnimplemented] = ACTIONS(2692),
    [sym_kCvar] = ACTIONS(2692),
    [sym_kExport] = ACTIONS(2694),
    [sym_kFar] = ACTIONS(2692),
    [sym_kNear] = ACTIONS(2692),
    [sym_kSafecall] = ACTIONS(2692),
    [sym_kAssembler] = ACTIONS(2692),
    [sym_kNostackframe] = ACTIONS(2692),
    [sym_kInterrupt] = ACTIONS(2692),
    [sym_kNoreturn] = ACTIONS(2692),
    [sym_kIocheck] = ACTIONS(2692),
    [sym_kLocal] = ACTIONS(2692),
    [sym_kHardfloat] = ACTIONS(2692),
    [sym_kSoftfloat] = ACTIONS(2692),
    [sym_kMs_abi_default] = ACTIONS(2692),
    [sym_kMs_abi_cdecl] = ACTIONS(2692),
    [sym_kSaveregisters] = ACTIONS(2692),
    [sym_kSysv_abi_default] = ACTIONS(2692),
    [sym_kSysv_abi_cdecl] = ACTIONS(2692),
    [sym_kVectorcall] = ACTIONS(2692),
    [sym_kVarargs] = ACTIONS(2692),
    [sym_kWinapi] = ACTIONS(2692),
    [sym_kAlias] = ACTIONS(2692),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(432),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [aux_sym_type_token1] = ACTIONS(1465),
    [sym_kUses] = ACTIONS(1465),
    [sym_kBegin] = ACTIONS(1465),
    [sym_kAsm] = ACTIONS(1465),
    [sym_kVar] = ACTIONS(1467),
    [sym_kThreadvar] = ACTIONS(1465),
    [sym_kConst] = ACTIONS(1467),
    [sym_kResourcestring] = ACTIONS(1465),
    [sym_kType] = ACTIONS(1465),
    [sym_kLabel] = ACTIONS(1465),
    [sym_kExports] = ACTIONS(1465),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1465),
    [sym_kGeneric] = ACTIONS(1465),
    [sym_kFunction] = ACTIONS(1465),
    [sym_kProcedure] = ACTIONS(1465),
    [sym_kConstructor] = ACTIONS(1465),
    [sym_kDestructor] = ACTIONS(1465),
    [sym_kOperator] = ACTIONS(1465),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1465),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1465),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [aux_sym_type_token1] = ACTIONS(1472),
    [sym_kUses] = ACTIONS(1472),
    [sym_kBegin] = ACTIONS(1472),
    [sym_kAsm] = ACTIONS(1472),
    [sym_kVar] = ACTIONS(1474),
    [sym_kThreadvar] = ACTIONS(1472),
    [sym_kConst] = ACTIONS(1474),
    [sym_kResourcestring] = ACTIONS(1472),
    [sym_kType] = ACTIONS(1472),
    [sym_kLabel] = ACTIONS(1472),
    [sym_kExports] = ACTIONS(1472),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1472),
    [sym_kGeneric] = ACTIONS(1472),
    [sym_kFunction] = ACTIONS(1472),
    [sym_kProcedure] = ACTIONS(1472),
    [sym_kConstructor] = ACTIONS(1472),
    [sym_kDestructor] = ACTIONS(1472),
    [sym_kOperator] = ACTIONS(1472),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1472),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1472),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(451),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [aux_sym_type_token1] = ACTIONS(1108),
    [sym_kUses] = ACTIONS(1108),
    [sym_kBegin] = ACTIONS(1108),
    [sym_kAsm] = ACTIONS(1108),
    [sym_kVar] = ACTIONS(1110),
    [sym_kThreadvar] = ACTIONS(1108),
    [sym_kConst] = ACTIONS(1110),
    [sym_kResourcestring] = ACTIONS(1108),
    [sym_kType] = ACTIONS(1108),
    [sym_kLabel] = ACTIONS(1108),
    [sym_kExports] = ACTIONS(1108),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1108),
    [sym_kGeneric] = ACTIONS(1108),
    [sym_kFunction] = ACTIONS(1108),
    [sym_kProcedure] = ACTIONS(1108),
    [sym_kConstructor] = ACTIONS(1108),
    [sym_kDestructor] = ACTIONS(1108),
    [sym_kOperator] = ACTIONS(1108),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1108),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1108),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(449),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [aux_sym_type_token1] = ACTIONS(1380),
    [sym_kUses] = ACTIONS(1380),
    [sym_kBegin] = ACTIONS(1380),
    [sym_kAsm] = ACTIONS(1380),
    [sym_kVar] = ACTIONS(1382),
    [sym_kThreadvar] = ACTIONS(1380),
    [sym_kConst] = ACTIONS(1382),
    [sym_kResourcestring] = ACTIONS(1380),
    [sym_kType] = ACTIONS(1380),
    [sym_kLabel] = ACTIONS(1380),
    [sym_kExports] = ACTIONS(1380),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1380),
    [sym_kGeneric] = ACTIONS(1380),
    [sym_kFunction] = ACTIONS(1380),
    [sym_kProcedure] = ACTIONS(1380),
    [sym_kConstructor] = ACTIONS(1380),
    [sym_kDestructor] = ACTIONS(1380),
    [sym_kOperator] = ACTIONS(1380),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1380),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1380),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [aux_sym_type_token1] = ACTIONS(1373),
    [sym_kUses] = ACTIONS(1373),
    [sym_kBegin] = ACTIONS(1373),
    [sym_kAsm] = ACTIONS(1373),
    [sym_kVar] = ACTIONS(1375),
    [sym_kThreadvar] = ACTIONS(1373),
    [sym_kConst] = ACTIONS(1375),
    [sym_kResourcestring] = ACTIONS(1373),
    [sym_kType] = ACTIONS(1373),
    [sym_kLabel] = ACTIONS(1373),
    [sym_kExports] = ACTIONS(1373),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1373),
    [sym_kGeneric] = ACTIONS(1373),
    [sym_kFunction] = ACTIONS(1373),
    [sym_kProcedure] = ACTIONS(1373),
    [sym_kConstructor] = ACTIONS(1373),
    [sym_kDestructor] = ACTIONS(1373),
    [sym_kOperator] = ACTIONS(1373),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1373),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1373),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_identifier] = ACTIONS(719),
    [anon_sym_LBRACK] = ACTIONS(717),
    [sym_kEnd] = ACTIONS(719),
    [sym_kVar] = ACTIONS(719),
    [sym_kThreadvar] = ACTIONS(719),
    [sym_kConst] = ACTIONS(719),
    [sym_kResourcestring] = ACTIONS(719),
    [sym_kType] = ACTIONS(719),
    [sym_kProperty] = ACTIONS(719),
    [sym_kDefault] = ACTIONS(719),
    [sym_kNodefault] = ACTIONS(719),
    [sym_kDispId] = ACTIONS(719),
    [sym_kClass] = ACTIONS(719),
    [sym_kGeneric] = ACTIONS(719),
    [sym_kCase] = ACTIONS(719),
    [sym_kFunction] = ACTIONS(719),
    [sym_kProcedure] = ACTIONS(719),
    [sym_kConstructor] = ACTIONS(719),
    [sym_kDestructor] = ACTIONS(719),
    [sym_kOperator] = ACTIONS(719),
    [sym_kPublished] = ACTIONS(719),
    [sym_kPublic] = ACTIONS(719),
    [sym_kProtected] = ACTIONS(719),
    [sym_kPrivate] = ACTIONS(719),
    [sym_kStrict] = ACTIONS(719),
    [sym_kRequired] = ACTIONS(719),
    [sym_kOptional] = ACTIONS(719),
    [sym_kStatic] = ACTIONS(719),
    [sym_kVirtual] = ACTIONS(719),
    [sym_kAbstract] = ACTIONS(719),
    [sym_kDynamic] = ACTIONS(719),
    [sym_kOverride] = ACTIONS(719),
    [sym_kOverload] = ACTIONS(719),
    [sym_kReintroduce] = ACTIONS(719),
    [sym_kInline] = ACTIONS(719),
    [sym_kStdcall] = ACTIONS(719),
    [sym_kCdecl] = ACTIONS(719),
    [sym_kCppdecl] = ACTIONS(719),
    [sym_kPascal] = ACTIONS(719),
    [sym_kRegister] = ACTIONS(719),
    [sym_kMwpascal] = ACTIONS(719),
    [sym_kExternal] = ACTIONS(719),
    [sym_kMessage] = ACTIONS(719),
    [sym_kDeprecated] = ACTIONS(719),
    [sym_kExperimental] = ACTIONS(719),
    [sym_kPlatform] = ACTIONS(719),
    [sym_kUnimplemented] = ACTIONS(719),
    [sym_kCvar] = ACTIONS(719),
    [sym_kExport] = ACTIONS(719),
    [sym_kFar] = ACTIONS(719),
    [sym_kNear] = ACTIONS(719),
    [sym_kSafecall] = ACTIONS(719),
    [sym_kAssembler] = ACTIONS(719),
    [sym_kNostackframe] = ACTIONS(719),
    [sym_kInterrupt] = ACTIONS(719),
    [sym_kNoreturn] = ACTIONS(719),
    [sym_kIocheck] = ACTIONS(719),
    [sym_kLocal] = ACTIONS(719),
    [sym_kHardfloat] = ACTIONS(719),
    [sym_kSoftfloat] = ACTIONS(719),
    [sym_kMs_abi_default] = ACTIONS(719),
    [sym_kMs_abi_cdecl] = ACTIONS(719),
    [sym_kSaveregisters] = ACTIONS(719),
    [sym_kSysv_abi_default] = ACTIONS(719),
    [sym_kSysv_abi_cdecl] = ACTIONS(719),
    [sym_kVectorcall] = ACTIONS(719),
    [sym_kVarargs] = ACTIONS(719),
    [sym_kWinapi] = ACTIONS(719),
    [sym_kAlias] = ACTIONS(719),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [aux_sym_type_token1] = ACTIONS(1394),
    [sym_kUses] = ACTIONS(1394),
    [sym_kBegin] = ACTIONS(1394),
    [sym_kAsm] = ACTIONS(1394),
    [sym_kVar] = ACTIONS(1396),
    [sym_kThreadvar] = ACTIONS(1394),
    [sym_kConst] = ACTIONS(1396),
    [sym_kResourcestring] = ACTIONS(1394),
    [sym_kType] = ACTIONS(1394),
    [sym_kLabel] = ACTIONS(1394),
    [sym_kExports] = ACTIONS(1394),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1394),
    [sym_kGeneric] = ACTIONS(1394),
    [sym_kFunction] = ACTIONS(1394),
    [sym_kProcedure] = ACTIONS(1394),
    [sym_kConstructor] = ACTIONS(1394),
    [sym_kDestructor] = ACTIONS(1394),
    [sym_kOperator] = ACTIONS(1394),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1394),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1394),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(411),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [aux_sym_type_token1] = ACTIONS(1303),
    [sym_kUses] = ACTIONS(1303),
    [sym_kBegin] = ACTIONS(1303),
    [sym_kAsm] = ACTIONS(1303),
    [sym_kVar] = ACTIONS(1305),
    [sym_kThreadvar] = ACTIONS(1303),
    [sym_kConst] = ACTIONS(1305),
    [sym_kResourcestring] = ACTIONS(1303),
    [sym_kType] = ACTIONS(1303),
    [sym_kLabel] = ACTIONS(1303),
    [sym_kExports] = ACTIONS(1303),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1303),
    [sym_kGeneric] = ACTIONS(1303),
    [sym_kFunction] = ACTIONS(1303),
    [sym_kProcedure] = ACTIONS(1303),
    [sym_kConstructor] = ACTIONS(1303),
    [sym_kDestructor] = ACTIONS(1303),
    [sym_kOperator] = ACTIONS(1303),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1303),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1303),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_kEnd] = ACTIONS(1411),
    [sym_kVar] = ACTIONS(1411),
    [sym_kThreadvar] = ACTIONS(1411),
    [sym_kConst] = ACTIONS(1411),
    [sym_kResourcestring] = ACTIONS(1411),
    [sym_kType] = ACTIONS(1411),
    [sym_kProperty] = ACTIONS(1411),
    [sym_kDefault] = ACTIONS(1411),
    [sym_kNodefault] = ACTIONS(1411),
    [sym_kDispId] = ACTIONS(1411),
    [sym_kClass] = ACTIONS(1411),
    [sym_kGeneric] = ACTIONS(1411),
    [sym_kCase] = ACTIONS(1411),
    [sym_kFunction] = ACTIONS(1411),
    [sym_kProcedure] = ACTIONS(1411),
    [sym_kConstructor] = ACTIONS(1411),
    [sym_kDestructor] = ACTIONS(1411),
    [sym_kOperator] = ACTIONS(1411),
    [sym_kPublished] = ACTIONS(1411),
    [sym_kPublic] = ACTIONS(1411),
    [sym_kProtected] = ACTIONS(1411),
    [sym_kPrivate] = ACTIONS(1411),
    [sym_kStrict] = ACTIONS(1411),
    [sym_kRequired] = ACTIONS(1411),
    [sym_kOptional] = ACTIONS(1411),
    [sym_kStatic] = ACTIONS(1411),
    [sym_kVirtual] = ACTIONS(1411),
    [sym_kAbstract] = ACTIONS(1411),
    [sym_kDynamic] = ACTIONS(1411),
    [sym_kOverride] = ACTIONS(1411),
    [sym_kOverload] = ACTIONS(1411),
    [sym_kReintroduce] = ACTIONS(1411),
    [sym_kInline] = ACTIONS(1411),
    [sym_kStdcall] = ACTIONS(1411),
    [sym_kCdecl] = ACTIONS(1411),
    [sym_kCppdecl] = ACTIONS(1411),
    [sym_kPascal] = ACTIONS(1411),
    [sym_kRegister] = ACTIONS(1411),
    [sym_kMwpascal] = ACTIONS(1411),
    [sym_kExternal] = ACTIONS(1411),
    [sym_kMessage] = ACTIONS(1411),
    [sym_kDeprecated] = ACTIONS(1411),
    [sym_kExperimental] = ACTIONS(1411),
    [sym_kPlatform] = ACTIONS(1411),
    [sym_kUnimplemented] = ACTIONS(1411),
    [sym_kCvar] = ACTIONS(1411),
    [sym_kExport] = ACTIONS(1411),
    [sym_kFar] = ACTIONS(1411),
    [sym_kNear] = ACTIONS(1411),
    [sym_kSafecall] = ACTIONS(1411),
    [sym_kAssembler] = ACTIONS(1411),
    [sym_kNostackframe] = ACTIONS(1411),
    [sym_kInterrupt] = ACTIONS(1411),
    [sym_kNoreturn] = ACTIONS(1411),
    [sym_kIocheck] = ACTIONS(1411),
    [sym_kLocal] = ACTIONS(1411),
    [sym_kHardfloat] = ACTIONS(1411),
    [sym_kSoftfloat] = ACTIONS(1411),
    [sym_kMs_abi_default] = ACTIONS(1411),
    [sym_kMs_abi_cdecl] = ACTIONS(1411),
    [sym_kSaveregisters] = ACTIONS(1411),
    [sym_kSysv_abi_default] = ACTIONS(1411),
    [sym_kSysv_abi_cdecl] = ACTIONS(1411),
    [sym_kVectorcall] = ACTIONS(1411),
    [sym_kVarargs] = ACTIONS(1411),
    [sym_kWinapi] = ACTIONS(1411),
    [sym_kAlias] = ACTIONS(1411),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [aux_sym_type_token1] = ACTIONS(1247),
    [sym_kUses] = ACTIONS(1247),
    [sym_kBegin] = ACTIONS(1247),
    [sym_kAsm] = ACTIONS(1247),
    [sym_kVar] = ACTIONS(1249),
    [sym_kThreadvar] = ACTIONS(1247),
    [sym_kConst] = ACTIONS(1249),
    [sym_kResourcestring] = ACTIONS(1247),
    [sym_kType] = ACTIONS(1247),
    [sym_kLabel] = ACTIONS(1247),
    [sym_kExports] = ACTIONS(1247),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1247),
    [sym_kGeneric] = ACTIONS(1247),
    [sym_kFunction] = ACTIONS(1247),
    [sym_kProcedure] = ACTIONS(1247),
    [sym_kConstructor] = ACTIONS(1247),
    [sym_kDestructor] = ACTIONS(1247),
    [sym_kOperator] = ACTIONS(1247),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1247),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1247),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(457),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [aux_sym_type_token1] = ACTIONS(1486),
    [sym_kUses] = ACTIONS(1486),
    [sym_kBegin] = ACTIONS(1486),
    [sym_kAsm] = ACTIONS(1486),
    [sym_kVar] = ACTIONS(1488),
    [sym_kThreadvar] = ACTIONS(1486),
    [sym_kConst] = ACTIONS(1488),
    [sym_kResourcestring] = ACTIONS(1486),
    [sym_kType] = ACTIONS(1486),
    [sym_kLabel] = ACTIONS(1486),
    [sym_kExports] = ACTIONS(1486),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1486),
    [sym_kGeneric] = ACTIONS(1486),
    [sym_kFunction] = ACTIONS(1486),
    [sym_kProcedure] = ACTIONS(1486),
    [sym_kConstructor] = ACTIONS(1486),
    [sym_kDestructor] = ACTIONS(1486),
    [sym_kOperator] = ACTIONS(1486),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1486),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1486),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(420),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [aux_sym_type_token1] = ACTIONS(1205),
    [sym_kUses] = ACTIONS(1205),
    [sym_kBegin] = ACTIONS(1205),
    [sym_kAsm] = ACTIONS(1205),
    [sym_kVar] = ACTIONS(1207),
    [sym_kThreadvar] = ACTIONS(1205),
    [sym_kConst] = ACTIONS(1207),
    [sym_kResourcestring] = ACTIONS(1205),
    [sym_kType] = ACTIONS(1205),
    [sym_kLabel] = ACTIONS(1205),
    [sym_kExports] = ACTIONS(1205),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1205),
    [sym_kGeneric] = ACTIONS(1205),
    [sym_kFunction] = ACTIONS(1205),
    [sym_kProcedure] = ACTIONS(1205),
    [sym_kConstructor] = ACTIONS(1205),
    [sym_kDestructor] = ACTIONS(1205),
    [sym_kOperator] = ACTIONS(1205),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1205),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1205),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(412),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [aux_sym_type_token1] = ACTIONS(1493),
    [sym_kUses] = ACTIONS(1493),
    [sym_kBegin] = ACTIONS(1493),
    [sym_kAsm] = ACTIONS(1493),
    [sym_kVar] = ACTIONS(1495),
    [sym_kThreadvar] = ACTIONS(1493),
    [sym_kConst] = ACTIONS(1495),
    [sym_kResourcestring] = ACTIONS(1493),
    [sym_kType] = ACTIONS(1493),
    [sym_kLabel] = ACTIONS(1493),
    [sym_kExports] = ACTIONS(1493),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1493),
    [sym_kGeneric] = ACTIONS(1493),
    [sym_kFunction] = ACTIONS(1493),
    [sym_kProcedure] = ACTIONS(1493),
    [sym_kConstructor] = ACTIONS(1493),
    [sym_kDestructor] = ACTIONS(1493),
    [sym_kOperator] = ACTIONS(1493),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1493),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1493),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(445),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [aux_sym_type_token1] = ACTIONS(1359),
    [sym_kUses] = ACTIONS(1359),
    [sym_kBegin] = ACTIONS(1359),
    [sym_kAsm] = ACTIONS(1359),
    [sym_kVar] = ACTIONS(1361),
    [sym_kThreadvar] = ACTIONS(1359),
    [sym_kConst] = ACTIONS(1361),
    [sym_kResourcestring] = ACTIONS(1359),
    [sym_kType] = ACTIONS(1359),
    [sym_kLabel] = ACTIONS(1359),
    [sym_kExports] = ACTIONS(1359),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1359),
    [sym_kGeneric] = ACTIONS(1359),
    [sym_kFunction] = ACTIONS(1359),
    [sym_kProcedure] = ACTIONS(1359),
    [sym_kConstructor] = ACTIONS(1359),
    [sym_kDestructor] = ACTIONS(1359),
    [sym_kOperator] = ACTIONS(1359),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1359),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1359),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [aux_sym_type_token1] = ACTIONS(1366),
    [sym_kUses] = ACTIONS(1366),
    [sym_kBegin] = ACTIONS(1366),
    [sym_kAsm] = ACTIONS(1366),
    [sym_kVar] = ACTIONS(1368),
    [sym_kThreadvar] = ACTIONS(1366),
    [sym_kConst] = ACTIONS(1368),
    [sym_kResourcestring] = ACTIONS(1366),
    [sym_kType] = ACTIONS(1366),
    [sym_kLabel] = ACTIONS(1366),
    [sym_kExports] = ACTIONS(1366),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1366),
    [sym_kGeneric] = ACTIONS(1366),
    [sym_kFunction] = ACTIONS(1366),
    [sym_kProcedure] = ACTIONS(1366),
    [sym_kConstructor] = ACTIONS(1366),
    [sym_kDestructor] = ACTIONS(1366),
    [sym_kOperator] = ACTIONS(1366),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1366),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1366),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2735),
    [aux_sym_type_token1] = ACTIONS(1240),
    [sym_kUses] = ACTIONS(1240),
    [sym_kBegin] = ACTIONS(1240),
    [sym_kAsm] = ACTIONS(1240),
    [sym_kVar] = ACTIONS(1242),
    [sym_kThreadvar] = ACTIONS(1240),
    [sym_kConst] = ACTIONS(1242),
    [sym_kResourcestring] = ACTIONS(1240),
    [sym_kType] = ACTIONS(1240),
    [sym_kLabel] = ACTIONS(1240),
    [sym_kExports] = ACTIONS(1240),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1240),
    [sym_kGeneric] = ACTIONS(1240),
    [sym_kFunction] = ACTIONS(1240),
    [sym_kProcedure] = ACTIONS(1240),
    [sym_kConstructor] = ACTIONS(1240),
    [sym_kDestructor] = ACTIONS(1240),
    [sym_kOperator] = ACTIONS(1240),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1240),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1240),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(446),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [aux_sym_type_token1] = ACTIONS(1151),
    [sym_kUses] = ACTIONS(1151),
    [sym_kBegin] = ACTIONS(1151),
    [sym_kAsm] = ACTIONS(1151),
    [sym_kVar] = ACTIONS(1153),
    [sym_kThreadvar] = ACTIONS(1151),
    [sym_kConst] = ACTIONS(1153),
    [sym_kResourcestring] = ACTIONS(1151),
    [sym_kType] = ACTIONS(1151),
    [sym_kLabel] = ACTIONS(1151),
    [sym_kExports] = ACTIONS(1151),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1151),
    [sym_kGeneric] = ACTIONS(1151),
    [sym_kFunction] = ACTIONS(1151),
    [sym_kProcedure] = ACTIONS(1151),
    [sym_kConstructor] = ACTIONS(1151),
    [sym_kDestructor] = ACTIONS(1151),
    [sym_kOperator] = ACTIONS(1151),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1151),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1151),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(444),
    [anon_sym_LBRACK] = ACTIONS(2741),
    [aux_sym_type_token1] = ACTIONS(1158),
    [sym_kUses] = ACTIONS(1158),
    [sym_kBegin] = ACTIONS(1158),
    [sym_kAsm] = ACTIONS(1158),
    [sym_kVar] = ACTIONS(1160),
    [sym_kThreadvar] = ACTIONS(1158),
    [sym_kConst] = ACTIONS(1160),
    [sym_kResourcestring] = ACTIONS(1158),
    [sym_kType] = ACTIONS(1158),
    [sym_kLabel] = ACTIONS(1158),
    [sym_kExports] = ACTIONS(1158),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1158),
    [sym_kGeneric] = ACTIONS(1158),
    [sym_kFunction] = ACTIONS(1158),
    [sym_kProcedure] = ACTIONS(1158),
    [sym_kConstructor] = ACTIONS(1158),
    [sym_kDestructor] = ACTIONS(1158),
    [sym_kOperator] = ACTIONS(1158),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1158),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1158),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(443),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [aux_sym_type_token1] = ACTIONS(1345),
    [sym_kUses] = ACTIONS(1345),
    [sym_kBegin] = ACTIONS(1345),
    [sym_kAsm] = ACTIONS(1345),
    [sym_kVar] = ACTIONS(1347),
    [sym_kThreadvar] = ACTIONS(1345),
    [sym_kConst] = ACTIONS(1347),
    [sym_kResourcestring] = ACTIONS(1345),
    [sym_kType] = ACTIONS(1345),
    [sym_kLabel] = ACTIONS(1345),
    [sym_kExports] = ACTIONS(1345),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1345),
    [sym_kGeneric] = ACTIONS(1345),
    [sym_kFunction] = ACTIONS(1345),
    [sym_kProcedure] = ACTIONS(1345),
    [sym_kConstructor] = ACTIONS(1345),
    [sym_kDestructor] = ACTIONS(1345),
    [sym_kOperator] = ACTIONS(1345),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1345),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1345),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(458),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [aux_sym_type_token1] = ACTIONS(1176),
    [sym_kUses] = ACTIONS(1176),
    [sym_kBegin] = ACTIONS(1176),
    [sym_kAsm] = ACTIONS(1176),
    [sym_kVar] = ACTIONS(1178),
    [sym_kThreadvar] = ACTIONS(1176),
    [sym_kConst] = ACTIONS(1178),
    [sym_kResourcestring] = ACTIONS(1176),
    [sym_kType] = ACTIONS(1176),
    [sym_kLabel] = ACTIONS(1176),
    [sym_kExports] = ACTIONS(1176),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1176),
    [sym_kGeneric] = ACTIONS(1176),
    [sym_kFunction] = ACTIONS(1176),
    [sym_kProcedure] = ACTIONS(1176),
    [sym_kConstructor] = ACTIONS(1176),
    [sym_kDestructor] = ACTIONS(1176),
    [sym_kOperator] = ACTIONS(1176),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1176),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1176),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [aux_sym_type_token1] = ACTIONS(1338),
    [sym_kUses] = ACTIONS(1338),
    [sym_kBegin] = ACTIONS(1338),
    [sym_kAsm] = ACTIONS(1338),
    [sym_kVar] = ACTIONS(1340),
    [sym_kThreadvar] = ACTIONS(1338),
    [sym_kConst] = ACTIONS(1340),
    [sym_kResourcestring] = ACTIONS(1338),
    [sym_kType] = ACTIONS(1338),
    [sym_kLabel] = ACTIONS(1338),
    [sym_kExports] = ACTIONS(1338),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1338),
    [sym_kGeneric] = ACTIONS(1338),
    [sym_kFunction] = ACTIONS(1338),
    [sym_kProcedure] = ACTIONS(1338),
    [sym_kConstructor] = ACTIONS(1338),
    [sym_kDestructor] = ACTIONS(1338),
    [sym_kOperator] = ACTIONS(1338),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1338),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1338),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [aux_sym_type_token1] = ACTIONS(1226),
    [sym_kUses] = ACTIONS(1226),
    [sym_kBegin] = ACTIONS(1226),
    [sym_kAsm] = ACTIONS(1226),
    [sym_kVar] = ACTIONS(1228),
    [sym_kThreadvar] = ACTIONS(1226),
    [sym_kConst] = ACTIONS(1228),
    [sym_kResourcestring] = ACTIONS(1226),
    [sym_kType] = ACTIONS(1226),
    [sym_kLabel] = ACTIONS(1226),
    [sym_kExports] = ACTIONS(1226),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1226),
    [sym_kGeneric] = ACTIONS(1226),
    [sym_kFunction] = ACTIONS(1226),
    [sym_kProcedure] = ACTIONS(1226),
    [sym_kConstructor] = ACTIONS(1226),
    [sym_kDestructor] = ACTIONS(1226),
    [sym_kOperator] = ACTIONS(1226),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1226),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1226),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [aux_sym_type_token1] = ACTIONS(1331),
    [sym_kUses] = ACTIONS(1331),
    [sym_kBegin] = ACTIONS(1331),
    [sym_kAsm] = ACTIONS(1331),
    [sym_kVar] = ACTIONS(1333),
    [sym_kThreadvar] = ACTIONS(1331),
    [sym_kConst] = ACTIONS(1333),
    [sym_kResourcestring] = ACTIONS(1331),
    [sym_kType] = ACTIONS(1331),
    [sym_kLabel] = ACTIONS(1331),
    [sym_kExports] = ACTIONS(1331),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1331),
    [sym_kGeneric] = ACTIONS(1331),
    [sym_kFunction] = ACTIONS(1331),
    [sym_kProcedure] = ACTIONS(1331),
    [sym_kConstructor] = ACTIONS(1331),
    [sym_kDestructor] = ACTIONS(1331),
    [sym_kOperator] = ACTIONS(1331),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1331),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1331),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [aux_sym_type_token1] = ACTIONS(1254),
    [sym_kUses] = ACTIONS(1254),
    [sym_kBegin] = ACTIONS(1254),
    [sym_kAsm] = ACTIONS(1254),
    [sym_kVar] = ACTIONS(1256),
    [sym_kThreadvar] = ACTIONS(1254),
    [sym_kConst] = ACTIONS(1256),
    [sym_kResourcestring] = ACTIONS(1254),
    [sym_kType] = ACTIONS(1254),
    [sym_kLabel] = ACTIONS(1254),
    [sym_kExports] = ACTIONS(1254),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1254),
    [sym_kGeneric] = ACTIONS(1254),
    [sym_kFunction] = ACTIONS(1254),
    [sym_kProcedure] = ACTIONS(1254),
    [sym_kConstructor] = ACTIONS(1254),
    [sym_kDestructor] = ACTIONS(1254),
    [sym_kOperator] = ACTIONS(1254),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1254),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1254),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(448),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [aux_sym_type_token1] = ACTIONS(1324),
    [sym_kUses] = ACTIONS(1324),
    [sym_kBegin] = ACTIONS(1324),
    [sym_kAsm] = ACTIONS(1324),
    [sym_kVar] = ACTIONS(1326),
    [sym_kThreadvar] = ACTIONS(1324),
    [sym_kConst] = ACTIONS(1326),
    [sym_kResourcestring] = ACTIONS(1324),
    [sym_kType] = ACTIONS(1324),
    [sym_kLabel] = ACTIONS(1324),
    [sym_kExports] = ACTIONS(1324),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1324),
    [sym_kGeneric] = ACTIONS(1324),
    [sym_kFunction] = ACTIONS(1324),
    [sym_kProcedure] = ACTIONS(1324),
    [sym_kConstructor] = ACTIONS(1324),
    [sym_kDestructor] = ACTIONS(1324),
    [sym_kOperator] = ACTIONS(1324),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1324),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1324),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [aux_sym_type_token1] = ACTIONS(1444),
    [sym_kUses] = ACTIONS(1444),
    [sym_kBegin] = ACTIONS(1444),
    [sym_kAsm] = ACTIONS(1444),
    [sym_kVar] = ACTIONS(1446),
    [sym_kThreadvar] = ACTIONS(1444),
    [sym_kConst] = ACTIONS(1446),
    [sym_kResourcestring] = ACTIONS(1444),
    [sym_kType] = ACTIONS(1444),
    [sym_kLabel] = ACTIONS(1444),
    [sym_kExports] = ACTIONS(1444),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1444),
    [sym_kGeneric] = ACTIONS(1444),
    [sym_kFunction] = ACTIONS(1444),
    [sym_kProcedure] = ACTIONS(1444),
    [sym_kConstructor] = ACTIONS(1444),
    [sym_kDestructor] = ACTIONS(1444),
    [sym_kOperator] = ACTIONS(1444),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1444),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1444),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [aux_sym_type_token1] = ACTIONS(1317),
    [sym_kUses] = ACTIONS(1317),
    [sym_kBegin] = ACTIONS(1317),
    [sym_kAsm] = ACTIONS(1317),
    [sym_kVar] = ACTIONS(1319),
    [sym_kThreadvar] = ACTIONS(1317),
    [sym_kConst] = ACTIONS(1319),
    [sym_kResourcestring] = ACTIONS(1317),
    [sym_kType] = ACTIONS(1317),
    [sym_kLabel] = ACTIONS(1317),
    [sym_kExports] = ACTIONS(1317),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1317),
    [sym_kGeneric] = ACTIONS(1317),
    [sym_kFunction] = ACTIONS(1317),
    [sym_kProcedure] = ACTIONS(1317),
    [sym_kConstructor] = ACTIONS(1317),
    [sym_kDestructor] = ACTIONS(1317),
    [sym_kOperator] = ACTIONS(1317),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1317),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1317),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(474),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [aux_sym_type_token1] = ACTIONS(1430),
    [sym_kUses] = ACTIONS(1430),
    [sym_kBegin] = ACTIONS(1430),
    [sym_kAsm] = ACTIONS(1430),
    [sym_kVar] = ACTIONS(1432),
    [sym_kThreadvar] = ACTIONS(1430),
    [sym_kConst] = ACTIONS(1432),
    [sym_kResourcestring] = ACTIONS(1430),
    [sym_kType] = ACTIONS(1430),
    [sym_kLabel] = ACTIONS(1430),
    [sym_kExports] = ACTIONS(1430),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1430),
    [sym_kGeneric] = ACTIONS(1430),
    [sym_kFunction] = ACTIONS(1430),
    [sym_kProcedure] = ACTIONS(1430),
    [sym_kConstructor] = ACTIONS(1430),
    [sym_kDestructor] = ACTIONS(1430),
    [sym_kOperator] = ACTIONS(1430),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1430),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1430),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [aux_sym_type_token1] = ACTIONS(1310),
    [sym_kUses] = ACTIONS(1310),
    [sym_kBegin] = ACTIONS(1310),
    [sym_kAsm] = ACTIONS(1310),
    [sym_kVar] = ACTIONS(1312),
    [sym_kThreadvar] = ACTIONS(1310),
    [sym_kConst] = ACTIONS(1312),
    [sym_kResourcestring] = ACTIONS(1310),
    [sym_kType] = ACTIONS(1310),
    [sym_kLabel] = ACTIONS(1310),
    [sym_kExports] = ACTIONS(1310),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1310),
    [sym_kGeneric] = ACTIONS(1310),
    [sym_kFunction] = ACTIONS(1310),
    [sym_kProcedure] = ACTIONS(1310),
    [sym_kConstructor] = ACTIONS(1310),
    [sym_kDestructor] = ACTIONS(1310),
    [sym_kOperator] = ACTIONS(1310),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1310),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1310),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(417),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [aux_sym_type_token1] = ACTIONS(1437),
    [sym_kUses] = ACTIONS(1437),
    [sym_kBegin] = ACTIONS(1437),
    [sym_kAsm] = ACTIONS(1437),
    [sym_kVar] = ACTIONS(1439),
    [sym_kThreadvar] = ACTIONS(1437),
    [sym_kConst] = ACTIONS(1439),
    [sym_kResourcestring] = ACTIONS(1437),
    [sym_kType] = ACTIONS(1437),
    [sym_kLabel] = ACTIONS(1437),
    [sym_kExports] = ACTIONS(1437),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1437),
    [sym_kGeneric] = ACTIONS(1437),
    [sym_kFunction] = ACTIONS(1437),
    [sym_kProcedure] = ACTIONS(1437),
    [sym_kConstructor] = ACTIONS(1437),
    [sym_kDestructor] = ACTIONS(1437),
    [sym_kOperator] = ACTIONS(1437),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1437),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1437),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [aux_sym_type_token1] = ACTIONS(1268),
    [sym_kUses] = ACTIONS(1268),
    [sym_kBegin] = ACTIONS(1268),
    [sym_kAsm] = ACTIONS(1268),
    [sym_kVar] = ACTIONS(1270),
    [sym_kThreadvar] = ACTIONS(1268),
    [sym_kConst] = ACTIONS(1270),
    [sym_kResourcestring] = ACTIONS(1268),
    [sym_kType] = ACTIONS(1268),
    [sym_kLabel] = ACTIONS(1268),
    [sym_kExports] = ACTIONS(1268),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1268),
    [sym_kGeneric] = ACTIONS(1268),
    [sym_kFunction] = ACTIONS(1268),
    [sym_kProcedure] = ACTIONS(1268),
    [sym_kConstructor] = ACTIONS(1268),
    [sym_kDestructor] = ACTIONS(1268),
    [sym_kOperator] = ACTIONS(1268),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1268),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1268),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_kEnd] = ACTIONS(1407),
    [sym_kVar] = ACTIONS(1407),
    [sym_kThreadvar] = ACTIONS(1407),
    [sym_kConst] = ACTIONS(1407),
    [sym_kResourcestring] = ACTIONS(1407),
    [sym_kType] = ACTIONS(1407),
    [sym_kProperty] = ACTIONS(1407),
    [sym_kDefault] = ACTIONS(1407),
    [sym_kNodefault] = ACTIONS(1407),
    [sym_kDispId] = ACTIONS(1407),
    [sym_kClass] = ACTIONS(1407),
    [sym_kGeneric] = ACTIONS(1407),
    [sym_kCase] = ACTIONS(1407),
    [sym_kFunction] = ACTIONS(1407),
    [sym_kProcedure] = ACTIONS(1407),
    [sym_kConstructor] = ACTIONS(1407),
    [sym_kDestructor] = ACTIONS(1407),
    [sym_kOperator] = ACTIONS(1407),
    [sym_kPublished] = ACTIONS(1407),
    [sym_kPublic] = ACTIONS(1407),
    [sym_kProtected] = ACTIONS(1407),
    [sym_kPrivate] = ACTIONS(1407),
    [sym_kStrict] = ACTIONS(1407),
    [sym_kRequired] = ACTIONS(1407),
    [sym_kOptional] = ACTIONS(1407),
    [sym_kStatic] = ACTIONS(1407),
    [sym_kVirtual] = ACTIONS(1407),
    [sym_kAbstract] = ACTIONS(1407),
    [sym_kDynamic] = ACTIONS(1407),
    [sym_kOverride] = ACTIONS(1407),
    [sym_kOverload] = ACTIONS(1407),
    [sym_kReintroduce] = ACTIONS(1407),
    [sym_kInline] = ACTIONS(1407),
    [sym_kStdcall] = ACTIONS(1407),
    [sym_kCdecl] = ACTIONS(1407),
    [sym_kCppdecl] = ACTIONS(1407),
    [sym_kPascal] = ACTIONS(1407),
    [sym_kRegister] = ACTIONS(1407),
    [sym_kMwpascal] = ACTIONS(1407),
    [sym_kExternal] = ACTIONS(1407),
    [sym_kMessage] = ACTIONS(1407),
    [sym_kDeprecated] = ACTIONS(1407),
    [sym_kExperimental] = ACTIONS(1407),
    [sym_kPlatform] = ACTIONS(1407),
    [sym_kUnimplemented] = ACTIONS(1407),
    [sym_kCvar] = ACTIONS(1407),
    [sym_kExport] = ACTIONS(1407),
    [sym_kFar] = ACTIONS(1407),
    [sym_kNear] = ACTIONS(1407),
    [sym_kSafecall] = ACTIONS(1407),
    [sym_kAssembler] = ACTIONS(1407),
    [sym_kNostackframe] = ACTIONS(1407),
    [sym_kInterrupt] = ACTIONS(1407),
    [sym_kNoreturn] = ACTIONS(1407),
    [sym_kIocheck] = ACTIONS(1407),
    [sym_kLocal] = ACTIONS(1407),
    [sym_kHardfloat] = ACTIONS(1407),
    [sym_kSoftfloat] = ACTIONS(1407),
    [sym_kMs_abi_default] = ACTIONS(1407),
    [sym_kMs_abi_cdecl] = ACTIONS(1407),
    [sym_kSaveregisters] = ACTIONS(1407),
    [sym_kSysv_abi_default] = ACTIONS(1407),
    [sym_kSysv_abi_cdecl] = ACTIONS(1407),
    [sym_kVectorcall] = ACTIONS(1407),
    [sym_kVarargs] = ACTIONS(1407),
    [sym_kWinapi] = ACTIONS(1407),
    [sym_kAlias] = ACTIONS(1407),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(475),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [aux_sym_type_token1] = ACTIONS(1423),
    [sym_kUses] = ACTIONS(1423),
    [sym_kBegin] = ACTIONS(1423),
    [sym_kAsm] = ACTIONS(1423),
    [sym_kVar] = ACTIONS(1425),
    [sym_kThreadvar] = ACTIONS(1423),
    [sym_kConst] = ACTIONS(1425),
    [sym_kResourcestring] = ACTIONS(1423),
    [sym_kType] = ACTIONS(1423),
    [sym_kLabel] = ACTIONS(1423),
    [sym_kExports] = ACTIONS(1423),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1423),
    [sym_kGeneric] = ACTIONS(1423),
    [sym_kFunction] = ACTIONS(1423),
    [sym_kProcedure] = ACTIONS(1423),
    [sym_kConstructor] = ACTIONS(1423),
    [sym_kDestructor] = ACTIONS(1423),
    [sym_kOperator] = ACTIONS(1423),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1423),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1423),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(424),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [aux_sym_type_token1] = ACTIONS(1233),
    [sym_kUses] = ACTIONS(1233),
    [sym_kBegin] = ACTIONS(1233),
    [sym_kAsm] = ACTIONS(1233),
    [sym_kVar] = ACTIONS(1235),
    [sym_kThreadvar] = ACTIONS(1233),
    [sym_kConst] = ACTIONS(1235),
    [sym_kResourcestring] = ACTIONS(1233),
    [sym_kType] = ACTIONS(1233),
    [sym_kLabel] = ACTIONS(1233),
    [sym_kExports] = ACTIONS(1233),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1233),
    [sym_kGeneric] = ACTIONS(1233),
    [sym_kFunction] = ACTIONS(1233),
    [sym_kProcedure] = ACTIONS(1233),
    [sym_kConstructor] = ACTIONS(1233),
    [sym_kDestructor] = ACTIONS(1233),
    [sym_kOperator] = ACTIONS(1233),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1233),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1233),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [aux_sym_type_token1] = ACTIONS(1219),
    [sym_kUses] = ACTIONS(1219),
    [sym_kBegin] = ACTIONS(1219),
    [sym_kAsm] = ACTIONS(1219),
    [sym_kVar] = ACTIONS(1221),
    [sym_kThreadvar] = ACTIONS(1219),
    [sym_kConst] = ACTIONS(1221),
    [sym_kResourcestring] = ACTIONS(1219),
    [sym_kType] = ACTIONS(1219),
    [sym_kLabel] = ACTIONS(1219),
    [sym_kExports] = ACTIONS(1219),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1219),
    [sym_kGeneric] = ACTIONS(1219),
    [sym_kFunction] = ACTIONS(1219),
    [sym_kProcedure] = ACTIONS(1219),
    [sym_kConstructor] = ACTIONS(1219),
    [sym_kDestructor] = ACTIONS(1219),
    [sym_kOperator] = ACTIONS(1219),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1219),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1219),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [aux_sym_type_token1] = ACTIONS(1115),
    [sym_kUses] = ACTIONS(1115),
    [sym_kBegin] = ACTIONS(1115),
    [sym_kAsm] = ACTIONS(1115),
    [sym_kVar] = ACTIONS(1117),
    [sym_kThreadvar] = ACTIONS(1115),
    [sym_kConst] = ACTIONS(1117),
    [sym_kResourcestring] = ACTIONS(1115),
    [sym_kType] = ACTIONS(1115),
    [sym_kLabel] = ACTIONS(1115),
    [sym_kExports] = ACTIONS(1115),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1115),
    [sym_kGeneric] = ACTIONS(1115),
    [sym_kFunction] = ACTIONS(1115),
    [sym_kProcedure] = ACTIONS(1115),
    [sym_kConstructor] = ACTIONS(1115),
    [sym_kDestructor] = ACTIONS(1115),
    [sym_kOperator] = ACTIONS(1115),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1115),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1115),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(437),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [aux_sym_type_token1] = ACTIONS(1122),
    [sym_kUses] = ACTIONS(1122),
    [sym_kBegin] = ACTIONS(1122),
    [sym_kAsm] = ACTIONS(1122),
    [sym_kVar] = ACTIONS(1124),
    [sym_kThreadvar] = ACTIONS(1122),
    [sym_kConst] = ACTIONS(1124),
    [sym_kResourcestring] = ACTIONS(1122),
    [sym_kType] = ACTIONS(1122),
    [sym_kLabel] = ACTIONS(1122),
    [sym_kExports] = ACTIONS(1122),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1122),
    [sym_kGeneric] = ACTIONS(1122),
    [sym_kFunction] = ACTIONS(1122),
    [sym_kProcedure] = ACTIONS(1122),
    [sym_kConstructor] = ACTIONS(1122),
    [sym_kDestructor] = ACTIONS(1122),
    [sym_kOperator] = ACTIONS(1122),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1122),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1122),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(415),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [aux_sym_type_token1] = ACTIONS(1194),
    [sym_kUses] = ACTIONS(1194),
    [sym_kBegin] = ACTIONS(1194),
    [sym_kAsm] = ACTIONS(1194),
    [sym_kVar] = ACTIONS(1196),
    [sym_kThreadvar] = ACTIONS(1194),
    [sym_kConst] = ACTIONS(1196),
    [sym_kResourcestring] = ACTIONS(1194),
    [sym_kType] = ACTIONS(1194),
    [sym_kLabel] = ACTIONS(1194),
    [sym_kExports] = ACTIONS(1194),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1194),
    [sym_kGeneric] = ACTIONS(1194),
    [sym_kFunction] = ACTIONS(1194),
    [sym_kProcedure] = ACTIONS(1194),
    [sym_kConstructor] = ACTIONS(1194),
    [sym_kDestructor] = ACTIONS(1194),
    [sym_kOperator] = ACTIONS(1194),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1194),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1194),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [aux_sym_type_token1] = ACTIONS(1140),
    [sym_kUses] = ACTIONS(1140),
    [sym_kBegin] = ACTIONS(1140),
    [sym_kAsm] = ACTIONS(1140),
    [sym_kVar] = ACTIONS(1142),
    [sym_kThreadvar] = ACTIONS(1140),
    [sym_kConst] = ACTIONS(1142),
    [sym_kResourcestring] = ACTIONS(1140),
    [sym_kType] = ACTIONS(1140),
    [sym_kLabel] = ACTIONS(1140),
    [sym_kExports] = ACTIONS(1140),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1140),
    [sym_kGeneric] = ACTIONS(1140),
    [sym_kFunction] = ACTIONS(1140),
    [sym_kProcedure] = ACTIONS(1140),
    [sym_kConstructor] = ACTIONS(1140),
    [sym_kDestructor] = ACTIONS(1140),
    [sym_kOperator] = ACTIONS(1140),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1140),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1140),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [anon_sym_LBRACK] = ACTIONS(2804),
    [sym_kUses] = ACTIONS(2804),
    [sym_kInterface] = ACTIONS(2804),
    [sym_kImplementation] = ACTIONS(2804),
    [sym_kInitialization] = ACTIONS(2804),
    [sym_kFinalization] = ACTIONS(2804),
    [sym_kEnd] = ACTIONS(2804),
    [sym_kVar] = ACTIONS(2806),
    [sym_kThreadvar] = ACTIONS(2804),
    [sym_kConst] = ACTIONS(2806),
    [sym_kResourcestring] = ACTIONS(2804),
    [sym_kType] = ACTIONS(2804),
    [sym_kLabel] = ACTIONS(2804),
    [sym_kExports] = ACTIONS(2804),
    [sym_kProperty] = ACTIONS(2804),
    [sym_kDefault] = ACTIONS(2804),
    [sym_kNodefault] = ACTIONS(2804),
    [sym_kDispId] = ACTIONS(2804),
    [sym_kClass] = ACTIONS(2804),
    [sym_kGeneric] = ACTIONS(2804),
    [sym_kFunction] = ACTIONS(2804),
    [sym_kProcedure] = ACTIONS(2804),
    [sym_kConstructor] = ACTIONS(2804),
    [sym_kDestructor] = ACTIONS(2804),
    [sym_kOperator] = ACTIONS(2804),
    [sym_kPublic] = ACTIONS(2804),
    [sym_kForward] = ACTIONS(2804),
    [sym_kStatic] = ACTIONS(2804),
    [sym_kVirtual] = ACTIONS(2804),
    [sym_kAbstract] = ACTIONS(2804),
    [sym_kDynamic] = ACTIONS(2804),
    [sym_kOverride] = ACTIONS(2804),
    [sym_kOverload] = ACTIONS(2804),
    [sym_kReintroduce] = ACTIONS(2804),
    [sym_kInline] = ACTIONS(2804),
    [sym_kStdcall] = ACTIONS(2804),
    [sym_kCdecl] = ACTIONS(2804),
    [sym_kCppdecl] = ACTIONS(2804),
    [sym_kPascal] = ACTIONS(2804),
    [sym_kRegister] = ACTIONS(2804),
    [sym_kMwpascal] = ACTIONS(2804),
    [sym_kExternal] = ACTIONS(2804),
    [sym_kMessage] = ACTIONS(2804),
    [sym_kDeprecated] = ACTIONS(2804),
    [sym_kExperimental] = ACTIONS(2804),
    [sym_kPlatform] = ACTIONS(2804),
    [sym_kUnimplemented] = ACTIONS(2804),
    [sym_kCvar] = ACTIONS(2804),
    [sym_kExport] = ACTIONS(2806),
    [sym_kFar] = ACTIONS(2804),
    [sym_kNear] = ACTIONS(2804),
    [sym_kSafecall] = ACTIONS(2804),
    [sym_kAssembler] = ACTIONS(2804),
    [sym_kNostackframe] = ACTIONS(2804),
    [sym_kInterrupt] = ACTIONS(2804),
    [sym_kNoreturn] = ACTIONS(2804),
    [sym_kIocheck] = ACTIONS(2804),
    [sym_kLocal] = ACTIONS(2804),
    [sym_kHardfloat] = ACTIONS(2804),
    [sym_kSoftfloat] = ACTIONS(2804),
    [sym_kMs_abi_default] = ACTIONS(2804),
    [sym_kMs_abi_cdecl] = ACTIONS(2804),
    [sym_kSaveregisters] = ACTIONS(2804),
    [sym_kSysv_abi_default] = ACTIONS(2804),
    [sym_kSysv_abi_cdecl] = ACTIONS(2804),
    [sym_kVectorcall] = ACTIONS(2804),
    [sym_kVarargs] = ACTIONS(2804),
    [sym_kWinapi] = ACTIONS(2804),
    [sym_kAlias] = ACTIONS(2804),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(427),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [aux_sym_type_token1] = ACTIONS(1261),
    [sym_kUses] = ACTIONS(1261),
    [sym_kBegin] = ACTIONS(1261),
    [sym_kAsm] = ACTIONS(1261),
    [sym_kVar] = ACTIONS(1263),
    [sym_kThreadvar] = ACTIONS(1261),
    [sym_kConst] = ACTIONS(1263),
    [sym_kResourcestring] = ACTIONS(1261),
    [sym_kType] = ACTIONS(1261),
    [sym_kLabel] = ACTIONS(1261),
    [sym_kExports] = ACTIONS(1261),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1261),
    [sym_kGeneric] = ACTIONS(1261),
    [sym_kFunction] = ACTIONS(1261),
    [sym_kProcedure] = ACTIONS(1261),
    [sym_kConstructor] = ACTIONS(1261),
    [sym_kDestructor] = ACTIONS(1261),
    [sym_kOperator] = ACTIONS(1261),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1261),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1261),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_identifier] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [sym_kEnd] = ACTIONS(1171),
    [sym_kVar] = ACTIONS(1171),
    [sym_kThreadvar] = ACTIONS(1171),
    [sym_kConst] = ACTIONS(1171),
    [sym_kResourcestring] = ACTIONS(1171),
    [sym_kType] = ACTIONS(1171),
    [sym_kProperty] = ACTIONS(1171),
    [sym_kDefault] = ACTIONS(1171),
    [sym_kNodefault] = ACTIONS(1171),
    [sym_kDispId] = ACTIONS(1171),
    [sym_kClass] = ACTIONS(1171),
    [sym_kGeneric] = ACTIONS(1171),
    [sym_kCase] = ACTIONS(1171),
    [sym_kFunction] = ACTIONS(1171),
    [sym_kProcedure] = ACTIONS(1171),
    [sym_kConstructor] = ACTIONS(1171),
    [sym_kDestructor] = ACTIONS(1171),
    [sym_kOperator] = ACTIONS(1171),
    [sym_kPublished] = ACTIONS(1171),
    [sym_kPublic] = ACTIONS(1171),
    [sym_kProtected] = ACTIONS(1171),
    [sym_kPrivate] = ACTIONS(1171),
    [sym_kStrict] = ACTIONS(1171),
    [sym_kRequired] = ACTIONS(1171),
    [sym_kOptional] = ACTIONS(1171),
    [sym_kStatic] = ACTIONS(1171),
    [sym_kVirtual] = ACTIONS(1171),
    [sym_kAbstract] = ACTIONS(1171),
    [sym_kDynamic] = ACTIONS(1171),
    [sym_kOverride] = ACTIONS(1171),
    [sym_kOverload] = ACTIONS(1171),
    [sym_kReintroduce] = ACTIONS(1171),
    [sym_kInline] = ACTIONS(1171),
    [sym_kStdcall] = ACTIONS(1171),
    [sym_kCdecl] = ACTIONS(1171),
    [sym_kCppdecl] = ACTIONS(1171),
    [sym_kPascal] = ACTIONS(1171),
    [sym_kRegister] = ACTIONS(1171),
    [sym_kMwpascal] = ACTIONS(1171),
    [sym_kExternal] = ACTIONS(1171),
    [sym_kMessage] = ACTIONS(1171),
    [sym_kDeprecated] = ACTIONS(1171),
    [sym_kExperimental] = ACTIONS(1171),
    [sym_kPlatform] = ACTIONS(1171),
    [sym_kUnimplemented] = ACTIONS(1171),
    [sym_kCvar] = ACTIONS(1171),
    [sym_kExport] = ACTIONS(1171),
    [sym_kFar] = ACTIONS(1171),
    [sym_kNear] = ACTIONS(1171),
    [sym_kSafecall] = ACTIONS(1171),
    [sym_kAssembler] = ACTIONS(1171),
    [sym_kNostackframe] = ACTIONS(1171),
    [sym_kInterrupt] = ACTIONS(1171),
    [sym_kNoreturn] = ACTIONS(1171),
    [sym_kIocheck] = ACTIONS(1171),
    [sym_kLocal] = ACTIONS(1171),
    [sym_kHardfloat] = ACTIONS(1171),
    [sym_kSoftfloat] = ACTIONS(1171),
    [sym_kMs_abi_default] = ACTIONS(1171),
    [sym_kMs_abi_cdecl] = ACTIONS(1171),
    [sym_kSaveregisters] = ACTIONS(1171),
    [sym_kSysv_abi_default] = ACTIONS(1171),
    [sym_kSysv_abi_cdecl] = ACTIONS(1171),
    [sym_kVectorcall] = ACTIONS(1171),
    [sym_kVarargs] = ACTIONS(1171),
    [sym_kWinapi] = ACTIONS(1171),
    [sym_kAlias] = ACTIONS(1171),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_identifier] = ACTIONS(591),
    [anon_sym_LBRACK] = ACTIONS(589),
    [sym_kEnd] = ACTIONS(591),
    [sym_kVar] = ACTIONS(591),
    [sym_kThreadvar] = ACTIONS(591),
    [sym_kConst] = ACTIONS(591),
    [sym_kResourcestring] = ACTIONS(591),
    [sym_kType] = ACTIONS(591),
    [sym_kProperty] = ACTIONS(591),
    [sym_kDefault] = ACTIONS(591),
    [sym_kNodefault] = ACTIONS(591),
    [sym_kDispId] = ACTIONS(591),
    [sym_kClass] = ACTIONS(591),
    [sym_kGeneric] = ACTIONS(591),
    [sym_kCase] = ACTIONS(591),
    [sym_kFunction] = ACTIONS(591),
    [sym_kProcedure] = ACTIONS(591),
    [sym_kConstructor] = ACTIONS(591),
    [sym_kDestructor] = ACTIONS(591),
    [sym_kOperator] = ACTIONS(591),
    [sym_kPublished] = ACTIONS(591),
    [sym_kPublic] = ACTIONS(591),
    [sym_kProtected] = ACTIONS(591),
    [sym_kPrivate] = ACTIONS(591),
    [sym_kStrict] = ACTIONS(591),
    [sym_kRequired] = ACTIONS(591),
    [sym_kOptional] = ACTIONS(591),
    [sym_kStatic] = ACTIONS(591),
    [sym_kVirtual] = ACTIONS(591),
    [sym_kAbstract] = ACTIONS(591),
    [sym_kDynamic] = ACTIONS(591),
    [sym_kOverride] = ACTIONS(591),
    [sym_kOverload] = ACTIONS(591),
    [sym_kReintroduce] = ACTIONS(591),
    [sym_kInline] = ACTIONS(591),
    [sym_kStdcall] = ACTIONS(591),
    [sym_kCdecl] = ACTIONS(591),
    [sym_kCppdecl] = ACTIONS(591),
    [sym_kPascal] = ACTIONS(591),
    [sym_kRegister] = ACTIONS(591),
    [sym_kMwpascal] = ACTIONS(591),
    [sym_kExternal] = ACTIONS(591),
    [sym_kMessage] = ACTIONS(591),
    [sym_kDeprecated] = ACTIONS(591),
    [sym_kExperimental] = ACTIONS(591),
    [sym_kPlatform] = ACTIONS(591),
    [sym_kUnimplemented] = ACTIONS(591),
    [sym_kCvar] = ACTIONS(591),
    [sym_kExport] = ACTIONS(591),
    [sym_kFar] = ACTIONS(591),
    [sym_kNear] = ACTIONS(591),
    [sym_kSafecall] = ACTIONS(591),
    [sym_kAssembler] = ACTIONS(591),
    [sym_kNostackframe] = ACTIONS(591),
    [sym_kInterrupt] = ACTIONS(591),
    [sym_kNoreturn] = ACTIONS(591),
    [sym_kIocheck] = ACTIONS(591),
    [sym_kLocal] = ACTIONS(591),
    [sym_kHardfloat] = ACTIONS(591),
    [sym_kSoftfloat] = ACTIONS(591),
    [sym_kMs_abi_default] = ACTIONS(591),
    [sym_kMs_abi_cdecl] = ACTIONS(591),
    [sym_kSaveregisters] = ACTIONS(591),
    [sym_kSysv_abi_default] = ACTIONS(591),
    [sym_kSysv_abi_cdecl] = ACTIONS(591),
    [sym_kVectorcall] = ACTIONS(591),
    [sym_kVarargs] = ACTIONS(591),
    [sym_kWinapi] = ACTIONS(591),
    [sym_kAlias] = ACTIONS(591),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [sym_kEnd] = ACTIONS(1128),
    [sym_kVar] = ACTIONS(1128),
    [sym_kThreadvar] = ACTIONS(1128),
    [sym_kConst] = ACTIONS(1128),
    [sym_kResourcestring] = ACTIONS(1128),
    [sym_kType] = ACTIONS(1128),
    [sym_kProperty] = ACTIONS(1128),
    [sym_kDefault] = ACTIONS(1128),
    [sym_kNodefault] = ACTIONS(1128),
    [sym_kDispId] = ACTIONS(1128),
    [sym_kClass] = ACTIONS(1128),
    [sym_kGeneric] = ACTIONS(1128),
    [sym_kCase] = ACTIONS(1128),
    [sym_kFunction] = ACTIONS(1128),
    [sym_kProcedure] = ACTIONS(1128),
    [sym_kConstructor] = ACTIONS(1128),
    [sym_kDestructor] = ACTIONS(1128),
    [sym_kOperator] = ACTIONS(1128),
    [sym_kPublished] = ACTIONS(1128),
    [sym_kPublic] = ACTIONS(1128),
    [sym_kProtected] = ACTIONS(1128),
    [sym_kPrivate] = ACTIONS(1128),
    [sym_kStrict] = ACTIONS(1128),
    [sym_kRequired] = ACTIONS(1128),
    [sym_kOptional] = ACTIONS(1128),
    [sym_kStatic] = ACTIONS(1128),
    [sym_kVirtual] = ACTIONS(1128),
    [sym_kAbstract] = ACTIONS(1128),
    [sym_kDynamic] = ACTIONS(1128),
    [sym_kOverride] = ACTIONS(1128),
    [sym_kOverload] = ACTIONS(1128),
    [sym_kReintroduce] = ACTIONS(1128),
    [sym_kInline] = ACTIONS(1128),
    [sym_kStdcall] = ACTIONS(1128),
    [sym_kCdecl] = ACTIONS(1128),
    [sym_kCppdecl] = ACTIONS(1128),
    [sym_kPascal] = ACTIONS(1128),
    [sym_kRegister] = ACTIONS(1128),
    [sym_kMwpascal] = ACTIONS(1128),
    [sym_kExternal] = ACTIONS(1128),
    [sym_kMessage] = ACTIONS(1128),
    [sym_kDeprecated] = ACTIONS(1128),
    [sym_kExperimental] = ACTIONS(1128),
    [sym_kPlatform] = ACTIONS(1128),
    [sym_kUnimplemented] = ACTIONS(1128),
    [sym_kCvar] = ACTIONS(1128),
    [sym_kExport] = ACTIONS(1128),
    [sym_kFar] = ACTIONS(1128),
    [sym_kNear] = ACTIONS(1128),
    [sym_kSafecall] = ACTIONS(1128),
    [sym_kAssembler] = ACTIONS(1128),
    [sym_kNostackframe] = ACTIONS(1128),
    [sym_kInterrupt] = ACTIONS(1128),
    [sym_kNoreturn] = ACTIONS(1128),
    [sym_kIocheck] = ACTIONS(1128),
    [sym_kLocal] = ACTIONS(1128),
    [sym_kHardfloat] = ACTIONS(1128),
    [sym_kSoftfloat] = ACTIONS(1128),
    [sym_kMs_abi_default] = ACTIONS(1128),
    [sym_kMs_abi_cdecl] = ACTIONS(1128),
    [sym_kSaveregisters] = ACTIONS(1128),
    [sym_kSysv_abi_default] = ACTIONS(1128),
    [sym_kSysv_abi_cdecl] = ACTIONS(1128),
    [sym_kVectorcall] = ACTIONS(1128),
    [sym_kVarargs] = ACTIONS(1128),
    [sym_kWinapi] = ACTIONS(1128),
    [sym_kAlias] = ACTIONS(1128),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [anon_sym_LBRACK] = ACTIONS(2811),
    [sym_kUses] = ACTIONS(2811),
    [sym_kInterface] = ACTIONS(2811),
    [sym_kImplementation] = ACTIONS(2811),
    [sym_kInitialization] = ACTIONS(2811),
    [sym_kFinalization] = ACTIONS(2811),
    [sym_kEnd] = ACTIONS(2811),
    [sym_kVar] = ACTIONS(2813),
    [sym_kThreadvar] = ACTIONS(2811),
    [sym_kConst] = ACTIONS(2813),
    [sym_kResourcestring] = ACTIONS(2811),
    [sym_kType] = ACTIONS(2811),
    [sym_kLabel] = ACTIONS(2811),
    [sym_kExports] = ACTIONS(2811),
    [sym_kProperty] = ACTIONS(2811),
    [sym_kDefault] = ACTIONS(2811),
    [sym_kNodefault] = ACTIONS(2811),
    [sym_kDispId] = ACTIONS(2811),
    [sym_kClass] = ACTIONS(2811),
    [sym_kGeneric] = ACTIONS(2811),
    [sym_kFunction] = ACTIONS(2811),
    [sym_kProcedure] = ACTIONS(2811),
    [sym_kConstructor] = ACTIONS(2811),
    [sym_kDestructor] = ACTIONS(2811),
    [sym_kOperator] = ACTIONS(2811),
    [sym_kPublic] = ACTIONS(2811),
    [sym_kForward] = ACTIONS(2811),
    [sym_kStatic] = ACTIONS(2811),
    [sym_kVirtual] = ACTIONS(2811),
    [sym_kAbstract] = ACTIONS(2811),
    [sym_kDynamic] = ACTIONS(2811),
    [sym_kOverride] = ACTIONS(2811),
    [sym_kOverload] = ACTIONS(2811),
    [sym_kReintroduce] = ACTIONS(2811),
    [sym_kInline] = ACTIONS(2811),
    [sym_kStdcall] = ACTIONS(2811),
    [sym_kCdecl] = ACTIONS(2811),
    [sym_kCppdecl] = ACTIONS(2811),
    [sym_kPascal] = ACTIONS(2811),
    [sym_kRegister] = ACTIONS(2811),
    [sym_kMwpascal] = ACTIONS(2811),
    [sym_kExternal] = ACTIONS(2811),
    [sym_kMessage] = ACTIONS(2811),
    [sym_kDeprecated] = ACTIONS(2811),
    [sym_kExperimental] = ACTIONS(2811),
    [sym_kPlatform] = ACTIONS(2811),
    [sym_kUnimplemented] = ACTIONS(2811),
    [sym_kCvar] = ACTIONS(2811),
    [sym_kExport] = ACTIONS(2813),
    [sym_kFar] = ACTIONS(2811),
    [sym_kNear] = ACTIONS(2811),
    [sym_kSafecall] = ACTIONS(2811),
    [sym_kAssembler] = ACTIONS(2811),
    [sym_kNostackframe] = ACTIONS(2811),
    [sym_kInterrupt] = ACTIONS(2811),
    [sym_kNoreturn] = ACTIONS(2811),
    [sym_kIocheck] = ACTIONS(2811),
    [sym_kLocal] = ACTIONS(2811),
    [sym_kHardfloat] = ACTIONS(2811),
    [sym_kSoftfloat] = ACTIONS(2811),
    [sym_kMs_abi_default] = ACTIONS(2811),
    [sym_kMs_abi_cdecl] = ACTIONS(2811),
    [sym_kSaveregisters] = ACTIONS(2811),
    [sym_kSysv_abi_default] = ACTIONS(2811),
    [sym_kSysv_abi_cdecl] = ACTIONS(2811),
    [sym_kVectorcall] = ACTIONS(2811),
    [sym_kVarargs] = ACTIONS(2811),
    [sym_kWinapi] = ACTIONS(2811),
    [sym_kAlias] = ACTIONS(2811),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(429),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [aux_sym_type_token1] = ACTIONS(1187),
    [sym_kUses] = ACTIONS(1187),
    [sym_kBegin] = ACTIONS(1187),
    [sym_kAsm] = ACTIONS(1187),
    [sym_kVar] = ACTIONS(1189),
    [sym_kThreadvar] = ACTIONS(1187),
    [sym_kConst] = ACTIONS(1189),
    [sym_kResourcestring] = ACTIONS(1187),
    [sym_kType] = ACTIONS(1187),
    [sym_kLabel] = ACTIONS(1187),
    [sym_kExports] = ACTIONS(1187),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1187),
    [sym_kGeneric] = ACTIONS(1187),
    [sym_kFunction] = ACTIONS(1187),
    [sym_kProcedure] = ACTIONS(1187),
    [sym_kConstructor] = ACTIONS(1187),
    [sym_kDestructor] = ACTIONS(1187),
    [sym_kOperator] = ACTIONS(1187),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1187),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1187),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [sym_kEnd] = ACTIONS(1146),
    [sym_kVar] = ACTIONS(1146),
    [sym_kThreadvar] = ACTIONS(1146),
    [sym_kConst] = ACTIONS(1146),
    [sym_kResourcestring] = ACTIONS(1146),
    [sym_kType] = ACTIONS(1146),
    [sym_kProperty] = ACTIONS(1146),
    [sym_kDefault] = ACTIONS(1146),
    [sym_kNodefault] = ACTIONS(1146),
    [sym_kDispId] = ACTIONS(1146),
    [sym_kClass] = ACTIONS(1146),
    [sym_kGeneric] = ACTIONS(1146),
    [sym_kCase] = ACTIONS(1146),
    [sym_kFunction] = ACTIONS(1146),
    [sym_kProcedure] = ACTIONS(1146),
    [sym_kConstructor] = ACTIONS(1146),
    [sym_kDestructor] = ACTIONS(1146),
    [sym_kOperator] = ACTIONS(1146),
    [sym_kPublished] = ACTIONS(1146),
    [sym_kPublic] = ACTIONS(1146),
    [sym_kProtected] = ACTIONS(1146),
    [sym_kPrivate] = ACTIONS(1146),
    [sym_kStrict] = ACTIONS(1146),
    [sym_kRequired] = ACTIONS(1146),
    [sym_kOptional] = ACTIONS(1146),
    [sym_kStatic] = ACTIONS(1146),
    [sym_kVirtual] = ACTIONS(1146),
    [sym_kAbstract] = ACTIONS(1146),
    [sym_kDynamic] = ACTIONS(1146),
    [sym_kOverride] = ACTIONS(1146),
    [sym_kOverload] = ACTIONS(1146),
    [sym_kReintroduce] = ACTIONS(1146),
    [sym_kInline] = ACTIONS(1146),
    [sym_kStdcall] = ACTIONS(1146),
    [sym_kCdecl] = ACTIONS(1146),
    [sym_kCppdecl] = ACTIONS(1146),
    [sym_kPascal] = ACTIONS(1146),
    [sym_kRegister] = ACTIONS(1146),
    [sym_kMwpascal] = ACTIONS(1146),
    [sym_kExternal] = ACTIONS(1146),
    [sym_kMessage] = ACTIONS(1146),
    [sym_kDeprecated] = ACTIONS(1146),
    [sym_kExperimental] = ACTIONS(1146),
    [sym_kPlatform] = ACTIONS(1146),
    [sym_kUnimplemented] = ACTIONS(1146),
    [sym_kCvar] = ACTIONS(1146),
    [sym_kExport] = ACTIONS(1146),
    [sym_kFar] = ACTIONS(1146),
    [sym_kNear] = ACTIONS(1146),
    [sym_kSafecall] = ACTIONS(1146),
    [sym_kAssembler] = ACTIONS(1146),
    [sym_kNostackframe] = ACTIONS(1146),
    [sym_kInterrupt] = ACTIONS(1146),
    [sym_kNoreturn] = ACTIONS(1146),
    [sym_kIocheck] = ACTIONS(1146),
    [sym_kLocal] = ACTIONS(1146),
    [sym_kHardfloat] = ACTIONS(1146),
    [sym_kSoftfloat] = ACTIONS(1146),
    [sym_kMs_abi_default] = ACTIONS(1146),
    [sym_kMs_abi_cdecl] = ACTIONS(1146),
    [sym_kSaveregisters] = ACTIONS(1146),
    [sym_kSysv_abi_default] = ACTIONS(1146),
    [sym_kSysv_abi_cdecl] = ACTIONS(1146),
    [sym_kVectorcall] = ACTIONS(1146),
    [sym_kVarargs] = ACTIONS(1146),
    [sym_kWinapi] = ACTIONS(1146),
    [sym_kAlias] = ACTIONS(1146),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [sym_kEnd] = ACTIONS(1146),
    [sym_kVar] = ACTIONS(1146),
    [sym_kThreadvar] = ACTIONS(1146),
    [sym_kConst] = ACTIONS(1146),
    [sym_kResourcestring] = ACTIONS(1146),
    [sym_kType] = ACTIONS(1146),
    [sym_kProperty] = ACTIONS(1146),
    [sym_kDefault] = ACTIONS(1146),
    [sym_kNodefault] = ACTIONS(1146),
    [sym_kDispId] = ACTIONS(1146),
    [sym_kClass] = ACTIONS(1146),
    [sym_kGeneric] = ACTIONS(1146),
    [sym_kCase] = ACTIONS(1146),
    [sym_kFunction] = ACTIONS(1146),
    [sym_kProcedure] = ACTIONS(1146),
    [sym_kConstructor] = ACTIONS(1146),
    [sym_kDestructor] = ACTIONS(1146),
    [sym_kOperator] = ACTIONS(1146),
    [sym_kPublished] = ACTIONS(1146),
    [sym_kPublic] = ACTIONS(1146),
    [sym_kProtected] = ACTIONS(1146),
    [sym_kPrivate] = ACTIONS(1146),
    [sym_kStrict] = ACTIONS(1146),
    [sym_kRequired] = ACTIONS(1146),
    [sym_kOptional] = ACTIONS(1146),
    [sym_kStatic] = ACTIONS(1146),
    [sym_kVirtual] = ACTIONS(1146),
    [sym_kAbstract] = ACTIONS(1146),
    [sym_kDynamic] = ACTIONS(1146),
    [sym_kOverride] = ACTIONS(1146),
    [sym_kOverload] = ACTIONS(1146),
    [sym_kReintroduce] = ACTIONS(1146),
    [sym_kInline] = ACTIONS(1146),
    [sym_kStdcall] = ACTIONS(1146),
    [sym_kCdecl] = ACTIONS(1146),
    [sym_kCppdecl] = ACTIONS(1146),
    [sym_kPascal] = ACTIONS(1146),
    [sym_kRegister] = ACTIONS(1146),
    [sym_kMwpascal] = ACTIONS(1146),
    [sym_kExternal] = ACTIONS(1146),
    [sym_kMessage] = ACTIONS(1146),
    [sym_kDeprecated] = ACTIONS(1146),
    [sym_kExperimental] = ACTIONS(1146),
    [sym_kPlatform] = ACTIONS(1146),
    [sym_kUnimplemented] = ACTIONS(1146),
    [sym_kCvar] = ACTIONS(1146),
    [sym_kExport] = ACTIONS(1146),
    [sym_kFar] = ACTIONS(1146),
    [sym_kNear] = ACTIONS(1146),
    [sym_kSafecall] = ACTIONS(1146),
    [sym_kAssembler] = ACTIONS(1146),
    [sym_kNostackframe] = ACTIONS(1146),
    [sym_kInterrupt] = ACTIONS(1146),
    [sym_kNoreturn] = ACTIONS(1146),
    [sym_kIocheck] = ACTIONS(1146),
    [sym_kLocal] = ACTIONS(1146),
    [sym_kHardfloat] = ACTIONS(1146),
    [sym_kSoftfloat] = ACTIONS(1146),
    [sym_kMs_abi_default] = ACTIONS(1146),
    [sym_kMs_abi_cdecl] = ACTIONS(1146),
    [sym_kSaveregisters] = ACTIONS(1146),
    [sym_kSysv_abi_default] = ACTIONS(1146),
    [sym_kSysv_abi_cdecl] = ACTIONS(1146),
    [sym_kVectorcall] = ACTIONS(1146),
    [sym_kVarargs] = ACTIONS(1146),
    [sym_kWinapi] = ACTIONS(1146),
    [sym_kAlias] = ACTIONS(1146),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_identifier] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(794),
    [sym_kEnd] = ACTIONS(796),
    [sym_kVar] = ACTIONS(796),
    [sym_kThreadvar] = ACTIONS(796),
    [sym_kConst] = ACTIONS(796),
    [sym_kResourcestring] = ACTIONS(796),
    [sym_kType] = ACTIONS(796),
    [sym_kProperty] = ACTIONS(796),
    [sym_kDefault] = ACTIONS(796),
    [sym_kNodefault] = ACTIONS(796),
    [sym_kDispId] = ACTIONS(796),
    [sym_kClass] = ACTIONS(796),
    [sym_kGeneric] = ACTIONS(796),
    [sym_kCase] = ACTIONS(796),
    [sym_kFunction] = ACTIONS(796),
    [sym_kProcedure] = ACTIONS(796),
    [sym_kConstructor] = ACTIONS(796),
    [sym_kDestructor] = ACTIONS(796),
    [sym_kOperator] = ACTIONS(796),
    [sym_kPublished] = ACTIONS(796),
    [sym_kPublic] = ACTIONS(796),
    [sym_kProtected] = ACTIONS(796),
    [sym_kPrivate] = ACTIONS(796),
    [sym_kStrict] = ACTIONS(796),
    [sym_kRequired] = ACTIONS(796),
    [sym_kOptional] = ACTIONS(796),
    [sym_kStatic] = ACTIONS(796),
    [sym_kVirtual] = ACTIONS(796),
    [sym_kAbstract] = ACTIONS(796),
    [sym_kDynamic] = ACTIONS(796),
    [sym_kOverride] = ACTIONS(796),
    [sym_kOverload] = ACTIONS(796),
    [sym_kReintroduce] = ACTIONS(796),
    [sym_kInline] = ACTIONS(796),
    [sym_kStdcall] = ACTIONS(796),
    [sym_kCdecl] = ACTIONS(796),
    [sym_kCppdecl] = ACTIONS(796),
    [sym_kPascal] = ACTIONS(796),
    [sym_kRegister] = ACTIONS(796),
    [sym_kMwpascal] = ACTIONS(796),
    [sym_kExternal] = ACTIONS(796),
    [sym_kMessage] = ACTIONS(796),
    [sym_kDeprecated] = ACTIONS(796),
    [sym_kExperimental] = ACTIONS(796),
    [sym_kPlatform] = ACTIONS(796),
    [sym_kUnimplemented] = ACTIONS(796),
    [sym_kCvar] = ACTIONS(796),
    [sym_kExport] = ACTIONS(796),
    [sym_kFar] = ACTIONS(796),
    [sym_kNear] = ACTIONS(796),
    [sym_kSafecall] = ACTIONS(796),
    [sym_kAssembler] = ACTIONS(796),
    [sym_kNostackframe] = ACTIONS(796),
    [sym_kInterrupt] = ACTIONS(796),
    [sym_kNoreturn] = ACTIONS(796),
    [sym_kIocheck] = ACTIONS(796),
    [sym_kLocal] = ACTIONS(796),
    [sym_kHardfloat] = ACTIONS(796),
    [sym_kSoftfloat] = ACTIONS(796),
    [sym_kMs_abi_default] = ACTIONS(796),
    [sym_kMs_abi_cdecl] = ACTIONS(796),
    [sym_kSaveregisters] = ACTIONS(796),
    [sym_kSysv_abi_default] = ACTIONS(796),
    [sym_kSysv_abi_cdecl] = ACTIONS(796),
    [sym_kVectorcall] = ACTIONS(796),
    [sym_kVarargs] = ACTIONS(796),
    [sym_kWinapi] = ACTIONS(796),
    [sym_kAlias] = ACTIONS(796),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [anon_sym_LBRACK] = ACTIONS(2818),
    [sym_kUses] = ACTIONS(2818),
    [sym_kInterface] = ACTIONS(2818),
    [sym_kImplementation] = ACTIONS(2818),
    [sym_kInitialization] = ACTIONS(2818),
    [sym_kFinalization] = ACTIONS(2818),
    [sym_kEnd] = ACTIONS(2818),
    [sym_kVar] = ACTIONS(2820),
    [sym_kThreadvar] = ACTIONS(2818),
    [sym_kConst] = ACTIONS(2820),
    [sym_kResourcestring] = ACTIONS(2818),
    [sym_kType] = ACTIONS(2818),
    [sym_kLabel] = ACTIONS(2818),
    [sym_kExports] = ACTIONS(2818),
    [sym_kProperty] = ACTIONS(2818),
    [sym_kDefault] = ACTIONS(2818),
    [sym_kNodefault] = ACTIONS(2818),
    [sym_kDispId] = ACTIONS(2818),
    [sym_kClass] = ACTIONS(2818),
    [sym_kGeneric] = ACTIONS(2818),
    [sym_kFunction] = ACTIONS(2818),
    [sym_kProcedure] = ACTIONS(2818),
    [sym_kConstructor] = ACTIONS(2818),
    [sym_kDestructor] = ACTIONS(2818),
    [sym_kOperator] = ACTIONS(2818),
    [sym_kPublic] = ACTIONS(2818),
    [sym_kForward] = ACTIONS(2818),
    [sym_kStatic] = ACTIONS(2818),
    [sym_kVirtual] = ACTIONS(2818),
    [sym_kAbstract] = ACTIONS(2818),
    [sym_kDynamic] = ACTIONS(2818),
    [sym_kOverride] = ACTIONS(2818),
    [sym_kOverload] = ACTIONS(2818),
    [sym_kReintroduce] = ACTIONS(2818),
    [sym_kInline] = ACTIONS(2818),
    [sym_kStdcall] = ACTIONS(2818),
    [sym_kCdecl] = ACTIONS(2818),
    [sym_kCppdecl] = ACTIONS(2818),
    [sym_kPascal] = ACTIONS(2818),
    [sym_kRegister] = ACTIONS(2818),
    [sym_kMwpascal] = ACTIONS(2818),
    [sym_kExternal] = ACTIONS(2818),
    [sym_kMessage] = ACTIONS(2818),
    [sym_kDeprecated] = ACTIONS(2818),
    [sym_kExperimental] = ACTIONS(2818),
    [sym_kPlatform] = ACTIONS(2818),
    [sym_kUnimplemented] = ACTIONS(2818),
    [sym_kCvar] = ACTIONS(2818),
    [sym_kExport] = ACTIONS(2820),
    [sym_kFar] = ACTIONS(2818),
    [sym_kNear] = ACTIONS(2818),
    [sym_kSafecall] = ACTIONS(2818),
    [sym_kAssembler] = ACTIONS(2818),
    [sym_kNostackframe] = ACTIONS(2818),
    [sym_kInterrupt] = ACTIONS(2818),
    [sym_kNoreturn] = ACTIONS(2818),
    [sym_kIocheck] = ACTIONS(2818),
    [sym_kLocal] = ACTIONS(2818),
    [sym_kHardfloat] = ACTIONS(2818),
    [sym_kSoftfloat] = ACTIONS(2818),
    [sym_kMs_abi_default] = ACTIONS(2818),
    [sym_kMs_abi_cdecl] = ACTIONS(2818),
    [sym_kSaveregisters] = ACTIONS(2818),
    [sym_kSysv_abi_default] = ACTIONS(2818),
    [sym_kSysv_abi_cdecl] = ACTIONS(2818),
    [sym_kVectorcall] = ACTIONS(2818),
    [sym_kVarargs] = ACTIONS(2818),
    [sym_kWinapi] = ACTIONS(2818),
    [sym_kAlias] = ACTIONS(2818),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(461),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [aux_sym_type_token1] = ACTIONS(1458),
    [sym_kUses] = ACTIONS(1458),
    [sym_kBegin] = ACTIONS(1458),
    [sym_kAsm] = ACTIONS(1458),
    [sym_kVar] = ACTIONS(1460),
    [sym_kThreadvar] = ACTIONS(1458),
    [sym_kConst] = ACTIONS(1460),
    [sym_kResourcestring] = ACTIONS(1458),
    [sym_kType] = ACTIONS(1458),
    [sym_kLabel] = ACTIONS(1458),
    [sym_kExports] = ACTIONS(1458),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1458),
    [sym_kGeneric] = ACTIONS(1458),
    [sym_kFunction] = ACTIONS(1458),
    [sym_kProcedure] = ACTIONS(1458),
    [sym_kConstructor] = ACTIONS(1458),
    [sym_kDestructor] = ACTIONS(1458),
    [sym_kOperator] = ACTIONS(1458),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1458),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1458),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [aux_sym_type_token1] = ACTIONS(1165),
    [sym_kUses] = ACTIONS(1165),
    [sym_kBegin] = ACTIONS(1165),
    [sym_kAsm] = ACTIONS(1165),
    [sym_kVar] = ACTIONS(1167),
    [sym_kThreadvar] = ACTIONS(1165),
    [sym_kConst] = ACTIONS(1167),
    [sym_kResourcestring] = ACTIONS(1165),
    [sym_kType] = ACTIONS(1165),
    [sym_kLabel] = ACTIONS(1165),
    [sym_kExports] = ACTIONS(1165),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1165),
    [sym_kGeneric] = ACTIONS(1165),
    [sym_kFunction] = ACTIONS(1165),
    [sym_kProcedure] = ACTIONS(1165),
    [sym_kConstructor] = ACTIONS(1165),
    [sym_kDestructor] = ACTIONS(1165),
    [sym_kOperator] = ACTIONS(1165),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1165),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1165),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [aux_sym_type_token1] = ACTIONS(1387),
    [sym_kUses] = ACTIONS(1387),
    [sym_kBegin] = ACTIONS(1387),
    [sym_kAsm] = ACTIONS(1387),
    [sym_kVar] = ACTIONS(1389),
    [sym_kThreadvar] = ACTIONS(1387),
    [sym_kConst] = ACTIONS(1389),
    [sym_kResourcestring] = ACTIONS(1387),
    [sym_kType] = ACTIONS(1387),
    [sym_kLabel] = ACTIONS(1387),
    [sym_kExports] = ACTIONS(1387),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1387),
    [sym_kGeneric] = ACTIONS(1387),
    [sym_kFunction] = ACTIONS(1387),
    [sym_kProcedure] = ACTIONS(1387),
    [sym_kConstructor] = ACTIONS(1387),
    [sym_kDestructor] = ACTIONS(1387),
    [sym_kOperator] = ACTIONS(1387),
    [sym_kPublic] = ACTIONS(972),
    [sym_kForward] = ACTIONS(1387),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kExternal] = ACTIONS(1387),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_COLON] = ACTIONS(2831),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2831),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [aux_sym__literalString_token1] = ACTIONS(2833),
    [anon_sym_POUND] = ACTIONS(2833),
    [anon_sym_DOT] = ACTIONS(2833),
    [sym_kEnd] = ACTIONS(2831),
    [sym_kVar] = ACTIONS(2831),
    [sym_kThreadvar] = ACTIONS(2831),
    [sym_kConst] = ACTIONS(2831),
    [sym_kResourcestring] = ACTIONS(2831),
    [sym_kType] = ACTIONS(2831),
    [sym_kAbsolute] = ACTIONS(2831),
    [sym_kProperty] = ACTIONS(2831),
    [sym_kClass] = ACTIONS(2831),
    [sym_kOf] = ACTIONS(2831),
    [sym_kGeneric] = ACTIONS(2831),
    [sym_kLt] = ACTIONS(2831),
    [sym_kEq] = ACTIONS(2833),
    [sym_kNeq] = ACTIONS(2833),
    [sym_kGt] = ACTIONS(2831),
    [sym_kLte] = ACTIONS(2833),
    [sym_kGte] = ACTIONS(2833),
    [sym_kAdd] = ACTIONS(2831),
    [sym_kSub] = ACTIONS(2831),
    [sym_kMul] = ACTIONS(2831),
    [sym_kFdiv] = ACTIONS(2831),
    [sym_kHat] = ACTIONS(2833),
    [sym_kAssign] = ACTIONS(2833),
    [sym_kAssignAdd] = ACTIONS(2833),
    [sym_kAssignSub] = ACTIONS(2833),
    [sym_kAssignMul] = ACTIONS(2833),
    [sym_kAssignDiv] = ACTIONS(2833),
    [sym_kOr] = ACTIONS(2831),
    [sym_kXor] = ACTIONS(2831),
    [sym_kDiv] = ACTIONS(2831),
    [sym_kMod] = ACTIONS(2831),
    [sym_kAnd] = ACTIONS(2831),
    [sym_kShl] = ACTIONS(2831),
    [sym_kShr] = ACTIONS(2831),
    [sym_kIs] = ACTIONS(2831),
    [sym_kAs] = ACTIONS(2831),
    [sym_kIn] = ACTIONS(2831),
    [sym_kThen] = ACTIONS(2831),
    [sym_kElse] = ACTIONS(2831),
    [sym_kDo] = ACTIONS(2831),
    [sym_kUntil] = ACTIONS(2831),
    [sym_kExcept] = ACTIONS(2831),
    [sym_kFinally] = ACTIONS(2831),
    [sym_kCase] = ACTIONS(2831),
    [sym_kFunction] = ACTIONS(2831),
    [sym_kProcedure] = ACTIONS(2831),
    [sym_kConstructor] = ACTIONS(2831),
    [sym_kDestructor] = ACTIONS(2831),
    [sym_kOperator] = ACTIONS(2831),
    [sym_kPublished] = ACTIONS(2831),
    [sym_kPublic] = ACTIONS(2831),
    [sym_kProtected] = ACTIONS(2831),
    [sym_kPrivate] = ACTIONS(2831),
    [sym_kStrict] = ACTIONS(2831),
    [sym_kRequired] = ACTIONS(2831),
    [sym_kOptional] = ACTIONS(2831),
    [sym_kDelayed] = ACTIONS(2831),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym_kEnd] = ACTIONS(1608),
    [sym_kVar] = ACTIONS(1608),
    [sym_kThreadvar] = ACTIONS(1608),
    [sym_kConst] = ACTIONS(1608),
    [sym_kResourcestring] = ACTIONS(1608),
    [sym_kType] = ACTIONS(1608),
    [sym_kProperty] = ACTIONS(1608),
    [sym_kDefault] = ACTIONS(1608),
    [sym_kNodefault] = ACTIONS(1608),
    [sym_kDispId] = ACTIONS(1608),
    [sym_kClass] = ACTIONS(1608),
    [sym_kGeneric] = ACTIONS(1608),
    [sym_kCase] = ACTIONS(1608),
    [sym_kFunction] = ACTIONS(1608),
    [sym_kProcedure] = ACTIONS(1608),
    [sym_kConstructor] = ACTIONS(1608),
    [sym_kDestructor] = ACTIONS(1608),
    [sym_kOperator] = ACTIONS(1608),
    [sym_kPublished] = ACTIONS(1608),
    [sym_kPublic] = ACTIONS(1608),
    [sym_kProtected] = ACTIONS(1608),
    [sym_kPrivate] = ACTIONS(1608),
    [sym_kStrict] = ACTIONS(1608),
    [sym_kRequired] = ACTIONS(1608),
    [sym_kOptional] = ACTIONS(1608),
    [sym_kStatic] = ACTIONS(1608),
    [sym_kVirtual] = ACTIONS(1608),
    [sym_kAbstract] = ACTIONS(1608),
    [sym_kDynamic] = ACTIONS(1608),
    [sym_kOverride] = ACTIONS(1608),
    [sym_kOverload] = ACTIONS(1608),
    [sym_kReintroduce] = ACTIONS(1608),
    [sym_kInline] = ACTIONS(1608),
    [sym_kStdcall] = ACTIONS(1608),
    [sym_kCdecl] = ACTIONS(1608),
    [sym_kCppdecl] = ACTIONS(1608),
    [sym_kPascal] = ACTIONS(1608),
    [sym_kRegister] = ACTIONS(1608),
    [sym_kMwpascal] = ACTIONS(1608),
    [sym_kMessage] = ACTIONS(1608),
    [sym_kDeprecated] = ACTIONS(1608),
    [sym_kExperimental] = ACTIONS(1608),
    [sym_kPlatform] = ACTIONS(1608),
    [sym_kUnimplemented] = ACTIONS(1608),
    [sym_kCvar] = ACTIONS(1608),
    [sym_kExport] = ACTIONS(1608),
    [sym_kFar] = ACTIONS(1608),
    [sym_kNear] = ACTIONS(1608),
    [sym_kSafecall] = ACTIONS(1608),
    [sym_kAssembler] = ACTIONS(1608),
    [sym_kNostackframe] = ACTIONS(1608),
    [sym_kInterrupt] = ACTIONS(1608),
    [sym_kNoreturn] = ACTIONS(1608),
    [sym_kIocheck] = ACTIONS(1608),
    [sym_kLocal] = ACTIONS(1608),
    [sym_kHardfloat] = ACTIONS(1608),
    [sym_kSoftfloat] = ACTIONS(1608),
    [sym_kMs_abi_default] = ACTIONS(1608),
    [sym_kMs_abi_cdecl] = ACTIONS(1608),
    [sym_kSaveregisters] = ACTIONS(1608),
    [sym_kSysv_abi_default] = ACTIONS(1608),
    [sym_kSysv_abi_cdecl] = ACTIONS(1608),
    [sym_kVectorcall] = ACTIONS(1608),
    [sym_kVarargs] = ACTIONS(1608),
    [sym_kWinapi] = ACTIONS(1608),
    [sym_kAlias] = ACTIONS(1608),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(514),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_type_token1] = ACTIONS(1705),
    [sym_kUses] = ACTIONS(1705),
    [sym_kBegin] = ACTIONS(1705),
    [sym_kAsm] = ACTIONS(1705),
    [sym_kVar] = ACTIONS(1707),
    [sym_kThreadvar] = ACTIONS(1705),
    [sym_kConst] = ACTIONS(1707),
    [sym_kResourcestring] = ACTIONS(1705),
    [sym_kType] = ACTIONS(1705),
    [sym_kLabel] = ACTIONS(1705),
    [sym_kExports] = ACTIONS(1705),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1705),
    [sym_kGeneric] = ACTIONS(1705),
    [sym_kFunction] = ACTIONS(1705),
    [sym_kProcedure] = ACTIONS(1705),
    [sym_kConstructor] = ACTIONS(1705),
    [sym_kDestructor] = ACTIONS(1705),
    [sym_kOperator] = ACTIONS(1705),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(502),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [aux_sym_type_token1] = ACTIONS(1715),
    [sym_kUses] = ACTIONS(1715),
    [sym_kBegin] = ACTIONS(1715),
    [sym_kAsm] = ACTIONS(1715),
    [sym_kVar] = ACTIONS(1717),
    [sym_kThreadvar] = ACTIONS(1715),
    [sym_kConst] = ACTIONS(1717),
    [sym_kResourcestring] = ACTIONS(1715),
    [sym_kType] = ACTIONS(1715),
    [sym_kLabel] = ACTIONS(1715),
    [sym_kExports] = ACTIONS(1715),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1715),
    [sym_kGeneric] = ACTIONS(1715),
    [sym_kFunction] = ACTIONS(1715),
    [sym_kProcedure] = ACTIONS(1715),
    [sym_kConstructor] = ACTIONS(1715),
    [sym_kDestructor] = ACTIONS(1715),
    [sym_kOperator] = ACTIONS(1715),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [aux_sym_type_token1] = ACTIONS(2118),
    [sym_kUses] = ACTIONS(2118),
    [sym_kBegin] = ACTIONS(2118),
    [sym_kAsm] = ACTIONS(2118),
    [sym_kVar] = ACTIONS(2120),
    [sym_kThreadvar] = ACTIONS(2118),
    [sym_kConst] = ACTIONS(2120),
    [sym_kResourcestring] = ACTIONS(2118),
    [sym_kType] = ACTIONS(2118),
    [sym_kLabel] = ACTIONS(2118),
    [sym_kExports] = ACTIONS(2118),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2118),
    [sym_kGeneric] = ACTIONS(2118),
    [sym_kFunction] = ACTIONS(2118),
    [sym_kProcedure] = ACTIONS(2118),
    [sym_kConstructor] = ACTIONS(2118),
    [sym_kDestructor] = ACTIONS(2118),
    [sym_kOperator] = ACTIONS(2118),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [aux_sym_type_token1] = ACTIONS(1662),
    [sym_kUses] = ACTIONS(1662),
    [sym_kBegin] = ACTIONS(1662),
    [sym_kAsm] = ACTIONS(1662),
    [sym_kVar] = ACTIONS(1664),
    [sym_kThreadvar] = ACTIONS(1662),
    [sym_kConst] = ACTIONS(1664),
    [sym_kResourcestring] = ACTIONS(1662),
    [sym_kType] = ACTIONS(1662),
    [sym_kLabel] = ACTIONS(1662),
    [sym_kExports] = ACTIONS(1662),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1662),
    [sym_kGeneric] = ACTIONS(1662),
    [sym_kFunction] = ACTIONS(1662),
    [sym_kProcedure] = ACTIONS(1662),
    [sym_kConstructor] = ACTIONS(1662),
    [sym_kDestructor] = ACTIONS(1662),
    [sym_kOperator] = ACTIONS(1662),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [aux_sym_type_token1] = ACTIONS(2341),
    [sym_kUses] = ACTIONS(2341),
    [sym_kBegin] = ACTIONS(2341),
    [sym_kAsm] = ACTIONS(2341),
    [sym_kVar] = ACTIONS(2343),
    [sym_kThreadvar] = ACTIONS(2341),
    [sym_kConst] = ACTIONS(2343),
    [sym_kResourcestring] = ACTIONS(2341),
    [sym_kType] = ACTIONS(2341),
    [sym_kLabel] = ACTIONS(2341),
    [sym_kExports] = ACTIONS(2341),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2341),
    [sym_kGeneric] = ACTIONS(2341),
    [sym_kFunction] = ACTIONS(2341),
    [sym_kProcedure] = ACTIONS(2341),
    [sym_kConstructor] = ACTIONS(2341),
    [sym_kDestructor] = ACTIONS(2341),
    [sym_kOperator] = ACTIONS(2341),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [aux_sym_type_token1] = ACTIONS(2423),
    [sym_kUses] = ACTIONS(2423),
    [sym_kBegin] = ACTIONS(2423),
    [sym_kAsm] = ACTIONS(2423),
    [sym_kVar] = ACTIONS(2425),
    [sym_kThreadvar] = ACTIONS(2423),
    [sym_kConst] = ACTIONS(2425),
    [sym_kResourcestring] = ACTIONS(2423),
    [sym_kType] = ACTIONS(2423),
    [sym_kLabel] = ACTIONS(2423),
    [sym_kExports] = ACTIONS(2423),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2423),
    [sym_kGeneric] = ACTIONS(2423),
    [sym_kFunction] = ACTIONS(2423),
    [sym_kProcedure] = ACTIONS(2423),
    [sym_kConstructor] = ACTIONS(2423),
    [sym_kDestructor] = ACTIONS(2423),
    [sym_kOperator] = ACTIONS(2423),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [anon_sym_LBRACK] = ACTIONS(2692),
    [sym_kEnd] = ACTIONS(2692),
    [sym_kVar] = ACTIONS(2694),
    [sym_kThreadvar] = ACTIONS(2692),
    [sym_kConst] = ACTIONS(2694),
    [sym_kResourcestring] = ACTIONS(2692),
    [sym_kType] = ACTIONS(2692),
    [sym_kProperty] = ACTIONS(2692),
    [sym_kDefault] = ACTIONS(2692),
    [sym_kNodefault] = ACTIONS(2692),
    [sym_kDispId] = ACTIONS(2692),
    [sym_kClass] = ACTIONS(2692),
    [sym_kGeneric] = ACTIONS(2692),
    [sym_kCase] = ACTIONS(2692),
    [sym_kFunction] = ACTIONS(2692),
    [sym_kProcedure] = ACTIONS(2692),
    [sym_kConstructor] = ACTIONS(2692),
    [sym_kDestructor] = ACTIONS(2692),
    [sym_kOperator] = ACTIONS(2692),
    [sym_kPublished] = ACTIONS(2692),
    [sym_kPublic] = ACTIONS(2692),
    [sym_kProtected] = ACTIONS(2692),
    [sym_kPrivate] = ACTIONS(2692),
    [sym_kStrict] = ACTIONS(2692),
    [sym_kRequired] = ACTIONS(2692),
    [sym_kOptional] = ACTIONS(2692),
    [sym_kStatic] = ACTIONS(2692),
    [sym_kVirtual] = ACTIONS(2692),
    [sym_kAbstract] = ACTIONS(2692),
    [sym_kDynamic] = ACTIONS(2692),
    [sym_kOverride] = ACTIONS(2692),
    [sym_kOverload] = ACTIONS(2692),
    [sym_kReintroduce] = ACTIONS(2692),
    [sym_kInline] = ACTIONS(2692),
    [sym_kStdcall] = ACTIONS(2692),
    [sym_kCdecl] = ACTIONS(2692),
    [sym_kCppdecl] = ACTIONS(2692),
    [sym_kPascal] = ACTIONS(2692),
    [sym_kRegister] = ACTIONS(2692),
    [sym_kMwpascal] = ACTIONS(2692),
    [sym_kMessage] = ACTIONS(2692),
    [sym_kDeprecated] = ACTIONS(2692),
    [sym_kExperimental] = ACTIONS(2692),
    [sym_kPlatform] = ACTIONS(2692),
    [sym_kUnimplemented] = ACTIONS(2692),
    [sym_kCvar] = ACTIONS(2692),
    [sym_kExport] = ACTIONS(2692),
    [sym_kFar] = ACTIONS(2692),
    [sym_kNear] = ACTIONS(2692),
    [sym_kSafecall] = ACTIONS(2692),
    [sym_kAssembler] = ACTIONS(2692),
    [sym_kNostackframe] = ACTIONS(2692),
    [sym_kInterrupt] = ACTIONS(2692),
    [sym_kNoreturn] = ACTIONS(2692),
    [sym_kIocheck] = ACTIONS(2692),
    [sym_kLocal] = ACTIONS(2692),
    [sym_kHardfloat] = ACTIONS(2692),
    [sym_kSoftfloat] = ACTIONS(2692),
    [sym_kMs_abi_default] = ACTIONS(2692),
    [sym_kMs_abi_cdecl] = ACTIONS(2692),
    [sym_kSaveregisters] = ACTIONS(2692),
    [sym_kSysv_abi_default] = ACTIONS(2692),
    [sym_kSysv_abi_cdecl] = ACTIONS(2692),
    [sym_kVectorcall] = ACTIONS(2692),
    [sym_kVarargs] = ACTIONS(2692),
    [sym_kWinapi] = ACTIONS(2692),
    [sym_kAlias] = ACTIONS(2692),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [anon_sym_LBRACK] = ACTIONS(2818),
    [sym_kEnd] = ACTIONS(2818),
    [sym_kVar] = ACTIONS(2820),
    [sym_kThreadvar] = ACTIONS(2818),
    [sym_kConst] = ACTIONS(2820),
    [sym_kResourcestring] = ACTIONS(2818),
    [sym_kType] = ACTIONS(2818),
    [sym_kProperty] = ACTIONS(2818),
    [sym_kDefault] = ACTIONS(2818),
    [sym_kNodefault] = ACTIONS(2818),
    [sym_kDispId] = ACTIONS(2818),
    [sym_kClass] = ACTIONS(2818),
    [sym_kGeneric] = ACTIONS(2818),
    [sym_kCase] = ACTIONS(2818),
    [sym_kFunction] = ACTIONS(2818),
    [sym_kProcedure] = ACTIONS(2818),
    [sym_kConstructor] = ACTIONS(2818),
    [sym_kDestructor] = ACTIONS(2818),
    [sym_kOperator] = ACTIONS(2818),
    [sym_kPublished] = ACTIONS(2818),
    [sym_kPublic] = ACTIONS(2818),
    [sym_kProtected] = ACTIONS(2818),
    [sym_kPrivate] = ACTIONS(2818),
    [sym_kStrict] = ACTIONS(2818),
    [sym_kRequired] = ACTIONS(2818),
    [sym_kOptional] = ACTIONS(2818),
    [sym_kStatic] = ACTIONS(2818),
    [sym_kVirtual] = ACTIONS(2818),
    [sym_kAbstract] = ACTIONS(2818),
    [sym_kDynamic] = ACTIONS(2818),
    [sym_kOverride] = ACTIONS(2818),
    [sym_kOverload] = ACTIONS(2818),
    [sym_kReintroduce] = ACTIONS(2818),
    [sym_kInline] = ACTIONS(2818),
    [sym_kStdcall] = ACTIONS(2818),
    [sym_kCdecl] = ACTIONS(2818),
    [sym_kCppdecl] = ACTIONS(2818),
    [sym_kPascal] = ACTIONS(2818),
    [sym_kRegister] = ACTIONS(2818),
    [sym_kMwpascal] = ACTIONS(2818),
    [sym_kMessage] = ACTIONS(2818),
    [sym_kDeprecated] = ACTIONS(2818),
    [sym_kExperimental] = ACTIONS(2818),
    [sym_kPlatform] = ACTIONS(2818),
    [sym_kUnimplemented] = ACTIONS(2818),
    [sym_kCvar] = ACTIONS(2818),
    [sym_kExport] = ACTIONS(2818),
    [sym_kFar] = ACTIONS(2818),
    [sym_kNear] = ACTIONS(2818),
    [sym_kSafecall] = ACTIONS(2818),
    [sym_kAssembler] = ACTIONS(2818),
    [sym_kNostackframe] = ACTIONS(2818),
    [sym_kInterrupt] = ACTIONS(2818),
    [sym_kNoreturn] = ACTIONS(2818),
    [sym_kIocheck] = ACTIONS(2818),
    [sym_kLocal] = ACTIONS(2818),
    [sym_kHardfloat] = ACTIONS(2818),
    [sym_kSoftfloat] = ACTIONS(2818),
    [sym_kMs_abi_default] = ACTIONS(2818),
    [sym_kMs_abi_cdecl] = ACTIONS(2818),
    [sym_kSaveregisters] = ACTIONS(2818),
    [sym_kSysv_abi_default] = ACTIONS(2818),
    [sym_kSysv_abi_cdecl] = ACTIONS(2818),
    [sym_kVectorcall] = ACTIONS(2818),
    [sym_kVarargs] = ACTIONS(2818),
    [sym_kWinapi] = ACTIONS(2818),
    [sym_kAlias] = ACTIONS(2818),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(497),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [aux_sym_type_token1] = ACTIONS(2416),
    [sym_kUses] = ACTIONS(2416),
    [sym_kBegin] = ACTIONS(2416),
    [sym_kAsm] = ACTIONS(2416),
    [sym_kVar] = ACTIONS(2418),
    [sym_kThreadvar] = ACTIONS(2416),
    [sym_kConst] = ACTIONS(2418),
    [sym_kResourcestring] = ACTIONS(2416),
    [sym_kType] = ACTIONS(2416),
    [sym_kLabel] = ACTIONS(2416),
    [sym_kExports] = ACTIONS(2416),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2416),
    [sym_kGeneric] = ACTIONS(2416),
    [sym_kFunction] = ACTIONS(2416),
    [sym_kProcedure] = ACTIONS(2416),
    [sym_kConstructor] = ACTIONS(2416),
    [sym_kDestructor] = ACTIONS(2416),
    [sym_kOperator] = ACTIONS(2416),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(501),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [aux_sym_type_token1] = ACTIONS(1725),
    [sym_kUses] = ACTIONS(1725),
    [sym_kBegin] = ACTIONS(1725),
    [sym_kAsm] = ACTIONS(1725),
    [sym_kVar] = ACTIONS(1727),
    [sym_kThreadvar] = ACTIONS(1725),
    [sym_kConst] = ACTIONS(1727),
    [sym_kResourcestring] = ACTIONS(1725),
    [sym_kType] = ACTIONS(1725),
    [sym_kLabel] = ACTIONS(1725),
    [sym_kExports] = ACTIONS(1725),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1725),
    [sym_kGeneric] = ACTIONS(1725),
    [sym_kFunction] = ACTIONS(1725),
    [sym_kProcedure] = ACTIONS(1725),
    [sym_kConstructor] = ACTIONS(1725),
    [sym_kDestructor] = ACTIONS(1725),
    [sym_kOperator] = ACTIONS(1725),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(483),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [aux_sym_type_token1] = ACTIONS(2094),
    [sym_kUses] = ACTIONS(2094),
    [sym_kBegin] = ACTIONS(2094),
    [sym_kAsm] = ACTIONS(2094),
    [sym_kVar] = ACTIONS(2096),
    [sym_kThreadvar] = ACTIONS(2094),
    [sym_kConst] = ACTIONS(2096),
    [sym_kResourcestring] = ACTIONS(2094),
    [sym_kType] = ACTIONS(2094),
    [sym_kLabel] = ACTIONS(2094),
    [sym_kExports] = ACTIONS(2094),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2094),
    [sym_kGeneric] = ACTIONS(2094),
    [sym_kFunction] = ACTIONS(2094),
    [sym_kProcedure] = ACTIONS(2094),
    [sym_kConstructor] = ACTIONS(2094),
    [sym_kDestructor] = ACTIONS(2094),
    [sym_kOperator] = ACTIONS(2094),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(515),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [aux_sym_type_token1] = ACTIONS(2081),
    [sym_kUses] = ACTIONS(2081),
    [sym_kBegin] = ACTIONS(2081),
    [sym_kAsm] = ACTIONS(2081),
    [sym_kVar] = ACTIONS(2083),
    [sym_kThreadvar] = ACTIONS(2081),
    [sym_kConst] = ACTIONS(2083),
    [sym_kResourcestring] = ACTIONS(2081),
    [sym_kType] = ACTIONS(2081),
    [sym_kLabel] = ACTIONS(2081),
    [sym_kExports] = ACTIONS(2081),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2081),
    [sym_kGeneric] = ACTIONS(2081),
    [sym_kFunction] = ACTIONS(2081),
    [sym_kProcedure] = ACTIONS(2081),
    [sym_kConstructor] = ACTIONS(2081),
    [sym_kDestructor] = ACTIONS(2081),
    [sym_kOperator] = ACTIONS(2081),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(496),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [aux_sym_type_token1] = ACTIONS(2409),
    [sym_kUses] = ACTIONS(2409),
    [sym_kBegin] = ACTIONS(2409),
    [sym_kAsm] = ACTIONS(2409),
    [sym_kVar] = ACTIONS(2411),
    [sym_kThreadvar] = ACTIONS(2409),
    [sym_kConst] = ACTIONS(2411),
    [sym_kResourcestring] = ACTIONS(2409),
    [sym_kType] = ACTIONS(2409),
    [sym_kLabel] = ACTIONS(2409),
    [sym_kExports] = ACTIONS(2409),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2409),
    [sym_kGeneric] = ACTIONS(2409),
    [sym_kFunction] = ACTIONS(2409),
    [sym_kProcedure] = ACTIONS(2409),
    [sym_kConstructor] = ACTIONS(2409),
    [sym_kDestructor] = ACTIONS(2409),
    [sym_kOperator] = ACTIONS(2409),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [aux_sym_type_token1] = ACTIONS(2074),
    [sym_kUses] = ACTIONS(2074),
    [sym_kBegin] = ACTIONS(2074),
    [sym_kAsm] = ACTIONS(2074),
    [sym_kVar] = ACTIONS(2076),
    [sym_kThreadvar] = ACTIONS(2074),
    [sym_kConst] = ACTIONS(2076),
    [sym_kResourcestring] = ACTIONS(2074),
    [sym_kType] = ACTIONS(2074),
    [sym_kLabel] = ACTIONS(2074),
    [sym_kExports] = ACTIONS(2074),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2074),
    [sym_kGeneric] = ACTIONS(2074),
    [sym_kFunction] = ACTIONS(2074),
    [sym_kProcedure] = ACTIONS(2074),
    [sym_kConstructor] = ACTIONS(2074),
    [sym_kDestructor] = ACTIONS(2074),
    [sym_kOperator] = ACTIONS(2074),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(503),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [aux_sym_type_token1] = ACTIONS(2067),
    [sym_kUses] = ACTIONS(2067),
    [sym_kBegin] = ACTIONS(2067),
    [sym_kAsm] = ACTIONS(2067),
    [sym_kVar] = ACTIONS(2069),
    [sym_kThreadvar] = ACTIONS(2067),
    [sym_kConst] = ACTIONS(2069),
    [sym_kResourcestring] = ACTIONS(2067),
    [sym_kType] = ACTIONS(2067),
    [sym_kLabel] = ACTIONS(2067),
    [sym_kExports] = ACTIONS(2067),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2067),
    [sym_kGeneric] = ACTIONS(2067),
    [sym_kFunction] = ACTIONS(2067),
    [sym_kProcedure] = ACTIONS(2067),
    [sym_kConstructor] = ACTIONS(2067),
    [sym_kDestructor] = ACTIONS(2067),
    [sym_kOperator] = ACTIONS(2067),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(500),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [aux_sym_type_token1] = ACTIONS(1989),
    [sym_kUses] = ACTIONS(1989),
    [sym_kBegin] = ACTIONS(1989),
    [sym_kAsm] = ACTIONS(1989),
    [sym_kVar] = ACTIONS(1991),
    [sym_kThreadvar] = ACTIONS(1989),
    [sym_kConst] = ACTIONS(1991),
    [sym_kResourcestring] = ACTIONS(1989),
    [sym_kType] = ACTIONS(1989),
    [sym_kLabel] = ACTIONS(1989),
    [sym_kExports] = ACTIONS(1989),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1989),
    [sym_kGeneric] = ACTIONS(1989),
    [sym_kFunction] = ACTIONS(1989),
    [sym_kProcedure] = ACTIONS(1989),
    [sym_kConstructor] = ACTIONS(1989),
    [sym_kDestructor] = ACTIONS(1989),
    [sym_kOperator] = ACTIONS(1989),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [aux_sym_type_token1] = ACTIONS(1954),
    [sym_kUses] = ACTIONS(1954),
    [sym_kBegin] = ACTIONS(1954),
    [sym_kAsm] = ACTIONS(1954),
    [sym_kVar] = ACTIONS(1956),
    [sym_kThreadvar] = ACTIONS(1954),
    [sym_kConst] = ACTIONS(1956),
    [sym_kResourcestring] = ACTIONS(1954),
    [sym_kType] = ACTIONS(1954),
    [sym_kLabel] = ACTIONS(1954),
    [sym_kExports] = ACTIONS(1954),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1954),
    [sym_kGeneric] = ACTIONS(1954),
    [sym_kFunction] = ACTIONS(1954),
    [sym_kProcedure] = ACTIONS(1954),
    [sym_kConstructor] = ACTIONS(1954),
    [sym_kDestructor] = ACTIONS(1954),
    [sym_kOperator] = ACTIONS(1954),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [aux_sym_type_token1] = ACTIONS(2038),
    [sym_kUses] = ACTIONS(2038),
    [sym_kBegin] = ACTIONS(2038),
    [sym_kAsm] = ACTIONS(2038),
    [sym_kVar] = ACTIONS(2040),
    [sym_kThreadvar] = ACTIONS(2038),
    [sym_kConst] = ACTIONS(2040),
    [sym_kResourcestring] = ACTIONS(2038),
    [sym_kType] = ACTIONS(2038),
    [sym_kLabel] = ACTIONS(2038),
    [sym_kExports] = ACTIONS(2038),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2038),
    [sym_kGeneric] = ACTIONS(2038),
    [sym_kFunction] = ACTIONS(2038),
    [sym_kProcedure] = ACTIONS(2038),
    [sym_kConstructor] = ACTIONS(2038),
    [sym_kDestructor] = ACTIONS(2038),
    [sym_kOperator] = ACTIONS(2038),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [aux_sym_type_token1] = ACTIONS(2111),
    [sym_kUses] = ACTIONS(2111),
    [sym_kBegin] = ACTIONS(2111),
    [sym_kAsm] = ACTIONS(2111),
    [sym_kVar] = ACTIONS(2113),
    [sym_kThreadvar] = ACTIONS(2111),
    [sym_kConst] = ACTIONS(2113),
    [sym_kResourcestring] = ACTIONS(2111),
    [sym_kType] = ACTIONS(2111),
    [sym_kLabel] = ACTIONS(2111),
    [sym_kExports] = ACTIONS(2111),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2111),
    [sym_kGeneric] = ACTIONS(2111),
    [sym_kFunction] = ACTIONS(2111),
    [sym_kProcedure] = ACTIONS(2111),
    [sym_kConstructor] = ACTIONS(2111),
    [sym_kDestructor] = ACTIONS(2111),
    [sym_kOperator] = ACTIONS(2111),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [aux_sym_type_token1] = ACTIONS(1643),
    [sym_kUses] = ACTIONS(1643),
    [sym_kBegin] = ACTIONS(1643),
    [sym_kAsm] = ACTIONS(1643),
    [sym_kVar] = ACTIONS(1645),
    [sym_kThreadvar] = ACTIONS(1643),
    [sym_kConst] = ACTIONS(1645),
    [sym_kResourcestring] = ACTIONS(1643),
    [sym_kType] = ACTIONS(1643),
    [sym_kLabel] = ACTIONS(1643),
    [sym_kExports] = ACTIONS(1643),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1643),
    [sym_kGeneric] = ACTIONS(1643),
    [sym_kFunction] = ACTIONS(1643),
    [sym_kProcedure] = ACTIONS(1643),
    [sym_kConstructor] = ACTIONS(1643),
    [sym_kDestructor] = ACTIONS(1643),
    [sym_kOperator] = ACTIONS(1643),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [aux_sym_type_token1] = ACTIONS(2154),
    [sym_kUses] = ACTIONS(2154),
    [sym_kBegin] = ACTIONS(2154),
    [sym_kAsm] = ACTIONS(2154),
    [sym_kVar] = ACTIONS(2156),
    [sym_kThreadvar] = ACTIONS(2154),
    [sym_kConst] = ACTIONS(2156),
    [sym_kResourcestring] = ACTIONS(2154),
    [sym_kType] = ACTIONS(2154),
    [sym_kLabel] = ACTIONS(2154),
    [sym_kExports] = ACTIONS(2154),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2154),
    [sym_kGeneric] = ACTIONS(2154),
    [sym_kFunction] = ACTIONS(2154),
    [sym_kProcedure] = ACTIONS(2154),
    [sym_kConstructor] = ACTIONS(2154),
    [sym_kDestructor] = ACTIONS(2154),
    [sym_kOperator] = ACTIONS(2154),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(505),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [aux_sym_type_token1] = ACTIONS(2101),
    [sym_kUses] = ACTIONS(2101),
    [sym_kBegin] = ACTIONS(2101),
    [sym_kAsm] = ACTIONS(2101),
    [sym_kVar] = ACTIONS(2103),
    [sym_kThreadvar] = ACTIONS(2101),
    [sym_kConst] = ACTIONS(2103),
    [sym_kResourcestring] = ACTIONS(2101),
    [sym_kType] = ACTIONS(2101),
    [sym_kLabel] = ACTIONS(2101),
    [sym_kExports] = ACTIONS(2101),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2101),
    [sym_kGeneric] = ACTIONS(2101),
    [sym_kFunction] = ACTIONS(2101),
    [sym_kProcedure] = ACTIONS(2101),
    [sym_kConstructor] = ACTIONS(2101),
    [sym_kDestructor] = ACTIONS(2101),
    [sym_kOperator] = ACTIONS(2101),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [aux_sym_type_token1] = ACTIONS(1735),
    [sym_kUses] = ACTIONS(1735),
    [sym_kBegin] = ACTIONS(1735),
    [sym_kAsm] = ACTIONS(1735),
    [sym_kVar] = ACTIONS(1737),
    [sym_kThreadvar] = ACTIONS(1735),
    [sym_kConst] = ACTIONS(1737),
    [sym_kResourcestring] = ACTIONS(1735),
    [sym_kType] = ACTIONS(1735),
    [sym_kLabel] = ACTIONS(1735),
    [sym_kExports] = ACTIONS(1735),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1735),
    [sym_kGeneric] = ACTIONS(1735),
    [sym_kFunction] = ACTIONS(1735),
    [sym_kProcedure] = ACTIONS(1735),
    [sym_kConstructor] = ACTIONS(1735),
    [sym_kDestructor] = ACTIONS(1735),
    [sym_kOperator] = ACTIONS(1735),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [aux_sym_type_token1] = ACTIONS(2363),
    [sym_kUses] = ACTIONS(2363),
    [sym_kBegin] = ACTIONS(2363),
    [sym_kAsm] = ACTIONS(2363),
    [sym_kVar] = ACTIONS(2365),
    [sym_kThreadvar] = ACTIONS(2363),
    [sym_kConst] = ACTIONS(2365),
    [sym_kResourcestring] = ACTIONS(2363),
    [sym_kType] = ACTIONS(2363),
    [sym_kLabel] = ACTIONS(2363),
    [sym_kExports] = ACTIONS(2363),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2363),
    [sym_kGeneric] = ACTIONS(2363),
    [sym_kFunction] = ACTIONS(2363),
    [sym_kProcedure] = ACTIONS(2363),
    [sym_kConstructor] = ACTIONS(2363),
    [sym_kDestructor] = ACTIONS(2363),
    [sym_kOperator] = ACTIONS(2363),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [aux_sym_type_token1] = ACTIONS(2370),
    [sym_kUses] = ACTIONS(2370),
    [sym_kBegin] = ACTIONS(2370),
    [sym_kAsm] = ACTIONS(2370),
    [sym_kVar] = ACTIONS(2372),
    [sym_kThreadvar] = ACTIONS(2370),
    [sym_kConst] = ACTIONS(2372),
    [sym_kResourcestring] = ACTIONS(2370),
    [sym_kType] = ACTIONS(2370),
    [sym_kLabel] = ACTIONS(2370),
    [sym_kExports] = ACTIONS(2370),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2370),
    [sym_kGeneric] = ACTIONS(2370),
    [sym_kFunction] = ACTIONS(2370),
    [sym_kProcedure] = ACTIONS(2370),
    [sym_kConstructor] = ACTIONS(2370),
    [sym_kDestructor] = ACTIONS(2370),
    [sym_kOperator] = ACTIONS(2370),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_type_token1] = ACTIONS(2485),
    [sym_kUses] = ACTIONS(2485),
    [sym_kBegin] = ACTIONS(2485),
    [sym_kAsm] = ACTIONS(2485),
    [sym_kVar] = ACTIONS(2487),
    [sym_kThreadvar] = ACTIONS(2485),
    [sym_kConst] = ACTIONS(2487),
    [sym_kResourcestring] = ACTIONS(2485),
    [sym_kType] = ACTIONS(2485),
    [sym_kLabel] = ACTIONS(2485),
    [sym_kExports] = ACTIONS(2485),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2485),
    [sym_kGeneric] = ACTIONS(2485),
    [sym_kFunction] = ACTIONS(2485),
    [sym_kProcedure] = ACTIONS(2485),
    [sym_kConstructor] = ACTIONS(2485),
    [sym_kDestructor] = ACTIONS(2485),
    [sym_kOperator] = ACTIONS(2485),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(480),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [aux_sym_type_token1] = ACTIONS(2383),
    [sym_kUses] = ACTIONS(2383),
    [sym_kBegin] = ACTIONS(2383),
    [sym_kAsm] = ACTIONS(2383),
    [sym_kVar] = ACTIONS(2385),
    [sym_kThreadvar] = ACTIONS(2383),
    [sym_kConst] = ACTIONS(2385),
    [sym_kResourcestring] = ACTIONS(2383),
    [sym_kType] = ACTIONS(2383),
    [sym_kLabel] = ACTIONS(2383),
    [sym_kExports] = ACTIONS(2383),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2383),
    [sym_kGeneric] = ACTIONS(2383),
    [sym_kFunction] = ACTIONS(2383),
    [sym_kProcedure] = ACTIONS(2383),
    [sym_kConstructor] = ACTIONS(2383),
    [sym_kDestructor] = ACTIONS(2383),
    [sym_kOperator] = ACTIONS(2383),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [aux_sym_type_token1] = ACTIONS(1794),
    [sym_kUses] = ACTIONS(1794),
    [sym_kBegin] = ACTIONS(1794),
    [sym_kAsm] = ACTIONS(1794),
    [sym_kVar] = ACTIONS(1796),
    [sym_kThreadvar] = ACTIONS(1794),
    [sym_kConst] = ACTIONS(1796),
    [sym_kResourcestring] = ACTIONS(1794),
    [sym_kType] = ACTIONS(1794),
    [sym_kLabel] = ACTIONS(1794),
    [sym_kExports] = ACTIONS(1794),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1794),
    [sym_kGeneric] = ACTIONS(1794),
    [sym_kFunction] = ACTIONS(1794),
    [sym_kProcedure] = ACTIONS(1794),
    [sym_kConstructor] = ACTIONS(1794),
    [sym_kDestructor] = ACTIONS(1794),
    [sym_kOperator] = ACTIONS(1794),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(495),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [aux_sym_type_token1] = ACTIONS(1655),
    [sym_kUses] = ACTIONS(1655),
    [sym_kBegin] = ACTIONS(1655),
    [sym_kAsm] = ACTIONS(1655),
    [sym_kVar] = ACTIONS(1657),
    [sym_kThreadvar] = ACTIONS(1655),
    [sym_kConst] = ACTIONS(1657),
    [sym_kResourcestring] = ACTIONS(1655),
    [sym_kType] = ACTIONS(1655),
    [sym_kLabel] = ACTIONS(1655),
    [sym_kExports] = ACTIONS(1655),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1655),
    [sym_kGeneric] = ACTIONS(1655),
    [sym_kFunction] = ACTIONS(1655),
    [sym_kProcedure] = ACTIONS(1655),
    [sym_kConstructor] = ACTIONS(1655),
    [sym_kDestructor] = ACTIONS(1655),
    [sym_kOperator] = ACTIONS(1655),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(494),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [aux_sym_type_token1] = ACTIONS(1669),
    [sym_kUses] = ACTIONS(1669),
    [sym_kBegin] = ACTIONS(1669),
    [sym_kAsm] = ACTIONS(1669),
    [sym_kVar] = ACTIONS(1671),
    [sym_kThreadvar] = ACTIONS(1669),
    [sym_kConst] = ACTIONS(1671),
    [sym_kResourcestring] = ACTIONS(1669),
    [sym_kType] = ACTIONS(1669),
    [sym_kLabel] = ACTIONS(1669),
    [sym_kExports] = ACTIONS(1669),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1669),
    [sym_kGeneric] = ACTIONS(1669),
    [sym_kFunction] = ACTIONS(1669),
    [sym_kProcedure] = ACTIONS(1669),
    [sym_kConstructor] = ACTIONS(1669),
    [sym_kDestructor] = ACTIONS(1669),
    [sym_kOperator] = ACTIONS(1669),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym_COLON] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_RBRACK] = ACTIONS(2921),
    [anon_sym_LPAREN] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2919),
    [sym_kEnd] = ACTIONS(2919),
    [sym_kVar] = ACTIONS(2919),
    [sym_kThreadvar] = ACTIONS(2919),
    [sym_kConst] = ACTIONS(2919),
    [sym_kResourcestring] = ACTIONS(2919),
    [sym_kType] = ACTIONS(2919),
    [sym_kAbsolute] = ACTIONS(2919),
    [sym_kProperty] = ACTIONS(2919),
    [sym_kClass] = ACTIONS(2919),
    [sym_kOf] = ACTIONS(2919),
    [sym_kGeneric] = ACTIONS(2919),
    [sym_kLt] = ACTIONS(2919),
    [sym_kEq] = ACTIONS(2921),
    [sym_kNeq] = ACTIONS(2921),
    [sym_kGt] = ACTIONS(2919),
    [sym_kLte] = ACTIONS(2921),
    [sym_kGte] = ACTIONS(2921),
    [sym_kAdd] = ACTIONS(2919),
    [sym_kSub] = ACTIONS(2919),
    [sym_kMul] = ACTIONS(2919),
    [sym_kFdiv] = ACTIONS(2919),
    [sym_kHat] = ACTIONS(2921),
    [sym_kAssign] = ACTIONS(2921),
    [sym_kAssignAdd] = ACTIONS(2921),
    [sym_kAssignSub] = ACTIONS(2921),
    [sym_kAssignMul] = ACTIONS(2921),
    [sym_kAssignDiv] = ACTIONS(2921),
    [sym_kOr] = ACTIONS(2919),
    [sym_kXor] = ACTIONS(2919),
    [sym_kDiv] = ACTIONS(2919),
    [sym_kMod] = ACTIONS(2919),
    [sym_kAnd] = ACTIONS(2919),
    [sym_kShl] = ACTIONS(2919),
    [sym_kShr] = ACTIONS(2919),
    [sym_kIs] = ACTIONS(2919),
    [sym_kAs] = ACTIONS(2919),
    [sym_kIn] = ACTIONS(2919),
    [sym_kThen] = ACTIONS(2919),
    [sym_kElse] = ACTIONS(2919),
    [sym_kDo] = ACTIONS(2919),
    [sym_kUntil] = ACTIONS(2919),
    [sym_kExcept] = ACTIONS(2919),
    [sym_kFinally] = ACTIONS(2919),
    [sym_kCase] = ACTIONS(2919),
    [sym_kFunction] = ACTIONS(2919),
    [sym_kProcedure] = ACTIONS(2919),
    [sym_kConstructor] = ACTIONS(2919),
    [sym_kDestructor] = ACTIONS(2919),
    [sym_kOperator] = ACTIONS(2919),
    [sym_kPublished] = ACTIONS(2919),
    [sym_kPublic] = ACTIONS(2919),
    [sym_kProtected] = ACTIONS(2919),
    [sym_kPrivate] = ACTIONS(2919),
    [sym_kStrict] = ACTIONS(2919),
    [sym_kRequired] = ACTIONS(2919),
    [sym_kOptional] = ACTIONS(2919),
    [sym_kDelayed] = ACTIONS(2919),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(491),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [aux_sym_type_token1] = ACTIONS(1688),
    [sym_kUses] = ACTIONS(1688),
    [sym_kBegin] = ACTIONS(1688),
    [sym_kAsm] = ACTIONS(1688),
    [sym_kVar] = ACTIONS(1690),
    [sym_kThreadvar] = ACTIONS(1688),
    [sym_kConst] = ACTIONS(1690),
    [sym_kResourcestring] = ACTIONS(1688),
    [sym_kType] = ACTIONS(1688),
    [sym_kLabel] = ACTIONS(1688),
    [sym_kExports] = ACTIONS(1688),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1688),
    [sym_kGeneric] = ACTIONS(1688),
    [sym_kFunction] = ACTIONS(1688),
    [sym_kProcedure] = ACTIONS(1688),
    [sym_kConstructor] = ACTIONS(1688),
    [sym_kDestructor] = ACTIONS(1688),
    [sym_kOperator] = ACTIONS(1688),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(498),
    [anon_sym_LBRACK] = ACTIONS(2926),
    [aux_sym_type_token1] = ACTIONS(1886),
    [sym_kUses] = ACTIONS(1886),
    [sym_kBegin] = ACTIONS(1886),
    [sym_kAsm] = ACTIONS(1886),
    [sym_kVar] = ACTIONS(1888),
    [sym_kThreadvar] = ACTIONS(1886),
    [sym_kConst] = ACTIONS(1888),
    [sym_kResourcestring] = ACTIONS(1886),
    [sym_kType] = ACTIONS(1886),
    [sym_kLabel] = ACTIONS(1886),
    [sym_kExports] = ACTIONS(1886),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(1886),
    [sym_kGeneric] = ACTIONS(1886),
    [sym_kFunction] = ACTIONS(1886),
    [sym_kProcedure] = ACTIONS(1886),
    [sym_kConstructor] = ACTIONS(1886),
    [sym_kDestructor] = ACTIONS(1886),
    [sym_kOperator] = ACTIONS(1886),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [anon_sym_LBRACK] = ACTIONS(2811),
    [sym_kEnd] = ACTIONS(2811),
    [sym_kVar] = ACTIONS(2813),
    [sym_kThreadvar] = ACTIONS(2811),
    [sym_kConst] = ACTIONS(2813),
    [sym_kResourcestring] = ACTIONS(2811),
    [sym_kType] = ACTIONS(2811),
    [sym_kProperty] = ACTIONS(2811),
    [sym_kDefault] = ACTIONS(2811),
    [sym_kNodefault] = ACTIONS(2811),
    [sym_kDispId] = ACTIONS(2811),
    [sym_kClass] = ACTIONS(2811),
    [sym_kGeneric] = ACTIONS(2811),
    [sym_kCase] = ACTIONS(2811),
    [sym_kFunction] = ACTIONS(2811),
    [sym_kProcedure] = ACTIONS(2811),
    [sym_kConstructor] = ACTIONS(2811),
    [sym_kDestructor] = ACTIONS(2811),
    [sym_kOperator] = ACTIONS(2811),
    [sym_kPublished] = ACTIONS(2811),
    [sym_kPublic] = ACTIONS(2811),
    [sym_kProtected] = ACTIONS(2811),
    [sym_kPrivate] = ACTIONS(2811),
    [sym_kStrict] = ACTIONS(2811),
    [sym_kRequired] = ACTIONS(2811),
    [sym_kOptional] = ACTIONS(2811),
    [sym_kStatic] = ACTIONS(2811),
    [sym_kVirtual] = ACTIONS(2811),
    [sym_kAbstract] = ACTIONS(2811),
    [sym_kDynamic] = ACTIONS(2811),
    [sym_kOverride] = ACTIONS(2811),
    [sym_kOverload] = ACTIONS(2811),
    [sym_kReintroduce] = ACTIONS(2811),
    [sym_kInline] = ACTIONS(2811),
    [sym_kStdcall] = ACTIONS(2811),
    [sym_kCdecl] = ACTIONS(2811),
    [sym_kCppdecl] = ACTIONS(2811),
    [sym_kPascal] = ACTIONS(2811),
    [sym_kRegister] = ACTIONS(2811),
    [sym_kMwpascal] = ACTIONS(2811),
    [sym_kMessage] = ACTIONS(2811),
    [sym_kDeprecated] = ACTIONS(2811),
    [sym_kExperimental] = ACTIONS(2811),
    [sym_kPlatform] = ACTIONS(2811),
    [sym_kUnimplemented] = ACTIONS(2811),
    [sym_kCvar] = ACTIONS(2811),
    [sym_kExport] = ACTIONS(2811),
    [sym_kFar] = ACTIONS(2811),
    [sym_kNear] = ACTIONS(2811),
    [sym_kSafecall] = ACTIONS(2811),
    [sym_kAssembler] = ACTIONS(2811),
    [sym_kNostackframe] = ACTIONS(2811),
    [sym_kInterrupt] = ACTIONS(2811),
    [sym_kNoreturn] = ACTIONS(2811),
    [sym_kIocheck] = ACTIONS(2811),
    [sym_kLocal] = ACTIONS(2811),
    [sym_kHardfloat] = ACTIONS(2811),
    [sym_kSoftfloat] = ACTIONS(2811),
    [sym_kMs_abi_default] = ACTIONS(2811),
    [sym_kMs_abi_cdecl] = ACTIONS(2811),
    [sym_kSaveregisters] = ACTIONS(2811),
    [sym_kSysv_abi_default] = ACTIONS(2811),
    [sym_kSysv_abi_cdecl] = ACTIONS(2811),
    [sym_kVectorcall] = ACTIONS(2811),
    [sym_kVarargs] = ACTIONS(2811),
    [sym_kWinapi] = ACTIONS(2811),
    [sym_kAlias] = ACTIONS(2811),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [anon_sym_LBRACK] = ACTIONS(2676),
    [sym_kEnd] = ACTIONS(2676),
    [sym_kVar] = ACTIONS(2678),
    [sym_kThreadvar] = ACTIONS(2676),
    [sym_kConst] = ACTIONS(2678),
    [sym_kResourcestring] = ACTIONS(2676),
    [sym_kType] = ACTIONS(2676),
    [sym_kProperty] = ACTIONS(2676),
    [sym_kDefault] = ACTIONS(2676),
    [sym_kNodefault] = ACTIONS(2676),
    [sym_kDispId] = ACTIONS(2676),
    [sym_kClass] = ACTIONS(2676),
    [sym_kGeneric] = ACTIONS(2676),
    [sym_kCase] = ACTIONS(2676),
    [sym_kFunction] = ACTIONS(2676),
    [sym_kProcedure] = ACTIONS(2676),
    [sym_kConstructor] = ACTIONS(2676),
    [sym_kDestructor] = ACTIONS(2676),
    [sym_kOperator] = ACTIONS(2676),
    [sym_kPublished] = ACTIONS(2676),
    [sym_kPublic] = ACTIONS(2676),
    [sym_kProtected] = ACTIONS(2676),
    [sym_kPrivate] = ACTIONS(2676),
    [sym_kStrict] = ACTIONS(2676),
    [sym_kRequired] = ACTIONS(2676),
    [sym_kOptional] = ACTIONS(2676),
    [sym_kStatic] = ACTIONS(2676),
    [sym_kVirtual] = ACTIONS(2676),
    [sym_kAbstract] = ACTIONS(2676),
    [sym_kDynamic] = ACTIONS(2676),
    [sym_kOverride] = ACTIONS(2676),
    [sym_kOverload] = ACTIONS(2676),
    [sym_kReintroduce] = ACTIONS(2676),
    [sym_kInline] = ACTIONS(2676),
    [sym_kStdcall] = ACTIONS(2676),
    [sym_kCdecl] = ACTIONS(2676),
    [sym_kCppdecl] = ACTIONS(2676),
    [sym_kPascal] = ACTIONS(2676),
    [sym_kRegister] = ACTIONS(2676),
    [sym_kMwpascal] = ACTIONS(2676),
    [sym_kMessage] = ACTIONS(2676),
    [sym_kDeprecated] = ACTIONS(2676),
    [sym_kExperimental] = ACTIONS(2676),
    [sym_kPlatform] = ACTIONS(2676),
    [sym_kUnimplemented] = ACTIONS(2676),
    [sym_kCvar] = ACTIONS(2676),
    [sym_kExport] = ACTIONS(2676),
    [sym_kFar] = ACTIONS(2676),
    [sym_kNear] = ACTIONS(2676),
    [sym_kSafecall] = ACTIONS(2676),
    [sym_kAssembler] = ACTIONS(2676),
    [sym_kNostackframe] = ACTIONS(2676),
    [sym_kInterrupt] = ACTIONS(2676),
    [sym_kNoreturn] = ACTIONS(2676),
    [sym_kIocheck] = ACTIONS(2676),
    [sym_kLocal] = ACTIONS(2676),
    [sym_kHardfloat] = ACTIONS(2676),
    [sym_kSoftfloat] = ACTIONS(2676),
    [sym_kMs_abi_default] = ACTIONS(2676),
    [sym_kMs_abi_cdecl] = ACTIONS(2676),
    [sym_kSaveregisters] = ACTIONS(2676),
    [sym_kSysv_abi_default] = ACTIONS(2676),
    [sym_kSysv_abi_cdecl] = ACTIONS(2676),
    [sym_kVectorcall] = ACTIONS(2676),
    [sym_kVarargs] = ACTIONS(2676),
    [sym_kWinapi] = ACTIONS(2676),
    [sym_kAlias] = ACTIONS(2676),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [anon_sym_LBRACK] = ACTIONS(2804),
    [sym_kEnd] = ACTIONS(2804),
    [sym_kVar] = ACTIONS(2806),
    [sym_kThreadvar] = ACTIONS(2804),
    [sym_kConst] = ACTIONS(2806),
    [sym_kResourcestring] = ACTIONS(2804),
    [sym_kType] = ACTIONS(2804),
    [sym_kProperty] = ACTIONS(2804),
    [sym_kDefault] = ACTIONS(2804),
    [sym_kNodefault] = ACTIONS(2804),
    [sym_kDispId] = ACTIONS(2804),
    [sym_kClass] = ACTIONS(2804),
    [sym_kGeneric] = ACTIONS(2804),
    [sym_kCase] = ACTIONS(2804),
    [sym_kFunction] = ACTIONS(2804),
    [sym_kProcedure] = ACTIONS(2804),
    [sym_kConstructor] = ACTIONS(2804),
    [sym_kDestructor] = ACTIONS(2804),
    [sym_kOperator] = ACTIONS(2804),
    [sym_kPublished] = ACTIONS(2804),
    [sym_kPublic] = ACTIONS(2804),
    [sym_kProtected] = ACTIONS(2804),
    [sym_kPrivate] = ACTIONS(2804),
    [sym_kStrict] = ACTIONS(2804),
    [sym_kRequired] = ACTIONS(2804),
    [sym_kOptional] = ACTIONS(2804),
    [sym_kStatic] = ACTIONS(2804),
    [sym_kVirtual] = ACTIONS(2804),
    [sym_kAbstract] = ACTIONS(2804),
    [sym_kDynamic] = ACTIONS(2804),
    [sym_kOverride] = ACTIONS(2804),
    [sym_kOverload] = ACTIONS(2804),
    [sym_kReintroduce] = ACTIONS(2804),
    [sym_kInline] = ACTIONS(2804),
    [sym_kStdcall] = ACTIONS(2804),
    [sym_kCdecl] = ACTIONS(2804),
    [sym_kCppdecl] = ACTIONS(2804),
    [sym_kPascal] = ACTIONS(2804),
    [sym_kRegister] = ACTIONS(2804),
    [sym_kMwpascal] = ACTIONS(2804),
    [sym_kMessage] = ACTIONS(2804),
    [sym_kDeprecated] = ACTIONS(2804),
    [sym_kExperimental] = ACTIONS(2804),
    [sym_kPlatform] = ACTIONS(2804),
    [sym_kUnimplemented] = ACTIONS(2804),
    [sym_kCvar] = ACTIONS(2804),
    [sym_kExport] = ACTIONS(2804),
    [sym_kFar] = ACTIONS(2804),
    [sym_kNear] = ACTIONS(2804),
    [sym_kSafecall] = ACTIONS(2804),
    [sym_kAssembler] = ACTIONS(2804),
    [sym_kNostackframe] = ACTIONS(2804),
    [sym_kInterrupt] = ACTIONS(2804),
    [sym_kNoreturn] = ACTIONS(2804),
    [sym_kIocheck] = ACTIONS(2804),
    [sym_kLocal] = ACTIONS(2804),
    [sym_kHardfloat] = ACTIONS(2804),
    [sym_kSoftfloat] = ACTIONS(2804),
    [sym_kMs_abi_default] = ACTIONS(2804),
    [sym_kMs_abi_cdecl] = ACTIONS(2804),
    [sym_kSaveregisters] = ACTIONS(2804),
    [sym_kSysv_abi_default] = ACTIONS(2804),
    [sym_kSysv_abi_cdecl] = ACTIONS(2804),
    [sym_kVectorcall] = ACTIONS(2804),
    [sym_kVarargs] = ACTIONS(2804),
    [sym_kWinapi] = ACTIONS(2804),
    [sym_kAlias] = ACTIONS(2804),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [aux_sym_type_token1] = ACTIONS(2402),
    [sym_kUses] = ACTIONS(2402),
    [sym_kBegin] = ACTIONS(2402),
    [sym_kAsm] = ACTIONS(2402),
    [sym_kVar] = ACTIONS(2404),
    [sym_kThreadvar] = ACTIONS(2402),
    [sym_kConst] = ACTIONS(2404),
    [sym_kResourcestring] = ACTIONS(2402),
    [sym_kType] = ACTIONS(2402),
    [sym_kLabel] = ACTIONS(2402),
    [sym_kExports] = ACTIONS(2402),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2402),
    [sym_kGeneric] = ACTIONS(2402),
    [sym_kFunction] = ACTIONS(2402),
    [sym_kProcedure] = ACTIONS(2402),
    [sym_kConstructor] = ACTIONS(2402),
    [sym_kDestructor] = ACTIONS(2402),
    [sym_kOperator] = ACTIONS(2402),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [sym__procAttributeNoExt] = STATE(527),
    [sym_procAttribute] = STATE(2634),
    [aux_sym__declProc_repeat1] = STATE(413),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [aux_sym_type_token1] = ACTIONS(2457),
    [sym_kUses] = ACTIONS(2457),
    [sym_kBegin] = ACTIONS(2457),
    [sym_kAsm] = ACTIONS(2457),
    [sym_kVar] = ACTIONS(2459),
    [sym_kThreadvar] = ACTIONS(2457),
    [sym_kConst] = ACTIONS(2459),
    [sym_kResourcestring] = ACTIONS(2457),
    [sym_kType] = ACTIONS(2457),
    [sym_kLabel] = ACTIONS(2457),
    [sym_kExports] = ACTIONS(2457),
    [sym_kDefault] = ACTIONS(968),
    [sym_kNodefault] = ACTIONS(968),
    [sym_kDispId] = ACTIONS(970),
    [sym_kClass] = ACTIONS(2457),
    [sym_kGeneric] = ACTIONS(2457),
    [sym_kFunction] = ACTIONS(2457),
    [sym_kProcedure] = ACTIONS(2457),
    [sym_kConstructor] = ACTIONS(2457),
    [sym_kDestructor] = ACTIONS(2457),
    [sym_kOperator] = ACTIONS(2457),
    [sym_kPublic] = ACTIONS(972),
    [sym_kStatic] = ACTIONS(968),
    [sym_kVirtual] = ACTIONS(968),
    [sym_kAbstract] = ACTIONS(968),
    [sym_kDynamic] = ACTIONS(968),
    [sym_kOverride] = ACTIONS(968),
    [sym_kOverload] = ACTIONS(968),
    [sym_kReintroduce] = ACTIONS(968),
    [sym_kInline] = ACTIONS(968),
    [sym_kStdcall] = ACTIONS(968),
    [sym_kCdecl] = ACTIONS(968),
    [sym_kCppdecl] = ACTIONS(968),
    [sym_kPascal] = ACTIONS(968),
    [sym_kRegister] = ACTIONS(968),
    [sym_kMwpascal] = ACTIONS(968),
    [sym_kMessage] = ACTIONS(974),
    [sym_kDeprecated] = ACTIONS(976),
    [sym_kExperimental] = ACTIONS(968),
    [sym_kPlatform] = ACTIONS(968),
    [sym_kUnimplemented] = ACTIONS(968),
    [sym_kCvar] = ACTIONS(968),
    [sym_kExport] = ACTIONS(330),
    [sym_kFar] = ACTIONS(968),
    [sym_kNear] = ACTIONS(968),
    [sym_kSafecall] = ACTIONS(968),
    [sym_kAssembler] = ACTIONS(968),
    [sym_kNostackframe] = ACTIONS(968),
    [sym_kInterrupt] = ACTIONS(968),
    [sym_kNoreturn] = ACTIONS(968),
    [sym_kIocheck] = ACTIONS(968),
    [sym_kLocal] = ACTIONS(968),
    [sym_kHardfloat] = ACTIONS(968),
    [sym_kSoftfloat] = ACTIONS(968),
    [sym_kMs_abi_default] = ACTIONS(968),
    [sym_kMs_abi_cdecl] = ACTIONS(968),
    [sym_kSaveregisters] = ACTIONS(968),
    [sym_kSysv_abi_default] = ACTIONS(968),
    [sym_kSysv_abi_cdecl] = ACTIONS(968),
    [sym_kVectorcall] = ACTIONS(968),
    [sym_kVarargs] = ACTIONS(968),
    [sym_kWinapi] = ACTIONS(968),
    [sym_kAlias] = ACTIONS(978),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_COLON] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_RBRACK] = ACTIONS(2937),
    [anon_sym_LPAREN] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [sym_kEnd] = ACTIONS(2935),
    [sym_kVar] = ACTIONS(2935),
    [sym_kThreadvar] = ACTIONS(2935),
    [sym_kConst] = ACTIONS(2935),
    [sym_kResourcestring] = ACTIONS(2935),
    [sym_kType] = ACTIONS(2935),
    [sym_kAbsolute] = ACTIONS(2935),
    [sym_kProperty] = ACTIONS(2935),
    [sym_kClass] = ACTIONS(2935),
    [sym_kOf] = ACTIONS(2935),
    [sym_kGeneric] = ACTIONS(2935),
    [sym_kLt] = ACTIONS(2935),
    [sym_kEq] = ACTIONS(2937),
    [sym_kNeq] = ACTIONS(2937),
    [sym_kGt] = ACTIONS(2935),
    [sym_kLte] = ACTIONS(2937),
    [sym_kGte] = ACTIONS(2937),
    [sym_kAdd] = ACTIONS(2935),
    [sym_kSub] = ACTIONS(2935),
    [sym_kMul] = ACTIONS(2935),
    [sym_kFdiv] = ACTIONS(2935),
    [sym_kHat] = ACTIONS(2939),
    [sym_kAssign] = ACTIONS(2937),
    [sym_kAssignAdd] = ACTIONS(2937),
    [sym_kAssignSub] = ACTIONS(2937),
    [sym_kAssignMul] = ACTIONS(2937),
    [sym_kAssignDiv] = ACTIONS(2937),
    [sym_kOr] = ACTIONS(2935),
    [sym_kXor] = ACTIONS(2935),
    [sym_kDiv] = ACTIONS(2935),
    [sym_kMod] = ACTIONS(2935),
    [sym_kAnd] = ACTIONS(2935),
    [sym_kShl] = ACTIONS(2935),
    [sym_kShr] = ACTIONS(2935),
    [sym_kIs] = ACTIONS(2935),
    [sym_kAs] = ACTIONS(2935),
    [sym_kIn] = ACTIONS(2935),
    [sym_kThen] = ACTIONS(2935),
    [sym_kElse] = ACTIONS(2935),
    [sym_kDo] = ACTIONS(2935),
    [sym_kUntil] = ACTIONS(2935),
    [sym_kExcept] = ACTIONS(2935),
    [sym_kFinally] = ACTIONS(2935),
    [sym_kCase] = ACTIONS(2935),
    [sym_kFunction] = ACTIONS(2935),
    [sym_kProcedure] = ACTIONS(2935),
    [sym_kConstructor] = ACTIONS(2935),
    [sym_kDestructor] = ACTIONS(2935),
    [sym_kOperator] = ACTIONS(2935),
    [sym_kPublished] = ACTIONS(2935),
    [sym_kPublic] = ACTIONS(2935),
    [sym_kProtected] = ACTIONS(2935),
    [sym_kPrivate] = ACTIONS(2935),
    [sym_kStrict] = ACTIONS(2935),
    [sym_kRequired] = ACTIONS(2935),
    [sym_kOptional] = ACTIONS(2935),
    [sym_kDelayed] = ACTIONS(2935),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym_COLON] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_RBRACK] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [sym_kEnd] = ACTIONS(2941),
    [sym_kVar] = ACTIONS(2941),
    [sym_kThreadvar] = ACTIONS(2941),
    [sym_kConst] = ACTIONS(2941),
    [sym_kResourcestring] = ACTIONS(2941),
    [sym_kType] = ACTIONS(2941),
    [sym_kAbsolute] = ACTIONS(2941),
    [sym_kProperty] = ACTIONS(2941),
    [sym_kClass] = ACTIONS(2941),
    [sym_kOf] = ACTIONS(2941),
    [sym_kGeneric] = ACTIONS(2941),
    [sym_kLt] = ACTIONS(2941),
    [sym_kEq] = ACTIONS(2943),
    [sym_kNeq] = ACTIONS(2943),
    [sym_kGt] = ACTIONS(2941),
    [sym_kLte] = ACTIONS(2943),
    [sym_kGte] = ACTIONS(2943),
    [sym_kAdd] = ACTIONS(2941),
    [sym_kSub] = ACTIONS(2941),
    [sym_kMul] = ACTIONS(2941),
    [sym_kFdiv] = ACTIONS(2941),
    [sym_kHat] = ACTIONS(2943),
    [sym_kAssign] = ACTIONS(2943),
    [sym_kAssignAdd] = ACTIONS(2943),
    [sym_kAssignSub] = ACTIONS(2943),
    [sym_kAssignMul] = ACTIONS(2943),
    [sym_kAssignDiv] = ACTIONS(2943),
    [sym_kOr] = ACTIONS(2941),
    [sym_kXor] = ACTIONS(2941),
    [sym_kDiv] = ACTIONS(2941),
    [sym_kMod] = ACTIONS(2941),
    [sym_kAnd] = ACTIONS(2941),
    [sym_kShl] = ACTIONS(2941),
    [sym_kShr] = ACTIONS(2941),
    [sym_kIs] = ACTIONS(2941),
    [sym_kAs] = ACTIONS(2941),
    [sym_kIn] = ACTIONS(2941),
    [sym_kThen] = ACTIONS(2941),
    [sym_kElse] = ACTIONS(2941),
    [sym_kDo] = ACTIONS(2941),
    [sym_kUntil] = ACTIONS(2941),
    [sym_kExcept] = ACTIONS(2941),
    [sym_kFinally] = ACTIONS(2941),
    [sym_kCase] = ACTIONS(2941),
    [sym_kFunction] = ACTIONS(2941),
    [sym_kProcedure] = ACTIONS(2941),
    [sym_kConstructor] = ACTIONS(2941),
    [sym_kDestructor] = ACTIONS(2941),
    [sym_kOperator] = ACTIONS(2941),
    [sym_kPublished] = ACTIONS(2941),
    [sym_kPublic] = ACTIONS(2941),
    [sym_kProtected] = ACTIONS(2941),
    [sym_kPrivate] = ACTIONS(2941),
    [sym_kStrict] = ACTIONS(2941),
    [sym_kRequired] = ACTIONS(2941),
    [sym_kOptional] = ACTIONS(2941),
    [sym_kDelayed] = ACTIONS(2941),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [anon_sym_LBRACK] = ACTIONS(2818),
    [aux_sym_type_token1] = ACTIONS(2818),
    [sym_kUses] = ACTIONS(2818),
    [sym_kBegin] = ACTIONS(2818),
    [sym_kAsm] = ACTIONS(2818),
    [sym_kVar] = ACTIONS(2820),
    [sym_kThreadvar] = ACTIONS(2818),
    [sym_kConst] = ACTIONS(2820),
    [sym_kResourcestring] = ACTIONS(2818),
    [sym_kType] = ACTIONS(2818),
    [sym_kLabel] = ACTIONS(2818),
    [sym_kExports] = ACTIONS(2818),
    [sym_kDefault] = ACTIONS(2818),
    [sym_kNodefault] = ACTIONS(2818),
    [sym_kDispId] = ACTIONS(2818),
    [sym_kClass] = ACTIONS(2818),
    [sym_kGeneric] = ACTIONS(2818),
    [sym_kFunction] = ACTIONS(2818),
    [sym_kProcedure] = ACTIONS(2818),
    [sym_kConstructor] = ACTIONS(2818),
    [sym_kDestructor] = ACTIONS(2818),
    [sym_kOperator] = ACTIONS(2818),
    [sym_kPublic] = ACTIONS(2818),
    [sym_kForward] = ACTIONS(2818),
    [sym_kStatic] = ACTIONS(2818),
    [sym_kVirtual] = ACTIONS(2818),
    [sym_kAbstract] = ACTIONS(2818),
    [sym_kDynamic] = ACTIONS(2818),
    [sym_kOverride] = ACTIONS(2818),
    [sym_kOverload] = ACTIONS(2818),
    [sym_kReintroduce] = ACTIONS(2818),
    [sym_kInline] = ACTIONS(2818),
    [sym_kStdcall] = ACTIONS(2818),
    [sym_kCdecl] = ACTIONS(2818),
    [sym_kCppdecl] = ACTIONS(2818),
    [sym_kPascal] = ACTIONS(2818),
    [sym_kRegister] = ACTIONS(2818),
    [sym_kMwpascal] = ACTIONS(2818),
    [sym_kExternal] = ACTIONS(2818),
    [sym_kMessage] = ACTIONS(2818),
    [sym_kDeprecated] = ACTIONS(2818),
    [sym_kExperimental] = ACTIONS(2818),
    [sym_kPlatform] = ACTIONS(2818),
    [sym_kUnimplemented] = ACTIONS(2818),
    [sym_kCvar] = ACTIONS(2818),
    [sym_kExport] = ACTIONS(2820),
    [sym_kFar] = ACTIONS(2818),
    [sym_kNear] = ACTIONS(2818),
    [sym_kSafecall] = ACTIONS(2818),
    [sym_kAssembler] = ACTIONS(2818),
    [sym_kNostackframe] = ACTIONS(2818),
    [sym_kInterrupt] = ACTIONS(2818),
    [sym_kNoreturn] = ACTIONS(2818),
    [sym_kIocheck] = ACTIONS(2818),
    [sym_kLocal] = ACTIONS(2818),
    [sym_kHardfloat] = ACTIONS(2818),
    [sym_kSoftfloat] = ACTIONS(2818),
    [sym_kMs_abi_default] = ACTIONS(2818),
    [sym_kMs_abi_cdecl] = ACTIONS(2818),
    [sym_kSaveregisters] = ACTIONS(2818),
    [sym_kSysv_abi_default] = ACTIONS(2818),
    [sym_kSysv_abi_cdecl] = ACTIONS(2818),
    [sym_kVectorcall] = ACTIONS(2818),
    [sym_kVarargs] = ACTIONS(2818),
    [sym_kWinapi] = ACTIONS(2818),
    [sym_kAlias] = ACTIONS(2818),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym_COLON] = ACTIONS(2949),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_RBRACK] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [sym_kEnd] = ACTIONS(2949),
    [sym_kVar] = ACTIONS(2949),
    [sym_kThreadvar] = ACTIONS(2949),
    [sym_kConst] = ACTIONS(2949),
    [sym_kResourcestring] = ACTIONS(2949),
    [sym_kType] = ACTIONS(2949),
    [sym_kAbsolute] = ACTIONS(2949),
    [sym_kProperty] = ACTIONS(2949),
    [sym_kClass] = ACTIONS(2949),
    [sym_kOf] = ACTIONS(2949),
    [sym_kGeneric] = ACTIONS(2949),
    [sym_kLt] = ACTIONS(2949),
    [sym_kEq] = ACTIONS(2947),
    [sym_kNeq] = ACTIONS(2947),
    [sym_kGt] = ACTIONS(2949),
    [sym_kLte] = ACTIONS(2947),
    [sym_kGte] = ACTIONS(2947),
    [sym_kAdd] = ACTIONS(2949),
    [sym_kSub] = ACTIONS(2949),
    [sym_kMul] = ACTIONS(2949),
    [sym_kFdiv] = ACTIONS(2949),
    [sym_kHat] = ACTIONS(2947),
    [sym_kAssign] = ACTIONS(2947),
    [sym_kAssignAdd] = ACTIONS(2947),
    [sym_kAssignSub] = ACTIONS(2947),
    [sym_kAssignMul] = ACTIONS(2947),
    [sym_kAssignDiv] = ACTIONS(2947),
    [sym_kOr] = ACTIONS(2949),
    [sym_kXor] = ACTIONS(2949),
    [sym_kDiv] = ACTIONS(2949),
    [sym_kMod] = ACTIONS(2949),
    [sym_kAnd] = ACTIONS(2949),
    [sym_kShl] = ACTIONS(2949),
    [sym_kShr] = ACTIONS(2949),
    [sym_kIs] = ACTIONS(2949),
    [sym_kAs] = ACTIONS(2949),
    [sym_kIn] = ACTIONS(2949),
    [sym_kThen] = ACTIONS(2949),
    [sym_kElse] = ACTIONS(2949),
    [sym_kDo] = ACTIONS(2949),
    [sym_kUntil] = ACTIONS(2949),
    [sym_kExcept] = ACTIONS(2949),
    [sym_kFinally] = ACTIONS(2949),
    [sym_kCase] = ACTIONS(2949),
    [sym_kFunction] = ACTIONS(2949),
    [sym_kProcedure] = ACTIONS(2949),
    [sym_kConstructor] = ACTIONS(2949),
    [sym_kDestructor] = ACTIONS(2949),
    [sym_kOperator] = ACTIONS(2949),
    [sym_kPublished] = ACTIONS(2949),
    [sym_kPublic] = ACTIONS(2949),
    [sym_kProtected] = ACTIONS(2949),
    [sym_kPrivate] = ACTIONS(2949),
    [sym_kStrict] = ACTIONS(2949),
    [sym_kRequired] = ACTIONS(2949),
    [sym_kOptional] = ACTIONS(2949),
    [sym_kDelayed] = ACTIONS(2949),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_RBRACK] = ACTIONS(2953),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [sym_kEnd] = ACTIONS(2951),
    [sym_kVar] = ACTIONS(2951),
    [sym_kThreadvar] = ACTIONS(2951),
    [sym_kConst] = ACTIONS(2951),
    [sym_kResourcestring] = ACTIONS(2951),
    [sym_kType] = ACTIONS(2951),
    [sym_kAbsolute] = ACTIONS(2951),
    [sym_kProperty] = ACTIONS(2951),
    [sym_kClass] = ACTIONS(2951),
    [sym_kOf] = ACTIONS(2951),
    [sym_kGeneric] = ACTIONS(2951),
    [sym_kLt] = ACTIONS(2951),
    [sym_kEq] = ACTIONS(2953),
    [sym_kNeq] = ACTIONS(2953),
    [sym_kGt] = ACTIONS(2951),
    [sym_kLte] = ACTIONS(2953),
    [sym_kGte] = ACTIONS(2953),
    [sym_kAdd] = ACTIONS(2951),
    [sym_kSub] = ACTIONS(2951),
    [sym_kMul] = ACTIONS(2951),
    [sym_kFdiv] = ACTIONS(2951),
    [sym_kHat] = ACTIONS(2953),
    [sym_kAssign] = ACTIONS(2953),
    [sym_kAssignAdd] = ACTIONS(2953),
    [sym_kAssignSub] = ACTIONS(2953),
    [sym_kAssignMul] = ACTIONS(2953),
    [sym_kAssignDiv] = ACTIONS(2953),
    [sym_kOr] = ACTIONS(2951),
    [sym_kXor] = ACTIONS(2951),
    [sym_kDiv] = ACTIONS(2951),
    [sym_kMod] = ACTIONS(2951),
    [sym_kAnd] = ACTIONS(2951),
    [sym_kShl] = ACTIONS(2951),
    [sym_kShr] = ACTIONS(2951),
    [sym_kIs] = ACTIONS(2951),
    [sym_kAs] = ACTIONS(2951),
    [sym_kIn] = ACTIONS(2951),
    [sym_kThen] = ACTIONS(2951),
    [sym_kElse] = ACTIONS(2951),
    [sym_kDo] = ACTIONS(2951),
    [sym_kUntil] = ACTIONS(2951),
    [sym_kExcept] = ACTIONS(2951),
    [sym_kFinally] = ACTIONS(2951),
    [sym_kCase] = ACTIONS(2951),
    [sym_kFunction] = ACTIONS(2951),
    [sym_kProcedure] = ACTIONS(2951),
    [sym_kConstructor] = ACTIONS(2951),
    [sym_kDestructor] = ACTIONS(2951),
    [sym_kOperator] = ACTIONS(2951),
    [sym_kPublished] = ACTIONS(2951),
    [sym_kPublic] = ACTIONS(2951),
    [sym_kProtected] = ACTIONS(2951),
    [sym_kPrivate] = ACTIONS(2951),
    [sym_kStrict] = ACTIONS(2951),
    [sym_kRequired] = ACTIONS(2951),
    [sym_kOptional] = ACTIONS(2951),
    [sym_kDelayed] = ACTIONS(2951),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_RBRACK] = ACTIONS(2957),
    [anon_sym_LPAREN] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2957),
    [sym_kEnd] = ACTIONS(2955),
    [sym_kVar] = ACTIONS(2955),
    [sym_kThreadvar] = ACTIONS(2955),
    [sym_kConst] = ACTIONS(2955),
    [sym_kResourcestring] = ACTIONS(2955),
    [sym_kType] = ACTIONS(2955),
    [sym_kAbsolute] = ACTIONS(2955),
    [sym_kProperty] = ACTIONS(2955),
    [sym_kClass] = ACTIONS(2955),
    [sym_kOf] = ACTIONS(2955),
    [sym_kGeneric] = ACTIONS(2955),
    [sym_kLt] = ACTIONS(2955),
    [sym_kEq] = ACTIONS(2957),
    [sym_kNeq] = ACTIONS(2957),
    [sym_kGt] = ACTIONS(2955),
    [sym_kLte] = ACTIONS(2957),
    [sym_kGte] = ACTIONS(2957),
    [sym_kAdd] = ACTIONS(2955),
    [sym_kSub] = ACTIONS(2955),
    [sym_kMul] = ACTIONS(2955),
    [sym_kFdiv] = ACTIONS(2955),
    [sym_kHat] = ACTIONS(2957),
    [sym_kAssign] = ACTIONS(2957),
    [sym_kAssignAdd] = ACTIONS(2957),
    [sym_kAssignSub] = ACTIONS(2957),
    [sym_kAssignMul] = ACTIONS(2957),
    [sym_kAssignDiv] = ACTIONS(2957),
    [sym_kOr] = ACTIONS(2955),
    [sym_kXor] = ACTIONS(2955),
    [sym_kDiv] = ACTIONS(2955),
    [sym_kMod] = ACTIONS(2955),
    [sym_kAnd] = ACTIONS(2955),
    [sym_kShl] = ACTIONS(2955),
    [sym_kShr] = ACTIONS(2955),
    [sym_kIs] = ACTIONS(2955),
    [sym_kAs] = ACTIONS(2955),
    [sym_kIn] = ACTIONS(2955),
    [sym_kThen] = ACTIONS(2955),
    [sym_kElse] = ACTIONS(2955),
    [sym_kDo] = ACTIONS(2955),
    [sym_kUntil] = ACTIONS(2955),
    [sym_kExcept] = ACTIONS(2955),
    [sym_kFinally] = ACTIONS(2955),
    [sym_kCase] = ACTIONS(2955),
    [sym_kFunction] = ACTIONS(2955),
    [sym_kProcedure] = ACTIONS(2955),
    [sym_kConstructor] = ACTIONS(2955),
    [sym_kDestructor] = ACTIONS(2955),
    [sym_kOperator] = ACTIONS(2955),
    [sym_kPublished] = ACTIONS(2955),
    [sym_kPublic] = ACTIONS(2955),
    [sym_kProtected] = ACTIONS(2955),
    [sym_kPrivate] = ACTIONS(2955),
    [sym_kStrict] = ACTIONS(2955),
    [sym_kRequired] = ACTIONS(2955),
    [sym_kOptional] = ACTIONS(2955),
    [sym_kDelayed] = ACTIONS(2955),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_COLON] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_RBRACK] = ACTIONS(2961),
    [anon_sym_LPAREN] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2961),
    [sym_kEnd] = ACTIONS(2959),
    [sym_kVar] = ACTIONS(2959),
    [sym_kThreadvar] = ACTIONS(2959),
    [sym_kConst] = ACTIONS(2959),
    [sym_kResourcestring] = ACTIONS(2959),
    [sym_kType] = ACTIONS(2959),
    [sym_kAbsolute] = ACTIONS(2959),
    [sym_kProperty] = ACTIONS(2959),
    [sym_kClass] = ACTIONS(2959),
    [sym_kOf] = ACTIONS(2959),
    [sym_kGeneric] = ACTIONS(2959),
    [sym_kLt] = ACTIONS(2959),
    [sym_kEq] = ACTIONS(2961),
    [sym_kNeq] = ACTIONS(2961),
    [sym_kGt] = ACTIONS(2959),
    [sym_kLte] = ACTIONS(2961),
    [sym_kGte] = ACTIONS(2961),
    [sym_kAdd] = ACTIONS(2959),
    [sym_kSub] = ACTIONS(2959),
    [sym_kMul] = ACTIONS(2959),
    [sym_kFdiv] = ACTIONS(2959),
    [sym_kHat] = ACTIONS(2961),
    [sym_kAssign] = ACTIONS(2961),
    [sym_kAssignAdd] = ACTIONS(2961),
    [sym_kAssignSub] = ACTIONS(2961),
    [sym_kAssignMul] = ACTIONS(2961),
    [sym_kAssignDiv] = ACTIONS(2961),
    [sym_kOr] = ACTIONS(2959),
    [sym_kXor] = ACTIONS(2959),
    [sym_kDiv] = ACTIONS(2959),
    [sym_kMod] = ACTIONS(2959),
    [sym_kAnd] = ACTIONS(2959),
    [sym_kShl] = ACTIONS(2959),
    [sym_kShr] = ACTIONS(2959),
    [sym_kIs] = ACTIONS(2959),
    [sym_kAs] = ACTIONS(2959),
    [sym_kIn] = ACTIONS(2959),
    [sym_kThen] = ACTIONS(2959),
    [sym_kElse] = ACTIONS(2959),
    [sym_kDo] = ACTIONS(2959),
    [sym_kUntil] = ACTIONS(2959),
    [sym_kExcept] = ACTIONS(2959),
    [sym_kFinally] = ACTIONS(2959),
    [sym_kCase] = ACTIONS(2959),
    [sym_kFunction] = ACTIONS(2959),
    [sym_kProcedure] = ACTIONS(2959),
    [sym_kConstructor] = ACTIONS(2959),
    [sym_kDestructor] = ACTIONS(2959),
    [sym_kOperator] = ACTIONS(2959),
    [sym_kPublished] = ACTIONS(2959),
    [sym_kPublic] = ACTIONS(2959),
    [sym_kProtected] = ACTIONS(2959),
    [sym_kPrivate] = ACTIONS(2959),
    [sym_kStrict] = ACTIONS(2959),
    [sym_kRequired] = ACTIONS(2959),
    [sym_kOptional] = ACTIONS(2959),
    [sym_kDelayed] = ACTIONS(2959),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_RBRACK] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2965),
    [sym_kEnd] = ACTIONS(2963),
    [sym_kVar] = ACTIONS(2963),
    [sym_kThreadvar] = ACTIONS(2963),
    [sym_kConst] = ACTIONS(2963),
    [sym_kResourcestring] = ACTIONS(2963),
    [sym_kType] = ACTIONS(2963),
    [sym_kAbsolute] = ACTIONS(2963),
    [sym_kProperty] = ACTIONS(2963),
    [sym_kClass] = ACTIONS(2963),
    [sym_kOf] = ACTIONS(2963),
    [sym_kGeneric] = ACTIONS(2963),
    [sym_kLt] = ACTIONS(2963),
    [sym_kEq] = ACTIONS(2965),
    [sym_kNeq] = ACTIONS(2965),
    [sym_kGt] = ACTIONS(2963),
    [sym_kLte] = ACTIONS(2965),
    [sym_kGte] = ACTIONS(2965),
    [sym_kAdd] = ACTIONS(2963),
    [sym_kSub] = ACTIONS(2963),
    [sym_kMul] = ACTIONS(2963),
    [sym_kFdiv] = ACTIONS(2963),
    [sym_kHat] = ACTIONS(2965),
    [sym_kAssign] = ACTIONS(2965),
    [sym_kAssignAdd] = ACTIONS(2965),
    [sym_kAssignSub] = ACTIONS(2965),
    [sym_kAssignMul] = ACTIONS(2965),
    [sym_kAssignDiv] = ACTIONS(2965),
    [sym_kOr] = ACTIONS(2963),
    [sym_kXor] = ACTIONS(2963),
    [sym_kDiv] = ACTIONS(2963),
    [sym_kMod] = ACTIONS(2963),
    [sym_kAnd] = ACTIONS(2963),
    [sym_kShl] = ACTIONS(2963),
    [sym_kShr] = ACTIONS(2963),
    [sym_kIs] = ACTIONS(2963),
    [sym_kAs] = ACTIONS(2963),
    [sym_kIn] = ACTIONS(2963),
    [sym_kThen] = ACTIONS(2963),
    [sym_kElse] = ACTIONS(2963),
    [sym_kDo] = ACTIONS(2963),
    [sym_kUntil] = ACTIONS(2963),
    [sym_kExcept] = ACTIONS(2963),
    [sym_kFinally] = ACTIONS(2963),
    [sym_kCase] = ACTIONS(2963),
    [sym_kFunction] = ACTIONS(2963),
    [sym_kProcedure] = ACTIONS(2963),
    [sym_kConstructor] = ACTIONS(2963),
    [sym_kDestructor] = ACTIONS(2963),
    [sym_kOperator] = ACTIONS(2963),
    [sym_kPublished] = ACTIONS(2963),
    [sym_kPublic] = ACTIONS(2963),
    [sym_kProtected] = ACTIONS(2963),
    [sym_kPrivate] = ACTIONS(2963),
    [sym_kStrict] = ACTIONS(2963),
    [sym_kRequired] = ACTIONS(2963),
    [sym_kOptional] = ACTIONS(2963),
    [sym_kDelayed] = ACTIONS(2963),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_COLON] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_RBRACK] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT] = ACTIONS(2969),
    [sym_kEnd] = ACTIONS(2967),
    [sym_kVar] = ACTIONS(2967),
    [sym_kThreadvar] = ACTIONS(2967),
    [sym_kConst] = ACTIONS(2967),
    [sym_kResourcestring] = ACTIONS(2967),
    [sym_kType] = ACTIONS(2967),
    [sym_kAbsolute] = ACTIONS(2967),
    [sym_kProperty] = ACTIONS(2967),
    [sym_kClass] = ACTIONS(2967),
    [sym_kOf] = ACTIONS(2967),
    [sym_kGeneric] = ACTIONS(2967),
    [sym_kLt] = ACTIONS(2967),
    [sym_kEq] = ACTIONS(2969),
    [sym_kNeq] = ACTIONS(2969),
    [sym_kGt] = ACTIONS(2967),
    [sym_kLte] = ACTIONS(2969),
    [sym_kGte] = ACTIONS(2969),
    [sym_kAdd] = ACTIONS(2967),
    [sym_kSub] = ACTIONS(2967),
    [sym_kMul] = ACTIONS(2967),
    [sym_kFdiv] = ACTIONS(2967),
    [sym_kHat] = ACTIONS(2969),
    [sym_kAssign] = ACTIONS(2969),
    [sym_kAssignAdd] = ACTIONS(2969),
    [sym_kAssignSub] = ACTIONS(2969),
    [sym_kAssignMul] = ACTIONS(2969),
    [sym_kAssignDiv] = ACTIONS(2969),
    [sym_kOr] = ACTIONS(2967),
    [sym_kXor] = ACTIONS(2967),
    [sym_kDiv] = ACTIONS(2967),
    [sym_kMod] = ACTIONS(2967),
    [sym_kAnd] = ACTIONS(2967),
    [sym_kShl] = ACTIONS(2967),
    [sym_kShr] = ACTIONS(2967),
    [sym_kIs] = ACTIONS(2967),
    [sym_kAs] = ACTIONS(2967),
    [sym_kIn] = ACTIONS(2967),
    [sym_kThen] = ACTIONS(2967),
    [sym_kElse] = ACTIONS(2967),
    [sym_kDo] = ACTIONS(2967),
    [sym_kUntil] = ACTIONS(2967),
    [sym_kExcept] = ACTIONS(2967),
    [sym_kFinally] = ACTIONS(2967),
    [sym_kCase] = ACTIONS(2967),
    [sym_kFunction] = ACTIONS(2967),
    [sym_kProcedure] = ACTIONS(2967),
    [sym_kConstructor] = ACTIONS(2967),
    [sym_kDestructor] = ACTIONS(2967),
    [sym_kOperator] = ACTIONS(2967),
    [sym_kPublished] = ACTIONS(2967),
    [sym_kPublic] = ACTIONS(2967),
    [sym_kProtected] = ACTIONS(2967),
    [sym_kPrivate] = ACTIONS(2967),
    [sym_kStrict] = ACTIONS(2967),
    [sym_kRequired] = ACTIONS(2967),
    [sym_kOptional] = ACTIONS(2967),
    [sym_kDelayed] = ACTIONS(2967),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_RBRACK] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2973),
    [anon_sym_DOT] = ACTIONS(2973),
    [sym_kEnd] = ACTIONS(2971),
    [sym_kVar] = ACTIONS(2971),
    [sym_kThreadvar] = ACTIONS(2971),
    [sym_kConst] = ACTIONS(2971),
    [sym_kResourcestring] = ACTIONS(2971),
    [sym_kType] = ACTIONS(2971),
    [sym_kAbsolute] = ACTIONS(2971),
    [sym_kProperty] = ACTIONS(2971),
    [sym_kClass] = ACTIONS(2971),
    [sym_kOf] = ACTIONS(2971),
    [sym_kGeneric] = ACTIONS(2971),
    [sym_kLt] = ACTIONS(2971),
    [sym_kEq] = ACTIONS(2973),
    [sym_kNeq] = ACTIONS(2973),
    [sym_kGt] = ACTIONS(2971),
    [sym_kLte] = ACTIONS(2973),
    [sym_kGte] = ACTIONS(2973),
    [sym_kAdd] = ACTIONS(2971),
    [sym_kSub] = ACTIONS(2971),
    [sym_kMul] = ACTIONS(2971),
    [sym_kFdiv] = ACTIONS(2971),
    [sym_kHat] = ACTIONS(2973),
    [sym_kAssign] = ACTIONS(2973),
    [sym_kAssignAdd] = ACTIONS(2973),
    [sym_kAssignSub] = ACTIONS(2973),
    [sym_kAssignMul] = ACTIONS(2973),
    [sym_kAssignDiv] = ACTIONS(2973),
    [sym_kOr] = ACTIONS(2971),
    [sym_kXor] = ACTIONS(2971),
    [sym_kDiv] = ACTIONS(2971),
    [sym_kMod] = ACTIONS(2971),
    [sym_kAnd] = ACTIONS(2971),
    [sym_kShl] = ACTIONS(2971),
    [sym_kShr] = ACTIONS(2971),
    [sym_kIs] = ACTIONS(2971),
    [sym_kAs] = ACTIONS(2971),
    [sym_kIn] = ACTIONS(2971),
    [sym_kThen] = ACTIONS(2971),
    [sym_kElse] = ACTIONS(2971),
    [sym_kDo] = ACTIONS(2971),
    [sym_kUntil] = ACTIONS(2971),
    [sym_kExcept] = ACTIONS(2971),
    [sym_kFinally] = ACTIONS(2971),
    [sym_kCase] = ACTIONS(2971),
    [sym_kFunction] = ACTIONS(2971),
    [sym_kProcedure] = ACTIONS(2971),
    [sym_kConstructor] = ACTIONS(2971),
    [sym_kDestructor] = ACTIONS(2971),
    [sym_kOperator] = ACTIONS(2971),
    [sym_kPublished] = ACTIONS(2971),
    [sym_kPublic] = ACTIONS(2971),
    [sym_kProtected] = ACTIONS(2971),
    [sym_kPrivate] = ACTIONS(2971),
    [sym_kStrict] = ACTIONS(2971),
    [sym_kRequired] = ACTIONS(2971),
    [sym_kOptional] = ACTIONS(2971),
    [sym_kDelayed] = ACTIONS(2971),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym_COLON] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_RBRACK] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_RPAREN] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(2977),
    [sym_kEnd] = ACTIONS(2975),
    [sym_kVar] = ACTIONS(2975),
    [sym_kThreadvar] = ACTIONS(2975),
    [sym_kConst] = ACTIONS(2975),
    [sym_kResourcestring] = ACTIONS(2975),
    [sym_kType] = ACTIONS(2975),
    [sym_kAbsolute] = ACTIONS(2975),
    [sym_kProperty] = ACTIONS(2975),
    [sym_kClass] = ACTIONS(2975),
    [sym_kOf] = ACTIONS(2975),
    [sym_kGeneric] = ACTIONS(2975),
    [sym_kLt] = ACTIONS(2975),
    [sym_kEq] = ACTIONS(2977),
    [sym_kNeq] = ACTIONS(2977),
    [sym_kGt] = ACTIONS(2975),
    [sym_kLte] = ACTIONS(2977),
    [sym_kGte] = ACTIONS(2977),
    [sym_kAdd] = ACTIONS(2975),
    [sym_kSub] = ACTIONS(2975),
    [sym_kMul] = ACTIONS(2975),
    [sym_kFdiv] = ACTIONS(2975),
    [sym_kHat] = ACTIONS(2977),
    [sym_kAssign] = ACTIONS(2977),
    [sym_kAssignAdd] = ACTIONS(2977),
    [sym_kAssignSub] = ACTIONS(2977),
    [sym_kAssignMul] = ACTIONS(2977),
    [sym_kAssignDiv] = ACTIONS(2977),
    [sym_kOr] = ACTIONS(2975),
    [sym_kXor] = ACTIONS(2975),
    [sym_kDiv] = ACTIONS(2975),
    [sym_kMod] = ACTIONS(2975),
    [sym_kAnd] = ACTIONS(2975),
    [sym_kShl] = ACTIONS(2975),
    [sym_kShr] = ACTIONS(2975),
    [sym_kIs] = ACTIONS(2975),
    [sym_kAs] = ACTIONS(2975),
    [sym_kIn] = ACTIONS(2975),
    [sym_kThen] = ACTIONS(2975),
    [sym_kElse] = ACTIONS(2975),
    [sym_kDo] = ACTIONS(2975),
    [sym_kUntil] = ACTIONS(2975),
    [sym_kExcept] = ACTIONS(2975),
    [sym_kFinally] = ACTIONS(2975),
    [sym_kCase] = ACTIONS(2975),
    [sym_kFunction] = ACTIONS(2975),
    [sym_kProcedure] = ACTIONS(2975),
    [sym_kConstructor] = ACTIONS(2975),
    [sym_kDestructor] = ACTIONS(2975),
    [sym_kOperator] = ACTIONS(2975),
    [sym_kPublished] = ACTIONS(2975),
    [sym_kPublic] = ACTIONS(2975),
    [sym_kProtected] = ACTIONS(2975),
    [sym_kPrivate] = ACTIONS(2975),
    [sym_kStrict] = ACTIONS(2975),
    [sym_kRequired] = ACTIONS(2975),
    [sym_kOptional] = ACTIONS(2975),
    [sym_kDelayed] = ACTIONS(2975),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [anon_sym_LBRACK] = ACTIONS(2676),
    [aux_sym_type_token1] = ACTIONS(2676),
    [sym_kUses] = ACTIONS(2676),
    [sym_kBegin] = ACTIONS(2676),
    [sym_kAsm] = ACTIONS(2676),
    [sym_kVar] = ACTIONS(2678),
    [sym_kThreadvar] = ACTIONS(2676),
    [sym_kConst] = ACTIONS(2678),
    [sym_kResourcestring] = ACTIONS(2676),
    [sym_kType] = ACTIONS(2676),
    [sym_kLabel] = ACTIONS(2676),
    [sym_kExports] = ACTIONS(2676),
    [sym_kDefault] = ACTIONS(2676),
    [sym_kNodefault] = ACTIONS(2676),
    [sym_kDispId] = ACTIONS(2676),
    [sym_kClass] = ACTIONS(2676),
    [sym_kGeneric] = ACTIONS(2676),
    [sym_kFunction] = ACTIONS(2676),
    [sym_kProcedure] = ACTIONS(2676),
    [sym_kConstructor] = ACTIONS(2676),
    [sym_kDestructor] = ACTIONS(2676),
    [sym_kOperator] = ACTIONS(2676),
    [sym_kPublic] = ACTIONS(2676),
    [sym_kForward] = ACTIONS(2676),
    [sym_kStatic] = ACTIONS(2676),
    [sym_kVirtual] = ACTIONS(2676),
    [sym_kAbstract] = ACTIONS(2676),
    [sym_kDynamic] = ACTIONS(2676),
    [sym_kOverride] = ACTIONS(2676),
    [sym_kOverload] = ACTIONS(2676),
    [sym_kReintroduce] = ACTIONS(2676),
    [sym_kInline] = ACTIONS(2676),
    [sym_kStdcall] = ACTIONS(2676),
    [sym_kCdecl] = ACTIONS(2676),
    [sym_kCppdecl] = ACTIONS(2676),
    [sym_kPascal] = ACTIONS(2676),
    [sym_kRegister] = ACTIONS(2676),
    [sym_kMwpascal] = ACTIONS(2676),
    [sym_kExternal] = ACTIONS(2676),
    [sym_kMessage] = ACTIONS(2676),
    [sym_kDeprecated] = ACTIONS(2676),
    [sym_kExperimental] = ACTIONS(2676),
    [sym_kPlatform] = ACTIONS(2676),
    [sym_kUnimplemented] = ACTIONS(2676),
    [sym_kCvar] = ACTIONS(2676),
    [sym_kExport] = ACTIONS(2678),
    [sym_kFar] = ACTIONS(2676),
    [sym_kNear] = ACTIONS(2676),
    [sym_kSafecall] = ACTIONS(2676),
    [sym_kAssembler] = ACTIONS(2676),
    [sym_kNostackframe] = ACTIONS(2676),
    [sym_kInterrupt] = ACTIONS(2676),
    [sym_kNoreturn] = ACTIONS(2676),
    [sym_kIocheck] = ACTIONS(2676),
    [sym_kLocal] = ACTIONS(2676),
    [sym_kHardfloat] = ACTIONS(2676),
    [sym_kSoftfloat] = ACTIONS(2676),
    [sym_kMs_abi_default] = ACTIONS(2676),
    [sym_kMs_abi_cdecl] = ACTIONS(2676),
    [sym_kSaveregisters] = ACTIONS(2676),
    [sym_kSysv_abi_default] = ACTIONS(2676),
    [sym_kSysv_abi_cdecl] = ACTIONS(2676),
    [sym_kVectorcall] = ACTIONS(2676),
    [sym_kVarargs] = ACTIONS(2676),
    [sym_kWinapi] = ACTIONS(2676),
    [sym_kAlias] = ACTIONS(2676),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [anon_sym_LBRACK] = ACTIONS(2811),
    [aux_sym_type_token1] = ACTIONS(2811),
    [sym_kUses] = ACTIONS(2811),
    [sym_kBegin] = ACTIONS(2811),
    [sym_kAsm] = ACTIONS(2811),
    [sym_kVar] = ACTIONS(2813),
    [sym_kThreadvar] = ACTIONS(2811),
    [sym_kConst] = ACTIONS(2813),
    [sym_kResourcestring] = ACTIONS(2811),
    [sym_kType] = ACTIONS(2811),
    [sym_kLabel] = ACTIONS(2811),
    [sym_kExports] = ACTIONS(2811),
    [sym_kDefault] = ACTIONS(2811),
    [sym_kNodefault] = ACTIONS(2811),
    [sym_kDispId] = ACTIONS(2811),
    [sym_kClass] = ACTIONS(2811),
    [sym_kGeneric] = ACTIONS(2811),
    [sym_kFunction] = ACTIONS(2811),
    [sym_kProcedure] = ACTIONS(2811),
    [sym_kConstructor] = ACTIONS(2811),
    [sym_kDestructor] = ACTIONS(2811),
    [sym_kOperator] = ACTIONS(2811),
    [sym_kPublic] = ACTIONS(2811),
    [sym_kForward] = ACTIONS(2811),
    [sym_kStatic] = ACTIONS(2811),
    [sym_kVirtual] = ACTIONS(2811),
    [sym_kAbstract] = ACTIONS(2811),
    [sym_kDynamic] = ACTIONS(2811),
    [sym_kOverride] = ACTIONS(2811),
    [sym_kOverload] = ACTIONS(2811),
    [sym_kReintroduce] = ACTIONS(2811),
    [sym_kInline] = ACTIONS(2811),
    [sym_kStdcall] = ACTIONS(2811),
    [sym_kCdecl] = ACTIONS(2811),
    [sym_kCppdecl] = ACTIONS(2811),
    [sym_kPascal] = ACTIONS(2811),
    [sym_kRegister] = ACTIONS(2811),
    [sym_kMwpascal] = ACTIONS(2811),
    [sym_kExternal] = ACTIONS(2811),
    [sym_kMessage] = ACTIONS(2811),
    [sym_kDeprecated] = ACTIONS(2811),
    [sym_kExperimental] = ACTIONS(2811),
    [sym_kPlatform] = ACTIONS(2811),
    [sym_kUnimplemented] = ACTIONS(2811),
    [sym_kCvar] = ACTIONS(2811),
    [sym_kExport] = ACTIONS(2813),
    [sym_kFar] = ACTIONS(2811),
    [sym_kNear] = ACTIONS(2811),
    [sym_kSafecall] = ACTIONS(2811),
    [sym_kAssembler] = ACTIONS(2811),
    [sym_kNostackframe] = ACTIONS(2811),
    [sym_kInterrupt] = ACTIONS(2811),
    [sym_kNoreturn] = ACTIONS(2811),
    [sym_kIocheck] = ACTIONS(2811),
    [sym_kLocal] = ACTIONS(2811),
    [sym_kHardfloat] = ACTIONS(2811),
    [sym_kSoftfloat] = ACTIONS(2811),
    [sym_kMs_abi_default] = ACTIONS(2811),
    [sym_kMs_abi_cdecl] = ACTIONS(2811),
    [sym_kSaveregisters] = ACTIONS(2811),
    [sym_kSysv_abi_default] = ACTIONS(2811),
    [sym_kSysv_abi_cdecl] = ACTIONS(2811),
    [sym_kVectorcall] = ACTIONS(2811),
    [sym_kVarargs] = ACTIONS(2811),
    [sym_kWinapi] = ACTIONS(2811),
    [sym_kAlias] = ACTIONS(2811),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [anon_sym_LBRACK] = ACTIONS(2804),
    [aux_sym_type_token1] = ACTIONS(2804),
    [sym_kUses] = ACTIONS(2804),
    [sym_kBegin] = ACTIONS(2804),
    [sym_kAsm] = ACTIONS(2804),
    [sym_kVar] = ACTIONS(2806),
    [sym_kThreadvar] = ACTIONS(2804),
    [sym_kConst] = ACTIONS(2806),
    [sym_kResourcestring] = ACTIONS(2804),
    [sym_kType] = ACTIONS(2804),
    [sym_kLabel] = ACTIONS(2804),
    [sym_kExports] = ACTIONS(2804),
    [sym_kDefault] = ACTIONS(2804),
    [sym_kNodefault] = ACTIONS(2804),
    [sym_kDispId] = ACTIONS(2804),
    [sym_kClass] = ACTIONS(2804),
    [sym_kGeneric] = ACTIONS(2804),
    [sym_kFunction] = ACTIONS(2804),
    [sym_kProcedure] = ACTIONS(2804),
    [sym_kConstructor] = ACTIONS(2804),
    [sym_kDestructor] = ACTIONS(2804),
    [sym_kOperator] = ACTIONS(2804),
    [sym_kPublic] = ACTIONS(2804),
    [sym_kForward] = ACTIONS(2804),
    [sym_kStatic] = ACTIONS(2804),
    [sym_kVirtual] = ACTIONS(2804),
    [sym_kAbstract] = ACTIONS(2804),
    [sym_kDynamic] = ACTIONS(2804),
    [sym_kOverride] = ACTIONS(2804),
    [sym_kOverload] = ACTIONS(2804),
    [sym_kReintroduce] = ACTIONS(2804),
    [sym_kInline] = ACTIONS(2804),
    [sym_kStdcall] = ACTIONS(2804),
    [sym_kCdecl] = ACTIONS(2804),
    [sym_kCppdecl] = ACTIONS(2804),
    [sym_kPascal] = ACTIONS(2804),
    [sym_kRegister] = ACTIONS(2804),
    [sym_kMwpascal] = ACTIONS(2804),
    [sym_kExternal] = ACTIONS(2804),
    [sym_kMessage] = ACTIONS(2804),
    [sym_kDeprecated] = ACTIONS(2804),
    [sym_kExperimental] = ACTIONS(2804),
    [sym_kPlatform] = ACTIONS(2804),
    [sym_kUnimplemented] = ACTIONS(2804),
    [sym_kCvar] = ACTIONS(2804),
    [sym_kExport] = ACTIONS(2806),
    [sym_kFar] = ACTIONS(2804),
    [sym_kNear] = ACTIONS(2804),
    [sym_kSafecall] = ACTIONS(2804),
    [sym_kAssembler] = ACTIONS(2804),
    [sym_kNostackframe] = ACTIONS(2804),
    [sym_kInterrupt] = ACTIONS(2804),
    [sym_kNoreturn] = ACTIONS(2804),
    [sym_kIocheck] = ACTIONS(2804),
    [sym_kLocal] = ACTIONS(2804),
    [sym_kHardfloat] = ACTIONS(2804),
    [sym_kSoftfloat] = ACTIONS(2804),
    [sym_kMs_abi_default] = ACTIONS(2804),
    [sym_kMs_abi_cdecl] = ACTIONS(2804),
    [sym_kSaveregisters] = ACTIONS(2804),
    [sym_kSysv_abi_default] = ACTIONS(2804),
    [sym_kSysv_abi_cdecl] = ACTIONS(2804),
    [sym_kVectorcall] = ACTIONS(2804),
    [sym_kVarargs] = ACTIONS(2804),
    [sym_kWinapi] = ACTIONS(2804),
    [sym_kAlias] = ACTIONS(2804),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_COLON] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_RBRACK] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_RPAREN] = ACTIONS(2981),
    [anon_sym_DOT] = ACTIONS(2981),
    [sym_kEnd] = ACTIONS(2979),
    [sym_kVar] = ACTIONS(2979),
    [sym_kThreadvar] = ACTIONS(2979),
    [sym_kConst] = ACTIONS(2979),
    [sym_kResourcestring] = ACTIONS(2979),
    [sym_kType] = ACTIONS(2979),
    [sym_kAbsolute] = ACTIONS(2979),
    [sym_kProperty] = ACTIONS(2979),
    [sym_kClass] = ACTIONS(2979),
    [sym_kOf] = ACTIONS(2979),
    [sym_kGeneric] = ACTIONS(2979),
    [sym_kLt] = ACTIONS(2979),
    [sym_kEq] = ACTIONS(2981),
    [sym_kNeq] = ACTIONS(2981),
    [sym_kGt] = ACTIONS(2979),
    [sym_kLte] = ACTIONS(2981),
    [sym_kGte] = ACTIONS(2981),
    [sym_kAdd] = ACTIONS(2979),
    [sym_kSub] = ACTIONS(2979),
    [sym_kMul] = ACTIONS(2979),
    [sym_kFdiv] = ACTIONS(2979),
    [sym_kHat] = ACTIONS(2981),
    [sym_kAssign] = ACTIONS(2981),
    [sym_kAssignAdd] = ACTIONS(2981),
    [sym_kAssignSub] = ACTIONS(2981),
    [sym_kAssignMul] = ACTIONS(2981),
    [sym_kAssignDiv] = ACTIONS(2981),
    [sym_kOr] = ACTIONS(2979),
    [sym_kXor] = ACTIONS(2979),
    [sym_kDiv] = ACTIONS(2979),
    [sym_kMod] = ACTIONS(2979),
    [sym_kAnd] = ACTIONS(2979),
    [sym_kShl] = ACTIONS(2979),
    [sym_kShr] = ACTIONS(2979),
    [sym_kIs] = ACTIONS(2979),
    [sym_kAs] = ACTIONS(2979),
    [sym_kIn] = ACTIONS(2979),
    [sym_kThen] = ACTIONS(2979),
    [sym_kElse] = ACTIONS(2979),
    [sym_kDo] = ACTIONS(2979),
    [sym_kUntil] = ACTIONS(2979),
    [sym_kExcept] = ACTIONS(2979),
    [sym_kFinally] = ACTIONS(2979),
    [sym_kCase] = ACTIONS(2979),
    [sym_kFunction] = ACTIONS(2979),
    [sym_kProcedure] = ACTIONS(2979),
    [sym_kConstructor] = ACTIONS(2979),
    [sym_kDestructor] = ACTIONS(2979),
    [sym_kOperator] = ACTIONS(2979),
    [sym_kPublished] = ACTIONS(2979),
    [sym_kPublic] = ACTIONS(2979),
    [sym_kProtected] = ACTIONS(2979),
    [sym_kPrivate] = ACTIONS(2979),
    [sym_kStrict] = ACTIONS(2979),
    [sym_kRequired] = ACTIONS(2979),
    [sym_kOptional] = ACTIONS(2979),
    [sym_kDelayed] = ACTIONS(2979),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym_COLON] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_RBRACK] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_RPAREN] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2985),
    [sym_kEnd] = ACTIONS(2983),
    [sym_kVar] = ACTIONS(2983),
    [sym_kThreadvar] = ACTIONS(2983),
    [sym_kConst] = ACTIONS(2983),
    [sym_kResourcestring] = ACTIONS(2983),
    [sym_kType] = ACTIONS(2983),
    [sym_kAbsolute] = ACTIONS(2983),
    [sym_kProperty] = ACTIONS(2983),
    [sym_kClass] = ACTIONS(2983),
    [sym_kOf] = ACTIONS(2983),
    [sym_kGeneric] = ACTIONS(2983),
    [sym_kLt] = ACTIONS(2983),
    [sym_kEq] = ACTIONS(2985),
    [sym_kNeq] = ACTIONS(2985),
    [sym_kGt] = ACTIONS(2983),
    [sym_kLte] = ACTIONS(2985),
    [sym_kGte] = ACTIONS(2985),
    [sym_kAdd] = ACTIONS(2983),
    [sym_kSub] = ACTIONS(2983),
    [sym_kMul] = ACTIONS(2983),
    [sym_kFdiv] = ACTIONS(2983),
    [sym_kHat] = ACTIONS(2985),
    [sym_kAssign] = ACTIONS(2985),
    [sym_kAssignAdd] = ACTIONS(2985),
    [sym_kAssignSub] = ACTIONS(2985),
    [sym_kAssignMul] = ACTIONS(2985),
    [sym_kAssignDiv] = ACTIONS(2985),
    [sym_kOr] = ACTIONS(2983),
    [sym_kXor] = ACTIONS(2983),
    [sym_kDiv] = ACTIONS(2983),
    [sym_kMod] = ACTIONS(2983),
    [sym_kAnd] = ACTIONS(2983),
    [sym_kShl] = ACTIONS(2983),
    [sym_kShr] = ACTIONS(2983),
    [sym_kIs] = ACTIONS(2983),
    [sym_kAs] = ACTIONS(2983),
    [sym_kIn] = ACTIONS(2983),
    [sym_kThen] = ACTIONS(2983),
    [sym_kElse] = ACTIONS(2983),
    [sym_kDo] = ACTIONS(2983),
    [sym_kUntil] = ACTIONS(2983),
    [sym_kExcept] = ACTIONS(2983),
    [sym_kFinally] = ACTIONS(2983),
    [sym_kCase] = ACTIONS(2983),
    [sym_kFunction] = ACTIONS(2983),
    [sym_kProcedure] = ACTIONS(2983),
    [sym_kConstructor] = ACTIONS(2983),
    [sym_kDestructor] = ACTIONS(2983),
    [sym_kOperator] = ACTIONS(2983),
    [sym_kPublished] = ACTIONS(2983),
    [sym_kPublic] = ACTIONS(2983),
    [sym_kProtected] = ACTIONS(2983),
    [sym_kPrivate] = ACTIONS(2983),
    [sym_kStrict] = ACTIONS(2983),
    [sym_kRequired] = ACTIONS(2983),
    [sym_kOptional] = ACTIONS(2983),
    [sym_kDelayed] = ACTIONS(2983),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [anon_sym_LBRACK] = ACTIONS(2692),
    [aux_sym_type_token1] = ACTIONS(2692),
    [sym_kUses] = ACTIONS(2692),
    [sym_kBegin] = ACTIONS(2692),
    [sym_kAsm] = ACTIONS(2692),
    [sym_kVar] = ACTIONS(2694),
    [sym_kThreadvar] = ACTIONS(2692),
    [sym_kConst] = ACTIONS(2694),
    [sym_kResourcestring] = ACTIONS(2692),
    [sym_kType] = ACTIONS(2692),
    [sym_kLabel] = ACTIONS(2692),
    [sym_kExports] = ACTIONS(2692),
    [sym_kDefault] = ACTIONS(2692),
    [sym_kNodefault] = ACTIONS(2692),
    [sym_kDispId] = ACTIONS(2692),
    [sym_kClass] = ACTIONS(2692),
    [sym_kGeneric] = ACTIONS(2692),
    [sym_kFunction] = ACTIONS(2692),
    [sym_kProcedure] = ACTIONS(2692),
    [sym_kConstructor] = ACTIONS(2692),
    [sym_kDestructor] = ACTIONS(2692),
    [sym_kOperator] = ACTIONS(2692),
    [sym_kPublic] = ACTIONS(2692),
    [sym_kForward] = ACTIONS(2692),
    [sym_kStatic] = ACTIONS(2692),
    [sym_kVirtual] = ACTIONS(2692),
    [sym_kAbstract] = ACTIONS(2692),
    [sym_kDynamic] = ACTIONS(2692),
    [sym_kOverride] = ACTIONS(2692),
    [sym_kOverload] = ACTIONS(2692),
    [sym_kReintroduce] = ACTIONS(2692),
    [sym_kInline] = ACTIONS(2692),
    [sym_kStdcall] = ACTIONS(2692),
    [sym_kCdecl] = ACTIONS(2692),
    [sym_kCppdecl] = ACTIONS(2692),
    [sym_kPascal] = ACTIONS(2692),
    [sym_kRegister] = ACTIONS(2692),
    [sym_kMwpascal] = ACTIONS(2692),
    [sym_kExternal] = ACTIONS(2692),
    [sym_kMessage] = ACTIONS(2692),
    [sym_kDeprecated] = ACTIONS(2692),
    [sym_kExperimental] = ACTIONS(2692),
    [sym_kPlatform] = ACTIONS(2692),
    [sym_kUnimplemented] = ACTIONS(2692),
    [sym_kCvar] = ACTIONS(2692),
    [sym_kExport] = ACTIONS(2694),
    [sym_kFar] = ACTIONS(2692),
    [sym_kNear] = ACTIONS(2692),
    [sym_kSafecall] = ACTIONS(2692),
    [sym_kAssembler] = ACTIONS(2692),
    [sym_kNostackframe] = ACTIONS(2692),
    [sym_kInterrupt] = ACTIONS(2692),
    [sym_kNoreturn] = ACTIONS(2692),
    [sym_kIocheck] = ACTIONS(2692),
    [sym_kLocal] = ACTIONS(2692),
    [sym_kHardfloat] = ACTIONS(2692),
    [sym_kSoftfloat] = ACTIONS(2692),
    [sym_kMs_abi_default] = ACTIONS(2692),
    [sym_kMs_abi_cdecl] = ACTIONS(2692),
    [sym_kSaveregisters] = ACTIONS(2692),
    [sym_kSysv_abi_default] = ACTIONS(2692),
    [sym_kSysv_abi_cdecl] = ACTIONS(2692),
    [sym_kVectorcall] = ACTIONS(2692),
    [sym_kVarargs] = ACTIONS(2692),
    [sym_kWinapi] = ACTIONS(2692),
    [sym_kAlias] = ACTIONS(2692),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym_COLON] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_RBRACK] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_DOT] = ACTIONS(2989),
    [sym_kEnd] = ACTIONS(2987),
    [sym_kVar] = ACTIONS(2987),
    [sym_kThreadvar] = ACTIONS(2987),
    [sym_kConst] = ACTIONS(2987),
    [sym_kResourcestring] = ACTIONS(2987),
    [sym_kType] = ACTIONS(2987),
    [sym_kAbsolute] = ACTIONS(2987),
    [sym_kProperty] = ACTIONS(2987),
    [sym_kClass] = ACTIONS(2987),
    [sym_kOf] = ACTIONS(2987),
    [sym_kGeneric] = ACTIONS(2987),
    [sym_kLt] = ACTIONS(2987),
    [sym_kEq] = ACTIONS(2989),
    [sym_kNeq] = ACTIONS(2989),
    [sym_kGt] = ACTIONS(2987),
    [sym_kLte] = ACTIONS(2989),
    [sym_kGte] = ACTIONS(2989),
    [sym_kAdd] = ACTIONS(2987),
    [sym_kSub] = ACTIONS(2987),
    [sym_kMul] = ACTIONS(2987),
    [sym_kFdiv] = ACTIONS(2987),
    [sym_kHat] = ACTIONS(2989),
    [sym_kAssign] = ACTIONS(2989),
    [sym_kAssignAdd] = ACTIONS(2989),
    [sym_kAssignSub] = ACTIONS(2989),
    [sym_kAssignMul] = ACTIONS(2989),
    [sym_kAssignDiv] = ACTIONS(2989),
    [sym_kOr] = ACTIONS(2987),
    [sym_kXor] = ACTIONS(2987),
    [sym_kDiv] = ACTIONS(2987),
    [sym_kMod] = ACTIONS(2987),
    [sym_kAnd] = ACTIONS(2987),
    [sym_kShl] = ACTIONS(2987),
    [sym_kShr] = ACTIONS(2987),
    [sym_kIs] = ACTIONS(2987),
    [sym_kAs] = ACTIONS(2987),
    [sym_kIn] = ACTIONS(2987),
    [sym_kThen] = ACTIONS(2987),
    [sym_kElse] = ACTIONS(2987),
    [sym_kDo] = ACTIONS(2987),
    [sym_kUntil] = ACTIONS(2987),
    [sym_kExcept] = ACTIONS(2987),
    [sym_kFinally] = ACTIONS(2987),
    [sym_kCase] = ACTIONS(2987),
    [sym_kFunction] = ACTIONS(2987),
    [sym_kProcedure] = ACTIONS(2987),
    [sym_kConstructor] = ACTIONS(2987),
    [sym_kDestructor] = ACTIONS(2987),
    [sym_kOperator] = ACTIONS(2987),
    [sym_kPublished] = ACTIONS(2987),
    [sym_kPublic] = ACTIONS(2987),
    [sym_kProtected] = ACTIONS(2987),
    [sym_kPrivate] = ACTIONS(2987),
    [sym_kStrict] = ACTIONS(2987),
    [sym_kRequired] = ACTIONS(2987),
    [sym_kOptional] = ACTIONS(2987),
    [sym_kDelayed] = ACTIONS(2987),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_RBRACK] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2993),
    [sym_kEnd] = ACTIONS(2991),
    [sym_kVar] = ACTIONS(2991),
    [sym_kThreadvar] = ACTIONS(2991),
    [sym_kConst] = ACTIONS(2991),
    [sym_kResourcestring] = ACTIONS(2991),
    [sym_kType] = ACTIONS(2991),
    [sym_kAbsolute] = ACTIONS(2991),
    [sym_kProperty] = ACTIONS(2991),
    [sym_kClass] = ACTIONS(2991),
    [sym_kOf] = ACTIONS(2991),
    [sym_kGeneric] = ACTIONS(2991),
    [sym_kLt] = ACTIONS(2991),
    [sym_kEq] = ACTIONS(2993),
    [sym_kNeq] = ACTIONS(2993),
    [sym_kGt] = ACTIONS(2991),
    [sym_kLte] = ACTIONS(2993),
    [sym_kGte] = ACTIONS(2993),
    [sym_kAdd] = ACTIONS(2991),
    [sym_kSub] = ACTIONS(2991),
    [sym_kMul] = ACTIONS(2991),
    [sym_kFdiv] = ACTIONS(2991),
    [sym_kHat] = ACTIONS(2939),
    [sym_kAssign] = ACTIONS(2993),
    [sym_kAssignAdd] = ACTIONS(2993),
    [sym_kAssignSub] = ACTIONS(2993),
    [sym_kAssignMul] = ACTIONS(2993),
    [sym_kAssignDiv] = ACTIONS(2993),
    [sym_kOr] = ACTIONS(2991),
    [sym_kXor] = ACTIONS(2991),
    [sym_kDiv] = ACTIONS(2991),
    [sym_kMod] = ACTIONS(2991),
    [sym_kAnd] = ACTIONS(2991),
    [sym_kShl] = ACTIONS(2991),
    [sym_kShr] = ACTIONS(2991),
    [sym_kIs] = ACTIONS(2991),
    [sym_kAs] = ACTIONS(2991),
    [sym_kIn] = ACTIONS(2991),
    [sym_kThen] = ACTIONS(2991),
    [sym_kElse] = ACTIONS(2991),
    [sym_kDo] = ACTIONS(2991),
    [sym_kUntil] = ACTIONS(2991),
    [sym_kExcept] = ACTIONS(2991),
    [sym_kFinally] = ACTIONS(2991),
    [sym_kCase] = ACTIONS(2991),
    [sym_kFunction] = ACTIONS(2991),
    [sym_kProcedure] = ACTIONS(2991),
    [sym_kConstructor] = ACTIONS(2991),
    [sym_kDestructor] = ACTIONS(2991),
    [sym_kOperator] = ACTIONS(2991),
    [sym_kPublished] = ACTIONS(2991),
    [sym_kPublic] = ACTIONS(2991),
    [sym_kProtected] = ACTIONS(2991),
    [sym_kPrivate] = ACTIONS(2991),
    [sym_kStrict] = ACTIONS(2991),
    [sym_kRequired] = ACTIONS(2991),
    [sym_kOptional] = ACTIONS(2991),
    [sym_kDelayed] = ACTIONS(2991),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_RBRACK] = ACTIONS(2997),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2997),
    [anon_sym_DOT] = ACTIONS(2997),
    [sym_kEnd] = ACTIONS(2995),
    [sym_kVar] = ACTIONS(2995),
    [sym_kThreadvar] = ACTIONS(2995),
    [sym_kConst] = ACTIONS(2995),
    [sym_kResourcestring] = ACTIONS(2995),
    [sym_kType] = ACTIONS(2995),
    [sym_kAbsolute] = ACTIONS(2995),
    [sym_kProperty] = ACTIONS(2995),
    [sym_kClass] = ACTIONS(2995),
    [sym_kOf] = ACTIONS(2995),
    [sym_kGeneric] = ACTIONS(2995),
    [sym_kLt] = ACTIONS(2995),
    [sym_kEq] = ACTIONS(2997),
    [sym_kNeq] = ACTIONS(2997),
    [sym_kGt] = ACTIONS(2995),
    [sym_kLte] = ACTIONS(2997),
    [sym_kGte] = ACTIONS(2997),
    [sym_kAdd] = ACTIONS(2995),
    [sym_kSub] = ACTIONS(2995),
    [sym_kMul] = ACTIONS(2995),
    [sym_kFdiv] = ACTIONS(2995),
    [sym_kHat] = ACTIONS(2997),
    [sym_kAssign] = ACTIONS(2997),
    [sym_kAssignAdd] = ACTIONS(2997),
    [sym_kAssignSub] = ACTIONS(2997),
    [sym_kAssignMul] = ACTIONS(2997),
    [sym_kAssignDiv] = ACTIONS(2997),
    [sym_kOr] = ACTIONS(2995),
    [sym_kXor] = ACTIONS(2995),
    [sym_kDiv] = ACTIONS(2995),
    [sym_kMod] = ACTIONS(2995),
    [sym_kAnd] = ACTIONS(2995),
    [sym_kShl] = ACTIONS(2995),
    [sym_kShr] = ACTIONS(2995),
    [sym_kIs] = ACTIONS(2995),
    [sym_kAs] = ACTIONS(2995),
    [sym_kIn] = ACTIONS(2995),
    [sym_kThen] = ACTIONS(2995),
    [sym_kElse] = ACTIONS(2995),
    [sym_kDo] = ACTIONS(2995),
    [sym_kUntil] = ACTIONS(2995),
    [sym_kExcept] = ACTIONS(2995),
    [sym_kFinally] = ACTIONS(2995),
    [sym_kCase] = ACTIONS(2995),
    [sym_kFunction] = ACTIONS(2995),
    [sym_kProcedure] = ACTIONS(2995),
    [sym_kConstructor] = ACTIONS(2995),
    [sym_kDestructor] = ACTIONS(2995),
    [sym_kOperator] = ACTIONS(2995),
    [sym_kPublished] = ACTIONS(2995),
    [sym_kPublic] = ACTIONS(2995),
    [sym_kProtected] = ACTIONS(2995),
    [sym_kPrivate] = ACTIONS(2995),
    [sym_kStrict] = ACTIONS(2995),
    [sym_kRequired] = ACTIONS(2995),
    [sym_kOptional] = ACTIONS(2995),
    [sym_kDelayed] = ACTIONS(2995),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(3001),
    [anon_sym_DOT] = ACTIONS(3001),
    [sym_kEnd] = ACTIONS(2999),
    [sym_kVar] = ACTIONS(2999),
    [sym_kThreadvar] = ACTIONS(2999),
    [sym_kConst] = ACTIONS(2999),
    [sym_kResourcestring] = ACTIONS(2999),
    [sym_kType] = ACTIONS(2999),
    [sym_kAbsolute] = ACTIONS(2999),
    [sym_kProperty] = ACTIONS(2999),
    [sym_kClass] = ACTIONS(2999),
    [sym_kOf] = ACTIONS(2999),
    [sym_kGeneric] = ACTIONS(2999),
    [sym_kLt] = ACTIONS(2999),
    [sym_kEq] = ACTIONS(3001),
    [sym_kNeq] = ACTIONS(3001),
    [sym_kGt] = ACTIONS(2999),
    [sym_kLte] = ACTIONS(3001),
    [sym_kGte] = ACTIONS(3001),
    [sym_kAdd] = ACTIONS(2999),
    [sym_kSub] = ACTIONS(2999),
    [sym_kMul] = ACTIONS(2999),
    [sym_kFdiv] = ACTIONS(2999),
    [sym_kHat] = ACTIONS(3001),
    [sym_kAssign] = ACTIONS(3001),
    [sym_kAssignAdd] = ACTIONS(3001),
    [sym_kAssignSub] = ACTIONS(3001),
    [sym_kAssignMul] = ACTIONS(3001),
    [sym_kAssignDiv] = ACTIONS(3001),
    [sym_kOr] = ACTIONS(2999),
    [sym_kXor] = ACTIONS(2999),
    [sym_kDiv] = ACTIONS(2999),
    [sym_kMod] = ACTIONS(2999),
    [sym_kAnd] = ACTIONS(2999),
    [sym_kShl] = ACTIONS(2999),
    [sym_kShr] = ACTIONS(2999),
    [sym_kIs] = ACTIONS(2999),
    [sym_kAs] = ACTIONS(2999),
    [sym_kIn] = ACTIONS(2999),
    [sym_kThen] = ACTIONS(2999),
    [sym_kElse] = ACTIONS(2999),
    [sym_kDo] = ACTIONS(2999),
    [sym_kUntil] = ACTIONS(2999),
    [sym_kExcept] = ACTIONS(2999),
    [sym_kFinally] = ACTIONS(2999),
    [sym_kCase] = ACTIONS(2999),
    [sym_kFunction] = ACTIONS(2999),
    [sym_kProcedure] = ACTIONS(2999),
    [sym_kConstructor] = ACTIONS(2999),
    [sym_kDestructor] = ACTIONS(2999),
    [sym_kOperator] = ACTIONS(2999),
    [sym_kPublished] = ACTIONS(2999),
    [sym_kPublic] = ACTIONS(2999),
    [sym_kProtected] = ACTIONS(2999),
    [sym_kPrivate] = ACTIONS(2999),
    [sym_kStrict] = ACTIONS(2999),
    [sym_kRequired] = ACTIONS(2999),
    [sym_kOptional] = ACTIONS(2999),
    [sym_kDelayed] = ACTIONS(2999),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [sym_identifier] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym_COLON] = ACTIONS(3003),
    [anon_sym_COMMA] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_RBRACK] = ACTIONS(3005),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_RPAREN] = ACTIONS(3005),
    [anon_sym_DOT] = ACTIONS(3005),
    [sym_kEnd] = ACTIONS(3003),
    [sym_kVar] = ACTIONS(3003),
    [sym_kThreadvar] = ACTIONS(3003),
    [sym_kConst] = ACTIONS(3003),
    [sym_kResourcestring] = ACTIONS(3003),
    [sym_kType] = ACTIONS(3003),
    [sym_kAbsolute] = ACTIONS(3003),
    [sym_kProperty] = ACTIONS(3003),
    [sym_kClass] = ACTIONS(3003),
    [sym_kOf] = ACTIONS(3003),
    [sym_kGeneric] = ACTIONS(3003),
    [sym_kLt] = ACTIONS(3003),
    [sym_kEq] = ACTIONS(3005),
    [sym_kNeq] = ACTIONS(3005),
    [sym_kGt] = ACTIONS(3003),
    [sym_kLte] = ACTIONS(3005),
    [sym_kGte] = ACTIONS(3005),
    [sym_kAdd] = ACTIONS(3003),
    [sym_kSub] = ACTIONS(3003),
    [sym_kMul] = ACTIONS(3003),
    [sym_kFdiv] = ACTIONS(3003),
    [sym_kHat] = ACTIONS(3005),
    [sym_kAssign] = ACTIONS(3005),
    [sym_kAssignAdd] = ACTIONS(3005),
    [sym_kAssignSub] = ACTIONS(3005),
    [sym_kAssignMul] = ACTIONS(3005),
    [sym_kAssignDiv] = ACTIONS(3005),
    [sym_kOr] = ACTIONS(3003),
    [sym_kXor] = ACTIONS(3003),
    [sym_kDiv] = ACTIONS(3003),
    [sym_kMod] = ACTIONS(3003),
    [sym_kAnd] = ACTIONS(3003),
    [sym_kShl] = ACTIONS(3003),
    [sym_kShr] = ACTIONS(3003),
    [sym_kIs] = ACTIONS(3003),
    [sym_kAs] = ACTIONS(3003),
    [sym_kIn] = ACTIONS(3003),
    [sym_kThen] = ACTIONS(3003),
    [sym_kElse] = ACTIONS(3003),
    [sym_kDo] = ACTIONS(3003),
    [sym_kUntil] = ACTIONS(3003),
    [sym_kExcept] = ACTIONS(3003),
    [sym_kFinally] = ACTIONS(3003),
    [sym_kCase] = ACTIONS(3003),
    [sym_kFunction] = ACTIONS(3003),
    [sym_kProcedure] = ACTIONS(3003),
    [sym_kConstructor] = ACTIONS(3003),
    [sym_kDestructor] = ACTIONS(3003),
    [sym_kOperator] = ACTIONS(3003),
    [sym_kPublished] = ACTIONS(3003),
    [sym_kPublic] = ACTIONS(3003),
    [sym_kProtected] = ACTIONS(3003),
    [sym_kPrivate] = ACTIONS(3003),
    [sym_kStrict] = ACTIONS(3003),
    [sym_kRequired] = ACTIONS(3003),
    [sym_kOptional] = ACTIONS(3003),
    [sym_kDelayed] = ACTIONS(3003),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [sym_identifier] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym_COLON] = ACTIONS(3007),
    [anon_sym_COMMA] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_RBRACK] = ACTIONS(3009),
    [anon_sym_LPAREN] = ACTIONS(3007),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_DOT] = ACTIONS(3009),
    [sym_kEnd] = ACTIONS(3007),
    [sym_kVar] = ACTIONS(3007),
    [sym_kThreadvar] = ACTIONS(3007),
    [sym_kConst] = ACTIONS(3007),
    [sym_kResourcestring] = ACTIONS(3007),
    [sym_kType] = ACTIONS(3007),
    [sym_kAbsolute] = ACTIONS(3007),
    [sym_kProperty] = ACTIONS(3007),
    [sym_kClass] = ACTIONS(3007),
    [sym_kOf] = ACTIONS(3007),
    [sym_kGeneric] = ACTIONS(3007),
    [sym_kLt] = ACTIONS(3007),
    [sym_kEq] = ACTIONS(3009),
    [sym_kNeq] = ACTIONS(3009),
    [sym_kGt] = ACTIONS(3007),
    [sym_kLte] = ACTIONS(3009),
    [sym_kGte] = ACTIONS(3009),
    [sym_kAdd] = ACTIONS(3007),
    [sym_kSub] = ACTIONS(3007),
    [sym_kMul] = ACTIONS(3007),
    [sym_kFdiv] = ACTIONS(3007),
    [sym_kHat] = ACTIONS(3009),
    [sym_kAssign] = ACTIONS(3009),
    [sym_kAssignAdd] = ACTIONS(3009),
    [sym_kAssignSub] = ACTIONS(3009),
    [sym_kAssignMul] = ACTIONS(3009),
    [sym_kAssignDiv] = ACTIONS(3009),
    [sym_kOr] = ACTIONS(3007),
    [sym_kXor] = ACTIONS(3007),
    [sym_kDiv] = ACTIONS(3007),
    [sym_kMod] = ACTIONS(3007),
    [sym_kAnd] = ACTIONS(3007),
    [sym_kShl] = ACTIONS(3007),
    [sym_kShr] = ACTIONS(3007),
    [sym_kIs] = ACTIONS(3007),
    [sym_kAs] = ACTIONS(3007),
    [sym_kIn] = ACTIONS(3007),
    [sym_kThen] = ACTIONS(3007),
    [sym_kElse] = ACTIONS(3007),
    [sym_kDo] = ACTIONS(3007),
    [sym_kUntil] = ACTIONS(3007),
    [sym_kExcept] = ACTIONS(3007),
    [sym_kFinally] = ACTIONS(3007),
    [sym_kCase] = ACTIONS(3007),
    [sym_kFunction] = ACTIONS(3007),
    [sym_kProcedure] = ACTIONS(3007),
    [sym_kConstructor] = ACTIONS(3007),
    [sym_kDestructor] = ACTIONS(3007),
    [sym_kOperator] = ACTIONS(3007),
    [sym_kPublished] = ACTIONS(3007),
    [sym_kPublic] = ACTIONS(3007),
    [sym_kProtected] = ACTIONS(3007),
    [sym_kPrivate] = ACTIONS(3007),
    [sym_kStrict] = ACTIONS(3007),
    [sym_kRequired] = ACTIONS(3007),
    [sym_kOptional] = ACTIONS(3007),
    [sym_kDelayed] = ACTIONS(3007),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [sym_identifier] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym_COLON] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_RBRACK] = ACTIONS(3013),
    [anon_sym_LPAREN] = ACTIONS(3011),
    [anon_sym_RPAREN] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(3013),
    [sym_kEnd] = ACTIONS(3011),
    [sym_kVar] = ACTIONS(3011),
    [sym_kThreadvar] = ACTIONS(3011),
    [sym_kConst] = ACTIONS(3011),
    [sym_kResourcestring] = ACTIONS(3011),
    [sym_kType] = ACTIONS(3011),
    [sym_kAbsolute] = ACTIONS(3011),
    [sym_kProperty] = ACTIONS(3011),
    [sym_kClass] = ACTIONS(3011),
    [sym_kOf] = ACTIONS(3011),
    [sym_kGeneric] = ACTIONS(3011),
    [sym_kLt] = ACTIONS(3011),
    [sym_kEq] = ACTIONS(3013),
    [sym_kNeq] = ACTIONS(3013),
    [sym_kGt] = ACTIONS(3011),
    [sym_kLte] = ACTIONS(3013),
    [sym_kGte] = ACTIONS(3013),
    [sym_kAdd] = ACTIONS(3011),
    [sym_kSub] = ACTIONS(3011),
    [sym_kMul] = ACTIONS(3011),
    [sym_kFdiv] = ACTIONS(3011),
    [sym_kHat] = ACTIONS(3013),
    [sym_kAssign] = ACTIONS(3013),
    [sym_kAssignAdd] = ACTIONS(3013),
    [sym_kAssignSub] = ACTIONS(3013),
    [sym_kAssignMul] = ACTIONS(3013),
    [sym_kAssignDiv] = ACTIONS(3013),
    [sym_kOr] = ACTIONS(3011),
    [sym_kXor] = ACTIONS(3011),
    [sym_kDiv] = ACTIONS(3011),
    [sym_kMod] = ACTIONS(3011),
    [sym_kAnd] = ACTIONS(3011),
    [sym_kShl] = ACTIONS(3011),
    [sym_kShr] = ACTIONS(3011),
    [sym_kIs] = ACTIONS(3011),
    [sym_kAs] = ACTIONS(3011),
    [sym_kIn] = ACTIONS(3011),
    [sym_kThen] = ACTIONS(3011),
    [sym_kElse] = ACTIONS(3011),
    [sym_kDo] = ACTIONS(3011),
    [sym_kUntil] = ACTIONS(3011),
    [sym_kExcept] = ACTIONS(3011),
    [sym_kFinally] = ACTIONS(3011),
    [sym_kCase] = ACTIONS(3011),
    [sym_kFunction] = ACTIONS(3011),
    [sym_kProcedure] = ACTIONS(3011),
    [sym_kConstructor] = ACTIONS(3011),
    [sym_kDestructor] = ACTIONS(3011),
    [sym_kOperator] = ACTIONS(3011),
    [sym_kPublished] = ACTIONS(3011),
    [sym_kPublic] = ACTIONS(3011),
    [sym_kProtected] = ACTIONS(3011),
    [sym_kPrivate] = ACTIONS(3011),
    [sym_kStrict] = ACTIONS(3011),
    [sym_kRequired] = ACTIONS(3011),
    [sym_kOptional] = ACTIONS(3011),
    [sym_kDelayed] = ACTIONS(3011),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym_COLON] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_RBRACK] = ACTIONS(2921),
    [anon_sym_LPAREN] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [sym_kEnd] = ACTIONS(2919),
    [sym_kVar] = ACTIONS(2919),
    [sym_kThreadvar] = ACTIONS(2919),
    [sym_kConst] = ACTIONS(2919),
    [sym_kResourcestring] = ACTIONS(2919),
    [sym_kType] = ACTIONS(2919),
    [sym_kAbsolute] = ACTIONS(2919),
    [sym_kProperty] = ACTIONS(2919),
    [sym_kClass] = ACTIONS(2919),
    [sym_kOf] = ACTIONS(2919),
    [sym_kGeneric] = ACTIONS(2919),
    [sym_kLt] = ACTIONS(2919),
    [sym_kEq] = ACTIONS(2921),
    [sym_kNeq] = ACTIONS(2921),
    [sym_kGt] = ACTIONS(2919),
    [sym_kLte] = ACTIONS(2921),
    [sym_kGte] = ACTIONS(2921),
    [sym_kAdd] = ACTIONS(2919),
    [sym_kSub] = ACTIONS(2919),
    [sym_kMul] = ACTIONS(2919),
    [sym_kFdiv] = ACTIONS(2919),
    [sym_kHat] = ACTIONS(2921),
    [sym_kAssign] = ACTIONS(2921),
    [sym_kAssignAdd] = ACTIONS(2921),
    [sym_kAssignSub] = ACTIONS(2921),
    [sym_kAssignMul] = ACTIONS(2921),
    [sym_kAssignDiv] = ACTIONS(2921),
    [sym_kOr] = ACTIONS(2919),
    [sym_kXor] = ACTIONS(2919),
    [sym_kDiv] = ACTIONS(2919),
    [sym_kMod] = ACTIONS(2919),
    [sym_kAnd] = ACTIONS(2919),
    [sym_kShl] = ACTIONS(2919),
    [sym_kShr] = ACTIONS(2919),
    [sym_kIs] = ACTIONS(2919),
    [sym_kAs] = ACTIONS(2919),
    [sym_kIn] = ACTIONS(2919),
    [sym_kThen] = ACTIONS(2919),
    [sym_kElse] = ACTIONS(2919),
    [sym_kDo] = ACTIONS(2919),
    [sym_kUntil] = ACTIONS(2919),
    [sym_kExcept] = ACTIONS(2919),
    [sym_kFinally] = ACTIONS(2919),
    [sym_kCase] = ACTIONS(2919),
    [sym_kFunction] = ACTIONS(2919),
    [sym_kProcedure] = ACTIONS(2919),
    [sym_kConstructor] = ACTIONS(2919),
    [sym_kDestructor] = ACTIONS(2919),
    [sym_kOperator] = ACTIONS(2919),
    [sym_kPublished] = ACTIONS(2919),
    [sym_kPublic] = ACTIONS(2919),
    [sym_kProtected] = ACTIONS(2919),
    [sym_kPrivate] = ACTIONS(2919),
    [sym_kStrict] = ACTIONS(2919),
    [sym_kRequired] = ACTIONS(2919),
    [sym_kOptional] = ACTIONS(2919),
    [sym_kDelayed] = ACTIONS(2919),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym_COLON] = ACTIONS(3015),
    [anon_sym_COMMA] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_RBRACK] = ACTIONS(3017),
    [anon_sym_LPAREN] = ACTIONS(3015),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_DOT] = ACTIONS(3017),
    [sym_kEnd] = ACTIONS(3015),
    [sym_kVar] = ACTIONS(3015),
    [sym_kThreadvar] = ACTIONS(3015),
    [sym_kConst] = ACTIONS(3015),
    [sym_kResourcestring] = ACTIONS(3015),
    [sym_kType] = ACTIONS(3015),
    [sym_kAbsolute] = ACTIONS(3015),
    [sym_kProperty] = ACTIONS(3015),
    [sym_kClass] = ACTIONS(3015),
    [sym_kOf] = ACTIONS(3015),
    [sym_kGeneric] = ACTIONS(3015),
    [sym_kLt] = ACTIONS(3015),
    [sym_kEq] = ACTIONS(3017),
    [sym_kNeq] = ACTIONS(3017),
    [sym_kGt] = ACTIONS(3015),
    [sym_kLte] = ACTIONS(3017),
    [sym_kGte] = ACTIONS(3017),
    [sym_kAdd] = ACTIONS(3015),
    [sym_kSub] = ACTIONS(3015),
    [sym_kMul] = ACTIONS(3015),
    [sym_kFdiv] = ACTIONS(3015),
    [sym_kHat] = ACTIONS(3017),
    [sym_kAssign] = ACTIONS(3017),
    [sym_kAssignAdd] = ACTIONS(3017),
    [sym_kAssignSub] = ACTIONS(3017),
    [sym_kAssignMul] = ACTIONS(3017),
    [sym_kAssignDiv] = ACTIONS(3017),
    [sym_kOr] = ACTIONS(3015),
    [sym_kXor] = ACTIONS(3015),
    [sym_kDiv] = ACTIONS(3015),
    [sym_kMod] = ACTIONS(3015),
    [sym_kAnd] = ACTIONS(3015),
    [sym_kShl] = ACTIONS(3015),
    [sym_kShr] = ACTIONS(3015),
    [sym_kIs] = ACTIONS(3015),
    [sym_kAs] = ACTIONS(3015),
    [sym_kIn] = ACTIONS(3015),
    [sym_kThen] = ACTIONS(3015),
    [sym_kElse] = ACTIONS(3015),
    [sym_kDo] = ACTIONS(3015),
    [sym_kUntil] = ACTIONS(3015),
    [sym_kExcept] = ACTIONS(3015),
    [sym_kFinally] = ACTIONS(3015),
    [sym_kCase] = ACTIONS(3015),
    [sym_kFunction] = ACTIONS(3015),
    [sym_kProcedure] = ACTIONS(3015),
    [sym_kConstructor] = ACTIONS(3015),
    [sym_kDestructor] = ACTIONS(3015),
    [sym_kOperator] = ACTIONS(3015),
    [sym_kPublished] = ACTIONS(3015),
    [sym_kPublic] = ACTIONS(3015),
    [sym_kProtected] = ACTIONS(3015),
    [sym_kPrivate] = ACTIONS(3015),
    [sym_kStrict] = ACTIONS(3015),
    [sym_kRequired] = ACTIONS(3015),
    [sym_kOptional] = ACTIONS(3015),
    [sym_kDelayed] = ACTIONS(3015),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_COMMA] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(3021),
    [anon_sym_RBRACK] = ACTIONS(3021),
    [anon_sym_LPAREN] = ACTIONS(3019),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_DOT] = ACTIONS(3021),
    [sym_kEnd] = ACTIONS(3019),
    [sym_kVar] = ACTIONS(3019),
    [sym_kThreadvar] = ACTIONS(3019),
    [sym_kConst] = ACTIONS(3019),
    [sym_kResourcestring] = ACTIONS(3019),
    [sym_kType] = ACTIONS(3019),
    [sym_kAbsolute] = ACTIONS(3019),
    [sym_kProperty] = ACTIONS(3019),
    [sym_kClass] = ACTIONS(3019),
    [sym_kOf] = ACTIONS(3019),
    [sym_kGeneric] = ACTIONS(3019),
    [sym_kLt] = ACTIONS(3019),
    [sym_kEq] = ACTIONS(3021),
    [sym_kNeq] = ACTIONS(3021),
    [sym_kGt] = ACTIONS(3019),
    [sym_kLte] = ACTIONS(3021),
    [sym_kGte] = ACTIONS(3021),
    [sym_kAdd] = ACTIONS(3019),
    [sym_kSub] = ACTIONS(3019),
    [sym_kMul] = ACTIONS(3019),
    [sym_kFdiv] = ACTIONS(3019),
    [sym_kHat] = ACTIONS(3021),
    [sym_kAssign] = ACTIONS(3021),
    [sym_kAssignAdd] = ACTIONS(3021),
    [sym_kAssignSub] = ACTIONS(3021),
    [sym_kAssignMul] = ACTIONS(3021),
    [sym_kAssignDiv] = ACTIONS(3021),
    [sym_kOr] = ACTIONS(3019),
    [sym_kXor] = ACTIONS(3019),
    [sym_kDiv] = ACTIONS(3019),
    [sym_kMod] = ACTIONS(3019),
    [sym_kAnd] = ACTIONS(3019),
    [sym_kShl] = ACTIONS(3019),
    [sym_kShr] = ACTIONS(3019),
    [sym_kIs] = ACTIONS(3019),
    [sym_kAs] = ACTIONS(3019),
    [sym_kIn] = ACTIONS(3019),
    [sym_kThen] = ACTIONS(3019),
    [sym_kElse] = ACTIONS(3019),
    [sym_kDo] = ACTIONS(3019),
    [sym_kUntil] = ACTIONS(3019),
    [sym_kExcept] = ACTIONS(3019),
    [sym_kFinally] = ACTIONS(3019),
    [sym_kCase] = ACTIONS(3019),
    [sym_kFunction] = ACTIONS(3019),
    [sym_kProcedure] = ACTIONS(3019),
    [sym_kConstructor] = ACTIONS(3019),
    [sym_kDestructor] = ACTIONS(3019),
    [sym_kOperator] = ACTIONS(3019),
    [sym_kPublished] = ACTIONS(3019),
    [sym_kPublic] = ACTIONS(3019),
    [sym_kProtected] = ACTIONS(3019),
    [sym_kPrivate] = ACTIONS(3019),
    [sym_kStrict] = ACTIONS(3019),
    [sym_kRequired] = ACTIONS(3019),
    [sym_kOptional] = ACTIONS(3019),
    [sym_kDelayed] = ACTIONS(3019),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3023),
    [anon_sym_SEMI] = ACTIONS(3025),
    [anon_sym_COLON] = ACTIONS(3023),
    [anon_sym_COMMA] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_RBRACK] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3023),
    [anon_sym_RPAREN] = ACTIONS(3025),
    [anon_sym_DOT] = ACTIONS(3025),
    [sym_kEnd] = ACTIONS(3023),
    [sym_kVar] = ACTIONS(3023),
    [sym_kThreadvar] = ACTIONS(3023),
    [sym_kConst] = ACTIONS(3023),
    [sym_kResourcestring] = ACTIONS(3023),
    [sym_kType] = ACTIONS(3023),
    [sym_kAbsolute] = ACTIONS(3023),
    [sym_kProperty] = ACTIONS(3023),
    [sym_kClass] = ACTIONS(3023),
    [sym_kOf] = ACTIONS(3023),
    [sym_kGeneric] = ACTIONS(3023),
    [sym_kLt] = ACTIONS(3023),
    [sym_kEq] = ACTIONS(3025),
    [sym_kNeq] = ACTIONS(3025),
    [sym_kGt] = ACTIONS(3023),
    [sym_kLte] = ACTIONS(3025),
    [sym_kGte] = ACTIONS(3025),
    [sym_kAdd] = ACTIONS(3023),
    [sym_kSub] = ACTIONS(3023),
    [sym_kMul] = ACTIONS(3023),
    [sym_kFdiv] = ACTIONS(3023),
    [sym_kHat] = ACTIONS(3025),
    [sym_kAssign] = ACTIONS(3025),
    [sym_kAssignAdd] = ACTIONS(3025),
    [sym_kAssignSub] = ACTIONS(3025),
    [sym_kAssignMul] = ACTIONS(3025),
    [sym_kAssignDiv] = ACTIONS(3025),
    [sym_kOr] = ACTIONS(3023),
    [sym_kXor] = ACTIONS(3023),
    [sym_kDiv] = ACTIONS(3023),
    [sym_kMod] = ACTIONS(3023),
    [sym_kAnd] = ACTIONS(3023),
    [sym_kShl] = ACTIONS(3023),
    [sym_kShr] = ACTIONS(3023),
    [sym_kIs] = ACTIONS(3023),
    [sym_kAs] = ACTIONS(3023),
    [sym_kIn] = ACTIONS(3023),
    [sym_kThen] = ACTIONS(3023),
    [sym_kElse] = ACTIONS(3023),
    [sym_kDo] = ACTIONS(3023),
    [sym_kUntil] = ACTIONS(3023),
    [sym_kExcept] = ACTIONS(3023),
    [sym_kFinally] = ACTIONS(3023),
    [sym_kCase] = ACTIONS(3023),
    [sym_kFunction] = ACTIONS(3023),
    [sym_kProcedure] = ACTIONS(3023),
    [sym_kConstructor] = ACTIONS(3023),
    [sym_kDestructor] = ACTIONS(3023),
    [sym_kOperator] = ACTIONS(3023),
    [sym_kPublished] = ACTIONS(3023),
    [sym_kPublic] = ACTIONS(3023),
    [sym_kProtected] = ACTIONS(3023),
    [sym_kPrivate] = ACTIONS(3023),
    [sym_kStrict] = ACTIONS(3023),
    [sym_kRequired] = ACTIONS(3023),
    [sym_kOptional] = ACTIONS(3023),
    [sym_kDelayed] = ACTIONS(3023),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym_COLON] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_RBRACK] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_RPAREN] = ACTIONS(3029),
    [anon_sym_DOT] = ACTIONS(3029),
    [sym_kEnd] = ACTIONS(3027),
    [sym_kVar] = ACTIONS(3027),
    [sym_kThreadvar] = ACTIONS(3027),
    [sym_kConst] = ACTIONS(3027),
    [sym_kResourcestring] = ACTIONS(3027),
    [sym_kType] = ACTIONS(3027),
    [sym_kAbsolute] = ACTIONS(3027),
    [sym_kProperty] = ACTIONS(3027),
    [sym_kClass] = ACTIONS(3027),
    [sym_kOf] = ACTIONS(3027),
    [sym_kGeneric] = ACTIONS(3027),
    [sym_kLt] = ACTIONS(3027),
    [sym_kEq] = ACTIONS(3029),
    [sym_kNeq] = ACTIONS(3029),
    [sym_kGt] = ACTIONS(3027),
    [sym_kLte] = ACTIONS(3029),
    [sym_kGte] = ACTIONS(3029),
    [sym_kAdd] = ACTIONS(3027),
    [sym_kSub] = ACTIONS(3027),
    [sym_kMul] = ACTIONS(3027),
    [sym_kFdiv] = ACTIONS(3027),
    [sym_kHat] = ACTIONS(3029),
    [sym_kAssign] = ACTIONS(3029),
    [sym_kAssignAdd] = ACTIONS(3029),
    [sym_kAssignSub] = ACTIONS(3029),
    [sym_kAssignMul] = ACTIONS(3029),
    [sym_kAssignDiv] = ACTIONS(3029),
    [sym_kOr] = ACTIONS(3027),
    [sym_kXor] = ACTIONS(3027),
    [sym_kDiv] = ACTIONS(3027),
    [sym_kMod] = ACTIONS(3027),
    [sym_kAnd] = ACTIONS(3027),
    [sym_kShl] = ACTIONS(3027),
    [sym_kShr] = ACTIONS(3027),
    [sym_kIs] = ACTIONS(3027),
    [sym_kAs] = ACTIONS(3027),
    [sym_kIn] = ACTIONS(3027),
    [sym_kThen] = ACTIONS(3027),
    [sym_kElse] = ACTIONS(3027),
    [sym_kDo] = ACTIONS(3027),
    [sym_kUntil] = ACTIONS(3027),
    [sym_kExcept] = ACTIONS(3027),
    [sym_kFinally] = ACTIONS(3027),
    [sym_kCase] = ACTIONS(3027),
    [sym_kFunction] = ACTIONS(3027),
    [sym_kProcedure] = ACTIONS(3027),
    [sym_kConstructor] = ACTIONS(3027),
    [sym_kDestructor] = ACTIONS(3027),
    [sym_kOperator] = ACTIONS(3027),
    [sym_kPublished] = ACTIONS(3027),
    [sym_kPublic] = ACTIONS(3027),
    [sym_kProtected] = ACTIONS(3027),
    [sym_kPrivate] = ACTIONS(3027),
    [sym_kStrict] = ACTIONS(3027),
    [sym_kRequired] = ACTIONS(3027),
    [sym_kOptional] = ACTIONS(3027),
    [sym_kDelayed] = ACTIONS(3027),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym_COLON] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_RBRACK] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_RPAREN] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3033),
    [sym_kEnd] = ACTIONS(3031),
    [sym_kVar] = ACTIONS(3031),
    [sym_kThreadvar] = ACTIONS(3031),
    [sym_kConst] = ACTIONS(3031),
    [sym_kResourcestring] = ACTIONS(3031),
    [sym_kType] = ACTIONS(3031),
    [sym_kAbsolute] = ACTIONS(3031),
    [sym_kProperty] = ACTIONS(3031),
    [sym_kClass] = ACTIONS(3031),
    [sym_kOf] = ACTIONS(3031),
    [sym_kGeneric] = ACTIONS(3031),
    [sym_kLt] = ACTIONS(3031),
    [sym_kEq] = ACTIONS(3033),
    [sym_kNeq] = ACTIONS(3033),
    [sym_kGt] = ACTIONS(3031),
    [sym_kLte] = ACTIONS(3033),
    [sym_kGte] = ACTIONS(3033),
    [sym_kAdd] = ACTIONS(3031),
    [sym_kSub] = ACTIONS(3031),
    [sym_kMul] = ACTIONS(3031),
    [sym_kFdiv] = ACTIONS(3031),
    [sym_kHat] = ACTIONS(3033),
    [sym_kAssign] = ACTIONS(3033),
    [sym_kAssignAdd] = ACTIONS(3033),
    [sym_kAssignSub] = ACTIONS(3033),
    [sym_kAssignMul] = ACTIONS(3033),
    [sym_kAssignDiv] = ACTIONS(3033),
    [sym_kOr] = ACTIONS(3031),
    [sym_kXor] = ACTIONS(3031),
    [sym_kDiv] = ACTIONS(3031),
    [sym_kMod] = ACTIONS(3031),
    [sym_kAnd] = ACTIONS(3031),
    [sym_kShl] = ACTIONS(3031),
    [sym_kShr] = ACTIONS(3031),
    [sym_kIs] = ACTIONS(3031),
    [sym_kAs] = ACTIONS(3031),
    [sym_kIn] = ACTIONS(3031),
    [sym_kThen] = ACTIONS(3031),
    [sym_kElse] = ACTIONS(3031),
    [sym_kDo] = ACTIONS(3031),
    [sym_kUntil] = ACTIONS(3031),
    [sym_kExcept] = ACTIONS(3031),
    [sym_kFinally] = ACTIONS(3031),
    [sym_kCase] = ACTIONS(3031),
    [sym_kFunction] = ACTIONS(3031),
    [sym_kProcedure] = ACTIONS(3031),
    [sym_kConstructor] = ACTIONS(3031),
    [sym_kDestructor] = ACTIONS(3031),
    [sym_kOperator] = ACTIONS(3031),
    [sym_kPublished] = ACTIONS(3031),
    [sym_kPublic] = ACTIONS(3031),
    [sym_kProtected] = ACTIONS(3031),
    [sym_kPrivate] = ACTIONS(3031),
    [sym_kStrict] = ACTIONS(3031),
    [sym_kRequired] = ACTIONS(3031),
    [sym_kOptional] = ACTIONS(3031),
    [sym_kDelayed] = ACTIONS(3031),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym_type_token2] = ACTIONS(271),
    [aux_sym_type_token3] = ACTIONS(271),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kOf] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [sym__expr] = STATE(1312),
    [sym__ref] = STATE(1250),
    [sym_lambda] = STATE(1250),
    [sym_inherited] = STATE(1250),
    [sym_exprDot] = STATE(1250),
    [sym_exprDeref] = STATE(1250),
    [sym_exprAs] = STATE(1250),
    [sym_exprTpl] = STATE(1250),
    [sym_exprSubscript] = STATE(1250),
    [sym_exprCall] = STATE(1250),
    [sym_exprBinary] = STATE(1312),
    [sym_exprUnary] = STATE(1312),
    [sym_exprParens] = STATE(1250),
    [sym_exprBrackets] = STATE(1250),
    [sym__literal] = STATE(1250),
    [sym_literalString] = STATE(1250),
    [sym__literalString] = STATE(1192),
    [sym_literalChar] = STATE(1192),
    [sym_literalNumber] = STATE(1250),
    [sym__literalInt] = STATE(1301),
    [sym__literalFloat] = STATE(1301),
    [aux_sym_literalString_repeat1] = STATE(1192),
    [sym_identifier] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym_type_token2] = ACTIONS(271),
    [aux_sym_type_token3] = ACTIONS(271),
    [aux_sym__literalString_token1] = ACTIONS(3037),
    [anon_sym_POUND] = ACTIONS(3039),
    [aux_sym__literalInt_token1] = ACTIONS(3041),
    [aux_sym__literalInt_token2] = ACTIONS(3043),
    [aux_sym__literalFloat_token1] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kOf] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(3045),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(3047),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(3049),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(3051),
    [sym_kProcedure] = ACTIONS(3051),
    [sym_kInherited] = ACTIONS(3053),
    [sym_kNil] = ACTIONS(3035),
    [sym_kTrue] = ACTIONS(3035),
    [sym_kFalse] = ACTIONS(3035),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [aux_sym_type_token2] = ACTIONS(267),
    [aux_sym_type_token3] = ACTIONS(267),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kOf] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(267),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(267),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(267),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT_DOT] = ACTIONS(271),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym__expr] = STATE(1275),
    [sym__ref] = STATE(1248),
    [sym_lambda] = STATE(1248),
    [sym_inherited] = STATE(1248),
    [sym_exprDot] = STATE(1248),
    [sym_exprDeref] = STATE(1248),
    [sym_exprAs] = STATE(1248),
    [sym_exprTpl] = STATE(1248),
    [sym_exprSubscript] = STATE(1248),
    [sym_exprCall] = STATE(1248),
    [sym_exprBinary] = STATE(1275),
    [sym_exprUnary] = STATE(1275),
    [sym_exprParens] = STATE(1248),
    [sym_exprBrackets] = STATE(1248),
    [sym__literal] = STATE(1248),
    [sym_literalString] = STATE(1248),
    [sym__literalString] = STATE(1193),
    [sym_literalChar] = STATE(1193),
    [sym_literalNumber] = STATE(1248),
    [sym__literalInt] = STATE(1304),
    [sym__literalFloat] = STATE(1304),
    [aux_sym_literalString_repeat1] = STATE(1193),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_COLON] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(3057),
    [anon_sym_POUND] = ACTIONS(3059),
    [aux_sym__literalInt_token1] = ACTIONS(3061),
    [aux_sym__literalInt_token2] = ACTIONS(3063),
    [aux_sym__literalFloat_token1] = ACTIONS(3061),
    [anon_sym_DOT_DOT] = ACTIONS(271),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(3065),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(3067),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(3069),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(3071),
    [sym_kProcedure] = ACTIONS(3071),
    [sym_kInherited] = ACTIONS(3073),
    [sym_kNil] = ACTIONS(3055),
    [sym_kTrue] = ACTIONS(3055),
    [sym_kFalse] = ACTIONS(3055),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [sym__visibility] = STATE(1052),
    [aux_sym__classDeclarations] = STATE(1071),
    [sym_declTypes] = STATE(1071),
    [sym_declVars] = STATE(1071),
    [sym_declConsts] = STATE(1071),
    [sym_declProc] = STATE(1071),
    [sym__declClass] = STATE(2386),
    [sym_declSection] = STATE(1652),
    [aux_sym__declFields] = STATE(1008),
    [sym_declField] = STATE(1008),
    [sym_declProp] = STATE(1071),
    [sym_declVariant] = STATE(2566),
    [sym__declProc] = STATE(1540),
    [sym__declOperator] = STATE(1229),
    [sym_rttiAttributes] = STATE(1679),
    [aux_sym_genericArg_repeat1] = STATE(2219),
    [aux_sym__declClass_repeat1] = STATE(1652),
    [aux_sym_rttiAttributes_repeat2] = STATE(1683),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_SEMI] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [sym_kEnd] = ACTIONS(3081),
    [sym_kVar] = ACTIONS(3083),
    [sym_kThreadvar] = ACTIONS(3083),
    [sym_kConst] = ACTIONS(3085),
    [sym_kResourcestring] = ACTIONS(3085),
    [sym_kType] = ACTIONS(3087),
    [sym_kProperty] = ACTIONS(3089),
    [sym_kClass] = ACTIONS(3091),
    [sym_kGeneric] = ACTIONS(3093),
    [sym_kLt] = ACTIONS(3095),
    [sym_kEq] = ACTIONS(3097),
    [sym_kNeq] = ACTIONS(3097),
    [sym_kGt] = ACTIONS(3095),
    [sym_kLte] = ACTIONS(3097),
    [sym_kGte] = ACTIONS(3097),
    [sym_kAdd] = ACTIONS(3099),
    [sym_kSub] = ACTIONS(3099),
    [sym_kMul] = ACTIONS(3101),
    [sym_kFdiv] = ACTIONS(3103),
    [sym_kHat] = ACTIONS(2939),
    [sym_kOr] = ACTIONS(3105),
    [sym_kXor] = ACTIONS(3105),
    [sym_kDiv] = ACTIONS(3103),
    [sym_kMod] = ACTIONS(3103),
    [sym_kAnd] = ACTIONS(3103),
    [sym_kShl] = ACTIONS(3103),
    [sym_kShr] = ACTIONS(3103),
    [sym_kIs] = ACTIONS(3095),
    [sym_kAs] = ACTIONS(3107),
    [sym_kIn] = ACTIONS(3095),
    [sym_kCase] = ACTIONS(3109),
    [sym_kFunction] = ACTIONS(3111),
    [sym_kProcedure] = ACTIONS(3111),
    [sym_kConstructor] = ACTIONS(3111),
    [sym_kDestructor] = ACTIONS(3111),
    [sym_kOperator] = ACTIONS(3113),
    [sym_kPublished] = ACTIONS(3115),
    [sym_kPublic] = ACTIONS(3115),
    [sym_kProtected] = ACTIONS(3115),
    [sym_kPrivate] = ACTIONS(3115),
    [sym_kStrict] = ACTIONS(3117),
    [sym_kRequired] = ACTIONS(3115),
    [sym_kOptional] = ACTIONS(3115),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym__visibility] = STATE(1052),
    [aux_sym__classDeclarations] = STATE(1071),
    [sym_declTypes] = STATE(1071),
    [sym_declVars] = STATE(1071),
    [sym_declConsts] = STATE(1071),
    [sym_declProc] = STATE(1071),
    [sym__declClass] = STATE(2468),
    [sym_declSection] = STATE(1652),
    [aux_sym__declFields] = STATE(1008),
    [sym_declField] = STATE(1008),
    [sym_declProp] = STATE(1071),
    [sym_declVariant] = STATE(2566),
    [sym__declProc] = STATE(1540),
    [sym__declOperator] = STATE(1229),
    [sym_rttiAttributes] = STATE(1679),
    [aux_sym_genericArg_repeat1] = STATE(2219),
    [aux_sym__declClass_repeat1] = STATE(1652),
    [aux_sym_rttiAttributes_repeat2] = STATE(1683),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [sym_kEnd] = ACTIONS(3123),
    [sym_kVar] = ACTIONS(3083),
    [sym_kThreadvar] = ACTIONS(3083),
    [sym_kConst] = ACTIONS(3085),
    [sym_kResourcestring] = ACTIONS(3085),
    [sym_kType] = ACTIONS(3087),
    [sym_kProperty] = ACTIONS(3089),
    [sym_kClass] = ACTIONS(3091),
    [sym_kGeneric] = ACTIONS(3093),
    [sym_kLt] = ACTIONS(3095),
    [sym_kEq] = ACTIONS(3097),
    [sym_kNeq] = ACTIONS(3097),
    [sym_kGt] = ACTIONS(3095),
    [sym_kLte] = ACTIONS(3097),
    [sym_kGte] = ACTIONS(3097),
    [sym_kAdd] = ACTIONS(3099),
    [sym_kSub] = ACTIONS(3099),
    [sym_kMul] = ACTIONS(3101),
    [sym_kFdiv] = ACTIONS(3103),
    [sym_kHat] = ACTIONS(2939),
    [sym_kOr] = ACTIONS(3105),
    [sym_kXor] = ACTIONS(3105),
    [sym_kDiv] = ACTIONS(3103),
    [sym_kMod] = ACTIONS(3103),
    [sym_kAnd] = ACTIONS(3103),
    [sym_kShl] = ACTIONS(3103),
    [sym_kShr] = ACTIONS(3103),
    [sym_kIs] = ACTIONS(3095),
    [sym_kAs] = ACTIONS(3107),
    [sym_kIn] = ACTIONS(3095),
    [sym_kCase] = ACTIONS(3109),
    [sym_kFunction] = ACTIONS(3111),
    [sym_kProcedure] = ACTIONS(3111),
    [sym_kConstructor] = ACTIONS(3111),
    [sym_kDestructor] = ACTIONS(3111),
    [sym_kOperator] = ACTIONS(3113),
    [sym_kPublished] = ACTIONS(3115),
    [sym_kPublic] = ACTIONS(3115),
    [sym_kProtected] = ACTIONS(3115),
    [sym_kPrivate] = ACTIONS(3115),
    [sym_kStrict] = ACTIONS(3117),
    [sym_kRequired] = ACTIONS(3115),
    [sym_kOptional] = ACTIONS(3115),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym__expr] = STATE(1377),
    [sym__ref] = STATE(1266),
    [sym_lambda] = STATE(1266),
    [sym_inherited] = STATE(1266),
    [sym_exprDot] = STATE(1266),
    [sym_exprDeref] = STATE(1266),
    [sym_exprAs] = STATE(1266),
    [sym_exprTpl] = STATE(1266),
    [sym_exprSubscript] = STATE(1266),
    [sym_exprCall] = STATE(1266),
    [sym_exprBinary] = STATE(1377),
    [sym_exprUnary] = STATE(1377),
    [sym_exprParens] = STATE(1266),
    [sym_exprBrackets] = STATE(1266),
    [sym__literal] = STATE(1266),
    [sym_literalString] = STATE(1266),
    [sym__literalString] = STATE(1208),
    [sym_literalChar] = STATE(1208),
    [sym_literalNumber] = STATE(1266),
    [sym__literalInt] = STATE(1382),
    [sym__literalFloat] = STATE(1382),
    [aux_sym_literalString_repeat1] = STATE(1208),
    [sym_identifier] = ACTIONS(3125),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(3127),
    [anon_sym_POUND] = ACTIONS(3129),
    [aux_sym__literalInt_token1] = ACTIONS(3131),
    [aux_sym__literalInt_token2] = ACTIONS(3133),
    [aux_sym__literalFloat_token1] = ACTIONS(3131),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(3135),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(3137),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(3139),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kTo] = ACTIONS(269),
    [sym_kDownto] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(3141),
    [sym_kProcedure] = ACTIONS(3141),
    [sym_kInherited] = ACTIONS(3143),
    [sym_kNil] = ACTIONS(3125),
    [sym_kTrue] = ACTIONS(3125),
    [sym_kFalse] = ACTIONS(3125),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(269),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(269),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(269),
    [sym_kEq] = ACTIONS(271),
    [sym_kNeq] = ACTIONS(271),
    [sym_kGt] = ACTIONS(269),
    [sym_kLte] = ACTIONS(271),
    [sym_kGte] = ACTIONS(271),
    [sym_kAdd] = ACTIONS(269),
    [sym_kSub] = ACTIONS(269),
    [sym_kMul] = ACTIONS(271),
    [sym_kFdiv] = ACTIONS(269),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(271),
    [sym_kOr] = ACTIONS(269),
    [sym_kXor] = ACTIONS(269),
    [sym_kDiv] = ACTIONS(269),
    [sym_kMod] = ACTIONS(269),
    [sym_kAnd] = ACTIONS(269),
    [sym_kShl] = ACTIONS(269),
    [sym_kShr] = ACTIONS(269),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(269),
    [sym_kAs] = ACTIONS(269),
    [sym_kIn] = ACTIONS(269),
    [sym_kTo] = ACTIONS(269),
    [sym_kDownto] = ACTIONS(269),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [sym__expr] = STATE(937),
    [sym__ref] = STATE(654),
    [sym_lambda] = STATE(654),
    [sym_inherited] = STATE(654),
    [sym_exprDot] = STATE(654),
    [sym_exprDeref] = STATE(654),
    [sym_exprAs] = STATE(654),
    [sym_exprTpl] = STATE(654),
    [sym_exprSubscript] = STATE(654),
    [sym_exprCall] = STATE(654),
    [sym_exprBinary] = STATE(937),
    [sym_exprUnary] = STATE(937),
    [sym_exprParens] = STATE(654),
    [sym_exprBrackets] = STATE(654),
    [sym__literal] = STATE(654),
    [sym_literalString] = STATE(654),
    [sym__literalString] = STATE(234),
    [sym_literalChar] = STATE(234),
    [sym_literalNumber] = STATE(654),
    [sym__literalInt] = STATE(535),
    [sym__literalFloat] = STATE(535),
    [aux_sym_literalString_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(265),
    [aux_sym__literalString_token1] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [aux_sym__literalInt_token1] = ACTIONS(53),
    [aux_sym__literalInt_token2] = ACTIONS(55),
    [aux_sym__literalFloat_token1] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(265),
    [sym_kSpecialize] = ACTIONS(65),
    [sym_kLt] = ACTIONS(265),
    [sym_kEq] = ACTIONS(267),
    [sym_kNeq] = ACTIONS(267),
    [sym_kGt] = ACTIONS(265),
    [sym_kLte] = ACTIONS(267),
    [sym_kGte] = ACTIONS(267),
    [sym_kAdd] = ACTIONS(265),
    [sym_kSub] = ACTIONS(265),
    [sym_kMul] = ACTIONS(267),
    [sym_kFdiv] = ACTIONS(265),
    [sym_kAt] = ACTIONS(69),
    [sym_kHat] = ACTIONS(267),
    [sym_kOr] = ACTIONS(265),
    [sym_kXor] = ACTIONS(265),
    [sym_kDiv] = ACTIONS(265),
    [sym_kMod] = ACTIONS(265),
    [sym_kAnd] = ACTIONS(265),
    [sym_kShl] = ACTIONS(265),
    [sym_kShr] = ACTIONS(265),
    [sym_kNot] = ACTIONS(67),
    [sym_kIs] = ACTIONS(265),
    [sym_kAs] = ACTIONS(265),
    [sym_kIn] = ACTIONS(265),
    [sym_kTo] = ACTIONS(265),
    [sym_kDownto] = ACTIONS(265),
    [sym_kFunction] = ACTIONS(91),
    [sym_kProcedure] = ACTIONS(91),
    [sym_kInherited] = ACTIONS(93),
    [sym_kNil] = ACTIONS(95),
    [sym_kTrue] = ACTIONS(95),
    [sym_kFalse] = ACTIONS(95),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym_kDot] = STATE(1894),
    [sym_identifier] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3147),
    [anon_sym_COMMA] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_RBRACK] = ACTIONS(3147),
    [anon_sym_RPAREN] = ACTIONS(3147),
    [sym_kUses] = ACTIONS(3145),
    [sym_kInterface] = ACTIONS(3145),
    [sym_kImplementation] = ACTIONS(3145),
    [sym_kInitialization] = ACTIONS(3145),
    [sym_kFinalization] = ACTIONS(3145),
    [anon_sym_DOT] = ACTIONS(3147),
    [sym_kBegin] = ACTIONS(3145),
    [sym_kEnd] = ACTIONS(3145),
    [sym_kAsm] = ACTIONS(3145),
    [sym_kVar] = ACTIONS(3145),
    [sym_kThreadvar] = ACTIONS(3145),
    [sym_kConst] = ACTIONS(3145),
    [sym_kResourcestring] = ACTIONS(3145),
    [sym_kType] = ACTIONS(3145),
    [sym_kLabel] = ACTIONS(3145),
    [sym_kExports] = ACTIONS(3145),
    [sym_kAbsolute] = ACTIONS(3145),
    [sym_kProperty] = ACTIONS(3145),
    [sym_kRead] = ACTIONS(3145),
    [sym_kWrite] = ACTIONS(3145),
    [sym_kImplements] = ACTIONS(3145),
    [sym_kDefault] = ACTIONS(3145),
    [sym_kNodefault] = ACTIONS(3145),
    [sym_kStored] = ACTIONS(3145),
    [sym_kIndex] = ACTIONS(3145),
    [sym_kDispId] = ACTIONS(3145),
    [sym_kClass] = ACTIONS(3145),
    [sym_kOf] = ACTIONS(3145),
    [sym_kGeneric] = ACTIONS(3145),
    [sym_kLt] = ACTIONS(3147),
    [sym_kEq] = ACTIONS(3147),
    [sym_kGt] = ACTIONS(3147),
    [sym_kAssign] = ACTIONS(3147),
    [sym_kAssignAdd] = ACTIONS(3147),
    [sym_kAssignSub] = ACTIONS(3147),
    [sym_kAssignMul] = ACTIONS(3147),
    [sym_kAssignDiv] = ACTIONS(3147),
    [sym_kElse] = ACTIONS(3145),
    [sym_kDo] = ACTIONS(3145),
    [sym_kUntil] = ACTIONS(3145),
    [sym_kExcept] = ACTIONS(3145),
    [sym_kFinally] = ACTIONS(3145),
    [sym_kCase] = ACTIONS(3145),
    [sym_kFunction] = ACTIONS(3145),
    [sym_kProcedure] = ACTIONS(3145),
    [sym_kConstructor] = ACTIONS(3145),
    [sym_kDestructor] = ACTIONS(3145),
    [sym_kOperator] = ACTIONS(3145),
    [sym_kPublished] = ACTIONS(3145),
    [sym_kPublic] = ACTIONS(3145),
    [sym_kProtected] = ACTIONS(3145),
    [sym_kPrivate] = ACTIONS(3145),
    [sym_kStrict] = ACTIONS(3145),
    [sym_kRequired] = ACTIONS(3145),
    [sym_kOptional] = ACTIONS(3145),
    [sym_kDeprecated] = ACTIONS(3145),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [sym_kDot] = STATE(1894),
    [sym_identifier] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3151),
    [anon_sym_COMMA] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_RBRACK] = ACTIONS(3151),
    [anon_sym_RPAREN] = ACTIONS(3151),
    [sym_kUses] = ACTIONS(3149),
    [sym_kInterface] = ACTIONS(3149),
    [sym_kImplementation] = ACTIONS(3149),
    [sym_kInitialization] = ACTIONS(3149),
    [sym_kFinalization] = ACTIONS(3149),
    [anon_sym_DOT] = ACTIONS(3151),
    [sym_kBegin] = ACTIONS(3149),
    [sym_kEnd] = ACTIONS(3149),
    [sym_kAsm] = ACTIONS(3149),
    [sym_kVar] = ACTIONS(3149),
    [sym_kThreadvar] = ACTIONS(3149),
    [sym_kConst] = ACTIONS(3149),
    [sym_kResourcestring] = ACTIONS(3149),
    [sym_kType] = ACTIONS(3149),
    [sym_kLabel] = ACTIONS(3149),
    [sym_kExports] = ACTIONS(3149),
    [sym_kAbsolute] = ACTIONS(3149),
    [sym_kProperty] = ACTIONS(3149),
    [sym_kRead] = ACTIONS(3149),
    [sym_kWrite] = ACTIONS(3149),
    [sym_kImplements] = ACTIONS(3149),
    [sym_kDefault] = ACTIONS(3149),
    [sym_kNodefault] = ACTIONS(3149),
    [sym_kStored] = ACTIONS(3149),
    [sym_kIndex] = ACTIONS(3149),
    [sym_kDispId] = ACTIONS(3149),
    [sym_kClass] = ACTIONS(3149),
    [sym_kOf] = ACTIONS(3149),
    [sym_kGeneric] = ACTIONS(3149),
    [sym_kLt] = ACTIONS(3151),
    [sym_kEq] = ACTIONS(3151),
    [sym_kGt] = ACTIONS(3151),
    [sym_kAssign] = ACTIONS(3151),
    [sym_kAssignAdd] = ACTIONS(3151),
    [sym_kAssignSub] = ACTIONS(3151),
    [sym_kAssignMul] = ACTIONS(3151),
    [sym_kAssignDiv] = ACTIONS(3151),
    [sym_kElse] = ACTIONS(3149),
    [sym_kDo] = ACTIONS(3149),
    [sym_kUntil] = ACTIONS(3149),
    [sym_kExcept] = ACTIONS(3149),
    [sym_kFinally] = ACTIONS(3149),
    [sym_kCase] = ACTIONS(3149),
    [sym_kFunction] = ACTIONS(3149),
    [sym_kProcedure] = ACTIONS(3149),
    [sym_kConstructor] = ACTIONS(3149),
    [sym_kDestructor] = ACTIONS(3149),
    [sym_kOperator] = ACTIONS(3149),
    [sym_kPublished] = ACTIONS(3149),
    [sym_kPublic] = ACTIONS(3149),
    [sym_kProtected] = ACTIONS(3149),
    [sym_kPrivate] = ACTIONS(3149),
    [sym_kStrict] = ACTIONS(3149),
    [sym_kRequired] = ACTIONS(3149),
    [sym_kOptional] = ACTIONS(3149),
    [sym_kDeprecated] = ACTIONS(3149),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3153),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_COMMA] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_RBRACK] = ACTIONS(3155),
    [anon_sym_RPAREN] = ACTIONS(3155),
    [sym_kUses] = ACTIONS(3153),
    [sym_kInterface] = ACTIONS(3153),
    [sym_kImplementation] = ACTIONS(3153),
    [sym_kInitialization] = ACTIONS(3153),
    [sym_kFinalization] = ACTIONS(3153),
    [anon_sym_DOT] = ACTIONS(3155),
    [sym_kBegin] = ACTIONS(3153),
    [sym_kEnd] = ACTIONS(3153),
    [sym_kAsm] = ACTIONS(3153),
    [sym_kVar] = ACTIONS(3153),
    [sym_kThreadvar] = ACTIONS(3153),
    [sym_kConst] = ACTIONS(3153),
    [sym_kResourcestring] = ACTIONS(3153),
    [sym_kType] = ACTIONS(3153),
    [sym_kLabel] = ACTIONS(3153),
    [sym_kExports] = ACTIONS(3153),
    [sym_kAbsolute] = ACTIONS(3153),
    [sym_kProperty] = ACTIONS(3153),
    [sym_kRead] = ACTIONS(3153),
    [sym_kWrite] = ACTIONS(3153),
    [sym_kImplements] = ACTIONS(3153),
    [sym_kDefault] = ACTIONS(3153),
    [sym_kNodefault] = ACTIONS(3153),
    [sym_kStored] = ACTIONS(3153),
    [sym_kIndex] = ACTIONS(3153),
    [sym_kDispId] = ACTIONS(3153),
    [sym_kClass] = ACTIONS(3153),
    [sym_kOf] = ACTIONS(3153),
    [sym_kGeneric] = ACTIONS(3153),
    [sym_kLt] = ACTIONS(3155),
    [sym_kEq] = ACTIONS(3155),
    [sym_kGt] = ACTIONS(3155),
    [sym_kAssign] = ACTIONS(3155),
    [sym_kAssignAdd] = ACTIONS(3155),
    [sym_kAssignSub] = ACTIONS(3155),
    [sym_kAssignMul] = ACTIONS(3155),
    [sym_kAssignDiv] = ACTIONS(3155),
    [sym_kElse] = ACTIONS(3153),
    [sym_kDo] = ACTIONS(3153),
    [sym_kUntil] = ACTIONS(3153),
    [sym_kExcept] = ACTIONS(3153),
    [sym_kFinally] = ACTIONS(3153),
    [sym_kCase] = ACTIONS(3153),
    [sym_kFunction] = ACTIONS(3153),
    [sym_kProcedure] = ACTIONS(3153),
    [sym_kConstructor] = ACTIONS(3153),
    [sym_kDestructor] = ACTIONS(3153),
    [sym_kOperator] = ACTIONS(3153),
    [sym_kPublished] = ACTIONS(3153),
    [sym_kPublic] = ACTIONS(3153),
    [sym_kProtected] = ACTIONS(3153),
    [sym_kPrivate] = ACTIONS(3153),
    [sym_kStrict] = ACTIONS(3153),
    [sym_kRequired] = ACTIONS(3153),
    [sym_kOptional] = ACTIONS(3153),
    [sym_kDeprecated] = ACTIONS(3153),
    [sym__space] = ACTIONS(3),
    [sym_pp] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3159), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3157), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [75] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3167), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3165), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [150] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3171), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3169), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [225] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3175), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3173), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [300] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3179), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3177), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [375] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3183), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3181), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [450] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3187), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3185), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [525] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3191), 9,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3189), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [600] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3175), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3173), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [668] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3189), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3191), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [734] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1200), 10,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(1198), 44,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [798] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3165), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3167), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [864] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3183), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3181), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [932] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3157), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3159), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [998] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3179), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3177), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [1066] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3169), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3171), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [1132] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3159), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3157), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [1200] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1182), 10,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(1180), 44,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [1264] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3175), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3173), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [1332] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3187), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3185), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [1400] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3191), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3189), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [1468] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1182), 7,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(1180), 47,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kClass,
      sym_kOf,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kName,
      sym_kDelayed,
  [1532] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3187), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3185), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [1600] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3183), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3181), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [1668] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3171), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3169), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [1736] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3179), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3177), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [1804] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3177), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3179), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [1870] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1200), 7,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(1198), 47,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kClass,
      sym_kOf,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kName,
      sym_kDelayed,
  [1934] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3181), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3183), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [2000] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3167), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3165), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [2068] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3167), 9,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3165), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kElse,
  [2136] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3159), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3157), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [2204] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3191), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3189), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [2272] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3173), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3175), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [2338] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3163), 5,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kLabel,
      sym_kExports,
    ACTIONS(3185), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3187), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [2404] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3171), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
      sym_kIn,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3169), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [2472] = 20,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3193), 1,
      anon_sym_SEMI,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(780), 1,
      aux_sym_declProp_repeat1,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1211), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    ACTIONS(3199), 8,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [2567] = 4,
    STATE(989), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3203), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3201), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [2629] = 12,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    ACTIONS(3205), 1,
      anon_sym_RBRACK,
    ACTIONS(3207), 1,
      sym_kExternal,
    STATE(603), 1,
      aux_sym__procAttribute_repeat1,
    STATE(2245), 2,
      sym_procAttribute,
      sym_procExternal,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [2707] = 8,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3219), 1,
      sym_kLt,
    STATE(989), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3209), 35,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [2777] = 12,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    ACTIONS(3207), 1,
      sym_kExternal,
    ACTIONS(3221), 1,
      anon_sym_RBRACK,
    STATE(612), 1,
      aux_sym__procAttribute_repeat1,
    STATE(2307), 2,
      sym_procAttribute,
      sym_procExternal,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [2855] = 8,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3223), 1,
      sym_kLt,
    STATE(989), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3209), 35,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [2925] = 24,
    ACTIONS(203), 1,
      sym_kEnd,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      sym_kElse,
    STATE(53), 1,
      sym_caseLabel,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2271), 1,
      sym_caseCaseTr,
    STATE(2285), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(619), 2,
      sym_caseCase,
      aux_sym_case_repeat1,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [3026] = 12,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    ACTIONS(3207), 1,
      sym_kExternal,
    STATE(609), 1,
      aux_sym__procAttribute_repeat1,
    STATE(2235), 1,
      sym_procExternal,
    STATE(2236), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [3103] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3233), 1,
      sym_kGt,
    ACTIONS(3237), 1,
      sym_kMul,
    ACTIONS(3235), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3241), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3239), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 7,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
    ACTIONS(2935), 27,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kIs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [3178] = 7,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3237), 1,
      sym_kMul,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3239), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
    ACTIONS(2935), 30,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [3245] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3237), 1,
      sym_kMul,
    ACTIONS(3235), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3241), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3239), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
    ACTIONS(2935), 28,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kIs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [3316] = 24,
    ACTIONS(227), 1,
      sym_kEnd,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3243), 1,
      sym_kElse,
    STATE(53), 1,
      sym_caseLabel,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2164), 1,
      sym_caseCaseTr,
    STATE(2285), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(619), 2,
      sym_caseCase,
      aux_sym_case_repeat1,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [3417] = 32,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3245), 1,
      anon_sym_SEMI,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
    ACTIONS(3249), 1,
      sym_kEnd,
    ACTIONS(3251), 1,
      sym_kOf,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(3257), 1,
      sym_kExternal,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2578), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    ACTIONS(3255), 2,
      sym_kAbstract,
      sym_kSealed,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [3534] = 11,
    ACTIONS(3262), 1,
      sym_kDispId,
    ACTIONS(3265), 1,
      sym_kPublic,
    ACTIONS(3268), 1,
      sym_kExternal,
    ACTIONS(3271), 1,
      sym_kMessage,
    ACTIONS(3274), 1,
      sym_kDeprecated,
    ACTIONS(3277), 1,
      sym_kExport,
    ACTIONS(3280), 1,
      sym_kAlias,
    STATE(609), 1,
      aux_sym__procAttribute_repeat1,
    STATE(2475), 2,
      sym_procAttribute,
      sym_procExternal,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3259), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [3609] = 24,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3283), 1,
      sym_kEnd,
    ACTIONS(3285), 1,
      sym_kElse,
    STATE(53), 1,
      sym_caseLabel,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2207), 1,
      sym_caseCaseTr,
    STATE(2285), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(607), 2,
      sym_caseCase,
      aux_sym_case_repeat1,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [3710] = 24,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3287), 1,
      sym_kEnd,
    ACTIONS(3289), 1,
      sym_kElse,
    STATE(53), 1,
      sym_caseLabel,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2285), 1,
      sym_range,
    STATE(2318), 1,
      sym_caseCaseTr,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(602), 2,
      sym_caseCase,
      aux_sym_case_repeat1,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [3811] = 12,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    ACTIONS(3207), 1,
      sym_kExternal,
    STATE(609), 1,
      aux_sym__procAttribute_repeat1,
    STATE(2203), 1,
      sym_procExternal,
    STATE(2204), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [3888] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3293), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3291), 37,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [3947] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3101), 1,
      sym_kMul,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3099), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3105), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3103), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
    ACTIONS(2935), 28,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kIs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [4017] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3101), 1,
      sym_kMul,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3295), 1,
      sym_kGt,
    ACTIONS(3099), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3105), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2937), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
    ACTIONS(3103), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2935), 27,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kIs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [4091] = 31,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3245), 1,
      anon_sym_SEMI,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
    ACTIONS(3249), 1,
      sym_kEnd,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(3257), 1,
      sym_kExternal,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2578), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    ACTIONS(3255), 2,
      sym_kAbstract,
      sym_kSealed,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [4205] = 11,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    ACTIONS(3297), 1,
      anon_sym_RBRACK,
    STATE(622), 1,
      aux_sym__procAttributeNoExt_repeat1,
    STATE(2237), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [4279] = 7,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3101), 1,
      sym_kMul,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3103), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
    ACTIONS(2935), 30,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [4345] = 22,
    ACTIONS(3302), 1,
      anon_sym_LBRACK,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3308), 1,
      aux_sym__literalString_token1,
    ACTIONS(3311), 1,
      anon_sym_POUND,
    ACTIONS(3317), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3322), 1,
      sym_kSpecialize,
    ACTIONS(3328), 1,
      sym_kAt,
    ACTIONS(3334), 1,
      sym_kInherited,
    STATE(169), 1,
      sym_caseLabel,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2285), 1,
      sym_range,
    ACTIONS(3314), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3320), 2,
      sym_kEnd,
      sym_kElse,
    ACTIONS(3331), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(619), 2,
      sym_caseCase,
      aux_sym_case_repeat1,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3325), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3299), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [4441] = 11,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    ACTIONS(3337), 1,
      anon_sym_RBRACK,
    STATE(629), 1,
      aux_sym__procAttributeNoExt_repeat1,
    STATE(2212), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [4515] = 11,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    ACTIONS(3339), 1,
      anon_sym_RBRACK,
    STATE(627), 1,
      aux_sym__procAttributeNoExt_repeat1,
    STATE(2209), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [4589] = 10,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    STATE(624), 1,
      aux_sym__procAttributeNoExt_repeat1,
    STATE(2226), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [4660] = 6,
    ACTIONS(3341), 1,
      aux_sym__literalString_token1,
    ACTIONS(3344), 1,
      anon_sym_POUND,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(623), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1503), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1505), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [4723] = 10,
    ACTIONS(3350), 1,
      sym_kDispId,
    ACTIONS(3353), 1,
      sym_kPublic,
    ACTIONS(3356), 1,
      sym_kMessage,
    ACTIONS(3359), 1,
      sym_kDeprecated,
    ACTIONS(3362), 1,
      sym_kExport,
    ACTIONS(3365), 1,
      sym_kAlias,
    STATE(624), 1,
      aux_sym__procAttributeNoExt_repeat1,
    STATE(2677), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3347), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [4794] = 22,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3368), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    STATE(638), 1,
      aux_sym_recInitializer_repeat1,
    STATE(652), 1,
      aux_sym_arrInitializer_repeat1,
    STATE(2257), 1,
      sym_recInitializerField,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    ACTIONS(95), 3,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1492), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(2048), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [4889] = 30,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3245), 1,
      anon_sym_SEMI,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
    ACTIONS(3249), 1,
      sym_kEnd,
    ACTIONS(3257), 1,
      sym_kExternal,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2578), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    ACTIONS(3255), 2,
      sym_kAbstract,
      sym_kSealed,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [5000] = 10,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    STATE(624), 1,
      aux_sym__procAttributeNoExt_repeat1,
    STATE(2208), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [5071] = 30,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3372), 1,
      anon_sym_SEMI,
    ACTIONS(3374), 1,
      anon_sym_LPAREN,
    ACTIONS(3376), 1,
      sym_kEnd,
    ACTIONS(3380), 1,
      sym_kExternal,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2654), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    ACTIONS(3378), 2,
      sym_kAbstract,
      sym_kSealed,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [5182] = 10,
    ACTIONS(970), 1,
      sym_kDispId,
    ACTIONS(972), 1,
      sym_kPublic,
    ACTIONS(974), 1,
      sym_kMessage,
    ACTIONS(976), 1,
      sym_kDeprecated,
    ACTIONS(978), 1,
      sym_kAlias,
    ACTIONS(1650), 1,
      sym_kExport,
    STATE(624), 1,
      aux_sym__procAttributeNoExt_repeat1,
    STATE(2232), 1,
      sym_procAttribute,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(968), 39,
      sym_kDefault,
      sym_kNodefault,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
  [5253] = 6,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(3382), 1,
      aux_sym__literalString_token1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(623), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1549), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1551), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [5316] = 22,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(632), 1,
      aux_sym_declVariant_repeat1,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2076), 1,
      sym_declVariantClause,
    STATE(2285), 1,
      sym_range,
    STATE(2523), 1,
      sym_caseLabel,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [5410] = 22,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(633), 1,
      aux_sym_declVariant_repeat1,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2030), 1,
      sym_declVariantClause,
    STATE(2285), 1,
      sym_range,
    STATE(2523), 1,
      sym_caseLabel,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [5504] = 22,
    ACTIONS(3387), 1,
      anon_sym_LBRACK,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(3393), 1,
      aux_sym__literalString_token1,
    ACTIONS(3396), 1,
      anon_sym_POUND,
    ACTIONS(3402), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3405), 1,
      sym_kSpecialize,
    ACTIONS(3411), 1,
      sym_kAt,
    ACTIONS(3417), 1,
      sym_kInherited,
    STATE(633), 1,
      aux_sym_declVariant_repeat1,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2285), 1,
      sym_range,
    STATE(2522), 1,
      sym_declVariantClause,
    STATE(2523), 1,
      sym_caseLabel,
    ACTIONS(3399), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3414), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3408), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3384), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [5598] = 22,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(635), 1,
      aux_sym_declVariant_repeat1,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2036), 1,
      sym_declVariantClause,
    STATE(2285), 1,
      sym_range,
    STATE(2523), 1,
      sym_caseLabel,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [5692] = 22,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(633), 1,
      aux_sym_declVariant_repeat1,
    STATE(768), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2070), 1,
      sym_declVariantClause,
    STATE(2285), 1,
      sym_range,
    STATE(2523), 1,
      sym_caseLabel,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1497), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [5786] = 21,
    ACTIONS(3420), 1,
      sym_identifier,
    ACTIONS(3423), 1,
      anon_sym_LBRACK,
    ACTIONS(3426), 1,
      anon_sym_LPAREN,
    ACTIONS(3429), 1,
      aux_sym__literalString_token1,
    ACTIONS(3432), 1,
      anon_sym_POUND,
    ACTIONS(3438), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3441), 1,
      sym_kSpecialize,
    ACTIONS(3447), 1,
      sym_kAt,
    ACTIONS(3453), 1,
      sym_kInherited,
    STATE(636), 1,
      aux_sym_recInitializer_repeat1,
    STATE(2514), 1,
      sym_recInitializerField,
    ACTIONS(3435), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3450), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3444), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    ACTIONS(3456), 3,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1480), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(2149), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [5878] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3459), 46,
      sym_kDefault,
      sym_kNodefault,
      sym_kDispId,
      sym_kPublic,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kExternal,
      sym_kMessage,
      sym_kDeprecated,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kExport,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
      sym_kAlias,
  [5932] = 21,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3368), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      aux_sym_recInitializer_repeat1,
    STATE(2148), 1,
      sym_recInitializerField,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    ACTIONS(95), 3,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1480), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(2149), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [6024] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3183), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3181), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [6083] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1200), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1198), 38,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [6138] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3101), 1,
      sym_kMul,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3463), 1,
      anon_sym_LBRACK,
    ACTIONS(3099), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3105), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3095), 4,
      sym_kLt,
      sym_kGt,
      sym_kIs,
      sym_kIn,
    ACTIONS(3097), 4,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
    ACTIONS(3103), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(3461), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [6209] = 20,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(3465), 1,
      anon_sym_SEMI,
    ACTIONS(3469), 1,
      sym_kDelayed,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3467), 2,
      sym_kIndex,
      sym_kName,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1485), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [6298] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3101), 1,
      sym_kMul,
    ACTIONS(3107), 1,
      sym_kAs,
    ACTIONS(3473), 1,
      anon_sym_LBRACK,
    ACTIONS(3099), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3105), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3095), 4,
      sym_kLt,
      sym_kGt,
      sym_kIs,
      sym_kIn,
    ACTIONS(3097), 4,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
    ACTIONS(3103), 6,
      sym_kFdiv,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(3471), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [6369] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3191), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3189), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [6428] = 4,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3201), 8,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3203), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [6485] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3159), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3157), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [6546] = 8,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3475), 1,
      sym_kLt,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3209), 6,
      anon_sym_COLON,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3211), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [6611] = 29,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3477), 1,
      anon_sym_SEMI,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3481), 1,
      sym_kEnd,
    ACTIONS(3483), 1,
      sym_kName,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2700), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [6718] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1182), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1180), 38,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [6773] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3485), 45,
      sym_kDefault,
      sym_kNodefault,
      sym_kDispId,
      sym_kPublic,
      sym_kStatic,
      sym_kVirtual,
      sym_kAbstract,
      sym_kDynamic,
      sym_kOverride,
      sym_kOverload,
      sym_kReintroduce,
      sym_kInline,
      sym_kStdcall,
      sym_kCdecl,
      sym_kCppdecl,
      sym_kPascal,
      sym_kRegister,
      sym_kMwpascal,
      sym_kMessage,
      sym_kDeprecated,
      sym_kExperimental,
      sym_kPlatform,
      sym_kUnimplemented,
      sym_kCvar,
      sym_kExport,
      sym_kFar,
      sym_kNear,
      sym_kSafecall,
      sym_kAssembler,
      sym_kNostackframe,
      sym_kInterrupt,
      sym_kNoreturn,
      sym_kIocheck,
      sym_kLocal,
      sym_kHardfloat,
      sym_kSoftfloat,
      sym_kMs_abi_default,
      sym_kMs_abi_cdecl,
      sym_kSaveregisters,
      sym_kSysv_abi_default,
      sym_kSysv_abi_cdecl,
      sym_kVectorcall,
      sym_kVarargs,
      sym_kWinapi,
      sym_kAlias,
  [6826] = 29,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3487), 1,
      anon_sym_SEMI,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      sym_kEnd,
    STATE(752), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2611), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [6933] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      aux_sym_arrInitializer_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1480), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(2145), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [7020] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3159), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3157), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7079] = 8,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3209), 6,
      anon_sym_COLON,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3211), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [7144] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3179), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3177), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7205] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(1200), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1198), 39,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kOf,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [7262] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3185), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7323] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3167), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3165), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7384] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3167), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3165), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7443] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3183), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3181), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7504] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3187), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3185), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7563] = 29,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3372), 1,
      anon_sym_SEMI,
    ACTIONS(3374), 1,
      anon_sym_LPAREN,
    ACTIONS(3376), 1,
      sym_kEnd,
    ACTIONS(3497), 1,
      sym_kName,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2654), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [7670] = 29,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3499), 1,
      anon_sym_SEMI,
    ACTIONS(3501), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      sym_kEnd,
    STATE(724), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2562), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [7777] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3179), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3177), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7836] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3191), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3189), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7897] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3175), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3173), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [7958] = 6,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3171), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3169), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [8019] = 4,
    ACTIONS(3505), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3293), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
    ACTIONS(3291), 28,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [8076] = 20,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(3507), 1,
      anon_sym_SEMI,
    ACTIONS(3511), 1,
      sym_kDelayed,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3509), 2,
      sym_kIndex,
      sym_kName,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1475), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [8165] = 19,
    ACTIONS(3516), 1,
      anon_sym_LBRACK,
    ACTIONS(3519), 1,
      anon_sym_LPAREN,
    ACTIONS(3522), 1,
      aux_sym__literalString_token1,
    ACTIONS(3525), 1,
      anon_sym_POUND,
    ACTIONS(3531), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3534), 1,
      sym_kSpecialize,
    ACTIONS(3540), 1,
      sym_kAt,
    ACTIONS(3546), 1,
      sym_kInherited,
    STATE(670), 1,
      aux_sym_arrInitializer_repeat1,
    ACTIONS(3528), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3543), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3537), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1480), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(2516), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    ACTIONS(3513), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [8252] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3171), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3169), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [8311] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(1182), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1180), 39,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kOf,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [8368] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3175), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3173), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
  [8427] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    ACTIONS(3549), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1501), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [8511] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3551), 1,
      anon_sym_RBRACK,
    STATE(734), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2295), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1528), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [8599] = 28,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3553), 1,
      anon_sym_SEMI,
    ACTIONS(3555), 1,
      sym_kEnd,
    STATE(774), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2431), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [8703] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    STATE(741), 1,
      aux_sym_declArray_repeat1,
    STATE(2224), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1534), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [8791] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3559), 1,
      anon_sym_RBRACK,
    STATE(760), 1,
      aux_sym_declArray_repeat1,
    STATE(2144), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1511), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [8879] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3561), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2391), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [8967] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3563), 1,
      sym_kVar,
    STATE(1943), 1,
      sym_varAssignDef,
    STATE(2181), 1,
      sym_assignment,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1460), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [9055] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3565), 1,
      anon_sym_RBRACK,
    STATE(767), 1,
      aux_sym_declArray_repeat1,
    STATE(2234), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1509), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [9143] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3171), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3169), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [9201] = 28,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_SEMI,
    ACTIONS(3569), 1,
      sym_kEnd,
    STATE(762), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2460), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [9305] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1480), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(1910), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [9389] = 28,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3477), 1,
      anon_sym_SEMI,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3481), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2700), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [9493] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3159), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3157), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [9551] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3167), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3165), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [9609] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3571), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2453), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [9697] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3573), 1,
      anon_sym_RBRACK,
    STATE(770), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2290), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1514), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [9785] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3575), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2430), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [9873] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_RBRACK,
    STATE(772), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2298), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1539), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [9961] = 28,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_SEMI,
    ACTIONS(3581), 1,
      sym_kEnd,
    STATE(727), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2439), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [10065] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3583), 1,
      anon_sym_RBRACK,
    STATE(732), 1,
      aux_sym_declArray_repeat1,
    STATE(2162), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1537), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [10153] = 28,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3585), 1,
      anon_sym_SEMI,
    ACTIONS(3587), 1,
      sym_kEnd,
    STATE(730), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2544), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [10257] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3179), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3177), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [10315] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1200), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1198), 38,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [10369] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3563), 1,
      sym_kVar,
    STATE(1943), 1,
      sym_varAssignDef,
    STATE(2254), 1,
      sym_assignment,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1463), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [10457] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3589), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2405), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [10545] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3183), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3181), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [10603] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2325), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1536), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [10691] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3175), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3173), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [10749] = 28,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3372), 1,
      anon_sym_SEMI,
    ACTIONS(3374), 1,
      anon_sym_LPAREN,
    ACTIONS(3376), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2654), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [10853] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3187), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3185), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [10911] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3593), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2390), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [10999] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3595), 1,
      anon_sym_RBRACK,
    STATE(736), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2229), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1535), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11087] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1480), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(2261), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11171] = 28,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3597), 1,
      anon_sym_SEMI,
    ACTIONS(3599), 1,
      sym_kEnd,
    STATE(763), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2545), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [11275] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3563), 1,
      sym_kVar,
    STATE(1943), 1,
      sym_varAssignDef,
    STATE(2277), 1,
      sym_assignment,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1457), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11363] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3601), 1,
      anon_sym_RBRACK,
    STATE(754), 1,
      aux_sym_declArray_repeat1,
    STATE(2289), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1502), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11451] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3603), 1,
      sym_kGt,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(3605), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3607), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3609), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
    ACTIONS(3611), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 26,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [11521] = 7,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(3607), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3611), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2935), 6,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
    ACTIONS(2937), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [11583] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3615), 1,
      anon_sym_RBRACK,
    STATE(751), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2253), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1508), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11671] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3617), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2653), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11759] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_RBRACK,
    STATE(735), 1,
      aux_sym_declArray_repeat1,
    STATE(2168), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1490), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11847] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1182), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(1180), 38,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [11901] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1598), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(1910), 3,
      sym__initializer,
      sym_recInitializer,
      sym_arrInitializer,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [11985] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3621), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2337), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [12073] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(3605), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(3607), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3609), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_COLON,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
    ACTIONS(3611), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [12139] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3191), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3161), 16,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
    ACTIONS(3189), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [12197] = 20,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_RBRACK,
    STATE(731), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2323), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1532), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [12285] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2831), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2833), 38,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [12339] = 28,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3489), 1,
      anon_sym_LBRACK,
    ACTIONS(3625), 1,
      anon_sym_SEMI,
    ACTIONS(3627), 1,
      sym_kEnd,
    STATE(744), 1,
      sym_guid,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2388), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [12443] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3629), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN,
    ACTIONS(3633), 1,
      sym_kLt,
    STATE(1009), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3209), 4,
      sym_kConst,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3211), 34,
      anon_sym_COMMA,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [12506] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3635), 1,
      anon_sym_SEMI,
    ACTIONS(3637), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2651), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [12607] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2404), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [12692] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2303), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1489), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [12777] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3639), 1,
      anon_sym_SEMI,
    ACTIONS(3641), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2428), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [12878] = 4,
    STATE(1009), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3201), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3203), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [12933] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2389), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13018] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3643), 1,
      anon_sym_SEMI,
    ACTIONS(3645), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2441), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [13119] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2306), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1488), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13204] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      aux_sym_declArray_repeat1,
    STATE(2159), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1499), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13289] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2336), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13374] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2305), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1529), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13459] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      aux_sym_declArray_repeat1,
    STATE(2162), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1537), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13544] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2300), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1538), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13629] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3647), 1,
      anon_sym_SEMI,
    ACTIONS(3649), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2454), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [13730] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3651), 1,
      anon_sym_SEMI,
    ACTIONS(3653), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2457), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [13831] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3657), 1,
      anon_sym_RBRACK,
    STATE(781), 1,
      aux_sym_rttiAttributes_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3655), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1354), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [13916] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3659), 1,
      anon_sym_SEMI,
    ACTIONS(3661), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2657), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [14017] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      aux_sym_declArray_repeat1,
    STATE(2220), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1527), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [14102] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2452), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [14187] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2392), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [14272] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3663), 1,
      anon_sym_SEMI,
    ACTIONS(3665), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2459), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [14373] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3667), 1,
      anon_sym_SEMI,
    ACTIONS(3669), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2624), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [14474] = 4,
    ACTIONS(3671), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2947), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(2949), 31,
      anon_sym_LPAREN,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [14529] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3673), 1,
      anon_sym_SEMI,
    ACTIONS(3675), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2623), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [14630] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3677), 1,
      sym_identifier,
    ACTIONS(3679), 1,
      anon_sym_RBRACK,
    STATE(875), 1,
      aux_sym_rttiAttributes_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    ACTIONS(3681), 3,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(1401), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [14717] = 4,
    ACTIONS(3683), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3291), 31,
      anon_sym_LPAREN,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [14772] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2645), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [14857] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2196), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1510), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [14942] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3685), 1,
      anon_sym_SEMI,
    ACTIONS(3687), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2701), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [15043] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3689), 1,
      anon_sym_SEMI,
    ACTIONS(3691), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2594), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [15144] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      aux_sym_declArray_repeat1,
    STATE(2281), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1523), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [15229] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3693), 1,
      anon_sym_SEMI,
    ACTIONS(3695), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2710), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [15330] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3697), 1,
      anon_sym_SEMI,
    ACTIONS(3699), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2384), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [15431] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3701), 1,
      anon_sym_SEMI,
    ACTIONS(3703), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2537), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [15532] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3705), 1,
      anon_sym_SEMI,
    ACTIONS(3707), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2385), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [15633] = 19,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    ACTIONS(3715), 1,
      anon_sym_LPAREN,
    ACTIONS(3718), 1,
      aux_sym__literalString_token1,
    ACTIONS(3721), 1,
      anon_sym_POUND,
    ACTIONS(3727), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3730), 1,
      sym_kSpecialize,
    ACTIONS(3736), 1,
      sym_kAt,
    ACTIONS(3742), 1,
      sym_kInherited,
    STATE(759), 1,
      aux_sym_declArray_repeat1,
    STATE(2474), 1,
      sym_range,
    ACTIONS(3724), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3739), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3733), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1543), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3709), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [15718] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      aux_sym_declArray_repeat1,
    STATE(2289), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1502), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [15803] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3745), 1,
      anon_sym_SEMI,
    ACTIONS(3747), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2538), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [15904] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3749), 1,
      anon_sym_SEMI,
    ACTIONS(3751), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2543), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [16005] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3753), 1,
      anon_sym_SEMI,
    ACTIONS(3755), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2591), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [16106] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3757), 1,
      anon_sym_SEMI,
    ACTIONS(3759), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2590), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [16207] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3761), 1,
      anon_sym_SEMI,
    ACTIONS(3763), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2595), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [16308] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3765), 1,
      anon_sym_SEMI,
    ACTIONS(3767), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2549), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [16409] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      aux_sym_declArray_repeat1,
    STATE(2224), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1534), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [16494] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2160), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1515), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [16579] = 19,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(778), 1,
      aux_sym_exprArgs_repeat1,
    STATE(2332), 1,
      sym_exprArgs,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1366), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [16664] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2286), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1512), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [16749] = 20,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3677), 1,
      sym_identifier,
    ACTIONS(3679), 1,
      anon_sym_RBRACK,
    STATE(875), 1,
      aux_sym_rttiAttributes_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    ACTIONS(3769), 3,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(1350), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [16836] = 19,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2297), 1,
      sym_range,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1531), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [16921] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3771), 1,
      anon_sym_SEMI,
    ACTIONS(3773), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2451), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [17022] = 27,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3775), 1,
      anon_sym_SEMI,
    ACTIONS(3777), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2527), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [17123] = 19,
    ACTIONS(3782), 1,
      anon_sym_LBRACK,
    ACTIONS(3785), 1,
      anon_sym_LPAREN,
    ACTIONS(3788), 1,
      aux_sym__literalString_token1,
    ACTIONS(3791), 1,
      anon_sym_POUND,
    ACTIONS(3797), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3800), 1,
      sym_kSpecialize,
    ACTIONS(3806), 1,
      sym_kAt,
    ACTIONS(3812), 1,
      sym_kInherited,
    STATE(775), 1,
      aux_sym_caseLabel_repeat1,
    STATE(2446), 1,
      sym_range,
    ACTIONS(3794), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3809), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3803), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1552), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3779), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [17208] = 7,
    ACTIONS(3817), 1,
      sym_kFdiv,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(3821), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
    ACTIONS(3815), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 29,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [17268] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3825), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3823), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [17320] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(836), 1,
      aux_sym_exprArgs_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1409), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [17402] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1593), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [17484] = 18,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(821), 1,
      aux_sym_declProp_repeat1,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1217), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [17566] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(849), 1,
      aux_sym_rttiAttributes_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3827), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1408), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [17648] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2951), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2953), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [17700] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3831), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3829), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [17752] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3835), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3833), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [17804] = 18,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3137), 1,
      sym_kAt,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    STATE(884), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3139), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1364), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3125), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1266), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [17886] = 18,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    STATE(813), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(814), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [17968] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3849), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3847), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18020] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(861), 1,
      aux_sym_with_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1553), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [18102] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2963), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2965), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [18154] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3853), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3851), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18206] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3015), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3017), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [18258] = 6,
    ACTIONS(3855), 1,
      aux_sym__literalString_token1,
    ACTIONS(3858), 1,
      anon_sym_POUND,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(792), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1503), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(1505), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [18316] = 18,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    STATE(880), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1086), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [18398] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3183), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3181), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [18450] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3863), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3861), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18502] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3867), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3865), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18554] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3871), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3869), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18606] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(3873), 1,
      sym_kName,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1501), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [18688] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2967), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2969), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [18740] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3877), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3875), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18792] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3881), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3879), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18844] = 8,
    ACTIONS(3817), 1,
      sym_kFdiv,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(3821), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
    ACTIONS(3883), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(3815), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 25,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [18906] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3887), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3885), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [18958] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2959), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2961), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [19010] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3175), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3173), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [19062] = 4,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2937), 35,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [19116] = 4,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2991), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2993), 35,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [19170] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3889), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2589), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [19268] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2919), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2921), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [19320] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3893), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3891), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [19372] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3897), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3895), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [19424] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3901), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3899), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [19476] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1569), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [19558] = 10,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3817), 1,
      sym_kFdiv,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(3821), 1,
      sym_kAs,
    ACTIONS(3903), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
    ACTIONS(3883), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(3815), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 24,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [19624] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3907), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3905), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [19676] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(289), 1,
      sym_kAt,
    STATE(831), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(291), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(710), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(287), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(647), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [19758] = 6,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(3909), 1,
      aux_sym__literalString_token1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(792), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1549), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(1551), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [19816] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3913), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3911), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [19868] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3007), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3009), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [19920] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(275), 1,
      sym_kAt,
    STATE(779), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(277), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(604), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(279), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(599), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [20002] = 18,
    ACTIONS(3920), 1,
      anon_sym_LBRACK,
    ACTIONS(3923), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      aux_sym__literalString_token1,
    ACTIONS(3929), 1,
      anon_sym_POUND,
    ACTIONS(3935), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3938), 1,
      sym_kSpecialize,
    ACTIONS(3944), 1,
      sym_kAt,
    ACTIONS(3950), 1,
      sym_kInherited,
    STATE(821), 1,
      aux_sym_declProp_repeat1,
    ACTIONS(3932), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3947), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3941), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1561), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3917), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [20084] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(830), 1,
      aux_sym_with_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1550), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [20166] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3955), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3953), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [20218] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2975), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2977), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [20270] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3019), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3021), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [20322] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2941), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2943), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [20374] = 18,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    STATE(854), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1262), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [20456] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3191), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3189), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [20508] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(3961), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2383), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [20606] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(878), 1,
      aux_sym_with_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1548), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [20688] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1568), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [20770] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3965), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3963), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [20822] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3969), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3967), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [20874] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(878), 1,
      aux_sym_with_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1542), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [20956] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3159), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3157), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [21008] = 18,
    ACTIONS(3974), 1,
      anon_sym_LBRACK,
    ACTIONS(3977), 1,
      anon_sym_LPAREN,
    ACTIONS(3980), 1,
      aux_sym__literalString_token1,
    ACTIONS(3983), 1,
      anon_sym_POUND,
    ACTIONS(3989), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3992), 1,
      sym_kSpecialize,
    ACTIONS(3998), 1,
      sym_kAt,
    ACTIONS(4004), 1,
      sym_kInherited,
    STATE(836), 1,
      aux_sym_exprArgs_repeat1,
    ACTIONS(3986), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(4001), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3995), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1469), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3971), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [21090] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1566), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [21172] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(4007), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2535), 1,
      sym__declClass,
    STATE(2566), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [21270] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(4009), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2566), 1,
      sym_declVariant,
    STATE(2620), 1,
      sym__declClass,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1008), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1652), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1071), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [21368] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2955), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2957), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [21420] = 6,
    ACTIONS(4011), 1,
      aux_sym__literalString_token1,
    ACTIONS(4014), 1,
      anon_sym_POUND,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(841), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1503), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(1505), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [21478] = 18,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(872), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1091), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [21560] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3187), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3185), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [21612] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2979), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2981), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [21664] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3167), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3165), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [21716] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2995), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2997), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [21768] = 18,
    ACTIONS(4020), 1,
      anon_sym_LBRACK,
    ACTIONS(4023), 1,
      anon_sym_LPAREN,
    ACTIONS(4026), 1,
      aux_sym__literalString_token1,
    ACTIONS(4029), 1,
      anon_sym_POUND,
    ACTIONS(4035), 1,
      aux_sym__literalInt_token2,
    ACTIONS(4038), 1,
      sym_kSpecialize,
    ACTIONS(4044), 1,
      sym_kAt,
    ACTIONS(4050), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(4032), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(4047), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4041), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1596), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4017), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [21850] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4055), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4053), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [21902] = 18,
    ACTIONS(4060), 1,
      anon_sym_LBRACK,
    ACTIONS(4063), 1,
      anon_sym_LPAREN,
    ACTIONS(4066), 1,
      aux_sym__literalString_token1,
    ACTIONS(4069), 1,
      anon_sym_POUND,
    ACTIONS(4075), 1,
      aux_sym__literalInt_token2,
    ACTIONS(4078), 1,
      sym_kSpecialize,
    ACTIONS(4084), 1,
      sym_kAt,
    ACTIONS(4090), 1,
      sym_kInherited,
    STATE(849), 1,
      aux_sym_rttiAttributes_repeat1,
    ACTIONS(4072), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(4087), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4081), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4057), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1466), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [21984] = 6,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(4093), 1,
      aux_sym__literalString_token1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(841), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1549), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(1551), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [22042] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(831), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(940), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [22124] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3011), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3013), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [22176] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2971), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2973), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [22228] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1604), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [22310] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4097), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4095), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [22362] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2999), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3001), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [22414] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3027), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3029), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [22466] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3003), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3005), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [22518] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4101), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4099), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [22570] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3179), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3177), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [22622] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(878), 1,
      aux_sym_with_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1555), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [22704] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(834), 1,
      aux_sym_with_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1554), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [22786] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4105), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4103), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [22838] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4109), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4107), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [22890] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4113), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4111), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [22942] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3171), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3169), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [22994] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4117), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4115), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [23046] = 18,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(837), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1269), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [23128] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4121), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4119), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [23180] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2987), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2989), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [23232] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3023), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3025), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [23284] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1590), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [23366] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4125), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4123), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [23418] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4129), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4127), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [23470] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(849), 1,
      aux_sym_rttiAttributes_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4131), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1370), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [23552] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4135), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4133), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [23604] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3031), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(3033), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [23656] = 18,
    ACTIONS(4140), 1,
      anon_sym_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_LPAREN,
    ACTIONS(4146), 1,
      aux_sym__literalString_token1,
    ACTIONS(4149), 1,
      anon_sym_POUND,
    ACTIONS(4155), 1,
      aux_sym__literalInt_token2,
    ACTIONS(4158), 1,
      sym_kSpecialize,
    ACTIONS(4164), 1,
      sym_kAt,
    ACTIONS(4170), 1,
      sym_kInherited,
    STATE(878), 1,
      aux_sym_with_repeat1,
    ACTIONS(4152), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(4167), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4161), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1579), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4137), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [23738] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4175), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4173), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [23790] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1563), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [23872] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4179), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4177), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [23924] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2983), 6,
      anon_sym_LPAREN,
      sym_kConst,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kAs,
    ACTIONS(2985), 36,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kUses,
      anon_sym_DOT,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kIn,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [23976] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    STATE(779), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(615), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24058] = 18,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    STATE(847), 1,
      aux_sym_exprTpl_repeat1,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1600), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24140] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4183), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4181), 36,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [24192] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(289), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(291), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(540), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(287), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(647), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24271] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1558), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24350] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1047), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24429] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1587), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24508] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1592), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24587] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1306), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24666] = 17,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3137), 1,
      sym_kAt,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3139), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1544), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3125), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1266), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24745] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1268), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24824] = 17,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1614), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4185), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1242), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24903] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(552), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [24982] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1066), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25061] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1582), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25140] = 17,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1271), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25219] = 17,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1272), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25298] = 17,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1274), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25377] = 17,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1275), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25456] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1285), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25535] = 17,
    ACTIONS(3057), 1,
      aux_sym__literalString_token1,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3065), 1,
      sym_kSpecialize,
    ACTIONS(3067), 1,
      sym_kAt,
    ACTIONS(3073), 1,
      sym_kInherited,
    ACTIONS(3225), 1,
      anon_sym_LBRACK,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3071), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1304), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3069), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(508), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    STATE(1193), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(3055), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1248), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25614] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4187), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1462), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25693] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4189), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1468), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25772] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4191), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1467), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25851] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(937), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [25930] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(938), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26009] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1073), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26088] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(516), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26167] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(289), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(291), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(534), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(287), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(647), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26246] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4193), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(645), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26325] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1038), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26404] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1077), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26483] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4195), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1465), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26562] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1079), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26641] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1573), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26720] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1545), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26799] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1080), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26878] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1380), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [26957] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1567), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27036] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1436), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27115] = 17,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1608), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4197), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1021), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27194] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1547), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27273] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1572), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27352] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1403), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27431] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1602), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27510] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1560), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27589] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1482), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27668] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1551), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27747] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1503), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27826] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1501), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27905] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1500), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [27984] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4199), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1461), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28063] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4201), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1459), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28142] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1198), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28221] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_COLON,
      sym_kLt,
      sym_kGt,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [28284] = 7,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 5,
      anon_sym_COLON,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [28343] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1201), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28422] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4211), 1,
      sym_kGt,
    ACTIONS(2935), 2,
      anon_sym_COLON,
      sym_kLt,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 24,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kIn,
      sym_kThen,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
      sym_kDelayed,
  [28489] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1591), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28568] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1215), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28647] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1209), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28726] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1577), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28805] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1346), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28884] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1332), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [28963] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1580), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29042] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1348), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29121] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1581), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29200] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1584), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29279] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1576), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29358] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1571), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29437] = 17,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3137), 1,
      sym_kAt,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3139), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1440), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3125), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1266), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29516] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(643), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29595] = 17,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3137), 1,
      sym_kAt,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3139), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1377), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3125), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1266), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29674] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1574), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29753] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1352), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29832] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1575), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29911] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1586), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [29990] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1588), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30069] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(275), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(277), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(605), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(279), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(599), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30148] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(275), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(277), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(540), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(279), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(599), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30227] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4213), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1458), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30306] = 17,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3137), 1,
      sym_kAt,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3139), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1353), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3125), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1266), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30385] = 17,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3137), 1,
      sym_kAt,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3139), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1361), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3125), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1266), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30464] = 17,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1612), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4215), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1255), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30543] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1578), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30622] = 17,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3137), 1,
      sym_kAt,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3139), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1362), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3125), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1266), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30701] = 17,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(3127), 1,
      aux_sym__literalString_token1,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3135), 1,
      sym_kSpecialize,
    ACTIONS(3143), 1,
      sym_kInherited,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3131), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3141), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1382), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1208), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1610), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4217), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1265), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30780] = 17,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1302), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30859] = 17,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1305), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [30938] = 17,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1307), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31017] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(508), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31096] = 17,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1312), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31175] = 17,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1296), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31254] = 17,
    ACTIONS(105), 1,
      anon_sym_LBRACK,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      aux_sym__literalString_token1,
    ACTIONS(111), 1,
      anon_sym_POUND,
    ACTIONS(115), 1,
      aux_sym__literalInt_token2,
    ACTIONS(121), 1,
      sym_kSpecialize,
    ACTIONS(125), 1,
      sym_kAt,
    ACTIONS(141), 1,
      sym_kInherited,
    ACTIONS(113), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(139), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1072), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(123), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(817), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1324), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(143), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1025), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31333] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1222), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31412] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1227), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31491] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1224), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31570] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1225), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31649] = 17,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1498), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31728] = 17,
    ACTIONS(3037), 1,
      aux_sym__literalString_token1,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      aux_sym__literalInt_token2,
    ACTIONS(3045), 1,
      sym_kSpecialize,
    ACTIONS(3047), 1,
      sym_kAt,
    ACTIONS(3053), 1,
      sym_kInherited,
    ACTIONS(3957), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3051), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1301), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3049), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(1192), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1505), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(3035), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1250), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31807] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(289), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(291), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(516), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(287), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(647), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31886] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(289), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(291), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(711), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(287), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(647), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [31965] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1541), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32044] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1533), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32123] = 17,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1019), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32202] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(275), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(277), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(516), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(279), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(599), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32281] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1606), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4219), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(597), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32360] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(275), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(277), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(534), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(279), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(599), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32439] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(641), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32518] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(516), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32597] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(618), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32676] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(614), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32755] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1565), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32834] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(508), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32913] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1477), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [32992] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1089), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33071] = 17,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1020), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33150] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1583), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(95), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(654), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33229] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(65), 1,
      sym_kSpecialize,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(91), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1609), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4221), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1464), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33308] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1063), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33387] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1093), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33466] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1070), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33545] = 17,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(786), 1,
      sym_kAt,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(788), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1102), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(774), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1040), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33624] = 17,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(809), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33703] = 17,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(776), 1,
      aux_sym__literalString_token1,
    ACTIONS(778), 1,
      anon_sym_POUND,
    ACTIONS(782), 1,
      aux_sym__literalInt_token2,
    ACTIONS(784), 1,
      sym_kSpecialize,
    ACTIONS(792), 1,
      sym_kInherited,
    ACTIONS(3195), 1,
      anon_sym_LBRACK,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(790), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1076), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(850), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1611), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4223), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(1037), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33782] = 25,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(3117), 1,
      sym_kStrict,
    ACTIONS(4225), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(2668), 1,
      sym_declVariant,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1254), 2,
      aux_sym__declFields,
      sym_declField,
    STATE(1658), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(3115), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1081), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [33877] = 17,
    ACTIONS(69), 1,
      sym_kAt,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(67), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(1607), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(4227), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(728), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [33956] = 17,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(807), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [34035] = 17,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(806), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [34114] = 17,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(776), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [34193] = 17,
    ACTIONS(295), 1,
      aux_sym__literalString_token1,
    ACTIONS(297), 1,
      anon_sym_POUND,
    ACTIONS(301), 1,
      aux_sym__literalInt_token2,
    ACTIONS(303), 1,
      sym_kSpecialize,
    ACTIONS(305), 1,
      sym_kAt,
    ACTIONS(309), 1,
      sym_kInherited,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3845), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(846), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(307), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(630), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(802), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(293), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(723), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [34272] = 17,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      aux_sym__literalString_token1,
    ACTIONS(51), 1,
      anon_sym_POUND,
    ACTIONS(55), 1,
      aux_sym__literalInt_token2,
    ACTIONS(93), 1,
      sym_kInherited,
    ACTIONS(273), 1,
      sym_kSpecialize,
    ACTIONS(281), 1,
      sym_kAt,
    ACTIONS(53), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
    ACTIONS(3915), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(535), 2,
      sym__literalInt,
      sym__literalFloat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(283), 3,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
    STATE(234), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    STATE(553), 3,
      sym__expr,
      sym_exprBinary,
      sym_exprUnary,
    ACTIONS(285), 4,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
    STATE(601), 14,
      sym__ref,
      sym_lambda,
      sym_inherited,
      sym_exprDot,
      sym_exprDeref,
      sym_exprAs,
      sym_exprTpl,
      sym_exprSubscript,
      sym_exprCall,
      sym_exprParens,
      sym_exprBrackets,
      sym__literal,
      sym_literalString,
      sym_literalNumber,
  [34351] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4231), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4233), 8,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
    ACTIONS(4229), 26,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [34403] = 4,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4231), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4235), 8,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
    ACTIONS(4229), 26,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [34455] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2831), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2833), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [34504] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2831), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2833), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [34553] = 10,
    ACTIONS(3461), 1,
      sym_kConst,
    ACTIONS(3817), 1,
      sym_kFdiv,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(3821), 1,
      sym_kAs,
    ACTIONS(4237), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3883), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(3815), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4239), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(3463), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [34616] = 10,
    ACTIONS(3471), 1,
      sym_kConst,
    ACTIONS(3817), 1,
      sym_kFdiv,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(3821), 1,
      sym_kAs,
    ACTIONS(4237), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3883), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(3815), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4239), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(3473), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [34679] = 4,
    STATE(923), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3201), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3203), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [34729] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4241), 1,
      anon_sym_COLON,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4245), 1,
      sym_kAsm,
    STATE(866), 1,
      sym_blockTr,
    STATE(871), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1118), 1,
      sym_declArgs,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1154), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [34823] = 21,
    ACTIONS(4247), 1,
      anon_sym_LBRACK,
    ACTIONS(4250), 1,
      sym_kUses,
    ACTIONS(4255), 1,
      sym_kBegin,
    ACTIONS(4261), 1,
      sym_kConst,
    ACTIONS(4264), 1,
      sym_kResourcestring,
    ACTIONS(4267), 1,
      sym_kType,
    ACTIONS(4270), 1,
      sym_kLabel,
    ACTIONS(4273), 1,
      sym_kExports,
    ACTIONS(4276), 1,
      sym_kClass,
    ACTIONS(4279), 1,
      sym_kGeneric,
    ACTIONS(4285), 1,
      sym_kOperator,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(4258), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4282), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4253), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
    STATE(1023), 11,
      sym_blockTr,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [34907] = 4,
    ACTIONS(4288), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3955), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3953), 31,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [34957] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4290), 1,
      anon_sym_LBRACK,
    ACTIONS(4292), 1,
      anon_sym_LPAREN,
    ACTIONS(4294), 1,
      sym_kLt,
    STATE(923), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3209), 6,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3211), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [35015] = 22,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4304), 1,
      sym_kType,
    ACTIONS(4306), 1,
      sym_kClass,
    ACTIONS(4310), 1,
      sym_kRecord,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4320), 1,
      sym_kPacked,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4302), 2,
      sym_kInterface,
      sym_kDispInterface,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(4308), 4,
      sym_kObject,
      sym_kObjcclass,
      sym_kObjccategory,
      sym_kObjcprotocol,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2517), 4,
      sym_type,
      sym_declClass,
      sym_declIntf,
      sym_declHelper,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [35101] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_COLON,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    STATE(595), 1,
      sym_blockTr,
    STATE(1065), 1,
      sym_asmTr,
    STATE(1110), 1,
      sym_declArgs,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1152), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [35195] = 22,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4306), 1,
      sym_kClass,
    ACTIONS(4310), 1,
      sym_kRecord,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4320), 1,
      sym_kPacked,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4336), 1,
      sym_kType,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4302), 2,
      sym_kInterface,
      sym_kDispInterface,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(4308), 4,
      sym_kObject,
      sym_kObjcclass,
      sym_kObjccategory,
      sym_kObjcprotocol,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2606), 4,
      sym_type,
      sym_declClass,
      sym_declIntf,
      sym_declHelper,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [35281] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4338), 1,
      anon_sym_COLON,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    STATE(584), 1,
      sym_blockTr,
    STATE(1075), 1,
      sym_asmTr,
    STATE(1113), 1,
      sym_declArgs,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1133), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [35375] = 21,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4344), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
    STATE(1031), 11,
      sym_blockTr,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [35459] = 21,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4346), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
    STATE(1023), 11,
      sym_blockTr,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [35543] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    STATE(682), 1,
      sym_blockTr,
    STATE(1115), 1,
      sym_declArgs,
    STATE(1116), 1,
      sym_declProc,
    STATE(1438), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1134), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [35637] = 4,
    ACTIONS(4354), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3293), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3291), 25,
      anon_sym_LPAREN,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kName,
      sym_kDelayed,
  [35687] = 4,
    ACTIONS(4356), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3293), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
    ACTIONS(3291), 23,
      anon_sym_LPAREN,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kElse,
  [35737] = 4,
    ACTIONS(4358), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2947), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(2949), 25,
      anon_sym_LPAREN,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kName,
      sym_kDelayed,
  [35787] = 4,
    ACTIONS(4360), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2947), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
    ACTIONS(2949), 23,
      anon_sym_LPAREN,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kElse,
  [35837] = 4,
    STATE(1007), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3201), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3203), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [35887] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(3473), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [35949] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    STATE(667), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1121), 1,
      sym_declArgs,
    STATE(1290), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1164), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [36043] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4374), 1,
      anon_sym_LPAREN,
    ACTIONS(4376), 1,
      sym_kLt,
    STATE(1007), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3209), 3,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3211), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [36101] = 22,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4306), 1,
      sym_kClass,
    ACTIONS(4310), 1,
      sym_kRecord,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4320), 1,
      sym_kPacked,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4378), 1,
      sym_kType,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4302), 2,
      sym_kInterface,
      sym_kDispInterface,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(4308), 4,
      sym_kObject,
      sym_kObjcclass,
      sym_kObjccategory,
      sym_kObjcprotocol,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2692), 4,
      sym_type,
      sym_declClass,
      sym_declIntf,
      sym_declHelper,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [36187] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4380), 1,
      anon_sym_COLON,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    STATE(671), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1117), 1,
      sym_declArgs,
    STATE(1293), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1159), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [36281] = 4,
    ACTIONS(4386), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3955), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3953), 31,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kUntil,
      sym_kTry,
      sym_kExcept,
      sym_kFinally,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [36331] = 22,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4306), 1,
      sym_kClass,
    ACTIONS(4310), 1,
      sym_kRecord,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4320), 1,
      sym_kPacked,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4388), 1,
      sym_kType,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4302), 2,
      sym_kInterface,
      sym_kDispInterface,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(4308), 4,
      sym_kObject,
      sym_kObjcclass,
      sym_kObjccategory,
      sym_kObjcprotocol,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2603), 4,
      sym_type,
      sym_declClass,
      sym_declIntf,
      sym_declHelper,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [36417] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4390), 1,
      anon_sym_COLON,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(543), 1,
      sym_asmTr,
    STATE(575), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1123), 1,
      sym_declArgs,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1177), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [36511] = 26,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4392), 1,
      sym_kAsm,
    ACTIONS(4394), 1,
      anon_sym_COLON,
    STATE(543), 1,
      sym_asmTr,
    STATE(562), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1119), 1,
      sym_declArgs,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1168), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [36605] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(3463), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [36667] = 22,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4306), 1,
      sym_kClass,
    ACTIONS(4310), 1,
      sym_kRecord,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4320), 1,
      sym_kPacked,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4396), 1,
      sym_kType,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4302), 2,
      sym_kInterface,
      sym_kDispInterface,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(4308), 4,
      sym_kObject,
      sym_kObjcclass,
      sym_kObjccategory,
      sym_kObjcprotocol,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2662), 4,
      sym_type,
      sym_declClass,
      sym_declIntf,
      sym_declHelper,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [36753] = 22,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4306), 1,
      sym_kClass,
    ACTIONS(4310), 1,
      sym_kRecord,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4320), 1,
      sym_kPacked,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4398), 1,
      sym_kType,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4302), 2,
      sym_kInterface,
      sym_kDispInterface,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(4308), 4,
      sym_kObject,
      sym_kObjcclass,
      sym_kObjccategory,
      sym_kObjcprotocol,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2625), 4,
      sym_type,
      sym_declClass,
      sym_declIntf,
      sym_declHelper,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [36839] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2999), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3001), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [36886] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2971), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2973), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [36933] = 19,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3113), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1053), 2,
      aux_sym__declFields,
      sym_declField,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1196), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4400), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [37012] = 19,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3113), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1254), 2,
      aux_sym__declFields,
      sym_declField,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1195), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4402), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [37091] = 19,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3113), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1108), 2,
      aux_sym__declFields,
      sym_declField,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1195), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4402), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [37170] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2983), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2985), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [37217] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3007), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3009), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37264] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2963), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2965), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37311] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2975), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2977), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [37358] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2983), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2985), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37405] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3019), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3021), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [37452] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2979), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2981), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [37499] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3011), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3013), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [37546] = 8,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [37603] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3031), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3033), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37650] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3023), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3025), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37697] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2919), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2921), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [37744] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3003), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3005), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37791] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2967), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2969), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37838] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2959), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2961), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37885] = 4,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2937), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [37934] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      sym_kConst,
    ACTIONS(4414), 1,
      sym_kEnd,
    ACTIONS(4418), 1,
      sym_kResourcestring,
    ACTIONS(4420), 1,
      sym_kType,
    ACTIONS(4422), 1,
      sym_kProperty,
    ACTIONS(4424), 1,
      sym_kClass,
    ACTIONS(4426), 1,
      sym_kGeneric,
    ACTIONS(4428), 1,
      sym_kCase,
    ACTIONS(4432), 1,
      sym_kOperator,
    ACTIONS(4436), 1,
      sym_kStrict,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1716), 1,
      sym_rttiAttributes,
    STATE(2668), 1,
      sym_declVariant,
    ACTIONS(4416), 2,
      sym_kVar,
      sym_kThreadvar,
    STATE(1658), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4430), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4434), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1203), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [38021] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2995), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2997), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38068] = 9,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4438), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4440), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4444), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4446), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kElse,
  [38127] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3011), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3013), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [38174] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3023), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3025), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38221] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2995), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2997), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [38268] = 7,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4440), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4446), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2935), 6,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kIn,
    ACTIONS(2937), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kElse,
  [38323] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2951), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2953), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [38370] = 4,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2937), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38419] = 4,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2991), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2993), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38468] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      sym_kConst,
    ACTIONS(4418), 1,
      sym_kResourcestring,
    ACTIONS(4420), 1,
      sym_kType,
    ACTIONS(4422), 1,
      sym_kProperty,
    ACTIONS(4424), 1,
      sym_kClass,
    ACTIONS(4426), 1,
      sym_kGeneric,
    ACTIONS(4428), 1,
      sym_kCase,
    ACTIONS(4432), 1,
      sym_kOperator,
    ACTIONS(4436), 1,
      sym_kStrict,
    ACTIONS(4450), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1716), 1,
      sym_rttiAttributes,
    STATE(2702), 1,
      sym_declVariant,
    ACTIONS(4416), 2,
      sym_kVar,
      sym_kThreadvar,
    STATE(1677), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4430), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4434), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
    STATE(1203), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
  [38555] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2975), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2977), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [38602] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2941), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2943), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38649] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3003), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3005), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38696] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2999), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3001), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38743] = 11,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4452), 1,
      sym_kGt,
    ACTIONS(4438), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4440), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4444), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kIn,
    ACTIONS(4446), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 19,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kElse,
  [38806] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3019), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3021), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [38853] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2941), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2943), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [38900] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2919), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2921), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [38947] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2963), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2965), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [38994] = 10,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(4454), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 19,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [39055] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2987), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2989), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [39102] = 7,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kName,
      sym_kDelayed,
  [39157] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3027), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3029), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39204] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3015), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3017), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39251] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2987), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2989), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39298] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2967), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2969), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39345] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2979), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2981), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [39392] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2959), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2961), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39439] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2971), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2973), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [39486] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3027), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3029), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [39533] = 4,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2991), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2993), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [39582] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3015), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3017), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [39629] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2951), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2953), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39676] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3031), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3033), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39723] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2955), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2957), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39770] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2955), 5,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(2957), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kName,
      sym_kDelayed,
  [39817] = 19,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      sym_kType,
    ACTIONS(3089), 1,
      sym_kProperty,
    ACTIONS(3091), 1,
      sym_kClass,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3113), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1679), 1,
      sym_rttiAttributes,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3083), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3085), 2,
      sym_kConst,
      sym_kResourcestring,
    STATE(1254), 2,
      aux_sym__declFields,
      sym_declField,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1187), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4456), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [39896] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3007), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(3009), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kElse,
  [39943] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    ACTIONS(4458), 1,
      anon_sym_COLON,
    STATE(589), 1,
      sym_blockTr,
    STATE(1074), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1144), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40031] = 20,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(4462), 1,
      sym_kProperty,
    ACTIONS(4464), 1,
      sym_kClass,
    ACTIONS(4466), 1,
      sym_kGeneric,
    ACTIONS(4470), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1484), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1718), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4468), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4460), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
    STATE(1120), 10,
      sym_declProcFwd,
      aux_sym__declarations,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declLabels,
      sym_declProp,
  [40111] = 20,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(4475), 1,
      sym_kUses,
    ACTIONS(4483), 1,
      sym_kConst,
    ACTIONS(4486), 1,
      sym_kResourcestring,
    ACTIONS(4489), 1,
      sym_kType,
    ACTIONS(4492), 1,
      sym_kLabel,
    ACTIONS(4495), 1,
      sym_kExports,
    ACTIONS(4498), 1,
      sym_kProperty,
    ACTIONS(4501), 1,
      sym_kClass,
    ACTIONS(4504), 1,
      sym_kGeneric,
    ACTIONS(4510), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1484), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1718), 1,
      sym_rttiAttributes,
    ACTIONS(4480), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4507), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4478), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
    STATE(1112), 10,
      sym_declProcFwd,
      aux_sym__declarations,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declLabels,
      sym_declProp,
  [40191] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    ACTIONS(4513), 1,
      anon_sym_COLON,
    STATE(590), 1,
      sym_blockTr,
    STATE(1062), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1128), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40279] = 4,
    ACTIONS(4517), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4519), 8,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
      sym_kIn,
    ACTIONS(4515), 27,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
  [40327] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    STATE(687), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1405), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1139), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40415] = 25,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    ACTIONS(4523), 1,
      aux_sym_type_token1,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1632), 1,
      sym_blockTr,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    STATE(2574), 1,
      sym_asmTr,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1157), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40505] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    ACTIONS(4525), 1,
      anon_sym_COLON,
    STATE(659), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1276), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1167), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40593] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4245), 1,
      sym_kAsm,
    ACTIONS(4527), 1,
      anon_sym_COLON,
    STATE(845), 1,
      sym_blockTr,
    STATE(852), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1158), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40681] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    ACTIONS(4529), 1,
      anon_sym_COLON,
    STATE(539), 1,
      sym_asmTr,
    STATE(561), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1132), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40769] = 20,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(4462), 1,
      sym_kProperty,
    ACTIONS(4464), 1,
      sym_kClass,
    ACTIONS(4466), 1,
      sym_kGeneric,
    ACTIONS(4470), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1484), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1718), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4468), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    ACTIONS(4531), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
    STATE(1112), 10,
      sym_declProcFwd,
      aux_sym__declarations,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declLabels,
      sym_declProp,
  [40849] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    ACTIONS(4533), 1,
      anon_sym_COLON,
    STATE(658), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1313), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1173), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [40937] = 21,
    ACTIONS(4247), 1,
      anon_sym_LBRACK,
    ACTIONS(4250), 1,
      sym_kUses,
    ACTIONS(4261), 1,
      sym_kConst,
    ACTIONS(4264), 1,
      sym_kResourcestring,
    ACTIONS(4267), 1,
      sym_kType,
    ACTIONS(4270), 1,
      sym_kLabel,
    ACTIONS(4273), 1,
      sym_kExports,
    ACTIONS(4276), 1,
      sym_kClass,
    ACTIONS(4279), 1,
      sym_kGeneric,
    ACTIONS(4285), 1,
      sym_kOperator,
    ACTIONS(4535), 1,
      sym_kBegin,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(4258), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4253), 3,
      ts_builtin_sym_end,
      sym_kEnd,
      sym_kAsm,
    ACTIONS(4282), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 11,
      sym_blockTr,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41019] = 24,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    ACTIONS(4538), 1,
      anon_sym_COLON,
    STATE(539), 1,
      sym_asmTr,
    STATE(571), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1147), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41107] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    STATE(592), 1,
      sym_blockTr,
    STATE(1056), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41192] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(538), 1,
      sym_asmTr,
    STATE(569), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41277] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    STATE(568), 1,
      sym_blockTr,
    STATE(1051), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41362] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1619), 1,
      sym_blockTr,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    STATE(2531), 1,
      sym_asmTr,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41447] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    STATE(583), 1,
      sym_blockTr,
    STATE(1097), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41532] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    STATE(585), 1,
      sym_blockTr,
    STATE(1095), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1126), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41617] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(521), 1,
      sym_asmTr,
    STATE(594), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1125), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41702] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    STATE(582), 1,
      sym_blockTr,
    STATE(1106), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1135), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41787] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(524), 1,
      sym_asmTr,
    STATE(565), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41872] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    STATE(576), 1,
      sym_blockTr,
    STATE(1061), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [41957] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    STATE(686), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1386), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42042] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4340), 1,
      sym_kBegin,
    ACTIONS(4342), 1,
      sym_kAsm,
    STATE(580), 1,
      sym_blockTr,
    STATE(1109), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42127] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    STATE(579), 1,
      sym_blockTr,
    STATE(1107), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1124), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42212] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1630), 1,
      sym_blockTr,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    STATE(2436), 1,
      sym_asmTr,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1162), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42297] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    STATE(578), 1,
      sym_blockTr,
    STATE(1100), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42382] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    STATE(699), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1447), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42467] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(525), 1,
      sym_asmTr,
    STATE(593), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42552] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(541), 1,
      sym_asmTr,
    STATE(564), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1151), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42637] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    STATE(695), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1449), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1143), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42722] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    STATE(701), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1435), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42807] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    STATE(572), 1,
      sym_blockTr,
    STATE(1068), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42892] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    STATE(703), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1428), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1149), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [42977] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(521), 1,
      sym_asmTr,
    STATE(566), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1170), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43062] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(524), 1,
      sym_asmTr,
    STATE(588), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43147] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    STATE(574), 1,
      sym_blockTr,
    STATE(1103), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1138), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43232] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4350), 1,
      sym_kBegin,
    ACTIONS(4352), 1,
      sym_kAsm,
    STATE(719), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1424), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43317] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(541), 1,
      sym_asmTr,
    STATE(586), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1140), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43402] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(525), 1,
      sym_asmTr,
    STATE(563), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43487] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4332), 1,
      sym_kBegin,
    ACTIONS(4334), 1,
      sym_kAsm,
    STATE(591), 1,
      sym_blockTr,
    STATE(1098), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43572] = 4,
    ACTIONS(4517), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4519), 7,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4515), 27,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEnd,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kHat,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [43619] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4245), 1,
      sym_kAsm,
    STATE(835), 1,
      sym_blockTr,
    STATE(844), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43704] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1638), 1,
      sym_blockTr,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    STATE(2504), 1,
      sym_asmTr,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1127), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43789] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4245), 1,
      sym_kAsm,
    STATE(791), 1,
      sym_asmTr,
    STATE(860), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1160), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43874] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1636), 1,
      sym_blockTr,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    STATE(2427), 1,
      sym_asmTr,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [43959] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4245), 1,
      sym_kAsm,
    STATE(794), 1,
      sym_blockTr,
    STATE(799), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44044] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    STATE(653), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1277), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44129] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4245), 1,
      sym_kAsm,
    STATE(805), 1,
      sym_blockTr,
    STATE(853), 1,
      sym_asmTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44214] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4245), 1,
      sym_kAsm,
    STATE(840), 1,
      sym_asmTr,
    STATE(843), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1163), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44299] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1620), 1,
      sym_blockTr,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    STATE(2513), 1,
      sym_asmTr,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44384] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4245), 1,
      sym_kAsm,
    STATE(819), 1,
      sym_asmTr,
    STATE(828), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44469] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    STATE(646), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1303), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44554] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    STATE(644), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1295), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44639] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    STATE(664), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1263), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1169), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44724] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    STATE(639), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1261), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44809] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(530), 1,
      sym_asmTr,
    STATE(560), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44894] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    STATE(673), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1317), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [44979] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(538), 1,
      sym_asmTr,
    STATE(567), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45064] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4382), 1,
      sym_kBegin,
    ACTIONS(4384), 1,
      sym_kAsm,
    STATE(661), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1319), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1165), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45149] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    STATE(655), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1325), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1174), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45234] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    STATE(660), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1320), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45319] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    STATE(666), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1298), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45404] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    STATE(657), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1283), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1178), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45489] = 4,
    ACTIONS(4540), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3955), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(3953), 28,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kOn,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [45536] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4392), 1,
      sym_kAsm,
    STATE(530), 1,
      sym_asmTr,
    STATE(573), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45621] = 23,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4368), 1,
      sym_kBegin,
    ACTIONS(4370), 1,
      sym_kAsm,
    STATE(665), 1,
      sym_blockTr,
    STATE(1116), 1,
      sym_declProc,
    STATE(1311), 1,
      sym_asmTr,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45706] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4544), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4542), 28,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [45750] = 21,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4546), 1,
      ts_builtin_sym_end,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 11,
      sym_blockTr,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45830] = 22,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4548), 1,
      sym_kEnd,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1616), 1,
      sym_blockTr,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1186), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [45912] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4552), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4550), 28,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kElse,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [45956] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4556), 6,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEq,
    ACTIONS(4554), 28,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kClass,
      sym_kOf,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [46000] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4560), 6,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEq,
    ACTIONS(4558), 28,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kClass,
      sym_kOf,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [46044] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4564), 6,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEq,
    ACTIONS(4562), 28,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kClass,
      sym_kOf,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [46088] = 22,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(4566), 1,
      sym_kEnd,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1617), 1,
      sym_blockTr,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [46170] = 17,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      sym_kConst,
    ACTIONS(4418), 1,
      sym_kResourcestring,
    ACTIONS(4420), 1,
      sym_kType,
    ACTIONS(4422), 1,
      sym_kProperty,
    ACTIONS(4424), 1,
      sym_kClass,
    ACTIONS(4426), 1,
      sym_kGeneric,
    ACTIONS(4432), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1716), 1,
      sym_rttiAttributes,
    ACTIONS(4416), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4430), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1203), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4568), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [46241] = 7,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4570), 1,
      aux_sym__literalString_token1,
    ACTIONS(4573), 1,
      anon_sym_POUND,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    STATE(1188), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1503), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(1505), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [46292] = 10,
    ACTIONS(4576), 1,
      ts_builtin_sym_end,
    ACTIONS(4578), 1,
      sym_identifier,
    ACTIONS(4581), 1,
      anon_sym_LBRACK,
    ACTIONS(4586), 1,
      sym_kGeneric,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1944), 1,
      sym_rttiAttributes,
    STATE(1189), 2,
      sym_declType,
      aux_sym_declTypes_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1951), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    ACTIONS(4584), 22,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [46349] = 10,
    ACTIONS(4589), 1,
      ts_builtin_sym_end,
    ACTIONS(4591), 1,
      sym_identifier,
    ACTIONS(4593), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      sym_kGeneric,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1944), 1,
      sym_rttiAttributes,
    STATE(1189), 2,
      sym_declType,
      aux_sym_declTypes_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1951), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    ACTIONS(4596), 22,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [46406] = 21,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1629), 1,
      sym_blockTr,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1122), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [46485] = 7,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    ACTIONS(4601), 1,
      aux_sym__literalString_token1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    STATE(1188), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1549), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(1551), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [46536] = 6,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(4603), 1,
      aux_sym__literalString_token1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1194), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1549), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(1551), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [46585] = 6,
    ACTIONS(4605), 1,
      aux_sym__literalString_token1,
    ACTIONS(4608), 1,
      anon_sym_POUND,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1194), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1503), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(1505), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [46634] = 17,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      sym_kConst,
    ACTIONS(4418), 1,
      sym_kResourcestring,
    ACTIONS(4420), 1,
      sym_kType,
    ACTIONS(4422), 1,
      sym_kProperty,
    ACTIONS(4424), 1,
      sym_kClass,
    ACTIONS(4426), 1,
      sym_kGeneric,
    ACTIONS(4432), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1716), 1,
      sym_rttiAttributes,
    ACTIONS(4416), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4430), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1203), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4611), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [46705] = 17,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      sym_kConst,
    ACTIONS(4418), 1,
      sym_kResourcestring,
    ACTIONS(4420), 1,
      sym_kType,
    ACTIONS(4422), 1,
      sym_kProperty,
    ACTIONS(4424), 1,
      sym_kClass,
    ACTIONS(4426), 1,
      sym_kGeneric,
    ACTIONS(4432), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1716), 1,
      sym_rttiAttributes,
    ACTIONS(4416), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4430), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1203), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4613), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [46776] = 4,
    ACTIONS(4619), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4617), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4615), 26,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [46821] = 10,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4438), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4440), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4444), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4621), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4446), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4623), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(3473), 12,
      anon_sym_SEMI,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
  [46878] = 12,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4625), 1,
      anon_sym_SEMI,
    ACTIONS(4438), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4440), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4444), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4621), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4446), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4623), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4629), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
    ACTIONS(4627), 6,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
  [46939] = 4,
    ACTIONS(4631), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4617), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4615), 26,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [46984] = 10,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4438), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4440), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4444), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4621), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4446), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4623), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(3463), 12,
      anon_sym_SEMI,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
  [47041] = 10,
    ACTIONS(4591), 1,
      sym_identifier,
    ACTIONS(4633), 1,
      ts_builtin_sym_end,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      sym_kGeneric,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1944), 1,
      sym_rttiAttributes,
    STATE(1190), 2,
      sym_declType,
      aux_sym_declTypes_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1951), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    ACTIONS(4638), 22,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [47098] = 17,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    ACTIONS(4651), 1,
      sym_kConst,
    ACTIONS(4654), 1,
      sym_kResourcestring,
    ACTIONS(4657), 1,
      sym_kType,
    ACTIONS(4660), 1,
      sym_kProperty,
    ACTIONS(4663), 1,
      sym_kClass,
    ACTIONS(4666), 1,
      sym_kGeneric,
    ACTIONS(4672), 1,
      sym_kOperator,
    STATE(1229), 1,
      sym__declOperator,
    STATE(1540), 1,
      sym__declProc,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1716), 1,
      sym_rttiAttributes,
    ACTIONS(4648), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4669), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1203), 6,
      aux_sym__classDeclarations,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declProc,
      sym_declProp,
    ACTIONS(4646), 9,
      sym_kEnd,
      sym_kCase,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [47169] = 21,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      sym_kUses,
    ACTIONS(19), 1,
      sym_kBegin,
    ACTIONS(23), 1,
      sym_kConst,
    ACTIONS(25), 1,
      sym_kResourcestring,
    ACTIONS(27), 1,
      sym_kType,
    ACTIONS(29), 1,
      sym_kLabel,
    ACTIONS(31), 1,
      sym_kExports,
    ACTIONS(33), 1,
      sym_kClass,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    STATE(1116), 1,
      sym_declProc,
    STATE(1570), 1,
      sym__declProc,
    STATE(1618), 1,
      sym_blockTr,
    STATE(1631), 1,
      sym__declOperator,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1771), 1,
      sym_rttiAttributes,
    ACTIONS(21), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
    STATE(1191), 10,
      aux_sym__definitions,
      sym__definition,
      sym_defProc,
      sym_declProcFwd,
      sym_declUses,
      sym_declExports,
      sym_declTypes,
      sym_declVars,
      sym_declConsts,
      sym_declLabels,
  [47248] = 6,
    ACTIONS(4675), 1,
      aux_sym__literalString_token1,
    ACTIONS(4678), 1,
      anon_sym_POUND,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1205), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1503), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(1505), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [47296] = 12,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4625), 1,
      anon_sym_SEMI,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4627), 5,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
    ACTIONS(4681), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [47356] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4685), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(4683), 26,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFor,
      sym_kIf,
      sym_kWhile,
      sym_kRepeat,
      sym_kTry,
      sym_kRaise,
      sym_kCase,
      sym_kWith,
      sym_kGoto,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [47398] = 6,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    ACTIONS(4687), 1,
      aux_sym__literalString_token1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1205), 3,
      sym__literalString,
      sym_literalChar,
      aux_sym_literalString_repeat1,
    ACTIONS(1549), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(1551), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [47446] = 9,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(3463), 10,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
  [47499] = 9,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4693), 1,
      sym_identifier,
    ACTIONS(4695), 1,
      sym_kGeneric,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1928), 1,
      sym_rttiAttributes,
    STATE(1220), 2,
      sym_declType,
      aux_sym_declTypes_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1979), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    ACTIONS(4638), 21,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [47552] = 10,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(4700), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4698), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [47607] = 9,
    ACTIONS(4702), 1,
      ts_builtin_sym_end,
    ACTIONS(4704), 1,
      sym_identifier,
    ACTIONS(4706), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2197), 1,
      sym_rttiAttributes,
    STATE(2199), 1,
      aux_sym_genericArg_repeat1,
    STATE(1214), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4709), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [47660] = 9,
    ACTIONS(4702), 1,
      ts_builtin_sym_end,
    ACTIONS(4704), 1,
      sym_identifier,
    ACTIONS(4706), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2197), 1,
      sym_rttiAttributes,
    STATE(2199), 1,
      aux_sym_genericArg_repeat1,
    STATE(1216), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4709), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [47713] = 9,
    ACTIONS(4711), 1,
      ts_builtin_sym_end,
    ACTIONS(4713), 1,
      sym_identifier,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2197), 1,
      sym_rttiAttributes,
    STATE(2199), 1,
      aux_sym_genericArg_repeat1,
    STATE(1214), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4719), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [47766] = 9,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(3473), 10,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
  [47819] = 9,
    ACTIONS(4704), 1,
      sym_identifier,
    ACTIONS(4721), 1,
      ts_builtin_sym_end,
    ACTIONS(4723), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2197), 1,
      sym_rttiAttributes,
    STATE(2199), 1,
      aux_sym_genericArg_repeat1,
    STATE(1214), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4726), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [47872] = 10,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(4700), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4728), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [47927] = 9,
    ACTIONS(4581), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 1,
      sym_identifier,
    ACTIONS(4733), 1,
      sym_kGeneric,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1928), 1,
      sym_rttiAttributes,
    STATE(1218), 2,
      sym_declType,
      aux_sym_declTypes_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1979), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    ACTIONS(4584), 21,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [47980] = 9,
    ACTIONS(4704), 1,
      sym_identifier,
    ACTIONS(4736), 1,
      ts_builtin_sym_end,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2197), 1,
      sym_rttiAttributes,
    STATE(2199), 1,
      aux_sym_genericArg_repeat1,
    STATE(1212), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4741), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [48033] = 9,
    ACTIONS(4593), 1,
      anon_sym_LBRACK,
    ACTIONS(4693), 1,
      sym_identifier,
    ACTIONS(4743), 1,
      sym_kGeneric,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(1928), 1,
      sym_rttiAttributes,
    STATE(1218), 2,
      sym_declType,
      aux_sym_declTypes_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1979), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    ACTIONS(4596), 21,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [48086] = 3,
    ACTIONS(4748), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4746), 29,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [48126] = 9,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4750), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [48178] = 8,
    ACTIONS(4752), 1,
      ts_builtin_sym_end,
    ACTIONS(4754), 1,
      sym_identifier,
    ACTIONS(4756), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2613), 1,
      sym_rttiAttributes,
    STATE(1226), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4759), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [48228] = 9,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4761), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [48280] = 9,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4763), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [48332] = 8,
    ACTIONS(4765), 1,
      ts_builtin_sym_end,
    ACTIONS(4767), 1,
      sym_identifier,
    ACTIONS(4770), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2613), 1,
      sym_rttiAttributes,
    STATE(1226), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4773), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [48382] = 9,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4775), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [48434] = 8,
    ACTIONS(4754), 1,
      sym_identifier,
    ACTIONS(4777), 1,
      ts_builtin_sym_end,
    ACTIONS(4779), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2613), 1,
      sym_rttiAttributes,
    STATE(1223), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4782), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [48484] = 3,
    ACTIONS(4786), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4784), 29,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [48524] = 8,
    ACTIONS(4752), 1,
      ts_builtin_sym_end,
    ACTIONS(4754), 1,
      sym_identifier,
    ACTIONS(4756), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2613), 1,
      sym_rttiAttributes,
    STATE(1231), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4759), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [48574] = 8,
    ACTIONS(4754), 1,
      sym_identifier,
    ACTIONS(4788), 1,
      ts_builtin_sym_end,
    ACTIONS(4790), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2613), 1,
      sym_rttiAttributes,
    STATE(1226), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4793), 23,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [48624] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2831), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2833), 26,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [48666] = 3,
    ACTIONS(4797), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4795), 29,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [48706] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2831), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2833), 25,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [48746] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3293), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3291), 15,
      anon_sym_LPAREN,
      sym_kOf,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [48789] = 8,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(4801), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2154), 1,
      aux_sym_genericArg_repeat1,
    STATE(2155), 1,
      sym_rttiAttributes,
    STATE(1236), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4719), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [48838] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4804), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1897), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    STATE(1965), 3,
      sym_operatorDot,
      sym__operatorName,
      sym_operatorName,
    ACTIONS(4808), 8,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(4806), 12,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
  [48887] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4804), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1897), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    STATE(1987), 3,
      sym_operatorDot,
      sym__operatorName,
      sym_operatorName,
    ACTIONS(4808), 8,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(4806), 12,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
  [48936] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2831), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2833), 25,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [48975] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4804), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1897), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    STATE(1985), 3,
      sym_operatorDot,
      sym__operatorName,
      sym_operatorName,
    ACTIONS(4808), 8,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(4806), 12,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
  [49024] = 8,
    ACTIONS(4706), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2154), 1,
      aux_sym_genericArg_repeat1,
    STATE(2155), 1,
      sym_rttiAttributes,
    STATE(1236), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4709), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [49073] = 4,
    STATE(894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3201), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3203), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49114] = 8,
    ACTIONS(4706), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2154), 1,
      aux_sym_genericArg_repeat1,
    STATE(2155), 1,
      sym_rttiAttributes,
    STATE(1249), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4709), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [49163] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4804), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1897), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    STATE(1957), 3,
      sym_operatorDot,
      sym__operatorName,
      sym_operatorName,
    ACTIONS(4808), 8,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(4806), 12,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
  [49212] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4804), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1897), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    STATE(1993), 3,
      sym_operatorDot,
      sym__operatorName,
      sym_operatorName,
    ACTIONS(4808), 8,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(4806), 12,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
  [49261] = 4,
    ACTIONS(4812), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3293), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3291), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49302] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4804), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1897), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    STATE(1961), 3,
      sym_operatorDot,
      sym__operatorName,
      sym_operatorName,
    ACTIONS(4808), 8,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(4806), 12,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
  [49351] = 8,
    ACTIONS(4814), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      anon_sym_LPAREN,
    ACTIONS(4818), 1,
      anon_sym_DOT,
    ACTIONS(4820), 1,
      sym_kLt,
    STATE(894), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49400] = 8,
    ACTIONS(4723), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2154), 1,
      aux_sym_genericArg_repeat1,
    STATE(2155), 1,
      sym_rttiAttributes,
    STATE(1236), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4726), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [49449] = 9,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4822), 1,
      anon_sym_LBRACK,
    ACTIONS(4824), 1,
      anon_sym_LPAREN,
    ACTIONS(4826), 1,
      sym_kLt,
    STATE(966), 1,
      sym_kDot,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3211), 22,
      anon_sym_COMMA,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49500] = 8,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2154), 1,
      aux_sym_genericArg_repeat1,
    STATE(2155), 1,
      sym_rttiAttributes,
    STATE(1241), 2,
      sym_declVar,
      aux_sym_declVars_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4741), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [49549] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2947), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(2949), 15,
      anon_sym_LPAREN,
      sym_kOf,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49592] = 4,
    ACTIONS(4830), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2947), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(2949), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49633] = 8,
    ACTIONS(4832), 1,
      sym_identifier,
    ACTIONS(4835), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2190), 1,
      sym_rttiAttributes,
    STATE(2219), 1,
      aux_sym_genericArg_repeat1,
    STATE(1254), 2,
      aux_sym__declFields,
      sym_declField,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4838), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [49682] = 5,
    ACTIONS(5), 1,
      sym_pp,
    STATE(966), 1,
      sym_kDot,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3201), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3203), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49725] = 19,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2552), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [49795] = 19,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2577), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [49865] = 4,
    ACTIONS(4844), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2947), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(2949), 16,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [49905] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2951), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2953), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49943] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2959), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2961), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [49981] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2967), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2969), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50019] = 11,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(4846), 1,
      sym_kGt,
    ACTIONS(4852), 1,
      sym_kFdiv,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(4856), 1,
      sym_kAs,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2935), 2,
      anon_sym_LPAREN,
      sym_kLt,
    ACTIONS(4848), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4850), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 11,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [50073] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3015), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3017), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50111] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3027), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3029), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50149] = 4,
    STATE(969), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3201), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3203), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [50189] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4858), 1,
      anon_sym_LBRACK,
    ACTIONS(4860), 1,
      anon_sym_LPAREN,
    ACTIONS(4862), 1,
      sym_kLt,
    STATE(969), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 21,
      anon_sym_COMMA,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [50237] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2941), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2943), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50277] = 10,
    ACTIONS(4440), 1,
      sym_kFdiv,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4864), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4621), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4444), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4623), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4446), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4866), 6,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
  [50329] = 10,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(4868), 1,
      sym_kGt,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 10,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [50381] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2987), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2989), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50419] = 4,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2991), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2993), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50459] = 4,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2937), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50499] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2941), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2943), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50537] = 7,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
  [50583] = 8,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [50631] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3011), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3013), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50669] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2979), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2981), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50707] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3019), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3021), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50745] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2975), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2977), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50783] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2963), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2965), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50823] = 7,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4882), 1,
      anon_sym_LBRACK,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(4886), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4880), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [50869] = 7,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(4890), 1,
      anon_sym_LBRACK,
    ACTIONS(4892), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4888), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [50915] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2955), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2957), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50955] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2999), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3001), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [50995] = 10,
    ACTIONS(4440), 1,
      sym_kFdiv,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4894), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4621), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4444), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4623), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4446), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4896), 6,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
  [51047] = 19,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2697), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [51117] = 4,
    ACTIONS(4898), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
    ACTIONS(3291), 16,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [51157] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3003), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3005), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51197] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2983), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2985), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51235] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3023), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3025), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51275] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3031), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3033), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51315] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3033), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51353] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3023), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3025), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51391] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2983), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2985), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51431] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3007), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3009), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51469] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2919), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2921), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51509] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3003), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3005), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51547] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2971), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2973), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51587] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2999), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3001), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51625] = 7,
    ACTIONS(4779), 1,
      anon_sym_LBRACK,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2636), 1,
      sym_rttiAttributes,
    STATE(1326), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4782), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [51671] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2995), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2997), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51711] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2991), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2993), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51753] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2979), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2981), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51793] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2995), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2997), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51831] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2937), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [51873] = 10,
    ACTIONS(4440), 1,
      sym_kFdiv,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4902), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4621), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4444), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4623), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4446), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4904), 6,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
  [51925] = 8,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4852), 1,
      sym_kFdiv,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(4856), 1,
      sym_kAs,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
    ACTIONS(4850), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 16,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
  [51973] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2963), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2965), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52011] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2975), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2977), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52051] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3019), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3021), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52091] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3007), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3009), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52131] = 9,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4852), 1,
      sym_kFdiv,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(4856), 1,
      sym_kAs,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
    ACTIONS(4848), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4850), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [52181] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3011), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3013), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52221] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2987), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2989), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52261] = 19,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2605), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [52331] = 7,
    ACTIONS(4770), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2636), 1,
      sym_rttiAttributes,
    STATE(1316), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4773), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [52377] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2971), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2973), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52415] = 19,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2714), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [52485] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2955), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2957), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52523] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2967), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2969), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52563] = 7,
    ACTIONS(4790), 1,
      anon_sym_LBRACK,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2636), 1,
      sym_rttiAttributes,
    STATE(1316), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4793), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [52609] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2951), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2953), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52649] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(2959), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2961), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52689] = 9,
    ACTIONS(4440), 1,
      sym_kFdiv,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4621), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4444), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4623), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4446), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4909), 7,
      anon_sym_SEMI,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
  [52739] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3015), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3017), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52779] = 7,
    ACTIONS(4756), 1,
      anon_sym_LBRACK,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2636), 1,
      sym_rttiAttributes,
    STATE(1316), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4759), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [52825] = 19,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3253), 1,
      sym_kHelper,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2656), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [52895] = 4,
    ACTIONS(4911), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4519), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(4515), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [52935] = 7,
    ACTIONS(4756), 1,
      anon_sym_LBRACK,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_rttiAttributes_repeat2,
    STATE(2636), 1,
      sym_rttiAttributes,
    STATE(1321), 2,
      sym_declConst,
      aux_sym_declConsts_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4759), 22,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [52981] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3027), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3029), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [53021] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1743), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53088] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4902), 1,
      anon_sym_SEMI,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4904), 5,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [53139] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2255), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53206] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1654), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53273] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2023), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53340] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1668), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53407] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1654), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53474] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2011), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53541] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1721), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53608] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2268), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53675] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1697), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53742] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1983), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53809] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1958), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53876] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2062), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [53943] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1670), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54010] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4931), 1,
      sym_kDo,
    ACTIONS(2935), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 11,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kIn,
  [54061] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1952), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54128] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4894), 1,
      anon_sym_SEMI,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4896), 5,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [54179] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2252), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54246] = 10,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    ACTIONS(4935), 1,
      anon_sym_RBRACK,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [54297] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2250), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54364] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4963), 1,
      sym_kDo,
    ACTIONS(2935), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 11,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kIn,
  [54415] = 7,
    ACTIONS(4967), 1,
      sym_kFdiv,
    ACTIONS(4969), 1,
      sym_kHat,
    ACTIONS(4971), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
    ACTIONS(4965), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 15,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [54460] = 10,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    ACTIONS(4973), 1,
      anon_sym_RBRACK,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [54511] = 4,
    ACTIONS(4975), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4519), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(4515), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [54550] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2014), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54617] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2001), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54684] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2126), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54751] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2123), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54818] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2122), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [54885] = 4,
    ACTIONS(4969), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2937), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [54924] = 4,
    ACTIONS(4969), 1,
      sym_kHat,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2991), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2993), 22,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [54963] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1973), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55030] = 10,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(4967), 1,
      sym_kFdiv,
    ACTIONS(4969), 1,
      sym_kHat,
    ACTIONS(4971), 1,
      sym_kAs,
    ACTIONS(4977), 1,
      sym_kGt,
    ACTIONS(2935), 2,
      anon_sym_LPAREN,
      sym_kLt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4979), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4965), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [55081] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1660), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55148] = 13,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4981), 1,
      anon_sym_COLON,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      aux_sym_legacyFormat_repeat1,
    STATE(2063), 1,
      sym_legacyFormat,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(4985), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [55205] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1675), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55272] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1673), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55339] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2113), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55406] = 10,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(3657), 1,
      anon_sym_RBRACK,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [55457] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1974), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55524] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1669), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55591] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2111), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55658] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2108), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55725] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1653), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55792] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2110), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55859] = 8,
    ACTIONS(4967), 1,
      sym_kFdiv,
    ACTIONS(4969), 1,
      sym_kHat,
    ACTIONS(4971), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
    ACTIONS(4979), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4965), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [55906] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1742), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [55973] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1996), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56040] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4987), 1,
      sym_kDo,
    ACTIONS(2935), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(2937), 11,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kIs,
      sym_kIn,
  [56091] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2086), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56158] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2995), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2997), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [56195] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2291), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56262] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2103), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56329] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1685), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56396] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2979), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2981), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [56433] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1712), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56500] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1710), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56567] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1706), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56634] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2282), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56701] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2217), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56768] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2216), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56835] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1675), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56902] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1997), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [56969] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3019), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3021), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [57006] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2198), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57073] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2090), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57140] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2092), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57207] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2240), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57274] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2026), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57341] = 10,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    ACTIONS(4989), 1,
      anon_sym_RBRACK,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [57392] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2987), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2989), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [57429] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4909), 6,
      anon_sym_SEMI,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [57478] = 8,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4991), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_kDot,
    STATE(2102), 1,
      sym_operatorName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1680), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
    ACTIONS(4808), 8,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(4806), 12,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
  [57525] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3011), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3013), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [57562] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1938), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57629] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1703), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57696] = 10,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    ACTIONS(4993), 1,
      anon_sym_RBRACK,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [57747] = 13,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4981), 1,
      anon_sym_COLON,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      aux_sym_legacyFormat_repeat1,
    STATE(2120), 1,
      sym_legacyFormat,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(4995), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [57804] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2101), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57871] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2133), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [57938] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4625), 1,
      anon_sym_SEMI,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4681), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [57991] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1670), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58058] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1699), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58125] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2292), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58192] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2975), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2977), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [58229] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2963), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2965), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [58266] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1917), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58333] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2081), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58400] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1945), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58467] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2077), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58534] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      aux_sym_type_token1,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    STATE(2320), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2163), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58601] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1660), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58668] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3007), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3009), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [58705] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2983), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2985), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [58742] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1916), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58809] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1711), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58876] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2955), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2957), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [58913] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1673), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [58980] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1669), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59047] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2073), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59114] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2067), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59181] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1653), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59248] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3031), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3033), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59285] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2971), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2973), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59322] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4864), 1,
      anon_sym_SEMI,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4866), 5,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [59373] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2064), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59440] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3023), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3025), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59477] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2052), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59544] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2919), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2921), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59581] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3003), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3005), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59618] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_kClass,
    ACTIONS(4917), 1,
      sym_kArray,
    ACTIONS(4919), 1,
      sym_kFile,
    ACTIONS(4921), 1,
      sym_kSet,
    ACTIONS(4923), 1,
      sym_kPacked,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    ACTIONS(4929), 1,
      sym_kReference,
    STATE(1689), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4927), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59685] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2060), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59752] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(1668), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [59819] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2951), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2953), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59856] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2959), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2961), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59893] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2967), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2969), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59930] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2999), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3001), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [59967] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3015), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3017), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [60004] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3027), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3029), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [60041] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2941), 4,
      anon_sym_LPAREN,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(2943), 23,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
      sym_kTo,
      sym_kDownto,
  [60078] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2061), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [60145] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2058), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [60212] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2057), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [60279] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2055), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [60346] = 18,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      aux_sym_type_token1,
    ACTIONS(4312), 1,
      sym_kArray,
    ACTIONS(4314), 1,
      sym_kFile,
    ACTIONS(4316), 1,
      sym_kString,
    ACTIONS(4318), 1,
      sym_kSet,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4328), 1,
      sym_kReference,
    ACTIONS(4840), 1,
      sym_kClass,
    ACTIONS(4842), 1,
      sym_kPacked,
    STATE(2054), 1,
      sym_type,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4326), 2,
      sym_kFunction,
      sym_kProcedure,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(1671), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [60413] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4999), 1,
      sym_kIn,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4997), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [60465] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5001), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60513] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5003), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60561] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(5005), 1,
      sym_kIn,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4997), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [60613] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5007), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60661] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5009), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60709] = 11,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(5011), 1,
      sym_kIn,
    ACTIONS(4203), 2,
      sym_kAdd,
      sym_kSub,
    ACTIONS(4205), 2,
      sym_kMul,
      sym_kFdiv,
    ACTIONS(4207), 2,
      sym_kOr,
      sym_kXor,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4209), 5,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4997), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [60761] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5013), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60809] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5015), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60857] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60905] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5017), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [60953] = 9,
    ACTIONS(3213), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      sym_kLt,
    ACTIONS(5019), 1,
      anon_sym_SEMI,
    STATE(912), 1,
      sym_kDot,
    ACTIONS(3209), 2,
      sym_kGt,
      sym_kFdiv,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3211), 18,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kHat,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kIs,
      sym_kAs,
      sym_kIn,
  [61001] = 12,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4981), 1,
      anon_sym_COLON,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      aux_sym_legacyFormat_repeat1,
    STATE(2438), 1,
      sym_legacyFormat,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [61054] = 3,
    ACTIONS(5023), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5021), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61089] = 3,
    ACTIONS(5027), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5025), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61124] = 15,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2134), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [61183] = 15,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2311), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [61242] = 3,
    ACTIONS(5031), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5029), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61277] = 11,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(5033), 1,
      anon_sym_SEMI,
    ACTIONS(5037), 1,
      sym_kDelayed,
    ACTIONS(5035), 2,
      sym_kIndex,
      sym_kName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [61328] = 3,
    ACTIONS(5041), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5039), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61363] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(5043), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [61410] = 3,
    ACTIONS(5047), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5045), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61445] = 15,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    ACTIONS(4943), 1,
      sym_kClass,
    ACTIONS(4945), 1,
      sym_kArray,
    ACTIONS(4947), 1,
      sym_kFile,
    ACTIONS(4949), 1,
      sym_kString,
    ACTIONS(4951), 1,
      sym_kSet,
    ACTIONS(4953), 1,
      sym_kPacked,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(4961), 1,
      sym_kReference,
    ACTIONS(4959), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
    STATE(2035), 8,
      sym_typeref,
      sym_declEnum,
      sym_declSet,
      sym_declArray,
      sym_declFile,
      sym_declString,
      sym_declProcRef,
      sym_declMetaClass,
  [61504] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(5049), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [61551] = 3,
    ACTIONS(5053), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5051), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61586] = 9,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(5055), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym_kIndex,
      sym_kName,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [61633] = 3,
    ACTIONS(5059), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5057), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61668] = 6,
    ACTIONS(3207), 1,
      sym_kExternal,
    ACTIONS(5063), 1,
      sym_kConst,
    ACTIONS(5065), 1,
      sym_kForward,
    STATE(137), 1,
      sym_procExternal,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5061), 21,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61709] = 11,
    ACTIONS(4408), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(5067), 1,
      anon_sym_SEMI,
    ACTIONS(5071), 1,
      sym_kDelayed,
    ACTIONS(5069), 2,
      sym_kIndex,
      sym_kName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4689), 3,
      sym_kLt,
      sym_kGt,
      sym_kIn,
    ACTIONS(4404), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4691), 5,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
    ACTIONS(4406), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [61760] = 3,
    ACTIONS(5075), 2,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5073), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [61795] = 3,
    ACTIONS(5079), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5077), 24,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [61830] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5083), 1,
      anon_sym_RBRACK,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [61880] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5091), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [61930] = 11,
    ACTIONS(3583), 1,
      anon_sym_RBRACK,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [61980] = 3,
    ACTIONS(5097), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5095), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [62014] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5099), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(5049), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62062] = 3,
    ACTIONS(5103), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5101), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [62096] = 3,
    ACTIONS(5107), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5105), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [62130] = 3,
    ACTIONS(5111), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5109), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [62164] = 3,
    ACTIONS(5115), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5113), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [62198] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5117), 1,
      anon_sym_COLON,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62248] = 10,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4852), 1,
      sym_kFdiv,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(4856), 1,
      sym_kAs,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5119), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3473), 3,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
    ACTIONS(4848), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4850), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5121), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62296] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5123), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62346] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5125), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62392] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5127), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62438] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5129), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62488] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5131), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62534] = 3,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5133), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [62568] = 10,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4852), 1,
      sym_kFdiv,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(4856), 1,
      sym_kAs,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5119), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3463), 3,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
    ACTIONS(4848), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4850), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5121), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62616] = 3,
    ACTIONS(5139), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5137), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [62650] = 3,
    ACTIONS(5143), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5141), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [62684] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5145), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62734] = 11,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62784] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5147), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62834] = 11,
    ACTIONS(3601), 1,
      anon_sym_RBRACK,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62884] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5149), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [62934] = 3,
    ACTIONS(5153), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5151), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [62968] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5155), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63018] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63068] = 3,
    ACTIONS(5161), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5159), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [63102] = 3,
    ACTIONS(5165), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5163), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [63136] = 3,
    ACTIONS(5169), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5167), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [63170] = 3,
    ACTIONS(5173), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5171), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [63204] = 3,
    ACTIONS(5177), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5175), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [63238] = 3,
    ACTIONS(5181), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5179), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [63272] = 3,
    ACTIONS(5185), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5183), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [63306] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5187), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63356] = 3,
    ACTIONS(5191), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5189), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kBegin,
      sym_kEnd,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [63390] = 3,
    ACTIONS(5195), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5193), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [63424] = 3,
    ACTIONS(5199), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5197), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [63458] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5201), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63508] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5203), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63558] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5205), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63608] = 3,
    ACTIONS(5209), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5207), 23,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kConst,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
      sym_identifier,
  [63642] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5211), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63692] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5213), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63742] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5215), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63788] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5217), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63838] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5219), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63888] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5221), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63938] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5223), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [63988] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5225), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64038] = 11,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5227), 1,
      anon_sym_RBRACK,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64088] = 3,
    ACTIONS(5063), 1,
      sym_kConst,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5061), 22,
      anon_sym_LBRACK,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kCase,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kStrict,
      sym_kRequired,
      sym_kOptional,
  [64121] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5229), 1,
      anon_sym_SEMI,
    ACTIONS(5231), 1,
      sym_kDelayed,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64168] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5233), 1,
      anon_sym_COMMA,
    ACTIONS(5235), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64215] = 10,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64262] = 9,
    ACTIONS(4967), 1,
      sym_kFdiv,
    ACTIONS(4969), 1,
      sym_kHat,
    ACTIONS(4971), 1,
      sym_kAs,
    ACTIONS(4909), 2,
      sym_kTo,
      sym_kDownto,
    ACTIONS(5237), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4979), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4965), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5239), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64307] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5241), 1,
      anon_sym_SEMI,
    ACTIONS(5243), 1,
      sym_kDelayed,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64354] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(5245), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4882), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kGt,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [64393] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5247), 1,
      anon_sym_SEMI,
    ACTIONS(5249), 1,
      sym_kDelayed,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64440] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5233), 1,
      anon_sym_COMMA,
    ACTIONS(5251), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64487] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(5253), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4890), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kEnd,
      sym_kAbsolute,
      sym_kOf,
      sym_kEq,
      sym_kGt,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
      sym_kDo,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [64526] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5233), 1,
      anon_sym_COMMA,
    ACTIONS(5255), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64573] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5257), 1,
      anon_sym_SEMI,
    ACTIONS(5259), 1,
      sym_kDelayed,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64620] = 10,
    ACTIONS(4874), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4870), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4872), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(5089), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64667] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5233), 1,
      anon_sym_COMMA,
    ACTIONS(5261), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64714] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5233), 1,
      anon_sym_COMMA,
    ACTIONS(5263), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64761] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5233), 1,
      anon_sym_COMMA,
    ACTIONS(5265), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64808] = 5,
    ACTIONS(5273), 1,
      sym_kEnd,
    ACTIONS(5269), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5271), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5267), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [64844] = 10,
    ACTIONS(2935), 1,
      sym_kLt,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5275), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(2937), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [64890] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5277), 1,
      sym_kThen,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [64934] = 5,
    ACTIONS(5281), 1,
      sym_kEnd,
    ACTIONS(5279), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5271), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5267), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [64970] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5283), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65014] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4700), 1,
      anon_sym_COMMA,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65058] = 5,
    ACTIONS(5287), 1,
      sym_kEnd,
    ACTIONS(5285), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5271), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5267), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [65094] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5289), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65140] = 7,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4880), 1,
      sym_kConst,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(5291), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4882), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [65180] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4864), 1,
      anon_sym_SEMI,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65224] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5293), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65270] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5295), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65314] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5297), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65360] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5299), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65406] = 7,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3207), 1,
      sym_kExternal,
    ACTIONS(5063), 1,
      sym_kConst,
    ACTIONS(5065), 1,
      sym_kForward,
    STATE(137), 1,
      sym_procExternal,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5061), 18,
      anon_sym_LBRACK,
      aux_sym_type_token1,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [65446] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5301), 1,
      sym_kThen,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65490] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5303), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65534] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5305), 1,
      anon_sym_RBRACK,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65578] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4902), 1,
      anon_sym_SEMI,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65622] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5307), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65666] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5309), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65710] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5311), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65754] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5099), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65798] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5233), 1,
      anon_sym_COMMA,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65842] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5313), 1,
      sym_kOf,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65886] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5315), 1,
      sym_kThen,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65930] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5317), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [65974] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5319), 1,
      anon_sym_RBRACK,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66018] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5321), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66062] = 10,
    ACTIONS(2935), 1,
      sym_kLt,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5323), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(2937), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [66108] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4894), 1,
      anon_sym_SEMI,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66152] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5325), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66196] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5327), 1,
      sym_kOf,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66240] = 10,
    ACTIONS(2935), 1,
      sym_kLt,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5329), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(2937), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [66286] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5331), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66332] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66376] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5335), 1,
      anon_sym_RPAREN,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66420] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5337), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66466] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5341), 9,
      anon_sym_DOT,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kAdd,
      sym_kSub,
      sym_kMul,
      sym_kAssign,
    ACTIONS(5339), 13,
      sym_kLt,
      sym_kGt,
      sym_kFdiv,
      sym_kOr,
      sym_kXor,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
      sym_kNot,
      sym_kIn,
      sym_identifier,
  [66498] = 10,
    ACTIONS(2935), 1,
      sym_kLt,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5343), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(2937), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [66544] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66588] = 10,
    ACTIONS(2935), 1,
      sym_kLt,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5345), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(2937), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [66634] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5049), 1,
      anon_sym_SEMI,
    ACTIONS(5347), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66680] = 10,
    ACTIONS(2935), 1,
      sym_kLt,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5349), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(2937), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [66726] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5351), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66772] = 5,
    ACTIONS(5355), 1,
      sym_kEnd,
    ACTIONS(5353), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5271), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5267), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [66808] = 9,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5357), 1,
      sym_kDo,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66852] = 7,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(4888), 1,
      sym_kConst,
    ACTIONS(5359), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4890), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [66892] = 10,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 1,
      sym_kLt,
    ACTIONS(5361), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [66938] = 10,
    ACTIONS(2935), 1,
      sym_kLt,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5363), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(2937), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
  [66984] = 8,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5365), 1,
      sym_kAs,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67025] = 8,
    ACTIONS(3819), 1,
      sym_kHat,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(5367), 1,
      sym_kAs,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67066] = 8,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4442), 1,
      sym_kHat,
    ACTIONS(4448), 1,
      sym_kAs,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67107] = 8,
    ACTIONS(2939), 1,
      sym_kHat,
    ACTIONS(3613), 1,
      sym_kAs,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67148] = 8,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4969), 1,
      sym_kHat,
    ACTIONS(4971), 1,
      sym_kAs,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67189] = 8,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4410), 1,
      sym_kHat,
    ACTIONS(4412), 1,
      sym_kAs,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67230] = 8,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4854), 1,
      sym_kHat,
    ACTIONS(4856), 1,
      sym_kAs,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67271] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5341), 7,
      anon_sym_COLON,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
      sym_kHat,
    ACTIONS(5339), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67302] = 8,
    ACTIONS(4205), 1,
      sym_kFdiv,
    ACTIONS(4876), 1,
      sym_kHat,
    ACTIONS(4878), 1,
      sym_kAs,
    ACTIONS(4362), 2,
      sym_kLt,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4207), 4,
      sym_kAdd,
      sym_kSub,
      sym_kOr,
      sym_kXor,
    ACTIONS(4209), 6,
      sym_kMul,
      sym_kDiv,
      sym_kMod,
      sym_kAnd,
      sym_kShl,
      sym_kShr,
    ACTIONS(4364), 6,
      sym_kEq,
      sym_kNeq,
      sym_kLte,
      sym_kGte,
      sym_kIs,
      sym_kIn,
  [67343] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5371), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5369), 16,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kEnd,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kElse,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67374] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2372), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67408] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2641), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kEnd,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67442] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2361), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 16,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67475] = 4,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5375), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67506] = 4,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5377), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67537] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5381), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5379), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67566] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5385), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5383), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67595] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5389), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5387), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67624] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5393), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5391), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67653] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5397), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5395), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67682] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5401), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5399), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67711] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5405), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5403), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67740] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5409), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5407), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67769] = 5,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2637), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 16,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67802] = 4,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5411), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67833] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4786), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4784), 18,
      anon_sym_LBRACK,
      aux_sym_type_token1,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67864] = 4,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5413), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67895] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4748), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4746), 18,
      anon_sym_LBRACK,
      aux_sym_type_token1,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67926] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5417), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5415), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [67955] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(4797), 1,
      sym_kConst,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4795), 18,
      anon_sym_LBRACK,
      aux_sym_type_token1,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [67986] = 4,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5419), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [68017] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5271), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5267), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [68046] = 4,
    ACTIONS(3163), 1,
      sym_kConst,
    ACTIONS(5421), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_LBRACK,
      sym_kUses,
      sym_kBegin,
      sym_kAsm,
      sym_kVar,
      sym_kThreadvar,
      sym_kResourcestring,
      sym_kType,
      sym_kLabel,
      sym_kExports,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
  [68077] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5425), 5,
      anon_sym_LBRACK,
      aux_sym__literalString_token1,
      anon_sym_POUND,
      aux_sym__literalInt_token2,
      sym_kAt,
    ACTIONS(5423), 14,
      anon_sym_LPAREN,
      aux_sym__literalInt_token1,
      aux_sym__literalFloat_token1,
      sym_kSpecialize,
      sym_kAdd,
      sym_kSub,
      sym_kNot,
      sym_kFunction,
      sym_kProcedure,
      sym_kInherited,
      sym_kNil,
      sym_kTrue,
      sym_kFalse,
      sym_identifier,
  [68106] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(5427), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4882), 12,
      anon_sym_SEMI,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
  [68138] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(5429), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4890), 12,
      anon_sym_SEMI,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
      sym_kElse,
  [68170] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5433), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
    ACTIONS(5431), 10,
      anon_sym_SEMI,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [68195] = 3,
    ACTIONS(5437), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5435), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68219] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(5439), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4890), 10,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
  [68249] = 3,
    ACTIONS(5443), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5441), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68273] = 3,
    ACTIONS(5447), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5445), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68297] = 3,
    ACTIONS(5451), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5449), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68321] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(5453), 1,
      sym_kDeprecated,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4882), 10,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kOf,
  [68351] = 3,
    ACTIONS(5457), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5455), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68375] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5459), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68396] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5461), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68417] = 8,
    ACTIONS(4414), 1,
      sym_kEnd,
    ACTIONS(4428), 1,
      sym_kCase,
    ACTIONS(4436), 1,
      sym_kStrict,
    STATE(1052), 1,
      sym__visibility,
    STATE(2668), 1,
      sym_declVariant,
    STATE(1678), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4434), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
  [68450] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5463), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68471] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5465), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68492] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5467), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68513] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5469), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68534] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5471), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68555] = 8,
    ACTIONS(4428), 1,
      sym_kCase,
    ACTIONS(4436), 1,
      sym_kStrict,
    ACTIONS(4450), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(2702), 1,
      sym_declVariant,
    STATE(1678), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4434), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
  [68588] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5473), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68609] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5475), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68630] = 6,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5479), 1,
      anon_sym_COLON,
    ACTIONS(5481), 1,
      sym_kOf,
    STATE(1682), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5477), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [68659] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68680] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5485), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68701] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5487), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68722] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5489), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68743] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5491), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68764] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5493), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68785] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5495), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68806] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5497), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68827] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5499), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68848] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5501), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68869] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5503), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68890] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5505), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68911] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5507), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68932] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5509), 13,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
      sym_kEq,
  [68953] = 6,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5511), 1,
      anon_sym_COLON,
    ACTIONS(5513), 1,
      sym_kOf,
    STATE(1684), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5491), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [68982] = 8,
    ACTIONS(4428), 1,
      sym_kCase,
    ACTIONS(4436), 1,
      sym_kStrict,
    ACTIONS(5515), 1,
      sym_kEnd,
    STATE(1052), 1,
      sym__visibility,
    STATE(2347), 1,
      sym_declVariant,
    STATE(1678), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4434), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
  [69015] = 6,
    ACTIONS(5522), 1,
      sym_kStrict,
    STATE(1052), 1,
      sym__visibility,
    ACTIONS(5517), 2,
      sym_kEnd,
      sym_kCase,
    STATE(1678), 2,
      sym_declSection,
      aux_sym__declClass_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5519), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
  [69043] = 10,
    ACTIONS(3093), 1,
      sym_kGeneric,
    ACTIONS(3113), 1,
      sym_kOperator,
    ACTIONS(5525), 1,
      sym_identifier,
    ACTIONS(5527), 1,
      sym_kProperty,
    ACTIONS(5529), 1,
      sym_kClass,
    STATE(1221), 1,
      sym__declProc,
    STATE(1233), 1,
      sym__declOperator,
    STATE(2187), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3111), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [69079] = 5,
    ACTIONS(5535), 1,
      sym_kLt,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5531), 4,
      anon_sym_LPAREN,
      sym_kIndex,
      sym_kName,
      sym_identifier,
    ACTIONS(5533), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DOT,
      sym_kEq,
  [69104] = 4,
    ACTIONS(5539), 1,
      anon_sym_LBRACK,
    STATE(1681), 1,
      aux_sym_rttiAttributes_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5537), 9,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [69127] = 4,
    ACTIONS(5544), 1,
      anon_sym_COLON,
    ACTIONS(5546), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5542), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [69150] = 4,
    ACTIONS(9), 1,
      anon_sym_LBRACK,
    STATE(1681), 1,
      aux_sym_rttiAttributes_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5548), 9,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [69173] = 4,
    ACTIONS(5552), 1,
      anon_sym_COLON,
    ACTIONS(5554), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5550), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [69196] = 11,
    ACTIONS(5556), 1,
      anon_sym_SEMI,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5566), 1,
      sym_kNodefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    STATE(1713), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69232] = 3,
    ACTIONS(5574), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1198), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69252] = 3,
    ACTIONS(5576), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5578), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69272] = 3,
    ACTIONS(5580), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5582), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69292] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5584), 1,
      anon_sym_SEMI,
    ACTIONS(5586), 1,
      sym_kNodefault,
    STATE(1747), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69328] = 3,
    ACTIONS(5588), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5590), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69348] = 3,
    ACTIONS(5592), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5594), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69368] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    STATE(1772), 1,
      aux_sym_declClass_repeat1,
    STATE(2172), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [69398] = 3,
    ACTIONS(5598), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5600), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69418] = 3,
    ACTIONS(5602), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5604), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69438] = 3,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5606), 9,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [69458] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5610), 1,
      anon_sym_RPAREN,
    STATE(1781), 1,
      aux_sym_declClass_repeat1,
    STATE(2152), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [69488] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5612), 1,
      anon_sym_SEMI,
    ACTIONS(5614), 1,
      sym_kNodefault,
    STATE(1728), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69524] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5616), 1,
      anon_sym_SEMI,
    ACTIONS(5618), 1,
      sym_kNodefault,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69560] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5620), 1,
      anon_sym_SEMI,
    ACTIONS(5622), 1,
      sym_kNodefault,
    STATE(1698), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69596] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5624), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69632] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5626), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69668] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5628), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69704] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5630), 1,
      anon_sym_SEMI,
    ACTIONS(5632), 1,
      sym_kNodefault,
    STATE(1700), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69740] = 3,
    ACTIONS(5634), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5636), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69760] = 3,
    ACTIONS(5638), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2943), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [69780] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5640), 1,
      anon_sym_SEMI,
    ACTIONS(5642), 1,
      sym_kNodefault,
    STATE(1701), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69816] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5644), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69852] = 7,
    ACTIONS(5646), 1,
      sym_kInterface,
    ACTIONS(5649), 1,
      sym_kImplementation,
    ACTIONS(5652), 1,
      sym_kInitialization,
    ACTIONS(5655), 1,
      sym_kFinalization,
    ACTIONS(5658), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1708), 5,
      sym_interface,
      sym_implementation,
      sym_initialization,
      sym_finalization,
      aux_sym_unit_repeat1,
  [69880] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5660), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69916] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5662), 1,
      anon_sym_SEMI,
    ACTIONS(5664), 1,
      sym_kNodefault,
    STATE(1707), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69952] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5666), 1,
      anon_sym_SEMI,
    ACTIONS(5668), 1,
      sym_kNodefault,
    STATE(1740), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [69988] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5670), 1,
      anon_sym_SEMI,
    ACTIONS(5672), 1,
      sym_kNodefault,
    STATE(1709), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70024] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5674), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70060] = 3,
    ACTIONS(5676), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5678), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70080] = 3,
    ACTIONS(5680), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5682), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70100] = 8,
    ACTIONS(4426), 1,
      sym_kGeneric,
    ACTIONS(4432), 1,
      sym_kOperator,
    ACTIONS(5684), 1,
      sym_kProperty,
    ACTIONS(5686), 1,
      sym_kClass,
    STATE(1221), 1,
      sym__declProc,
    STATE(1233), 1,
      sym__declOperator,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4430), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [70130] = 3,
    ACTIONS(5688), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5690), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70150] = 8,
    ACTIONS(4466), 1,
      sym_kGeneric,
    ACTIONS(4470), 1,
      sym_kOperator,
    ACTIONS(5692), 1,
      sym_kProperty,
    ACTIONS(5694), 1,
      sym_kClass,
    STATE(1221), 1,
      sym__declProc,
    STATE(1233), 1,
      sym__declOperator,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4468), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [70180] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5696), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70216] = 7,
    ACTIONS(5692), 1,
      sym_kProperty,
    ACTIONS(5700), 1,
      sym_kConst,
    ACTIONS(5702), 1,
      sym_kResourcestring,
    ACTIONS(5706), 1,
      sym_kOperator,
    ACTIONS(5698), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5704), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [70244] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5708), 1,
      anon_sym_SEMI,
    ACTIONS(5710), 1,
      sym_kNodefault,
    STATE(1702), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70280] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5712), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70316] = 3,
    ACTIONS(5714), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5537), 9,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [70336] = 3,
    ACTIONS(5718), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5716), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [70356] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(1780), 1,
      aux_sym_declClass_repeat1,
    STATE(2150), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [70386] = 11,
    ACTIONS(5722), 1,
      anon_sym_SEMI,
    ACTIONS(5724), 1,
      sym_kRead,
    ACTIONS(5727), 1,
      sym_kWrite,
    ACTIONS(5730), 1,
      sym_kImplements,
    ACTIONS(5733), 1,
      sym_kDefault,
    ACTIONS(5736), 1,
      sym_kNodefault,
    ACTIONS(5739), 1,
      sym_kStored,
    ACTIONS(5742), 1,
      sym_kIndex,
    ACTIONS(5745), 1,
      sym_kDispId,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70422] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5748), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      aux_sym_declClass_repeat1,
    STATE(2284), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [70452] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5750), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70488] = 7,
    ACTIONS(5752), 1,
      sym_kInterface,
    ACTIONS(5754), 1,
      sym_kImplementation,
    ACTIONS(5756), 1,
      sym_kInitialization,
    ACTIONS(5758), 1,
      sym_kFinalization,
    ACTIONS(5760), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1708), 5,
      sym_interface,
      sym_implementation,
      sym_initialization,
      sym_finalization,
      aux_sym_unit_repeat1,
  [70516] = 3,
    ACTIONS(5762), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(2965), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70536] = 3,
    ACTIONS(5764), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(1180), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70556] = 3,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5766), 9,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [70576] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5770), 1,
      anon_sym_RPAREN,
    STATE(1773), 1,
      aux_sym_declClass_repeat1,
    STATE(2315), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [70606] = 3,
    ACTIONS(5772), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5774), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70626] = 3,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5776), 4,
      anon_sym_LPAREN,
      sym_kIndex,
      sym_kName,
      sym_identifier,
    ACTIONS(5778), 6,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_DOT,
      sym_kLt,
      sym_kEq,
  [70646] = 3,
    ACTIONS(5782), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5780), 9,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [70666] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5784), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym_declClass_repeat1,
    STATE(2173), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [70696] = 3,
    ACTIONS(5788), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5786), 9,
      sym_kProperty,
      sym_kClass,
      sym_kGeneric,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
      sym_kOperator,
      sym_identifier,
  [70716] = 3,
    ACTIONS(5790), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5792), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70736] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5794), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70772] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5796), 1,
      anon_sym_RPAREN,
    STATE(1770), 1,
      aux_sym_declClass_repeat1,
    STATE(2193), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [70802] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5798), 1,
      anon_sym_SEMI,
    ACTIONS(5800), 1,
      sym_kNodefault,
    STATE(1722), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70838] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5802), 1,
      anon_sym_SEMI,
    ACTIONS(5804), 1,
      sym_kNodefault,
    STATE(1719), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70874] = 7,
    ACTIONS(5684), 1,
      sym_kProperty,
    ACTIONS(5808), 1,
      sym_kConst,
    ACTIONS(5810), 1,
      sym_kResourcestring,
    ACTIONS(5814), 1,
      sym_kOperator,
    ACTIONS(5806), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5812), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [70902] = 3,
    ACTIONS(5816), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5818), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70922] = 3,
    ACTIONS(5820), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5822), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [70942] = 11,
    ACTIONS(5558), 1,
      sym_kRead,
    ACTIONS(5560), 1,
      sym_kWrite,
    ACTIONS(5562), 1,
      sym_kImplements,
    ACTIONS(5564), 1,
      sym_kDefault,
    ACTIONS(5568), 1,
      sym_kStored,
    ACTIONS(5570), 1,
      sym_kIndex,
    ACTIONS(5572), 1,
      sym_kDispId,
    ACTIONS(5618), 1,
      sym_kNodefault,
    ACTIONS(5824), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      aux_sym_declProp_repeat2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [70978] = 8,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5826), 1,
      anon_sym_RPAREN,
    STATE(1766), 1,
      aux_sym_declClass_repeat1,
    STATE(2233), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71008] = 7,
    ACTIONS(5752), 1,
      sym_kInterface,
    ACTIONS(5754), 1,
      sym_kImplementation,
    ACTIONS(5756), 1,
      sym_kInitialization,
    ACTIONS(5758), 1,
      sym_kFinalization,
    ACTIONS(5828), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1729), 5,
      sym_interface,
      sym_implementation,
      sym_initialization,
      sym_finalization,
      aux_sym_unit_repeat1,
  [71036] = 3,
    ACTIONS(5830), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5832), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71056] = 3,
    ACTIONS(5834), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5836), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71076] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5838), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71093] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5840), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71110] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5842), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71127] = 7,
    ACTIONS(5844), 1,
      sym_identifier,
    ACTIONS(5847), 1,
      sym_kSpecialize,
    ACTIONS(5850), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2426), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71154] = 7,
    ACTIONS(5853), 1,
      sym_identifier,
    ACTIONS(5855), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      aux_sym_declPropArgs_repeat1,
    STATE(2188), 1,
      sym_declArg,
    STATE(2331), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5857), 4,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
  [71181] = 6,
    ACTIONS(5700), 1,
      sym_kConst,
    ACTIONS(5702), 1,
      sym_kResourcestring,
    ACTIONS(5861), 1,
      sym_kOperator,
    ACTIONS(5698), 2,
      sym_kVar,
      sym_kThreadvar,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5859), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [71206] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5863), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [71223] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5865), 9,
      anon_sym_SEMI,
      sym_kRead,
      sym_kWrite,
      sym_kImplements,
      sym_kDefault,
      sym_kNodefault,
      sym_kStored,
      sym_kIndex,
      sym_kDispId,
  [71240] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5867), 1,
      anon_sym_SEMI,
    ACTIONS(5869), 1,
      anon_sym_COLON,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2005), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2703), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71273] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5873), 1,
      anon_sym_SEMI,
    ACTIONS(5875), 1,
      anon_sym_COLON,
    STATE(1982), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2586), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71306] = 6,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5513), 1,
      sym_kOf,
    ACTIONS(5877), 1,
      anon_sym_COLON,
    STATE(1863), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5491), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kEq,
  [71331] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2238), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71358] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2225), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71385] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5879), 1,
      anon_sym_SEMI,
    ACTIONS(5881), 1,
      anon_sym_COLON,
    STATE(1954), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2585), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71418] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2210), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71445] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5883), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71462] = 7,
    ACTIONS(5853), 1,
      sym_identifier,
    ACTIONS(5885), 1,
      anon_sym_RPAREN,
    STATE(1833), 1,
      aux_sym_declPropArgs_repeat1,
    STATE(2312), 1,
      sym_declArg,
    STATE(2331), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5857), 4,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
  [71489] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5887), 1,
      anon_sym_SEMI,
    ACTIONS(5889), 1,
      anon_sym_COLON,
    STATE(1962), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2584), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71522] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2147), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71549] = 7,
    ACTIONS(35), 1,
      sym_kGeneric,
    ACTIONS(39), 1,
      sym_kOperator,
    ACTIONS(5891), 1,
      sym_kClass,
    STATE(1633), 1,
      sym__declProc,
    STATE(1635), 1,
      sym__declOperator,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(37), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [71576] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2317), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71603] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2280), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71630] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5893), 1,
      anon_sym_SEMI,
    ACTIONS(5895), 1,
      anon_sym_COLON,
    STATE(1980), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2349), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71663] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5897), 1,
      anon_sym_SEMI,
    ACTIONS(5899), 1,
      anon_sym_COLON,
    STATE(1970), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2338), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71696] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5901), 1,
      anon_sym_SEMI,
    ACTIONS(5903), 1,
      anon_sym_COLON,
    STATE(1998), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2644), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71729] = 7,
    ACTIONS(5853), 1,
      sym_identifier,
    ACTIONS(5905), 1,
      anon_sym_RBRACK,
    STATE(1803), 1,
      aux_sym_declPropArgs_repeat1,
    STATE(2259), 1,
      sym_declArg,
    STATE(2331), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5857), 4,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
  [71756] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5907), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71773] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5909), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71790] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2327), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71817] = 7,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1755), 1,
      aux_sym_declClass_repeat1,
    STATE(2314), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [71844] = 6,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5481), 1,
      sym_kOf,
    ACTIONS(5911), 1,
      anon_sym_COLON,
    STATE(1874), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5477), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kEq,
  [71869] = 4,
    ACTIONS(5917), 1,
      sym_kArray,
    ACTIONS(5913), 2,
      sym_kInterface,
      sym_kDispInterface,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5915), 6,
      sym_kClass,
      sym_kObject,
      sym_kRecord,
      sym_kObjcclass,
      sym_kObjccategory,
      sym_kObjcprotocol,
  [71890] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5919), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71907] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5921), 1,
      anon_sym_SEMI,
    ACTIONS(5923), 1,
      anon_sym_COLON,
    STATE(1967), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2407), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71940] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5925), 9,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kElse,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [71957] = 10,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(5927), 1,
      anon_sym_SEMI,
    ACTIONS(5929), 1,
      anon_sym_COLON,
    STATE(2006), 1,
      sym_declArgs,
    STATE(2015), 1,
      sym_kDot,
    STATE(2450), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [71990] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1130), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72014] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1953), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72038] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2059), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72062] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5935), 1,
      sym_identifier,
    STATE(1868), 1,
      aux_sym_typerefArgs_repeat1,
    STATE(2614), 1,
      sym_typerefArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1942), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72086] = 6,
    ACTIONS(5937), 1,
      sym_identifier,
    STATE(1792), 1,
      aux_sym_declPropArgs_repeat1,
    STATE(2331), 1,
      aux_sym_genericArg_repeat1,
    STATE(2622), 1,
      sym_declArg,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5940), 4,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
  [72110] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2080), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72134] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2065), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72158] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1175), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72182] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    STATE(1651), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72206] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    STATE(1649), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72230] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2068), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72254] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    STATE(1647), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72278] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    STATE(1643), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72302] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1136), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72326] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(4925), 1,
      sym_kSpecialize,
    STATE(1646), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1644), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72350] = 6,
    ACTIONS(5853), 1,
      sym_identifier,
    STATE(1792), 1,
      aux_sym_declPropArgs_repeat1,
    STATE(2301), 1,
      sym_declArg,
    STATE(2331), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5857), 4,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
  [72374] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1926), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72398] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2415), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72422] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2074), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72446] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1148), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72470] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2114), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72494] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2115), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72518] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2109), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72542] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1150), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72566] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5943), 1,
      sym_identifier,
    ACTIONS(5945), 1,
      sym_kSpecialize,
    STATE(839), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1282), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72590] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5935), 1,
      sym_identifier,
    STATE(1868), 1,
      aux_sym_typerefArgs_repeat1,
    STATE(2626), 1,
      sym_typerefArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1942), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72614] = 6,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    STATE(2049), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72638] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1646), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72662] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2056), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72686] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2410), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72710] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1651), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72734] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1649), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72758] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2124), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72782] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2053), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72806] = 6,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5947), 1,
      sym_identifier,
    STATE(2413), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72830] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1642), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72854] = 6,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    STATE(2075), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72878] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5943), 1,
      sym_identifier,
    ACTIONS(5945), 1,
      sym_kSpecialize,
    STATE(838), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1282), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72902] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2009), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72926] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2127), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72950] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2100), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72974] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1161), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [72998] = 6,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5949), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73022] = 6,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    STATE(2028), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73046] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1146), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73070] = 6,
    ACTIONS(5853), 1,
      sym_identifier,
    STATE(1792), 1,
      aux_sym_declPropArgs_repeat1,
    STATE(2328), 1,
      sym_declArg,
    STATE(2331), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5857), 4,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
  [73094] = 6,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5951), 1,
      sym_identifier,
    STATE(2395), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73118] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2118), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73142] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2105), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73166] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2093), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73190] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2072), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73214] = 6,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    STATE(2215), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73238] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1171), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73262] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1156), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73286] = 6,
    ACTIONS(5853), 1,
      sym_identifier,
    STATE(1792), 1,
      aux_sym_declPropArgs_repeat1,
    STATE(2153), 1,
      sym_declArg,
    STATE(2331), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5857), 4,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
  [73310] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2141), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73334] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1141), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73358] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5953), 8,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [73374] = 7,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      sym_kLt,
    STATE(1913), 1,
      aux_sym_declExport_repeat1,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(5955), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(5957), 2,
      sym_kIndex,
      sym_kName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [73400] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5959), 1,
      sym_identifier,
    ACTIONS(5961), 1,
      sym_kSpecialize,
    STATE(1642), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1641), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73424] = 9,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(5963), 1,
      sym_identifier,
    ACTIONS(5965), 1,
      anon_sym_SEMI,
    ACTIONS(5967), 1,
      anon_sym_RPAREN,
    STATE(1992), 1,
      aux_sym_declVariantClause_repeat1,
    STATE(2258), 1,
      aux_sym_genericArg_repeat1,
    STATE(2260), 1,
      sym_declVariantField,
    STATE(2262), 1,
      sym_declVariant,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [73454] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5943), 1,
      sym_identifier,
    ACTIONS(5945), 1,
      sym_kSpecialize,
    STATE(829), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1282), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73478] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1145), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73502] = 6,
    ACTIONS(4937), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      sym_kSpecialize,
    ACTIONS(4957), 1,
      sym_kHat,
    STATE(2050), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1869), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73526] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1166), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73550] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5943), 1,
      sym_identifier,
    ACTIONS(5945), 1,
      sym_kSpecialize,
    STATE(808), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1282), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73574] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2088), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73598] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2409), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73622] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1142), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73646] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1643), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73670] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1172), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73694] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(2121), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73718] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1129), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73742] = 6,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5931), 1,
      sym_identifier,
    ACTIONS(5933), 1,
      sym_kSpecialize,
    STATE(1131), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1603), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73766] = 6,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4322), 1,
      sym_kSpecialize,
    ACTIONS(4324), 1,
      sym_kHat,
    STATE(1647), 1,
      sym_typeref,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1549), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73790] = 4,
    ACTIONS(5554), 1,
      sym_kOf,
    ACTIONS(5969), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5550), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kEq,
  [73809] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(5975), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2588), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [73832] = 4,
    ACTIONS(5), 1,
      sym_pp,
    STATE(1906), 1,
      sym_kDot,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3151), 6,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kLt,
      sym_kDeprecated,
  [73851] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(5977), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2447), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [73874] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(5979), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2424), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [73897] = 5,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(5981), 1,
      sym_identifier,
    STATE(1879), 1,
      aux_sym_typerefArgs_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1915), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [73918] = 7,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5983), 1,
      sym_kLt,
    ACTIONS(5985), 1,
      sym_kDeprecated,
    STATE(1906), 1,
      sym_kDot,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4890), 3,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
  [73943] = 7,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5983), 1,
      sym_kLt,
    ACTIONS(5987), 1,
      sym_kDeprecated,
    STATE(1906), 1,
      sym_kDot,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4882), 3,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
  [73968] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(5989), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2399), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [73991] = 3,
    STATE(1054), 1,
      sym__visibility,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5991), 6,
      sym_kPublished,
      sym_kPublic,
      sym_kProtected,
      sym_kPrivate,
      sym_kRequired,
      sym_kOptional,
  [74008] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(5993), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2387), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [74031] = 4,
    ACTIONS(5546), 1,
      sym_kOf,
    ACTIONS(5995), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5542), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kEq,
  [74050] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(5997), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2520), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [74073] = 4,
    ACTIONS(5), 1,
      sym_pp,
    STATE(1906), 1,
      sym_kDot,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3147), 6,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kLt,
      sym_kDeprecated,
  [74092] = 6,
    ACTIONS(5999), 1,
      sym_identifier,
    ACTIONS(6001), 1,
      anon_sym_SEMI,
    STATE(1901), 1,
      aux_sym_declExports_repeat1,
    STATE(2211), 1,
      sym_declExport,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1846), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [74115] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(6003), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2402), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [74138] = 5,
    ACTIONS(6005), 1,
      sym_identifier,
    ACTIONS(6008), 1,
      sym_kHat,
    STATE(1879), 1,
      aux_sym_typerefArgs_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1955), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74159] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(6011), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2471), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [74182] = 6,
    ACTIONS(5973), 1,
      aux_sym_asmBody_token3,
    ACTIONS(6013), 1,
      sym_kEnd,
    STATE(1889), 1,
      aux_sym_asmBody_repeat1,
    STATE(2435), 1,
      sym_asmBody,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5971), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [74205] = 4,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(6015), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1564), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74223] = 4,
    ACTIONS(5706), 1,
      sym_kOperator,
    ACTIONS(6017), 1,
      sym_kProperty,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5704), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [74241] = 3,
    ACTIONS(6019), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6021), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [74257] = 4,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(6023), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(557), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74275] = 4,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(6025), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1546), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74293] = 5,
    ACTIONS(6027), 1,
      sym_identifier,
    STATE(1887), 1,
      aux_sym_declExports_repeat1,
    STATE(2342), 1,
      sym_declExport,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1846), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [74313] = 3,
    ACTIONS(6030), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6021), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [74329] = 5,
    ACTIONS(6034), 1,
      aux_sym_asmBody_token3,
    ACTIONS(6036), 1,
      sym_kEnd,
    STATE(1903), 1,
      aux_sym_asmBody_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6032), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [74349] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(3155), 6,
      aux_sym_type_token2,
      aux_sym_type_token3,
      anon_sym_DOT,
      sym_kOf,
      sym_kLt,
      sym_kDeprecated,
  [74365] = 6,
    ACTIONS(6040), 1,
      anon_sym_COLON,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6044), 1,
      sym_kEq,
    STATE(2174), 1,
      sym_defaultValue,
    ACTIONS(6038), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74387] = 3,
    ACTIONS(6046), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6021), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [74403] = 7,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6050), 1,
      anon_sym_LPAREN,
    ACTIONS(6052), 1,
      sym_kOf,
    STATE(1991), 1,
      sym_declArgs,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5491), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [74427] = 4,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(6054), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(558), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74445] = 3,
    ACTIONS(6058), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6056), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
  [74461] = 7,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6050), 1,
      anon_sym_LPAREN,
    ACTIONS(6060), 1,
      anon_sym_COLON,
    ACTIONS(6062), 1,
      sym_kOf,
    STATE(2000), 1,
      sym_declArgs,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5477), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [74485] = 6,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(6066), 1,
      anon_sym_LPAREN,
    ACTIONS(6068), 1,
      anon_sym_DOT,
    STATE(1404), 1,
      sym_kDot,
    ACTIONS(6064), 2,
      anon_sym_COLON,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74507] = 4,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(6070), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1281), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74525] = 4,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(6072), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1640), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74543] = 3,
    ACTIONS(6074), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5716), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kAbsolute,
      sym_kEq,
  [74559] = 5,
    ACTIONS(5999), 1,
      sym_identifier,
    STATE(1887), 1,
      aux_sym_declExports_repeat1,
    STATE(2283), 1,
      sym_declExport,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1846), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [74579] = 6,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6044), 1,
      sym_kEq,
    ACTIONS(6078), 1,
      anon_sym_COLON,
    STATE(2249), 1,
      sym_defaultValue,
    ACTIONS(6076), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74601] = 5,
    ACTIONS(6083), 1,
      aux_sym_asmBody_token3,
    ACTIONS(6086), 1,
      sym_kEnd,
    STATE(1903), 1,
      aux_sym_asmBody_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6080), 3,
      aux_sym_asmBody_token1,
      aux_sym_asmBody_token2,
      sym_identifier,
  [74621] = 4,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(6088), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1876), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74639] = 4,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(6090), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1870), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74657] = 4,
    ACTIONS(4957), 1,
      sym_kHat,
    ACTIONS(6092), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1865), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74675] = 4,
    ACTIONS(5814), 1,
      sym_kOperator,
    ACTIONS(6094), 1,
      sym_kProperty,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5812), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [74693] = 4,
    ACTIONS(4324), 1,
      sym_kHat,
    ACTIONS(6096), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1648), 4,
      sym__typeref,
      sym_typerefDot,
      sym_typerefTpl,
      sym_typerefPtr,
  [74711] = 4,
    ACTIONS(4981), 1,
      anon_sym_COLON,
    STATE(1933), 1,
      aux_sym_legacyFormat_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6098), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [74728] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6100), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kGt,
  [74741] = 3,
    ACTIONS(6102), 1,
      sym_kClass,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5812), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [74756] = 3,
    ACTIONS(6104), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6106), 4,
      anon_sym_DOT,
      sym_kOf,
      sym_kLt,
      sym_kDeprecated,
  [74771] = 4,
    STATE(1927), 1,
      aux_sym_declExport_repeat1,
    ACTIONS(5957), 2,
      sym_kIndex,
      sym_kName,
    ACTIONS(6108), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74788] = 6,
    ACTIONS(6110), 1,
      sym_identifier,
    STATE(1999), 1,
      aux_sym_genericArgs_repeat1,
    STATE(2202), 1,
      aux_sym_genericArg_repeat1,
    STATE(2230), 1,
      sym_genericArg,
    STATE(2556), 1,
      sym_genericArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74809] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(6112), 1,
      anon_sym_COMMA,
    ACTIONS(6114), 1,
      sym_kGt,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74830] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2095), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6116), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [74847] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2091), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6118), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [74864] = 3,
    ACTIONS(6120), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6106), 4,
      anon_sym_DOT,
      sym_kLt,
      sym_kDo,
      sym_kDeprecated,
  [74879] = 3,
    ACTIONS(6122), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6056), 4,
      sym_kEnd,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [74894] = 6,
    ACTIONS(6124), 1,
      sym_identifier,
    ACTIONS(6126), 1,
      anon_sym_SEMI,
    STATE(1975), 1,
      aux_sym_declUses_repeat1,
    STATE(2178), 1,
      aux_sym_moduleName_repeat1,
    STATE(2183), 1,
      sym_moduleName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74915] = 6,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6038), 1,
      anon_sym_SEMI,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6128), 1,
      anon_sym_COLON,
    STATE(2174), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74936] = 6,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6076), 1,
      anon_sym_SEMI,
    ACTIONS(6130), 1,
      anon_sym_COLON,
    STATE(2249), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [74957] = 3,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6106), 4,
      anon_sym_DOT,
      sym_kLt,
      sym_kDo,
      sym_kDeprecated,
  [74972] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6134), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
  [74985] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6136), 5,
      sym_kInterface,
      sym_kImplementation,
      sym_kInitialization,
      sym_kFinalization,
      sym_kEnd,
  [74998] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5433), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [75011] = 4,
    STATE(1927), 1,
      aux_sym_declExport_repeat1,
    ACTIONS(5055), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(6138), 2,
      sym_kIndex,
      sym_kName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75028] = 4,
    ACTIONS(6141), 1,
      sym_identifier,
    ACTIONS(6143), 1,
      sym_kGeneric,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1989), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75045] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6145), 5,
      sym_kVar,
      sym_kConst,
      sym_kConstref,
      sym_kOut,
      sym_identifier,
  [75058] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6147), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kGt,
  [75071] = 3,
    ACTIONS(5861), 1,
      sym_kOperator,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5859), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [75086] = 3,
    ACTIONS(6149), 1,
      sym_kClass,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5704), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [75101] = 4,
    ACTIONS(6151), 1,
      anon_sym_COLON,
    STATE(1933), 1,
      aux_sym_legacyFormat_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5043), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [75118] = 4,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6156), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6154), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [75135] = 3,
    ACTIONS(6158), 1,
      sym_kClass,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(5859), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [75150] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4681), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [75163] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6160), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kGt,
  [75176] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2025), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6162), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [75193] = 4,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6166), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6164), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [75210] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4629), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [75223] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6168), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kGt,
  [75236] = 6,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(6112), 1,
      anon_sym_COMMA,
    ACTIONS(6170), 1,
      sym_kGt,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75257] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(4997), 5,
      sym_kAssign,
      sym_kAssignAdd,
      sym_kAssignSub,
      sym_kAssignMul,
      sym_kAssignDiv,
  [75270] = 4,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6174), 1,
      sym_kGeneric,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(2013), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75287] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2046), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6176), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [75304] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6178), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_kGt,
  [75317] = 3,
    ACTIONS(6180), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1774), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75331] = 5,
    ACTIONS(6182), 1,
      sym_identifier,
    STATE(1948), 1,
      aux_sym_declUses_repeat1,
    STATE(2178), 1,
      aux_sym_moduleName_repeat1,
    STATE(2379), 1,
      sym_moduleName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75349] = 5,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(6185), 1,
      sym_identifier,
    ACTIONS(6187), 1,
      anon_sym_RPAREN,
    STATE(2189), 1,
      sym_declVariant,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75367] = 3,
    ACTIONS(6189), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(2013), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75381] = 5,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(6191), 1,
      sym_kEq,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75399] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2192), 1,
      sym_defaultValue,
    ACTIONS(6193), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75415] = 4,
    ACTIONS(6044), 1,
      sym_kEq,
    STATE(2293), 1,
      sym_defaultValue,
    ACTIONS(6195), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75431] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6197), 1,
      anon_sym_SEMI,
    ACTIONS(6199), 1,
      anon_sym_COLON,
    STATE(2647), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75449] = 5,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(4884), 1,
      sym_kLt,
    ACTIONS(6112), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75467] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4556), 4,
      anon_sym_COLON,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
  [75481] = 5,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(6201), 1,
      sym_identifier,
    ACTIONS(6203), 1,
      anon_sym_COLON,
    STATE(2158), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75499] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6205), 1,
      anon_sym_SEMI,
    ACTIONS(6207), 1,
      sym_kAbsolute,
    STATE(2501), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75517] = 3,
    ACTIONS(6209), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1760), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75531] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6211), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [75543] = 5,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(6213), 1,
      sym_identifier,
    ACTIONS(6215), 1,
      anon_sym_COLON,
    STATE(2157), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75561] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6217), 1,
      anon_sym_SEMI,
    ACTIONS(6219), 1,
      anon_sym_COLON,
    STATE(2571), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75579] = 3,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1787), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75593] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6223), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [75605] = 5,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(6225), 1,
      sym_identifier,
    ACTIONS(6227), 1,
      anon_sym_COLON,
    STATE(2287), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75623] = 5,
    ACTIONS(6229), 1,
      sym_kOn,
    STATE(2003), 1,
      sym_exceptionHandler,
    STATE(2033), 1,
      aux_sym__exceptionHandlers_repeat1,
    STATE(2034), 1,
      sym_exceptionHandlerTr,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75641] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6231), 1,
      anon_sym_SEMI,
    ACTIONS(6233), 1,
      anon_sym_COLON,
    STATE(2343), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75659] = 5,
    ACTIONS(6235), 1,
      sym_kEnd,
    ACTIONS(6237), 1,
      sym_kElse,
    ACTIONS(6239), 1,
      sym_kOn,
    STATE(2414), 1,
      sym_exceptionElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75677] = 3,
    ACTIONS(6241), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1775), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75691] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6243), 1,
      anon_sym_SEMI,
    ACTIONS(6245), 1,
      anon_sym_COLON,
    STATE(2348), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75709] = 5,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(6247), 1,
      sym_kEq,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75727] = 3,
    ACTIONS(6249), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1785), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75741] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6251), 1,
      anon_sym_SEMI,
    ACTIONS(6253), 1,
      sym_kAbsolute,
    STATE(2557), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75759] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2169), 1,
      sym_defaultValue,
    ACTIONS(6255), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75775] = 5,
    ACTIONS(6124), 1,
      sym_identifier,
    STATE(1948), 1,
      aux_sym_declUses_repeat1,
    STATE(2178), 1,
      aux_sym_moduleName_repeat1,
    STATE(2242), 1,
      sym_moduleName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75793] = 5,
    ACTIONS(6257), 1,
      sym_identifier,
    STATE(1976), 1,
      aux_sym_declVariantClause_repeat1,
    STATE(2258), 1,
      aux_sym_genericArg_repeat1,
    STATE(2618), 1,
      sym_declVariantField,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75811] = 5,
    ACTIONS(3109), 1,
      sym_kCase,
    ACTIONS(6185), 1,
      sym_identifier,
    ACTIONS(6260), 1,
      anon_sym_RPAREN,
    STATE(2201), 1,
      sym_declVariant,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75829] = 3,
    ACTIONS(6262), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1989), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [75843] = 5,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(6264), 1,
      sym_kEq,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75861] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6266), 1,
      anon_sym_SEMI,
    ACTIONS(6268), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75879] = 4,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    STATE(2542), 1,
      sym_kDot,
    ACTIONS(6270), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75895] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6272), 1,
      anon_sym_SEMI,
    ACTIONS(6274), 1,
      anon_sym_COLON,
    STATE(2712), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75913] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6276), 1,
      anon_sym_SEMI,
    ACTIONS(6278), 1,
      sym_kAbsolute,
    STATE(2667), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75931] = 5,
    ACTIONS(6280), 1,
      sym_identifier,
    STATE(1984), 1,
      aux_sym_genericArgs_repeat1,
    STATE(2251), 1,
      aux_sym_genericArg_repeat1,
    STATE(2587), 1,
      sym_genericArg,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75949] = 5,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_COLON,
    STATE(2182), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75967] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6287), 4,
      sym_kFunction,
      sym_kProcedure,
      sym_kConstructor,
      sym_kDestructor,
  [75979] = 5,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(6289), 1,
      sym_identifier,
    ACTIONS(6291), 1,
      anon_sym_COLON,
    STATE(2177), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [75997] = 3,
    ACTIONS(6293), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1994), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [76011] = 5,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(6295), 1,
      sym_kEq,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76029] = 4,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    STATE(2542), 1,
      sym_kDot,
    ACTIONS(6297), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76045] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6299), 1,
      anon_sym_COLON,
    ACTIONS(6301), 1,
      sym_kOf,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5550), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [76063] = 5,
    ACTIONS(6303), 1,
      sym_identifier,
    STATE(1976), 1,
      aux_sym_declVariantClause_repeat1,
    STATE(2222), 1,
      sym_declVariantField,
    STATE(2258), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76081] = 5,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(6305), 1,
      sym_identifier,
    ACTIONS(6307), 1,
      anon_sym_COLON,
    STATE(2175), 1,
      sym_declArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76099] = 5,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(6309), 1,
      sym_kEq,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76117] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6311), 4,
      sym_kEnd,
      sym_kUntil,
      sym_kExcept,
      sym_kFinally,
  [76129] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6313), 1,
      anon_sym_SEMI,
    ACTIONS(6315), 1,
      sym_kAbsolute,
    STATE(2492), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76147] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6317), 1,
      anon_sym_SEMI,
    ACTIONS(6319), 1,
      sym_kAbsolute,
    STATE(2672), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76165] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6321), 1,
      anon_sym_SEMI,
    ACTIONS(6323), 1,
      anon_sym_COLON,
    STATE(2486), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76183] = 5,
    ACTIONS(6110), 1,
      sym_identifier,
    STATE(1984), 1,
      aux_sym_genericArgs_repeat1,
    STATE(2202), 1,
      aux_sym_genericArg_repeat1,
    STATE(2243), 1,
      sym_genericArg,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76201] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6325), 1,
      anon_sym_COLON,
    ACTIONS(6327), 1,
      sym_kOf,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5542), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [76219] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6329), 1,
      anon_sym_SEMI,
    ACTIONS(6331), 1,
      sym_kAbsolute,
    STATE(2609), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76237] = 3,
    ACTIONS(6333), 1,
      sym_kName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3549), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76251] = 5,
    ACTIONS(6237), 1,
      sym_kElse,
    ACTIONS(6239), 1,
      sym_kOn,
    ACTIONS(6335), 1,
      sym_kEnd,
    STATE(2658), 1,
      sym_exceptionElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76269] = 3,
    ACTIONS(6337), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1776), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [76283] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6339), 1,
      anon_sym_SEMI,
    ACTIONS(6341), 1,
      anon_sym_COLON,
    STATE(2580), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76301] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6343), 1,
      anon_sym_SEMI,
    ACTIONS(6345), 1,
      anon_sym_COLON,
    STATE(2539), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76319] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4564), 4,
      anon_sym_COLON,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
  [76333] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2156), 1,
      sym_defaultValue,
    ACTIONS(6347), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76349] = 4,
    ACTIONS(6044), 1,
      sym_kEq,
    STATE(2247), 1,
      sym_defaultValue,
    ACTIONS(6349), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76365] = 3,
    ACTIONS(6351), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1765), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [76379] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6353), 1,
      anon_sym_SEMI,
    ACTIONS(6355), 1,
      sym_kAbsolute,
    STATE(2458), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76397] = 3,
    ACTIONS(6357), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1769), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [76411] = 5,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      sym_kLt,
    ACTIONS(6359), 1,
      sym_kEq,
    STATE(2015), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76429] = 5,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6361), 1,
      anon_sym_SEMI,
    ACTIONS(6363), 1,
      sym_kAbsolute,
    STATE(2612), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76447] = 3,
    ACTIONS(6365), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1680), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [76461] = 3,
    ACTIONS(6367), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1971), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [76475] = 3,
    ACTIONS(6369), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    STATE(1761), 3,
      sym_genericDot,
      sym_genericTpl,
      sym__genericName,
  [76489] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(4560), 4,
      anon_sym_COLON,
      aux_sym_type_token2,
      aux_sym_type_token3,
      sym_kOf,
  [76503] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6371), 1,
      anon_sym_COLON,
    STATE(2521), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76518] = 4,
    ACTIONS(6373), 1,
      sym_identifier,
    STATE(2020), 1,
      aux_sym_declLabels_repeat1,
    STATE(2676), 1,
      sym_declLabel,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76533] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    STATE(2570), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76548] = 4,
    ACTIONS(6124), 1,
      sym_identifier,
    STATE(2178), 1,
      aux_sym_moduleName_repeat1,
    STATE(2646), 1,
      sym_moduleName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76563] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6378), 1,
      anon_sym_SEMI,
    STATE(2635), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76578] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    STATE(2682), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76593] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6382), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [76604] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6384), 1,
      anon_sym_SEMI,
    STATE(2533), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76619] = 4,
    ACTIONS(6386), 1,
      sym_identifier,
    STATE(2136), 1,
      aux_sym_declEnum_repeat1,
    STATE(2151), 1,
      sym_declEnumValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76634] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6388), 1,
      sym_kOf,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5435), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [76649] = 3,
    STATE(1232), 1,
      sym__literalInt,
    ACTIONS(6390), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalInt_token2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76662] = 3,
    ACTIONS(6392), 1,
      anon_sym_SEMI,
    ACTIONS(5353), 2,
      anon_sym_RPAREN,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76675] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(3549), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76686] = 4,
    ACTIONS(6394), 1,
      anon_sym_COLON,
    ACTIONS(6396), 1,
      anon_sym_LBRACK,
    STATE(2502), 1,
      sym_declPropArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76701] = 3,
    ACTIONS(6398), 1,
      sym_kOn,
    STATE(2033), 2,
      sym_exceptionHandler,
      aux_sym__exceptionHandlers_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76714] = 4,
    ACTIONS(6237), 1,
      sym_kElse,
    ACTIONS(6335), 1,
      sym_kEnd,
    STATE(2658), 1,
      sym_exceptionElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76729] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6401), 1,
      aux_sym_type_token2,
    ACTIONS(6403), 1,
      aux_sym_type_token3,
    STATE(2137), 1,
      aux_sym_type_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [76746] = 3,
    ACTIONS(6405), 1,
      anon_sym_SEMI,
    ACTIONS(6407), 2,
      anon_sym_RPAREN,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76759] = 3,
    STATE(721), 1,
      sym__literalInt,
    ACTIONS(6409), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalInt_token2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76772] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6411), 3,
      sym_kEnd,
      sym_kElse,
      sym_kOn,
  [76783] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6415), 1,
      aux_sym_type_token3,
    STATE(2042), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [76800] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6417), 1,
      aux_sym_type_token3,
    STATE(2042), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [76817] = 4,
    ACTIONS(4428), 1,
      sym_kCase,
    ACTIONS(6419), 1,
      anon_sym_RPAREN,
    STATE(2227), 1,
      sym_declVariant,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76832] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6421), 1,
      aux_sym_type_token2,
    ACTIONS(6424), 1,
      aux_sym_type_token3,
    STATE(2042), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [76849] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6426), 3,
      sym_kEnd,
      sym_kElse,
      sym_kOn,
  [76860] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6428), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym_kEnd,
  [76871] = 4,
    ACTIONS(6386), 1,
      sym_identifier,
    STATE(2066), 1,
      aux_sym_declEnum_repeat1,
    STATE(2161), 1,
      sym_declEnumValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76886] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6430), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [76897] = 3,
    STATE(1239), 1,
      sym__literalInt,
    ACTIONS(6432), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalInt_token2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76910] = 4,
    ACTIONS(6434), 1,
      anon_sym_SEMI,
    ACTIONS(6436), 1,
      anon_sym_COMMA,
    ACTIONS(6438), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76925] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6440), 1,
      sym_kOf,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5449), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [76940] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6442), 1,
      sym_kOf,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5445), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [76955] = 3,
    STATE(1017), 1,
      sym__literalInt,
    ACTIONS(6444), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalInt_token2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76968] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6446), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76983] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6448), 1,
      anon_sym_SEMI,
    STATE(2377), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [76998] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6450), 1,
      anon_sym_SEMI,
    STATE(2376), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77013] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6452), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77028] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6454), 1,
      anon_sym_SEMI,
    STATE(2373), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77043] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6456), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77058] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6458), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77073] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6460), 1,
      anon_sym_SEMI,
    STATE(2369), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77088] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6462), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77103] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6464), 1,
      anon_sym_SEMI,
    STATE(2367), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77118] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6466), 1,
      anon_sym_SEMI,
    STATE(2617), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77133] = 3,
    ACTIONS(6468), 1,
      anon_sym_COMMA,
    ACTIONS(4995), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77146] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6470), 1,
      anon_sym_SEMI,
    STATE(2366), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77161] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6472), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77176] = 4,
    ACTIONS(6386), 1,
      sym_identifier,
    STATE(2136), 1,
      aux_sym_declEnum_repeat1,
    STATE(2195), 1,
      sym_declEnumValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77191] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6474), 1,
      anon_sym_SEMI,
    STATE(2359), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77206] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6476), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77221] = 3,
    ACTIONS(6480), 1,
      anon_sym_LPAREN,
    ACTIONS(6478), 2,
      anon_sym_COLON,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77234] = 3,
    ACTIONS(6482), 1,
      anon_sym_SEMI,
    ACTIONS(5285), 2,
      anon_sym_RPAREN,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77247] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6484), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym_kEnd,
  [77258] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6486), 1,
      anon_sym_SEMI,
    STATE(2673), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77273] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6488), 1,
      anon_sym_SEMI,
    STATE(2353), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77288] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6490), 1,
      anon_sym_SEMI,
    STATE(2351), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77303] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6492), 1,
      sym_kOf,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5455), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [77318] = 3,
    ACTIONS(6494), 1,
      anon_sym_SEMI,
    ACTIONS(6496), 2,
      anon_sym_RPAREN,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77331] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6498), 1,
      anon_sym_SEMI,
    STATE(2354), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77346] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6500), 1,
      aux_sym_type_token2,
    ACTIONS(6503), 1,
      aux_sym_type_token3,
    STATE(2078), 1,
      aux_sym_type_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77363] = 4,
    ACTIONS(6235), 1,
      sym_kEnd,
    ACTIONS(6237), 1,
      sym_kElse,
    STATE(2414), 1,
      sym_exceptionElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77378] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6505), 1,
      anon_sym_SEMI,
    STATE(2600), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77393] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6507), 1,
      anon_sym_SEMI,
    STATE(2401), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77408] = 3,
    STATE(1234), 1,
      sym__literalInt,
    ACTIONS(6509), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalInt_token2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77421] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6511), 1,
      sym_kOf,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5716), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [77436] = 3,
    STATE(1018), 1,
      sym__literalInt,
    ACTIONS(6513), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalInt_token2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77449] = 4,
    ACTIONS(6386), 1,
      sym_identifier,
    STATE(2027), 1,
      aux_sym_declEnum_repeat1,
    STATE(2267), 1,
      sym_declEnumValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77464] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6515), 1,
      anon_sym_SEMI,
    STATE(2583), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77479] = 4,
    ACTIONS(6124), 1,
      sym_identifier,
    STATE(2178), 1,
      aux_sym_moduleName_repeat1,
    STATE(2649), 1,
      sym_moduleName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77494] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6517), 1,
      anon_sym_SEMI,
    STATE(2551), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77509] = 4,
    ACTIONS(6396), 1,
      anon_sym_LBRACK,
    ACTIONS(6519), 1,
      anon_sym_COLON,
    STATE(2408), 1,
      sym_declPropArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77524] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6521), 1,
      anon_sym_SEMI,
    STATE(2541), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77539] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6523), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [77550] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6525), 1,
      anon_sym_SEMI,
    STATE(2528), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77565] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6527), 1,
      anon_sym_SEMI,
    STATE(2689), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77580] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6529), 1,
      aux_sym_type_token3,
    STATE(2042), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77597] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6531), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [77608] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6533), 1,
      aux_sym_type_token3,
    STATE(2042), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77625] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6535), 1,
      aux_sym_type_token3,
    STATE(2040), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77642] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6537), 1,
      aux_sym_type_token3,
    STATE(2096), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77659] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6539), 1,
      aux_sym_type_token3,
    STATE(2094), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77676] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6541), 1,
      anon_sym_SEMI,
    STATE(2518), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77691] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6543), 1,
      anon_sym_SEMI,
    STATE(2596), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77706] = 3,
    ACTIONS(6547), 1,
      anon_sym_LPAREN,
    ACTIONS(6545), 2,
      anon_sym_COLON,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77719] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6549), 1,
      anon_sym_SEMI,
    STATE(2519), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77734] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6413), 1,
      aux_sym_type_token2,
    ACTIONS(6551), 1,
      aux_sym_type_token3,
    STATE(2039), 1,
      aux_sym_defProc_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77751] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6195), 1,
      anon_sym_SEMI,
    STATE(2293), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77766] = 4,
    ACTIONS(6553), 1,
      sym_identifier,
    STATE(2020), 1,
      aux_sym_declLabels_repeat1,
    STATE(2278), 1,
      sym_declLabel,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77781] = 3,
    ACTIONS(6557), 1,
      sym_kHat,
    ACTIONS(6555), 2,
      sym_kSpecialize,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77794] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6559), 1,
      anon_sym_SEMI,
    STATE(2532), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77809] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6561), 1,
      anon_sym_SEMI,
    STATE(2540), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77824] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6563), 1,
      anon_sym_SEMI,
    STATE(2340), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77839] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6565), 1,
      anon_sym_SEMI,
    STATE(2546), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77854] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6567), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym_kEnd,
  [77865] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6569), 1,
      anon_sym_SEMI,
    STATE(2547), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77880] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6571), 1,
      anon_sym_SEMI,
    STATE(2550), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77895] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6349), 1,
      anon_sym_SEMI,
    STATE(2247), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77910] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6573), 1,
      anon_sym_COLON,
    STATE(2479), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77925] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6401), 1,
      aux_sym_type_token2,
    ACTIONS(6575), 1,
      aux_sym_type_token3,
    STATE(2078), 1,
      aux_sym_type_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [77942] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6577), 1,
      anon_sym_SEMI,
    STATE(2393), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77957] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6579), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym_kEnd,
  [77968] = 3,
    ACTIONS(6468), 1,
      anon_sym_COMMA,
    ACTIONS(6581), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77981] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6583), 1,
      anon_sym_SEMI,
    STATE(2593), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [77996] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6585), 1,
      anon_sym_SEMI,
    STATE(2575), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78011] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6587), 1,
      anon_sym_SEMI,
    STATE(2576), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78026] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6589), 1,
      anon_sym_SEMI,
    STATE(2579), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78041] = 4,
    ACTIONS(6396), 1,
      anon_sym_LBRACK,
    ACTIONS(6591), 1,
      anon_sym_COLON,
    STATE(2432), 1,
      sym_declPropArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78056] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6593), 1,
      anon_sym_SEMI,
    STATE(2597), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78071] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6595), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78086] = 3,
    STATE(476), 1,
      sym__literalInt,
    ACTIONS(6597), 2,
      aux_sym__literalInt_token1,
      aux_sym__literalInt_token2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78099] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6599), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym_kEnd,
  [78110] = 4,
    ACTIONS(6396), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_COLON,
    STATE(2674), 1,
      sym_declPropArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78125] = 2,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
    ACTIONS(6603), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym_kEnd,
  [78136] = 4,
    ACTIONS(6396), 1,
      anon_sym_LBRACK,
    ACTIONS(6605), 1,
      anon_sym_COLON,
    STATE(2679), 1,
      sym_declPropArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78151] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6607), 1,
      anon_sym_SEMI,
    STATE(2490), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78166] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6401), 1,
      aux_sym_type_token2,
    ACTIONS(6609), 1,
      aux_sym_type_token3,
    STATE(2117), 1,
      aux_sym_type_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [78183] = 4,
    ACTIONS(6396), 1,
      anon_sym_LBRACK,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(2683), 1,
      sym_declPropArgs,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78198] = 4,
    ACTIONS(6613), 1,
      sym_identifier,
    STATE(2136), 1,
      aux_sym_declEnum_repeat1,
    STATE(2339), 1,
      sym_declEnumValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78213] = 5,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6401), 1,
      aux_sym_type_token2,
    ACTIONS(6616), 1,
      aux_sym_type_token3,
    STATE(2078), 1,
      aux_sym_type_repeat1,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
  [78230] = 4,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5441), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [78245] = 4,
    ACTIONS(6553), 1,
      sym_identifier,
    STATE(2106), 1,
      aux_sym_declLabels_repeat1,
    STATE(2206), 1,
      sym_declLabel,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78260] = 4,
    ACTIONS(6124), 1,
      sym_identifier,
    STATE(2178), 1,
      aux_sym_moduleName_repeat1,
    STATE(2643), 1,
      sym_moduleName,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78275] = 4,
    ACTIONS(5871), 1,
      sym_kEq,
    ACTIONS(6620), 1,
      anon_sym_SEMI,
    STATE(2638), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78290] = 3,
    ACTIONS(6622), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78302] = 3,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2650), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78314] = 3,
    ACTIONS(3601), 1,
      anon_sym_RBRACK,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78326] = 3,
    ACTIONS(6436), 1,
      anon_sym_COMMA,
    ACTIONS(6626), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78338] = 3,
    ACTIONS(6628), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78350] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6632), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78362] = 3,
    ACTIONS(6634), 1,
      anon_sym_SEMI,
    ACTIONS(6636), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78374] = 2,
    ACTIONS(6434), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78384] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6638), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78396] = 3,
    ACTIONS(6640), 1,
      anon_sym_COMMA,
    ACTIONS(6642), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78408] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6644), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78420] = 3,
    ACTIONS(6646), 1,
      anon_sym_SEMI,
    ACTIONS(6648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78432] = 3,
    ACTIONS(6650), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78444] = 3,
    ACTIONS(6652), 1,
      sym_identifier,
    STATE(2146), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78456] = 2,
    ACTIONS(6654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78466] = 3,
    ACTIONS(6656), 1,
      sym_identifier,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78478] = 3,
    ACTIONS(6660), 1,
      sym_identifier,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78490] = 3,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5123), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78502] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78514] = 3,
    ACTIONS(6640), 1,
      anon_sym_COMMA,
    ACTIONS(6664), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78526] = 3,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5223), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78538] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5501), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [78550] = 3,
    ACTIONS(6666), 1,
      sym_kEnd,
    ACTIONS(6668), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78562] = 3,
    ACTIONS(6670), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78574] = 2,
    ACTIONS(6674), 2,
      sym_kEnd,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78584] = 3,
    ACTIONS(6676), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78596] = 3,
    ACTIONS(3583), 1,
      anon_sym_RBRACK,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78608] = 2,
    ACTIONS(6680), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78618] = 2,
    ACTIONS(6682), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78628] = 2,
    ACTIONS(6684), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78638] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6686), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78650] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78662] = 2,
    ACTIONS(6690), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78672] = 3,
    ACTIONS(6692), 1,
      sym_identifier,
    ACTIONS(6694), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78684] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6696), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78696] = 3,
    ACTIONS(6698), 1,
      sym_identifier,
    ACTIONS(6700), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78708] = 3,
    ACTIONS(6702), 1,
      sym_identifier,
    STATE(2239), 1,
      aux_sym_moduleName_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78720] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78732] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78744] = 2,
    ACTIONS(6708), 2,
      sym_kTo,
      sym_kDownto,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78754] = 3,
    ACTIONS(6710), 1,
      sym_identifier,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78766] = 3,
    ACTIONS(6714), 1,
      anon_sym_SEMI,
    ACTIONS(6716), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78778] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6718), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78790] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78802] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78814] = 3,
    ACTIONS(6724), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78826] = 3,
    ACTIONS(6646), 1,
      anon_sym_SEMI,
    ACTIONS(6726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78838] = 3,
    ACTIONS(6728), 1,
      anon_sym_SEMI,
    ACTIONS(6730), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78850] = 3,
    ACTIONS(6732), 1,
      sym_identifier,
    STATE(2187), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78862] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6734), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78874] = 2,
    ACTIONS(6736), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78884] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6738), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78896] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6740), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78908] = 3,
    ACTIONS(6640), 1,
      anon_sym_COMMA,
    ACTIONS(6742), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78920] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5147), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78932] = 3,
    ACTIONS(6744), 1,
      sym_identifier,
    STATE(2272), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78944] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5509), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [78956] = 3,
    ACTIONS(6746), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78968] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(6748), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [78980] = 3,
    ACTIONS(6187), 1,
      anon_sym_RPAREN,
    ACTIONS(6750), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [78992] = 3,
    ACTIONS(6752), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79004] = 3,
    ACTIONS(6754), 1,
      anon_sym_COMMA,
    ACTIONS(6756), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79016] = 3,
    ACTIONS(6754), 1,
      anon_sym_COMMA,
    ACTIONS(6758), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79028] = 2,
    ACTIONS(6760), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79038] = 3,
    ACTIONS(6762), 1,
      anon_sym_SEMI,
    ACTIONS(6764), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79050] = 3,
    ACTIONS(6766), 1,
      sym_kEnd,
    ACTIONS(6768), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79062] = 3,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(6772), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79074] = 3,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(6774), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79086] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6776), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79098] = 3,
    ACTIONS(6778), 1,
      anon_sym_SEMI,
    ACTIONS(6780), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79110] = 3,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(6782), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79122] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5459), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79134] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5487), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79146] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5461), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79158] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5497), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79170] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5505), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79182] = 3,
    ACTIONS(6784), 1,
      anon_sym_LPAREN,
    ACTIONS(6786), 1,
      sym_kFor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79194] = 3,
    ACTIONS(6788), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79206] = 3,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5201), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79218] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5491), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79230] = 3,
    ACTIONS(6260), 1,
      anon_sym_RPAREN,
    ACTIONS(6790), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79242] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6792), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79254] = 3,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5217), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79266] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6794), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79278] = 3,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(6796), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79290] = 3,
    ACTIONS(6260), 1,
      anon_sym_RPAREN,
    ACTIONS(6798), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79302] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(6800), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79314] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5219), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79326] = 3,
    ACTIONS(6802), 1,
      anon_sym_SEMI,
    ACTIONS(6804), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79338] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6806), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79350] = 3,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(6808), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79362] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6810), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79374] = 3,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79386] = 3,
    ACTIONS(6754), 1,
      anon_sym_COMMA,
    ACTIONS(6812), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79398] = 3,
    ACTIONS(6754), 1,
      anon_sym_COMMA,
    ACTIONS(6814), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79410] = 3,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(6816), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79422] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79434] = 3,
    ACTIONS(6820), 1,
      sym_identifier,
    STATE(2239), 1,
      aux_sym_moduleName_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79446] = 3,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2607), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79458] = 3,
    ACTIONS(6823), 1,
      anon_sym_LBRACK,
    ACTIONS(6825), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79470] = 3,
    ACTIONS(6716), 1,
      anon_sym_COMMA,
    ACTIONS(6827), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79482] = 3,
    ACTIONS(6802), 1,
      anon_sym_SEMI,
    ACTIONS(6829), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79494] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5471), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79506] = 3,
    ACTIONS(6754), 1,
      anon_sym_COMMA,
    ACTIONS(6831), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79518] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5467), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79530] = 2,
    ACTIONS(6833), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79540] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5489), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79552] = 2,
    ACTIONS(6835), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79562] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5495), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79574] = 3,
    ACTIONS(6837), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79586] = 3,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2663), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79598] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5145), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79610] = 2,
    ACTIONS(6839), 2,
      sym_kTo,
      sym_kDownto,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79620] = 3,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2713), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79632] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5503), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79644] = 3,
    ACTIONS(6634), 1,
      anon_sym_SEMI,
    ACTIONS(6841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79656] = 3,
    ACTIONS(6843), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79668] = 3,
    ACTIONS(6646), 1,
      anon_sym_SEMI,
    ACTIONS(6845), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79680] = 3,
    ACTIONS(6419), 1,
      anon_sym_RPAREN,
    ACTIONS(6847), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79692] = 2,
    ACTIONS(6849), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79702] = 3,
    ACTIONS(6419), 1,
      anon_sym_RPAREN,
    ACTIONS(6851), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79714] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6853), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79726] = 2,
    ACTIONS(6855), 2,
      sym_kFunction,
      sym_kProcedure,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79736] = 3,
    ACTIONS(6857), 1,
      sym_kExcept,
    ACTIONS(6859), 1,
      sym_kFinally,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79748] = 3,
    ACTIONS(6861), 1,
      anon_sym_LBRACK,
    ACTIONS(6863), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79760] = 3,
    ACTIONS(6640), 1,
      anon_sym_COMMA,
    ACTIONS(6865), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79772] = 3,
    ACTIONS(5871), 1,
      sym_kEq,
    STATE(2503), 1,
      sym_defaultValue,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79784] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6867), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79796] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6869), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79808] = 3,
    ACTIONS(6871), 1,
      sym_kEnd,
    ACTIONS(6873), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79820] = 3,
    ACTIONS(6875), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79832] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6877), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79844] = 3,
    ACTIONS(6879), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79856] = 3,
    ACTIONS(6882), 1,
      sym_kExcept,
    ACTIONS(6884), 1,
      sym_kFinally,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79868] = 2,
    ACTIONS(6886), 2,
      sym_kHat,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79878] = 2,
    ACTIONS(6888), 2,
      sym_kTo,
      sym_kDownto,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79888] = 3,
    ACTIONS(6764), 1,
      anon_sym_COMMA,
    ACTIONS(6890), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79900] = 3,
    ACTIONS(6892), 1,
      anon_sym_LBRACK,
    ACTIONS(6894), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79912] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79924] = 3,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5187), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79936] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5475), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [79948] = 3,
    ACTIONS(6780), 1,
      anon_sym_COMMA,
    ACTIONS(6898), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79960] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6900), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79972] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5117), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79984] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5149), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [79996] = 3,
    ACTIONS(6902), 1,
      sym_identifier,
    ACTIONS(6904), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80008] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5485), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80020] = 3,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(5129), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80032] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5155), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80044] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5463), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80056] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80068] = 2,
    ACTIONS(6906), 2,
      anon_sym_SEMI,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80078] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5469), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80090] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5203), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80102] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5507), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80114] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5211), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80126] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5227), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80138] = 2,
    ACTIONS(6908), 2,
      sym_kEnd,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80148] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5225), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80160] = 3,
    ACTIONS(6646), 1,
      anon_sym_SEMI,
    ACTIONS(6910), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80172] = 2,
    ACTIONS(6912), 2,
      sym_kEnd,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80182] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5091), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80194] = 3,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2640), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80206] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5205), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80218] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5083), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80230] = 3,
    ACTIONS(6754), 1,
      anon_sym_COMMA,
    ACTIONS(6914), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80242] = 3,
    ACTIONS(6916), 1,
      sym_identifier,
    STATE(2324), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80254] = 3,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2368), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80266] = 3,
    ACTIONS(3217), 1,
      anon_sym_DOT,
    STATE(2542), 1,
      sym_kDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80278] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(6503), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80290] = 3,
    ACTIONS(6646), 1,
      anon_sym_SEMI,
    ACTIONS(6918), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80302] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(6920), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80314] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6922), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80326] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6924), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80338] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80350] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6928), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80362] = 3,
    ACTIONS(6930), 1,
      sym_kEnd,
    ACTIONS(6932), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80374] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5483), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80386] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5465), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80398] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(6934), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80410] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5473), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80422] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5213), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80434] = 3,
    ACTIONS(6936), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80446] = 3,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5221), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80458] = 3,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(6938), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80470] = 3,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(6940), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80482] = 3,
    ACTIONS(6646), 1,
      anon_sym_SEMI,
    ACTIONS(6942), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80494] = 3,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2397), 1,
      sym_kEndDot,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80506] = 3,
    ACTIONS(5), 1,
      sym_pp,
    ACTIONS(3), 2,
      sym__space,
      sym_comment,
    ACTIONS(5493), 2,
      aux_sym_type_token2,
      aux_sym_type_token3,
  [80518] = 3,
    ACTIONS(6944), 1,
      sym_identifier,
    STATE(2274), 1,
      aux_sym_genericArg_repeat1,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80530] = 2,
    ACTIONS(6946), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80539] = 2,
    ACTIONS(6948), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80548] = 2,
    ACTIONS(6950), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80557] = 2,
    ACTIONS(6952), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80566] = 2,
    ACTIONS(6954), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80575] = 2,
    ACTIONS(6956), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80584] = 2,
    ACTIONS(6958), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80593] = 2,
    ACTIONS(6640), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80602] = 2,
    ACTIONS(6960), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80611] = 2,
    ACTIONS(6962), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80620] = 2,
    ACTIONS(6780), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80629] = 2,
    ACTIONS(6964), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80638] = 2,
    ACTIONS(6966), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80647] = 2,
    ACTIONS(5580), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80656] = 2,
    ACTIONS(6968), 1,
      sym_kFor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80665] = 2,
    ACTIONS(6970), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80674] = 2,
    ACTIONS(6972), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80683] = 2,
    ACTIONS(6974), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80692] = 2,
    ACTIONS(6976), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80701] = 2,
    ACTIONS(6978), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80710] = 2,
    ACTIONS(6980), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80719] = 2,
    ACTIONS(6982), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80728] = 2,
    ACTIONS(6984), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80737] = 2,
    ACTIONS(6986), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80746] = 2,
    ACTIONS(5592), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80755] = 2,
    ACTIONS(6988), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80764] = 2,
    ACTIONS(5598), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80773] = 2,
    ACTIONS(6990), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80782] = 2,
    ACTIONS(6992), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80791] = 2,
    ACTIONS(6994), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80800] = 2,
    ACTIONS(5602), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80809] = 2,
    ACTIONS(6996), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80818] = 2,
    ACTIONS(6998), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80827] = 2,
    ACTIONS(7000), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80836] = 2,
    ACTIONS(7002), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80845] = 2,
    ACTIONS(7004), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80854] = 2,
    ACTIONS(7006), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80863] = 2,
    ACTIONS(7008), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80872] = 2,
    ACTIONS(7010), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80881] = 2,
    ACTIONS(7012), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80890] = 2,
    ACTIONS(7014), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80899] = 2,
    ACTIONS(7016), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80908] = 2,
    ACTIONS(7018), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80917] = 2,
    ACTIONS(7020), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80926] = 2,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80935] = 2,
    ACTIONS(7024), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80944] = 2,
    ACTIONS(7026), 1,
      sym_kElse,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80953] = 2,
    ACTIONS(6716), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80962] = 2,
    ACTIONS(7028), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80971] = 2,
    ACTIONS(7030), 1,
      sym_kFor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80980] = 2,
    ACTIONS(7032), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80989] = 2,
    ACTIONS(7034), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [80998] = 2,
    ACTIONS(7036), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81007] = 2,
    ACTIONS(7038), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81016] = 2,
    ACTIONS(3119), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81025] = 2,
    ACTIONS(7040), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81034] = 2,
    ACTIONS(7042), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81043] = 2,
    ACTIONS(7044), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81052] = 2,
    ACTIONS(7046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81061] = 2,
    ACTIONS(7048), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81070] = 2,
    ACTIONS(7050), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81079] = 2,
    ACTIONS(7052), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81088] = 2,
    ACTIONS(7054), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81097] = 2,
    ACTIONS(7056), 1,
      sym_kDo,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81106] = 2,
    ACTIONS(7058), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81115] = 2,
    ACTIONS(7060), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81124] = 2,
    ACTIONS(7062), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81133] = 2,
    ACTIONS(7064), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81142] = 2,
    ACTIONS(7066), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81151] = 2,
    ACTIONS(7068), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81160] = 2,
    ACTIONS(7070), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81169] = 2,
    ACTIONS(7072), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81178] = 2,
    ACTIONS(7074), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81187] = 2,
    ACTIONS(7076), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81196] = 2,
    ACTIONS(7078), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81205] = 2,
    ACTIONS(7080), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81214] = 2,
    ACTIONS(7082), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81223] = 2,
    ACTIONS(7084), 1,
      sym_kDo,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81232] = 2,
    ACTIONS(7086), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81241] = 2,
    ACTIONS(7088), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81250] = 2,
    ACTIONS(6333), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81259] = 2,
    ACTIONS(7090), 1,
      sym_kDo,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81268] = 2,
    ACTIONS(6335), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81277] = 2,
    ACTIONS(7092), 1,
      sym_kDo,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81286] = 2,
    ACTIONS(7094), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81295] = 2,
    ACTIONS(7096), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81304] = 2,
    ACTIONS(5676), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81313] = 2,
    ACTIONS(5257), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81322] = 2,
    ACTIONS(7098), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81331] = 2,
    ACTIONS(7100), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81340] = 2,
    ACTIONS(7102), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81349] = 2,
    ACTIONS(5033), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81358] = 2,
    ACTIONS(7104), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81367] = 2,
    ACTIONS(7106), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81376] = 2,
    ACTIONS(6630), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81385] = 2,
    ACTIONS(7108), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81394] = 2,
    ACTIONS(7110), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81403] = 2,
    ACTIONS(7112), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81412] = 2,
    ACTIONS(7114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81421] = 2,
    ACTIONS(7116), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81430] = 2,
    ACTIONS(7118), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81439] = 2,
    ACTIONS(7120), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81448] = 2,
    ACTIONS(7122), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81457] = 2,
    ACTIONS(7124), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81466] = 2,
    ACTIONS(7126), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81475] = 2,
    ACTIONS(7128), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81484] = 2,
    ACTIONS(6468), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81493] = 2,
    ACTIONS(7130), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81502] = 2,
    ACTIONS(7132), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81511] = 2,
    ACTIONS(7134), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81520] = 2,
    ACTIONS(7136), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81529] = 2,
    ACTIONS(7138), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81538] = 2,
    ACTIONS(7140), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81547] = 2,
    ACTIONS(7142), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81556] = 2,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81565] = 2,
    ACTIONS(7144), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81574] = 2,
    ACTIONS(7146), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81583] = 2,
    ACTIONS(7148), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81592] = 2,
    ACTIONS(7150), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81601] = 2,
    ACTIONS(7152), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81610] = 2,
    ACTIONS(7154), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81619] = 2,
    ACTIONS(7156), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81628] = 2,
    ACTIONS(7158), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81637] = 2,
    ACTIONS(7160), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81646] = 2,
    ACTIONS(5764), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81655] = 2,
    ACTIONS(7162), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81664] = 2,
    ACTIONS(7164), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81673] = 2,
    ACTIONS(7166), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81682] = 2,
    ACTIONS(7168), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81691] = 2,
    ACTIONS(7170), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81700] = 2,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81709] = 2,
    ACTIONS(5790), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81718] = 2,
    ACTIONS(7174), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81727] = 2,
    ACTIONS(7176), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81736] = 2,
    ACTIONS(5762), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81745] = 2,
    ACTIONS(7178), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81754] = 2,
    ACTIONS(7180), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81763] = 2,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81772] = 2,
    ACTIONS(7184), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81781] = 2,
    ACTIONS(7186), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81790] = 2,
    ACTIONS(5634), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81799] = 2,
    ACTIONS(7188), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81808] = 2,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81817] = 2,
    ACTIONS(6754), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81826] = 2,
    ACTIONS(7190), 1,
      sym_kUntil,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81835] = 2,
    ACTIONS(7192), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81844] = 2,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81853] = 2,
    ACTIONS(7196), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81862] = 2,
    ACTIONS(7198), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81871] = 2,
    ACTIONS(5917), 1,
      sym_kArray,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81880] = 2,
    ACTIONS(7200), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81889] = 2,
    ACTIONS(7202), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81898] = 2,
    ACTIONS(7204), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81907] = 2,
    ACTIONS(7206), 1,
      sym_kTo,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81916] = 2,
    ACTIONS(7208), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81925] = 2,
    ACTIONS(5576), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81934] = 2,
    ACTIONS(7210), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81943] = 2,
    ACTIONS(7212), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81952] = 2,
    ACTIONS(7214), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81961] = 2,
    ACTIONS(6042), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81970] = 2,
    ACTIONS(7216), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81979] = 2,
    ACTIONS(6871), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81988] = 2,
    ACTIONS(7218), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [81997] = 2,
    ACTIONS(5830), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82006] = 2,
    ACTIONS(5834), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82015] = 2,
    ACTIONS(5772), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82024] = 2,
    ACTIONS(7220), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82033] = 2,
    ACTIONS(7222), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82042] = 2,
    ACTIONS(7224), 1,
      sym_kUntil,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82051] = 2,
    ACTIONS(7226), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82060] = 2,
    ACTIONS(7228), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82069] = 2,
    ACTIONS(7230), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82078] = 2,
    ACTIONS(7232), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82087] = 2,
    ACTIONS(7234), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82096] = 2,
    ACTIONS(7236), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82105] = 2,
    ACTIONS(7238), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82114] = 2,
    ACTIONS(7240), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82123] = 2,
    ACTIONS(7242), 1,
      sym_kArray,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82132] = 2,
    ACTIONS(7244), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82141] = 2,
    ACTIONS(7246), 1,
      sym_kTo,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82150] = 2,
    ACTIONS(7248), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82159] = 2,
    ACTIONS(7250), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82168] = 2,
    ACTIONS(6634), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82177] = 2,
    ACTIONS(7252), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82186] = 2,
    ACTIONS(6436), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82195] = 2,
    ACTIONS(7254), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82204] = 2,
    ACTIONS(7256), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82213] = 2,
    ACTIONS(7258), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82222] = 2,
    ACTIONS(7260), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82231] = 2,
    ACTIONS(7262), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82240] = 2,
    ACTIONS(7264), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82249] = 2,
    ACTIONS(7266), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82258] = 2,
    ACTIONS(7268), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82267] = 2,
    ACTIONS(7270), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82276] = 2,
    ACTIONS(7272), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82285] = 2,
    ACTIONS(7274), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82294] = 2,
    ACTIONS(7276), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82303] = 2,
    ACTIONS(7278), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82312] = 2,
    ACTIONS(7280), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82321] = 2,
    ACTIONS(7282), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82330] = 2,
    ACTIONS(7284), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82339] = 2,
    ACTIONS(7286), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82348] = 2,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82357] = 2,
    ACTIONS(7290), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82366] = 2,
    ACTIONS(7292), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82375] = 2,
    ACTIONS(7294), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82384] = 2,
    ACTIONS(7296), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82393] = 2,
    ACTIONS(7298), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82402] = 2,
    ACTIONS(7300), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82411] = 2,
    ACTIONS(7302), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82420] = 2,
    ACTIONS(7304), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82429] = 2,
    ACTIONS(7306), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82438] = 2,
    ACTIONS(7308), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82447] = 2,
    ACTIONS(7310), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82456] = 2,
    ACTIONS(7312), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82465] = 2,
    ACTIONS(7314), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82474] = 2,
    ACTIONS(7316), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82483] = 2,
    ACTIONS(7318), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82492] = 2,
    ACTIONS(7320), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82501] = 2,
    ACTIONS(7322), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82510] = 2,
    ACTIONS(7324), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82519] = 2,
    ACTIONS(5820), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82528] = 2,
    ACTIONS(7326), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82537] = 2,
    ACTIONS(7328), 1,
      sym_kUntil,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82546] = 2,
    ACTIONS(7330), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82555] = 2,
    ACTIONS(7332), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82564] = 2,
    ACTIONS(7334), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82573] = 2,
    ACTIONS(7336), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82582] = 2,
    ACTIONS(6260), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82591] = 2,
    ACTIONS(7338), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82600] = 2,
    ACTIONS(3487), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82609] = 2,
    ACTIONS(7340), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82618] = 2,
    ACTIONS(7342), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82627] = 2,
    ACTIONS(7344), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82636] = 2,
    ACTIONS(4414), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82645] = 2,
    ACTIONS(7346), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82654] = 2,
    ACTIONS(7348), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82663] = 2,
    ACTIONS(7350), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82672] = 2,
    ACTIONS(7352), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82681] = 2,
    ACTIONS(7354), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82690] = 2,
    ACTIONS(7356), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82699] = 2,
    ACTIONS(7358), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82708] = 2,
    ACTIONS(7360), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82717] = 2,
    ACTIONS(7362), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82726] = 2,
    ACTIONS(7364), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82735] = 2,
    ACTIONS(7366), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82744] = 2,
    ACTIONS(3372), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82753] = 2,
    ACTIONS(7368), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82762] = 2,
    ACTIONS(7370), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82771] = 2,
    ACTIONS(7372), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82780] = 2,
    ACTIONS(7374), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82789] = 2,
    ACTIONS(7376), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82798] = 2,
    ACTIONS(7378), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82807] = 2,
    ACTIONS(7380), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82816] = 2,
    ACTIONS(7382), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82825] = 2,
    ACTIONS(6802), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82834] = 2,
    ACTIONS(7384), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82843] = 2,
    ACTIONS(7386), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82852] = 2,
    ACTIONS(7388), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82861] = 2,
    ACTIONS(7390), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82870] = 2,
    ACTIONS(5067), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82879] = 2,
    ACTIONS(7392), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82888] = 2,
    ACTIONS(7394), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82897] = 2,
    ACTIONS(7396), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82906] = 2,
    ACTIONS(7398), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82915] = 2,
    ACTIONS(7400), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82924] = 2,
    ACTIONS(7402), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82933] = 2,
    ACTIONS(7404), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82942] = 2,
    ACTIONS(7406), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82951] = 2,
    ACTIONS(5816), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82960] = 2,
    ACTIONS(6187), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82969] = 2,
    ACTIONS(7408), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82978] = 2,
    ACTIONS(7410), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82987] = 2,
    ACTIONS(7412), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [82996] = 2,
    ACTIONS(7414), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83005] = 2,
    ACTIONS(7416), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83014] = 2,
    ACTIONS(7418), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83023] = 2,
    ACTIONS(7420), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83032] = 2,
    ACTIONS(7422), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83041] = 2,
    ACTIONS(7424), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83050] = 2,
    ACTIONS(7426), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83059] = 2,
    ACTIONS(7428), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83068] = 2,
    ACTIONS(7430), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83077] = 2,
    ACTIONS(5588), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83086] = 2,
    ACTIONS(7432), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83095] = 2,
    ACTIONS(7434), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83104] = 2,
    ACTIONS(7436), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83113] = 2,
    ACTIONS(7438), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83122] = 2,
    ACTIONS(7440), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83131] = 2,
    ACTIONS(7442), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83140] = 2,
    ACTIONS(6646), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83149] = 2,
    ACTIONS(7444), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83158] = 2,
    ACTIONS(7446), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83167] = 2,
    ACTIONS(7448), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83176] = 2,
    ACTIONS(7450), 1,
      sym_kGt,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83185] = 2,
    ACTIONS(7452), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83194] = 2,
    ACTIONS(6730), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83203] = 2,
    ACTIONS(7454), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83212] = 2,
    ACTIONS(7456), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83221] = 2,
    ACTIONS(7458), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83230] = 2,
    ACTIONS(5241), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83239] = 2,
    ACTIONS(7460), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83248] = 2,
    ACTIONS(7462), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83257] = 2,
    ACTIONS(7464), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83266] = 2,
    ACTIONS(7466), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83275] = 2,
    ACTIONS(7468), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83284] = 2,
    ACTIONS(7470), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83293] = 2,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83302] = 2,
    ACTIONS(7474), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83311] = 2,
    ACTIONS(7476), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83320] = 2,
    ACTIONS(7478), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83329] = 2,
    ACTIONS(7480), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83338] = 2,
    ACTIONS(7482), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83347] = 2,
    ACTIONS(7484), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83356] = 2,
    ACTIONS(7486), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83365] = 2,
    ACTIONS(7488), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83374] = 2,
    ACTIONS(7490), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83383] = 2,
    ACTIONS(7492), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83392] = 2,
    ACTIONS(7494), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83401] = 2,
    ACTIONS(7496), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83410] = 2,
    ACTIONS(7498), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83419] = 2,
    ACTIONS(7500), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83428] = 2,
    ACTIONS(3477), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83437] = 2,
    ACTIONS(7502), 1,
      sym_kArray,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83446] = 2,
    ACTIONS(7504), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83455] = 2,
    ACTIONS(7506), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83464] = 2,
    ACTIONS(7508), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83473] = 2,
    ACTIONS(7510), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83482] = 2,
    ACTIONS(7512), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83491] = 2,
    ACTIONS(7514), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83500] = 2,
    ACTIONS(7516), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83509] = 2,
    ACTIONS(7518), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83518] = 2,
    ACTIONS(7520), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83527] = 2,
    ACTIONS(7522), 1,
      sym_kFor,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83536] = 2,
    ACTIONS(7524), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83545] = 2,
    ACTIONS(7526), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83554] = 2,
    ACTIONS(4450), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83563] = 2,
    ACTIONS(6666), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83572] = 2,
    ACTIONS(7528), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83581] = 2,
    ACTIONS(7530), 1,
      sym_kObject,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83590] = 2,
    ACTIONS(7532), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83599] = 2,
    ACTIONS(7534), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83608] = 2,
    ACTIONS(7536), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83617] = 2,
    ACTIONS(7538), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83626] = 2,
    ACTIONS(6764), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83635] = 2,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83644] = 2,
    ACTIONS(7540), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83653] = 2,
    ACTIONS(7542), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83662] = 2,
    ACTIONS(5229), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83671] = 2,
    ACTIONS(5574), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83680] = 2,
    ACTIONS(7544), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83689] = 2,
    ACTIONS(7546), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83698] = 2,
    ACTIONS(5638), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83707] = 2,
    ACTIONS(5680), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83716] = 2,
    ACTIONS(7548), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83725] = 2,
    ACTIONS(5688), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83734] = 2,
    ACTIONS(7550), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83743] = 2,
    ACTIONS(7552), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83752] = 2,
    ACTIONS(7554), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83761] = 2,
    ACTIONS(7556), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83770] = 2,
    ACTIONS(7558), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83779] = 2,
    ACTIONS(7560), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83788] = 2,
    ACTIONS(7562), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83797] = 2,
    ACTIONS(4546), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83806] = 2,
    ACTIONS(7564), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83815] = 2,
    ACTIONS(7566), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83824] = 2,
    ACTIONS(7568), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83833] = 2,
    ACTIONS(7570), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83842] = 2,
    ACTIONS(3077), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83851] = 2,
    ACTIONS(7572), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83860] = 2,
    ACTIONS(5515), 1,
      sym_kEnd,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83869] = 2,
    ACTIONS(7574), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83878] = 2,
    ACTIONS(7576), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83887] = 2,
    ACTIONS(5247), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83896] = 2,
    ACTIONS(7578), 1,
      sym_kOf,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83905] = 2,
    ACTIONS(7580), 1,
      sym_kTo,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83914] = 2,
    ACTIONS(7582), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83923] = 2,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83932] = 2,
    ACTIONS(7586), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83941] = 2,
    ACTIONS(7588), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83950] = 2,
    ACTIONS(7590), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83959] = 2,
    ACTIONS(7592), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
  [83968] = 2,
    ACTIONS(7594), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__space,
      sym_pp,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(560)] = 0,
  [SMALL_STATE(561)] = 75,
  [SMALL_STATE(562)] = 150,
  [SMALL_STATE(563)] = 225,
  [SMALL_STATE(564)] = 300,
  [SMALL_STATE(565)] = 375,
  [SMALL_STATE(566)] = 450,
  [SMALL_STATE(567)] = 525,
  [SMALL_STATE(568)] = 600,
  [SMALL_STATE(569)] = 668,
  [SMALL_STATE(570)] = 734,
  [SMALL_STATE(571)] = 798,
  [SMALL_STATE(572)] = 864,
  [SMALL_STATE(573)] = 932,
  [SMALL_STATE(574)] = 998,
  [SMALL_STATE(575)] = 1066,
  [SMALL_STATE(576)] = 1132,
  [SMALL_STATE(577)] = 1200,
  [SMALL_STATE(578)] = 1264,
  [SMALL_STATE(579)] = 1332,
  [SMALL_STATE(580)] = 1400,
  [SMALL_STATE(581)] = 1468,
  [SMALL_STATE(582)] = 1532,
  [SMALL_STATE(583)] = 1600,
  [SMALL_STATE(584)] = 1668,
  [SMALL_STATE(585)] = 1736,
  [SMALL_STATE(586)] = 1804,
  [SMALL_STATE(587)] = 1870,
  [SMALL_STATE(588)] = 1934,
  [SMALL_STATE(589)] = 2000,
  [SMALL_STATE(590)] = 2068,
  [SMALL_STATE(591)] = 2136,
  [SMALL_STATE(592)] = 2204,
  [SMALL_STATE(593)] = 2272,
  [SMALL_STATE(594)] = 2338,
  [SMALL_STATE(595)] = 2404,
  [SMALL_STATE(596)] = 2472,
  [SMALL_STATE(597)] = 2567,
  [SMALL_STATE(598)] = 2629,
  [SMALL_STATE(599)] = 2707,
  [SMALL_STATE(600)] = 2777,
  [SMALL_STATE(601)] = 2855,
  [SMALL_STATE(602)] = 2925,
  [SMALL_STATE(603)] = 3026,
  [SMALL_STATE(604)] = 3103,
  [SMALL_STATE(605)] = 3178,
  [SMALL_STATE(606)] = 3245,
  [SMALL_STATE(607)] = 3316,
  [SMALL_STATE(608)] = 3417,
  [SMALL_STATE(609)] = 3534,
  [SMALL_STATE(610)] = 3609,
  [SMALL_STATE(611)] = 3710,
  [SMALL_STATE(612)] = 3811,
  [SMALL_STATE(613)] = 3888,
  [SMALL_STATE(614)] = 3947,
  [SMALL_STATE(615)] = 4017,
  [SMALL_STATE(616)] = 4091,
  [SMALL_STATE(617)] = 4205,
  [SMALL_STATE(618)] = 4279,
  [SMALL_STATE(619)] = 4345,
  [SMALL_STATE(620)] = 4441,
  [SMALL_STATE(621)] = 4515,
  [SMALL_STATE(622)] = 4589,
  [SMALL_STATE(623)] = 4660,
  [SMALL_STATE(624)] = 4723,
  [SMALL_STATE(625)] = 4794,
  [SMALL_STATE(626)] = 4889,
  [SMALL_STATE(627)] = 5000,
  [SMALL_STATE(628)] = 5071,
  [SMALL_STATE(629)] = 5182,
  [SMALL_STATE(630)] = 5253,
  [SMALL_STATE(631)] = 5316,
  [SMALL_STATE(632)] = 5410,
  [SMALL_STATE(633)] = 5504,
  [SMALL_STATE(634)] = 5598,
  [SMALL_STATE(635)] = 5692,
  [SMALL_STATE(636)] = 5786,
  [SMALL_STATE(637)] = 5878,
  [SMALL_STATE(638)] = 5932,
  [SMALL_STATE(639)] = 6024,
  [SMALL_STATE(640)] = 6083,
  [SMALL_STATE(641)] = 6138,
  [SMALL_STATE(642)] = 6209,
  [SMALL_STATE(643)] = 6298,
  [SMALL_STATE(644)] = 6369,
  [SMALL_STATE(645)] = 6428,
  [SMALL_STATE(646)] = 6485,
  [SMALL_STATE(647)] = 6546,
  [SMALL_STATE(648)] = 6611,
  [SMALL_STATE(649)] = 6718,
  [SMALL_STATE(650)] = 6773,
  [SMALL_STATE(651)] = 6826,
  [SMALL_STATE(652)] = 6933,
  [SMALL_STATE(653)] = 7020,
  [SMALL_STATE(654)] = 7079,
  [SMALL_STATE(655)] = 7144,
  [SMALL_STATE(656)] = 7205,
  [SMALL_STATE(657)] = 7262,
  [SMALL_STATE(658)] = 7323,
  [SMALL_STATE(659)] = 7384,
  [SMALL_STATE(660)] = 7443,
  [SMALL_STATE(661)] = 7504,
  [SMALL_STATE(662)] = 7563,
  [SMALL_STATE(663)] = 7670,
  [SMALL_STATE(664)] = 7777,
  [SMALL_STATE(665)] = 7836,
  [SMALL_STATE(666)] = 7897,
  [SMALL_STATE(667)] = 7958,
  [SMALL_STATE(668)] = 8019,
  [SMALL_STATE(669)] = 8076,
  [SMALL_STATE(670)] = 8165,
  [SMALL_STATE(671)] = 8252,
  [SMALL_STATE(672)] = 8311,
  [SMALL_STATE(673)] = 8368,
  [SMALL_STATE(674)] = 8427,
  [SMALL_STATE(675)] = 8511,
  [SMALL_STATE(676)] = 8599,
  [SMALL_STATE(677)] = 8703,
  [SMALL_STATE(678)] = 8791,
  [SMALL_STATE(679)] = 8879,
  [SMALL_STATE(680)] = 8967,
  [SMALL_STATE(681)] = 9055,
  [SMALL_STATE(682)] = 9143,
  [SMALL_STATE(683)] = 9201,
  [SMALL_STATE(684)] = 9305,
  [SMALL_STATE(685)] = 9389,
  [SMALL_STATE(686)] = 9493,
  [SMALL_STATE(687)] = 9551,
  [SMALL_STATE(688)] = 9609,
  [SMALL_STATE(689)] = 9697,
  [SMALL_STATE(690)] = 9785,
  [SMALL_STATE(691)] = 9873,
  [SMALL_STATE(692)] = 9961,
  [SMALL_STATE(693)] = 10065,
  [SMALL_STATE(694)] = 10153,
  [SMALL_STATE(695)] = 10257,
  [SMALL_STATE(696)] = 10315,
  [SMALL_STATE(697)] = 10369,
  [SMALL_STATE(698)] = 10457,
  [SMALL_STATE(699)] = 10545,
  [SMALL_STATE(700)] = 10603,
  [SMALL_STATE(701)] = 10691,
  [SMALL_STATE(702)] = 10749,
  [SMALL_STATE(703)] = 10853,
  [SMALL_STATE(704)] = 10911,
  [SMALL_STATE(705)] = 10999,
  [SMALL_STATE(706)] = 11087,
  [SMALL_STATE(707)] = 11171,
  [SMALL_STATE(708)] = 11275,
  [SMALL_STATE(709)] = 11363,
  [SMALL_STATE(710)] = 11451,
  [SMALL_STATE(711)] = 11521,
  [SMALL_STATE(712)] = 11583,
  [SMALL_STATE(713)] = 11671,
  [SMALL_STATE(714)] = 11759,
  [SMALL_STATE(715)] = 11847,
  [SMALL_STATE(716)] = 11901,
  [SMALL_STATE(717)] = 11985,
  [SMALL_STATE(718)] = 12073,
  [SMALL_STATE(719)] = 12139,
  [SMALL_STATE(720)] = 12197,
  [SMALL_STATE(721)] = 12285,
  [SMALL_STATE(722)] = 12339,
  [SMALL_STATE(723)] = 12443,
  [SMALL_STATE(724)] = 12506,
  [SMALL_STATE(725)] = 12607,
  [SMALL_STATE(726)] = 12692,
  [SMALL_STATE(727)] = 12777,
  [SMALL_STATE(728)] = 12878,
  [SMALL_STATE(729)] = 12933,
  [SMALL_STATE(730)] = 13018,
  [SMALL_STATE(731)] = 13119,
  [SMALL_STATE(732)] = 13204,
  [SMALL_STATE(733)] = 13289,
  [SMALL_STATE(734)] = 13374,
  [SMALL_STATE(735)] = 13459,
  [SMALL_STATE(736)] = 13544,
  [SMALL_STATE(737)] = 13629,
  [SMALL_STATE(738)] = 13730,
  [SMALL_STATE(739)] = 13831,
  [SMALL_STATE(740)] = 13916,
  [SMALL_STATE(741)] = 14017,
  [SMALL_STATE(742)] = 14102,
  [SMALL_STATE(743)] = 14187,
  [SMALL_STATE(744)] = 14272,
  [SMALL_STATE(745)] = 14373,
  [SMALL_STATE(746)] = 14474,
  [SMALL_STATE(747)] = 14529,
  [SMALL_STATE(748)] = 14630,
  [SMALL_STATE(749)] = 14717,
  [SMALL_STATE(750)] = 14772,
  [SMALL_STATE(751)] = 14857,
  [SMALL_STATE(752)] = 14942,
  [SMALL_STATE(753)] = 15043,
  [SMALL_STATE(754)] = 15144,
  [SMALL_STATE(755)] = 15229,
  [SMALL_STATE(756)] = 15330,
  [SMALL_STATE(757)] = 15431,
  [SMALL_STATE(758)] = 15532,
  [SMALL_STATE(759)] = 15633,
  [SMALL_STATE(760)] = 15718,
  [SMALL_STATE(761)] = 15803,
  [SMALL_STATE(762)] = 15904,
  [SMALL_STATE(763)] = 16005,
  [SMALL_STATE(764)] = 16106,
  [SMALL_STATE(765)] = 16207,
  [SMALL_STATE(766)] = 16308,
  [SMALL_STATE(767)] = 16409,
  [SMALL_STATE(768)] = 16494,
  [SMALL_STATE(769)] = 16579,
  [SMALL_STATE(770)] = 16664,
  [SMALL_STATE(771)] = 16749,
  [SMALL_STATE(772)] = 16836,
  [SMALL_STATE(773)] = 16921,
  [SMALL_STATE(774)] = 17022,
  [SMALL_STATE(775)] = 17123,
  [SMALL_STATE(776)] = 17208,
  [SMALL_STATE(777)] = 17268,
  [SMALL_STATE(778)] = 17320,
  [SMALL_STATE(779)] = 17402,
  [SMALL_STATE(780)] = 17484,
  [SMALL_STATE(781)] = 17566,
  [SMALL_STATE(782)] = 17648,
  [SMALL_STATE(783)] = 17700,
  [SMALL_STATE(784)] = 17752,
  [SMALL_STATE(785)] = 17804,
  [SMALL_STATE(786)] = 17886,
  [SMALL_STATE(787)] = 17968,
  [SMALL_STATE(788)] = 18020,
  [SMALL_STATE(789)] = 18102,
  [SMALL_STATE(790)] = 18154,
  [SMALL_STATE(791)] = 18206,
  [SMALL_STATE(792)] = 18258,
  [SMALL_STATE(793)] = 18316,
  [SMALL_STATE(794)] = 18398,
  [SMALL_STATE(795)] = 18450,
  [SMALL_STATE(796)] = 18502,
  [SMALL_STATE(797)] = 18554,
  [SMALL_STATE(798)] = 18606,
  [SMALL_STATE(799)] = 18688,
  [SMALL_STATE(800)] = 18740,
  [SMALL_STATE(801)] = 18792,
  [SMALL_STATE(802)] = 18844,
  [SMALL_STATE(803)] = 18906,
  [SMALL_STATE(804)] = 18958,
  [SMALL_STATE(805)] = 19010,
  [SMALL_STATE(806)] = 19062,
  [SMALL_STATE(807)] = 19116,
  [SMALL_STATE(808)] = 19170,
  [SMALL_STATE(809)] = 19268,
  [SMALL_STATE(810)] = 19320,
  [SMALL_STATE(811)] = 19372,
  [SMALL_STATE(812)] = 19424,
  [SMALL_STATE(813)] = 19476,
  [SMALL_STATE(814)] = 19558,
  [SMALL_STATE(815)] = 19624,
  [SMALL_STATE(816)] = 19676,
  [SMALL_STATE(817)] = 19758,
  [SMALL_STATE(818)] = 19816,
  [SMALL_STATE(819)] = 19868,
  [SMALL_STATE(820)] = 19920,
  [SMALL_STATE(821)] = 20002,
  [SMALL_STATE(822)] = 20084,
  [SMALL_STATE(823)] = 20166,
  [SMALL_STATE(824)] = 20218,
  [SMALL_STATE(825)] = 20270,
  [SMALL_STATE(826)] = 20322,
  [SMALL_STATE(827)] = 20374,
  [SMALL_STATE(828)] = 20456,
  [SMALL_STATE(829)] = 20508,
  [SMALL_STATE(830)] = 20606,
  [SMALL_STATE(831)] = 20688,
  [SMALL_STATE(832)] = 20770,
  [SMALL_STATE(833)] = 20822,
  [SMALL_STATE(834)] = 20874,
  [SMALL_STATE(835)] = 20956,
  [SMALL_STATE(836)] = 21008,
  [SMALL_STATE(837)] = 21090,
  [SMALL_STATE(838)] = 21172,
  [SMALL_STATE(839)] = 21270,
  [SMALL_STATE(840)] = 21368,
  [SMALL_STATE(841)] = 21420,
  [SMALL_STATE(842)] = 21478,
  [SMALL_STATE(843)] = 21560,
  [SMALL_STATE(844)] = 21612,
  [SMALL_STATE(845)] = 21664,
  [SMALL_STATE(846)] = 21716,
  [SMALL_STATE(847)] = 21768,
  [SMALL_STATE(848)] = 21850,
  [SMALL_STATE(849)] = 21902,
  [SMALL_STATE(850)] = 21984,
  [SMALL_STATE(851)] = 22042,
  [SMALL_STATE(852)] = 22124,
  [SMALL_STATE(853)] = 22176,
  [SMALL_STATE(854)] = 22228,
  [SMALL_STATE(855)] = 22310,
  [SMALL_STATE(856)] = 22362,
  [SMALL_STATE(857)] = 22414,
  [SMALL_STATE(858)] = 22466,
  [SMALL_STATE(859)] = 22518,
  [SMALL_STATE(860)] = 22570,
  [SMALL_STATE(861)] = 22622,
  [SMALL_STATE(862)] = 22704,
  [SMALL_STATE(863)] = 22786,
  [SMALL_STATE(864)] = 22838,
  [SMALL_STATE(865)] = 22890,
  [SMALL_STATE(866)] = 22942,
  [SMALL_STATE(867)] = 22994,
  [SMALL_STATE(868)] = 23046,
  [SMALL_STATE(869)] = 23128,
  [SMALL_STATE(870)] = 23180,
  [SMALL_STATE(871)] = 23232,
  [SMALL_STATE(872)] = 23284,
  [SMALL_STATE(873)] = 23366,
  [SMALL_STATE(874)] = 23418,
  [SMALL_STATE(875)] = 23470,
  [SMALL_STATE(876)] = 23552,
  [SMALL_STATE(877)] = 23604,
  [SMALL_STATE(878)] = 23656,
  [SMALL_STATE(879)] = 23738,
  [SMALL_STATE(880)] = 23790,
  [SMALL_STATE(881)] = 23872,
  [SMALL_STATE(882)] = 23924,
  [SMALL_STATE(883)] = 23976,
  [SMALL_STATE(884)] = 24058,
  [SMALL_STATE(885)] = 24140,
  [SMALL_STATE(886)] = 24192,
  [SMALL_STATE(887)] = 24271,
  [SMALL_STATE(888)] = 24350,
  [SMALL_STATE(889)] = 24429,
  [SMALL_STATE(890)] = 24508,
  [SMALL_STATE(891)] = 24587,
  [SMALL_STATE(892)] = 24666,
  [SMALL_STATE(893)] = 24745,
  [SMALL_STATE(894)] = 24824,
  [SMALL_STATE(895)] = 24903,
  [SMALL_STATE(896)] = 24982,
  [SMALL_STATE(897)] = 25061,
  [SMALL_STATE(898)] = 25140,
  [SMALL_STATE(899)] = 25219,
  [SMALL_STATE(900)] = 25298,
  [SMALL_STATE(901)] = 25377,
  [SMALL_STATE(902)] = 25456,
  [SMALL_STATE(903)] = 25535,
  [SMALL_STATE(904)] = 25614,
  [SMALL_STATE(905)] = 25693,
  [SMALL_STATE(906)] = 25772,
  [SMALL_STATE(907)] = 25851,
  [SMALL_STATE(908)] = 25930,
  [SMALL_STATE(909)] = 26009,
  [SMALL_STATE(910)] = 26088,
  [SMALL_STATE(911)] = 26167,
  [SMALL_STATE(912)] = 26246,
  [SMALL_STATE(913)] = 26325,
  [SMALL_STATE(914)] = 26404,
  [SMALL_STATE(915)] = 26483,
  [SMALL_STATE(916)] = 26562,
  [SMALL_STATE(917)] = 26641,
  [SMALL_STATE(918)] = 26720,
  [SMALL_STATE(919)] = 26799,
  [SMALL_STATE(920)] = 26878,
  [SMALL_STATE(921)] = 26957,
  [SMALL_STATE(922)] = 27036,
  [SMALL_STATE(923)] = 27115,
  [SMALL_STATE(924)] = 27194,
  [SMALL_STATE(925)] = 27273,
  [SMALL_STATE(926)] = 27352,
  [SMALL_STATE(927)] = 27431,
  [SMALL_STATE(928)] = 27510,
  [SMALL_STATE(929)] = 27589,
  [SMALL_STATE(930)] = 27668,
  [SMALL_STATE(931)] = 27747,
  [SMALL_STATE(932)] = 27826,
  [SMALL_STATE(933)] = 27905,
  [SMALL_STATE(934)] = 27984,
  [SMALL_STATE(935)] = 28063,
  [SMALL_STATE(936)] = 28142,
  [SMALL_STATE(937)] = 28221,
  [SMALL_STATE(938)] = 28284,
  [SMALL_STATE(939)] = 28343,
  [SMALL_STATE(940)] = 28422,
  [SMALL_STATE(941)] = 28489,
  [SMALL_STATE(942)] = 28568,
  [SMALL_STATE(943)] = 28647,
  [SMALL_STATE(944)] = 28726,
  [SMALL_STATE(945)] = 28805,
  [SMALL_STATE(946)] = 28884,
  [SMALL_STATE(947)] = 28963,
  [SMALL_STATE(948)] = 29042,
  [SMALL_STATE(949)] = 29121,
  [SMALL_STATE(950)] = 29200,
  [SMALL_STATE(951)] = 29279,
  [SMALL_STATE(952)] = 29358,
  [SMALL_STATE(953)] = 29437,
  [SMALL_STATE(954)] = 29516,
  [SMALL_STATE(955)] = 29595,
  [SMALL_STATE(956)] = 29674,
  [SMALL_STATE(957)] = 29753,
  [SMALL_STATE(958)] = 29832,
  [SMALL_STATE(959)] = 29911,
  [SMALL_STATE(960)] = 29990,
  [SMALL_STATE(961)] = 30069,
  [SMALL_STATE(962)] = 30148,
  [SMALL_STATE(963)] = 30227,
  [SMALL_STATE(964)] = 30306,
  [SMALL_STATE(965)] = 30385,
  [SMALL_STATE(966)] = 30464,
  [SMALL_STATE(967)] = 30543,
  [SMALL_STATE(968)] = 30622,
  [SMALL_STATE(969)] = 30701,
  [SMALL_STATE(970)] = 30780,
  [SMALL_STATE(971)] = 30859,
  [SMALL_STATE(972)] = 30938,
  [SMALL_STATE(973)] = 31017,
  [SMALL_STATE(974)] = 31096,
  [SMALL_STATE(975)] = 31175,
  [SMALL_STATE(976)] = 31254,
  [SMALL_STATE(977)] = 31333,
  [SMALL_STATE(978)] = 31412,
  [SMALL_STATE(979)] = 31491,
  [SMALL_STATE(980)] = 31570,
  [SMALL_STATE(981)] = 31649,
  [SMALL_STATE(982)] = 31728,
  [SMALL_STATE(983)] = 31807,
  [SMALL_STATE(984)] = 31886,
  [SMALL_STATE(985)] = 31965,
  [SMALL_STATE(986)] = 32044,
  [SMALL_STATE(987)] = 32123,
  [SMALL_STATE(988)] = 32202,
  [SMALL_STATE(989)] = 32281,
  [SMALL_STATE(990)] = 32360,
  [SMALL_STATE(991)] = 32439,
  [SMALL_STATE(992)] = 32518,
  [SMALL_STATE(993)] = 32597,
  [SMALL_STATE(994)] = 32676,
  [SMALL_STATE(995)] = 32755,
  [SMALL_STATE(996)] = 32834,
  [SMALL_STATE(997)] = 32913,
  [SMALL_STATE(998)] = 32992,
  [SMALL_STATE(999)] = 33071,
  [SMALL_STATE(1000)] = 33150,
  [SMALL_STATE(1001)] = 33229,
  [SMALL_STATE(1002)] = 33308,
  [SMALL_STATE(1003)] = 33387,
  [SMALL_STATE(1004)] = 33466,
  [SMALL_STATE(1005)] = 33545,
  [SMALL_STATE(1006)] = 33624,
  [SMALL_STATE(1007)] = 33703,
  [SMALL_STATE(1008)] = 33782,
  [SMALL_STATE(1009)] = 33877,
  [SMALL_STATE(1010)] = 33956,
  [SMALL_STATE(1011)] = 34035,
  [SMALL_STATE(1012)] = 34114,
  [SMALL_STATE(1013)] = 34193,
  [SMALL_STATE(1014)] = 34272,
  [SMALL_STATE(1015)] = 34351,
  [SMALL_STATE(1016)] = 34403,
  [SMALL_STATE(1017)] = 34455,
  [SMALL_STATE(1018)] = 34504,
  [SMALL_STATE(1019)] = 34553,
  [SMALL_STATE(1020)] = 34616,
  [SMALL_STATE(1021)] = 34679,
  [SMALL_STATE(1022)] = 34729,
  [SMALL_STATE(1023)] = 34823,
  [SMALL_STATE(1024)] = 34907,
  [SMALL_STATE(1025)] = 34957,
  [SMALL_STATE(1026)] = 35015,
  [SMALL_STATE(1027)] = 35101,
  [SMALL_STATE(1028)] = 35195,
  [SMALL_STATE(1029)] = 35281,
  [SMALL_STATE(1030)] = 35375,
  [SMALL_STATE(1031)] = 35459,
  [SMALL_STATE(1032)] = 35543,
  [SMALL_STATE(1033)] = 35637,
  [SMALL_STATE(1034)] = 35687,
  [SMALL_STATE(1035)] = 35737,
  [SMALL_STATE(1036)] = 35787,
  [SMALL_STATE(1037)] = 35837,
  [SMALL_STATE(1038)] = 35887,
  [SMALL_STATE(1039)] = 35949,
  [SMALL_STATE(1040)] = 36043,
  [SMALL_STATE(1041)] = 36101,
  [SMALL_STATE(1042)] = 36187,
  [SMALL_STATE(1043)] = 36281,
  [SMALL_STATE(1044)] = 36331,
  [SMALL_STATE(1045)] = 36417,
  [SMALL_STATE(1046)] = 36511,
  [SMALL_STATE(1047)] = 36605,
  [SMALL_STATE(1048)] = 36667,
  [SMALL_STATE(1049)] = 36753,
  [SMALL_STATE(1050)] = 36839,
  [SMALL_STATE(1051)] = 36886,
  [SMALL_STATE(1052)] = 36933,
  [SMALL_STATE(1053)] = 37012,
  [SMALL_STATE(1054)] = 37091,
  [SMALL_STATE(1055)] = 37170,
  [SMALL_STATE(1056)] = 37217,
  [SMALL_STATE(1057)] = 37264,
  [SMALL_STATE(1058)] = 37311,
  [SMALL_STATE(1059)] = 37358,
  [SMALL_STATE(1060)] = 37405,
  [SMALL_STATE(1061)] = 37452,
  [SMALL_STATE(1062)] = 37499,
  [SMALL_STATE(1063)] = 37546,
  [SMALL_STATE(1064)] = 37603,
  [SMALL_STATE(1065)] = 37650,
  [SMALL_STATE(1066)] = 37697,
  [SMALL_STATE(1067)] = 37744,
  [SMALL_STATE(1068)] = 37791,
  [SMALL_STATE(1069)] = 37838,
  [SMALL_STATE(1070)] = 37885,
  [SMALL_STATE(1071)] = 37934,
  [SMALL_STATE(1072)] = 38021,
  [SMALL_STATE(1073)] = 38068,
  [SMALL_STATE(1074)] = 38127,
  [SMALL_STATE(1075)] = 38174,
  [SMALL_STATE(1076)] = 38221,
  [SMALL_STATE(1077)] = 38268,
  [SMALL_STATE(1078)] = 38323,
  [SMALL_STATE(1079)] = 38370,
  [SMALL_STATE(1080)] = 38419,
  [SMALL_STATE(1081)] = 38468,
  [SMALL_STATE(1082)] = 38555,
  [SMALL_STATE(1083)] = 38602,
  [SMALL_STATE(1084)] = 38649,
  [SMALL_STATE(1085)] = 38696,
  [SMALL_STATE(1086)] = 38743,
  [SMALL_STATE(1087)] = 38806,
  [SMALL_STATE(1088)] = 38853,
  [SMALL_STATE(1089)] = 38900,
  [SMALL_STATE(1090)] = 38947,
  [SMALL_STATE(1091)] = 38994,
  [SMALL_STATE(1092)] = 39055,
  [SMALL_STATE(1093)] = 39102,
  [SMALL_STATE(1094)] = 39157,
  [SMALL_STATE(1095)] = 39204,
  [SMALL_STATE(1096)] = 39251,
  [SMALL_STATE(1097)] = 39298,
  [SMALL_STATE(1098)] = 39345,
  [SMALL_STATE(1099)] = 39392,
  [SMALL_STATE(1100)] = 39439,
  [SMALL_STATE(1101)] = 39486,
  [SMALL_STATE(1102)] = 39533,
  [SMALL_STATE(1103)] = 39582,
  [SMALL_STATE(1104)] = 39629,
  [SMALL_STATE(1105)] = 39676,
  [SMALL_STATE(1106)] = 39723,
  [SMALL_STATE(1107)] = 39770,
  [SMALL_STATE(1108)] = 39817,
  [SMALL_STATE(1109)] = 39896,
  [SMALL_STATE(1110)] = 39943,
  [SMALL_STATE(1111)] = 40031,
  [SMALL_STATE(1112)] = 40111,
  [SMALL_STATE(1113)] = 40191,
  [SMALL_STATE(1114)] = 40279,
  [SMALL_STATE(1115)] = 40327,
  [SMALL_STATE(1116)] = 40415,
  [SMALL_STATE(1117)] = 40505,
  [SMALL_STATE(1118)] = 40593,
  [SMALL_STATE(1119)] = 40681,
  [SMALL_STATE(1120)] = 40769,
  [SMALL_STATE(1121)] = 40849,
  [SMALL_STATE(1122)] = 40937,
  [SMALL_STATE(1123)] = 41019,
  [SMALL_STATE(1124)] = 41107,
  [SMALL_STATE(1125)] = 41192,
  [SMALL_STATE(1126)] = 41277,
  [SMALL_STATE(1127)] = 41362,
  [SMALL_STATE(1128)] = 41447,
  [SMALL_STATE(1129)] = 41532,
  [SMALL_STATE(1130)] = 41617,
  [SMALL_STATE(1131)] = 41702,
  [SMALL_STATE(1132)] = 41787,
  [SMALL_STATE(1133)] = 41872,
  [SMALL_STATE(1134)] = 41957,
  [SMALL_STATE(1135)] = 42042,
  [SMALL_STATE(1136)] = 42127,
  [SMALL_STATE(1137)] = 42212,
  [SMALL_STATE(1138)] = 42297,
  [SMALL_STATE(1139)] = 42382,
  [SMALL_STATE(1140)] = 42467,
  [SMALL_STATE(1141)] = 42552,
  [SMALL_STATE(1142)] = 42637,
  [SMALL_STATE(1143)] = 42722,
  [SMALL_STATE(1144)] = 42807,
  [SMALL_STATE(1145)] = 42892,
  [SMALL_STATE(1146)] = 42977,
  [SMALL_STATE(1147)] = 43062,
  [SMALL_STATE(1148)] = 43147,
  [SMALL_STATE(1149)] = 43232,
  [SMALL_STATE(1150)] = 43317,
  [SMALL_STATE(1151)] = 43402,
  [SMALL_STATE(1152)] = 43487,
  [SMALL_STATE(1153)] = 43572,
  [SMALL_STATE(1154)] = 43619,
  [SMALL_STATE(1155)] = 43704,
  [SMALL_STATE(1156)] = 43789,
  [SMALL_STATE(1157)] = 43874,
  [SMALL_STATE(1158)] = 43959,
  [SMALL_STATE(1159)] = 44044,
  [SMALL_STATE(1160)] = 44129,
  [SMALL_STATE(1161)] = 44214,
  [SMALL_STATE(1162)] = 44299,
  [SMALL_STATE(1163)] = 44384,
  [SMALL_STATE(1164)] = 44469,
  [SMALL_STATE(1165)] = 44554,
  [SMALL_STATE(1166)] = 44639,
  [SMALL_STATE(1167)] = 44724,
  [SMALL_STATE(1168)] = 44809,
  [SMALL_STATE(1169)] = 44894,
  [SMALL_STATE(1170)] = 44979,
  [SMALL_STATE(1171)] = 45064,
  [SMALL_STATE(1172)] = 45149,
  [SMALL_STATE(1173)] = 45234,
  [SMALL_STATE(1174)] = 45319,
  [SMALL_STATE(1175)] = 45404,
  [SMALL_STATE(1176)] = 45489,
  [SMALL_STATE(1177)] = 45536,
  [SMALL_STATE(1178)] = 45621,
  [SMALL_STATE(1179)] = 45706,
  [SMALL_STATE(1180)] = 45750,
  [SMALL_STATE(1181)] = 45830,
  [SMALL_STATE(1182)] = 45912,
  [SMALL_STATE(1183)] = 45956,
  [SMALL_STATE(1184)] = 46000,
  [SMALL_STATE(1185)] = 46044,
  [SMALL_STATE(1186)] = 46088,
  [SMALL_STATE(1187)] = 46170,
  [SMALL_STATE(1188)] = 46241,
  [SMALL_STATE(1189)] = 46292,
  [SMALL_STATE(1190)] = 46349,
  [SMALL_STATE(1191)] = 46406,
  [SMALL_STATE(1192)] = 46485,
  [SMALL_STATE(1193)] = 46536,
  [SMALL_STATE(1194)] = 46585,
  [SMALL_STATE(1195)] = 46634,
  [SMALL_STATE(1196)] = 46705,
  [SMALL_STATE(1197)] = 46776,
  [SMALL_STATE(1198)] = 46821,
  [SMALL_STATE(1199)] = 46878,
  [SMALL_STATE(1200)] = 46939,
  [SMALL_STATE(1201)] = 46984,
  [SMALL_STATE(1202)] = 47041,
  [SMALL_STATE(1203)] = 47098,
  [SMALL_STATE(1204)] = 47169,
  [SMALL_STATE(1205)] = 47248,
  [SMALL_STATE(1206)] = 47296,
  [SMALL_STATE(1207)] = 47356,
  [SMALL_STATE(1208)] = 47398,
  [SMALL_STATE(1209)] = 47446,
  [SMALL_STATE(1210)] = 47499,
  [SMALL_STATE(1211)] = 47552,
  [SMALL_STATE(1212)] = 47607,
  [SMALL_STATE(1213)] = 47660,
  [SMALL_STATE(1214)] = 47713,
  [SMALL_STATE(1215)] = 47766,
  [SMALL_STATE(1216)] = 47819,
  [SMALL_STATE(1217)] = 47872,
  [SMALL_STATE(1218)] = 47927,
  [SMALL_STATE(1219)] = 47980,
  [SMALL_STATE(1220)] = 48033,
  [SMALL_STATE(1221)] = 48086,
  [SMALL_STATE(1222)] = 48126,
  [SMALL_STATE(1223)] = 48178,
  [SMALL_STATE(1224)] = 48228,
  [SMALL_STATE(1225)] = 48280,
  [SMALL_STATE(1226)] = 48332,
  [SMALL_STATE(1227)] = 48382,
  [SMALL_STATE(1228)] = 48434,
  [SMALL_STATE(1229)] = 48484,
  [SMALL_STATE(1230)] = 48524,
  [SMALL_STATE(1231)] = 48574,
  [SMALL_STATE(1232)] = 48624,
  [SMALL_STATE(1233)] = 48666,
  [SMALL_STATE(1234)] = 48706,
  [SMALL_STATE(1235)] = 48746,
  [SMALL_STATE(1236)] = 48789,
  [SMALL_STATE(1237)] = 48838,
  [SMALL_STATE(1238)] = 48887,
  [SMALL_STATE(1239)] = 48936,
  [SMALL_STATE(1240)] = 48975,
  [SMALL_STATE(1241)] = 49024,
  [SMALL_STATE(1242)] = 49073,
  [SMALL_STATE(1243)] = 49114,
  [SMALL_STATE(1244)] = 49163,
  [SMALL_STATE(1245)] = 49212,
  [SMALL_STATE(1246)] = 49261,
  [SMALL_STATE(1247)] = 49302,
  [SMALL_STATE(1248)] = 49351,
  [SMALL_STATE(1249)] = 49400,
  [SMALL_STATE(1250)] = 49449,
  [SMALL_STATE(1251)] = 49500,
  [SMALL_STATE(1252)] = 49549,
  [SMALL_STATE(1253)] = 49592,
  [SMALL_STATE(1254)] = 49633,
  [SMALL_STATE(1255)] = 49682,
  [SMALL_STATE(1256)] = 49725,
  [SMALL_STATE(1257)] = 49795,
  [SMALL_STATE(1258)] = 49865,
  [SMALL_STATE(1259)] = 49905,
  [SMALL_STATE(1260)] = 49943,
  [SMALL_STATE(1261)] = 49981,
  [SMALL_STATE(1262)] = 50019,
  [SMALL_STATE(1263)] = 50073,
  [SMALL_STATE(1264)] = 50111,
  [SMALL_STATE(1265)] = 50149,
  [SMALL_STATE(1266)] = 50189,
  [SMALL_STATE(1267)] = 50237,
  [SMALL_STATE(1268)] = 50277,
  [SMALL_STATE(1269)] = 50329,
  [SMALL_STATE(1270)] = 50381,
  [SMALL_STATE(1271)] = 50419,
  [SMALL_STATE(1272)] = 50459,
  [SMALL_STATE(1273)] = 50499,
  [SMALL_STATE(1274)] = 50537,
  [SMALL_STATE(1275)] = 50583,
  [SMALL_STATE(1276)] = 50631,
  [SMALL_STATE(1277)] = 50669,
  [SMALL_STATE(1278)] = 50707,
  [SMALL_STATE(1279)] = 50745,
  [SMALL_STATE(1280)] = 50783,
  [SMALL_STATE(1281)] = 50823,
  [SMALL_STATE(1282)] = 50869,
  [SMALL_STATE(1283)] = 50915,
  [SMALL_STATE(1284)] = 50955,
  [SMALL_STATE(1285)] = 50995,
  [SMALL_STATE(1286)] = 51047,
  [SMALL_STATE(1287)] = 51117,
  [SMALL_STATE(1288)] = 51157,
  [SMALL_STATE(1289)] = 51197,
  [SMALL_STATE(1290)] = 51235,
  [SMALL_STATE(1291)] = 51275,
  [SMALL_STATE(1292)] = 51315,
  [SMALL_STATE(1293)] = 51353,
  [SMALL_STATE(1294)] = 51391,
  [SMALL_STATE(1295)] = 51431,
  [SMALL_STATE(1296)] = 51469,
  [SMALL_STATE(1297)] = 51509,
  [SMALL_STATE(1298)] = 51547,
  [SMALL_STATE(1299)] = 51587,
  [SMALL_STATE(1300)] = 51625,
  [SMALL_STATE(1301)] = 51671,
  [SMALL_STATE(1302)] = 51711,
  [SMALL_STATE(1303)] = 51753,
  [SMALL_STATE(1304)] = 51793,
  [SMALL_STATE(1305)] = 51831,
  [SMALL_STATE(1306)] = 51873,
  [SMALL_STATE(1307)] = 51925,
  [SMALL_STATE(1308)] = 51973,
  [SMALL_STATE(1309)] = 52011,
  [SMALL_STATE(1310)] = 52051,
  [SMALL_STATE(1311)] = 52091,
  [SMALL_STATE(1312)] = 52131,
  [SMALL_STATE(1313)] = 52181,
  [SMALL_STATE(1314)] = 52221,
  [SMALL_STATE(1315)] = 52261,
  [SMALL_STATE(1316)] = 52331,
  [SMALL_STATE(1317)] = 52377,
  [SMALL_STATE(1318)] = 52415,
  [SMALL_STATE(1319)] = 52485,
  [SMALL_STATE(1320)] = 52523,
  [SMALL_STATE(1321)] = 52563,
  [SMALL_STATE(1322)] = 52609,
  [SMALL_STATE(1323)] = 52649,
  [SMALL_STATE(1324)] = 52689,
  [SMALL_STATE(1325)] = 52739,
  [SMALL_STATE(1326)] = 52779,
  [SMALL_STATE(1327)] = 52825,
  [SMALL_STATE(1328)] = 52895,
  [SMALL_STATE(1329)] = 52935,
  [SMALL_STATE(1330)] = 52981,
  [SMALL_STATE(1331)] = 53021,
  [SMALL_STATE(1332)] = 53088,
  [SMALL_STATE(1333)] = 53139,
  [SMALL_STATE(1334)] = 53206,
  [SMALL_STATE(1335)] = 53273,
  [SMALL_STATE(1336)] = 53340,
  [SMALL_STATE(1337)] = 53407,
  [SMALL_STATE(1338)] = 53474,
  [SMALL_STATE(1339)] = 53541,
  [SMALL_STATE(1340)] = 53608,
  [SMALL_STATE(1341)] = 53675,
  [SMALL_STATE(1342)] = 53742,
  [SMALL_STATE(1343)] = 53809,
  [SMALL_STATE(1344)] = 53876,
  [SMALL_STATE(1345)] = 53943,
  [SMALL_STATE(1346)] = 54010,
  [SMALL_STATE(1347)] = 54061,
  [SMALL_STATE(1348)] = 54128,
  [SMALL_STATE(1349)] = 54179,
  [SMALL_STATE(1350)] = 54246,
  [SMALL_STATE(1351)] = 54297,
  [SMALL_STATE(1352)] = 54364,
  [SMALL_STATE(1353)] = 54415,
  [SMALL_STATE(1354)] = 54460,
  [SMALL_STATE(1355)] = 54511,
  [SMALL_STATE(1356)] = 54550,
  [SMALL_STATE(1357)] = 54617,
  [SMALL_STATE(1358)] = 54684,
  [SMALL_STATE(1359)] = 54751,
  [SMALL_STATE(1360)] = 54818,
  [SMALL_STATE(1361)] = 54885,
  [SMALL_STATE(1362)] = 54924,
  [SMALL_STATE(1363)] = 54963,
  [SMALL_STATE(1364)] = 55030,
  [SMALL_STATE(1365)] = 55081,
  [SMALL_STATE(1366)] = 55148,
  [SMALL_STATE(1367)] = 55205,
  [SMALL_STATE(1368)] = 55272,
  [SMALL_STATE(1369)] = 55339,
  [SMALL_STATE(1370)] = 55406,
  [SMALL_STATE(1371)] = 55457,
  [SMALL_STATE(1372)] = 55524,
  [SMALL_STATE(1373)] = 55591,
  [SMALL_STATE(1374)] = 55658,
  [SMALL_STATE(1375)] = 55725,
  [SMALL_STATE(1376)] = 55792,
  [SMALL_STATE(1377)] = 55859,
  [SMALL_STATE(1378)] = 55906,
  [SMALL_STATE(1379)] = 55973,
  [SMALL_STATE(1380)] = 56040,
  [SMALL_STATE(1381)] = 56091,
  [SMALL_STATE(1382)] = 56158,
  [SMALL_STATE(1383)] = 56195,
  [SMALL_STATE(1384)] = 56262,
  [SMALL_STATE(1385)] = 56329,
  [SMALL_STATE(1386)] = 56396,
  [SMALL_STATE(1387)] = 56433,
  [SMALL_STATE(1388)] = 56500,
  [SMALL_STATE(1389)] = 56567,
  [SMALL_STATE(1390)] = 56634,
  [SMALL_STATE(1391)] = 56701,
  [SMALL_STATE(1392)] = 56768,
  [SMALL_STATE(1393)] = 56835,
  [SMALL_STATE(1394)] = 56902,
  [SMALL_STATE(1395)] = 56969,
  [SMALL_STATE(1396)] = 57006,
  [SMALL_STATE(1397)] = 57073,
  [SMALL_STATE(1398)] = 57140,
  [SMALL_STATE(1399)] = 57207,
  [SMALL_STATE(1400)] = 57274,
  [SMALL_STATE(1401)] = 57341,
  [SMALL_STATE(1402)] = 57392,
  [SMALL_STATE(1403)] = 57429,
  [SMALL_STATE(1404)] = 57478,
  [SMALL_STATE(1405)] = 57525,
  [SMALL_STATE(1406)] = 57562,
  [SMALL_STATE(1407)] = 57629,
  [SMALL_STATE(1408)] = 57696,
  [SMALL_STATE(1409)] = 57747,
  [SMALL_STATE(1410)] = 57804,
  [SMALL_STATE(1411)] = 57871,
  [SMALL_STATE(1412)] = 57938,
  [SMALL_STATE(1413)] = 57991,
  [SMALL_STATE(1414)] = 58058,
  [SMALL_STATE(1415)] = 58125,
  [SMALL_STATE(1416)] = 58192,
  [SMALL_STATE(1417)] = 58229,
  [SMALL_STATE(1418)] = 58266,
  [SMALL_STATE(1419)] = 58333,
  [SMALL_STATE(1420)] = 58400,
  [SMALL_STATE(1421)] = 58467,
  [SMALL_STATE(1422)] = 58534,
  [SMALL_STATE(1423)] = 58601,
  [SMALL_STATE(1424)] = 58668,
  [SMALL_STATE(1425)] = 58705,
  [SMALL_STATE(1426)] = 58742,
  [SMALL_STATE(1427)] = 58809,
  [SMALL_STATE(1428)] = 58876,
  [SMALL_STATE(1429)] = 58913,
  [SMALL_STATE(1430)] = 58980,
  [SMALL_STATE(1431)] = 59047,
  [SMALL_STATE(1432)] = 59114,
  [SMALL_STATE(1433)] = 59181,
  [SMALL_STATE(1434)] = 59248,
  [SMALL_STATE(1435)] = 59285,
  [SMALL_STATE(1436)] = 59322,
  [SMALL_STATE(1437)] = 59373,
  [SMALL_STATE(1438)] = 59440,
  [SMALL_STATE(1439)] = 59477,
  [SMALL_STATE(1440)] = 59544,
  [SMALL_STATE(1441)] = 59581,
  [SMALL_STATE(1442)] = 59618,
  [SMALL_STATE(1443)] = 59685,
  [SMALL_STATE(1444)] = 59752,
  [SMALL_STATE(1445)] = 59819,
  [SMALL_STATE(1446)] = 59856,
  [SMALL_STATE(1447)] = 59893,
  [SMALL_STATE(1448)] = 59930,
  [SMALL_STATE(1449)] = 59967,
  [SMALL_STATE(1450)] = 60004,
  [SMALL_STATE(1451)] = 60041,
  [SMALL_STATE(1452)] = 60078,
  [SMALL_STATE(1453)] = 60145,
  [SMALL_STATE(1454)] = 60212,
  [SMALL_STATE(1455)] = 60279,
  [SMALL_STATE(1456)] = 60346,
  [SMALL_STATE(1457)] = 60413,
  [SMALL_STATE(1458)] = 60465,
  [SMALL_STATE(1459)] = 60513,
  [SMALL_STATE(1460)] = 60561,
  [SMALL_STATE(1461)] = 60613,
  [SMALL_STATE(1462)] = 60661,
  [SMALL_STATE(1463)] = 60709,
  [SMALL_STATE(1464)] = 60761,
  [SMALL_STATE(1465)] = 60809,
  [SMALL_STATE(1466)] = 60857,
  [SMALL_STATE(1467)] = 60905,
  [SMALL_STATE(1468)] = 60953,
  [SMALL_STATE(1469)] = 61001,
  [SMALL_STATE(1470)] = 61054,
  [SMALL_STATE(1471)] = 61089,
  [SMALL_STATE(1472)] = 61124,
  [SMALL_STATE(1473)] = 61183,
  [SMALL_STATE(1474)] = 61242,
  [SMALL_STATE(1475)] = 61277,
  [SMALL_STATE(1476)] = 61328,
  [SMALL_STATE(1477)] = 61363,
  [SMALL_STATE(1478)] = 61410,
  [SMALL_STATE(1479)] = 61445,
  [SMALL_STATE(1480)] = 61504,
  [SMALL_STATE(1481)] = 61551,
  [SMALL_STATE(1482)] = 61586,
  [SMALL_STATE(1483)] = 61633,
  [SMALL_STATE(1484)] = 61668,
  [SMALL_STATE(1485)] = 61709,
  [SMALL_STATE(1486)] = 61760,
  [SMALL_STATE(1487)] = 61795,
  [SMALL_STATE(1488)] = 61830,
  [SMALL_STATE(1489)] = 61880,
  [SMALL_STATE(1490)] = 61930,
  [SMALL_STATE(1491)] = 61980,
  [SMALL_STATE(1492)] = 62014,
  [SMALL_STATE(1493)] = 62062,
  [SMALL_STATE(1494)] = 62096,
  [SMALL_STATE(1495)] = 62130,
  [SMALL_STATE(1496)] = 62164,
  [SMALL_STATE(1497)] = 62198,
  [SMALL_STATE(1498)] = 62248,
  [SMALL_STATE(1499)] = 62296,
  [SMALL_STATE(1500)] = 62346,
  [SMALL_STATE(1501)] = 62392,
  [SMALL_STATE(1502)] = 62438,
  [SMALL_STATE(1503)] = 62488,
  [SMALL_STATE(1504)] = 62534,
  [SMALL_STATE(1505)] = 62568,
  [SMALL_STATE(1506)] = 62616,
  [SMALL_STATE(1507)] = 62650,
  [SMALL_STATE(1508)] = 62684,
  [SMALL_STATE(1509)] = 62734,
  [SMALL_STATE(1510)] = 62784,
  [SMALL_STATE(1511)] = 62834,
  [SMALL_STATE(1512)] = 62884,
  [SMALL_STATE(1513)] = 62934,
  [SMALL_STATE(1514)] = 62968,
  [SMALL_STATE(1515)] = 63018,
  [SMALL_STATE(1516)] = 63068,
  [SMALL_STATE(1517)] = 63102,
  [SMALL_STATE(1518)] = 63136,
  [SMALL_STATE(1519)] = 63170,
  [SMALL_STATE(1520)] = 63204,
  [SMALL_STATE(1521)] = 63238,
  [SMALL_STATE(1522)] = 63272,
  [SMALL_STATE(1523)] = 63306,
  [SMALL_STATE(1524)] = 63356,
  [SMALL_STATE(1525)] = 63390,
  [SMALL_STATE(1526)] = 63424,
  [SMALL_STATE(1527)] = 63458,
  [SMALL_STATE(1528)] = 63508,
  [SMALL_STATE(1529)] = 63558,
  [SMALL_STATE(1530)] = 63608,
  [SMALL_STATE(1531)] = 63642,
  [SMALL_STATE(1532)] = 63692,
  [SMALL_STATE(1533)] = 63742,
  [SMALL_STATE(1534)] = 63788,
  [SMALL_STATE(1535)] = 63838,
  [SMALL_STATE(1536)] = 63888,
  [SMALL_STATE(1537)] = 63938,
  [SMALL_STATE(1538)] = 63988,
  [SMALL_STATE(1539)] = 64038,
  [SMALL_STATE(1540)] = 64088,
  [SMALL_STATE(1541)] = 64121,
  [SMALL_STATE(1542)] = 64168,
  [SMALL_STATE(1543)] = 64215,
  [SMALL_STATE(1544)] = 64262,
  [SMALL_STATE(1545)] = 64307,
  [SMALL_STATE(1546)] = 64354,
  [SMALL_STATE(1547)] = 64393,
  [SMALL_STATE(1548)] = 64440,
  [SMALL_STATE(1549)] = 64487,
  [SMALL_STATE(1550)] = 64526,
  [SMALL_STATE(1551)] = 64573,
  [SMALL_STATE(1552)] = 64620,
  [SMALL_STATE(1553)] = 64667,
  [SMALL_STATE(1554)] = 64714,
  [SMALL_STATE(1555)] = 64761,
  [SMALL_STATE(1556)] = 64808,
  [SMALL_STATE(1557)] = 64844,
  [SMALL_STATE(1558)] = 64890,
  [SMALL_STATE(1559)] = 64934,
  [SMALL_STATE(1560)] = 64970,
  [SMALL_STATE(1561)] = 65014,
  [SMALL_STATE(1562)] = 65058,
  [SMALL_STATE(1563)] = 65094,
  [SMALL_STATE(1564)] = 65140,
  [SMALL_STATE(1565)] = 65180,
  [SMALL_STATE(1566)] = 65224,
  [SMALL_STATE(1567)] = 65270,
  [SMALL_STATE(1568)] = 65314,
  [SMALL_STATE(1569)] = 65360,
  [SMALL_STATE(1570)] = 65406,
  [SMALL_STATE(1571)] = 65446,
  [SMALL_STATE(1572)] = 65490,
  [SMALL_STATE(1573)] = 65534,
  [SMALL_STATE(1574)] = 65578,
  [SMALL_STATE(1575)] = 65622,
  [SMALL_STATE(1576)] = 65666,
  [SMALL_STATE(1577)] = 65710,
  [SMALL_STATE(1578)] = 65754,
  [SMALL_STATE(1579)] = 65798,
  [SMALL_STATE(1580)] = 65842,
  [SMALL_STATE(1581)] = 65886,
  [SMALL_STATE(1582)] = 65930,
  [SMALL_STATE(1583)] = 65974,
  [SMALL_STATE(1584)] = 66018,
  [SMALL_STATE(1585)] = 66062,
  [SMALL_STATE(1586)] = 66108,
  [SMALL_STATE(1587)] = 66152,
  [SMALL_STATE(1588)] = 66196,
  [SMALL_STATE(1589)] = 66240,
  [SMALL_STATE(1590)] = 66286,
  [SMALL_STATE(1591)] = 66332,
  [SMALL_STATE(1592)] = 66376,
  [SMALL_STATE(1593)] = 66420,
  [SMALL_STATE(1594)] = 66466,
  [SMALL_STATE(1595)] = 66498,
  [SMALL_STATE(1596)] = 66544,
  [SMALL_STATE(1597)] = 66588,
  [SMALL_STATE(1598)] = 66634,
  [SMALL_STATE(1599)] = 66680,
  [SMALL_STATE(1600)] = 66726,
  [SMALL_STATE(1601)] = 66772,
  [SMALL_STATE(1602)] = 66808,
  [SMALL_STATE(1603)] = 66852,
  [SMALL_STATE(1604)] = 66892,
  [SMALL_STATE(1605)] = 66938,
  [SMALL_STATE(1606)] = 66984,
  [SMALL_STATE(1607)] = 67025,
  [SMALL_STATE(1608)] = 67066,
  [SMALL_STATE(1609)] = 67107,
  [SMALL_STATE(1610)] = 67148,
  [SMALL_STATE(1611)] = 67189,
  [SMALL_STATE(1612)] = 67230,
  [SMALL_STATE(1613)] = 67271,
  [SMALL_STATE(1614)] = 67302,
  [SMALL_STATE(1615)] = 67343,
  [SMALL_STATE(1616)] = 67374,
  [SMALL_STATE(1617)] = 67408,
  [SMALL_STATE(1618)] = 67442,
  [SMALL_STATE(1619)] = 67475,
  [SMALL_STATE(1620)] = 67506,
  [SMALL_STATE(1621)] = 67537,
  [SMALL_STATE(1622)] = 67566,
  [SMALL_STATE(1623)] = 67595,
  [SMALL_STATE(1624)] = 67624,
  [SMALL_STATE(1625)] = 67653,
  [SMALL_STATE(1626)] = 67682,
  [SMALL_STATE(1627)] = 67711,
  [SMALL_STATE(1628)] = 67740,
  [SMALL_STATE(1629)] = 67769,
  [SMALL_STATE(1630)] = 67802,
  [SMALL_STATE(1631)] = 67833,
  [SMALL_STATE(1632)] = 67864,
  [SMALL_STATE(1633)] = 67895,
  [SMALL_STATE(1634)] = 67926,
  [SMALL_STATE(1635)] = 67955,
  [SMALL_STATE(1636)] = 67986,
  [SMALL_STATE(1637)] = 68017,
  [SMALL_STATE(1638)] = 68046,
  [SMALL_STATE(1639)] = 68077,
  [SMALL_STATE(1640)] = 68106,
  [SMALL_STATE(1641)] = 68138,
  [SMALL_STATE(1642)] = 68170,
  [SMALL_STATE(1643)] = 68195,
  [SMALL_STATE(1644)] = 68219,
  [SMALL_STATE(1645)] = 68249,
  [SMALL_STATE(1646)] = 68273,
  [SMALL_STATE(1647)] = 68297,
  [SMALL_STATE(1648)] = 68321,
  [SMALL_STATE(1649)] = 68351,
  [SMALL_STATE(1650)] = 68375,
  [SMALL_STATE(1651)] = 68396,
  [SMALL_STATE(1652)] = 68417,
  [SMALL_STATE(1653)] = 68450,
  [SMALL_STATE(1654)] = 68471,
  [SMALL_STATE(1655)] = 68492,
  [SMALL_STATE(1656)] = 68513,
  [SMALL_STATE(1657)] = 68534,
  [SMALL_STATE(1658)] = 68555,
  [SMALL_STATE(1659)] = 68588,
  [SMALL_STATE(1660)] = 68609,
  [SMALL_STATE(1661)] = 68630,
  [SMALL_STATE(1662)] = 68659,
  [SMALL_STATE(1663)] = 68680,
  [SMALL_STATE(1664)] = 68701,
  [SMALL_STATE(1665)] = 68722,
  [SMALL_STATE(1666)] = 68743,
  [SMALL_STATE(1667)] = 68764,
  [SMALL_STATE(1668)] = 68785,
  [SMALL_STATE(1669)] = 68806,
  [SMALL_STATE(1670)] = 68827,
  [SMALL_STATE(1671)] = 68848,
  [SMALL_STATE(1672)] = 68869,
  [SMALL_STATE(1673)] = 68890,
  [SMALL_STATE(1674)] = 68911,
  [SMALL_STATE(1675)] = 68932,
  [SMALL_STATE(1676)] = 68953,
  [SMALL_STATE(1677)] = 68982,
  [SMALL_STATE(1678)] = 69015,
  [SMALL_STATE(1679)] = 69043,
  [SMALL_STATE(1680)] = 69079,
  [SMALL_STATE(1681)] = 69104,
  [SMALL_STATE(1682)] = 69127,
  [SMALL_STATE(1683)] = 69150,
  [SMALL_STATE(1684)] = 69173,
  [SMALL_STATE(1685)] = 69196,
  [SMALL_STATE(1686)] = 69232,
  [SMALL_STATE(1687)] = 69252,
  [SMALL_STATE(1688)] = 69272,
  [SMALL_STATE(1689)] = 69292,
  [SMALL_STATE(1690)] = 69328,
  [SMALL_STATE(1691)] = 69348,
  [SMALL_STATE(1692)] = 69368,
  [SMALL_STATE(1693)] = 69398,
  [SMALL_STATE(1694)] = 69418,
  [SMALL_STATE(1695)] = 69438,
  [SMALL_STATE(1696)] = 69458,
  [SMALL_STATE(1697)] = 69488,
  [SMALL_STATE(1698)] = 69524,
  [SMALL_STATE(1699)] = 69560,
  [SMALL_STATE(1700)] = 69596,
  [SMALL_STATE(1701)] = 69632,
  [SMALL_STATE(1702)] = 69668,
  [SMALL_STATE(1703)] = 69704,
  [SMALL_STATE(1704)] = 69740,
  [SMALL_STATE(1705)] = 69760,
  [SMALL_STATE(1706)] = 69780,
  [SMALL_STATE(1707)] = 69816,
  [SMALL_STATE(1708)] = 69852,
  [SMALL_STATE(1709)] = 69880,
  [SMALL_STATE(1710)] = 69916,
  [SMALL_STATE(1711)] = 69952,
  [SMALL_STATE(1712)] = 69988,
  [SMALL_STATE(1713)] = 70024,
  [SMALL_STATE(1714)] = 70060,
  [SMALL_STATE(1715)] = 70080,
  [SMALL_STATE(1716)] = 70100,
  [SMALL_STATE(1717)] = 70130,
  [SMALL_STATE(1718)] = 70150,
  [SMALL_STATE(1719)] = 70180,
  [SMALL_STATE(1720)] = 70216,
  [SMALL_STATE(1721)] = 70244,
  [SMALL_STATE(1722)] = 70280,
  [SMALL_STATE(1723)] = 70316,
  [SMALL_STATE(1724)] = 70336,
  [SMALL_STATE(1725)] = 70356,
  [SMALL_STATE(1726)] = 70386,
  [SMALL_STATE(1727)] = 70422,
  [SMALL_STATE(1728)] = 70452,
  [SMALL_STATE(1729)] = 70488,
  [SMALL_STATE(1730)] = 70516,
  [SMALL_STATE(1731)] = 70536,
  [SMALL_STATE(1732)] = 70556,
  [SMALL_STATE(1733)] = 70576,
  [SMALL_STATE(1734)] = 70606,
  [SMALL_STATE(1735)] = 70626,
  [SMALL_STATE(1736)] = 70646,
  [SMALL_STATE(1737)] = 70666,
  [SMALL_STATE(1738)] = 70696,
  [SMALL_STATE(1739)] = 70716,
  [SMALL_STATE(1740)] = 70736,
  [SMALL_STATE(1741)] = 70772,
  [SMALL_STATE(1742)] = 70802,
  [SMALL_STATE(1743)] = 70838,
  [SMALL_STATE(1744)] = 70874,
  [SMALL_STATE(1745)] = 70902,
  [SMALL_STATE(1746)] = 70922,
  [SMALL_STATE(1747)] = 70942,
  [SMALL_STATE(1748)] = 70978,
  [SMALL_STATE(1749)] = 71008,
  [SMALL_STATE(1750)] = 71036,
  [SMALL_STATE(1751)] = 71056,
  [SMALL_STATE(1752)] = 71076,
  [SMALL_STATE(1753)] = 71093,
  [SMALL_STATE(1754)] = 71110,
  [SMALL_STATE(1755)] = 71127,
  [SMALL_STATE(1756)] = 71154,
  [SMALL_STATE(1757)] = 71181,
  [SMALL_STATE(1758)] = 71206,
  [SMALL_STATE(1759)] = 71223,
  [SMALL_STATE(1760)] = 71240,
  [SMALL_STATE(1761)] = 71273,
  [SMALL_STATE(1762)] = 71306,
  [SMALL_STATE(1763)] = 71331,
  [SMALL_STATE(1764)] = 71358,
  [SMALL_STATE(1765)] = 71385,
  [SMALL_STATE(1766)] = 71418,
  [SMALL_STATE(1767)] = 71445,
  [SMALL_STATE(1768)] = 71462,
  [SMALL_STATE(1769)] = 71489,
  [SMALL_STATE(1770)] = 71522,
  [SMALL_STATE(1771)] = 71549,
  [SMALL_STATE(1772)] = 71576,
  [SMALL_STATE(1773)] = 71603,
  [SMALL_STATE(1774)] = 71630,
  [SMALL_STATE(1775)] = 71663,
  [SMALL_STATE(1776)] = 71696,
  [SMALL_STATE(1777)] = 71729,
  [SMALL_STATE(1778)] = 71756,
  [SMALL_STATE(1779)] = 71773,
  [SMALL_STATE(1780)] = 71790,
  [SMALL_STATE(1781)] = 71817,
  [SMALL_STATE(1782)] = 71844,
  [SMALL_STATE(1783)] = 71869,
  [SMALL_STATE(1784)] = 71890,
  [SMALL_STATE(1785)] = 71907,
  [SMALL_STATE(1786)] = 71940,
  [SMALL_STATE(1787)] = 71957,
  [SMALL_STATE(1788)] = 71990,
  [SMALL_STATE(1789)] = 72014,
  [SMALL_STATE(1790)] = 72038,
  [SMALL_STATE(1791)] = 72062,
  [SMALL_STATE(1792)] = 72086,
  [SMALL_STATE(1793)] = 72110,
  [SMALL_STATE(1794)] = 72134,
  [SMALL_STATE(1795)] = 72158,
  [SMALL_STATE(1796)] = 72182,
  [SMALL_STATE(1797)] = 72206,
  [SMALL_STATE(1798)] = 72230,
  [SMALL_STATE(1799)] = 72254,
  [SMALL_STATE(1800)] = 72278,
  [SMALL_STATE(1801)] = 72302,
  [SMALL_STATE(1802)] = 72326,
  [SMALL_STATE(1803)] = 72350,
  [SMALL_STATE(1804)] = 72374,
  [SMALL_STATE(1805)] = 72398,
  [SMALL_STATE(1806)] = 72422,
  [SMALL_STATE(1807)] = 72446,
  [SMALL_STATE(1808)] = 72470,
  [SMALL_STATE(1809)] = 72494,
  [SMALL_STATE(1810)] = 72518,
  [SMALL_STATE(1811)] = 72542,
  [SMALL_STATE(1812)] = 72566,
  [SMALL_STATE(1813)] = 72590,
  [SMALL_STATE(1814)] = 72614,
  [SMALL_STATE(1815)] = 72638,
  [SMALL_STATE(1816)] = 72662,
  [SMALL_STATE(1817)] = 72686,
  [SMALL_STATE(1818)] = 72710,
  [SMALL_STATE(1819)] = 72734,
  [SMALL_STATE(1820)] = 72758,
  [SMALL_STATE(1821)] = 72782,
  [SMALL_STATE(1822)] = 72806,
  [SMALL_STATE(1823)] = 72830,
  [SMALL_STATE(1824)] = 72854,
  [SMALL_STATE(1825)] = 72878,
  [SMALL_STATE(1826)] = 72902,
  [SMALL_STATE(1827)] = 72926,
  [SMALL_STATE(1828)] = 72950,
  [SMALL_STATE(1829)] = 72974,
  [SMALL_STATE(1830)] = 72998,
  [SMALL_STATE(1831)] = 73022,
  [SMALL_STATE(1832)] = 73046,
  [SMALL_STATE(1833)] = 73070,
  [SMALL_STATE(1834)] = 73094,
  [SMALL_STATE(1835)] = 73118,
  [SMALL_STATE(1836)] = 73142,
  [SMALL_STATE(1837)] = 73166,
  [SMALL_STATE(1838)] = 73190,
  [SMALL_STATE(1839)] = 73214,
  [SMALL_STATE(1840)] = 73238,
  [SMALL_STATE(1841)] = 73262,
  [SMALL_STATE(1842)] = 73286,
  [SMALL_STATE(1843)] = 73310,
  [SMALL_STATE(1844)] = 73334,
  [SMALL_STATE(1845)] = 73358,
  [SMALL_STATE(1846)] = 73374,
  [SMALL_STATE(1847)] = 73400,
  [SMALL_STATE(1848)] = 73424,
  [SMALL_STATE(1849)] = 73454,
  [SMALL_STATE(1850)] = 73478,
  [SMALL_STATE(1851)] = 73502,
  [SMALL_STATE(1852)] = 73526,
  [SMALL_STATE(1853)] = 73550,
  [SMALL_STATE(1854)] = 73574,
  [SMALL_STATE(1855)] = 73598,
  [SMALL_STATE(1856)] = 73622,
  [SMALL_STATE(1857)] = 73646,
  [SMALL_STATE(1858)] = 73670,
  [SMALL_STATE(1859)] = 73694,
  [SMALL_STATE(1860)] = 73718,
  [SMALL_STATE(1861)] = 73742,
  [SMALL_STATE(1862)] = 73766,
  [SMALL_STATE(1863)] = 73790,
  [SMALL_STATE(1864)] = 73809,
  [SMALL_STATE(1865)] = 73832,
  [SMALL_STATE(1866)] = 73851,
  [SMALL_STATE(1867)] = 73874,
  [SMALL_STATE(1868)] = 73897,
  [SMALL_STATE(1869)] = 73918,
  [SMALL_STATE(1870)] = 73943,
  [SMALL_STATE(1871)] = 73968,
  [SMALL_STATE(1872)] = 73991,
  [SMALL_STATE(1873)] = 74008,
  [SMALL_STATE(1874)] = 74031,
  [SMALL_STATE(1875)] = 74050,
  [SMALL_STATE(1876)] = 74073,
  [SMALL_STATE(1877)] = 74092,
  [SMALL_STATE(1878)] = 74115,
  [SMALL_STATE(1879)] = 74138,
  [SMALL_STATE(1880)] = 74159,
  [SMALL_STATE(1881)] = 74182,
  [SMALL_STATE(1882)] = 74205,
  [SMALL_STATE(1883)] = 74223,
  [SMALL_STATE(1884)] = 74241,
  [SMALL_STATE(1885)] = 74257,
  [SMALL_STATE(1886)] = 74275,
  [SMALL_STATE(1887)] = 74293,
  [SMALL_STATE(1888)] = 74313,
  [SMALL_STATE(1889)] = 74329,
  [SMALL_STATE(1890)] = 74349,
  [SMALL_STATE(1891)] = 74365,
  [SMALL_STATE(1892)] = 74387,
  [SMALL_STATE(1893)] = 74403,
  [SMALL_STATE(1894)] = 74427,
  [SMALL_STATE(1895)] = 74445,
  [SMALL_STATE(1896)] = 74461,
  [SMALL_STATE(1897)] = 74485,
  [SMALL_STATE(1898)] = 74507,
  [SMALL_STATE(1899)] = 74525,
  [SMALL_STATE(1900)] = 74543,
  [SMALL_STATE(1901)] = 74559,
  [SMALL_STATE(1902)] = 74579,
  [SMALL_STATE(1903)] = 74601,
  [SMALL_STATE(1904)] = 74621,
  [SMALL_STATE(1905)] = 74639,
  [SMALL_STATE(1906)] = 74657,
  [SMALL_STATE(1907)] = 74675,
  [SMALL_STATE(1908)] = 74693,
  [SMALL_STATE(1909)] = 74711,
  [SMALL_STATE(1910)] = 74728,
  [SMALL_STATE(1911)] = 74741,
  [SMALL_STATE(1912)] = 74756,
  [SMALL_STATE(1913)] = 74771,
  [SMALL_STATE(1914)] = 74788,
  [SMALL_STATE(1915)] = 74809,
  [SMALL_STATE(1916)] = 74830,
  [SMALL_STATE(1917)] = 74847,
  [SMALL_STATE(1918)] = 74864,
  [SMALL_STATE(1919)] = 74879,
  [SMALL_STATE(1920)] = 74894,
  [SMALL_STATE(1921)] = 74915,
  [SMALL_STATE(1922)] = 74936,
  [SMALL_STATE(1923)] = 74957,
  [SMALL_STATE(1924)] = 74972,
  [SMALL_STATE(1925)] = 74985,
  [SMALL_STATE(1926)] = 74998,
  [SMALL_STATE(1927)] = 75011,
  [SMALL_STATE(1928)] = 75028,
  [SMALL_STATE(1929)] = 75045,
  [SMALL_STATE(1930)] = 75058,
  [SMALL_STATE(1931)] = 75071,
  [SMALL_STATE(1932)] = 75086,
  [SMALL_STATE(1933)] = 75101,
  [SMALL_STATE(1934)] = 75118,
  [SMALL_STATE(1935)] = 75135,
  [SMALL_STATE(1936)] = 75150,
  [SMALL_STATE(1937)] = 75163,
  [SMALL_STATE(1938)] = 75176,
  [SMALL_STATE(1939)] = 75193,
  [SMALL_STATE(1940)] = 75210,
  [SMALL_STATE(1941)] = 75223,
  [SMALL_STATE(1942)] = 75236,
  [SMALL_STATE(1943)] = 75257,
  [SMALL_STATE(1944)] = 75270,
  [SMALL_STATE(1945)] = 75287,
  [SMALL_STATE(1946)] = 75304,
  [SMALL_STATE(1947)] = 75317,
  [SMALL_STATE(1948)] = 75331,
  [SMALL_STATE(1949)] = 75349,
  [SMALL_STATE(1950)] = 75367,
  [SMALL_STATE(1951)] = 75381,
  [SMALL_STATE(1952)] = 75399,
  [SMALL_STATE(1953)] = 75415,
  [SMALL_STATE(1954)] = 75431,
  [SMALL_STATE(1955)] = 75449,
  [SMALL_STATE(1956)] = 75467,
  [SMALL_STATE(1957)] = 75481,
  [SMALL_STATE(1958)] = 75499,
  [SMALL_STATE(1959)] = 75517,
  [SMALL_STATE(1960)] = 75531,
  [SMALL_STATE(1961)] = 75543,
  [SMALL_STATE(1962)] = 75561,
  [SMALL_STATE(1963)] = 75579,
  [SMALL_STATE(1964)] = 75593,
  [SMALL_STATE(1965)] = 75605,
  [SMALL_STATE(1966)] = 75623,
  [SMALL_STATE(1967)] = 75641,
  [SMALL_STATE(1968)] = 75659,
  [SMALL_STATE(1969)] = 75677,
  [SMALL_STATE(1970)] = 75691,
  [SMALL_STATE(1971)] = 75709,
  [SMALL_STATE(1972)] = 75727,
  [SMALL_STATE(1973)] = 75741,
  [SMALL_STATE(1974)] = 75759,
  [SMALL_STATE(1975)] = 75775,
  [SMALL_STATE(1976)] = 75793,
  [SMALL_STATE(1977)] = 75811,
  [SMALL_STATE(1978)] = 75829,
  [SMALL_STATE(1979)] = 75843,
  [SMALL_STATE(1980)] = 75861,
  [SMALL_STATE(1981)] = 75879,
  [SMALL_STATE(1982)] = 75895,
  [SMALL_STATE(1983)] = 75913,
  [SMALL_STATE(1984)] = 75931,
  [SMALL_STATE(1985)] = 75949,
  [SMALL_STATE(1986)] = 75967,
  [SMALL_STATE(1987)] = 75979,
  [SMALL_STATE(1988)] = 75997,
  [SMALL_STATE(1989)] = 76011,
  [SMALL_STATE(1990)] = 76029,
  [SMALL_STATE(1991)] = 76045,
  [SMALL_STATE(1992)] = 76063,
  [SMALL_STATE(1993)] = 76081,
  [SMALL_STATE(1994)] = 76099,
  [SMALL_STATE(1995)] = 76117,
  [SMALL_STATE(1996)] = 76129,
  [SMALL_STATE(1997)] = 76147,
  [SMALL_STATE(1998)] = 76165,
  [SMALL_STATE(1999)] = 76183,
  [SMALL_STATE(2000)] = 76201,
  [SMALL_STATE(2001)] = 76219,
  [SMALL_STATE(2002)] = 76237,
  [SMALL_STATE(2003)] = 76251,
  [SMALL_STATE(2004)] = 76269,
  [SMALL_STATE(2005)] = 76283,
  [SMALL_STATE(2006)] = 76301,
  [SMALL_STATE(2007)] = 76319,
  [SMALL_STATE(2008)] = 76333,
  [SMALL_STATE(2009)] = 76349,
  [SMALL_STATE(2010)] = 76365,
  [SMALL_STATE(2011)] = 76379,
  [SMALL_STATE(2012)] = 76397,
  [SMALL_STATE(2013)] = 76411,
  [SMALL_STATE(2014)] = 76429,
  [SMALL_STATE(2015)] = 76447,
  [SMALL_STATE(2016)] = 76461,
  [SMALL_STATE(2017)] = 76475,
  [SMALL_STATE(2018)] = 76489,
  [SMALL_STATE(2019)] = 76503,
  [SMALL_STATE(2020)] = 76518,
  [SMALL_STATE(2021)] = 76533,
  [SMALL_STATE(2022)] = 76548,
  [SMALL_STATE(2023)] = 76563,
  [SMALL_STATE(2024)] = 76578,
  [SMALL_STATE(2025)] = 76593,
  [SMALL_STATE(2026)] = 76604,
  [SMALL_STATE(2027)] = 76619,
  [SMALL_STATE(2028)] = 76634,
  [SMALL_STATE(2029)] = 76649,
  [SMALL_STATE(2030)] = 76662,
  [SMALL_STATE(2031)] = 76675,
  [SMALL_STATE(2032)] = 76686,
  [SMALL_STATE(2033)] = 76701,
  [SMALL_STATE(2034)] = 76714,
  [SMALL_STATE(2035)] = 76729,
  [SMALL_STATE(2036)] = 76746,
  [SMALL_STATE(2037)] = 76759,
  [SMALL_STATE(2038)] = 76772,
  [SMALL_STATE(2039)] = 76783,
  [SMALL_STATE(2040)] = 76800,
  [SMALL_STATE(2041)] = 76817,
  [SMALL_STATE(2042)] = 76832,
  [SMALL_STATE(2043)] = 76849,
  [SMALL_STATE(2044)] = 76860,
  [SMALL_STATE(2045)] = 76871,
  [SMALL_STATE(2046)] = 76886,
  [SMALL_STATE(2047)] = 76897,
  [SMALL_STATE(2048)] = 76910,
  [SMALL_STATE(2049)] = 76925,
  [SMALL_STATE(2050)] = 76940,
  [SMALL_STATE(2051)] = 76955,
  [SMALL_STATE(2052)] = 76968,
  [SMALL_STATE(2053)] = 76983,
  [SMALL_STATE(2054)] = 76998,
  [SMALL_STATE(2055)] = 77013,
  [SMALL_STATE(2056)] = 77028,
  [SMALL_STATE(2057)] = 77043,
  [SMALL_STATE(2058)] = 77058,
  [SMALL_STATE(2059)] = 77073,
  [SMALL_STATE(2060)] = 77088,
  [SMALL_STATE(2061)] = 77103,
  [SMALL_STATE(2062)] = 77118,
  [SMALL_STATE(2063)] = 77133,
  [SMALL_STATE(2064)] = 77146,
  [SMALL_STATE(2065)] = 77161,
  [SMALL_STATE(2066)] = 77176,
  [SMALL_STATE(2067)] = 77191,
  [SMALL_STATE(2068)] = 77206,
  [SMALL_STATE(2069)] = 77221,
  [SMALL_STATE(2070)] = 77234,
  [SMALL_STATE(2071)] = 77247,
  [SMALL_STATE(2072)] = 77258,
  [SMALL_STATE(2073)] = 77273,
  [SMALL_STATE(2074)] = 77288,
  [SMALL_STATE(2075)] = 77303,
  [SMALL_STATE(2076)] = 77318,
  [SMALL_STATE(2077)] = 77331,
  [SMALL_STATE(2078)] = 77346,
  [SMALL_STATE(2079)] = 77363,
  [SMALL_STATE(2080)] = 77378,
  [SMALL_STATE(2081)] = 77393,
  [SMALL_STATE(2082)] = 77408,
  [SMALL_STATE(2083)] = 77421,
  [SMALL_STATE(2084)] = 77436,
  [SMALL_STATE(2085)] = 77449,
  [SMALL_STATE(2086)] = 77464,
  [SMALL_STATE(2087)] = 77479,
  [SMALL_STATE(2088)] = 77494,
  [SMALL_STATE(2089)] = 77509,
  [SMALL_STATE(2090)] = 77524,
  [SMALL_STATE(2091)] = 77539,
  [SMALL_STATE(2092)] = 77550,
  [SMALL_STATE(2093)] = 77565,
  [SMALL_STATE(2094)] = 77580,
  [SMALL_STATE(2095)] = 77597,
  [SMALL_STATE(2096)] = 77608,
  [SMALL_STATE(2097)] = 77625,
  [SMALL_STATE(2098)] = 77642,
  [SMALL_STATE(2099)] = 77659,
  [SMALL_STATE(2100)] = 77676,
  [SMALL_STATE(2101)] = 77691,
  [SMALL_STATE(2102)] = 77706,
  [SMALL_STATE(2103)] = 77719,
  [SMALL_STATE(2104)] = 77734,
  [SMALL_STATE(2105)] = 77751,
  [SMALL_STATE(2106)] = 77766,
  [SMALL_STATE(2107)] = 77781,
  [SMALL_STATE(2108)] = 77794,
  [SMALL_STATE(2109)] = 77809,
  [SMALL_STATE(2110)] = 77824,
  [SMALL_STATE(2111)] = 77839,
  [SMALL_STATE(2112)] = 77854,
  [SMALL_STATE(2113)] = 77865,
  [SMALL_STATE(2114)] = 77880,
  [SMALL_STATE(2115)] = 77895,
  [SMALL_STATE(2116)] = 77910,
  [SMALL_STATE(2117)] = 77925,
  [SMALL_STATE(2118)] = 77942,
  [SMALL_STATE(2119)] = 77957,
  [SMALL_STATE(2120)] = 77968,
  [SMALL_STATE(2121)] = 77981,
  [SMALL_STATE(2122)] = 77996,
  [SMALL_STATE(2123)] = 78011,
  [SMALL_STATE(2124)] = 78026,
  [SMALL_STATE(2125)] = 78041,
  [SMALL_STATE(2126)] = 78056,
  [SMALL_STATE(2127)] = 78071,
  [SMALL_STATE(2128)] = 78086,
  [SMALL_STATE(2129)] = 78099,
  [SMALL_STATE(2130)] = 78110,
  [SMALL_STATE(2131)] = 78125,
  [SMALL_STATE(2132)] = 78136,
  [SMALL_STATE(2133)] = 78151,
  [SMALL_STATE(2134)] = 78166,
  [SMALL_STATE(2135)] = 78183,
  [SMALL_STATE(2136)] = 78198,
  [SMALL_STATE(2137)] = 78213,
  [SMALL_STATE(2138)] = 78230,
  [SMALL_STATE(2139)] = 78245,
  [SMALL_STATE(2140)] = 78260,
  [SMALL_STATE(2141)] = 78275,
  [SMALL_STATE(2142)] = 78290,
  [SMALL_STATE(2143)] = 78302,
  [SMALL_STATE(2144)] = 78314,
  [SMALL_STATE(2145)] = 78326,
  [SMALL_STATE(2146)] = 78338,
  [SMALL_STATE(2147)] = 78350,
  [SMALL_STATE(2148)] = 78362,
  [SMALL_STATE(2149)] = 78374,
  [SMALL_STATE(2150)] = 78384,
  [SMALL_STATE(2151)] = 78396,
  [SMALL_STATE(2152)] = 78408,
  [SMALL_STATE(2153)] = 78420,
  [SMALL_STATE(2154)] = 78432,
  [SMALL_STATE(2155)] = 78444,
  [SMALL_STATE(2156)] = 78456,
  [SMALL_STATE(2157)] = 78466,
  [SMALL_STATE(2158)] = 78478,
  [SMALL_STATE(2159)] = 78490,
  [SMALL_STATE(2160)] = 78502,
  [SMALL_STATE(2161)] = 78514,
  [SMALL_STATE(2162)] = 78526,
  [SMALL_STATE(2163)] = 78538,
  [SMALL_STATE(2164)] = 78550,
  [SMALL_STATE(2165)] = 78562,
  [SMALL_STATE(2166)] = 78574,
  [SMALL_STATE(2167)] = 78584,
  [SMALL_STATE(2168)] = 78596,
  [SMALL_STATE(2169)] = 78608,
  [SMALL_STATE(2170)] = 78618,
  [SMALL_STATE(2171)] = 78628,
  [SMALL_STATE(2172)] = 78638,
  [SMALL_STATE(2173)] = 78650,
  [SMALL_STATE(2174)] = 78662,
  [SMALL_STATE(2175)] = 78672,
  [SMALL_STATE(2176)] = 78684,
  [SMALL_STATE(2177)] = 78696,
  [SMALL_STATE(2178)] = 78708,
  [SMALL_STATE(2179)] = 78720,
  [SMALL_STATE(2180)] = 78732,
  [SMALL_STATE(2181)] = 78744,
  [SMALL_STATE(2182)] = 78754,
  [SMALL_STATE(2183)] = 78766,
  [SMALL_STATE(2184)] = 78778,
  [SMALL_STATE(2185)] = 78790,
  [SMALL_STATE(2186)] = 78802,
  [SMALL_STATE(2187)] = 78814,
  [SMALL_STATE(2188)] = 78826,
  [SMALL_STATE(2189)] = 78838,
  [SMALL_STATE(2190)] = 78850,
  [SMALL_STATE(2191)] = 78862,
  [SMALL_STATE(2192)] = 78874,
  [SMALL_STATE(2193)] = 78884,
  [SMALL_STATE(2194)] = 78896,
  [SMALL_STATE(2195)] = 78908,
  [SMALL_STATE(2196)] = 78920,
  [SMALL_STATE(2197)] = 78932,
  [SMALL_STATE(2198)] = 78944,
  [SMALL_STATE(2199)] = 78956,
  [SMALL_STATE(2200)] = 78968,
  [SMALL_STATE(2201)] = 78980,
  [SMALL_STATE(2202)] = 78992,
  [SMALL_STATE(2203)] = 79004,
  [SMALL_STATE(2204)] = 79016,
  [SMALL_STATE(2205)] = 79028,
  [SMALL_STATE(2206)] = 79038,
  [SMALL_STATE(2207)] = 79050,
  [SMALL_STATE(2208)] = 79062,
  [SMALL_STATE(2209)] = 79074,
  [SMALL_STATE(2210)] = 79086,
  [SMALL_STATE(2211)] = 79098,
  [SMALL_STATE(2212)] = 79110,
  [SMALL_STATE(2213)] = 79122,
  [SMALL_STATE(2214)] = 79134,
  [SMALL_STATE(2215)] = 79146,
  [SMALL_STATE(2216)] = 79158,
  [SMALL_STATE(2217)] = 79170,
  [SMALL_STATE(2218)] = 79182,
  [SMALL_STATE(2219)] = 79194,
  [SMALL_STATE(2220)] = 79206,
  [SMALL_STATE(2221)] = 79218,
  [SMALL_STATE(2222)] = 79230,
  [SMALL_STATE(2223)] = 79242,
  [SMALL_STATE(2224)] = 79254,
  [SMALL_STATE(2225)] = 79266,
  [SMALL_STATE(2226)] = 79278,
  [SMALL_STATE(2227)] = 79290,
  [SMALL_STATE(2228)] = 79302,
  [SMALL_STATE(2229)] = 79314,
  [SMALL_STATE(2230)] = 79326,
  [SMALL_STATE(2231)] = 79338,
  [SMALL_STATE(2232)] = 79350,
  [SMALL_STATE(2233)] = 79362,
  [SMALL_STATE(2234)] = 79374,
  [SMALL_STATE(2235)] = 79386,
  [SMALL_STATE(2236)] = 79398,
  [SMALL_STATE(2237)] = 79410,
  [SMALL_STATE(2238)] = 79422,
  [SMALL_STATE(2239)] = 79434,
  [SMALL_STATE(2240)] = 79446,
  [SMALL_STATE(2241)] = 79458,
  [SMALL_STATE(2242)] = 79470,
  [SMALL_STATE(2243)] = 79482,
  [SMALL_STATE(2244)] = 79494,
  [SMALL_STATE(2245)] = 79506,
  [SMALL_STATE(2246)] = 79518,
  [SMALL_STATE(2247)] = 79530,
  [SMALL_STATE(2248)] = 79540,
  [SMALL_STATE(2249)] = 79552,
  [SMALL_STATE(2250)] = 79562,
  [SMALL_STATE(2251)] = 79574,
  [SMALL_STATE(2252)] = 79586,
  [SMALL_STATE(2253)] = 79598,
  [SMALL_STATE(2254)] = 79610,
  [SMALL_STATE(2255)] = 79620,
  [SMALL_STATE(2256)] = 79632,
  [SMALL_STATE(2257)] = 79644,
  [SMALL_STATE(2258)] = 79656,
  [SMALL_STATE(2259)] = 79668,
  [SMALL_STATE(2260)] = 79680,
  [SMALL_STATE(2261)] = 79692,
  [SMALL_STATE(2262)] = 79702,
  [SMALL_STATE(2263)] = 79714,
  [SMALL_STATE(2264)] = 79726,
  [SMALL_STATE(2265)] = 79736,
  [SMALL_STATE(2266)] = 79748,
  [SMALL_STATE(2267)] = 79760,
  [SMALL_STATE(2268)] = 79772,
  [SMALL_STATE(2269)] = 79784,
  [SMALL_STATE(2270)] = 79796,
  [SMALL_STATE(2271)] = 79808,
  [SMALL_STATE(2272)] = 79820,
  [SMALL_STATE(2273)] = 79832,
  [SMALL_STATE(2274)] = 79844,
  [SMALL_STATE(2275)] = 79856,
  [SMALL_STATE(2276)] = 79868,
  [SMALL_STATE(2277)] = 79878,
  [SMALL_STATE(2278)] = 79888,
  [SMALL_STATE(2279)] = 79900,
  [SMALL_STATE(2280)] = 79912,
  [SMALL_STATE(2281)] = 79924,
  [SMALL_STATE(2282)] = 79936,
  [SMALL_STATE(2283)] = 79948,
  [SMALL_STATE(2284)] = 79960,
  [SMALL_STATE(2285)] = 79972,
  [SMALL_STATE(2286)] = 79984,
  [SMALL_STATE(2287)] = 79996,
  [SMALL_STATE(2288)] = 80008,
  [SMALL_STATE(2289)] = 80020,
  [SMALL_STATE(2290)] = 80032,
  [SMALL_STATE(2291)] = 80044,
  [SMALL_STATE(2292)] = 80056,
  [SMALL_STATE(2293)] = 80068,
  [SMALL_STATE(2294)] = 80078,
  [SMALL_STATE(2295)] = 80090,
  [SMALL_STATE(2296)] = 80102,
  [SMALL_STATE(2297)] = 80114,
  [SMALL_STATE(2298)] = 80126,
  [SMALL_STATE(2299)] = 80138,
  [SMALL_STATE(2300)] = 80148,
  [SMALL_STATE(2301)] = 80160,
  [SMALL_STATE(2302)] = 80172,
  [SMALL_STATE(2303)] = 80182,
  [SMALL_STATE(2304)] = 80194,
  [SMALL_STATE(2305)] = 80206,
  [SMALL_STATE(2306)] = 80218,
  [SMALL_STATE(2307)] = 80230,
  [SMALL_STATE(2308)] = 80242,
  [SMALL_STATE(2309)] = 80254,
  [SMALL_STATE(2310)] = 80266,
  [SMALL_STATE(2311)] = 80278,
  [SMALL_STATE(2312)] = 80290,
  [SMALL_STATE(2313)] = 80302,
  [SMALL_STATE(2314)] = 80314,
  [SMALL_STATE(2315)] = 80326,
  [SMALL_STATE(2316)] = 80338,
  [SMALL_STATE(2317)] = 80350,
  [SMALL_STATE(2318)] = 80362,
  [SMALL_STATE(2319)] = 80374,
  [SMALL_STATE(2320)] = 80386,
  [SMALL_STATE(2321)] = 80398,
  [SMALL_STATE(2322)] = 80410,
  [SMALL_STATE(2323)] = 80422,
  [SMALL_STATE(2324)] = 80434,
  [SMALL_STATE(2325)] = 80446,
  [SMALL_STATE(2326)] = 80458,
  [SMALL_STATE(2327)] = 80470,
  [SMALL_STATE(2328)] = 80482,
  [SMALL_STATE(2329)] = 80494,
  [SMALL_STATE(2330)] = 80506,
  [SMALL_STATE(2331)] = 80518,
  [SMALL_STATE(2332)] = 80530,
  [SMALL_STATE(2333)] = 80539,
  [SMALL_STATE(2334)] = 80548,
  [SMALL_STATE(2335)] = 80557,
  [SMALL_STATE(2336)] = 80566,
  [SMALL_STATE(2337)] = 80575,
  [SMALL_STATE(2338)] = 80584,
  [SMALL_STATE(2339)] = 80593,
  [SMALL_STATE(2340)] = 80602,
  [SMALL_STATE(2341)] = 80611,
  [SMALL_STATE(2342)] = 80620,
  [SMALL_STATE(2343)] = 80629,
  [SMALL_STATE(2344)] = 80638,
  [SMALL_STATE(2345)] = 80647,
  [SMALL_STATE(2346)] = 80656,
  [SMALL_STATE(2347)] = 80665,
  [SMALL_STATE(2348)] = 80674,
  [SMALL_STATE(2349)] = 80683,
  [SMALL_STATE(2350)] = 80692,
  [SMALL_STATE(2351)] = 80701,
  [SMALL_STATE(2352)] = 80710,
  [SMALL_STATE(2353)] = 80719,
  [SMALL_STATE(2354)] = 80728,
  [SMALL_STATE(2355)] = 80737,
  [SMALL_STATE(2356)] = 80746,
  [SMALL_STATE(2357)] = 80755,
  [SMALL_STATE(2358)] = 80764,
  [SMALL_STATE(2359)] = 80773,
  [SMALL_STATE(2360)] = 80782,
  [SMALL_STATE(2361)] = 80791,
  [SMALL_STATE(2362)] = 80800,
  [SMALL_STATE(2363)] = 80809,
  [SMALL_STATE(2364)] = 80818,
  [SMALL_STATE(2365)] = 80827,
  [SMALL_STATE(2366)] = 80836,
  [SMALL_STATE(2367)] = 80845,
  [SMALL_STATE(2368)] = 80854,
  [SMALL_STATE(2369)] = 80863,
  [SMALL_STATE(2370)] = 80872,
  [SMALL_STATE(2371)] = 80881,
  [SMALL_STATE(2372)] = 80890,
  [SMALL_STATE(2373)] = 80899,
  [SMALL_STATE(2374)] = 80908,
  [SMALL_STATE(2375)] = 80917,
  [SMALL_STATE(2376)] = 80926,
  [SMALL_STATE(2377)] = 80935,
  [SMALL_STATE(2378)] = 80944,
  [SMALL_STATE(2379)] = 80953,
  [SMALL_STATE(2380)] = 80962,
  [SMALL_STATE(2381)] = 80971,
  [SMALL_STATE(2382)] = 80980,
  [SMALL_STATE(2383)] = 80989,
  [SMALL_STATE(2384)] = 80998,
  [SMALL_STATE(2385)] = 81007,
  [SMALL_STATE(2386)] = 81016,
  [SMALL_STATE(2387)] = 81025,
  [SMALL_STATE(2388)] = 81034,
  [SMALL_STATE(2389)] = 81043,
  [SMALL_STATE(2390)] = 81052,
  [SMALL_STATE(2391)] = 81061,
  [SMALL_STATE(2392)] = 81070,
  [SMALL_STATE(2393)] = 81079,
  [SMALL_STATE(2394)] = 81088,
  [SMALL_STATE(2395)] = 81097,
  [SMALL_STATE(2396)] = 81106,
  [SMALL_STATE(2397)] = 81115,
  [SMALL_STATE(2398)] = 81124,
  [SMALL_STATE(2399)] = 81133,
  [SMALL_STATE(2400)] = 81142,
  [SMALL_STATE(2401)] = 81151,
  [SMALL_STATE(2402)] = 81160,
  [SMALL_STATE(2403)] = 81169,
  [SMALL_STATE(2404)] = 81178,
  [SMALL_STATE(2405)] = 81187,
  [SMALL_STATE(2406)] = 81196,
  [SMALL_STATE(2407)] = 81205,
  [SMALL_STATE(2408)] = 81214,
  [SMALL_STATE(2409)] = 81223,
  [SMALL_STATE(2410)] = 81232,
  [SMALL_STATE(2411)] = 81241,
  [SMALL_STATE(2412)] = 81250,
  [SMALL_STATE(2413)] = 81259,
  [SMALL_STATE(2414)] = 81268,
  [SMALL_STATE(2415)] = 81277,
  [SMALL_STATE(2416)] = 81286,
  [SMALL_STATE(2417)] = 81295,
  [SMALL_STATE(2418)] = 81304,
  [SMALL_STATE(2419)] = 81313,
  [SMALL_STATE(2420)] = 81322,
  [SMALL_STATE(2421)] = 81331,
  [SMALL_STATE(2422)] = 81340,
  [SMALL_STATE(2423)] = 81349,
  [SMALL_STATE(2424)] = 81358,
  [SMALL_STATE(2425)] = 81367,
  [SMALL_STATE(2426)] = 81376,
  [SMALL_STATE(2427)] = 81385,
  [SMALL_STATE(2428)] = 81394,
  [SMALL_STATE(2429)] = 81403,
  [SMALL_STATE(2430)] = 81412,
  [SMALL_STATE(2431)] = 81421,
  [SMALL_STATE(2432)] = 81430,
  [SMALL_STATE(2433)] = 81439,
  [SMALL_STATE(2434)] = 81448,
  [SMALL_STATE(2435)] = 81457,
  [SMALL_STATE(2436)] = 81466,
  [SMALL_STATE(2437)] = 81475,
  [SMALL_STATE(2438)] = 81484,
  [SMALL_STATE(2439)] = 81493,
  [SMALL_STATE(2440)] = 81502,
  [SMALL_STATE(2441)] = 81511,
  [SMALL_STATE(2442)] = 81520,
  [SMALL_STATE(2443)] = 81529,
  [SMALL_STATE(2444)] = 81538,
  [SMALL_STATE(2445)] = 81547,
  [SMALL_STATE(2446)] = 81556,
  [SMALL_STATE(2447)] = 81565,
  [SMALL_STATE(2448)] = 81574,
  [SMALL_STATE(2449)] = 81583,
  [SMALL_STATE(2450)] = 81592,
  [SMALL_STATE(2451)] = 81601,
  [SMALL_STATE(2452)] = 81610,
  [SMALL_STATE(2453)] = 81619,
  [SMALL_STATE(2454)] = 81628,
  [SMALL_STATE(2455)] = 81637,
  [SMALL_STATE(2456)] = 81646,
  [SMALL_STATE(2457)] = 81655,
  [SMALL_STATE(2458)] = 81664,
  [SMALL_STATE(2459)] = 81673,
  [SMALL_STATE(2460)] = 81682,
  [SMALL_STATE(2461)] = 81691,
  [SMALL_STATE(2462)] = 81700,
  [SMALL_STATE(2463)] = 81709,
  [SMALL_STATE(2464)] = 81718,
  [SMALL_STATE(2465)] = 81727,
  [SMALL_STATE(2466)] = 81736,
  [SMALL_STATE(2467)] = 81745,
  [SMALL_STATE(2468)] = 81754,
  [SMALL_STATE(2469)] = 81763,
  [SMALL_STATE(2470)] = 81772,
  [SMALL_STATE(2471)] = 81781,
  [SMALL_STATE(2472)] = 81790,
  [SMALL_STATE(2473)] = 81799,
  [SMALL_STATE(2474)] = 81808,
  [SMALL_STATE(2475)] = 81817,
  [SMALL_STATE(2476)] = 81826,
  [SMALL_STATE(2477)] = 81835,
  [SMALL_STATE(2478)] = 81844,
  [SMALL_STATE(2479)] = 81853,
  [SMALL_STATE(2480)] = 81862,
  [SMALL_STATE(2481)] = 81871,
  [SMALL_STATE(2482)] = 81880,
  [SMALL_STATE(2483)] = 81889,
  [SMALL_STATE(2484)] = 81898,
  [SMALL_STATE(2485)] = 81907,
  [SMALL_STATE(2486)] = 81916,
  [SMALL_STATE(2487)] = 81925,
  [SMALL_STATE(2488)] = 81934,
  [SMALL_STATE(2489)] = 81943,
  [SMALL_STATE(2490)] = 81952,
  [SMALL_STATE(2491)] = 81961,
  [SMALL_STATE(2492)] = 81970,
  [SMALL_STATE(2493)] = 81979,
  [SMALL_STATE(2494)] = 81988,
  [SMALL_STATE(2495)] = 81997,
  [SMALL_STATE(2496)] = 82006,
  [SMALL_STATE(2497)] = 82015,
  [SMALL_STATE(2498)] = 82024,
  [SMALL_STATE(2499)] = 82033,
  [SMALL_STATE(2500)] = 82042,
  [SMALL_STATE(2501)] = 82051,
  [SMALL_STATE(2502)] = 82060,
  [SMALL_STATE(2503)] = 82069,
  [SMALL_STATE(2504)] = 82078,
  [SMALL_STATE(2505)] = 82087,
  [SMALL_STATE(2506)] = 82096,
  [SMALL_STATE(2507)] = 82105,
  [SMALL_STATE(2508)] = 82114,
  [SMALL_STATE(2509)] = 82123,
  [SMALL_STATE(2510)] = 82132,
  [SMALL_STATE(2511)] = 82141,
  [SMALL_STATE(2512)] = 82150,
  [SMALL_STATE(2513)] = 82159,
  [SMALL_STATE(2514)] = 82168,
  [SMALL_STATE(2515)] = 82177,
  [SMALL_STATE(2516)] = 82186,
  [SMALL_STATE(2517)] = 82195,
  [SMALL_STATE(2518)] = 82204,
  [SMALL_STATE(2519)] = 82213,
  [SMALL_STATE(2520)] = 82222,
  [SMALL_STATE(2521)] = 82231,
  [SMALL_STATE(2522)] = 82240,
  [SMALL_STATE(2523)] = 82249,
  [SMALL_STATE(2524)] = 82258,
  [SMALL_STATE(2525)] = 82267,
  [SMALL_STATE(2526)] = 82276,
  [SMALL_STATE(2527)] = 82285,
  [SMALL_STATE(2528)] = 82294,
  [SMALL_STATE(2529)] = 82303,
  [SMALL_STATE(2530)] = 82312,
  [SMALL_STATE(2531)] = 82321,
  [SMALL_STATE(2532)] = 82330,
  [SMALL_STATE(2533)] = 82339,
  [SMALL_STATE(2534)] = 82348,
  [SMALL_STATE(2535)] = 82357,
  [SMALL_STATE(2536)] = 82366,
  [SMALL_STATE(2537)] = 82375,
  [SMALL_STATE(2538)] = 82384,
  [SMALL_STATE(2539)] = 82393,
  [SMALL_STATE(2540)] = 82402,
  [SMALL_STATE(2541)] = 82411,
  [SMALL_STATE(2542)] = 82420,
  [SMALL_STATE(2543)] = 82429,
  [SMALL_STATE(2544)] = 82438,
  [SMALL_STATE(2545)] = 82447,
  [SMALL_STATE(2546)] = 82456,
  [SMALL_STATE(2547)] = 82465,
  [SMALL_STATE(2548)] = 82474,
  [SMALL_STATE(2549)] = 82483,
  [SMALL_STATE(2550)] = 82492,
  [SMALL_STATE(2551)] = 82501,
  [SMALL_STATE(2552)] = 82510,
  [SMALL_STATE(2553)] = 82519,
  [SMALL_STATE(2554)] = 82528,
  [SMALL_STATE(2555)] = 82537,
  [SMALL_STATE(2556)] = 82546,
  [SMALL_STATE(2557)] = 82555,
  [SMALL_STATE(2558)] = 82564,
  [SMALL_STATE(2559)] = 82573,
  [SMALL_STATE(2560)] = 82582,
  [SMALL_STATE(2561)] = 82591,
  [SMALL_STATE(2562)] = 82600,
  [SMALL_STATE(2563)] = 82609,
  [SMALL_STATE(2564)] = 82618,
  [SMALL_STATE(2565)] = 82627,
  [SMALL_STATE(2566)] = 82636,
  [SMALL_STATE(2567)] = 82645,
  [SMALL_STATE(2568)] = 82654,
  [SMALL_STATE(2569)] = 82663,
  [SMALL_STATE(2570)] = 82672,
  [SMALL_STATE(2571)] = 82681,
  [SMALL_STATE(2572)] = 82690,
  [SMALL_STATE(2573)] = 82699,
  [SMALL_STATE(2574)] = 82708,
  [SMALL_STATE(2575)] = 82717,
  [SMALL_STATE(2576)] = 82726,
  [SMALL_STATE(2577)] = 82735,
  [SMALL_STATE(2578)] = 82744,
  [SMALL_STATE(2579)] = 82753,
  [SMALL_STATE(2580)] = 82762,
  [SMALL_STATE(2581)] = 82771,
  [SMALL_STATE(2582)] = 82780,
  [SMALL_STATE(2583)] = 82789,
  [SMALL_STATE(2584)] = 82798,
  [SMALL_STATE(2585)] = 82807,
  [SMALL_STATE(2586)] = 82816,
  [SMALL_STATE(2587)] = 82825,
  [SMALL_STATE(2588)] = 82834,
  [SMALL_STATE(2589)] = 82843,
  [SMALL_STATE(2590)] = 82852,
  [SMALL_STATE(2591)] = 82861,
  [SMALL_STATE(2592)] = 82870,
  [SMALL_STATE(2593)] = 82879,
  [SMALL_STATE(2594)] = 82888,
  [SMALL_STATE(2595)] = 82897,
  [SMALL_STATE(2596)] = 82906,
  [SMALL_STATE(2597)] = 82915,
  [SMALL_STATE(2598)] = 82924,
  [SMALL_STATE(2599)] = 82933,
  [SMALL_STATE(2600)] = 82942,
  [SMALL_STATE(2601)] = 82951,
  [SMALL_STATE(2602)] = 82960,
  [SMALL_STATE(2603)] = 82969,
  [SMALL_STATE(2604)] = 82978,
  [SMALL_STATE(2605)] = 82987,
  [SMALL_STATE(2606)] = 82996,
  [SMALL_STATE(2607)] = 83005,
  [SMALL_STATE(2608)] = 83014,
  [SMALL_STATE(2609)] = 83023,
  [SMALL_STATE(2610)] = 83032,
  [SMALL_STATE(2611)] = 83041,
  [SMALL_STATE(2612)] = 83050,
  [SMALL_STATE(2613)] = 83059,
  [SMALL_STATE(2614)] = 83068,
  [SMALL_STATE(2615)] = 83077,
  [SMALL_STATE(2616)] = 83086,
  [SMALL_STATE(2617)] = 83095,
  [SMALL_STATE(2618)] = 83104,
  [SMALL_STATE(2619)] = 83113,
  [SMALL_STATE(2620)] = 83122,
  [SMALL_STATE(2621)] = 83131,
  [SMALL_STATE(2622)] = 83140,
  [SMALL_STATE(2623)] = 83149,
  [SMALL_STATE(2624)] = 83158,
  [SMALL_STATE(2625)] = 83167,
  [SMALL_STATE(2626)] = 83176,
  [SMALL_STATE(2627)] = 83185,
  [SMALL_STATE(2628)] = 83194,
  [SMALL_STATE(2629)] = 83203,
  [SMALL_STATE(2630)] = 83212,
  [SMALL_STATE(2631)] = 83221,
  [SMALL_STATE(2632)] = 83230,
  [SMALL_STATE(2633)] = 83239,
  [SMALL_STATE(2634)] = 83248,
  [SMALL_STATE(2635)] = 83257,
  [SMALL_STATE(2636)] = 83266,
  [SMALL_STATE(2637)] = 83275,
  [SMALL_STATE(2638)] = 83284,
  [SMALL_STATE(2639)] = 83293,
  [SMALL_STATE(2640)] = 83302,
  [SMALL_STATE(2641)] = 83311,
  [SMALL_STATE(2642)] = 83320,
  [SMALL_STATE(2643)] = 83329,
  [SMALL_STATE(2644)] = 83338,
  [SMALL_STATE(2645)] = 83347,
  [SMALL_STATE(2646)] = 83356,
  [SMALL_STATE(2647)] = 83365,
  [SMALL_STATE(2648)] = 83374,
  [SMALL_STATE(2649)] = 83383,
  [SMALL_STATE(2650)] = 83392,
  [SMALL_STATE(2651)] = 83401,
  [SMALL_STATE(2652)] = 83410,
  [SMALL_STATE(2653)] = 83419,
  [SMALL_STATE(2654)] = 83428,
  [SMALL_STATE(2655)] = 83437,
  [SMALL_STATE(2656)] = 83446,
  [SMALL_STATE(2657)] = 83455,
  [SMALL_STATE(2658)] = 83464,
  [SMALL_STATE(2659)] = 83473,
  [SMALL_STATE(2660)] = 83482,
  [SMALL_STATE(2661)] = 83491,
  [SMALL_STATE(2662)] = 83500,
  [SMALL_STATE(2663)] = 83509,
  [SMALL_STATE(2664)] = 83518,
  [SMALL_STATE(2665)] = 83527,
  [SMALL_STATE(2666)] = 83536,
  [SMALL_STATE(2667)] = 83545,
  [SMALL_STATE(2668)] = 83554,
  [SMALL_STATE(2669)] = 83563,
  [SMALL_STATE(2670)] = 83572,
  [SMALL_STATE(2671)] = 83581,
  [SMALL_STATE(2672)] = 83590,
  [SMALL_STATE(2673)] = 83599,
  [SMALL_STATE(2674)] = 83608,
  [SMALL_STATE(2675)] = 83617,
  [SMALL_STATE(2676)] = 83626,
  [SMALL_STATE(2677)] = 83635,
  [SMALL_STATE(2678)] = 83644,
  [SMALL_STATE(2679)] = 83653,
  [SMALL_STATE(2680)] = 83662,
  [SMALL_STATE(2681)] = 83671,
  [SMALL_STATE(2682)] = 83680,
  [SMALL_STATE(2683)] = 83689,
  [SMALL_STATE(2684)] = 83698,
  [SMALL_STATE(2685)] = 83707,
  [SMALL_STATE(2686)] = 83716,
  [SMALL_STATE(2687)] = 83725,
  [SMALL_STATE(2688)] = 83734,
  [SMALL_STATE(2689)] = 83743,
  [SMALL_STATE(2690)] = 83752,
  [SMALL_STATE(2691)] = 83761,
  [SMALL_STATE(2692)] = 83770,
  [SMALL_STATE(2693)] = 83779,
  [SMALL_STATE(2694)] = 83788,
  [SMALL_STATE(2695)] = 83797,
  [SMALL_STATE(2696)] = 83806,
  [SMALL_STATE(2697)] = 83815,
  [SMALL_STATE(2698)] = 83824,
  [SMALL_STATE(2699)] = 83833,
  [SMALL_STATE(2700)] = 83842,
  [SMALL_STATE(2701)] = 83851,
  [SMALL_STATE(2702)] = 83860,
  [SMALL_STATE(2703)] = 83869,
  [SMALL_STATE(2704)] = 83878,
  [SMALL_STATE(2705)] = 83887,
  [SMALL_STATE(2706)] = 83896,
  [SMALL_STATE(2707)] = 83905,
  [SMALL_STATE(2708)] = 83914,
  [SMALL_STATE(2709)] = 83923,
  [SMALL_STATE(2710)] = 83932,
  [SMALL_STATE(2711)] = 83941,
  [SMALL_STATE(2712)] = 83950,
  [SMALL_STATE(2713)] = 83959,
  [SMALL_STATE(2714)] = 83968,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_root, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initialization, 1),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finalization, 1),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_withTr, 3, .production_id = 29),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_whileTr, 3, .production_id = 25),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifTr, 3, .production_id = 25),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifElseTr, 4, .production_id = 25),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_withTr, 4, .production_id = 59),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forTr, 5, .production_id = 84),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreachTr, 5, .production_id = 85),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifElseTr, 5, .production_id = 50),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_caseCaseTr, 1, .production_id = 57),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exceptionHandlerTr, 3, .production_id = 13),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exceptionHandlerTr, 5, .production_id = 159),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprTpl, 5, .production_id = 82),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprTpl, 5, .production_id = 82),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprTpl, 4, .production_id = 47),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprTpl, 4, .production_id = 47),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 71),
  [313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 71),
  [315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 71), SHIFT(600),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 4, .production_id = 61),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 4, .production_id = 61),
  [338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 4, .production_id = 61), SHIFT(600),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 95),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 95),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 95), SHIFT(600),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 9, .production_id = 217),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 9, .production_id = 217),
  [352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 9, .production_id = 217), SHIFT(600),
  [355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 71),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 71),
  [359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 71), SHIFT(600),
  [362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 94),
  [364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 94),
  [366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 94), SHIFT(600),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 93),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 93),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 93), SHIFT(600),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41),
  [378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41),
  [380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(600),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2031),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(931),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2002),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(669),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(798),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(674),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(932),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2412),
  [407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 61),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 61),
  [411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 61), SHIFT(600),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 128),
  [416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 128),
  [418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 128), SHIFT(600),
  [421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 109),
  [423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 109),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 109), SHIFT(600),
  [428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 129),
  [430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 129),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 129), SHIFT(600),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 130),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 130),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 130), SHIFT(600),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 131),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 131),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 131), SHIFT(600),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 132),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 132),
  [453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 132), SHIFT(600),
  [456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 191),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 191),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 191), SHIFT(600),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 163),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 163),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 163), SHIFT(600),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 130),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 130),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 130), SHIFT(600),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 192),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 192),
  [481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 192), SHIFT(600),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 164),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 164),
  [488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 164), SHIFT(600),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 95),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 95),
  [495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 95), SHIFT(600),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 165),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 165),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 165), SHIFT(600),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 161),
  [507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 161),
  [509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 161), SHIFT(600),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 193),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 193),
  [516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 193), SHIFT(600),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 162),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 162),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 162), SHIFT(600),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 100),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 5, .production_id = 100),
  [530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 100), SHIFT(600),
  [533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 5, .production_id = 96),
  [535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 5, .production_id = 96),
  [537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 5, .production_id = 96), SHIFT(600),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 71),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 5, .production_id = 71),
  [544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 71), SHIFT(600),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 4, .production_id = 63),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 4, .production_id = 63),
  [551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 4, .production_id = 63), SHIFT(600),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41),
  [558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(600),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2031),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(931),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2002),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(798),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(674),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(932),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2412),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 4, .production_id = 64),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 4, .production_id = 64),
  [586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 4, .production_id = 64), SHIFT(600),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procExternal, 5),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procExternal, 5),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procExternal, 3),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procExternal, 3),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 6, .production_id = 128),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 6, .production_id = 128),
  [601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 6, .production_id = 128), SHIFT(600),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 6, .production_id = 129),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 6, .production_id = 129),
  [608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 6, .production_id = 129), SHIFT(600),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 134),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 134),
  [615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 134), SHIFT(600),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 4, .production_id = 61),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 4, .production_id = 61),
  [622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 4, .production_id = 61), SHIFT(600),
  [625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 102),
  [627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 102),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 102), SHIFT(600),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(1153),
  [635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(108),
  [638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(705),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(967),
  [644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(234),
  [647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(2128),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(535),
  [653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(535),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(51),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(1880),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(2630),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(668),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(973),
  [671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(973),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(708),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(949),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(950),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(18),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(17),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(959),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(960),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(788),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(2461),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(1046),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(519),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 2), SHIFT_REPEAT(654),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 139),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 139),
  [714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 139), SHIFT(600),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procExternal, 4),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procExternal, 4),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procExternal, 2),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procExternal, 2),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 141),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 7, .production_id = 141),
  [729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 141), SHIFT(600),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 174),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 7, .production_id = 174),
  [736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 174), SHIFT(600),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 109),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 109),
  [743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 109), SHIFT(600),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 93),
  [748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 5, .production_id = 93),
  [750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 93), SHIFT(600),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 3, .production_id = 31),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 3, .production_id = 31),
  [757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 3, .production_id = 31), SHIFT(600),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 8, .production_id = 199),
  [762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 8, .production_id = 199),
  [764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 8, .production_id = 199), SHIFT(600),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 5, .production_id = 94),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 5, .production_id = 94),
  [771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 5, .production_id = 94), SHIFT(600),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procExternal, 6),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procExternal, 6),
  [798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConst, 7, .production_id = 162),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConst, 7, .production_id = 162),
  [802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 7, .production_id = 162), SHIFT(600),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 166),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declType, 7, .production_id = 166),
  [809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 166), SHIFT(600),
  [812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 192), SHIFT(598),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 192), SHIFT(2002),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(598),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 2, .production_id = 41), SHIFT_REPEAT(642),
  [826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 61), SHIFT(598),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 61), SHIFT(2002),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(654),
  [835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(130),
  [838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(705),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(967),
  [844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(234),
  [847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(2128),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(535),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(535),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(51),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(1880),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(2630),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(668),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(973),
  [871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(973),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(708),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(949),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(950),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(18),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(17),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(959),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(960),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(788),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(2461),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(1046),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 2), SHIFT_REPEAT(519),
  [907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 128), SHIFT(598),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 128), SHIFT(2002),
  [913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 109), SHIFT(598),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 109), SHIFT(2002),
  [919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 129), SHIFT(598),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 129), SHIFT(2002),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 130), SHIFT(598),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 130), SHIFT(2002),
  [955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 130), SHIFT(598),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 130), SHIFT(2002),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcFwd, 2, .production_id = 1),
  [963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProcFwd, 2, .production_id = 1), SHIFT(600),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProcFwd, 2, .production_id = 1),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 4, .production_id = 61), SHIFT(598),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 4, .production_id = 61), SHIFT(2002),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcFwd, 3, .production_id = 1),
  [988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProcFwd, 3, .production_id = 1), SHIFT(600),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProcFwd, 3, .production_id = 1),
  [993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 161), SHIFT(598),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 161), SHIFT(2002),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 191), SHIFT(598),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 191), SHIFT(2002),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcFwd, 4, .production_id = 38),
  [1007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProcFwd, 4, .production_id = 38), SHIFT(600),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProcFwd, 4, .production_id = 38),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 131), SHIFT(598),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 131), SHIFT(2002),
  [1018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 162), SHIFT(598),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 162), SHIFT(2002),
  [1024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 93), SHIFT(598),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 93), SHIFT(2002),
  [1030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 94), SHIFT(598),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 94), SHIFT(2002),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 8, .production_id = 193), SHIFT(598),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 8, .production_id = 193), SHIFT(2002),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 95), SHIFT(598),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 95), SHIFT(2002),
  [1048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 6, .production_id = 132), SHIFT(598),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 6, .production_id = 132), SHIFT(2002),
  [1054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 71), SHIFT(598),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 71), SHIFT(2002),
  [1060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 165), SHIFT(598),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 165), SHIFT(2002),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [1068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 95), SHIFT(598),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 95), SHIFT(2002),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 5, .production_id = 71), SHIFT(598),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 5, .production_id = 71), SHIFT(2002),
  [1080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 9, .production_id = 217), SHIFT(598),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 9, .production_id = 217), SHIFT(2002),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcFwd, 3, .production_id = 18),
  [1088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProcFwd, 3, .production_id = 18), SHIFT(600),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProcFwd, 3, .production_id = 18),
  [1093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 164), SHIFT(598),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 164), SHIFT(2002),
  [1099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVar, 7, .production_id = 163), SHIFT(598),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declVar, 7, .production_id = 163), SHIFT(2002),
  [1105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 111), SHIFT(617),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 111),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 111),
  [1112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 181), SHIFT(617),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 181),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 181),
  [1119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 32), SHIFT(617),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 32),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 4, .production_id = 32),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttribute, 4, .production_id = 119),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttribute, 4, .production_id = 119),
  [1130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 200), SHIFT(617),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 200),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 9, .production_id = 200),
  [1137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 10, .production_id = 224), SHIFT(617),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 10, .production_id = 224),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 10, .production_id = 224),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttribute, 5, .production_id = 158),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttribute, 5, .production_id = 158),
  [1148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 34), SHIFT(617),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 34),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 4, .production_id = 34),
  [1155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 35), SHIFT(617),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 35),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 4, .production_id = 35),
  [1162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 205), SHIFT(617),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 205),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 9, .production_id = 205),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttribute, 2, .production_id = 40),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttribute, 2, .production_id = 40),
  [1173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 146), SHIFT(617),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 146),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 146),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_blockTr, 2),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_blockTr, 2),
  [1184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 3, .production_id = 14), SHIFT(617),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 3, .production_id = 14),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 3, .production_id = 14),
  [1191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 102), SHIFT(617),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 102),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 102),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_blockTr, 3),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_blockTr, 3),
  [1202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 74), SHIFT(617),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 74),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 74),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 103), SHIFT(617),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 103),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 103),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 104), SHIFT(617),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 104),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 104),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 73), SHIFT(617),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 73),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 73),
  [1230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 105), SHIFT(617),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 105),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 105),
  [1237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 175), SHIFT(617),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 175),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 175),
  [1244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 176), SHIFT(617),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 176),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 176),
  [1251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 72), SHIFT(617),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 72),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 72),
  [1258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 71), SHIFT(617),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 71),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 71),
  [1265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 106), SHIFT(617),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 106),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 106),
  [1272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(617),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2031),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(931),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2002),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(798),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(674),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(932),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2412),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 177), SHIFT(617),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 177),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 177),
  [1307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 151), SHIFT(617),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 151),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 151),
  [1314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 150), SHIFT(617),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 150),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 150),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 149), SHIFT(617),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 149),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 149),
  [1328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 148), SHIFT(617),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 148),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 148),
  [1335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 147), SHIFT(617),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 147),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 147),
  [1342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 107), SHIFT(617),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 107),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 107),
  [1349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 70), SHIFT(617),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 70),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 70),
  [1356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 108), SHIFT(617),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 108),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 108),
  [1363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 67), SHIFT(617),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 67),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 67),
  [1370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 109), SHIFT(617),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 109),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 109),
  [1377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 110), SHIFT(617),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 110),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 110),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 204), SHIFT(617),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 204),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 9, .production_id = 204),
  [1391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 33), SHIFT(617),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 33),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 4, .production_id = 33),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 112), SHIFT(617),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 112),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 6, .production_id = 112),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declVar_repeat1, 1, .production_id = 17),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declVar_repeat1, 1, .production_id = 17),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttribute, 3),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttribute, 3),
  [1413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 141), SHIFT(617),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 141),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 141),
  [1420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 182), SHIFT(617),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 182),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 182),
  [1427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 183), SHIFT(617),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 183),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 183),
  [1434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 152), SHIFT(617),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 152),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 152),
  [1441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 184), SHIFT(617),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 184),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 184),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 142), SHIFT(617),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 142),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 142),
  [1455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 206), SHIFT(617),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 206),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 9, .production_id = 206),
  [1462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 143), SHIFT(617),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 143),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 143),
  [1469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 144), SHIFT(617),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 144),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 7, .production_id = 144),
  [1476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 185), SHIFT(617),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 185),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 8, .production_id = 185),
  [1483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 69), SHIFT(617),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 69),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 69),
  [1490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 68), SHIFT(617),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 68),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declProc, 5, .production_id = 68),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 71), SHIFT(598),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 5, .production_id = 71), SHIFT(2002),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_literalString_repeat1, 2),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2),
  [1507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(227),
  [1510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(2128),
  [1513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 4, .production_id = 61), SHIFT(598),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 4, .production_id = 61), SHIFT(2002),
  [1519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 4, .production_id = 64), SHIFT(598),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 4, .production_id = 64), SHIFT(2002),
  [1525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 141), SHIFT(598),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 7, .production_id = 141), SHIFT(2002),
  [1531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 4, .production_id = 63), SHIFT(598),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 4, .production_id = 63), SHIFT(2002),
  [1537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 6, .production_id = 128), SHIFT(598),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 6, .production_id = 128), SHIFT(2002),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 8, .production_id = 199), SHIFT(598),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 8, .production_id = 199), SHIFT(2002),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literalString, 1),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literalString, 1),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 93), SHIFT(598),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 5, .production_id = 93), SHIFT(2002),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 102), SHIFT(598),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 102), SHIFT(2002),
  [1567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 5, .production_id = 100), SHIFT(598),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 5, .production_id = 100), SHIFT(2002),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 6, .production_id = 129), SHIFT(598),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 6, .production_id = 129), SHIFT(2002),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 5, .production_id = 96), SHIFT(598),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 5, .production_id = 96), SHIFT(2002),
  [1585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 5, .production_id = 94), SHIFT(598),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 5, .production_id = 94), SHIFT(2002),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 7, .production_id = 162), SHIFT(598),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 7, .production_id = 162), SHIFT(2002),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProcFwd_repeat1, 2, .production_id = 41), SHIFT_REPEAT(598),
  [1600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 166), SHIFT(598),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 7, .production_id = 166), SHIFT(2002),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProcFwd_repeat1, 1, .production_id = 17),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declProcFwd_repeat1, 1, .production_id = 17),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 134), SHIFT(598),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 134), SHIFT(2002),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConst, 3, .production_id = 31), SHIFT(598),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declConst, 3, .production_id = 31), SHIFT(2002),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 109), SHIFT(598),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 109), SHIFT(2002),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 7, .production_id = 174), SHIFT(598),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 7, .production_id = 174), SHIFT(2002),
  [1634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declType, 6, .production_id = 139), SHIFT(598),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declType, 6, .production_id = 139), SHIFT(2002),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 202), SHIFT(621),
  [1643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 202),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 9, .production_id = 202),
  [1647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 202), SHIFT(2002),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 110), SHIFT(617),
  [1655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 110),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 6, .production_id = 110),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 207), SHIFT(617),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 207),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 9, .production_id = 207),
  [1666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 113), SHIFT(617),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 113),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 6, .production_id = 113),
  [1673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 147), SHIFT(621),
  [1676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 147), SHIFT(2002),
  [1679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 146), SHIFT(621),
  [1682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 146), SHIFT(2002),
  [1685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 111), SHIFT(617),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 111),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 6, .production_id = 111),
  [1692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 205), SHIFT(598),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 205),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 9, .production_id = 205),
  [1699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 205), SHIFT(2002),
  [1702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 143), SHIFT(621),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 143),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 143),
  [1709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 143), SHIFT(2002),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 145), SHIFT(621),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 145),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 145),
  [1719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 145), SHIFT(2002),
  [1722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 142), SHIFT(621),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 142),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 142),
  [1729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 142), SHIFT(2002),
  [1732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 141), SHIFT(621),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 141),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 141),
  [1739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 141), SHIFT(2002),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 144), SHIFT(621),
  [1745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 144), SHIFT(2002),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 143), SHIFT(621),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 143), SHIFT(2002),
  [1754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 142), SHIFT(621),
  [1757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 142), SHIFT(2002),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 141), SHIFT(621),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 141), SHIFT(2002),
  [1766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 111), SHIFT(621),
  [1769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 111), SHIFT(2002),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 113), SHIFT(621),
  [1775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 113), SHIFT(2002),
  [1778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 102), SHIFT(600),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 102),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 6, .production_id = 102),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 110), SHIFT(621),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 110), SHIFT(2002),
  [1791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 109), SHIFT(621),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 109),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 6, .production_id = 109),
  [1798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 109), SHIFT(2002),
  [1801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 141), SHIFT(617),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 112), SHIFT(621),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 112), SHIFT(2002),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 111), SHIFT(600),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 111),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 6, .production_id = 111),
  [1817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 111), SHIFT(621),
  [1820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 111), SHIFT(2002),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 110), SHIFT(621),
  [1826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 110), SHIFT(2002),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 142), SHIFT(617),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 145), SHIFT(617),
  [1835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 215), SHIFT(600),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 215),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 6, .production_id = 215),
  [1842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 143), SHIFT(617),
  [1845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 109), SHIFT(600),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 109),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 6, .production_id = 109),
  [1852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 109), SHIFT(621),
  [1855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 109), SHIFT(2002),
  [1858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 238), SHIFT(598),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 238),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 9, .production_id = 238),
  [1865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 238), SHIFT(2002),
  [1868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 215), SHIFT(598),
  [1871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 215), SHIFT(2002),
  [1874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 109), SHIFT(617),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 148), SHIFT(621),
  [1880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 148), SHIFT(2002),
  [1883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 203), SHIFT(617),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 203),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 9, .production_id = 203),
  [1890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 10, .production_id = 239), SHIFT(598),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 10, .production_id = 239),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 10, .production_id = 239),
  [1897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 10, .production_id = 239), SHIFT(2002),
  [1900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 202), SHIFT(617),
  [1903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 149), SHIFT(621),
  [1906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 149), SHIFT(2002),
  [1909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 237), SHIFT(598),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 237),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 9, .production_id = 237),
  [1916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 237), SHIFT(2002),
  [1919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 236), SHIFT(598),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 236),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 9, .production_id = 236),
  [1926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 236), SHIFT(2002),
  [1929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 231), SHIFT(598),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 231),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 8, .production_id = 231),
  [1936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 231), SHIFT(2002),
  [1939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 109), SHIFT(598),
  [1942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 109), SHIFT(2002),
  [1945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 108), SHIFT(621),
  [1948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 108), SHIFT(2002),
  [1951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 153), SHIFT(621),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 153),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 153),
  [1958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 153), SHIFT(2002),
  [1961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 150), SHIFT(621),
  [1964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 150), SHIFT(2002),
  [1967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 226), SHIFT(600),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 226),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 7, .production_id = 226),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 107), SHIFT(621),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 107), SHIFT(2002),
  [1980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 106), SHIFT(621),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 106), SHIFT(2002),
  [1986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 102), SHIFT(621),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 102),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 6, .production_id = 102),
  [1993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 102), SHIFT(2002),
  [1996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 151), SHIFT(600),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 151),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 7, .production_id = 151),
  [2003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 105), SHIFT(621),
  [2006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 105), SHIFT(2002),
  [2009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 104), SHIFT(621),
  [2012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 104), SHIFT(2002),
  [2015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 227), SHIFT(600),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 227),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 7, .production_id = 227),
  [2022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 103), SHIFT(621),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 103), SHIFT(2002),
  [2028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 141), SHIFT(600),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 141),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 7, .production_id = 141),
  [2035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 150), SHIFT(617),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 150),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 150),
  [2042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 102), SHIFT(621),
  [2045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 102), SHIFT(2002),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 151), SHIFT(621),
  [2051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 151), SHIFT(2002),
  [2054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 228), SHIFT(600),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 228),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 7, .production_id = 228),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 153), SHIFT(617),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 154), SHIFT(617),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 154),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 154),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 151), SHIFT(617),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 151),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 151),
  [2078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 152), SHIFT(617),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 152),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 152),
  [2085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 152), SHIFT(621),
  [2088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 152), SHIFT(2002),
  [2091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 155), SHIFT(617),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 155),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 7, .production_id = 155),
  [2098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 5, .production_id = 71), SHIFT(621),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 5, .production_id = 71),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 5, .production_id = 71),
  [2105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 5, .production_id = 71), SHIFT(2002),
  [2108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 200), SHIFT(617),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 200),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 9, .production_id = 200),
  [2115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 201), SHIFT(617),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 201),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 9, .production_id = 201),
  [2122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 143), SHIFT(600),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 143),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 7, .production_id = 143),
  [2129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 10, .production_id = 224), SHIFT(621),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 10, .production_id = 224), SHIFT(2002),
  [2135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 146), SHIFT(600),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 146),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 7, .production_id = 146),
  [2142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 102), SHIFT(617),
  [2145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 150), SHIFT(621),
  [2148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 150), SHIFT(2002),
  [2151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 10, .production_id = 223), SHIFT(621),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 10, .production_id = 223),
  [2156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 10, .production_id = 223),
  [2158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 10, .production_id = 223), SHIFT(2002),
  [2161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 111), SHIFT(598),
  [2164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 111), SHIFT(2002),
  [2167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 207), SHIFT(621),
  [2170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 207), SHIFT(2002),
  [2173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 102), SHIFT(598),
  [2176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 6, .production_id = 102), SHIFT(2002),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 74), SHIFT(621),
  [2182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 74), SHIFT(2002),
  [2185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 206), SHIFT(621),
  [2188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 206), SHIFT(2002),
  [2191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 183), SHIFT(598),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 183),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 8, .production_id = 183),
  [2198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 183), SHIFT(2002),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 234), SHIFT(598),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 234),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 8, .production_id = 234),
  [2208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 234), SHIFT(2002),
  [2211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 10, .production_id = 223), SHIFT(617),
  [2214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 205), SHIFT(621),
  [2217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 205), SHIFT(2002),
  [2220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 204), SHIFT(621),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 204), SHIFT(2002),
  [2226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 203), SHIFT(621),
  [2229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 203), SHIFT(2002),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 181), SHIFT(598),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 181),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 8, .production_id = 181),
  [2239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 181), SHIFT(2002),
  [2242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 233), SHIFT(598),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 233),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 8, .production_id = 233),
  [2249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 233), SHIFT(2002),
  [2252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 231), SHIFT(600),
  [2255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 73), SHIFT(621),
  [2258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 73), SHIFT(2002),
  [2261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 72), SHIFT(621),
  [2264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 72), SHIFT(2002),
  [2267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 71), SHIFT(621),
  [2270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 71), SHIFT(2002),
  [2273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 232), SHIFT(600),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 232),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 8, .production_id = 232),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(621),
  [2283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(932),
  [2286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 176), SHIFT(600),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 176),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 8, .production_id = 176),
  [2293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 200), SHIFT(621),
  [2296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 200), SHIFT(2002),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 233), SHIFT(600),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 181), SHIFT(600),
  [2305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 234), SHIFT(600),
  [2308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 183), SHIFT(600),
  [2311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 201), SHIFT(621),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 201), SHIFT(2002),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 226), SHIFT(598),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 226), SHIFT(2002),
  [2323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 176), SHIFT(598),
  [2326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 176), SHIFT(2002),
  [2329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 5, .production_id = 71), SHIFT(617),
  [2332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 200), SHIFT(621),
  [2335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 200), SHIFT(2002),
  [2338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 188), SHIFT(621),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 188),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 188),
  [2345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 188), SHIFT(2002),
  [2348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 151), SHIFT(598),
  [2351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 151), SHIFT(2002),
  [2354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 232), SHIFT(598),
  [2357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 8, .production_id = 232), SHIFT(2002),
  [2360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 175), SHIFT(617),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 175),
  [2365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 175),
  [2367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 178), SHIFT(617),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 178),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 178),
  [2374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 70), SHIFT(621),
  [2377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 70), SHIFT(2002),
  [2380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 179), SHIFT(617),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 179),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 179),
  [2387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 69), SHIFT(621),
  [2390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 69), SHIFT(2002),
  [2393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 227), SHIFT(598),
  [2396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 227), SHIFT(2002),
  [2399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 176), SHIFT(617),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 176),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 176),
  [2406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 177), SHIFT(617),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 177),
  [2411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 177),
  [2413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 180), SHIFT(617),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 180),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 180),
  [2420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 187), SHIFT(621),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 187),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 187),
  [2427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 187), SHIFT(2002),
  [2430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 141), SHIFT(598),
  [2433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 141), SHIFT(2002),
  [2436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 228), SHIFT(598),
  [2439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 228), SHIFT(2002),
  [2442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 236), SHIFT(600),
  [2445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 237), SHIFT(600),
  [2448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 68), SHIFT(621),
  [2451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 68), SHIFT(2002),
  [2454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 185), SHIFT(621),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 185),
  [2459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 185),
  [2461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 185), SHIFT(2002),
  [2464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 67), SHIFT(621),
  [2467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 67), SHIFT(2002),
  [2470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 205), SHIFT(600),
  [2473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 35), SHIFT(621),
  [2476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 35), SHIFT(2002),
  [2479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 9, .production_id = 238), SHIFT(600),
  [2482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 186), SHIFT(617),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 186),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declOperator, 8, .production_id = 186),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 185), SHIFT(617),
  [2492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 5, .production_id = 71), SHIFT(600),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProp, 5, .production_id = 71),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProp, 5, .production_id = 71),
  [2499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 187), SHIFT(617),
  [2502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 188), SHIFT(617),
  [2505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 5, .production_id = 71), SHIFT(598),
  [2508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 5, .production_id = 71), SHIFT(2002),
  [2511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 186), SHIFT(621),
  [2514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 186), SHIFT(2002),
  [2517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 185), SHIFT(621),
  [2520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 185), SHIFT(2002),
  [2523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 10, .production_id = 239), SHIFT(600),
  [2526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 34), SHIFT(621),
  [2529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 34), SHIFT(2002),
  [2532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 184), SHIFT(621),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 184), SHIFT(2002),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 33), SHIFT(621),
  [2541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 33), SHIFT(2002),
  [2544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 183), SHIFT(621),
  [2547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 183), SHIFT(2002),
  [2550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 32), SHIFT(621),
  [2553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 32), SHIFT(2002),
  [2556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 182), SHIFT(621),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 182), SHIFT(2002),
  [2562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 181), SHIFT(621),
  [2565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 181), SHIFT(2002),
  [2568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 180), SHIFT(621),
  [2571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 180), SHIFT(2002),
  [2574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 177), SHIFT(621),
  [2577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 177), SHIFT(2002),
  [2580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 176), SHIFT(621),
  [2583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 176), SHIFT(2002),
  [2586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 179), SHIFT(621),
  [2589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 179), SHIFT(2002),
  [2592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 178), SHIFT(621),
  [2595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 178), SHIFT(2002),
  [2598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 175), SHIFT(621),
  [2601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 175), SHIFT(2002),
  [2604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 177), SHIFT(621),
  [2607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 177), SHIFT(2002),
  [2610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 143), SHIFT(598),
  [2613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 143), SHIFT(2002),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 176), SHIFT(621),
  [2619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 176), SHIFT(2002),
  [2622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 175), SHIFT(621),
  [2625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 175), SHIFT(2002),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 3, .production_id = 14), SHIFT(621),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 3, .production_id = 14), SHIFT(2002),
  [2634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 146), SHIFT(598),
  [2637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declProp, 7, .production_id = 146), SHIFT(2002),
  [2640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 155), SHIFT(621),
  [2643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 155), SHIFT(2002),
  [2646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 152), SHIFT(621),
  [2649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 152), SHIFT(2002),
  [2652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 151), SHIFT(621),
  [2655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 151), SHIFT(2002),
  [2658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 154), SHIFT(621),
  [2661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 154), SHIFT(2002),
  [2664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 200), SHIFT(620),
  [2667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 103), SHIFT(620),
  [2670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 2, .production_id = 41), SHIFT_REPEAT(620),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 141), SHIFT(620),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declProc_repeat1, 1, .production_id = 17),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declProc_repeat1, 1, .production_id = 17),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 185), SHIFT(620),
  [2683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 142), SHIFT(620),
  [2686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 112), SHIFT(620),
  [2689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 70), SHIFT(620),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttributeNoExt, 2, .production_id = 40),
  [2694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttributeNoExt, 2, .production_id = 40),
  [2696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 143), SHIFT(620),
  [2699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 144), SHIFT(620),
  [2702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 111), SHIFT(620),
  [2705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 110), SHIFT(620),
  [2708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 109), SHIFT(620),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 33), SHIFT(620),
  [2714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 177), SHIFT(620),
  [2717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 176), SHIFT(620),
  [2720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 69), SHIFT(620),
  [2723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 74), SHIFT(620),
  [2726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 68), SHIFT(620),
  [2729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 108), SHIFT(620),
  [2732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 67), SHIFT(620),
  [2735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 175), SHIFT(620),
  [2738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 34), SHIFT(620),
  [2741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 35), SHIFT(620),
  [2744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 107), SHIFT(620),
  [2747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 146), SHIFT(620),
  [2750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 147), SHIFT(620),
  [2753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 73), SHIFT(620),
  [2756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 148), SHIFT(620),
  [2759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 72), SHIFT(620),
  [2762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 149), SHIFT(620),
  [2765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 184), SHIFT(620),
  [2768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 150), SHIFT(620),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 183), SHIFT(620),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 151), SHIFT(620),
  [2777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 7, .production_id = 152), SHIFT(620),
  [2780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 106), SHIFT(620),
  [2783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 182), SHIFT(620),
  [2786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 105), SHIFT(620),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 104), SHIFT(620),
  [2792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 8, .production_id = 181), SHIFT(620),
  [2795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 4, .production_id = 32), SHIFT(620),
  [2798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 6, .production_id = 102), SHIFT(620),
  [2801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 10, .production_id = 224), SHIFT(620),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttributeNoExt, 3),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttributeNoExt, 3),
  [2808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 5, .production_id = 71), SHIFT(620),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttributeNoExt, 5, .production_id = 158),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttributeNoExt, 5, .production_id = 158),
  [2815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 3, .production_id = 14), SHIFT(620),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procAttributeNoExt, 4, .production_id = 119),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procAttributeNoExt, 4, .production_id = 119),
  [2822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 206), SHIFT(620),
  [2825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 205), SHIFT(620),
  [2828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declProc, 9, .production_id = 204), SHIFT(620),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literalChar, 2),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literalChar, 2),
  [2835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 143), SHIFT(620),
  [2838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 145), SHIFT(620),
  [2841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 201), SHIFT(620),
  [2844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 207), SHIFT(620),
  [2847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 188), SHIFT(620),
  [2850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 187), SHIFT(620),
  [2853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 180), SHIFT(620),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 142), SHIFT(620),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 155), SHIFT(620),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 152), SHIFT(620),
  [2865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 177), SHIFT(620),
  [2868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 151), SHIFT(620),
  [2871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 154), SHIFT(620),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 102), SHIFT(620),
  [2877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 153), SHIFT(620),
  [2880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 150), SHIFT(620),
  [2883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 200), SHIFT(620),
  [2886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 202), SHIFT(620),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 10, .production_id = 223), SHIFT(620),
  [2892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 5, .production_id = 71), SHIFT(620),
  [2895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 7, .production_id = 141), SHIFT(620),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 175), SHIFT(620),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 178), SHIFT(620),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 186), SHIFT(620),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 179), SHIFT(620),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 109), SHIFT(620),
  [2913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 110), SHIFT(620),
  [2916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 113), SHIFT(620),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprUnary, 2, .production_id = 9),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprUnary, 2, .production_id = 9),
  [2923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 6, .production_id = 111), SHIFT(620),
  [2926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 9, .production_id = 203), SHIFT(620),
  [2929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 176), SHIFT(620),
  [2932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declOperator, 8, .production_id = 185), SHIFT(620),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprBinary, 3, .production_id = 23),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprBinary, 3, .production_id = 23),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asmTr, 3),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asmTr, 3),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inherited, 1),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inherited, 1),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprCall, 4, .production_id = 47),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprCall, 4, .production_id = 47),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 5, .production_id = 81),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, .production_id = 81),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprSubscript, 4, .production_id = 47),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprSubscript, 4, .production_id = 47),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asmTr, 2),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asmTr, 2),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 4, .production_id = 46),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 46),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 5, .production_id = 78),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, .production_id = 78),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprBrackets, 3),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprBrackets, 3),
  [2979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, .production_id = 20),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 20),
  [2983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprDeref, 2, .production_id = 12),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprDeref, 2, .production_id = 12),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprCall, 3, .production_id = 24),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprCall, 3, .production_id = 24),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprAs, 3, .production_id = 23),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprAs, 3, .production_id = 23),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literalNumber, 1),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literalNumber, 1),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprBrackets, 2),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprBrackets, 2),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ref, 2),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ref, 2),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 6, .production_id = 121),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 6, .production_id = 121),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, .production_id = 22),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 22),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 4, .production_id = 44),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 44),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprParens, 3),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprParens, 3),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 2, .production_id = 11),
  [3025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 2, .production_id = 11),
  [3027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprBrackets, 4),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprBrackets, 4),
  [3031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inherited, 2),
  [3033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inherited, 2),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 4),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 5),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [3145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typerefPtr, 2, .production_id = 9),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typerefPtr, 2, .production_id = 9),
  [3149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typerefDot, 3, .production_id = 23),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typerefDot, 3, .production_id = 23),
  [3153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typerefTpl, 4, .production_id = 47),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typerefTpl, 4, .production_id = 47),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 19),
  [3159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, .production_id = 19),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition, 1),
  [3163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__definition, 1),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 21),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, .production_id = 21),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 2, .production_id = 10),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 2, .production_id = 10),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, .production_id = 77),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 5, .production_id = 77),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 43),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 4, .production_id = 43),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 45),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 4, .production_id = 45),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, .production_id = 80),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 5, .production_id = 80),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 6, .production_id = 120),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 6, .production_id = 120),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 1),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declProp_repeat2, 1),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exprDot, 3, .production_id = 23),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprDot, 3, .production_id = 23),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 1),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 1),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 1),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [3259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2031),
  [3262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(931),
  [3265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2002),
  [3268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(669),
  [3271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(798),
  [3274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(674),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(932),
  [3280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2412),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ref, 1, .production_id = 3),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ref, 1, .production_id = 3),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1248),
  [3302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(712),
  [3305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(928),
  [3308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1193),
  [3311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(2082),
  [3314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1304),
  [3317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1304),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2),
  [3322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1246),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(903),
  [3328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(903),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1042),
  [3334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1253),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [3341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(623),
  [3344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(2037),
  [3347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2031),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 41), SHIFT_REPEAT(931),
  [3353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2002),
  [3356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 41), SHIFT_REPEAT(798),
  [3359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 41), SHIFT_REPEAT(674),
  [3362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 41), SHIFT_REPEAT(932),
  [3365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 41), SHIFT_REPEAT(2412),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 2),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [3384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(1248),
  [3387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(712),
  [3390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(928),
  [3393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(1193),
  [3396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(2082),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(1304),
  [3402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(1304),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(1246),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(903),
  [3411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(903),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(1042),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2), SHIFT_REPEAT(1253),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(1328),
  [3423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(705),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(625),
  [3429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(234),
  [3432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(2128),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(535),
  [3438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(535),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(668),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(973),
  [3447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(973),
  [3450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(1046),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(519),
  [3456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2), SHIFT_REPEAT(654),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__procAttribute_repeat1, 2, .production_id = 40),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typeref, 3),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typeref, 3),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typeref, 4, .production_id = 42),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typeref, 4, .production_id = 42),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 3),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__procAttributeNoExt_repeat1, 2, .production_id = 40),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 2),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 1),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [3513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(654),
  [3516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(705),
  [3519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(625),
  [3522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(234),
  [3525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(2128),
  [3528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(535),
  [3531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(535),
  [3534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(668),
  [3537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(973),
  [3540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(973),
  [3543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(1046),
  [3546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2), SHIFT_REPEAT(519),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procAttribute, 1),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 5, .production_id = 169),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 5, .production_id = 171),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 4, .production_id = 138),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 3, .production_id = 99),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 6, .production_id = 195),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 4, .production_id = 140),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 2, .production_id = 66),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 5, .production_id = 168),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 4, .production_id = 137),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 5, .production_id = 169),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 5, .production_id = 171),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [3659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 9, .production_id = 235),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 5, .production_id = 172),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 8, .production_id = 230),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 8, .production_id = 229),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 3, .production_id = 101),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 7, .production_id = 221),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [3693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 3, .production_id = 99),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 4, .production_id = 138),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 6, .production_id = 195),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 4, .production_id = 140),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(1248),
  [3712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(712),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(928),
  [3718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(1193),
  [3721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(2082),
  [3724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(1304),
  [3727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(1304),
  [3730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(1246),
  [3733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(903),
  [3736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(903),
  [3739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(1042),
  [3742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2), SHIFT_REPEAT(1253),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 6, .production_id = 196),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 6, .production_id = 197),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 7, .production_id = 220),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 7, .production_id = 219),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 7, .production_id = 222),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 6, .production_id = 198),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 5, .production_id = 173),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 6, .production_id = 194),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(1248),
  [3782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(712),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(928),
  [3788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(1193),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(2082),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(1304),
  [3797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(1304),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(1246),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(903),
  [3806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(903),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(1042),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2), SHIFT_REPEAT(1253),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [3823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 10),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 10),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 5, .production_id = 55),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 5, .production_id = 55),
  [3833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 5, .production_id = 54),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 5, .production_id = 54),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 5, .production_id = 53),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 5, .production_id = 53),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 9),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 9),
  [3855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(792),
  [3858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(2051),
  [3861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 4, .production_id = 28),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 4, .production_id = 28),
  [3865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat, 5, .production_id = 52),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat, 5, .production_id = 52),
  [3869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 6),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 6),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 6, .production_id = 88),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 6, .production_id = 88),
  [3879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 6, .production_id = 87),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 6, .production_id = 87),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifElse, 5, .production_id = 86),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifElse, 5, .production_id = 86),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [3891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifElse, 6, .production_id = 124),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifElse, 6, .production_id = 124),
  [3895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 5, .production_id = 56),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 5, .production_id = 56),
  [3899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach, 6, .production_id = 123),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach, 6, .production_id = 123),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [3905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm, 3),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm, 3),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for, 6, .production_id = 122),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for, 6, .production_id = 122),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [3917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(654),
  [3920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(705),
  [3923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(967),
  [3926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(234),
  [3929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(2128),
  [3932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(535),
  [3935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(535),
  [3938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(668),
  [3941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(973),
  [3944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(973),
  [3947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(1046),
  [3950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2), SHIFT_REPEAT(519),
  [3953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, .production_id = 4),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, .production_id = 4),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [3963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 2),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2),
  [3967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 2),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 2),
  [3971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(654),
  [3974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(705),
  [3977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(967),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(234),
  [3983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(2128),
  [3986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(535),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(535),
  [3992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(668),
  [3995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(973),
  [3998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(973),
  [4001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(1046),
  [4004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2), SHIFT_REPEAT(519),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [4011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(841),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(2084),
  [4017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(654),
  [4020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(705),
  [4023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(967),
  [4026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(234),
  [4029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(2128),
  [4032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(535),
  [4035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(535),
  [4038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(668),
  [4041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(973),
  [4044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(973),
  [4047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(1046),
  [4050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2), SHIFT_REPEAT(519),
  [4053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 7),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 7),
  [4057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(1466),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(705),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(967),
  [4066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(234),
  [4069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(2128),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(535),
  [4075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(535),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(668),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(973),
  [4084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(973),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(1046),
  [4090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2), SHIFT_REPEAT(519),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raise, 3, .production_id = 13),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise, 3, .production_id = 13),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with, 5, .production_id = 90),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with, 5, .production_id = 90),
  [4103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm, 4),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm, 4),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 4, .production_id = 50),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 4, .production_id = 50),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 4, .production_id = 51),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 4, .production_id = 51),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat, 4, .production_id = 26),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat, 4, .production_id = 26),
  [4123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 4, .production_id = 27),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 4, .production_id = 27),
  [4127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 8),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 8),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [4133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [4137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(654),
  [4140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(705),
  [4143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(967),
  [4146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(234),
  [4149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2128),
  [4152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(535),
  [4155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(535),
  [4158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(668),
  [4161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(973),
  [4164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(973),
  [4167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(1046),
  [4170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 30), SHIFT_REPEAT(519),
  [4173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto, 3),
  [4175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto, 3),
  [4177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 5),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 5),
  [4181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with, 4, .production_id = 58),
  [4183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with, 4, .production_id = 58),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [4229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statementsTr_repeat1, 1),
  [4231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statementsTr_repeat1, 1),
  [4233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statementsTr, 2),
  [4235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statementsTr, 1),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(748),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1920),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__definitions, 2),
  [4255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(48),
  [4258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1219),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1228),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1228),
  [4267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1202),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(2139),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1877),
  [4276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1757),
  [4279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1935),
  [4282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1963),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(1237),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implementation, 1),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implementation, 2),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [4400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declSection, 1),
  [4402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declSection, 2),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [4456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declSection, 3),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 1),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(748),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1920),
  [4478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declarations, 2),
  [4480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1219),
  [4483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1228),
  [4486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1228),
  [4489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1202),
  [4492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(2139),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1877),
  [4498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(2380),
  [4501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1720),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1932),
  [4507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(2017),
  [4510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declarations, 2), SHIFT_REPEAT(1238),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ref, 1),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [4519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ref, 1),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 2),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__definitions, 2), SHIFT_REPEAT(41),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [4542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_caseLabel, 3),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseLabel, 3),
  [4546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_root, 1),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [4550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_caseLabel, 2),
  [4552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseLabel, 2),
  [4554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declArgs, 4),
  [4556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArgs, 4),
  [4558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declArgs, 3),
  [4560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArgs, 3),
  [4562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declArgs, 2),
  [4564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArgs, 2),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declSection, 4),
  [4570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(1188),
  [4573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(2029),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declTypes_repeat1, 2),
  [4578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declTypes_repeat1, 2), SHIFT_REPEAT(1951),
  [4581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declTypes_repeat1, 2), SHIFT_REPEAT(748),
  [4584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declTypes_repeat1, 2),
  [4586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declTypes_repeat1, 2), SHIFT_REPEAT(1950),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declTypes, 2),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [4593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declTypes, 2), SHIFT(748),
  [4596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declTypes, 2),
  [4598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declTypes, 2), SHIFT(1950),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(1194),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(2082),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declSection, 3),
  [4613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declSection, 2),
  [4615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_exceptionElse_repeat1, 1),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exceptionElse_repeat1, 1),
  [4619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exceptionElse, 2),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statementTr, 1),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exceptionElse, 3),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declTypes, 1),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declTypes, 1), SHIFT(748),
  [4638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declTypes, 1),
  [4640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declTypes, 1), SHIFT(1950),
  [4643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(748),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2),
  [4648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1251),
  [4651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1300),
  [4654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1300),
  [4657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1210),
  [4660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(2708),
  [4663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1744),
  [4666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1911),
  [4669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1972),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__classDeclarations, 2), SHIFT_REPEAT(1244),
  [4675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(1205),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literalString_repeat1, 2), SHIFT_REPEAT(2047),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 2),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 2),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [4695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declTypes, 1), SHIFT(1978),
  [4698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 210),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVars, 2),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [4706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVars, 2), SHIFT(748),
  [4709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVars, 2),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declVars_repeat1, 2),
  [4713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVars_repeat1, 2), SHIFT_REPEAT(2194),
  [4716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVars_repeat1, 2), SHIFT_REPEAT(748),
  [4719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declVars_repeat1, 2),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVars, 3),
  [4723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVars, 3), SHIFT(748),
  [4726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVars, 3),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 3, .production_id = 225),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declTypes_repeat1, 2), SHIFT_REPEAT(1979),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declTypes_repeat1, 2), SHIFT_REPEAT(1978),
  [4736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVars, 1),
  [4738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declVars, 1), SHIFT(748),
  [4741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVars, 1),
  [4743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_declTypes, 2), SHIFT(1978),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProc, 2, .production_id = 7),
  [4748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProc, 2, .production_id = 7),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 214),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConsts, 2),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [4756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConsts, 2), SHIFT(748),
  [4759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConsts, 2),
  [4761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 212),
  [4763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 211),
  [4765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declConsts_repeat1, 2),
  [4767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declConsts_repeat1, 2), SHIFT_REPEAT(2116),
  [4770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declConsts_repeat1, 2), SHIFT_REPEAT(748),
  [4773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declConsts_repeat1, 2),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 213),
  [4777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConsts, 1),
  [4779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConsts, 1), SHIFT(748),
  [4782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConsts, 1),
  [4784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProc, 1, .production_id = 2),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProc, 1, .production_id = 2),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declConsts, 3),
  [4790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_declConsts, 3), SHIFT(748),
  [4793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declConsts, 3),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProc, 2, .production_id = 8),
  [4797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProc, 2, .production_id = 8),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [4801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declVars_repeat1, 2), SHIFT_REPEAT(2186),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [4832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declFields, 2), SHIFT_REPEAT(2231),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declFields, 2), SHIFT_REPEAT(748),
  [4838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declFields, 2),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeatTr, 3, .production_id = 26),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typeref, 2, .production_id = 42),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typeref, 2, .production_id = 42),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [4888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typeref, 1),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typeref, 1),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raiseTr, 2, .production_id = 13),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeatTr, 4, .production_id = 52),
  [4906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declConsts_repeat1, 2), SHIFT_REPEAT(2021),
  [4909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 23),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprArgs, 1),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprArgs, 2),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declUses, 2),
  [5023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declUses, 2),
  [5025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declLabels, 3),
  [5027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declLabels, 3),
  [5029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declExports, 3),
  [5031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declExports, 3),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declUses, 3),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declUses, 3),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_legacyFormat_repeat1, 2),
  [5045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declUses, 4),
  [5047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declUses, 4),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 1),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declLabels, 4),
  [5053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declLabels, 4),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declExport_repeat1, 2),
  [5057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declExports, 4),
  [5059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declExports, 4),
  [5061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProc, 1, .production_id = 1),
  [5063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declProc, 1, .production_id = 1),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [5073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_guid, 3),
  [5075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guid, 3),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declExports, 2),
  [5079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declExports, 2),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [5095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 6, .production_id = 114),
  [5097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 6, .production_id = 114),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [5101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 6, .production_id = 116),
  [5103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 6, .production_id = 116),
  [5105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 6, .production_id = 117),
  [5107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 6, .production_id = 117),
  [5109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 6, .production_id = 118),
  [5111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 6, .production_id = 118),
  [5113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 6, .production_id = 132),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 6, .production_id = 132),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [5125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 3),
  [5127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procAttribute, 2),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procAttribute, 2, .production_id = 39),
  [5133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 6, .production_id = 130),
  [5135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 6, .production_id = 130),
  [5137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 4, .production_id = 37),
  [5139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 4, .production_id = 37),
  [5141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 4, .production_id = 36),
  [5143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 4, .production_id = 36),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [5151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 5, .production_id = 95),
  [5153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 5, .production_id = 95),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [5159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 5, .production_id = 75),
  [5161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 5, .production_id = 75),
  [5163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 6, .production_id = 129),
  [5165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 6, .production_id = 129),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 3, .production_id = 15),
  [5169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 3, .production_id = 15),
  [5171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 7, .production_id = 156),
  [5173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 7, .production_id = 156),
  [5175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 7, .production_id = 157),
  [5177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 7, .production_id = 157),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 5, .production_id = 71),
  [5181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 5, .production_id = 71),
  [5183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 3, .production_id = 16),
  [5185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 3, .production_id = 16),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defProc, 5, .production_id = 76),
  [5191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defProc, 5, .production_id = 76),
  [5193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 5, .production_id = 94),
  [5195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 5, .production_id = 94),
  [5197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 7, .production_id = 164),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 7, .production_id = 164),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [5207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declField, 4, .production_id = 61),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declField, 4, .production_id = 61),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [5215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procAttribute, 3),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declVariant_repeat1, 2),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariant, 6, .production_id = 170),
  [5271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declVariant_repeat1, 2),
  [5273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVariant, 6, .production_id = 170),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariant, 8, .production_id = 218),
  [5281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVariant, 8, .production_id = 218),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [5285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariant, 7, .production_id = 218),
  [5287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVariant, 7, .production_id = 218),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [5339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kDot, 1),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kDot, 1),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [5347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__initializer, 1),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [5353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariant, 5, .production_id = 170),
  [5355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declVariant, 5, .production_id = 170),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_caseCase, 2, .production_id = 89),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseCase, 2, .production_id = 89),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [5379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declArray_repeat1, 2),
  [5381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declArray_repeat1, 2),
  [5383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2),
  [5385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat1, 2),
  [5387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_arrInitializer_repeat1, 2),
  [5389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arrInitializer_repeat1, 2),
  [5391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_recInitializer_repeat1, 2),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recInitializer_repeat1, 2),
  [5395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 2),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exprArgs_repeat1, 2),
  [5399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_exprArgs_repeat1, 3),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exprArgs_repeat1, 3),
  [5403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declProp_repeat1, 2),
  [5405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat1, 2),
  [5407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_exprTpl_repeat1, 2),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exprTpl_repeat1, 2),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [5415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 24),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_repeat1, 2, .production_id = 24),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [5423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_caseLabel_repeat1, 2),
  [5425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_caseLabel_repeat1, 2),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varDef, 4, .production_id = 49),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varAssignDef, 4, .production_id = 49),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 5, .production_id = 160),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declString, 1),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [5445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 6, .production_id = 190),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 4, .production_id = 126),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 3, .production_id = 92),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declEnum, 3),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declMetaClass, 3),
  [5463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArray, 8),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArray, 6),
  [5467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 4),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 5, .production_id = 92),
  [5471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declEnum, 4),
  [5473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 6, .production_id = 127),
  [5475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declSet, 3),
  [5477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 1),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [5483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 7, .production_id = 160),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 8, .production_id = 190),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 3),
  [5489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declString, 4),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 3),
  [5493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 6, .production_id = 126),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArray, 4),
  [5497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArray, 3),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArray, 5),
  [5501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 4, .production_id = 60),
  [5505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declFile, 3),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 5),
  [5509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArray, 7),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declClass_repeat1, 2),
  [5519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declClass_repeat1, 2), SHIFT_REPEAT(1052),
  [5522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declClass_repeat1, 2), SHIFT_REPEAT(1872),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [5531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_genericDot, 3, .production_id = 23),
  [5533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericDot, 3, .production_id = 23),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [5537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat2, 2),
  [5539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat2, 2), SHIFT_REPEAT(748),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 2, .production_id = 60),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rttiAttributes, 1),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declProcRef, 4, .production_id = 127),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gotoTr, 2),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseTr, 4),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [5590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 4, .production_id = 56),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 4, .production_id = 55),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 4, .production_id = 54),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 4, .production_id = 53),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat2, 3),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat2, 3),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [5636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseTr, 7),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [5646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unit_repeat1, 2), SHIFT_REPEAT(1111),
  [5649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unit_repeat1, 2), SHIFT_REPEAT(1030),
  [5652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unit_repeat1, 2), SHIFT_REPEAT(6),
  [5655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unit_repeat1, 2), SHIFT_REPEAT(7),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unit_repeat1, 2),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseTr, 6),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 3, .production_id = 27),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 3, .production_id = 28),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat2, 2),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declFile, 1),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [5722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216),
  [5724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(2398),
  [5727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(2400),
  [5730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(596),
  [5733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(980),
  [5736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(1726),
  [5739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(979),
  [5742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(978),
  [5745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 216), SHIFT_REPEAT(977),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [5766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat2, 5),
  [5768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat2, 5),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [5774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 5, .production_id = 87),
  [5776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_genericTpl, 4, .production_id = 47),
  [5778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericTpl, 4, .production_id = 47),
  [5780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat2, 4),
  [5782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat2, 4),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rttiAttributes_repeat2, 6),
  [5788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rttiAttributes_repeat2, 6),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statementTr, 1),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseTr, 9),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseTr, 8),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [5832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseTr, 5),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tryTr, 5, .production_id = 88),
  [5838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_whileTr, 4, .production_id = 51),
  [5840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifElseTr, 6, .production_id = 124),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_withTr, 5, .production_id = 90),
  [5844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declClass_repeat1, 2), SHIFT_REPEAT(1549),
  [5847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declClass_repeat1, 2), SHIFT_REPEAT(1886),
  [5850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declClass_repeat1, 2), SHIFT_REPEAT(1885),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [5863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 209),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declProp_repeat2, 2, .production_id = 208),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [5883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifElseTr, 5, .production_id = 86),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [5907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forTr, 6, .production_id = 122),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statementTr, 1, .production_id = 5),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [5919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_withTr, 4, .production_id = 58),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreachTr, 6, .production_id = 123),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [5931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [5933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [5937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declPropArgs_repeat1, 2), SHIFT_REPEAT(2316),
  [5940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declPropArgs_repeat1, 2), SHIFT_REPEAT(2308),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [5953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statementsTr, 2),
  [5955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declExport, 1),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [6005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_typerefArgs_repeat1, 2), SHIFT_REPEAT(1955),
  [6008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_typerefArgs_repeat1, 2), SHIFT_REPEAT(1885),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [6021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varAssignDef, 2),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [6027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declExports_repeat1, 2), SHIFT_REPEAT(1846),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [6036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asmBody, 1),
  [6038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 2, .production_id = 65),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [6056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifTr, 4, .production_id = 50),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [6064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operatorName, 1),
  [6066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__operatorName, 1),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 1, .production_id = 6),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [6080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_asmBody_repeat1, 2), SHIFT_REPEAT(1903),
  [6083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_asmBody_repeat1, 2), SHIFT_REPEAT(1903),
  [6086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_asmBody_repeat1, 2),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [6098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_legacyFormat, 1),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultValue, 2),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typeref, 1),
  [6108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declExport, 2),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [6114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typerefArgs, 2),
  [6116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 4, .production_id = 71),
  [6118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 4, .production_id = 95),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finalization, 2),
  [6136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialization, 2),
  [6138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declExport_repeat1, 2), SHIFT_REPEAT(929),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [6145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declPropArgs_repeat1, 2),
  [6147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recInitializer, 3),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [6151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_legacyFormat_repeat1, 2), SHIFT_REPEAT(997),
  [6154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 2, .production_id = 14),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [6160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrInitializer, 3),
  [6162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 3, .production_id = 61),
  [6164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 3, .production_id = 79),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [6168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrInitializer, 4),
  [6170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typerefArgs, 1),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 5, .production_id = 130),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recInitializer, 4),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declUses_repeat1, 2), SHIFT_REPEAT(1990),
  [6185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declVariantClause_repeat1, 2),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [6193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantField, 3, .production_id = 61),
  [6195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 4, .production_id = 136),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exceptionHandlersTr, 1),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [6239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__exceptionHandlers_repeat1, 1),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantField, 4, .production_id = 95),
  [6257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declVariantClause_repeat1, 2), SHIFT_REPEAT(2263),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_moduleName, 2),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [6280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_genericArgs_repeat1, 2), SHIFT_REPEAT(1922),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [6297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_moduleName, 1),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [6311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statementsTr, 1),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [6335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exceptionHandlersTr, 2),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [6347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declEnumValue, 1, .production_id = 6),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 3, .production_id = 97),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [6373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declLabels_repeat1, 2), SHIFT_REPEAT(2205),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 4, .production_id = 94),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__exceptionHandlers_repeat1, 2), SHIFT_REPEAT(1834),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariant, 6, .production_id = 218),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [6411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exceptionHandler, 6, .production_id = 189),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [6421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defProc_repeat1, 2, .production_id = 115), SHIFT_REPEAT(1155),
  [6424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defProc_repeat1, 2, .production_id = 115),
  [6426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exceptionHandler, 4, .production_id = 125),
  [6428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantClause, 3),
  [6430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 6, .production_id = 164),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [6434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recInitializerField, 1, .production_id = 62),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [6478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operatorName, 1),
  [6480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operatorName, 1),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantClause, 4),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariant, 4, .production_id = 170),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [6500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(1473),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_repeat1, 2),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 5, .production_id = 132),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declArg, 5, .production_id = 129),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operatorDot, 3, .production_id = 23),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operatorDot, 3, .production_id = 23),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [6555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declClass_repeat1, 2),
  [6557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declClass_repeat1, 2),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [6567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantClause, 5),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [6579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantClause, 6),
  [6581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exprArgs, 3),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [6599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantClause, 7),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [6603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantClause, 8),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [6613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declEnum_repeat1, 2), SHIFT_REPEAT(2008),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [6654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declEnumValue, 2, .production_id = 91),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseCaseTr, 2, .production_id = 89),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [6680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantField, 5, .production_id = 132),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [6690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 3, .production_id = 98),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [6736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declVariantField, 4, .production_id = 94),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defProc_repeat1, 3, .production_id = 10),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [6760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declLabel, 1, .production_id = 6),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [6800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defProc_repeat1, 3, .production_id = 11),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [6804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArgs, 1),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [6820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_moduleName_repeat1, 2), SHIFT_REPEAT(2310),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [6829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArgs, 2),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [6833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 4, .production_id = 135),
  [6835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 2, .production_id = 31),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recInitializerField, 3, .production_id = 133),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [6879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_genericArg_repeat1, 2), SHIFT_REPEAT(2491),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [6886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_typerefArgs_repeat1, 2),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [6906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_genericArg, 5, .production_id = 167),
  [6908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exceptionHandlerTr, 6, .production_id = 189),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [6912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exceptionHandlerTr, 4, .production_id = 125),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [6920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defProc_repeat1, 4, .production_id = 19),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [6934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defProc_repeat1, 4, .production_id = 20),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [6966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declClass, 4),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [6992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kEndDot, 1),
  [6994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 5, .production_id = 48),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [7006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library, 5),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [7014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library, 5, .production_id = 48),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [7034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declHelper, 5),
  [7036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 5, .production_id = 138),
  [7038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 5, .production_id = 140),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [7042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 5, .production_id = 140),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [7060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 5),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [7072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declPropArgs, 3),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [7110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 6, .production_id = 168),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [7116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 6, .production_id = 169),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [7120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declClass, 5),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [7130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 5, .production_id = 138),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [7134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 5, .production_id = 137),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 6, .production_id = 173),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [7158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 6, .production_id = 169),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [7162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 6, .production_id = 171),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [7166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 6, .production_id = 172),
  [7168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 6, .production_id = 171),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [7172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declExports_repeat1, 2),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [7180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 6),
  [7182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declLabels_repeat1, 2),
  [7184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declPropArgs, 4),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [7210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_genericArg_repeat1, 2),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [7236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declClass, 2),
  [7238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declPropArgs, 2),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [7274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 7, .production_id = 194),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [7278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_genericArgs_repeat1, 2),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [7288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declUses_repeat1, 2),
  [7290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declHelper, 7, .production_id = 140),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [7294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 7, .production_id = 195),
  [7296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 7, .production_id = 196),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [7304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_moduleName_repeat1, 2),
  [7306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 7, .production_id = 197),
  [7308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 4, .production_id = 99),
  [7310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 7, .production_id = 195),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 7, .production_id = 198),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [7386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declHelper, 8, .production_id = 171),
  [7388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 8, .production_id = 219),
  [7390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 8, .production_id = 220),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [7394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 8, .production_id = 221),
  [7396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 8, .production_id = 222),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [7402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declClass, 3),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [7424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 3),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [7440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declHelper, 9, .production_id = 195),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [7444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 9, .production_id = 229),
  [7446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 9, .production_id = 230),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [7468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 6, .production_id = 83),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [7472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declVariantClause_repeat1, 2),
  [7474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library, 6),
  [7476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library, 6, .production_id = 83),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [7494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 6),
  [7496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 3, .production_id = 66),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [7506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 10, .production_id = 235),
  [7508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exceptionHandlersTr, 3),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7564] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [7568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declEnum_repeat1, 2),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [7572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declIntf, 4, .production_id = 101),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [7586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declClass, 4, .production_id = 99),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_pascal() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
